//	<Name>	AsteroidStation.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "ScriptInterface.h"
#include "Bon_1Sulu.h"
#include "AsteroidStation.h"
#include "MissionText.h"

tClassAllocator<tAsteroidStation> gAsteroidStationAllocator;

void tAsteroidStation::mSetupState()
{
}
void tAsteroidStation::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) );

	playerTeam->mRegisterCommMessage( kHailCommState, kReinforceCommState, mGetShipID(), kRequestAdvice_btn, kAdvice1_msg );
	playerTeam->mRegisterCommMessage( kHailCommState, kBlankCommState, mGetShipID(), kRequestReinforce_btn, kOnOurWay_msg );

	playerTeam->mRegisterCommMessage( kReinforceCommState, kBlankCommState, mGetShipID(), kRequestReinforce_btn, kOnOurWay_msg );

	playerTeam->mRegisterCommMessage( kAskAdviceCommState, kBlankCommState, mGetShipID(), kRequestAdvice_btn, kAdvice1_msg );

	playerTeam->mGotoCommState( mGetShipID(), kBlankCommState );

}
void tAsteroidStation::mSetupShip()
{
	mSetFinalDestination();
	mSetShipMaxSpeed( 10 );
	mChangeName( kAsteroidStation_name );
}


