//	<Name>	Bon_1SuluVictoryState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( Bon_1SuluVictoryState_h )
#define Bon_1SuluVictoryState_h

#include "VictoryState.h"

#include "ChildActorVictoryState.h"
#include "teamInfo.h"
#include "Bon_1SuluVictory.h"

class tBon_1SuluVictoryState : public tChildActorVictoryState<tBon_1SuluVictory>
{
public:
   enum eTimeIDs
   {
		fDescrambledID,
		fGameOverID,
   };

   tBon_1SuluVictoryState( int32 astoundingVictory, int32 victory, int32 draw, int32 defeat, int32 devastatingDefeat );

	virtual void mBeginState();
	virtual void mEndState();

	virtual eVictoryLevels mCalcVictoryStatus( eTeamID ID );

	virtual void mOnDeath( tShipInfo* ship );
	virtual void mOnCapture( tShipInfo* ship );
	virtual void mOnDisengaged( tShipInfo* ship );
	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnStateChange( tActor* actor, tState* state, eStateEvent eventType );

protected:

	bool fPlayerDead;
	bool fAstoundingVictory;
	bool fVictory;
	bool fDraw; 
};

#endif

