//	<Name>	Excelsior.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "ScriptInterface.h"
#include "Bon_1Sulu.h"
#include "Excelsior.h"
#include "MissionText.h"
#include "ExcelsiorInitialState.h"

tClassAllocator<tExcelsior> gExcelsiorAllocator;

void tExcelsior::mSetupState()
{
	mRegisterState( new tExcelsiorInitialState( ) );

	mGotoState( typeid( tExcelsiorInitialState ) );
}
void tExcelsior::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) );

	playerTeam->mRegisterCommMessage( kHailEarlyCommState, kBlankCommState, mGetShipID(), kHailEarly_btn, kHailEarly1_msg );
	playerTeam->mRegisterCommMessage( kHailMaruCommState, kBlankCommState, mGetShipID(), kHailMaruStory_btn, kMaruStory1_msg );

	playerTeam->mGotoCommState( mGetShipID(), kBlankCommState );

}
void tExcelsior::mSetupShip()
{
	int32 X, Y;
	fMissionInfo->mGetGridPosition( 'M', &X, &Y );

	mSetFinalDestination();
	mSetShipMaxSpeed( 10 );
	mChangeName( kExcelsior_name );
}


