/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------

#if defined ( _GERMAN )

std::string Messages[] =
{

	//kMissionTitle_msg,
	"Sulu 1: Der Weg",

	//kShortBriefing_msg,
	"Sie wurden ausgewhlt, um die USS Excelsior auf einer delikaten Mission zu begleiten. Der organianische Friedensvertrag erlaubt es der " \
	"Fderation, einige Beobachtungsstationen in der neutralen Zone der Klingonen zu errichten und diese, sofern erforderlich, zweimal im Jahr zu inspizieren. Wir " \
	"empfangen keine bertragungen mehr von unserer berwachungsstation im Kazhar-System. Sie werden uns zu der " \
	"berwachungsstation begleiten, die sich auf einem einsamen Asteroiden in diesem System befindet. Wir verwenden unsere Sensoren, um einen Tiefenscan des " \
	"Asteroiden durchzufhren. Wir sind zwar befugt, das System zu inspizieren, aber wenn die Klingonen auftauchen, werden sie diesen Punkt wahrscheinlich " \
	"verdrngt haben, insbesondere, wenn sie es waren, die unsere Anlage sabotiert haben. Dies ist eine technische und diplomatische Mission, also kein Kampf " \
	"ohne einen wirklich guten Grund. Sollten nderungen an der Situation eintreten, werde ich Ihre Einsatzziele auf den neuesten Stand bringen.\n\n"
	"Auf geht's.",

	//kBriefing_msg,
	">Untersuchen Sie die Zerstrung einer Beobachtungsstation in der neutralen Zone der Klingonen.<"
	"Sie wurden ausgewhlt, um die USS Excelsior auf einer delikaten Mission zu begleiten. Der organianische Friedensvertrag erlaubt es der " \
	"Fderation, einige Beobachtungsstationen in der neutralen Zone der Klingonen zu errichten und diese, sofern erforderlich, zweimal im Jahr zu inspizieren. Wir " \
	"empfangen keine bertragungen mehr von unserer Beobachtungsstation im Kazhar-System. Sie werden uns zu der " \
	"Beobachtungsstation begleiten, die sich auf einem einsamen Asteroiden in diesem System befindet. Wir verwenden unsere Sensoren, um einen Tiefenscan des " \
	"Asteroiden durchzufhren. Wir sind zwar befugt, das System zu inspizieren, aber wenn die Klingonen auftauchen, werden sie diesen Punkt wahrscheinlich " \
	"verdrngt haben, insbesondere, wenn sie es waren, die unsere Anlage sabotiert haben. Dies ist eine technische und diplomatische Mission, also kein Kampf " \
	"ohne einen wirklich guten Grund. Sollten nderungen an der Situation eintreten, werde ich Ihre Einsatzziele auf den neuesten Stand bringen.\n\n"
	"Auf geht's.",

	//kExcelsior_name,
	"Excelsior NCC-2000",

	//kAsteroidStation_name,
	"Beobachtungsstation",

	//kStart_msg,
	"[PLAYER_NAME]: Logbuch des Captains, Sternenzeit 9702,6. Wir begleiten die USS Excelsior in das Kazhar-System, wo wir einen Tiefenscan " \
	"eines Asteroiden vornehmen sollen, um zu erfahren, was mit der Beobachtungsstation der Fderation geschehen ist.",
	//kStartScience_msg,
	"Wissenschaftsoffizier: Die Langstreckensensoren zeigen, dass sich nur Trmmer auf dem Asteroiden befinden. Nur eine einzige Relaisstation " \
	"ist noch intakt ... gerade so.",
	//kStartSuluHail_msg,
	"Kommunikationsoffizier: Captain Sulu ruft uns.\n" 
	"[PLAYER_NAME]: Stellen Sie ihn durch.\n",
	//kStartSuluStationDestroyed_msg,
	"Captain Sulu: Wenn ich das richtig sehe, haben Sie bemerkt, dass die Station zerstrt wurde. Das macht Ihren Auftrag um so wichtiger. Begeben Sie sich auf " \
	"einen Abstand von 10.000 km zu dem Asteroiden, und nehmen Sie dann einen Tiefenscan vor.",

	//kHail_btn,
	"Rufen",
	//kHailEarly_btn
	"Rufen",
	//kHailMaruStory_btn,
	"Rufen",
	//	kHailRebel_btn,
	"Rufen",
	//kHailKlingon_btn,
	"Rufen",
	//kAskRebelAboutAsteroid,
	"Fragen nach dem Asteroiden stellen",
	//kAskRebelAboutAsteroidProof,
	"Fragen nach dem Asteroiden stellen",
	//kGrantAsylum_btn
	"Asyl gewhren",
	//kDenyAsylum_btn,
	"Asyl verweigern",

	//kRequestAdvice_btn,
	"Rat einholen",
	//kRequestReinforce_btn,
	"Verstrkung anfordern",

	//kBeginningScan_msg,
	"Wissenschaftsoffizier: Wir beginnen mit dem Scannen...",

	//kEmptyMessage_msg,
	"",

	//kNoResponse_msg,
	"Kommunikationsoffizier: Keine Reaktion, Sir.",

	//kHailEarly1_msg,
	"Captain Sulu: Hier spricht die Excelsior. Was kann ich fr Sie tun, Captain?",
	//kHailEarly2_msg,
	"[PLAYER_NAME]: Bin gerade angekommen. Keine weiteren Meldungen.",
	//kHailEarly3_msg,
	"Captain Sulu: Sehr gut, Captain. Halten Sie mich auf dem Laufenden.",

	//kMaruStory1_msg,
	"[PLAYER_NAME]: Wir haben ein wenig Zeit, Captain. Ich htte da eine Frage an Sie.",
	//kMaruStory2_msg, 3
	"Captain Sulu: Fragen Sie.",
	//kMaruStory3_msg, 6
	"[PLAYER_NAME]: Ich habe mich immer gefragt, wie die verschiedenen Captains mit dem alten Kobayashi Maru-Szenario an der Akademie umgegangen sind.",
	//kMaruStory4_msg, 6
	"Captain Sulu: Das Szenario, bei dem es keine Gewinner gibt? Bei der Prfung bin ich zwar durchgefallen, aber ich habe dennoch ein provisorisches 'Bestanden' erhalten.",
	//kMaruStory5_msg, 3
	"[PLAYER_NAME]: Wie haben Sie das denn angestellt?",
	//kMaruStory6_msg, 10
	"Captain Sulu: Ich erkannte, dass das Notsignal des Frachters eine Falle der Klingonen war und habe den Kder deshalb nicht geschluckt. Das " \
	"Frachtschiff wurde zerstrt, aber mein Schiff war gerettet.",
	//kMaruStory7_msg, 4
	"[PLAYER_NAME]: Ich dachte immer, die Ausbilder mgen es nicht, wenn die Kadetten sich nicht in den Kampf werfen!",
	//kMaruStory8_msg, 13
	"Captain Sulu: Das ist auch so, aber ich habe die Prfung einen Schritt vorher angetreten. Im Anschluss an die Prfung habe ich mich selbst formell vor das Kriegsgericht gestellt. " \
	"Ich habe auch die Namen der Besatzungsmitglieder der Kobayashi Maru herausgefunden und Briefe an die Angehrigen geschrieben.",
	//kMaruStory9_msg, 2
	"[PLAYER_NAME]: Das erscheint mir aber ein wenig bertrieben.",
	//kMaruStory10_msg, 15
	"Captain Sulu: Ich habe die Konsequenzen meines Handelns akzeptiert - alle Konsequenzen. Die Ausbilder waren beeindruckt und sprachen sich " \
	"fr meine Befrderung aus. In der realen Welt wre natrlich jeder, der ein Notsignal ohne vernnftigen Grund ignoriert, eine Schande " \
	"fr seine Uniform.",

	//kAsteroidScanned_msg,
	"Wissenschaftsoffizier: Die Beobachtungsstation wurde von einer einfachen Plutoniumspaltungsbombe zerstrt.[4]\n" \
	"Sicherheitsoffizier: Diese Art selbstgestrickter Waffe wird von den Klingonen nicht eingesetzt. Es gab kein Notsignal, daher " \
	"glaube ich, dass das Ding unter Tarnung hereingebracht und schnell mithilfe des Transporters platziert wurde und dann detoniert ist.[9]\n" \
	"Wissenschaftsoffizier: Das lsst sich auch anhand der Charakteristiken der Explosion belegen.\n"
	"Wissenschaftsoffizier: Unsere Primrmission ist abgeschlossen. Wir mssen noch auf die Rckkehr der Excelsior warten, bevor wir " \
	"das System verlassen knnen.",

	//kDistressSignal1_msg,		6secs
	"Kommunikationsoffizier: Wir empfangen ein Notsignal von einem Frachter. Wir haben es knapp auerhalb des Systems geortet.",
	//kDistressSignal2_msg		11secs
	"Captain Sulu: Wir werden uns darum kmmern, Captain. Sie beenden die Mission. Wir werden so bald wie mglich wieder zu Ihnen stoen. Wenn Sie " \
	"in Schwierigkeiten geraten, rufen Sie den Asteroiden, und verwenden Sie dessen Kommunikationsrelais, um Kontakt zu uns aufzunehmen.",

	//kExcelsiorLeft_msg,
	"Wissenschaftsoffizier: Die Excelsior hat das System verlassen.",

	//kTwoKlingonsEntered_msg,
	"Wissenschaftsoffizier: Zwei klingonische Schiffe sind soeben im System angekommen ... eine Fregatte und ein Schlachtkreuzer. Es " \
	"sieht so aus, als wrde der Kreuzer die Fregatte verfolgen.\n\n" \
	"Die Fregatte hat ein Notsignal abgesetzt.",

	//kStarfleetPolicy_msg,
	"Wissenschaftsoffizier: Die Regeln von Starfleet Command besagen, dass wir alle Notsignale prfen und wenn mglich " \
	"Hilfe anbieten mssen. Darf ich vorschlagen, die Schiffe zu kontaktieren, um die Ursache der Auseinandersetzung herauszufinden?",

	//kHailBop1_msg, 5
	"[PLAYER_NAME]: Hier spricht Captain [PLAYER_NAME] von der Vereinigten Fderation der Planeten. Wie knnen wir Ihnen helfen?",
	//kHailBop2_msg, 10
	"Terajuni-Captain: Captain, hier spricht Darkel von den Terajuni. In Reaktion auf die andauernde Unterdrckung meiner Welt " \
	"durch die Klingonen haben wir dieses Schiff konfisziert, damit wir formell um Asyl bitten knnen.",
	//kHailBop3_msg	 4
	"[PLAYER_NAME]: Wir werden Ihre Anfrage beraten. Captain [PLAYER_NAME] Ende.",
	//kHailBop4_msg  3
	"Wissenschaftsoffizier: Terajun ist eine klingonische Welt - aber nicht gerade die glcklichste. ",
	//kHailBop5_msg  7
	"Sicherheitsoffizier: Die Terajuni betrachten die Klingonen als eine Besatzungsmacht, und es gibt eine Vielzahl terroristischer Zellen, " \
	"die geschworen haben, den Planeten zu befreien.",
	//kHailBop6_msg  8
	"Wissenschaftsoffizier: Es wird ihnen vorgeworfen, hunderte von unschuldigen Klingonen ermordet zu haben. Diese Vorwrfe sind " \
	"nicht zu leugnen - ebenso wenig wie die Verbrechen der Klingonen gegen sie.",

	//kHailKlingon1_msg,
	"Klingonischer Captain: Die Fregatte befindet sich in der Hand von Terroristen. Diese Angelegenheit hat nichts mit der Fderation zu tun. Wenn " \
	"Sie schlau sind, verlassen Sie die Zone unverzglich.",

	//kBOPScanned_msg,
	"Sicherheitsoffizier: Ich registriere mehrere groe Plutoniumeinheiten an Bord der Fregatte.",
	
	//kRebelDeny1_msg,
	"[PLAYER_NAME]: Was wissen Sie ber die Zerstrung der Beobachtungsstation der Fderation auf dem Asteroiden?",
	//kRebelDeny2_msg,
	"Terajuni-Captain: Die wurde zweifellos von den Klingonen zerstrt. Diesen Hohlkpfen gefllt nichts besser als sinnlose Zerstrung, " \
	"besonders, wenn es den organianischen Friedensvertrag verletzt, den die meisten Klingonen als einen der grbsten Fehler betrachten, " \
	"der je begangen wurde.",


	//kGotHim1_msg, 5
	"[PLAYER_NAME]: Was wissen Sie ber die Zerstrung der Beobachtungsstation der Fderation auf dem Asteroiden?\n\n",
	//kGotHim2_msg, 2
	"Terajuni-Captain: Die wurde zweifellos von den Klingonen zerstrt.",
	//kGotHim3_msg, 7
	"[PLAYER_NAME]: Das glaube ich nicht. Sie wurde von einem Explosionskrper zerstrt, der mit denen identisch ist, die Sie mit sich fhren. " \
	"Klingonen verwenden keine Plutoniumspaltungswaffen.",
	//kGotHim4_msg,
	"Terajuni-Captain: Das ist wahr. Wir mussten die Aufmerksamkeit der Fderation auf unseren Planeten ziehen, und hierfr Ihre " \
	"Beobachtungsstation zu opfern erschien uns als der geringste Preis.",

	//kGrantAsylum_msg,
	"Wir erkennen die historische Unterdrckung der Terajuni an. Ihr Wunsch wird gewhrt.[6]\n" \
	"Erster Offizier: Jetzt mssen wir nur noch dafr sorgen, dass die Fregatte sicher in den Raum der Fderation gelangt.",

	//kDenyAsylum_msg
	"[PLAYER_NAME]: Die Terajuni haben sich unzhliger terroristischer Anschlge schuldig gemacht. Ich kann Terroristen keinen Schutz gewhren.[7]\n" \
	"Terajuni-Captain: Dies ist eine unbewiesene Unterstellung! Die Klingonen werden uns tten. Wo bleiben Anstand und gute Sitte?[7]\n" \
	"[PLAYER_NAME]: Ich habe meine Entscheidung getroffen.[2]\n" \
	"Wissenschaftsoffizier: Die Fregatte ist auf dem Weg in den Raum der Fderation. Wir knnen sie nicht angreifen, aber wir knnen auch nicht " \
	"zulassen, dass sie den Raum der Fderation erreichen.",


	//kKlingonTargetingUs_msg,
	"Waffenoffizier: Die Klingonen haben uns im Visier.",

	//kAdvice1_msg, 8
	"[PLAYER_NAME]: Captain Sulu, da ist eine klingonische Fregatte, die um Asyl in der Fderation bittet. Was " \
	"soll ich tun?",
	//kAdvice2_msg  7
	"Captain Sulu: Sie knnen ihnen Asyl zusichern, sobald sich das Schiff innerhalb der Grenzen der Fderation befindet. Sie mssen jedoch unmissverstndlich klarstellen, " \
	"dass Asyl gewhrt wird.",
	//kAdvice3_msg 3
	"[PLAYER_NAME]: Da ist noch ein anderer Klingone im Spiel.",
	//kAdvice4_msg, 9
	"Captain Sulu: Prfen Sie die Situation sorgfltig. Politik kann sehr schnell einen Haufen Probleme verursachen, wenn man nicht " \
	"vorsichtig ist. Sulu Ende.",

	//kOnOurWay_msg,
	"Captain Sulu: Ich bin auf dem Rckweg. Ich werde in Krze da sein.",

	//kHailRightHere_btn,
	"Rufen",

	//kWeRightHere_msg,
	"Captain Sulu: Hier spricht die Excelsior. Wir sind hier, um Ihnen zu helfen, Captain.",

	//kAstoundingVictory_msg,
	"Groartiger Sieg\n\n" \
	"Der Fderation eilt bei einigen fremden Vlkern der Ruf voraus, zu weich zu sein. Sie haben jedoch gezeigt, dass " \
	"wir uns trotz unserer Weichherzigkeit nicht zum Narren machen lassen. Indem Sie entdeckt haben, dass der berlufer ein Terrorist war, " \
	"und indem Sie ihm das Asyl verweigert haben, haben Sie einen unerfreulichen Zwischenfall mit dem klingonischen Imperium vermieden und die " \
	"Grenzen der Fderation fr die geschlossen, die Unschuldige tten.\n\n" \
	"Wegtreten.",
	//kVictory_msg,
	"Sieg\n\n" \
	"Whrend der Mission haben Sie einer klingonischen Fregatte Asyl gewhrt, und Sie haben dafr gesorgt, dass die Klingonen sicher " \
	"den Raum der Fderation erreicht haben. Die Sternenflotte befrwortet diesen Gnadenakt. Gute Arbeit.\n\n" \
	"Wegtreten.",

	//kDraw_msg,
	"Unentschieden\n\n" \
	"Das htte heute fr die Fderation sicher schlimmer ausgehen knnen, aber ich kann nicht mit Sicherheit sagen, ob viel schlimmer.\n\n" \
	"Wegtreten.",

	//kDefeat_msg,
	"Niederlage\n\n" \
	"Willkommen daheim. Sie standen bei dieser Mission vor einem schwierigen Dilemma, und Ihre Reaktion hat darin bestanden, die " \
	"Situation zu ignorieren und sich davonzumachen. Ihr Schiff drfte sich nicht in unmittelbarer Gefahr befunden haben, daher irritiert mich Ihre Entscheidung ein wenig. Ich hoffe, " \
	"dass Sie bei Ihrem nchsten Einsatz mehr Strke beweisen.\n\n" \
	"Wegtreten.",

	//kDevastatingDefeat_msg,
	"Vernichtende Niederlage\n\n" \
	"Der Captain wird vermisst.",

};

#else

std::string Messages[] =
{

	//kMissionTitle_msg,
	"Sulu 1: The Road",

	//kShortBriefing_msg,
	"You've been chosen to accompany the USS Excelsior on a delicate mission. The Organian peace treaty allows the " \
	"Federation to set up several monitoring stations in the Klingon neutral zone, and to inspect them twice per year, when warranted.  We " \
	"are no longer receiving transmissions from our monitoring station in the Kazhar system. You will accompany us to the " \
	"monitoring station, which is located on a lone asteroid in the system. We'll use your sensors to perform a deep scan on " \
	"the asteroid.  We have the legal right to inspect the system, but if the Klingons show, that point will probably be lost " \
	"on them, especially if they've been sabotaging our equipment. This is a technical and diplomatic mission; no combat " \
	"without a good cause.  If the situation changes, I'll update on your mission objectives.\n\n"
	"Let's go.",

	//kBriefing_msg,
	">Investigate the destruction of a monitoring station in the Klingon neutral zone.<"
	"You've been chosen to accompany the USS Excelsior on a delicate mission. The Organian peace treaty allows the " \
	"Federation to set up several monitoring stations in Klingon neutral zone, and to inspect them twice per year, when warranted.  We " \
	"are no longer receiving transmissions from our monitoring station in the Kazhar system. You will accompany us to the " \
	"monitoring station, which is located on a lone asteroid in the system. We'll use your sensors to perform a deep scan on " \
	"the asteroid.  We have the legal right to inspect the system, but if the Klingons show, that point will probably be lost " \
	"on them, especially if they've been sabotaging our equipment. This is a technical and diplomatic mission; no combat " \
	"without a good cause.  If the situation changes, I'll update on your mission objectives.\n\n"
	"Let's go.",

	//kExcelsior_name,
	"Excelsior NCC-2000",

	//kAsteroidStation_name,
	"Monitoring Station",

	//kStart_msg,
	"[PLAYER_NAME]: Captain's log, 9702.6. We're accompanying USS Excelsior to the Kazhar system, where we are to deep scan " \
	"an asteroid in an attempt to learn what happened to a Federation monitoring station.",
	//kStartScience_msg,
	"Science Officer: Long range sensors indicate that there's only debris on the asteroid. Only a single communications relay " \
	"is intact...barely.",
	//kStartSuluHail_msg,
	"Communications Officer: Captain Sulu is hailing us.\n" 
	"[PLAYER_NAME]: Put him through.\n",
	//kStartSuluStationDestroyed_msg,
	"Captain Sulu: I take it you've noticed the station has been destroyed. That makes your job even more important. Proceed to within " \
	"10,000 kilometers of the asteroid, then initiate a deep scan.",

	//kHail_btn,
	"Hail",
	//kHailEarly_btn
	"Hail",
	//kHailMaruStory_btn,
	"Hail",
	//	kHailRebel_btn,
	"Hail",
	//kHailKlingon_btn,
	"Hail",
	//kAskRebelAboutAsteroid,
	"Ask About Asteroid",
	//kAskRebelAboutAsteroidProof,
	"Ask About Asteroid",
	//kGrantAsylum_btn
	"Grant Asylum",
	//kDenyAsylum_btn,
	"Deny Asylum",

	//kRequestAdvice_btn,
	"Request Advice",
	//kRequestReinforce_btn,
	"Request Reinforcement",

	//kBeginningScan_msg,
	"Science Officer: Beginning scan...",

	//kEmptyMessage_msg,
	"",

	//kNoResponse_msg,
	"Communications Officer: No respone Sir.",

	//kHailEarly1_msg,
	"Captain Sulu: This is Excelsior. What can I do for you, captain?",
	//kHailEarly2_msg,
	"[PLAYER_NAME]: Just checking in. Nothing to report.",
	//kHailEarly3_msg,
	"Captain Sulu: Very good captain. Keep me posted.",

	//kMaruStory1_msg,
	"[PLAYER_NAME]: We've got a little time, Captain. I had a question for you.",
	//kMaruStory2_msg, 3
	"Captain Sulu: Yes, go on.",
	//kMaruStory3_msg, 6
	"[PLAYER_NAME]: I'm always wondering how various captains handled the old Kobayashi Maru scenario at the Academy.",
	//kMaruStory4_msg, 6
	"Captain Sulu: The no-win scenario? I failed the test, but I received a provisional passing grade.",
	//kMaruStory5_msg, 3
	"[PLAYER_NAME]: How'd you pull that one off?",
	//kMaruStory6_msg, 10
	"Captain Sulu: I recognized that the freighter's distress signal was a Klingon trap, so I refused to take the bait. The " \
	"freighter was destroyed, but my ship was saved.",
	//kMaruStory7_msg, 4
	"[PLAYER_NAME]: I thought the instructors hated it when cadets wouldn't commit!",
	//kMaruStory8_msg, 13
	"Captain Sulu: They do, but I took the test a step further.  After the test, I formally surrendered myself for court martial. " \
	"Also, I figured out what Kobayashi Maru's crew complement would be, and I composed letters to send to their families.",
	//kMaruStory9_msg, 2
	"[PLAYER_NAME]: That's a little extreme.",
	//kMaruStory10_msg, 15
	"Captain Sulu: I accepted the consequences of my actions - all of the consequences. The instructors were impressed, and they bumped " \
	"up my grade. Of course, in the real world, anyone who'd refuse a distress signal without a good reason doesn't deserve to " \
	"wear the uniform.",

	//kAsteroidScanned_msg,
	"Science Officer: The monitor station was destroyed by a crude plutonium fission bomb.[4]\n" \
	"Security Officer: That sort of homemade weapon is not employed by Klingons. There was no distress call, so I " \
	"believe it was brought in by cloak, placed quickly by transporter, and detonated.[9]\n" \
	"Science Officer: That's consistent with the characteristics of the blast.\n"
	"Science Officer: Our primary mission is complete. We must wait for Excelsior to return before we can leave the " \
	"system.",

	//kDistressSignal1_msg,		6secs
	"Communications Officer: We're receiving a distress signal from a freighter. It's located just outside the system.",
	//kDistressSignal2_msg		11secs
	"Captain Sulu: We'll take care of that, captain. You finish the mission. We'll rejoin you as soon as possible. If you " \
	"run into trouble, hail the asteroid and use its communications relay to contact us.",

	//kExcelsiorLeft_msg,
	"Science Officer: Excelsior has left the system.",

	//kTwoKlingonsEntered_msg,
	"Science Officer: Two klingon vessels have just entered the system...a frigate and a Battlecruiser. The " \
	"cruiser seems to be chasing the frigate.\n\n" \
	"The frigate has sent out a distress signal.",

	//kStarfleetPolicy_msg,
	"Science Officer: Starfleet Command policy states we must investigate all distress signals and offer assistance " \
	"where possible.  May I suggest contacting the ships and trying to determine the nature of the dispute.",

	//kHailBop1_msg, 5
	"[PLAYER_NAME]: This is Captain [PLAYER_NAME] of the United Federation of Planets.  How may we be of assistance?",
	//kHailBop2_msg, 10
	"Terajuni Captain: Captain, I am Darkel of the Terajuni. In response to the continued Klingon persecution of my " \
	"world, we have confiscated this vessel so we can formally request asylum.",
	//kHailBop3_msg	 4
	"[PLAYER_NAME]: We will take your request under advisement.  Captain [PLAYER_NAME] out.",
	//kHailBop4_msg  3
	"Science Officer: Terajun's a Klingon world - but an unhappy one. ",
	//kHailBop5_msg  7
	"Security Officer: The Terajuni believe the Klingons to be an occupying force, and there are many terrorist cells " \
	"that have vowed to liberate the planet.",
	//kHailBop6_msg  8
	"Science Officer: They've been accused of murdering hundreds of Klingon innocents. These accusations are " \
	"undeniable - as are the Klingon crimes against them.",

	//kHailKlingon1_msg,
	"Klingon Captain: The frigate is piloted by terrorists.  This matter does not concern the Federation.  You " \
	"would be wise to depart the zone at once.",

	//kBOPScanned_msg,
	"Security Officer: I'm reading several large plutonium devices aboard the frigate.",
	
	//kRebelDeny1_msg,
	"[PLAYER_NAME]: What do you know about the destruction of the Federation monitoring station on the asteroid?",
	//kRebelDeny2_msg,
	"Terajuni Captain: Undoubtedly the Klingons destroyed it. Those crabheads delight in acts of mindless destruction, " \
	"especially if it violates your Organian treaty, which most Klingons consider to be one of the gravest mistakes " \
	"they've ever made.",


	//kGotHim1_msg, 5
	"[PLAYER_NAME]: What do you know about the destruction of the Federation monitoring station on the asteroid?\n\n",
	//kGotHim2_msg, 2
	"Terajuni Captain: Undoubtedly the Klingons destroyed it.",
	//kGotHim3_msg, 7
	"[PLAYER_NAME]: I don't think so. It was destroyed by an explosive device identical to the one you're carrying. " \
	"Klingons don't use plutonium fission devices.",
	//kGotHim4_msg,
	"Terajuni Captain: It is true.  We needed to draw the attention of the Federation to our planet, and the sacrifice " \
	"of your monitoring station was a small price to pay.",

	//kGrantAsylum_msg,
	"We recognize the historic oppression of the Terajuni. Your request is granted.[6]\n" \
	"First Officer: Now we need to make sure the frigate safely gets to Federation space.",

	//kDenyAsylum_msg
	"[PLAYER_NAME]: The Terajuni are guilty of numerous terrorist acts. I can't give shelter to terrorists.[7]\n" \
	"Terajuni Captain: That is unsupported supposition! The Klingons will kill us.  Have you no decency?[7]\n" \
	"[PLAYER_NAME]: I've made my decision.[2]\n" \
	"Science Officer: The frigate is continuing to Federation space.  We can't attack them, but we can't let " \
	"them reach Federation space either.",


	//kKlingonTargetingUs_msg,
	"Weapons Officer: The Klingon is now targeting us.",

	//kAdvice1_msg, 8
	"[PLAYER_NAME]: Captain Sulu, there's a Klingon frigate that's requesting asylum from the Federation. What " \
	"should I do?",
	//kAdvice2_msg  7
	"Captain Sulu: You can promise them asylum once the ship has reached Federation space. However, you need to make certain " \
	"it is warranted.",
	//kAdvice3_msg 3
	"[PLAYER_NAME]: There's another Klingon involved.",
	//kAdvice4_msg, 9
	"Captain Sulu: Investigate the situation thoroughly. Politics can get very messy, very quickly if you're not " \
	"careful. Sulu out.",

	//kOnOurWay_msg,
	"Captain Sulu: I'm on my way back. I'll be there shortly.",

	//kHailRightHere_btn,
	"Hail",

	//kWeRightHere_msg,
	"Captain Sulu: This is Excelsior. We're here to provide assistance. Captain",

	//kAstoundingVictory_msg,
	"Astounding Victory\n\n" \
	"The Federation has a reputation among some alien races for being too soft. However, you demonstrated that " \
	"despite our merciful tendencies, we will not play the fool. By discovering that the defector was a terrorist " \
	"and refusing his request for asylum, you avoided an unpleasant incident with the Klingon Empire and closed " \
	"Federation borders to those who take innocent lives.\n\n" \
	"Dismissed.",
	//kVictory_msg,
	"Victory\n\n" \
	"During the mission, you granted asylum to a Klingon frigate, and you made sure the Klingon safely made it " \
	"to Federation space. Starfleet approves of this act of mercy. Well done.\n\n" \
	"Dismissed.",

	//kDraw_msg,
	"Draw\n\n" \
	"This could have been worse for the Federation today but I'm not quite sure how\n\n" \
	"Dismissed.",

	//kDefeat_msg,
	"Defeat\n\n" \
	"Welcome back. You were faced with a difficult dilemma on this mission, and your response was to ignore the " \
	"situation and leave. Your ship should not have been in imminent danger, so that decision confuses me. I hope " \
	"you'll be bolder on your next mission.\n\n" \
	"Dismissed.",

	//kDevastatingDefeat_msg,
	"Devastating Defeat\n\n" \
	"You will be missed.",

};

#endif