//	<Name>	RebelTeamShip.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "ScriptInterface.h"
#include "Bon_1Sulu.h"
#include "RebelTeamShip.h"
#include "MissionText.h"
#include "RebelTeamShipInitialState.h"

tClassAllocator<tRebelTeamShip> gRebelTeamShipAllocator;

void tRebelTeamShip::mSetupState()
{
	mRegisterState( new tRebelTeamShipInitialState( ) );

	mGotoState( typeid( tRebelTeamShipInitialState ) );
}
void tRebelTeamShip::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) );

	playerTeam->mRegisterCommMessage( kHailRebel, kBlankCommState, mGetShipID(), kHailRebel_btn, kHailBop1_msg );

	playerTeam->mRegisterCommMessage( kAskAboutAsteroid, kBlankCommState, mGetShipID(), kAskRebelAboutAsteroid_btn, kRebelDeny1_msg );
	playerTeam->mRegisterCommMessage( kAskAboutAsteroid, kBlankCommState, mGetShipID(), kGrantAsylum_btn, kGrantAsylum_msg );

	playerTeam->mRegisterCommMessage( kAskAboutAsteroidProof, kGrantOrDeny, mGetShipID(), kAskRebelAboutAsteroidProof_btn, kGotHim1_msg );

	playerTeam->mRegisterCommMessage( kGrantAsylum, kBlankCommState, mGetShipID(), kGrantAsylum_btn, kGrantAsylum_msg );

	playerTeam->mRegisterCommMessage( kGrantOrDeny, kBlankCommState, mGetShipID(), kGrantAsylum_btn, kGrantAsylum_msg );
	playerTeam->mRegisterCommMessage( kGrantOrDeny, kBlankCommState, mGetShipID(), kDenyAsylum_btn, kDenyAsylum_msg );

	playerTeam->mGotoCommState( mGetShipID(), kBlankCommState );

}
void tRebelTeamShip::mSetupShip()
{
	mSetFinalDestination();
	mSetShipCallbackEvents( kNotifyAtDestination );
//	mSetShipMaxSpeed( 20 );
//	mChangeName( kRebelTeamShip_name );
}


