//	<Name>	RebelTeamShipInitialState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( RebelTeamShipInitialState_h )
#define RebelTeamShipInitialState_h

#include "ChildActorState.h"
#include "teamInfo.h"
#include "RebelTeamShip.h"

class tRebelTeamShipInitialState : public tChildActorState<tRebelTeamShip>
{
public:
	enum eTimeIDs
	{
		kDistressSignalID,
	};

	tRebelTeamShipInitialState( );

	virtual void mBeginState();
	virtual void mEndState();
	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType );
	virtual void mOnDeath( tShipInfo* ship );
	virtual void mAtDestination( tShipInfo* ship );
	virtual void mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item );
	virtual void mAtDistance( tShipInfo* ship );

protected:

	bool fFirstDestinationReached;
};

#endif

