//	<Name>	Bon_2Sulu

#if !defined( Bon_2Sulu_h )
#define Bon_2Sulu_h

#include "ScriptInterface.h"

//---------------------------------------------------------------------------------------------
// the following enum is used to identify all non-player teams in the script
// (use kPlayerTeam to access the current players team.)
enum eTeamTypes
{

	// add all teams
	kPlayerTeam = kTeam1,
	kExcelsiorTeam,
	kAsteroidStationTeam,
	kKlingonTeam,
};

class tVictoryCondition;

class tBon_2Sulu : public tScript
{
public:
	enum eCommStates
	{
		kCommSabotagedState,
		kCommRepairedState,
	};

	tBon_2Sulu();

	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual iTruth	mUsePlayerShip( tShipInGame& Ship );
	virtual int32	mInitializeFinished();
	virtual void	mStartMission();
	virtual void	mGetDebriefingList( eVictoryLevels VictoryLevel );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual int32	mGetTechnicalSuccessLevel( tDynaverseScriptInfo& info );
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mASCIIOverrides( tMapOverrides* Map );
	virtual void	mDefineBriefings( void );

protected:
	tVictoryCondition* fVictoryCondition;
};

#endif

