/********************************************************************************************************\

	File Name:	PlayerTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( PlayerTeam_h )
#define PlayerTeam_h

#include "TeamInfo.h"


class tPlayerTeam : public tTeamInfo
{
public:
	tPlayerTeam();
	virtual void mSetupState();
	virtual void mSetupCommState();

	virtual void mCreateShipsForTeam();
	virtual void mSetupVictoryCondition();
	virtual void mSetupDebriefingList( eVictoryLevels VictoryLevel );
	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );
	
	virtual void mSetAsteroidScanned();
	virtual bool mGetAsteroidScanned();
	virtual void mTeamSetupComplete();

	enum eCustomIDs
	{
	};

protected:

	bool	fScannedAsteriod;
};

#endif



