//	<Name>	Excelsior.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "ScriptInterface.h"
#include "Bon_3Sulu.h"
#include "Excelsior.h"
#include "MissionText.h"
#include "ExcelsiorInitialState.h"

tClassAllocator<tExcelsior> gExcelsiorAllocator;

void tExcelsior::mSetupState()
{
	mRegisterState( new tExcelsiorInitialState( ) );

	mGotoState( typeid( tExcelsiorInitialState ) );
}
void tExcelsior::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) );

	playerTeam->mRegisterCommMessage( kHailEarlyCommState, kHailStoryCommState, mGetShipID(), kHailEarly_btn, kHailEarly_msg );

	playerTeam->mRegisterCommMessage( kHailStoryCommState, kBlankCommState, mGetShipID(), kHailStory_btn, kStory1_msg );

	playerTeam->mRegisterCommMessage( kHailSuluFightCommState, kBlankCommState, mGetShipID(), kHailSuluFight_btn, kTakeCareOfFreighters_msg );

	playerTeam->mGotoCommState( mGetShipID(), kBlankCommState );

}
void tExcelsior::mSetupShip()
{
//	int32 X, Y;
//	fMissionInfo->mGetGridPosition( 'M', &X, &Y );

	mSetFinalDestination();
	mSetShipMaxSpeed( 20 );
	mChangeName( kExcelsior_name );
}


