//	<Name>	KlingonTeamInitialState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( KlingonTeamInitialState_h )
#define KlingonTeamInitialState_h

#include "KlingonTeam.h"
#include "ChildActorState.h"

class tKlingonTeamInitialState : public tChildActorState<tKlingonTeam>
{
public:
	enum eTimerIDs
	{
		kGameOverID,
 	    kPlayerDisengagedID,
		kTrackDistanceID,
		kFirstWaveID,
		kSecondWaveID,
		kThirdWaveID,
		kDisplayMessageID,
		kCheckVoicePlayingID,
		kDeepScanONID,
		kCheckDeepScanID,
	};

	enum eCustomIDs
	{
		kF5ID,
		kF4ID,
		kE3ID,
		kShip1ID,
		kShip2ID,
		kCruiserID,
		kHeavyCruiserID,
		kFireShip1ID,
		kFireShip2ID,
		kFireShip3ID,
	};

	virtual void mBeginState();

	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType );
	virtual void mOnDisengaged( tShipInfo* ship );

};

#endif
