/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------

#if defined ( _GERMAN )

std::string Messages[] =
{
	//kMissionTitle_msg,
	"Sulu 4: Das letzte Spiel",

	//kShortBriefing_msg,
	"Terajun hat offiziell um die Mitgliedschaft in der Vereinigten Fderation der Planeten ersucht. Wir haben die Delegation der Terajuni " \
	"an Bord genommen und fliegen zum Gamma Proxima-System, wo die Konferenz stattfinden soll. Wenn wir in " \
	"Gamma Proxima ankommen, sollen wir uns unverzglich zum einzigen Planeten im System begeben. Wenn der Prsident ankommt, wird er zur " \
	"Excelsior herbergebeamt, auf der die Konferenz stattfinden soll.\n\n" \
	"Unsere Mission besteht einfach darin, dafr zu sorgen, dass der Prsident sicher auf die Excelsior gebracht wird, die anderen " \
	"Botschafter nach ihrer Ankunft zu beschtzen und sicherzustellen, dass der Prsident den Vorsitz der Konferenz bernehmen kann. Die Klingonen haben eine kleine Flotte an ihrer " \
	"Grenze zusammengezogen. Die Aufklrung der Sternenflotte glaubt nicht, dass sie versuchen werden, die Konferenz zu stren, aber ich habe die Erfahrung gemacht, " \
	"dass man seine Gegner nie unterschtzen sollte.\n\n" \
	"Hiermit ist die Einsatzbesprechung beendet.",
	
	
	//kBriefing_msg,
	">Bringen Sie den Prsidenten der Fderation sicher zu einer Konferenz mit Vertretern der Terajuni.<"
	"Terajun hat offiziell um die Mitgliedschaft in der Vereinigten Fderation der Planeten ersucht. Wir haben die Delegation der Terajuni " \
	"an Bord genommen und fliegen zum Gamma Proxima-System, wo die Konferenz stattfinden soll. Wenn wir in " \
	"Gamma Proxima ankommen, sollen wir uns unverzglich zum einzigen Planeten im System begeben. Wenn der Prsident ankommt, wird er zur " \
	"Excelsior herbergebeamt, auf der die Konferenz stattfinden soll.\n\n" \
	"Unsere Mission besteht einfach darin, dafr zu sorgen, dass der Prsident sicher auf die Excelsior gebracht wird, die anderen " \
	"Botschafter nach ihrer Ankunft zu beschtzen und sicherzustellen, dass der Prsident den Vorsitz der Konferenz bernehmen kann. Die Klingonen haben eine kleine Flotte an ihrer " \
	"Grenze zusammengezogen. Die Aufklrung der Sternenflotte glaubt nicht, dass sie versuchen werden, die Konferenz zu stren, aber ich habe die Erfahrung gemacht, " \
	"dass man seine Gegner nie unterschtzen sollte.\n\n" \
	"Hiermit ist die Einsatzbesprechung beendet.",

	//kExcelsior_name,
	"Excelsior NCC-2000",

	//kPlanet_name,
	"Gamma Proxima",

	//kPresidentialYacht_name,
	"USS Foreman",

	//kHail_btn,
	"Rufen",
	//kHailEarly_btn,
	"Rufen",
	//kHailStory_btn,
	"Rufen",
	//kHailRebel_btn,
	"Rebellen rufen",
	//kHailSulu_btn,
	"Sulu rufen",

	//kBeginningScan_msg,
	"Wissenschaftsoffizier: Wir beginnen mit dem Scannen...",

	//kNoResponse_msg,
	"Kommunikationsoffizier: Keine Reaktion, Sir.",


	//kStart1_msg,	11 secs
	"[PLAYER_NAME]: Logbuch des Captains, Sternenzeit 9703,7. Wir begleiten die USS Excelsior nach Gamma Proxima, wo die Vorgesprche fr " \
	"die Aufnahme von Terajun in die Fderation stattfinden sollen.",
	//kStart2_msg,	7 secs
	"Wissenschaftsoffizier: Auenposten Sechs berichtet von einigen klingonischen Bewegungen vor etwa sechzehn Stunden. Damit befnden sie sich bei " \
	"maximaler Warpgeschwindigkeit mittlerweile in der Nhe von Proxima.",
	//kStart3_msg,	3 secs
	"Kommunikationsoffizier: Captain Sulu ruft uns, Captain.",
	//kStart4_msg,	2 secs
	"[PLAYER_NAME]: Stellen Sie ihn durch.",
	//kStart5_msg,	8 secs
	"Captain Sulu: Wir werden in Krze mit dem Prsidenten der Fderation zusammentreffen. Er wird seine Flagge fr die Dauer der Gesprche auf " \
	"der Excelsior hissen. Sulu Ende.",

	//kHailEarly_msg,
	"Captain Sulu: Halten Sie die Augen offen, Captain, Ihr Treffen mit der Yacht des Prsidenten steht kurz bevor.",

	//kStory1_msg,  6 secs
	"[PLAYER_NAME]: Captain Sulu, wie wahrscheinlich ist es, dass die Terajuni in die Fderation aufgenommen werden?",
	//kStory2_msg,  16 secs
	"Captain Sulu: Um ehrlich zu sein, nicht sehr wahrscheinlich. Sie befinden sich tief in der neutralen Zone der Klingonen, und die militrische " \
	"Situation ist immer noch auerordentlich instabil. Wenn an der romulanischen oder mirakischen Grenze ein Krieg ausbricht, knnen die Klingonen einfach " \
	"wieder ihre Flotte einsetzen und Terajun jederzeit einnehmen.",
	//kStory3_msg,  3 secs
	"[PLAYER_NAME]: Es gibt nicht viel, was die Fderation da tun kann.",
	//kStory4_msg,  11 secs
	"Captain Sulu: Nicht ohne einen groen Krieg. Die Terajuni haben sich in der Vergangenheit als Terroristen erwiesen und den Prinzipien der Fderation " \
	"nur wenig Respekt entgegengebracht. Sie haben keine Erfahrung mit Freiheit, Demokratie oder den Rechten anderer.",
	//kStory5_msg,	2 secs
	"[PLAYER_NAME]: Also haben sie keine Chance?",
	//kStory6_msg,  18 secs
	"Captain Sulu: Das will ich nicht sagen. Es gibt Welten in der Fderation, die sich zu wirklich guten Mitgliedern entwickelt haben, die " \
	"grere Hindernisse zu bewltigen hatten als die Terajuni. Ich habe mit Leuten von vielen dieser Welten gedient. Aber der Wille, " \
	"sich zu bessern, muss vorhanden sein, der Wille, die Vergangenheit ruhen zu lassen und in die Zukunft zu blicken. Ich glaube nicht, dass " \
	"die Terajuni hierfr schon bereit sind.",

	//kPresArrived_msg,
	"Captain Sulu: Der Prsident befindet sich an Bord der Excelsior. Wir mssen nun noch auf die Ankunft der anderen " \
	"Delegierten warten.",

	//kKlingonsArrive_msg,
	"Wissenschaftsoffizier: Soeben sind drei klingonische Schiffe im System angekommen.",

	//kExcelsiorCap1_msg,	6 secs
	"Kommunikationsoffizier: Captain, ich erhalte eine Nachricht von der Excelsior... nein, es ist nicht Captain Sulu, Sir, es sind " \
	"die Terajuni.",
	//kExcelsiorCap2_msg,	20 secs
	"Terajuni-Botschafter: Vlker der Galaxis, wir haben uns unsere Freiheit von den Klingonen erkmpft, aber es wird " \
	"immer offensichtlicher, dass nie die Absicht bestand, uns in Eure Fderation aufzunehmen. Jetzt msst Ihr " \
	"uns geben, was wir fordern. Die Terajuni haben die Kontrolle ber die Excelsior bernommen. Euer Prsident befindet sich in unserer Gewalt. Wir kehren nun " \
	"nach Terajun zurck und warten dort auf ein Wort der Zustimmung von euch.",

	//kSuluTime1_msg,
	"Kommunikationsoffizier: Wir fangen eine bertragung von Captain Sulu auf.",
	//kSuluTime2_msg,
	"Captain Sulu: Wir bemhen uns, die Excelsior zurckzuerobern. Ich brauche Sie, um das Schiff am Verschwinden zu hindern, damit wir " \
	"unsere Operation zu Ende bringen knnen. Sulu Ende.",

	//kHailRebel_msg,
	"[PLAYER_NAME]: Botschafter, ergebt euch, oder seht eurer Vernichtung ins Auge.[3]\n" \
	"Terajuni-Botschafter: Ihr wrdet uns niemals angreifen, whrend sich euer Prsident an Bord befindet.",

	//kHailSulu_msg,
	"Captain Sulu: Wir schalten die Systeme der Excelsior auf Reservesteuerung um. Geben Sie uns noch ein paar Momente, und " \
	"mein Schiff gehrt wieder mir.",

	//kSuluInCommand_msg,
	"Captain Sulu: Hier spricht Captain Sulu. Die Excelsior steht wieder unter meinem Kommando. Wir haben die Terajuni-Rebellen gefasst. " \
	"Jetzt sollten wir das Chaos beseitigen, das die Klingonen hinterlassen haben.",

	//kExcelsiorDestroyed_msg,
	"Willkommen daheim. Wenn Sie diese Nachricht erhalten, weile ich bereits nicht mehr unter den Lebenden. Ich hoffe, ich hatte einen angenehmen Tod im Dienste " \
	"der Sternenflotte und im Dienste der Prinzipien, die ich geschworen habe, mit meinem Leben zu verteidigen. Ich hatte Sie als Begleitung auserwhlt, und ich " \
	"wei, dass Sie sich meines Vertrauens wrdig erweisen werden. Die nchsten Monate werden schwierig. Sie aber verfgen ber eine innere Strke, die ich " \
	"respektiere. Ich erwarte nicht nur, dass Sie berleben, sondern ich erwarte auch, dass Sie eine groe Karriere machen und einer der am meisten verehrten Offiziere " \
	"in der Geschichte der Sternenflotte werden.\n\n" \
	"Sie knnen wegtreten, Captain.",

	//kAstoundingVictory_msg,
	"Groartiger Sieg\n\n" \
	"Ich gratuliere zu der erfolgreichen Mission. Sie haben das Leben des Prsidenten nicht nur einmal sondern gleich zweimal am gleichen Tag gerettet, ganz " \
	"zu schweigen von der Excelsior.\n\n" \
	"Es sieht so aus, als seien die Terajuni noch nicht bereit fr einen Beitritt zur Fderation. Das ist an sich keine berraschung, aber ich htte niemals damit gerechnet, dass sie " \
	"fr die Erreichung ihrer Ziele so weit gehen wrden.\n\n" \
	"Ich wrde Sie liebend gern unter meine Fittiche nehmen, aber ich befrchte, ich kann es wirklich nicht rechtfertigen, einen Offizier Ihres Kalibers zu halten. " \
	"Sie werden wieder anderen Bereichen zugeteilt werden.\n\n" \
	"Sie knnen wegtreten, Captain. Und - viel Glck.",

	//kVictory_msg,
	"Sieg\n\n" \
	"Sie knnen wegtreten, Captain.",

	//kDraw_msg,
	"Unentschieden\n\n" \
	"Willkommen daheim. Wenn Sie diese Nachricht erhalten, weile ich bereits nicht mehr unter den Lebenden. Ich hoffe, ich hatte einen angenehmen Tod im Dienste der Sternenflotte und " \
	"im Dienste der Prinzipien, die ich geschworen habe, mit meinem Leben zu verteidigen. Ich hatte Sie als Begleitung auserwhlt, und ich wei, dass Sie " \
	"sich meines Vertrauens wrdig erweisen werden. Die nchsten Monate werden schwierig. Sie aber verfgen ber eine innere Strke, die ich respektiere. Ich erwarte " \
	"nicht nur, dass Sie berleben, sondern ich erwarte auch, dass Sie eine groe Karriere machen und einer der am meisten verehrten Offiziere in der Geschichte der Sternenflotte werden.\n\n" \
	"Sie knnen wegtreten, Captain.",

	//kDefeat_msg,
	"Niederlage\n\n" \
	"Sie haben das System vor dem Ende der Mission verlassen, und als Ergebnis haben wir eine katastrophale Niederlage erlitten. Zweifellos " \
	"ist dies den Klingonen, den Orionen und anderen Gegnern der Fderation nicht verborgen geblieben.\n\n" \
	"Ich entlasse Sie aus Ihrer aktuellen Pflicht. Sie behalten zwar Ihr Kommando, aber Sie werden anderen Bereiche zugeteilt werden. Sie knnen " \
	"wegtreten, Captain.",


	//kDevastatingDefeat_msg,
	"Vernichtende Niederlage\n\n" \
	"Der Captain wird vermisst.",


};

#else

std::string Messages[] =
{
	//kMissionTitle_msg,
	"Sulu 4: End Game",

	//kShortBriefing_msg,
	"Terajun has officially applied for membership in the United Federation of Planets. We've picked up the Terajuni " \
	"delegation and we're headed to the Gamma Proxima system, where the conference will take place. When we arrive at " \
	"Gamma Proxima, we are to head directly to the system's only planet. When the president arrives, he will beam " \
	"over to Excelsior, which will host the conference.\n\n" \
	"Our mission is simple, to ensure that the President safely transfers to Excelsior, to protect the other " \
	"ambassadors as they arrive, and to preside at the conference. The Klingons have gathered a small fleet on their " \
	"border. Starfleet Intelligence doesn't believe they'll attempt to interrupt the conference, but I've learned " \
	"never to underestimate my opponents.\n\n" \
	"This concludes the briefing.",
	
	
	//kBriefing_msg,
	">Safely deliver the Federation President to a conference with the Terajuni represenative.<"
	"Terajun has officially applied for membership in the United Federation of Planets. We've picked up the Terajuni " \
	"delegation and we're headed to the Gamma Proxima system, where the conference will take place. When we arrive at " \
	"Gamma Proxima, we are to head directly to the system's only planet. When the president arrives, he will beam " \
	"over to Excelsior, which will host the conference.\n\n" \
	"Our mission is simple, to ensure that the President safely transfers to Excelsior, to protect the other " \
	"ambassadors as they arrive, and to preside at the conference. The Klingons have gathered a small fleet on their " \
	"border. Starfleet Intelligence doesn't believe they'll attempt to interrupt the conference, but I've learned " \
	"never to underestimate my opponents.\n\n" \
	"This concludes the briefing.",

	//kExcelsior_name,
	"Excelsior NCC-2000",

	//kPlanet_name,
	"Gamma Proxima",

	//kPresidentialYacht_name,
	"USS Foreman",

	//kHail_btn,
	"Hail",
	//kHailEarly_btn,
	"Hail",
	//kHailStory_btn,
	"Hail",
	//kHailRebel_btn,
	"Hail Rebels",
	//kHailSulu_btn,
	"Hail Sulu",
	//kHailSulu2_btn,
	"Hail Sulu",

	//kBeginningScan_msg,
	"Science Officer: Beginning scan...",

	//kNoResponse_msg,
	"Communications Officer: No respone Sir.",


	//kStart1_msg,	11 secs
	"[PLAYER_NAME]: Captain's log, 9703.7. We're accompanying USS Excelsior to Gamma Proxima, where preliminary " \
	"talks aimed at admitting Terajun into the Federation will take place.",
	//kStart2_msg,	7 secs
	"Science Officer: Outpost Six reported some Klingon movement sixteen hours ago. That would place them close " \
	"to Proxima at maximum warp.",
	//kStart3_msg,	3 secs
	"Communications Officer: Captain Sulu is hailing us, Captain.",
	//kStart4_msg,	2 secs
	"[PLAYER_NAME]: Put him through.",
	//kStart5_msg,	8 secs
	"Captain Sulu: We will be rendezvousing with the Federation president soon.  He will transfer his flag to Excelsior for " \
	"the duration of the talks.  Sulu out.",

	//kHailEarly_msg,
	"Captain Sulu: Keep your eyes open, Captain. Our rendezvous with the Presidential yacht is on schedule.",

	//kStory1_msg,  6 secs
	"[PLAYER_NAME]: Captain Sulu, how likely is it that the Terajuni will be admitted into the Federation?",
	//kStory2_msg,  16 secs
	"Captain Sulu: To be honest, not very likely. They're deep inside the Klingon neutral zone, and the military " \
	"situation is still extremely unstable. If war breaks out on the Romulan or Mirak borders, the Klingons can simply " \
	"redeploy their fleet and take Terajun whenever they want.",
	//kStory3_msg,  3 secs
	"[PLAYER_NAME]: There's not much the Federation can do.",
	//kStory4_msg,  11 secs
	"Captain Sulu: Without a major war, no.  The Terajuni have a history of terrorism and no dedication to the " \
	"principles of the Federation.  They have no experience with freedom, democracy, or the rights of others.",
	//kStory5_msg,	2 secs
	"[PLAYER_NAME]: So they have no chance?",
	//kStory6_msg,  18 secs
	"Captain Sulu: That is not what I said. There are Federation worlds that have gone on to become fine members, which " \
	"have overcome greater obstacles than the Terajuni.  I've served with people from many of those worlds. But you " \
	"need to have the will to better yourself, to put aside the past and look to the future. I don't think the " \
	"Terajuni are ready to do that.",

	//kPresArrived_msg,
	"Captain Sulu: The President has arrived onboard Excelsior.  We now need to await the arrival of the other " \
	"delegates.",

	//kKlingonsArrive_msg,
	"Science Officer: Three Klingon vessels have just entered the system.",

	//kExcelsiorCap1_msg,	6 secs
	"Communications Officer: Captain, I am receiving a messge from Excelsior...it's not Captain Sulu sir, it's " \
	"the Terajuni.",
	//kExcelsiorCap2_msg,	20 secs
	"Terajuni Ambassador: Peoples of the galaxy, we have gained our freedom from the Klingons however, it has " \
	"become increasingly clear that you had no intention of admitting us into your Federation.  Now you will " \
	"give us what we demand. The Terajuni have taken control of Excelsior. We have your President. We are " \
	"now returning to Terajun, where we await word of your acceptance.",

	//kSuluTime1_msg,
	"Communications Officer: We are picking up a transmission from Captain Sulu.",
	//kSuluTime2_msg,
	"Captain Sulu: We are working on taking back Excelsior.  I need you to prevent her from escaping so we " \
	"can complete our operation.  Sulu out.",

	//kHailRebel_msg,
	"[PLAYER_NAME]: Ambassador, surrender or be destroyed.[3]\n" \
	"Terajuni Ambassador: You would not attack us with your President on board.",

	//kHailSulu_msg,
	"Captain Sulu: We are switching Excelsior's systems over to Auxiliary Control.  Give us a few more moments and " \
	"I will have my ship back.",

	//kSuluInCommand_msg,
	"Captain Sulu: This is Captain Sulu. I am back in control of Excelsior.  We have captured the Terajuni rebels. " \
	"Now lets clean up this Klingon mess.",

	//kExcelsiorDestroyed_msg,
	"Welcome back. If you're receiving this message, then I am dead. I hope I died well, in the service of " \
	"Starfleet, and those principles that I vowed to defend with my life. I choose you to accompany me, and I know " \
	"that you will live up to my faith in you. The next months will be difficult. But you have an inner strength that " \
	"I respect. I expect you not just to survive, but to push your career and become one of the most honored officers " \
	"in Starfleet history.\n\n" \
	"You're dismissed, captain.",

	//kAstoundingVictory_msg,
	"Astounding Victory\n\n" \
	"Congratulations on a successful mission. You saved the president's life, not once but twice in the same day, not " \
	"to mention Excelsior.\n\n" \
	"It appears the Terajuni are not ready to join the Federation. That's not a surprise, but I never imagined they'd " \
	"go to such lengths to get their way.\n\n" \
	"I'd like to keep you under my wing, but I'm afraid I really can't justify keeping an officer of your caliber. " \
	"You'll be reassigned to other sectors.\n\n" \
	"You're dismissed, Captain. Good luck.",

	//kVictory_msg,
	"Victory\n\n" \
	"You're dismissed, Captain.",

	//kDraw_msg,
	"Draw\n\n" \
	"Welcome back. If you're receiving this message, then I am dead. I hope I died well, in the service of Starfleet, and " \
	"those principles that I vowed to defend with my life. I choose you to accompany me, and I know that you will live " \
	"up to my faith in you. The next months will be difficult. But you have an inner strength that I respect. I expect " \
	"you not just to survive, but to push your career and become one of the most honored officers in Starfleet history.\n\n" \
	"You're dismissed, Captain.",

	//kDefeat_msg,
	"You left the system before the end of the mission, and as a result we suffered a disastrous defeat. Undoubtedly " \
	"the Klingons, Orions, and other enemies of the Federation took notice.\n\n" \
	"I'm relieving you of your current duty. You'll keep your command, but you'll be reassigned to other sectors. You're " \
	"dismissed, Captain.",


	//kDevastatingDefeat_msg,
	"Devastating Defeat\n\n" \
	"You will be missed.",

	//kNullMsg,
	"",
};

#endif