//	<Name>	PresidentialYacht.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "ScriptInterface.h"
#include "Bon_4Sulu.h"
#include "PresidentialYacht.h"
#include "MissionText.h"
#include "PresidentTeam.h"
#include "PresidentialYachtInitialState.h"

tClassAllocator<tPresidentialYacht> gPresidentialYachtAllocator;

void tPresidentialYacht::mSetupState()
{
	mRegisterState( new tPresidentialYachtInitialState( ) );

	mGotoState( typeid( tPresidentialYachtInitialState ) );
}
void tPresidentialYacht::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) );

//	playerTeam->mRegisterCommMessage( kHailCommState, kReinforceCommState, mGetShipID(), kRequestAdvice_btn, kAdvice1_msg );
//	playerTeam->mRegisterCommMessage( kHailCommState, kBlankCommState, mGetShipID(), kRequestReinforce_btn, kOnOurWay_msg );

//	playerTeam->mRegisterCommMessage( kReinforceCommState, kBlankCommState, mGetShipID(), kRequestReinforce_btn, kOnOurWay_msg );

//	playerTeam->mRegisterCommMessage( kAskAdviceCommState, kBlankCommState, mGetShipID(), kRequestAdvice_btn, kAdvice1_msg );

	playerTeam->mGotoCommState( mGetShipID(), kBlankCommState );

}
void tPresidentialYacht::mSetupShip()
{
	mSetFinalDestination();
	mSetShipMaxSpeed( 9 );
	mChangeName( kPresidentialYacht_name );
	mSetShipCallbackEvents( kNotifyAtDestination );
}


