/********************************************************************************************************\

	File Name:	worldconditions.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( WorldConditions_h )
#define WorldConditions_h



class tWorldConditions
{
public:

	tWorldConditions();
	
public:

	enum
	{
		kNumStartingPositions = 6,
	};
	iMapPosition	mGenerateRandomStartPosition( void );
	iTruth			fPosUsed[kNumStartingPositions];	

public:

	void	mCheckForGameEnd( iTruth autoEnd = kFalse );

	bool	mShip1Destroyed( int x );
	bool	mShip2Destroyed( int x );
	bool	mShip3Destroyed( int x );
	bool	mTeamWon( int x );
	int32	mNumTeamsLost( void );
	void	mSetShip1Destroyed( int x, bool y );
	void	mSetShip2Destroyed( int x, bool y );
	void	mSetShip3Destroyed( int x, bool y );
	void	mSetTeamWon( int x, bool y );
	void	mIncreaseTeamsLost( void );

	int32	fNumTeams;

private:

	bool	fShip1Destroyed[6];
	bool	fShip2Destroyed[6];
	bool	fShip3Destroyed[6];
	bool	fTeamWon[6];
	int32	fNumTeamsLost;
};

extern tWorldConditions gWC;

#endif