//	<Name>	Dem_Press1

#if !defined( Dem_Press1_h )
#define Dem_Press1_h

#include "ScriptInterface.h"

//---------------------------------------------------------------------------------------------
// the following enum is used to identify all non-player teams in the script
// (use kPlayerTeam to access the current players team.)
enum eTeamTypes
{
	// All Teams listed here
	kPlayerTeam = kTeam1,
	kEnemyTeam,
	kISCNPCTeam,
	kPlanetTeam,
	kFreighterTeam,
};

class tVictoryCondition;

class tDem_Press1 : public tScript
{
public:
	enum eCommStates
	{
		kCommSabotagedState,
		kCommRepairedState,
	};

	tDem_Press1();

	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual tVictoryCondition* mSetupVictoryCondition();

	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual iTruth	mUsePlayerShip( tShipInGame& Ship );
//	virtual void	mCreateMissionShips( int32 Mode );
	virtual int32	mInitializeFinished();
	virtual void	mStartMission();
//	virtual void	mNewMissionShip( tShipInfo* Ship );
	virtual void	mGetDebriefingList( eVictoryLevels VictoryLevel );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual int32	mGetTechnicalSuccessLevel( tDynaverseScriptInfo& info );
	virtual int32	mGetEnemyTeamID();
	virtual void	mCreateExternalShips( int32 Mode );
	virtual void	mNewInternalShip( tShipInfo* Ship );

protected:
	tVictoryCondition* fVictoryCondition;
};

#endif

