//	<Name>	PlayerTeam.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( PlayerTeam_h )
#define PlayerTeam_h

#include "TeamInfo.h"
 
class tPlayerTeam : public tTeamInfo
{
public:
	tPlayerTeam();
	virtual void mCreateShipsForTeam();
	virtual void mSetupState();

	virtual void mSetEnemyFreighterScanned(bool setValue );
	virtual bool mGetEnemyFreighterScanned();
	virtual void mSetEnemyCruiser1Scanned(bool setValue );
	virtual bool mGetEnemyCruiser1Scanned();
	virtual void mSetEnemyCruiser2Scanned(bool setValue );
	virtual bool mGetEnemyCruiser2Scanned();
	virtual void mSetupVictoryCondition();
	virtual void mSetupDebriefingList( eVictoryLevels victoryLevel );
	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );
	virtual void mTeamSetupComplete();

private:

	bool fEnemyFreighterScanned;
	bool fEnemyCruiser1Scanned;
	bool fEnemyCruiser2Scanned;
};

#endif
