/********************************************************************************************************\

	File Name:	Dem_Press2.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( Dem_Press2_h )
#define Dem_Press2_h

#include "ScriptInterface.h"

//---------------------------------------------------------------------------------------------
// the following enum is used to identify all non-player teams in the script
// (use kPlayerTeam to access the current players team.)
enum eTeamTypes
{
/*

	HELPER NOTE:	This is where you will place other team constants if you so need them.  For instance, if
					you need a second enemy team (e.g. Enemy2Team), then you would put a constant of
					"kEnemy2Team" in here.

*/
	kPlayerTeam = kTeam1,
	kPlayerNPCTeam,
	kEnemyTeam,
	kNPC1Team,
	kAllyTeam,
};

class tVictoryCondition;

class tDem_Press2 : public tScript
{
public:

	tDem_Press2();

	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual tVictoryCondition* mSetupVictoryCondition();

	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual iTruth	mUsePlayerShip( tShipInGame& Ship );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual int32	mInitializeFinished();
	virtual void	mStartMission();
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mGetDebriefingList( eVictoryLevels VictoryLevel );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual int32	mGetTechnicalSuccessLevel( tDynaverseScriptInfo& info );
	virtual int32	mGetEnemyTeamID();

protected:

	tVictoryCondition* fVictoryCondition;
};

#endif


