/********************************************************************************************************\

	File Name:	ISCShipBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "ISCShipBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tISCShipBaseState::mBeginState()
{}
void tISCShipBaseState::mEndState()
{}

void tISCShipBaseState::mOnDeath( tShipInfo* ship )
{}
void tISCShipBaseState::mOnCapture( tShipInfo* ship )
{}
void tISCShipBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tISCShipBaseState::mAtDistance( tShipInfo* ship )
{}
void tISCShipBaseState::mAtDestination( tShipInfo* ship )
{}
void tISCShipBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tISCShipBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tISCShipBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tISCShipBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tISCShipBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tISCShipBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tISCShipBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tISCShipBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tISCShipBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tISCShipBaseState::mOnFlashingButtonPressed()
{}
void tISCShipBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tISCShipBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tISCShipBaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tISCShipBaseState::mOnPlayerLeaving( int playerNumber )
{}
void tISCShipBaseState::mOnHostChanged()
{}
void tISCShipBaseState::mOnTimedInterval( int32 timerID )
{}
void tISCShipBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tISCShipBaseState::mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType )
{}


