//	<Name>	Organia.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "MissionText.h"
#include "Organia.h"
#include "OrganiaBaseState.h"
#include "TeamInfo.h"
#include "Dem_Press2.h"

tClassAllocator<tOrgania> gOrganiaAllocator;

void tOrgania::mSetupState()
{
	mRegisterState( new tOrganiaBaseState() );
	mGotoState( typeid( tOrganiaBaseState ) );
}
void tOrgania::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( kPlayerTeam );
	Assert( playerTeam );
	if ( !playerTeam )
		return;

	playerTeam->mRegisterCommMessage( kCannotReachCommState , kNoStateChange, mGetShipID() , k_HAIL_Organia_btn , k_HAIL_Organia1_msg , kNoRandomMsg );
	playerTeam->mRegisterCommMessage( kCanReachCommState , kBlankCommState, mGetShipID() , k_HAIL_Organia_btn , k_HAIL_Organia2_msg , kNoRandomMsg );

	playerTeam->mGotoCommState( mGetShipID(), kCannotReachCommState );
}
void tOrgania::mSetupShip()
{
	mChangeName( kOrgania_nam );
}
