/********************************************************************************************************\

	File Name:	FreighterTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "Dem_Press4.h"
#include "FreighterTeam.h"
//#include "FreighterTeamInitialState.h"
#include "FreighterTeamShip.h"
#include "ShipScriptDescription.h"
#include "MissionText.h"
#include "SFCAssert.h"
#include "WorldConditions.h"

tClassAllocator<tFreighterTeam> gFreighterTeamAllocator;

tFreighterTeam::tFreighterTeam()
{
}
void tFreighterTeam::mSetupVictoryCondition()
{
}

void tFreighterTeam::mSetupDebriefingList( eVictoryLevels victoryLevel )
{
	if( victoryLevel == kAstoundingVictory )
	{
		fMissionInfo->mAddToDebriefingList( fTeam, kDefendAstoundingVictory_msg );
	} 
	else if( victoryLevel == kVictory )
	{
		fMissionInfo->mAddToDebriefingList( fTeam, kDefendVictory_msg );
	} 
	else if( victoryLevel == kDraw )
	{
		fMissionInfo->mAddToDebriefingList( fTeam, kDefendDraw_msg );
	} 
	else if( victoryLevel == kDefeat )
	{
		fMissionInfo->mAddToDebriefingList( fTeam, kDefendDefeat_msg );
	} 
	else
	{
		fMissionInfo->mAddToDebriefingList( fTeam, kDefendDevastatingDefeat_msg );
	}
}

void tFreighterTeam::mSetupState()
{
//	mRegisterState( new tFreighterTeamInitialState() );

//	mGotoState( typeid( tFreighterTeamInitialState ) );
}
void tFreighterTeam::mSetupCommState()
{
}
void tFreighterTeam::mCreateShipsForTeam()
{
	int32 diffLevel = fMissionInfo->mGetDifficultyLevel();
	int32 freighterBPV;
	int32 numberOfFreighters = 5;

	for( int i = 0; i < numberOfFreighters; ++i )
	{
		gWC.mAddFreighter();
	}

	if( diffLevel == 0 )
	{
		freighterBPV = 0;
	}
	else if( diffLevel == 1 )
	{
		freighterBPV = 0;//60;
	}
	else if( diffLevel == 2 )
	{
		freighterBPV = 0;//70;
	}

	mCreateShip( typeid( tFreighterTeamShip ), "Z-FLPh", kStartPosition_H );
	mCreateShip( typeid( tFreighterTeamShip ), "Z-FLPh", kStartPosition_I );
	mCreateShip( typeid( tFreighterTeamShip ), "Z-FLPh", kStartPosition_J );
	mCreateShip( typeid( tFreighterTeamShip ), "Z-FLPh", kStartPosition_K );
	mCreateShip( typeid( tFreighterTeamShip ), "Z-FLPh", kStartPosition_L );
}
void tFreighterTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tFreighterTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
/*	if( mIsTeamHumanControlled() )
	{
		mCreateShip( typeid( tShipInfo ), 
					 shipScriptDescription.fClassName.c_str(), 
					 kStartPosition_G + shipScriptDescription.fTeamID,
					 -1, 0, 0, -1, -1, //Default data,so we can set the custom name
					 shipScriptDescription.fCustomName.c_str() );
	}
*/
}