/********************************************************************************************************\

	File Name:	BaseVictory.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( BaseVictory_h )
#define BaseVictory_h

#include "VictoryCondition.h"


/*

	HELPER NOTE:	Inside the C-style comments, you will find an example of the accessor, modifier, and
					attributes for the victory condition objectives.  In this example, the player must
					become BSed to achieve the primary objective.

*/
class tBaseVictory : public tVictoryCondition
{
public:

	tBaseVictory( );
	tBaseVictory( tTeamInfo* team );
	void mSetupState( );

	enum eTimerIDs
	{
		kRandChatID = 1000,
	};

	//
	//	Accessors.
	//
	/*

		bool mBSed( void );

	*/
	bool	mDiplomatRescued( void );
	bool	mSurrendered( void );
	int32	mShipsDestroyed( void );

	//
	//	Modifiers.
	//
	/*

		void mSetBSed( bool x );

	*/
	void	mSetDiplomatRescued( bool x );
	void	mSetSurrendered( bool x );
	void	mIncreaseShipsDestroyed( void );

private:

	//
	//	Victory attributes.
	//
	/*

		bool fBSed;

	*/
	bool	fDiplomatRescued;
	bool	fSurrendered;
	int32	fShipsDestroyed;
};

#endif



