/********************************************************************************************************\

	File Name:	AllyTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "AllyTeam.h"
#include "AllyTeamState.h"
#include "AllyShip.h"
#include "VictoryCondition.h"
#include "BaseVictory.h"

tClassAllocator<tAllyTeam> gAllyTeamAllocator;

void tAllyTeam::mSetupState()
{
	mRegisterState( new tAllyTeamState() );
	mGotoState( typeid( tAllyTeamState ) );
}
/*
void tAllyTeam::mSetupVictoryCondition()
{
	fVictoryCondition = new tBaseVictory( this );
	gEventMgr.mRegisterActor( fVictoryCondition );
}
*/
void tAllyTeam::mSetupCommState()
{}

void tAllyTeam::mCreateShipsForTeam()
{}

void tAllyTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tAllyTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{}

void tAllyTeam::mCreateReinforcements()
{
	mCreateShip(typeid(tAllyShip),
				"F-CAX",
				kStartPosition_I,
				kNoMetaShipID,
				kAlly1,
				0,0,0,0,
				"USS Triumph",
				kDefaultShipOptions );

	mCreateShip(typeid(tAllyShip),
				"F-CAX",
				kStartPosition_J,
				kNoMetaShipID,
				kAlly2,
				0,0,0,0,
				"USS Hood",
				kDefaultShipOptions );
}