/********************************************************************************************************\

	File Name:	E3_SinglePlanets.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( E3_SinglePlanets_h )
#define E3_SinglePlanets_h

#include "ScriptInterface.h"

//---------------------------------------------------------------------------------------------
// the following enum is used to identify all non-player teams in the script
// (use kPlayerTeam to access the current players team.)
enum eTeamTypes
{
	kPlayerTeam = kTeam1,
	kPlayerNPCTeam,
	kEnemyTeam,
	kNPC1Team,
};

class tVictoryCondition;

class tE3_SinglePlanets : public tScript
{
public:

	enum eCommStates
	{};

	tE3_SinglePlanets();

	virtual void mSetupState();
	virtual void mSetupCommState();

	virtual void	mStartMission();
	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual int32	mInitializeFinished();
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mGetDebriefingList( eVictoryLevels VictoryLevel );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual int32	mGetTechnicalSuccessLevel( tDynaverseScriptInfo& info );
	virtual int32	mGetEnemyTeamID();
};

#endif


