/********************************************************************************************************\

	File Name:	MissionText.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( MissionText_h )
#define MissionText_h

#include "tstring.h"


enum TextMessages
{
	//
	//	Mission Title
	//
	kMissionTitle_msg,

	//
	//	Briefing message
	//
	kBriefing_msg,

	//
	//	Starting message
	//
	kStart_msg,

	//
	//	Debriefing messages
	//
	kDebAstoundingVictory_msg,
	kDebVictory_msg,
	kDebDraw_msg,
	kDebDefeat_msg,
	kDebDevastatingDefeat_msg,

	//
	//	Comm buttons
	//

	//
	//	Comm messages
	//

	//
	//	Victory rating
	//
	kAstoundingVictory_msg,
	kVictory_msg,
	kDraw_msg,
	kDefeat_msg,
	kDevastatingDefeat_msg,

	//
	//	Random chatter
	//
	kRandChat1_msg,
	kRandChat2_msg,
	kRandChat3_msg,
	kRandChat4_msg,
	kRandChat5_msg,
	kRandChat6_msg,

	//
	//	Titles (or names) of ships and objects
	//
	kPlanet7_nam,
	kPlanet8_nam,
	kPlanet9_nam,
	kPlanet10_nam,

	//
	//	Event dialog
	//

	//
	//	Custom messages
	//

	//
	//	Number of messages
	//
	kMsg_num,
};

extern std::string Messages[];


#endif
