//	<Name>	StateStarting.h
//
//	<Legal>	Copyright (c)  by Taldren, Inc. ALL RIGHTS RESERVED.
//	This document contains CONFIDENTIAL, PROPRIETARY, TRADE SECRET information
//	belonging to Taldren, Inc. and may not be reproduced, in whole
//	or in part, without prior written permission from Taldren, Inc.
//
//	<Info>	DESCRIPTION
//

#if !defined( His_HostileSkirmishStateStarting_h )
#define His_HostileSkirmishStateStarting_h

#include "State.h"
#include "His_HostileSkirmish.h"

class tStateStarting : public tState
{
public:
	//Define state name
	static const char* kName;
	virtual const char* mGetName();
	
	tStateStarting( tHis_HostileSkirmish* script );

	// Events
//	void mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip );

protected:

	tHis_HostileSkirmish* fScript;

	eTeamID fPlayerTeamID;
	tTeamInfo* fPlayerTeam;
	//tTeamInfo* fEnemyTeam;
};

#endif
