//	<Name>	EnterpriseTeamShip.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "ScriptInterface.h"
#include "His_WrathOfKhan.h"
#include "EnterpriseTeamShip.h"
#include "sfcAssert.h"
#include "MissionText.h"


tClassAllocator<tEnterpriseTeamShip> gEnterpriseTeamShipAllocator;

void tEnterpriseTeamShip::mSetupState()
{

}

void tEnterpriseTeamShip::mSetupCommState()
{
}

void tEnterpriseTeamShip::mSetupShip()
{
	mSetShipPlayerControlled();
	mSetShipThrust (10);
	mChangeName( kEnterprise_name );
	mDamageSystem( kDamageWeaponsAndSystems, 20.0 );
	mDamageSystem( kDamageInternalsWithPointsSilently, 40 );
	mDamageSystem( kDamageLeftWarpEngine, 50.0 );
	mDamageSystem( kDamageHeavyWeapon1, 0.0 );
	mDamageSystem( kDamageHeavyWeapon2, 100.0 );
	mDamageSystem( kDamageHeavyWeapon7, 100.0 );
	mSetOfficerName( kEngineeringOfficer, kScotty_name );
	mSetOfficerRank( kEngineeringOfficer, kLegendary );
	mSetOfficerName( kScienceOfficer, kSpock_name );
	mSetOfficerRank( kScienceOfficer, kLegendary );
	mSetOfficerName( kHelmOfficer, kSulu_name );
	mSetOfficerRank( kHelmOfficer, kLegendary );
	mSetOfficerName( kWeaponsOfficer, kChekov_name );
	mSetOfficerRank( kWeaponsOfficer, kVeteran );
	mSetOfficerName( kSecurityOfficer, kRedShirt_name );
	mSetOfficerRank( kSecurityOfficer, kRookie );

}
