//	<Name>	KhanTeamShipAttackState.cpp
//
//
//	<Info>	DESCRIPTION
//


#include "ShipInfo.h"
#include "ScriptInterface.h"

#include "His_WrathOfKhan.h"
#include "KhanTeam.h"
#include "KhanTeamShip.h"
#include "MissionText.h"
#include "KhanTeamShipGenesisState.h"
#include "KhanTeamShipAttackState.h"
                  
tKhanTeamShipAttackState::tKhanTeamShipAttackState( )
{
//	fMissionInfo = gScriptInterface.mMission();
//    fPlayerTeamID = gScriptInterface.mPlayersTeamID();

}

void tKhanTeamShipAttackState::mBeginState()
{
	tTeamInfo* khanTeam ;
	khanTeam = fMissionInfo->mGetTeamHandle( kKhanTeam );
	tTeamInfo* playerTeam = gScriptInterface.mPlayersTeam();

	fMissionInfo->mSetTeamRelations( fChildActor->mGetTeam(), playerTeam->mGetTeam(), kTeamAtWar, kGoalDestroy, 1.0 );
	fMissionInfo->mDisplayMessage( kKhanTaunted_msg );
	fMissionInfo->mDisplayMessage( kReliantPursuing_msg, kScienceScriptMessage );
}

void tKhanTeamShipAttackState::mEndState()
{
}

void tKhanTeamShipAttackState::mOnTimedInterval( int32 timerID )
{
	tKhanTeamShipBaseState::mOnTimedInterval( timerID );
	
	tTeamInfo* khanTeam;
	khanTeam = fMissionInfo->mGetTeamHandle( kKhanTeam );

	tTeamInfo* playerTeam = gScriptInterface.mPlayersTeam();


}
void tKhanTeamShipAttackState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{
	tKhanTeamShipBaseState::mOnDamage( damagedShip, hostileShip, damageType );

	tTeamInfo* khanTeam ;
	khanTeam = fMissionInfo->mGetTeamHandle( kKhanTeam );

	if ( ( damagedShip = fChildActor) && ( fChildActor->mGetDamagePercent() > 70 ) )
	{
		fChildActor->mGotoState( typeid( tKhanTeamShipGenesisState ) );
	}
	else
	{
		fChildActor->mSetShipCallbackEvents( kNotifyDamage );
	}
}