//	<Name>	KhanTeamShipBaseState.h
//
//
//	<Info>	DESCRIPTION Common Monster State
//

#if !defined( KhanTeamShipBaseState_h )
#define KhanTeamShipBaseState_h

#include "teamInfo.h"
#include "ChildActorState.h"
#include "State.h"
#include "KhanTeamShip.h"

class tKhanTeamShipBaseState : public tChildActorState<tKhanTeamShip>
{
public:

		enum eTimeIDs
	{
		kGameBeginingID,
		kSlowingDownID,
		kWaitedToLongID,
		kReliantScanableID,
		kKhanFinal1ID,
		kKhanFinal2ID,
		kKhanFinal3ID,
		kGoingToExplodeID
	};

	tKhanTeamShipBaseState();

	virtual void mOnCapture( tShipInfo* ship );
	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType );

protected:
};

#endif
