/********************************************************************************************************\

	File Name:	ISC_10Criminals.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( ISC_10Criminals_h )
#define ISC_10Criminals_h

#include "ScriptInterface.h"

//---------------------------------------------------------------------------------------------
// the following enum is used to identify all non-player teams in the script
// (use kPlayerTeam to access the current players team.)
enum eTeamTypes
{
	kPlayerTeam = kTeam1,
	kPlayerNPCTeam,
	kEnemyTeam,
	kDraft1Team,
	kDraft2Team,
	kDraft3Team,
};

class tVictoryCondition;

class tISC_10Criminals : public tScript
{
public:

//	tISC_10AWarCriminals();

	virtual void	mStartMission();
	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual int32	mInitializeFinished();
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual void	mASCIIOverrides( tMapOverrides* Map );
	virtual void	mDefineBriefings( void );
	virtual void	mDefineTeamShipStrengths( void );
};

#endif


