//	<Name>	EnemyTeamShip.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "ScriptInterface.h"
#include "ISC_1Peace.h"
#include "EnemyTeamShip.h"
#include "sfcAssert.h"
#include "MissionText.h"

#include "EnemyTeamShipInitialState.h"

tClassAllocator<tEnemyTeamShip> gEnemyTeamShipAllocator;

void tEnemyTeamShip::mSetupState()
{
	mRegisterState( new tEnemyTeamShipInitialState( ) );
	
	mGotoState( typeid( tEnemyTeamShipInitialState ) );
}

void tEnemyTeamShip::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) );
	//Enemy CommState
	playerTeam->mRegisterCommMessage( kHailCommState, kNoStateChange, mGetShipID(), kHailLyran_btn, kNoResponse_msg );
	playerTeam->mRegisterCommMessage( kDiePigCommState, kHailCommState, mGetShipID(), kTruce_btn, kDiePig_msg );
	
	playerTeam->mGotoCommState( mGetShipID(), kBlankCommState );
  
}

void tEnemyTeamShip::mSetupShip()
{
	mSetShipCallbackEvents(  kNotifyDamage );
}
