//	<Name>	ISC_1Peace

#if !defined( ISC_1Peace_h )
#define ISC_1Peace_h

#include "ScriptInterface.h"

//---------------------------------------------------------------------------------------------
// the following enum is used to identify all non-player teams in the script
// (use kPlayerTeam to access the current players team.)
enum eTeamTypes
{
	// List all Teams set 1st = kTeam1
	kPlayerTeam = kTeam1,
	kEnemyTeam,
	kFedTeam,
	kKlingonTeam,
	kRomulanTeam,
	kOrganianTeam,
};

class tVictoryCondition;

class tISC_1Peace : public tScript
{
public:
	enum eCommStates
	{
		kCommSabotagedState,
		kCommRepairedState,
	};

	tISC_1Peace();

	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual int32	mInitializeFinished();
	virtual void	mStartMission();
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mASCIIOverrides( tMapOverrides* Map );
	virtual void	mDefineTeamShipStrengths( void );
	virtual	void	mDefineBriefings( void );

protected:
	tVictoryCondition* fVictoryCondition;
};

#endif

