//	<Name>	KlingonTeamShipInitialState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( KlingonTeamShipInitialState_h )
#define KlingonTeamShipInitialState_h

#include "ChildActorState.h"
#include "teamInfo.h"
#include "KlingonTeamShip.h"

class tKlingonTeamShipInitialState : public tChildActorState<tKlingonTeamShip>
{
public:
	enum eTimeIDs
	{
		kStartingID,
		kOrganian1ID,
		kOrganian2ID,
		kUltimatumID,
		kNonCompliance,
		kDeepScanONID,
		kUpgradeFightersID,
	};

	tKlingonTeamShipInitialState( );

	virtual void mBeginState();
	virtual void mEndState();

	virtual void mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType );
	virtual void mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType );
	virtual void mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip );
	virtual void mOnTimedInterval( int32 timerID );

protected:

	bool fKlingonTruce;
};

#endif

