//	<Name>	OrganianTeam.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "OrganianTeam.h"
#include "OrganianPlanet.h"
//#include "OrganianTeamInitialState.h"
#include "ShipScriptDescription.h"
#include "ISC_1Peace.h"
//#include "MissionText.h"
#include "ShipList_API.h"

tClassAllocator<tOrganianTeam> gOrganianTeamAllocator;

tOrganianTeam::tOrganianTeam() : tTeamInfo()
{
}

void tOrganianTeam::mSetupState()
{
}

void tOrganianTeam::mSetupCommState()
{

}


void tOrganianTeam::mCreateShipsForTeam()
{
	gST.mDebug_fprintf("--- Entering: tOrganianTeam::mCreateShipsForTeam\n");
   	gST.mCompleteNarrowedList();

	mOldCreateShipsForTeam();

	gST.mDebug_fprintf("--- Finished: tOrganianTeam::mCreateShipsForTeam\n");
}


void tOrganianTeam::mOldCreateShipsForTeam()
{
	gST.mDebug_fprintf("---- Entering: tOrganianTeam::mOldCreateShipsForTeam\n");

	mCreateShip( typeid( tOrganianPlanet ), "PL1", kStartPosition_Z, kNoMetaShipID,
									-1, 0, 0, -1, -1, NULL, kDefaultShipOptions );

	gST.mDebug_fprintf("---- Finished: tOrganianTeam::mOldCreateShipsForTeam\n");
}

void tOrganianTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
   gST.mDebug_fprintf("--- Entering: tOrganianTeam::mCreateNewShip: %s\n", 
	   shipScriptDescription.fClassName.c_str());
   gST.mInitializeSL();
   gST.mDraftedShipCensus( shipScriptDescription.fClassName.c_str() );

   // don't actually draft it. We're just collecting era data!
   	gST.mDebug_fprintf("We don't actually draft ship %s. We're just collecting data!\n",
		shipScriptDescription.fClassName.c_str());

   	gST.mDebug_fprintf("--- Finished: tOrganianTeam::mCreateNewShip: %s\n", 
		shipScriptDescription.fClassName.c_str());
}