//	<Name>	PlayerTeamInitialState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( PlayerTeamInitialState_h )
#define PlayerTeamInitialState_h

#include "ChildActorState.h"
#include "teamInfo.h"
#include "PlayerTeam.h"

class tPlayerTeamInitialState : public tChildActorState<tPlayerTeam>
{
public:
	enum eTimeIDs
	{
		kStartingID,
		kOrganian1ID,
		kOrganian2ID,
		kUltimatumID,
		kNonCompliance,
		kDeepScanONID,
		kUpgradeFightersID,
	};

	tPlayerTeamInitialState( );

	virtual void mBeginState();
	virtual void mEndState();

	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnDeepScan( tShipInfo* ship, iTruth deepScanOn );

protected:
	
	bool fDeepScanON;
};

#endif

