//	<Name>	FreighterTeamShip.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "ISC_2Promises.h"
#include "FreighterTeamShip.h"
#include "FreighterTeamShipInitialState.h"
#include "FreighterTeamShipReachedPlanetState.h"
#include "MissionText.h"

tClassAllocator<tFreighterTeamShip> gFreighterTeamShipAllocator;

void tFreighterTeamShip::mSetupState()
{
	mRegisterState( new tFreighterTeamShipInitialState( ) );
	mRegisterState( new tFreighterTeamShipReachedPlanetState() );

	mGotoState( typeid( tFreighterTeamShipInitialState ) );
}

void tFreighterTeamShip::mSetupCommState()
{
	tTeamInfo* playerTeam  = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) );

	playerTeam->mRegisterCommMessage( kHailCommState, kNoStateChange, mGetShipID(), kHail_btn, kNoResponse_msg );
	
	playerTeam->mGotoCommState( mGetShipID(), kHailCommState );
}
void tFreighterTeamShip::mSetupShip()
{
	mSetFinalDestination( );
	mSetShipMaxSpeed( 12 );
}


