//	<Name>	MissionText.cpp
//
//	<Info>	DESCRIPTION
//

#include "tclient.h"
#include "MissionText.h"

//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------

std::string Messages[] =
{
#ifdef _GERMAN

	// kMissionTitle_msg
	"ISC_2Promises",

	//kShortBriefing_msg,
	">Verhindern Sie, dass gegnerische Schiffe den Planeten erreichen. Finden Sie, wenn mglich, heraus, wie der Gegner es schafft, " \
	"unser Minenfeld zu umgehen<" \
	"Wir haben einen Krisenherd in diesem System. Um Aggressionen unserer Gegner zu verhindern, haben wir " \
	"das System mit Mikrominen gesperrt. Sie haben jedoch eine Mglichkeit gefunden, die Minen zu umgehen.\n\n" \
	"Sie behaupten, dass auf dem Planeten eine Seuche grassiert, eine sorgfltige Untersuchung " \
	"seitens des Concordiums hat jedoch ergeben, dass diese Behauptung lediglich aus politischen Grnden lanciert wird.\n\n" \
	"Ihr vordringlichste Mission ist es, das Mandat des ISK durchzusetzen, indem Sie verhindern, dass der Gegner " \
	"die so genannte Medizin in die Kolonie bringt. Ihre zweite Aufgabe besteht darin, herauszufinden, mit welcher Vorgehensweise " \
	"sie unser Minenfeld umgehen. Halten Sie nach allem Ungewhnlichen Ausschau und scannen Sie es.\n\n" \
	"Wegtreten.",

	// kBriefing_msg
	">Verhindern Sie, dass Schiffe der [TEAM2_RACE] den Planeten erreichen. Finden Sie, wenn mglich, heraus, wie der Gegner es schafft, " \
	"unser Minemfeld zu umgehen<" \
	"Wir haben einen Krisenherd in [SYSTEM_NAME]. Um Aggressionen seitens der [TEAM2_RACE_PLURAL] zu verhindern, haben wir " \
	"das System mit Mikrominen gesperrt. Sie haben jedoch eine Mglichkeit gefunden, die Minen zu umgehen.\n\n" \
	"Die [TEAM2_RACE_PLURAL] behaupten, dass auf dem Planeten eine Seuche grassiert, eine sorgfltige Untersuchung " \
	"seitens des Concordiums hat jedoch ergeben, dass diese Behauptung aus politischen Grnden lanciert wird.\n\n" \
	"Ihre vordringlichste Mission ist es, das Mandat des ISK durchzusetzen, indem Sie verhindern, dass [TEAM2_RACE_PLURAL] " \
	"die so genannte Medizin in die Kolonie bringt. Ihre zweite Aufgabe besteht darin, herauszufinden, mit welcher Vorgehensweise " \
	"sie unser Minenfeld umgehen. Halten Sie nach allem Ungewhnlichen Ausschau und scannen Sie es.\n\n" \
	"Wegtreten.",

	
	//kPlanet_name,
	"Kolonie [SYSTEM_NAME]",
	//kMineController_name,
	"Minenschalter",
	//kStarting1_msg,
	"[PLAYER_NAME]: Bericht des Befriedungsfeldzugs, galaktisches Datum [STARDATE]. Wir schtzen [SYSTEM_NAME] gegen " \
	"die Invasion eines fremden Volkes. Unsere Befehle lauten, alle Schiffe zu zerstren, bevor sie den Planeten erreichen, und herauszufinden, mit welcher " \
	"Technik sie gegen unser Mikrominenfeld bestehen knnen.",
	//kStarting2_msg,
	"Wissenschaftsoffizier: Ich erkennen zwei Kreuzer der [TEAM2_RACE] und ... einen Frachter auf extremer Reichweite. Sie sind geradeaus vor uns.\n\n" \
	"Waffenoffizier: Das ergibt keinen Sinn. Ein Frachter wrde sie nur behindern, und sie brauchen Geschwindigkeit, um " \
	"diese Mission abzuschlieen. Ich empfehle weitere Untersuchungen.",

	//kNavigationChatter_msg,
	"Navigation: Unsere Minenfeldschilde arbeiten normal",
	//kScienceChatter_msg,
	"Wissenschaftsoffizier: Wenn wir unsere Tiefenscanner in kurzer Reichweite einsetzen, knnen wir vielleicht erkennen, wie sie sich gegen unsere " \
	"Microminen verteidigen.",
	//kCommunicationsChatter_msg,
	"Kommunikationsoffizier:  Die Kolonie versucht, sie zu gren und um Hilfe zu bitten. Wie die Aufklrung bereits herausgefunden hat, " \
	"klagen sie ber eine Seuche.",
	//kSecurityChatter_msg,
	"Von den [TEAM2_RACE_PLURAL] sagt man, dass es erstaunlich gute Kmpfer sind.",

	//kHail_btn,
	"Gru",
	//kSurrender_btn,
	"Kapitulation fordern",
	//kNoResponse_msg,
	"Kommunikationsoffizier: Keine Reaktion, [PLAYER_RANK] ",
	//kHailFedHyd1_msg,
	"[PLAYER_NAME]: Dies ist ein strittiges System. Im Namen des ISK befehlen wir Ihnen, das System unverzglich zu verlassen.\n" \
	"Captain der [TEAM2_RACE]: Welcher Friedensstifter wrde Tausende von unschuldigen Kolonisten sterben lassen?\n" \
	"[PLAYER_NAME]: Wenn Sie so bekmmert um das Leben sind, warum verbringen Sie so viel Zeit mit Krieg?",
	//kHailFedHyd2_msg,
	"[PLAYER_NAME]: Dies ist ein strittiges System. Im Namen des ISK befehlen wir Ihnen, dass System unverzglich zu verlassen.\n" \
	"Captain der [TEAM2_RACE]: Bitte, wir sind nicht hier, um Ihre Autoritt anzuzweifeln; wir mchten lediglich " \
	"den Kolonisten helfen. Lassen Sie uns durch.\n" \
	"[PLAYER_NAME]: Den Kolonisten helfen und unsere Autoritt anzweifeln kommt auf das Gleiche hinaus, Anfrage abgelehnt.",
	//kHailFedHyd3_msg,
	"[PLAYER_NAME]: Dies ist ein strittiges System. Im Namen des ISK befehlen wir Ihnen, das System unverzglich zu verlassen.\n" \
	"Captain der [TEAM2_RACE]: Bitte, haben Sie doch Mitleid mit den vielen Frauen und Kindern in der Kolonie," \
	"die von Krankheit bedroht sind.\n" \
	"[PLAYER_NAME]: Der Krieg hat jahrzehntelang Tod und Verderben ber die Galaxis gebracht. Wo war Euer Mitleid, als Eure Gegner es gebraucht htten?",
	//kEarlySurrenderFedHyd,
	"[PLAYER_NAME]: Ergebt euch, oder seht eurer Vernichtung ins Auge.\n" \
	"Captain der [TEAM2_RACE]: Das erscheint mit aber ein wenig voreilig, Commander. So schwer sind unsere Schden auch wieder nicht.",
	//kLateSurrenderFedHyd,
	"[PLAYER_NAME]: Ergebt euch, oder seht eurer Vernichtung ins Auge.\n" \
	"Captain der [TEAM2_RACE]: Oh, wie wundervoll ist der Tod mit ungebeugtem Stolz und einer geballten Faust und einem Stern, " \
	"der einem ins Auge scheint. Ttet uns, wenn ihr es wagt, der Galaxis zu zeigen, dass ihr Schlchter seid, denn wir werden uns niemals ergeben.",

	//kHailKliRomLyr1_msg,
	"[PLAYER_NAME]: Dies ist ein strittiges System. Im Namen des ISK befehlen wir Ihnen, das System unverzglich zu verlassen.\n" \
	"Captain der [TEAM2_RACE]: Der Name des ISK bedeutet uns gar nichts. Und Ihre Befehle bedeuten uns noch viel weniger.\n" \
	"[PLAYER_NAME]: So sei es.",
	//kHailKliRomLyr2_msg,
	"[PLAYER_NAME]: Dies ist ein strittiges System. Im Namen des ISK befehlen wir Ihnen, das System unverzglich zu verlassen.\n" \
	"Captain der [TEAM2_RACE]: Nach Meinung des Imperiums der [TEAM2_RACE] ist an diesem System gar nichts strittig. Es gehrt uns.\n" \
	"[PLAYER_NAME]: Eigenwilligkeit schreit nach Bestrafung.",
	//kHailKliRomLyr3_msg,
	"[PLAYER_NAME]: Dies ist ein strittiges System. Im Namen des ISK befehlen wir Ihnen, dass System unverzglich zu verlassen.\n" \
	"Captain der [TEAM2_RACE]: Und warum sollten wir auf das Wort eines Eindringlings hren?\n"  \
	"[PLAYER_NAME]: Wir sind hier im Namen der Organier. Wir sind keine Eindringlinge.",
	//kEarlySurrenderKliRomLyr,
	"[PLAYER_NAME]: Ergebt euch, oder seht eurer Vernichtung ins Auge.\n" \
	"Captain der [TEAM2_RACE]: Wir werden sehen, wo die Frauen heute die Witwenschleier anlegen.",
	//kLateSurrenderKliRomLyr,
	"[PLAYER_NAME]: Ergebt euch, oder seht eurer Vernichtung ins Auge.\n" \
	"Captain der [TEAM2_RACE]: Sie haben keine Ahnung von den Tugenden des Widerstands und der Opferbereitschaft. Wenn es heute unser Schicksal ist, zu " \
	"sterben, werden wir euch diese Lektion lehren.",

	//kHailGorMirak1_msg,
	"[PLAYER_NAME]: Dies ist ein strittiges System. Im Namen des ISK befehlen wir Ihnen, das System unverzglich zu verlassen.\n" \
	"Captain der [TEAM2_RACE]: Ha!\n" \
	"[PLAYER_NAME]: Ich verstehe das als Ablehnung.",
	//kHailGorMirak2_msg,
	"[PLAYER_NAME]: Dies ist ein strittiges System. Im Namen des ISK befehlen wir Ihnen, das System unverzglich zu verlassen.\n" \
	"Captain der [TEAM2_RACE]: Wrden Sie der Sonne befehlen, ihr Antlitz zu verbergen? Unsere Entschlossenheit strahlt ebenso hell.\n" \
	"[PLAYER_NAME]: Poesie von einem Barbaren. Es ist eine Schande, dass Sie sterben mssen.",
	//kHailGorMirak3_msg,
	"[PLAYER_NAME]: Dies ist ein strittiges System. Im Namen des ISK befehlen wir Ihnen, das System unverzglich zu verlassen.\n" \
	"Captain der [TEAM2_RACE]: Tyrann! Wir werden unser rechtmiges Territorium nicht verlassen." \
	"[PLAYER_NAME]: Dann werdet ihr vernichtet.",
	//kEarlySurrenderGorMirak_msg,
	"[PLAYER_NAME]: Ergebt euch, oder seht eurer Vernichtung ins Auge.\n" \
	"Captain der [TEAM2_RACE]: Wir whlen nichts davon. Heute ist unser Tag, um zu tten.",
	//kLateSurrenderGorMirak_msg,
	"[PLAYER_NAME]: Ergebt euch, oder seht eurer Vernichtung ins Auge.\n" \
	"Captain der [TEAM2_RACE]: Wir sind am gefhrlichsten, wenn wir verwundet sind. Tut, was ihr nicht lassen knnt.",

	//kScannedFreighter_msg,
	"Wissenschaftsoffizier: Das Schiff verfgt ber eine Vorrichtung, die unser Mikrominenfeld innerhalb eines Radius von 150.000 Kilometern " \
	"um das Schiff ablenkt. Zerstren Sie den Frachter, und wir knnen sie mit unseren Mikrominen erwischen.",
	//kScannedCruiser_msg,
	"Wissenschaftsoffizier: Das Schiff entspricht den bekannten Dimensionen. Kein Anzeichen fr irgendeine Technik, die es in die Lage versetzen knnten, " \
	"unser Minenfeld zu umgehen.",

	//kFreighterDestroyed_msg,
	"Wissenschaftsoffizier: Das Schiff der [TEAM2_RACE] wurde von unseren Mikrominen zerstrt.",
	//kPriObjectiveFailed_msg,
	"Wissenschaftsoffizier: Die [TEAM2_RACE_PLURAL] befinden sich nun in Transporter-Entfernung zum Planeten. Sie haben irgend etwas auf die " \
	"Oberflche gebracht und im Gegenzug mehrere Dutzend Personen in Empfang genommen.",
	//kEnemyDestroyedByMines_msg,
	"Wissenschaftsoffizier: Das Schiff der [TEAM2_RACE] wurde von Mikrominen zerstrt, [PLAYER_RANK]!",

	// kAstoundingVictory_msg
	"Groartiger Sieg\n\n" \
	"Herzlichen Glckwunsch. Sie haben alle wichtigen Ziele dieser Mission erreicht. Die Sache des Friedens in unserer " \
	"Galaxis wurde einen groen Schritt nach vorne gebracht, dank Ihrem Mut und Ihrem Pflichtbewusstsein.",

	// kVictory_msg
	"Sieg\n\n" \
	"Sie haben die wichtigen Ziele erfllt. Herzlichen Glckwunsch. Sie konnten jedoch nicht feststellen, wie " \
	"sie unser Minenfeld umgehen. Diese Information wre fr uns von unschtzbarem Wert gewesen. Denken Sie beim nchsten Mal daran.",

	// kDraw_msg
	"Unentschieden",

	// kDefeat_msg
	"Niederlage\n\n"
	"Der Gegner konnte unsere Blockade durchbrechen und seine so genannte Medizin liefern. Das ist inakzeptabel. " \
	"Es dient nur dazu, sie zu ermutigen.",

	// kDevastatingDefeat_msg
	"Vernichtende Niederlage\n\n"
	"Nicht nur, dass unsere Blockade durchbrochen werden konnte, Sie haben sogar einige Gegner entkommen lassen. Mglicherweise ist ein Auffrischungskurs in " \
	"der Mglichkeiten fr die Friedenssicherung eine geeignete Manahme.",

	//kLeftEarly_msg,
	"Mission eingebt",

	//kPlayerTeam1Title_msg,
	"Versprechen, die gehalten werden mssen",

	//kScanning_msg,
	"Wissenschaftsoffizier: Wir beginnen mit dem Scannen...",

#else		////////////////////////////////////////////////////////////////////////////////////////////

	// kMissionTitle_msg
	"ISC_2Promises",

	//kShortBriefing_msg,
	"We have a crisis situation in this system.  To prevent aggression by our enemies, we've " \
	"blockaded the system with micro-mines, but they've found a way to circumvent them.\n\n" \
	"They claim that the planet is suffering from a plague, but after careful examination, " \
	"the Concordium has determined that these claims have been exaggerated for political purposes.\n\n" \
	"Your primary mission is to enforce the ISC mandate by preventing the enemy from delivering " \
	"their 'so-called' medicine to the colony.  Your secondary mission is to discover what they're using to " \
	"circumvent our minefield. Look for something unusual, and then scan it.\n\n" \
	"Dismissed.",

	// kBriefing_msg
	">Prevent the [TEAM2_RACE] ships from reaching the planet.  If possible discover how the enemy is " \
	"able to circumvent our minefield<" \
	"We have a crisis situation at [SYSTEM_NAME].  To prevent aggression by the [TEAM2_RACE_PLURAL], we've " \
	"blockaded the system with micro-mines, but they've found a way to circumvent them.\n\n" \
	"The [TEAM2_RACE_PLURAL] claim that the planet is suffering from a plague, but after careful examination, " \
	"the Concordium has determined that these claims have been exaggerated for political purposes.\n\n" \
	"Your primary mission is to enforce the ISC mandate by preventing the [TEAM2_RACE_PLURAL] from delivering " \
	"their 'so-called' medicine to the colony.  Your secondary mission is to discover what they're using to " \
	"circumvent our minefield. Look for something unusual, and then scan it.\n\n" \
	"Dismissed.",

	
	//kPlanet_name,
	"SYSTEM_NAME colony",
	//kMineController_name,
	"Mine Layer",
	//kStarting1_msg,
	"[PLAYER_NAME]: Pacification campaign record, Galactic Date [STARDATE]. We are guarding [SYSTEM_NAME] against " \
	"an alien incursion. Our orders are to destroy all ships before they reach the planet, and discover what " \
	"technology they're using to resist our micro-mine field.",
	//kStarting2_msg,
	"Science Officer: I'm reading two [TEAM2_RACE] cruisers and...a freighter at extreme range.  They are dead ahead.\n\n" \
	"Weapons Officer: That makes no sense. A freighter would slow them down, and they would need speed to " \
	"accomplish this mission. I recommend investigating it further.",

	//kNavigationChatter_msg,
	"Navigation: Our minefield shields are working normally",
	//kScienceChatter_msg,
	"Science Officer: If we use our deep scanners at close range, we may be able to determine how they are defeating our " \
	"micro-mines.",
	//kCommunicationsChatter_msg,
	"Communications:  The colony is trying to hail them and beg for help.  As intelligence indicated, they are " \
	"complaining about a plague.",
	//kSecurityChatter_msg,
	"The [TEAM2_RACE_PLURAL] are said to be suprisingly good fighters.",

	//kHail_btn,
	"Hail",
	//kSurrender_btn,
	"Demand Surrender",
	//kNoResponse_msg,
	"Communications: No response [PLAYER_RANK]",
	//kHailFedHyd1_msg,
	"[PLAYER_NAME]: This is a disputed system. In the name of the ISC, we order you to leave the system at once.\n" \
	"[TEAM2_RACE] Captain: What kind of peacekeeper would let thousands of innocent colonists die?\n" \
	"[PLAYER_NAME]: If you're so concerned with life, why do you spend so much time at war?",
	//kHailFedHyd2_msg,
	"[PLAYER_NAME]: This is a disputed system. In the name of the ISC, we order you to leave the system at once.\n" \
	"[TEAM2_RACE] Captain: Please, we're not here to challenge your authority; we just want to help the " \
	"colonists. Please stand aside.\n" \
	"[PLAYER_NAME]: Helping the colonists and challenging our authority is the same thing, Request denied.",
	//kHailFedHyd3_msg,
	"[PLAYER_NAME]: This is a disputed system. In the name of the ISC, we order you to leave the system at once.\n" \
	"[TEAM2_RACE] Captain: Please, have mercy on the thousands of women and children in the colony" \
	"threatened with disease.\n" \
	"[PLAYER_NAME]: War has engulfed the galaxy for decades. Where was your mercy when your enemies needed it?",
	//kEarlySurrenderFedHyd,
	"[PLAYER_NAME]: Surrender or be destroyed.\n" \
	"[TEAM2_RACE] Captain: It's a little premature, Commander. We're not that badly damaged.",
	//kLateSurrenderFedHyd,
	"[PLAYER_NAME]: Surrender or be destroyed.\n" \
	"[TEAM2_RACE] Captain: Oh, what a thing it is to die with unbent pride and a clenched fist, and a star " \
	"burning in one's eyes. Kill us if you dare to show the galaxy that you are butchers, for we shall not surrender.",

	//kHailKliRomLyr1_msg,
	"[PLAYER_NAME]: This is a disputed system. In the name of the ISC, we order you to leave the system at once.\n" \
	"[TEAM2_RACE] Captain: The name of the ISC means nothing to us. And your orders mean less than nothing.\n" \
	"[PLAYER_NAME]: So be it.",
	//kHailKliRomLyr2_msg,
	"[PLAYER_NAME]: This is a disputed system. In the name of the ISC, we order you to leave the system at once.\n" \
	"[TEAM2_RACE] Captain: In the opinion of the [TEAM2_RACE] Empire, there is nothing disputed about it. It is ours.\n" \
	"[PLAYER_NAME]: Willfulness will be punished.",
	//kHailKliRomLyr3_msg,
	"[PLAYER_NAME]: This is a disputed system. In the name of the ISC, we order you to leave the system at once.\n" \
	"[TEAM2_RACE] Captain: And why should we listen to the word of an intruder?\n"  \
	"[PLAYER_NAME]: We are here on the authority of the Organians. We are not intruders.",
	//kEarlySurrenderKliRomLyr,
	"[PLAYER_NAME]: Surrender or be destroyed.\n" \
	"[TEAM2_RACE] Captain: We shall see who's widow will weep this day.",
	//kLateSurrenderKliRomLyr,
	"[PLAYER_NAME]: Surrender or be destroyed.\n" \
	"[TEAM2_RACE] Captain: You have no idea about the virtues of defiance and sacrifice. If it is our fate to " \
	"die today, we will teach you that lesson.",

	//kHailGorMirak1_msg,
	"[PLAYER_NAME]: This is a disputed system. In the name of the ISC, we order you to leave the system at once.\n" \
	"[TEAM2_RACE] Captain: Ha!\n" \
	"[PLAYER_NAME]: I take it that is a no.",
	//kHailGorMirak2_msg,
	"[PLAYER_NAME]: This is a disputed system. In the name of the ISC, we order you to leave the system at once.\n" \
	"[TEAM2_RACE] Captain: Would you order the sun to fade? Our purpose burns just as bright.\n" \
	"[PLAYER_NAME]: Poetry from a barbarian. A shame you have to die.",
	//kHailGorMirak3_msg,
	"[PLAYER_NAME]: This is a disputed system. In the name of the ISC, we order you to leave the system at once.\n" \
	"[TEAM2_RACE] Captain: Tyrant! We are not leaving our lawful territory.\n" \
	"[PLAYER_NAME]: Then you will be destroyed.",
	//kEarlySurrenderGorMirak_msg,
	"[PLAYER_NAME]: Surrender or be destroyed.\n" \
	"[TEAM2_RACE] Captain: We choose neither. Today, we kill.",
	//kLateSurrenderGorMirak_msg,
	"[PLAYER_NAME]: Surrender or be destroyed.\n" \
	"[TEAM2_RACE] Captain: We are at our most dangerous when we are bloodied. Do your worst.",

	//kScannedFreighter_msg,
	"Science Officer: The vessel has a device that is deflecting our micro-mine field within an 150,000 kilometer " \
	"radius of the ship. Destroy the freighter and they'll be susceptible to our micro-mines.",
	//kScannedCruiser_msg,
	"Science Officer: The vessel matches known perimeters. No sign of any technology that would enable it " \
	"to avoid our minefield.",

	//kFreighterDestroyed_msg,
	"Science Officer: The [TEAM2_RACE] ship was destroyed by our micro-mines.",
	//kPriObjectiveFailed_msg,
	"Science Officer: The [TEAM2_RACE_PLURAL] have entered transport range of the planet. They have transported something to " \
	"the surface and received several dozen individuals in return.",
	//kEnemyDestroyedByMines_msg,
	"Science Officer: [TEAM2_RACE] ship destroyed by micro-mines, [PLAYER_RANK]!",

	// kAstoundingVictory_msg
	"Astounding Victory\n\n" \
	"Congratulations. You achieved all of your major objectives on this mission. The cause of peace in our " \
	"galaxy has received a major advance, thanks to your courage and dedication.",

	// kVictory_msg
	"Victory\n\n" \
	"You achieved your major objective. Congratulations. However, you failed to determine how they were " \
	"negating our minefield. This information would have been invaluable.  Do not neglect it, next time.",

	// kDraw_msg
	"Draw",

	// kDefeat_msg
	"Defeat\n\n"
	"The enemy succeeded in breaking our blockade and delivering their so-called medicine. This is not acceptable. " \
	"This will only serve to embolden them.",

	// kDevastatingDefeat_msg
	"Devastating Defeat\n\n"
	"Not only was our blockade broken but you also allowed some of the enemies to escape.  Perhaps reeducation in the " \
	"ways of keeping peace is in order.",

///////////////////////////////Needs localization after this point//////////////////////////////////////
	//kLeftEarly_msg,
	"Forfeit",

	//kPlayerTeam1Title_msg,
	"Promises to keep",

	//kScanning_msg,
	"Science Officer: Beginning scan...",

#endif
};

