//	<Name>	ISC_3IronCage

#if !defined( ISC_3IronCage_h )
#define ISC_3IronCage_h

#include "ScriptInterface.h"

//---------------------------------------------------------------------------------------------
// the following enum is used to identify all non-player teams in the script
// (use kPlayerTeam to access the current players team.)
enum eTeamTypes
{
	kPlayerTeam = kTeam1,
	kNonISCTeam,
	kNPC1Team,
	kPlayerNPCTeam,
	kFreighterTeam,
};

class tVictoryCondition;

class tISC_3IronCage : public tScript
{
public:

	tISC_3IronCage();

	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual iTruth	mUsePlayerShip( tShipInGame& Ship );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual int32	mInitializeFinished();
	virtual void	mStartMission();
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual void	mASCIIOverrides( tMapOverrides* Map );
	virtual void	mDefineBriefings( void );
	virtual void	mDefineTeamShipStrengths( void );
};

#endif

