//	<Name>	NonISCTeamKillState.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "ISC_3IronCage.h"
#include "NonISCTeamKillState.h"
#include "PlayerNPCTeam.h"

void tNonISCTeamKillState::mBeginState()
{
	tTeamInfo*	nonISCTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kNonISCTeam ) );
	tTeamInfo*	playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
	Assert( nonISCTeam && playerTeam );
	if ( ( !nonISCTeam ) || ( !playerTeam ) )
		return;

	tShipIterator	playerShip = playerTeam->mGetFirstShip();
	Assert( *playerShip != NULL );

	tShipInPlayEval	inPlayEval;
	playerShip.mAddEvaluator( &inPlayEval );

	if ( *playerShip != NULL )
	{
		for ( tShipIterator tempShip = nonISCTeam->mGetFirstShip() ; *tempShip != NULL ; tempShip++ )
		{
			tempShip->mSetShipTarget( *playerShip, kMediumPriority );
		}
	}
}

void tNonISCTeamKillState::mEndState()
{}
