//	<Name>	PlayerTeam.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( PlayerTeam_h )
#define PlayerTeam_h

#include "ShipScriptDescription.h"
#include "TeamInfo.h"

class tPlayerTeam : public tTeamInfo
{
public:

	virtual void	mSetupVictoryCondition();
	virtual void	mSetupDebriefingList( eVictoryLevels victoryLevel );

	virtual void	mSetupState();
	virtual void	mSetupCommState();
	virtual void	mCreateShipsForTeam();
	virtual void	mTeamSetupComplete();

	virtual void	mCreateNewShip( const tShipScriptDescription& shipScriptDescription );

	virtual void	mScheduleNextMission( tVictoryCondition* VictoryCondition );

	enum eCustomIDs
	{
		kPlayerShip1 = 1000,
		kPlayerShip2,
		kPlayerShip3,
	};
};

#endif

