//	<Name>	EnemyTeam.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "tclient.h"
#include "ShipScriptDescription.h"
#include "EnemyTeam.h"
#include "MissionText.h"
#include "EnemyTeamInitialState.h"
#include "ShipList_API.h"

tClassAllocator<tEnemyTeam> gEnemyTeamAllocator;

void tEnemyTeam::mSetupState()
{
	mRegisterState( new tEnemyTeamInitialState( ) );
	mGotoState( typeid( tEnemyTeamInitialState ) );
}

void tEnemyTeam::mSetupCommState()
{
}

void tEnemyTeam::mCreateShipsForTeam()
{
}

void tEnemyTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
    gST.mDebug_fprintf("--- Entering: tEnemyTeam::mCreateNewShip: %s\n",
        shipScriptDescription.fClassName.c_str());
    gST.mInitializeSL();
    gST.mDraftedShipCensus( shipScriptDescription.fClassName.c_str() );

   // don't actually draft it. We're just collecting era data!
    gST.mDebug_fprintf("We don't actually draft ship %s. We're just collecting data!\n",
        shipScriptDescription.fClassName.c_str());

    gST.mDebug_fprintf("--- Finished: tEnemyTeam::mCreateNewShip: %s\n",
        shipScriptDescription.fClassName.c_str());
}