//	<Name>	EnemyTeamShipInitialState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( EnemyTeamShipInitialState_h )
#define EnemyTeamShipInitialState_h

#include "ChildActorState.h"

#include "EnemyTeamShip.h"

class tEnemyTeamShipInitialState : public tChildActorState<tEnemyTeamShip>
{
public:
	enum eTimerID
	{
		kCheckDistanceID,
		kWaitedToLongID,
		kJobDoneID,
		kDeepScanONID,
		kEnemyArrivalID,
		kLastEnemyArrivalID,
		kSetTargetID,
		kStartingID,
		kStarting2ID,
		kChatterID,
		kUpgradeFightersID,
	};

	virtual void mBeginState();
	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnDamagemOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType );
};

#endif
