//	<Name>	PlayerTeam.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( PlayerTeam_h )
#define PlayerTeam_h

#include "TeamInfo.h"
 
class tPlayerTeam : public tTeamInfo
{
public:
	enum
	{
	
	};
	tPlayerTeam();
	virtual void mCreateShipsForTeam( int count, tShipInGame* ships[] );
	virtual void mSetupState();
	virtual void mSetFreighterOneScanned( bool setValue );
	virtual bool mGetFreighterOneScanned();
	virtual void mSetFreighterTwoScanned( bool setValue );
	virtual bool mGetFreighterTwoScanned();
	virtual void mSetfExplosiveFreighterScanned( bool setValue );
	virtual bool mGetfExplosiveFreighterScanned();

	virtual void mSetupVictoryCondition();
	virtual void mSetupDebriefingList( eVictoryLevels VictoryLevel );
	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );
	virtual void mScheduleNextMission( tVictoryCondition* VictoryCondition );
	virtual void mTeamSetupComplete();

private:

	bool fFreighterOneScanned;
	bool fFreighterTwoScanned;
	bool fExplosiveFreighterScanned;
};

#endif


