/********************************************************************************************************\

	File Name:	Cruiser4.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( Cruiser4_h )
#define Cruiser4_h

#include "ShipInfo.h"


class tCruiser4 : public tShipInfo
{
public:

	tCruiser4();

	virtual	void mSetupState();
	virtual void mSetupCommState();
	virtual void mSetupShip();

	enum eTimerIDs
	{
		kJudasTimerID = 3000,
	};

	enum eCommStates
	{
		kBeforeCapturedCommState,
			//
			//	- HAIL
			//	- <RANDOM MESSAGE>
			//
		kAfterCapturedCommState,
			//
			//	- HAIL
			//

		kBlankCommState1,
		kBlankCommState2,
	};

	bool	mSaboteurCaptured();
	int32	mInstruction1();
	int32	mInstruction2();

	void	mSetSaboteurCaptured( bool x );
	void	mSetInstruction1( int32 x );
	void	mSetInstruction2( int32 x );

protected:

	bool	fSaboteurCaptured;
	int32	fInstruction1;
	int32	fInstruction2;
};

#endif

