/********************************************************************************************************\

	File Name:	ISC_5Accuse.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************///	<Name>	ISC_5Accuse

#if !defined( ISC_5Accuse_h )
#define ISC_5Accuse_h

#include "ScriptInterface.h"


//---------------------------------------------------------------------------------------------
// the following enum is used to identify all non-player teams in the script
// (use kPlayerTeam to access the current players team.)
enum eTeamTypes
{
	kPlayerTeam = kTeam1,
	kEnemyTeam1,
	kEnemyTeam2,
	kNPCTeam1,
	kPlayerNPCTeam,
	kDraftTeam,
};

class tVictoryCondition;

class tISC_5Accuse : public tScript
{
public:

	tISC_5Accuse();

	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual iTruth	mUsePlayerShip( tShipInGame& Ship );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual int32	mInitializeFinished();
	virtual void	mStartMission();
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual void	mASCIIOverrides( tMapOverrides* Map );
	virtual void	mDefineBriefings( void );
	virtual void	mDefineTeamShipStrengths( void );
};

#endif

