/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN

	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"ISC_6Immunity",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"Die geringeren Mchte der Galaxis halten gerade ein Treffen auf einer Raumbasis ab, um eine Allianz gegen uns zu grnden. " \
	"Glcklicherweise haben wir von diesem Verrat erfahren und einen Neutrinobombe auf der Raumbasis zur Explosion gebracht. Die Basis und die " \
	"sie umgebenden Schiffe kreisen jetzt hilflos im Raum. Ihre primre Mission besteht darin, die Raumbasis mit Ihren Entertrupps " \
	"zu erobern. Ihre sekundre Mission ist die Zerstrung von mglichst vielen der Schiffe, die die Basis umgeben.\n\n" \
	"Im Namen des Friedens wnsche ich Ihnen gutes Gelingen.\n\n" \
	"Wegtreten.\n\n",

	//
	//	Starting message
	//
	
	//	kStart_msg,
	"[PLAYER_NAME]: Bericht des Befriedungsfeldzugs, galaktisches Datum [STARDATE]. Wir sind auf dem Weg zu einer Raumbasis im " \
	"[SYSTEM_NAME], die von einer Neutrinobombe lahmgelegt wurde. Unsere Mission besteht darin, die Raumbasis einzunehmen und " \
	"alle Schiffe im System zu zerstren.\n\n",

	//
	//	Debriefing messages
	//
	
	//	kDebAstoundingVictory_msg,
	"Herzlichen Glckwunsch. Sie haben die Raumbasis erfolgreich erobert. Unsere Generle freuen sich darauf, sie als " \
	"Operationsbasis verwenden zu knnen.\n\n" \
	"Darber hinaus haben Sie mit der Zerstrung der Schiffe derjenigen, die uns mit Krieg berziehen, der Sache des Friedens " \
	"einen groartigen Dienst erwiesen. Der Dank des ISKs ist Ihnen sicher.\n\n" \
	"Wegtreten.\n\n",
	
	//	kDebVictory_msg,
	"Herzlichen Glckwunsch. Sie haben die Raumbasis erfolgreich erobert. Unglcklicherweise haben Sie nicht alle " \
	"Schiffe zerstrt, was jedoch im Vergleich zu dem, was Sie geleistet haben, nur ein geringes Versumnis ist. Unsere Generle freuen sich darauf, " \
	"die Raumbasis als Operationsbasis verwenden zu knnen.\n\n" \
	"Wegtreten.\n\n",
	
	//	kDebDraw_msg,
	"\n\n",
	
	//	kDebDefeat_msg,
	"Unsere nchste Offensive war von der Eroberung der Raumbasis abhngig. Ihr Unvermgen, die Basis zu erobern, hat " \
	"der Befriedungsinitiative schwer geschadet.\n\n" \
	"Sehen Sie mich an. Dank Ihres Unvermgens rede ich nun wie ein Kriegshetzer. Gehen Sie mir aus den Augen!\n\n",
	
	//	kDebDevastatingDefeat_msg,
	"Unsere nchste Offensive war von der Eroberung der Raumbasis abhngig. Ihr Unvermgen, die Basis zu erobern, hat " \
	"der Befriedungsinitiative schwer geschadet.\n\n" \
	"Sehen Sie mich an. Dank Ihres Unvermgens rede ich nun wie ein Kriegshetzer. Gehen Sie mir aus den Augen!\n\n",

	//
	//	Comm buttons
	//
	
	//	k_HAIL_btn,
	"RUFEN",

	//
	//	Comm messages
	//
	
	//	k_HAIL_msg,
	"Kommunikationsoffizier: Die Neutrino-Explosion hat die Kommunikation in diesem System vollkommen unmglich gemacht. " \
	"Im Raum herrscht heute Nacht wahre Stille.\n\n",

	//
	//	Victory rating
	//

	// kAstoundingVictory_msg,
	"Groartiger Sieg!\n",

	// kVictory_msg,
	"Sieg!\n",

	// kDraw_msg,
	"Unentschieden.\n",

	// kDefeat_msg,
	"Niederlage.\n",

	// kDevastatingDefeat_msg,
	"Vernichtende Niederlage.\n",

	//
	//	Random chatter
	//

	//	kRandChat1_msg,
	"Steuermann:\n\n",
	
	//	kRandChat2_msg,
	"Ingenieur:\n\n",
	
	//	kRandChat3_msg,
	"Sicherheitsoffizier:\n\n",
	
	//	kRandChat4_msg,
	"Navigation:\n\n",
	
	//	kRandChat5_msg,
	"Waffenoffizier:\n\n",
	
	//	kRandChat6_msg,
	"Wissenschaftsoffizier:\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//

	//	kEvent2_1_msg,
	"Kommunikationsoffizier: [PLAYER_RANK], der Gegner hat Verstrkung bekommen. Drei mittelgroe Kreuzer.\n\n",
	
	//	kEvent3_1_msg,
	"Sicherheitsoffizier: Unser Befriedungsteam hat die Raumbasis eingenommen.\n\n",
	
	//	kEvent3_2_msg,
	"Kommunikationsoffizier: [PLAYER_RANK], der Gegner hat Verstrkung bekommen. Drei mittelgroe Kreuzer.\n\n",
	
	//	kEvent3_3_msg,
	"Erster Offizier: Wir haben den gegnerischen Angriff zurckgeschlagen. Mission erfllt.\n\n",
	
	//	kEvent4_1_msg,
	"Waffenoffizier: Schiffe der [TEAM3_RACE] zerstrt, [PLAYER_RANK].\n\n",
	
	//	kEvent4_2_msg,
	"Erster Offizier: Wir haben alle gegnerischen Schiffe besiegt. Nun mssen wir die Raumbasis erobern.\n\n",
	
	//	kEvent4_3_msg,
	"Erster Offizier: Wir haben den Gegner besiegt, obwohl wir nicht smtliche Schiffe zerstren konnten. Mission " \
	"erfllt.\n\n",
	
	//	kEvent4_4_msg,
	"Erster Offizier: Wir haben den Gegner befriedet. Mission erfllt.\n\n",
	
	//	kEvent5_1_msg,
	"Waffenoffizier: Schiffe der [TEAM3_RACE] bernommen, [PLAYER_RANK].\n\n",
	
	//	kEvent5_2_msg,
	"Erster Offizier: Wir haben alle gegnerischen Schiffe besiegt. Nun mssen wir die Raumbasis erobern.\n\n",
	
	//	kEvent5_3_msg,
	"Erster Offizier: Wir haben den Gegner besiegt, obwohl wir nicht smtliche Schiffe zerstren konnten. Mission " \
	"erfllt.\n\n",
	
	//	kEvent6_1_msg,
	"Waffenoffizier: Schiffe der [TEAM3_RACE] erobert, [PLAYER_RANK].\n\n",
	
	//	kEvent6_2_msg,
	"Erster Offizier: Wir haben alle gegnerischen Schiffe besiegt. Nun mssen wir die Raumbasis erobern.\n\n",
	
	//	kEvent6_3_msg,
	"Erster Offizier: Wir haben den Gegner besiegt, obwohl wir nicht smtliche Schiffe zerstren konnten. Mission " \
	"erfllt.\n\n",
	
	//	kEvent7_1_msg,
	"Wissenschaftsoffizier: Wir verlassen das System, Captain.\n\n",
	
	//	kEvent8_1_msg,
	"Wissenschaftsoffizier: Wir haben das System verlassen.\n\n",

	//
	//	Custom messages
	//

	//	kCustom1_msg,
	"Erster Offizier: Unsere Befehle lauteten, die Raumbasis zu erobern und nicht, sie zu zerstren!\n\n",

	//
	//	Not localized as of 10/8/00
	//
	
	//	kPlayerTeamTitle_msg,
	"Diplomatische Immunitt",

	//	kPlayerTeamBriefing_msg,
	"",

	//
	//	Not localized as of 10/17/00
	//

	//	kScanning_msg,
	"Wissenschaftsoffizier: Wir scannen...\n\n",

	//	kDisconnect_msg, forfeit
	"Mission eingebt",

#else		//////////////////////////////////////////////////////////////////////////////////////

	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"ISC_6Immunity",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"The lesser powers of the galaxy are meeting at a starbase to propose an alliance against us.  " \
	"Fortunately we learned of this treachery and detonated a neutrino bomb at the base.  The base and the " \
	"surrounding ships are now helpless in space.  Your primary mission is to use your boarding parties to " \
	"capture the starbase.  Your secondary mission is to destroy as many of the surrounding ships as possible.\n\n" \
	"In the name of peace, good luck.\n\n" \
	"Dismissed.\n\n",

	//
	//	Starting message
	//
	
	//	kStart_msg,
	"[PLAYER_NAME]: Pacification campaign record, Galactic Date [STARDATE]. We are enroute to a starbase in " \
	"[SYSTEM_NAME], which has been disabled by a neutrino bomb.  Our mission is to take the starbase and " \
	"destroy all of the ships in the system.\n\n",

	//
	//	Debriefing messages
	//
	
	//	kDebAstoundingVictory_msg,
	"Congratulations.  You successfully captured the starbase.  Our generals look forward to using it as " \
	"a base of operations.\n\n" \
	"In addition, by destroying the ships of those who plotted war against us, you have performed a great " \
	"service for the cause of peace.  The ISC thanks you.\n\n" \
	"Dismissed.\n\n",
	
	//	kDebVictory_msg,
	"Congratulations.  You successfully captured the starbase.  Unfortunately, you did not destroy all the " \
	"ships, but this is a minor failure compared to what you accomplished.  Our generals look forward to " \
	"using it as a base of operations.\n\n" \
	"Dismissed.\n\n",
	
	//	kDebDraw_msg,
	"\n\n",
	
	//	kDebDefeat_msg,
	"Our next offensive depended on the capture of the base.  Your inability to capture the base has " \
	"severely compromised our pacification initiative.\n\n" \
	"Look at me.  Thanks to you, I'm talking like a warmonger.  Get out of here!\n\n",
	
	//	kDebDevastatingDefeat_msg,
	"Our next offensive depended on the capture of the base.  Your inability to capture the base has " \
	"severely compromised our pacification initiative.\n\n" \
	"Look at me.  Thanks to you, I'm talking like a warmonger.  Get out of here!\n\n",

	//
	//	Comm buttons
	//
	
	//	k_HAIL_btn,
	"HAIL",

	//
	//	Comm messages
	//
	
	//	k_HAIL_msg,
	"Communications Officer: The neutrino explosion completely wiped out communications in this system.  " \
	"Space is truly silent tonight.\n\n",

	//
	//	Victory rating
	//

	// kAstoundingVictory_msg,
	"Astounding Victory!\n",

	// kVictory_msg,
	"Victory!\n",

	// kDraw_msg,
	"Draw.\n",

	// kDefeat_msg,
	"Defeat.\n",

	// kDevastatingDefeat_msg,
	"Devastating Defeat.\n",

	//
	//	Random chatter
	//

	//	kRandChat1_msg,
	"Helm:\n\n",
	
	//	kRandChat2_msg,
	"Engineer:\n\n",
		
	//	kRandChat3_msg,
	"Security Officer:\n\n",
	
	//	kRandChat4_msg,
	"Navigation:\n\n",
		
	//	kRandChat5_msg,
	"Weapons Officer:\n\n",
	
	//	kRandChat6_msg,
	"Science Officer:\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	
	//	kEvent2_1_msg,
	"Communications Officer: [PLAYER_RANK], enemy reinforcements have arrived.  Three medium cruisers.\n\n",
	
	//	kEvent3_1_msg,
	"Security Officer: Our pacification team has taken the Starbase.\n\n",
	
	//	kEvent3_2_msg,
	"Communications Officer: [PLAYER_RANK], enemy reinforcements have arrived.  Three medium cruisers.\n\n",
	
	//	kEvent3_3_msg,
	"First Officer: We've beaten back the enemy attack.  Mission accomplished.\n\n",
	
	//	kEvent4_1_msg,
	"Weapons Officer: Alliance ship destroyed, [PLAYER_RANK].\n\n",
	
	//	kEvent4_2_msg,
	"First Officer: We've defeated all the enemy ships.  Now we need to capture the base.\n\n",
	
	//	kEvent4_3_msg,
	"First Officer: We've defeated the enemy, although we didn't destroy all their ships.  Mission " \
	"accomplished.\n\n",
	
	//	kEvent4_4_msg,
	"First Officer: We've pacified the enemy.  Mission accomplished.\n\n",
	
	//	kEvent5_1_msg,
	"Weapons Officer: Alliance ships subdued, [PLAYER_RANK].\n\n",
	
	//	kEvent5_2_msg,
	"First Officer: We've defeated all the enemy ships.  Now we need to capture the base.\n\n",
	
	//	kEvent5_3_msg,
	"First Officer: We've defeated the enemy, although we didn't destroy all their ships.  Mission " \
	"accomplished.\n\n",
	
	//	kEvent6_1_msg,
	"Weapons Officer: Alliance ships captured, [PLAYER_RANK].\n\n",
	
	//	kEvent6_2_msg,
	"First Officer: We've defeated all the enemy ships.  Now we need to capture the base.\n\n",
	
	//	kEvent6_3_msg,
	"First Officer: We've defeated the enemy, although we didn't destroy all their ships.  Mission " \
	"accomplished.\n\n",
	
	//	kEvent7_1_msg,
	"Science Officer: Leaving the system, Captain.\n\n",
	
	//	kEvent8_1_msg,
	"Science Officer: We have left the system.\n\n",

	//
	//	Custom messages
	//

	//	kCustom1_msg,
	"First Officer: Our orders were to capture the starbase, not destroy it!\n\n",

	//
	//	Not localized as of 10/8/00
	//
	
	//	kPlayerTeamTitle_msg,
	"Diplomatic Immunity",

	//	kPlayerTeamBriefing_msg,
	"",

	//
	//	Not localized as of 10/17/00
	//

	//	kScanning_msg,
	"Science Officer: Scanning...\n\n",

	//
	//	Not localized as of 11/5/00
	//

	//	kDisconnect_msg,
	"Forfeit",

#endif
};


