/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN

	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"ISC_7BattleGrave",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"Die minderen Vlker der Galaxis planen gerade eine kleine Offensive. Ihr Ziel sind unsere Umerziehungs- " \
	"zentren in [SYSTEM_NAME].\n\n" \
	"Es gibt dort drei Basisstationen, die verteidigt werden mssen. Sie schicken eine groe Flotte, und es sieht " \
	"so aus, als htten sie eine Menge Verstrkung. Sie verwenden eine Transponderboje, um ihre " \
	"Kommunikation ber dieses Feld sicherzustellen. Zerstren Sie diesen Transponder, und sie sind nicht mehr in der Lage, " \
	"Verstrkung anzufordern.\n\n" \
	"Ihr primres Ziel besteht darin, jedes Schiff der Allianz zu zerstren oder auer Gefecht zu setzen, bevor es zu einer Bedrohung fr das " \
	"ISK wird. Die Stationen drfen nicht zerstrt werden.\n\n" \
	"Wegtreten.\n\n",

	//
	//	Starting message
	//
	
	//	kStart_msg,
	"[PLAYER_NAME]: Bericht des Befriedungsfeldzugs, galaktisches Datum [STARDATE]. Wir haben den Auftrag, " \
	"drei Basisstationen vor einem gegnerischen Angriff zu schtzen. Wir mssen den gegnerischen Transponder aus dem Verkehr ziehen, der " \
	"es ihnen ermglicht, Verstrkung herbeizurufen, drfen hierbei aber auch die Verteidigung der Stationen " \
	"nicht vernachlssigen.\n\n",

	//
	//	Debriefing messages
	//
	
	//	kDebAstoundingVictory_msg,
	"Sie haben es geschafft, alle Stationen zu retten - groartig. Sie sind ein Gewinn fr den Feldzug. Unser " \
	"Geheimdienst erwartet in Krze mehrere groe Offensiven des Gegners, also halten Sie sich bereit. Die Allianz stellt eine ernsthafte " \
	"Bedrohung fr die Zukunft unseres Befriedungsfeldzuges dar, und wir brauchen all Ihren Mut und Ihre Fhigkeiten, " \
	"um damit fertig zu werden.\n\n" \
	"Wegtreten.\n\n",
	
	//	kDebVictory_msg,
	"Sie haben es geschafft, wenigstens eine der Stationen zu retten, ein kleiner Sieg, aber immerhin ein Sieg. Ich frchte nur, " \
	"dass dies die minderen Vlker ermutigen und den Befriedungsfeldzug wesentlich verlngern wird.\n\n" \
	"Wegtreten.\n\n",
	
	//	kDebDraw_msg,
	"\n\n",
	
	//	kDebDefeat_msg,
	"Sie haben die Mission durchgefhrt, und was haben Sie erreicht? Nichts! Die Umerziehungszentren sind komplett zerstrt, und die Macht des ISKs " \
	"im Quadranten ist erschttert. Dementsprechend hat auch der Befriedungsfeldzug ernsthaft Schaden genommen.\n\n" \
	"Wegtreten.\n\n",
	
	//	kDebDevastatingDefeat_msg,
	"Sie haben die Schlacht vor ihrem Ende verlassen. Unehrenhaft. Sogar die Primitivlinge, die Sie bekmpft haben, " \
	"wrden nicht in solch feiger Weise reagieren.\n\n" \
	"Wegtreten.\n\n",

	//
	//	Comm buttons
	//
	
	//	k_HAIL_Ally_btn,
	"RUFEN",
	
	//	k_ATTACKTARGET_Ally_btn,
	"MICH VERTEIDIGEN",
	
	//	k_HAIL_Enemy_btn,
	"RUFEN",
	
	//	k_DEMANDSURRENDER_Enemy_btn,
	"KAPITULATION FORDERN",

	//
	//	Comm messages
	//
	
	//	k_HAIL_Ally1_msg,
	"Kommunikationsoffizier: Sie antworten nicht auf unsere Rufe.\n\n",
	
	//	k_HAIL_Ally2_msg,
	"Captain: Wir hatten noch keine Feindberhrung.\n\n",
	
	//	k_HAIL_Ally3_msg,
	"Captain: Die Hlle lst sich langsam auf. Ich rechne mit dem Schlimmsten.\n\n",
	
	//	k_HAIL_Ally4_msg,
	"Captain: Wir sind noch nicht bereit, das Befriedungsprogramm abzubrechen.\n\n",
	
	//	k_HAIL_Ally5_msg,
	"Captain: Diese Tiere werden uns tten. Wir brauchen Verstrkung.\n\n",
	
	//	k_ATTACKTARGET_Ally1_msg,
	"Kommunikationsoffizier: Sie antworten nicht auf unsere Rufe.\n\n",
	
	//	k_ATTACKTARGET_Ally2_msg,
	"Captain: Besttigt. Wir werden unser Bestes tun.\n\n",

	//	k_ATTACKTARGET_Ally3_msg,
	"Captain: Negativ, wir sind zu schwer beschdigt. Wir mssen uns zurckziehen.\n\n",
	
	//	k_HAIL_Enemy1_1_msg,
	"[PLAYER_NAME]: Dieses System untersteht der Gerichtsbarkeit des ISK. Macht euch davon, oder seht eurer Vernichtung ins Auge.\n\n" \
	"Captain der [TEAM3_RACE]: Sie haben unsere Brger entfhrt und ihnen eine Gehirnwsche verpasst!\n\n" \
	"[PLAYER_NAME]: Wir behandeln nur die Unzufriedenen, die sich geweigert haben, die Neutrale Zone zu verlassen, und dies mit " \
	"mehr Mitleid, als Ihr Volk je an den Tag gelegt hat.\n\n",
	
	//	k_HAIL_Enemy1_2_msg,
	"[PLAYER_NAME]: Dieses System untersteht der Gerichtsbarkeit des ISK. Macht euch davon, oder seht eurer Vernichtung ins Auge.\n\n" \
	"Captain der [TEAM3_RACE]: Wie wre es denn mit friedlichen Verhandlungen?\n\n" \
	"[PLAYER_RACE]: Diese Mglichkeit ist den zivilisierteren Vlkern wie dem unsrigen vorbehalten.\n\n",
	
	//	k_HAIL_Enemy1_3_msg,
	"[PLAYER_NAME]: Dieses System untersteht der Gerichtsbarkeit des ISK. Macht euch davon, oder seht eurer Vernichtung ins Auge.\n\n" \
	"Captain der [TEAM3_RACE]: Wir gehen nirgendwo hin. Nicht, solange in Euren Propagandazentren noch ein Stein auf dem anderen " \
	"steht.\n\n" \
	"[PLAYER_NAME]: Es sind Umerziehungszentren. Wir bringen ihnen die Prinzipien von Harmonie und Frieden bei " \
	"und machen keine Propaganda.\n\n",
		
	//	k_HAIL_Enemy1_4_msg,
	"[PLAYER_NAME]: Dieses System untersteht der Gerichtsbarkeit des ISK. Macht euch davon, oder seht eurer Vernichtung ins Auge.\n\n" \
	"Captain der [TEAM3_RACE]: Da drften Sie sich leider im Irrtum befinden. Ihr seid hier die Einzigen, die " \
	"vernichtet werden.\n\n" \
	"[PLAYER_NAME]: Wie gewhnlich ist der Irrtum auf Ihrer Seite, Primitivling.\n\n",
	
	//	k_DEMANDSURRENDER_Enemy1_msg,
	"[PLAYER_NAME]: Ergebt euch, oder seht eurer Vernichtung ins Auge.\n\n" \
	"Captain der [TEAM3_RACE]: Das erscheint mit aber ein wenig voreilig, Commander. So schwer sind unsere Schden auch wieder nicht.\n\n",
	
	//	k_DEMANDSURRENDER_Enemy2_msg,
	"[PLAYER_NAME]: Ergebt euch, oder seht eurer Vernichtung ins Auge.\n\n" \
	"Captain der [TEAM3_RACE]: Ich habe bessere Tage gesehen. Aber es ist noch nicht vorbei.\n\n",
	
	//	k_DEMANDSURRENDER_Enemy3_msg,
	"[PLAYER_NAME]: Ergebt euch, oder seht eurer Vernichtung ins Auge.\n\n" \
	"Captain der [TEAM3_RACE]: Verschont mein Schiff. Wir ergeben uns.\n\n",

	//
	//	Victory rating
	//

	// kAstoundingVictory_msg,
	"Groartiger Sieg!\n",

	// kVictory_msg,
	"Sieg!\n",

	// kDraw_msg,
	"Unentschieden.\n",

	// kDefeat_msg,
	"Niederlage.\n",

	// kDevastatingDefeat_msg,
	"Vernichtende Niederlage.\n",

	//
	//	Random chatter
	//

	//	kRandChat1_msg,
	"Steuermann:\n\n",
	
	//	kRandChat2_msg,
	"Ingenieur:\n\n",
		
	//	kRandChat3_msg,
	"Sicherheitsoffizier:\n\n",
	
	//	kRandChat4_msg,
	"Navigation:\n\n",
		
	//	kRandChat5_msg,
	"Waffenoffizier:\n\n",
	
	//	kRandChat6_msg,
	"Wissenschaftsoffizier:\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//	kTransponder_nam,
	"Transponder",

	//
	//	Event dialog
	//
	
	//	kEvent3_1_msg,
	"Wissenschaftsoffizier: Schiff der [TEAM3_RACE] zerstrt.\n\n",
	
	//	kEvent3_2_msg,
	"Erster Offizier: Alle Schiffe zerstrt. Die Schlacht ist vorbei.\n\n",
	
	//	kEvent3_3_msg,
	"Wissenschaftsoffizier: Vier gegnerische Schiffe sind in das System eingedrungen.\n\n",
	
	//	kEvent5_1_msg,
	"Wissenschaftsoffizier: Ein schwerer Kreuzer des ISKs ist in das System eingedrungen. Die Verstrkung ist angekommen.\n\n",
	
	//	kEvent6_1_msg,
	"Wissenschaftsoffizier: Basisstation zerstrt, [PLAYER_RANK].\n\n",
	
	//	kEvent6_2_msg,
	"Erster Offizier: Alle drei Basisstationen wurden zerstrt. Die Mission ist ein Reinfall.\n\n",
	
	//	kEvent7_1_msg,
	"Wissenschaftsoffizier: Basisstation zerstrt, [PLAYER_RANK].\n\n",
	
	//	kEvent7_2_msg,
	"Erster Offizier: Alle drei Basisstationen wurden zerstrt. Die Mission ist ein Reinfall.\n\n",
	
	//	kEvent8_1_msg,
	"Wissenschaftsoffizier: Basisstation zerstrt, [PLAYER_RANK].\n\n",
	
	//	kEvent8_2_msg,
	"Erster Offizier: Alle drei Basisstationen wurden zerstrt. Die Mission ist ein Reinfall.\n\n",
	
	//	kEvent9_1_msg,
	"Wissenschaftsoffizier: Der Transponder wurde zerstrt. Sie sind nicht mehr in der Lage, Verstrkung herbeizurufen.\n\n",
		
	//	kEvent10_1_msg,
	"Wissenschaftsoffizier: Wir haben das System verlassen.\n\n",
	
	//	kEvent11_1_msg,
	"Wissenschaftsoffizier: Wir haben das System verlassen.\n\n",

	//
	//	Custom messages
	//
	
	//	kCustom1_msg,
	"Erster Offizier: Unsere Verbndeten wurden vernichtet. Die Verstrkung drfte in Krze eintreffen.\n\n",

	//
	//	Not localized as of 10/8/00
	//
	
	//	kPlayerTeamTitle_msg,
	"Schlacht beim Grab des Denkens",

	//	kPlayerTeamBriefing_msg,
	"",

	//
	//	Not localized as of 10/17/00
	//

	//	kScanning_msg,
	"Wissenschaftsoffizier: Wir scannen...\n\n",

//
	//	Not localized as of 10/24/00
	//

	//	kTransponderCaptured_msg,
	"Wissenschaftsoffizier: Der Transponder ist unser. Sie sind nicht mehr in der Lage, Verstrkung herbeizurufen.\n\n",

	//	kEnemyShipCaptured_msg,
	"Wissenschaftsoffizier: Schiff der [TEAM3_RACE] zerstrt.\n\n",

	//	kEnemyShipsNeutralized_msg,
	"Erster Offizier: Alle Schiffe neutralisiert. Die Schlacht ist vorber.\n\n",

	//	kDisconnect_msg, Forfeit
	"Mission eingebt",

#else		///////////////////////////////////////////////////////////////////////////////////////////////

	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"ISC_7BattleGrave",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"The minor races of the galaxy are engaging in a small offensive.  Their target is our reeducation " \
	"centers in [SYSTEM_NAME].\n\n" \
	"There are three base stations that will require defense.  They are sending a large fleet, and it " \
	"looks like there are plenty of reinforcements.  They will be using a transponder buoy to relay " \
	"communications through that field.  Destroy that transponder, and they will be unable to send for " \
	"reinforcements.\n\n" \
	"Your primary goal is to destroy or disable every Alliance ship before they can threaten the " \
	"ISC.  The stations must not be destroyed.\n\n" \
	"Dismissed.\n\n",

	//
	//	Starting message
	//
	
	//	kStart_msg,
	"[PLAYER_NAME]: Pacification campaign record, Galactic Date [STARDATE].  We are helping to " \
	"safeguard three base stations against enemy attack.  We must take out the enemy transponder that " \
	"will allow them to summon reinforcements, but also cannot neglect the defense of the stations " \
	"while doing it.\n\n",

	//
	//	Debriefing messages
	//
	
	//	kDebAstoundingVictory_msg,
	"You managed to save all of the stations - magnificent.  You're a credit to the campaign.  Our " \
	"intelligence expects several major enemy offensives soon, so be ready. The Alliance is a serious " \
	"threat to the future of our Pacification Campaign, and we'll need all of your courage and ability " \
	"to counter it.\n\n" \
	"Dismissed.\n\n",
	
	//	kDebVictory_msg,
	"You managed to save at least one of the stations - a small victory, but still a victory.  I fear " \
	"that this will only hearten the minor races and significantly slow down the Pacification Campaign.\n\n" \
	"Dismissed.\n\n",
	
	//	kDebDraw_msg,
	"\n\n",
	
	//	kDebDefeat_msg,
	"You succeeded in achieving - nothing.  The reeducation centers were totally destroyed, and ISC power " \
	"across the quadrant has been shaken.  As a result, the Pacification Campaign has been severely shaken.\n\n" \
	"Dismissed.\n\n",
	
	//	kDebDevastatingDefeat_msg,
	"You abandoned the battle before its conclusion.  Disgraceful.  Even the primitives you fought " \
	"would not react in such a cowardly manner.\n\n" \
	"Dismissed.\n\n",

	//
	//	Comm buttons
	//
	
	//	k_HAIL_Ally_btn,
	"HAIL",
	
	//	k_ATTACKTARGET_Ally_btn,
	"DEFEND ME",
	
	//	k_HAIL_Enemy_btn,
	"HAIL",
	
	//	k_DEMANDSURRENDER_Enemy_btn,
	"DEMAND SURRENDER",

	//
	//	Comm messages
	//
	
	//	k_HAIL_Ally1_msg,
	"Communications Officer: They're not answering our hails.\n\n",
	
	//	k_HAIL_Ally2_msg,
	"Captain: The enemy has not touched us yet.\n\n",
	
	//	k_HAIL_Ally3_msg,
	"Captain: Hull is going down slowly.  I am expecting the worst.\n\n",
	
	//	k_HAIL_Ally4_msg,
	"Captain: We are not ready to abandon the pacification program yet.\n\n",
	
	//	k_HAIL_Ally5_msg,
	"Captain: These animals are killing us.  Requesting assistance.\n\n",
	
	//	k_ATTACKTARGET_Ally1_msg,
	"Communications Officer: They're not answering our hails.\n\n",
	
	//	k_ATTACKTARGET_Ally2_msg,
	"Captain: Acknowledged.  We'll do our best.\n\n",

	//	k_ATTACKTARGET_Ally3_msg,
	"Captain: Negative, we're too badly damaged.  We must withdraw.\n\n",
	
	//	k_HAIL_Enemy1_1_msg,
	"[PLAYER_NAME]: This system is under ISC jurisdiction.  Leave now or be destroyed.\n\n" \
	"[2]Enemy Captain: You've been kidnapping and brainwashing our citizens!\n\n" \
	"[2][PLAYER_NAME]: We're treating malcontents who refused to abandon the Neutral Zone, and have done so " \
	"with more compassion than your race has ever showed.\n\n",
	
	//	k_HAIL_Enemy1_2_msg,
	"[PLAYER_NAME]: This system is under ISC jurisdiction.  Leave now or be destroyed.\n\n" \
	"[2]Enemy Captain: Whatever happened to peaceful negotiation?\n\n" \
	"[2][PLAYER_RACE]: That option is reserved for civilized races like ourselves.\n\n",
	
	//	k_HAIL_Enemy1_3_msg,
	"[PLAYER_NAME]: This system is under ISC jurisdiction.  Leave now or be destroyed.\n\n" \
	"[2]Enemy Captain: We're not going anywhere.  Not while one of your propaganda centers is still " \
	"standing.\n\n" \
	"[2][PLAYER_NAME]: They're reeducation centers.  We're teaching them principles of harmony and peace, " \
	"not propaganda.\n\n",
		
	//	k_HAIL_Enemy1_4_msg,
	"[PLAYER_NAME]: This system is under ISC jurisdiction.  Leave now or be destroyed.\n\n" \
	"[2]Enemy Captain: I'm afraid you're mistaken.  You're the only ones here who are going to be " \
	"destroyed.\n\n" \
	"[2][PLAYER_NAME]: As usual, primitive, you are mistaken.\n\n",
	
	//	k_DEMANDSURRENDER_Enemy1_msg,
	"[PLAYER_NAME]: Surrender or be destroyed.\n\n" \
	"[2]Enemy Captain: It's a little premature, Commander.  We're not that badly damaged.\n\n",
	
	//	k_DEMANDSURRENDER_Enemy2_msg,
	"[PLAYER_NAME]: Surrender or be destroyed.\n\n" \
	"[2]Enemy Captain: I've had better days.  But it isn't over yet.\n\n",
	
	//	k_DEMANDSURRENDER_Enemy3_msg,
	"[PLAYER_NAME]: Surrender or be destroyed.\n\n" \
	"[2]Enemy Captain: Spare my ship.  We surrender.\n\n",

	//
	//	Victory rating
	//

	// kAstoundingVictory_msg,
	"Astounding Victory!\n",

	// kVictory_msg,
	"Victory!\n",

	// kDraw_msg,
	"Draw.\n",

	// kDefeat_msg,
	"Defeat.\n",

	// kDevastatingDefeat_msg,
	"Devastating Defeat.\n",

	//
	//	Random chatter
	//

	//	kRandChat1_msg,
	"Helm:\n\n",
	
	//	kRandChat2_msg,
	"Engineer:\n\n",
		
	//	kRandChat3_msg,
	"Security Officer:\n\n",
	
	//	kRandChat4_msg,
	"Navigation:\n\n",
		
	//	kRandChat5_msg,
	"Weapons Officer:\n\n",
	
	//	kRandChat6_msg,
	"Science Officer:\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//	kTransponder_nam,
	"Transponder",

	//
	//	Event dialog
	//
	
	//	kEvent3_1_msg,
	"Science Officer: Enemy ship destroyed.\n\n",
	
	//	kEvent3_2_msg,
	"First Officer: All ships destroyed.  The battle is over.\n\n",
	
	//	kEvent3_3_msg,
	"Science Officer: Four enemy ships have entered the system,\n\n",
	
	//	kEvent5_1_msg,
	"Science Officer: An ISC heavy cruiser has entered the system.  Reinforcements have arrived.\n\n",
	
	//	kEvent6_1_msg,
	"Science Officer: Base station destroyed, [PLAYER_RANK].\n\n",
	
	//	kEvent6_2_msg,
	"First Officer: All three base stations have been destroyed.  The mission is a wash.\n\n",
	
	//	kEvent7_1_msg,
	"Science Officer: Base station destroyed, [PLAYER_RANK].\n\n",
	
	//	kEvent7_2_msg,
	"First Officer: All three base stations have been destroyed.  The mission is a wash.\n\n",
	
	//	kEvent8_1_msg,
	"Science Officer: Base statiaon destroyed, [PLAYER_RANK].\n\n",
	
	//	kEvent8_2_msg,
	"First Officer: All three base stations have been destroyed. The mission is a wash.\n\n",
	
	//	kEvent9_1_msg,
	"Science Officer: The transponder has been destroyed. They won't be able to summon reinforcements.\n\n",
		
	//	kEvent10_1_msg,
	"Science Officer: We have left the system.\n\n",
	
	//	kEvent11_1_msg,
	"Science Officer: We have left the system.\n\n",

	//
	//	Custom messages
	//
	
	//	kCustom1_msg,
	"First Officer: Our ally has been destroyed.  Reinforcements should arrive soon for us.\n\n",

	//
	//	Not localized as of 10/8/00
	//
	
	//	kPlayerTeamTitle_msg,
	"Battle At The Grave Of Thoughts",

	//	kPlayerTeamBriefing_msg,
	"",

	//
	//	Not localized as of 10/17/00
	//

	//	kScanning_msg,
	"Science Officer: Scanning...\n\n",

	//
	//	Not localized as of 10/24/00
	//

	//	kTransponderCaptured_msg,
	"Science Officer: The transponder is ours. They won't be able to summon reinforcements.\n\n",

	//	kEnemyShipCaptured_msg,
	"Science Officer: Enemy ship destroyed.\n\n",

	//	kEnemyShipsNeutralized_msg,
	"First Officer: All ships neutralized. The battle is over.\n\n",

	//
	//	Not localized as of 11/5/00
	//

	//	kDisconnect_msg,
	"Forfeit",

#endif
};


