/********************************************************************************************************\

	File Name:	PlayerTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( PlayerTeam_h )
#define PlayerTeam_h

#include "TeamInfo.h"


class tPlayerTeam : public tTeamInfo
{
public:

	virtual void	mSetupVictoryCondition();
	virtual void	mSetupDebriefingList( eVictoryLevels victoryLevel );

	virtual void	mSetupState();
	virtual void	mSetupCommState();
	virtual void	mCreateShipsForTeam();
	virtual void	mTeamSetupComplete();

	virtual void	mCreateNewShip( const tShipScriptDescription& shipScriptDescription );

	virtual void	mScheduleNextMission( tVictoryCondition* VictoryCondition );

/*

	HELPER NOTE:	You can put a custom ID here for the player ship, but it is not going to be used unless
					the mCreateShipsForTeam(...) creates ship(s) as hardcoded values rather than on the fly.

*/
	enum eCustomIDs
	{
		kPlayerShip1 = 100,
		kPlayerShip2,
		kPlayerShip3,
	};
};

#endif


