/********************************************************************************************************\

	File Name:	Enemy2Team.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( Enemy2Team_h )
#define Enemy2Team_h

#include "TeamInfo.h"


class tEnemy2Team : public tTeamInfo
{
public:

	virtual void	mSetupState();
	virtual void	mSetupCommState();
	virtual void	mCreateShipsForTeam();
	virtual void	mOldCreateShipsForTeam();
	virtual void	mTeamSetupComplete();

	virtual void	mCreateNewShip( const tShipScriptDescription& shipScriptDescription );

/*

	HELPER NOTE:	Below is where the list of the ship custom IDs go.  An example follows.

	enum eCustomIDs
	{
		kPlayerNPCBS1,
		kPlayerNPCBS2,
	};

*/
	enum eCustomIDs
	{
		kEnemy2Ship = 400,
	};
};

#endif



