//	<Name>	EnemyShip.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( EnemyShip_h )
#define EnemyShip_h

#include "ShipInfo.h"

class tEnemyShip : public tShipInfo
{
public:

	tEnemyShip();

	virtual	void mSetupState();
	virtual void mSetupCommState();
	virtual void mSetupShip();

	enum eCommStates
	{
		kCommState1,
		kCommState2,
		kCommState3,
		kBlankCommState,
	};

	bool	mIsSurrendered( void );
	bool	mAttackedSurrenderedVessel( void );
	
	void	mSetIsSurrendered( bool x );
	void	mSetAttackedSurrenderedVessel( bool x );

protected:

	bool	fIsSurrendered;
	bool	fAttackedSurrenderedVessel;
};

#endif

