/********************************************************************************************************\

	File Name:	EnemyTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( EnemyTeam_h )
#define EnemyTeam_h

#include "TeamInfo.h"


class tEnemyTeam : public tTeamInfo
{
public:

	virtual void	mSetupState();
	virtual void	mSetupCommState();
	virtual void	mCreateShipsForTeam();
	virtual void	mOldCreateShipsForTeam();
	virtual void	mTeamSetupComplete();

	virtual void	mCreateNewShip( const tShipScriptDescription& shipScriptDescription );

/*

	HELPER NOTE:	Below is where the list of the ship custom IDs go.  An example follows.

	enum eCustomIDs
	{
		kPlayerNPCBS1,
		kPlayerNPCBS2,
	};

*/
	enum eCustomIDs
	{
		kEnemyShip = 300,
	};
};

#endif


