/********************************************************************************************************\

	File Name:	EnemyPlanetBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "EnemyPlanetBaseState.h"
#include "EnemyTeam.h"
#include "PlayerTeam.h"
#include "ISC_9B4Homeworld.h"
#include "MissionText.h"
/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tEnemyPlanetBaseState::mBeginState()
{}
void tEnemyPlanetBaseState::mEndState()
{}

void tEnemyPlanetBaseState::mOnDeath( tShipInfo* ship )
{}
void tEnemyPlanetBaseState::mOnCapture( tShipInfo* ship )
{}
void tEnemyPlanetBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tEnemyPlanetBaseState::mAtDistance( tShipInfo* ship )
{}
void tEnemyPlanetBaseState::mAtDestination( tShipInfo* ship )
{}
void tEnemyPlanetBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tEnemyPlanetBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tEnemyPlanetBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tEnemyPlanetBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tEnemyPlanetBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tEnemyPlanetBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tEnemyPlanetBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tEnemyPlanetBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tEnemyPlanetBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tEnemyPlanetBaseState::mOnFlashingButtonPressed()
{}
void tEnemyPlanetBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tEnemyPlanetBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tEnemyPlanetBaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tEnemyPlanetBaseState::mOnPlayerLeaving( int playerNumber )
{}
void tEnemyPlanetBaseState::mOnHostChanged()
{}
void tEnemyPlanetBaseState::mOnTimedInterval( int32 timerID )
{}
void tEnemyPlanetBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tEnemyPlanetBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

