/*
	EnemyShipBaseState.cpp

	This module contains the definition of the tEnemyShipBaseState class,
	which does a fair amount of handling for the enemy ship.
*/

#include "Constants.h"
#include "ISC_X4M1BThief.h"
#include "EnemyShipBaseState.h"
#include "MissionText.h"
#include "TeamInfo.h"
#include "EnemyShip.h"

// Default constructor initializes all variables for the mission.

tEnemyShipBaseState::tEnemyShipBaseState()
{}
void tEnemyShipBaseState::mBeginState()
{}
void tEnemyShipBaseState::mEndState()
{}
void tEnemyShipBaseState::mOnDeath( tShipInfo* ship )
{}
void tEnemyShipBaseState::mOnCapture( tShipInfo* ship )
{}
void tEnemyShipBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tEnemyShipBaseState::mAtDistance( tShipInfo* ship )
{}
void tEnemyShipBaseState::mAtDestination( tShipInfo* ship )
{}
void tEnemyShipBaseState::mOnCommButtonPress(tShipInfo* ship, int32 buttonID, tShipInfo* targetShip)
{}
void tEnemyShipBaseState::mOnDamage(tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType)
{}
void tEnemyShipBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tEnemyShipBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tEnemyShipBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tEnemyShipBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tEnemyShipBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tEnemyShipBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tEnemyShipBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tEnemyShipBaseState::mOnFlashingButtonPressed()
{}
void tEnemyShipBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tEnemyShipBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tEnemyShipBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tEnemyShipBaseState::mOnPlayerLeaving( int playerNumber )
{}
void tEnemyShipBaseState::mOnHostChanged()
{}
void tEnemyShipBaseState::mOnTimedInterval( int32 timerID )
{}
void tEnemyShipBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tEnemyShipBaseState::mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType )
{}

