/*
	PlayerTeam.h

	This module contains the declaration for the tPlayerTeam class. 
	It's greatest contribution is the creation of the player ship(s).
*/

#if !defined( PlayerTeam_h )
#define PlayerTeam_h

#include "TeamInfo.h"


class tPlayerTeam : public tTeamInfo
{
public:
	virtual void mSetupVictoryCondition();
	virtual void mSetupDebriefingList( eVictoryLevels victoryLevel );
	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );

	virtual void	mScheduleNextMission( tVictoryCondition* VictoryCondition );

	// ID of the player ship.
	enum eCustomIDs
	{
		kPlayerShip = 1000,
	};
};

#endif
