/*
	TransportTeam.h

	This module contains the declaration for the tTransportTeam class.
	Its sole contribution is the creation of the transports.
*/

#if !defined( TransportTeam_h )
#define TransportTeam_h

#include "TeamInfo.h"

class tTransportTeam : public tTeamInfo
{
public:

	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mOldCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );

	// IDs for the transports.
	enum eCustomIDs
	{
		kTransport1 = 1300,
		kTransport2,
		kTransport3,
		kTransport4,
	};

};

#endif
