/********************************************************************************************************\

	File Name:	AsteroidABaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "AsteroidABaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tAsteroidABaseState::mBeginState()
{}
void tAsteroidABaseState::mEndState()
{}

void tAsteroidABaseState::mOnDeath( tShipInfo* ship )
{}
void tAsteroidABaseState::mOnCapture( tShipInfo* ship )
{}
void tAsteroidABaseState::mOnDisengaged( tShipInfo* ship )
{}
void tAsteroidABaseState::mAtDistance( tShipInfo* ship )
{}
void tAsteroidABaseState::mAtDestination( tShipInfo* ship )
{}
void tAsteroidABaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tAsteroidABaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tAsteroidABaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tAsteroidABaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tAsteroidABaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tAsteroidABaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tAsteroidABaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tAsteroidABaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tAsteroidABaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tAsteroidABaseState::mOnFlashingButtonPressed()
{}
void tAsteroidABaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tAsteroidABaseState::mOnChangingShip( tShipInfo* ship )
{}
void tAsteroidABaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tAsteroidABaseState::mOnPlayerLeaving( int playerNumber )
{}
void tAsteroidABaseState::mOnHostChanged()
{}
void tAsteroidABaseState::mOnTimedInterval( int32 timerID )
{}
void tAsteroidABaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tAsteroidABaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

