/********************************************************************************************************\

	File Name:	ISC_X4M2BBomber.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( ISC_X4M2BBomber_h )
#define ISC_X4M2BBomber_h

#include "ScriptInterface.h"

//---------------------------------------------------------------------------------------------
// the following enum is used to identify all non-player teams in the script
// (use kPlayerTeam to access the current players team.)
enum eTeamTypes
{
	kPlayerTeam = kTeam1,
	kPlayerNPCTeam,
	kEnemyTeam,
	kDraftTeam1,
	kDraftTeam2,
	kDraftTeam3,
};

class tVictoryCondition;

class tISC_X4M2BBomber : public tScript
{
public:

	enum eCommStates
	{};

	tISC_X4M2BBomber();

	virtual void	mStartMission();
	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual int32	mInitializeFinished();
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual void	mASCIIOverrides( tMapOverrides* Map );
	virtual void	mDefineBriefings( void );
	virtual void	mDefineTeamShipStrengths( void );
};

#endif


