/********************************************************************************************************\

	File Name:	CommonDefs.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( CommonDefs_h )
#define CommonDefs_h
#include "ScriptInterface.h"

#define DISTANCE_CHECK_INTERVAL	(2.0f)

// Random value between 1.5f and 2.0f
#define COURSE_CORRECTION_INTERVAL (1.0f + (static_cast<float>(fMissionInfo->mRandomInt32(5,10))/10))

#define PLAYER_IN_SYSTEM_RADIUS (gMapRadiusTacDistance-15)
#define PLAYER_LEAVING_RADIUS (gMapRadiusTacDistance-5)
#define SCATTER_RADIUS (gMapRadiusTacDistance-25)
#define RUN_RADIUS (gMapRadiusTacDistance-15)

void mInitMapVars(int32 mapX, int32 mapY);
tShipInfo* mGetClosestShipByTeam(tShipInfo *ship, tTeamInfo* otherTeam);

extern int gMapCenterX;
extern int gMapCenterY;
extern int32 gMapSizeX;
extern int32 gMapSizeY;
extern float gAbsoluteMapCenterX;
extern float gAbsoluteMapCenterY;
extern float gMapRadiusTacDistance;



#endif
