/********************************************************************************************************\

	File Name:	ISC_x4m3bFoxtrot.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( ISC_x4m3bFoxtrot_h )
#define ISC_x4m3bFoxtrot_h

#include "ScriptInterface.h"

//---------------------------------------------------------------------------------------------
// the following enum is used to identify all non-player teams in the script
// (use kPlayerTeam to access the current players team.)
enum eTeamTypes
{
	kPlayerTeam = kTeam1,
	kPlayerNPCTeam,
	kEnemyTeam,
	kTraitorTeam,
	kDraftTeam1,
	kDraftTeam2,
};

class tVictoryCondition;

class tISC_x4m3bFoxtrot : public tScript
{
public:

	tISC_x4m3bFoxtrot();

	virtual void	mStartMission();
	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual int32	mInitializeFinished();
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual void	mASCIIOverrides( tMapOverrides* Map );
	virtual void	mInitializeDraw( const int32 MapPicked );
	virtual void	mDefineBriefings( void );
	virtual void	mDefineTeamShipStrengths( void );
};

#endif


