/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------

#if defined ( _GERMAN )

std::string Messages[] =
{

	//	kMissionTitle_msg,
	"ISC_X4M3BFoxtrot",

	//	kDescription_msg,
	"Halten Sie den Verrter auf, erobern Sie das gegnerische Kommandoschiff, und vernichten Sie alle anderen Gegner.",

	//	kBriefing_msg,
	"Den angesehenen ISK-Generlen, den Qori, ist eine gravierende Fehleinschtzung unterlaufen." \
	"  Sie haben sich entschlossen, zu den [TEAM3_RACE] berzulaufen und ihnen" \
	" geheime Informationen zu berlassen. Ihr Auftrag ist es, sie aufzuhalten." \
	"\n\nSie haben sich nach [SYSTEM_NAME] abgesetzt. Sie und drei alliierte Schiffe werden" \
	" das System einkreisen. Niemand darf entkommen. Die Qori knnten" \
	" die Informationen an jedes der dort befindlichen Schiffe bergeben haben."\
	"\n\nIhr sekundres Ziel ist es, den gegnerischen Kommandokreuzer zu erobern;" \
	" wir glauben, dass er ebenfalls wertvolle Daten mit sich fhrt, als eine Geste des guten Willens gegenber" \
	" den Qori. Mit etwas Glck haben diese Verrter uns vielleicht sogar einen Gefallen getan." \
	"\n\nWegtreten.\n\n",

	//	kStart_msg,
	"[PLAYER_NAME]: Bericht des Befriedungsfeldzugs, Sternendatum [STARDATE]." \
	"  Wir sind auf dem Weg nach [SYSTEM_NAME], um uns um einen abtrnnigen ISK-Admiral zu kmmern." \
	"Unsere Aufgabe ist es, ihn zu vernichten und die anderen Schiffe nach" \
	" Informationen zu durchsuchen, die die Verrter mglicherweise zum Tausch anbieten wollten.",

	//
	//	Debriefing messages
	//
	
	//	kDebAstoundingVictory_msg,
	"Sie haben Ihre wichtigsten Ziele erreicht. Der Verrter ist tot," \
	" und die Codes der Schilde einer wichtigen Raumbasis der Allianz sind in unseren Hnden." \
	"  Es ist beinahe sicher, dass sie die Codes vorsichtshalber ndern werden," \
	" aber da wir jetzt ihre Protokolle kennen, ist unsere Aufklrung in der Lage," \
	" smtliche nderungen nachzuverfolgen. Sollte das der Fall sein, so hoffe ich, dass uns diese Codes bei" \
	" unserer nchsten Offensive ntzlich sein werden." \
	"\n\nWegtreten.\n\n",
	
	//	kDebVictory_msg,
	"Der Verrter wurde gettet. Das ist gut." \
	"  Ich wnschte nur, Sie htten auch den zweiten Teil Ihrer Aufgabe erfolgreich meistern knnen und gefunden," \
	" was immer die Allianz dem Verrter berlassen wollte." \
	"  Aber ich nehme an, das Risiko war zu gro." \
	"\n\nWegtreten.\n\n",
	
	//	kDebDefeat_msg,
	"Es wurde von Ihnen erwartet, das Schiff des Verrters zu zerstren." \
	"  Er aber konnte entkommen und wird nun der Allianz wertvolle Geheiminformationen des ISKs bergeben." \
	"\n\nNoch mehr Niederlagen dieser Grenordnung, und wir werden uns wundern, wie viele" \
	" Verrter wir noch in unseren Reihen haben." \
	"\n\nWegtreten.\n\n",
	
	//
	//	Comm buttons
	//

	//	kHail_btn,
	"Rufen",

	//	kDemandSurrender_btn,
	"Kapitulation fordern",

	//	kRequestAssistance_btn,
	"Verstrkung anfordern",

	//	kGetTraitor_btn,
	"Verrter ergreifen!",

	//
	//	Comm messages
	//

	//	kBlankMessage,
	"",

	//	kInitTraitorHail_msg,
	"[PLAYER_NAME]: Hier spricht [PLAYER_RANK] [PLAYER_NAME] vom ISK-Schiff [PLAYER_SHIP_NAME]." \
	"  Im Namen des ISKs...[3]"\
	"Captain des ISKs: Wir sind Qori. Wir wissen, wer Sie sind und warum Sie hier sind.[2]" \
	"[PLAYER_NAME]: Warum begehen Sie Verrat an Ihrem eigenen Volk?[2]" \
	"Captain des ISKs: Wir haben diesen Befriedungsfeldzug analysiert..." \
	" und festgestellt, dass er von vorne herein zum Scheitern verurteilt ist. Falls er berhaupt etwas bewirkt, wird er lediglich diesen Quadranten" \
	" gegen uns aufbringen, und zum Schluss werden sie" \
	" unsere Heimatsektoren berfallen.\n[7]" \
	"[PLAYER_NAME]: Die Organianer haben gesagt, dass das niemals geschehen wird.[2]" \
	"Captain des ISKs: Bei dem Wort \"Niemals\" wrden wir noch nicht einmal einem Gott trauen.[3]" \
	"[PLAYER_NAME]: Die Organianer sind nicht das Problem, sondern Sie. Sie mssen vernichtet werden.[3]" \
	"Captain des ISKs: Das wissen wir. Und das werden wir nicht zulassen.",

	//	kTraitorHail_msg,
	"Captain des ISKs: Unsere Unterhaltung ist so nutzlos wie diese Schlacht." \
	"  Warum Atem verschwenden, wenn doch jeder wei, was der andere sagen wird?",

	//	kHailTraitorCaptured_msg,
	"Sicherheitsoffizier: Wir haben das Schiff unter Kontrolle." \
	"  Die Verrter werden uns nicht lnger betrgen.",

	//	kNoResponse_msg,
	"Kommunikationsoffizier: Keine Reaktion.",

	//	kAlreadyCaptured_msg,
	"Sicherheitsoffizier: Nicht notwendig, [PLAYER_RANK]. Das Schiff ist unter unserer Kontrolle.",

	//	kEnemyHail_msg,
	"Kommunikationsoffizier: Sie wollen nicht mit uns sprechen, [PLAYER_RANK].",
	
	//	kCapturedEnemyHail_msg,
	"Sicherheitsoffizier: Alles unter Kontrolle, [PLAYER_RANK]." \
	"  Unser Befriedungsteam hat die Situation unter Kontrolle.",

	//	kNoAnswer_msg,
	"Kommunikationsoffizier: Sie antworten nicht auf unsere Rufe.",

	//	kPriorityTarg_msg,
	"Captain: Wir sind hervorragend in Form. Nennen Sie uns ein Ziel mit Prioritt 1.",

	//	kGoodShape_msg,
	"Captain: Die Hllenintegritt ist innerhalb akzeptabler Werte. Bis jetzt sind wir noch gut in Form.",

	//	kNotMyDay_msg,
	"Captain: Heute ist zwar nicht mein Tag, aber ich bin auch noch nicht bereit, in Flammen aufzugehen.",

	//	kMayday_msg,
	"Captain: Mayday. Wir brauchen Verstrkung.",

	//
	//	Good Condition Response to Assistance Request.
	//

	//	kAcknowledged_msg,
	"Captain: Besttigt. Wir werden unser Bestes tun.",

	//
	//	Seriously Damaged Responses to Assistance Request.
	//

	//	kTwoWoundedVets_msg,
	"Captain: Wir wollten Sie gerade um Hilfe bitten." \
	"  Aber vielleicht knnen zwei verwundete Veteranen diesen Hunden doch noch eine Lektion erteilen.",

	//	kFinalAttack_msg,
	"Captain: Wir sind beinahe erledigt, aber vielleicht knnen wir noch einen letzten Angriff starten.",

	//	kLineInSpace_msg,
	"Captain: Positiv. Die Linie wird hier gezogen werden.",

	//	Response to Assistance/Traitor Request if Player attacked
	//	ally.

	//	kDieWithBlessing_msg,
	"Captain: Nachdem Ihr uns angegriffen habt? Wenn Ihr vernichtet werdet, dann mit unserem Segen!",

	//	kKillTraitor_msg,
	"Captain: Besttigt. Sie werden den Tag nicht berleben.",

	//	kTraitorDefeated_msg,
	"Captain: Unntig. Der Verrter wurde besiegt.",

	//
	//	Victory rating
	//

	//	kAstoundingVictory_msg,
	"Groartiger Sieg!",

	//	kVictory_msg,
	"Sieg!",

	//	kDraw_msg,
	"Unentschieden",

	//	kDefeat_msg,
	"Niederlage!",

	//	kDevastatingDefeat_msg,
	"Vernichtende Niederlage!",

	//	kLeftEarly_msg,
	"Trennen.",

	//
	//	Random chatter
	//

	//	No random chatter in this mission

	//
	//	Titles (or names) of ships and objects
	//
	"[SYSTEM_NAME] Secondus",

	// kTraitorShip1_name,
	"Vidkun",
	// kTraitorShip2_name,
	"Alcibiades",
	// kTraitorShip3_name,
	"Cassius",
	// kTraitorShip4_name,
	"Iscariot",
	// kTraitorShip5_name,
	"Benedict",

	//
	//	Event dialog
	//

	//	kAllObjectivesAchieved_msg,
	"Erster Offizier: Alle Einsatzziele wurden erreicht. Mission erfllt.",

	//	kAllWeCanDoHere_msg,
	"Erster Offizier: Alle gegnerischen Schiffe haben entweder den Sektor verlassen oder wurden eliminiert." \
	"  Das ist alles, was wir hier tun knnen.",

	//	kCapturedTraitor_msg,
	"Sicherheitsoffizier: Wir haben das Schiff des Verrters erobert." \
	"  Wir haben etwas sehr Interessantes gefunden... Codes fr unsere wichtigste ISK-Basis." \
	"  Ich nehmen an, dass er diese Codes an den Gegner verkaufen wollte.",

	//	kKilledTraitor_msg,
	"Erster Offizier: Das Schiff des Verrters wurde zerstrt." \
	"  Primrmission erfllt.",

	//	kDisabledTraitor_msg,
	"Erster Offizier: Das Schiff des Verrters wurde deaktiviert." \
	"  Primrmission erfllt.",

	//	kTraitorLeavingSystem_msg,
	"Wissenschaftsoffizier: Der Verrter bereitet sich darauf vor, das System zu verlassen.",

	//	kCapturedCommander_msg,
	"Sicherheitsoffizier: Wir haben das Kommandoschiff erobert." \
	"  Wir haben etwas sehr Interessantes gefunden... Codes fr die Schilde einer wichtigen" \
	" Raumbasis der Allianz. " \
	"Anscheinend wollte der Verrter Geheiminformationen des ISKs gegen welche der Allianz eintauschen;" \
	" der Verrter htte ein paar ruhmreiche Siege im Austausch fr einen" \
	" garantierten Endsieg der Allianz ber uns eingeheimst.",

	//	kKilledCommander_msg,
	"Waffenoffizier: Gegnerisches Kommandoschiff zerstrt.",

	//	kCapturedEnemy_msg,
	"Sicherheitsoffizier: Das gegnerische Schiff wurde erobert.",

	//	kKilledEnemy_msg,
	"Waffenoffizier: Gegnerisches Schiff zerstrt.",

	//	kEnemyEscaped_msg,
	"Wissenschaftsoffizier: Eines der gegnerischen Schiffe konnte entkommen.",

	//	kTraitorEscaped_msg,
	"Wissenschaftsoffizier: Der Verrter hat es geschafft zu entkommen.",

	//	kScanningTooFar_msg,
	"Wissenschaftsoffizier: Wir sind zu weit weg fr einen Scan.",

	//	kScanMovedAway_msg,
	"Wissenschaftsoffizier: Ich hatte nicht gengend Zeit, um den Scan abzuschlieen.",

	//	kStartScan_msg,
	"Wissenschaftsoffizier: Wir beginnen mit dem Scan. Wir mssen innerhalb einer Reichweite von 10.000 km zum Ziel bleiben, bis der Scan abgeschlossen ist.",

	//	kScanningTraitor_msg,
	"Wissenschaftsoffizier: Nichts Ungewhnliches entdeckt. Wenn die Quori vom Einfluss irgendwelcher" \
	" fremden Wesen korrumpiert wurden, so kann ich nichts dergleichen entdecken.[5]" \
	"[PLAYER_NAME]: Schade auch. Ich wrde lieber glauben, das niemand den Befriedungsfeldzug" \
	" aus freien Stcken verrt.",

	//	kScanningCommander_msg,
	"Wissenschaftsoffizier: Ich registriere einen leeren Bereich in ihrem Computerkern." \
	"  Irgendetwas, was auerordentlich gut abgeschirmt wird.[5]" \
	"[PLAYER_NAME]: Wichtige Daten? Das knnte das Gesuchte sein.",

	//	kScanOther_msg,
	"Wissenschaftsoffizier: Nichts Ungewhnliches entdeckt.",

	//	kLeaving_msg,
	"Wissenschaftsoffizier: Wir verlassen das System, Captain.",

	//	kLeft_msg,
	"Wissenschaftsoffizier: Wir haben das System verlassen.",

	//
	//	Custom messages
	//

	//
	//	Not localized as of 10/8/00
	//
	
	//	kPlayerTeamTitle_msg,
	"Foxtrott",

	//	kPlayerTeamBriefing_msg,
	"",

	//
	//	Not localized as of 10/17/00
	//

	//	kScanning_msg,
	"Wissenschaftsoffizier: Wir scannen...",

	//	kDisconnect_msg,
	"Mission eingebt",
};

#else

std::string Messages[] =
{

	//	kMissionTitle_msg,
	"ISC_X4M3BFoxtrot",

	//	kDescription_msg,
	"Stop the Traitor, capture the Enemy Command Ship, and destroy all other enemies.",

	//	kBriefing_msg,
	"The esteemed ISC generals, the Qori, have made a grave error in judgment." \
	"  They have chosen to defect to the [TEAM3_RACE] and give them" \
	" classified information.  Your job will be to stop them." \
	"\n\nThey have gone to [SYSTEM_NAME].  You and three allied ships will" \
	" surround the system.  No one must be allowed to escape.  The Qori may" \
	" have passed along the data to any one of those vessels."\
	"\n\nYour secondary goal will be to capture the enemy command cruiser;" \
	" we believe it may have brought valuable data as a goodwill gesture to" \
	" the Qori.  With luck, the traitors may have done us a favor." \
	"\n\nDismissed.\n\n",

	//	kStart_msg,
	"[PLAYER_NAME]: Record of the Pacification Campaign, Stardate, [STARDATE]." \
	"  We are headed for [SYSTEM_NAME] to deal with a rogue ISC admiral." \
	"Our job is to destroy him, and to search the other ships for possible" \
	" bargaining chips.\n",

	//
	//	Debriefing messages
	//
	
	//	kDebAstoundingVictory_msg,
	"You achieved your major objectives. The traitor is dead," \
	" and the shield codes to a major Alliance starbase are ours." \
	"  Theyll almost certainly change the codes as a precaution," \
	" but now that we know their protocols, our intelligence may be able" \
	" to keep track of any changes.  If so, I hope these codes come in useful" \
	" on our next offensive." \
	"\n\nDismissed.\n\n",
	
	//	kDebVictory_msg,
	"The traitor has been killed. This is good." \
	"  I only wish you had succeeded in your secondary assignment and found" \
	" whatever the Alliance was trading to the traitor." \
	"  But I suppose it was a long shot." \
	"\n\nDismissed.\n\n",
	
	//	kDebDefeat_msg,
	"You were supposed to destroy the traitors ship." \
	"  He escaped, and is now telling valuable ISC secrets to the Alliance." \
	"\n\nAny more defeats of this magnitude, and well be wondering how many" \
	" traitors we have in our ranks." \
	"\n\nDismissed.\n\n",
	
	//
	//	Comm buttons
	//

	//	kHail_btn,
	"Hail",

	//	kDemandSurrender_btn,
	"Demand Surrender",

	//	kRequestAssistance_btn,
	"Request Assistance",

	//	kGetTraitor_btn,
	"Get the Traitor!",

	//
	//	Comm messages
	//

	//	kBlankMessage,
	"",

	//	kInitTraitorHail_msg,
	"[PLAYER_NAME]: This is [PLAYER_RANK] [PLAYER_NAME] of the ISC ship [PLAYER_SHIP_NAME]." \
	"  On behalf of the ISC...[3]"\
	"ISC Captain: We are Qori. We know who you are and why youre here.[2]" \
	"[PLAYER_NAME]: Why are you betraying your own people?[2]" \
	"ISC Captain: We have analyzed the pacification campaign..." \
	" and seen that is doomed to failure.  If anything, it will antagonize" \
	" this quadrant against us; eventually, they will  launch an invasion" \
	" of our home sectors.[7]" \
	"[PLAYER_NAME]: The Organians said that will never happen.[2]" \
	"ISC Captain: We would not trust even a god who said the word \"never\".[3]" \
	"[PLAYER_NAME]: The Organians are not the issue. You are. You are to be destroyed.[3]" \
	"ISC Captain: We know. And we will not allow it.",

	//	kTraitorHail_msg,
	"ISC Captain: Our conversation is as unnecessary as this battle." \
	"  Why waste breath when we know what the other will say?",

	//	kHailTraitorCaptured_msg,
	"Security Officer: We have the vessel under control. " \
	"The traitors will betray us no longer.",

	//	kNoResponse_msg,
	"Communications Officer: No response.",

	//	kAlreadyCaptured_msg,
	"Security Officer: Unnecessary, [PLAYER_RANK]. The vessel is under our control.",

	//	kEnemyHail_msg,
	"Communications Officer: They dont want to talk, [PLAYER_RANK].",
	
	//	kCapturedEnemyHail_msg,
	"Security Officer: Everything is under control, [PLAYER_RANK]. " \
	"Our Pacification Team has the situation under control.",

	//	kNoAnswer_msg,
	"Communications Officer: Theyre not answering our hails.",

	//	kPriorityTarg_msg,
	"Captain: Were in good shape. Give us a priority target.",

	//	kGoodShape_msg,
	"Captain: Hull Integrity within acceptable parameters. Were in good shape so far.",

	//	kNotMyDay_msg,
	"Captain: This is not my day. But I aint ready to burn yet.",

	//	kMayday_msg,
	"Captain: Mayday. Requesting assistance.",

	//
	//	Good Condition Response to Assistance Request.
	//

	//	kAcknowledged_msg,
	"Captain: Acknowledged. Well do our best.",

	//
	//	Seriously Damaged Responses to Assistance Request.
	//

	//	kTwoWoundedVets_msg,
	"Captain: We were about to ask you for help. " \
	"Maybe two wounded vets can still teach these dogs a lesson.",

	//	kFinalAttack_msg,
	"Captain: Were almost finished, but perhaps we can muster one final attack.",

	//	kLineInSpace_msg,
	"Captain: Affirmative. The line will be drawn here.",

	//	Response to Assistance/Traitor Request if Player attacked
	//	ally.

	//	kDieWithBlessing_msg,
	"Captain: After you attacked us? They can kill you with our blessing.",

	//	kKillTraitor_msg,
	"Captain: Acknowledged. They will not survive the day.",

	//	kTraitorDefeated_msg,
	"Captain: Unnecessary. The traitor has been defeated.",

	//
	//	Victory rating
	//

	//	kAstoundingVictory_msg,
	"Astounding Victory!",

	//	kVictory_msg,
	"Victory!",

	//	kDraw_msg,
	"Draw",

	//	kDefeat_msg,
	"Defeat!",

	//	kDevastatingDefeat_msg,
	"Devastating Defeat!",

	//	kLeftEarly_msg,
	"Disconnect.",

	//
	//	Random chatter
	//

	//	No random chatter in this mission

	//
	//	Titles (or names) of ships and objects
	//
	"[SYSTEM_NAME] Secondus",

	// kTraitorShip1_name,
	"Vidkun",
	// kTraitorShip2_name,
	"Alcibiades",
	// kTraitorShip3_name,
	"Cassius",
	// kTraitorShip4_name,
	"Iscariot",
	// kTraitorShip5_name,
	"Benedict",

	//
	//	Event dialog
	//

	//	kAllObjectivesAchieved_msg,
	"First Officer: All objectives achieved. Mission accomplished.",

	//	kAllWeCanDoHere_msg,
	"First Officer: All enemy ships have either left the sector or been eliminated." \
	"  Thats all we can do here.",

	//	kCapturedTraitor_msg,
	"Security Officer: Weve captured the traitors ship." \
	"  We found something very interesting... codes for our main ISC base." \
	"  He was planning to sell them to the enemy.",

	//	kKilledTraitor_msg,
	"First Officer: The traitors ship has been destroyed." \
	"  Primary mission accomplished.",

	//	kDisabledTraitor_msg,
	"First Officer: The traitors ship has been disabled." \
	"  Primary mission accomplished.",

	//	kTraitorLeavingSystem_msg,
	"Science Officer: The traitor is preparing to leave the system.",

	//	kCapturedCommander_msg,
	"Security Officer: Weve captured the command ship. " \
	"We found something very interesting... codes for the shields of major " \
	"Alliance bases. " \
	"Apparently, the traitor was trading ISC secrets for theirs; " \
	"the traitor would achieve some glorious victories in exchange for a " \
	"guarantee of eventual Alliance victory over us.",

	//	kKilledCommander_msg,
	"Weapons Officer: Enemy command ship destroyed.",

	//	kCapturedEnemy_msg,
	"Security Officer: The enemy vessel has been captured.",

	//	kKilledEnemy_msg,
	"Weapons Officer: Enemy ship destroyed.",

	//	kEnemyEscaped_msg,
	"Science Officer: One of the enemy ships has escaped.",

	//	kTraitorEscaped_msg,
	"Science Officer: The traitor has managed to escape.",

	//	kScanningTooFar_msg,
	"Science Officer: We're too far away to perform a scan.",

	//	kScanMovedAway_msg,
	"Science Officer: I didn't have time to complete the scan.",

	//	kStartScan_msg,
	"Science Officer: Starting Scan.  We must stay within 10,000 kilometers of the target until the scan is complete.",

	//	kScanningTraitor_msg,
	"Science Officer: Nothing unusual detected. If any alien influence has" \
	" corrupted the Qori, Im not detecting it.[5]" \
	"[PLAYER_NAME]: Too bad. I would like to think no one would betray the pacification" \
	" campaign of their own free will.",

	//	kScanningCommander_msg,
	"Science Officer: I am detecting a black region in their computer core. " \
	"Something thats receiving an extraordinary amount of shielding.[5]" \
	"[PLAYER_NAME]: Critical data? That may be what were looking for.",

	//	kScanOther_msg,
	"Science Officer: Nothing unusual detected.",

	//	kLeaving_msg,
	"Science Officer: Leaving the system, Captain.",

	//	kLeft_msg,
	"Science Officer: Weve left the system.",

	//
	//	Custom messages
	//

	//
	//	Not localized as of 10/8/00
	//
	
	//	kPlayerTeamTitle_msg,
	"Foxtrot",

	//	kPlayerTeamBriefing_msg,
	"",

	//
	//	Not localized as of 10/17/00
	//

	//	kScanning_msg,
	"Science Officer: Scanning...",

	//
	//	Not localized as of 11/5/00
	//

	//	kDisconnect_msg,
	"Forfeit",
};

#endif