/********************************************************************************************************\

	File Name:	PlayerNPCShipBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "PlayerNPCShipBaseState.h"
#include "PlayerNPCTeam.h"
#include "ISC_x4m3bFoxtrot.h"
#include "CommonDefs.h"
/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tPlayerNPCShipBaseState::mBeginState()
{
	//	Check for Friendly fire.
	fChildActor->mSetShipCallbackEvents( kNotifyDamage );
}
void tPlayerNPCShipBaseState::mEndState()
{}
void tPlayerNPCShipBaseState::mOnDeath( tShipInfo* ship )
{}
void tPlayerNPCShipBaseState::mOnCapture( tShipInfo* ship )
{}
void tPlayerNPCShipBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tPlayerNPCShipBaseState::mAtDistance( tShipInfo* ship )
{}
void tPlayerNPCShipBaseState::mAtDestination( tShipInfo* ship )
{}
void tPlayerNPCShipBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tPlayerNPCShipBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tPlayerNPCShipBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tPlayerNPCShipBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tPlayerNPCShipBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tPlayerNPCShipBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tPlayerNPCShipBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tPlayerNPCShipBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tPlayerNPCShipBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tPlayerNPCShipBaseState::mOnFlashingButtonPressed()
{}
void tPlayerNPCShipBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tPlayerNPCShipBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tPlayerNPCShipBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tPlayerNPCShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tPlayerNPCShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tPlayerNPCShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tPlayerNPCShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tPlayerNPCShipBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tPlayerNPCShipBaseState::mOnHostChanged()
{}
void tPlayerNPCShipBaseState::mOnTimedInterval( int32 timerID )
{}
void tPlayerNPCShipBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tPlayerNPCShipBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

