/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN

	//kMissionTitle_msg,
	"Met_11ConvoyRaid",

	//kShortBriefing_msg,
	"><" \
	"Im Raum wurde ein Konvoi abgefangen.",

	//kAttackBriefing_msg,
	">Zerstren Sie die gegnerischen Frachter, und setzen Sie sich ab.<"
	"Sie haben die Chance, der gegnerischen Wirtschaft einen empfindlichen Schlag zu versetzen. Fangen Sie so viele Frachter wie mglich " \
	"ab, und zerstren Sie sie.\n\n"
	"Wegtreten.",
	//kDefendBriefing_msg,
	">Verteidigen Sie Ihre Frachter gegen das berfallkommando.<"
	"Der Konvoi, den Sie schtzen sollen, wurde abgefangen!  Seine Fracht ist fr unsere Ziele von vitaler Bedeutung. Schtzen Sie sie, und " \
	"durchkreuzen Sie die Plne des Gegners.\n\n" \
	"Wegtreten.",

	//kFedAttackTeamStart_msg,
	"[PLAYER_NAME]: Logbuch des Captains, Sternendatum [STARDATE]. Wir haben einen gegnerischen Konvoi abgefangen. Wir mssen so viele Frachter " \
	"wie mglich zerstren und uns dann absetzen.",
	//kKliAttackTeamStart_msg,
	"Kriegsbericht, [STARDATE]. Wir haben einen gegnerischen Konvoi entdeckt und werden ihn jetzt zerstren. Unsere Befehle sind eindeutig, " \
	"wir sollen jeden Frachter zerstren, den wir finden.",
	//kRomAttackTeamStart_msg,
	"Bericht des romulanischen Imperiums, [STARDATE]. Auf unserem Patrouillenflug haben wir einen gegnerischen Konvoi ausgemacht. Es ist unsere oberste Pflicht " \
	"zu verhindern, dass diese Versorgungsgter ihr Ziel erreichen.",
	//kLyrAttackTeamStart_msg,
	"Journal des Commanders, lyranisches Imperium, [STARDATE]. Heute werden wir die Gelegenheit haben, einen gegnerischen Konvoi zu " \
	"zerstren. Wir haben ihn gerade abgefangen und werden jetzt den Angriff erffnen.",
	//kGorAttackTeamStart_msg,
	"Logbuch des Commanders, [STARDATE]. Wir haben einen gegnerischen Konvoi abgefangen. Wir werden jetzt zum Angriff bergehen und jeden Widerstand " \
	"im Keim ersticken. In erster Linie sollen wir uns um die Frachter kmmern.",
	//kMirAttackTeamStart_msg,
	"Jagdbericht, [STARDATE]. Heute jagen wir einen gegnerischen Konvoi. Es wird uns einen Ehre sein, die Beute zu fangen und " \
	"die Frachter zu neutralisieren.\n\n",
	//kHydAttackTeamStart_msg,
	"Journal des Commanders, [STARDATE]. Wir sind auf einen gegnerischen Konvoi getroffen. Zum Ruhme des Knigreichs, wir werden die  " \
	"Frachter zerstren und ihnen ihre Versorgungsgter entreien.",	
	//kISCAttackTeamStart_msg,
	"[PLAYER_NAME]: Bericht des Befriedungsfeldzugs, galaktisches Datum [STARDATE]. Wir haben eine Frachtergruppe der Primitiven  " \
	"entdeckt. Aus Grnden der Friedenssicherung werden wir diese Frachter eliminieren.",

	//kFedDefendTeamStart_msg,
	"[PLAYER_NAME]: Logbuch des Captains, Sternendatum [STARDATE]. Unser Konvoi wurde von einem gegnerischen berfallkommando " \
	"abgefangen. Unsere Mission besteht darin, die lebenswichtige Fracht mit allen erforderlichen Mitteln zu schtzen.",
	//kKliDefendTeamStart_msg,
	"Kriegsbericht, [STARDATE]. Unser Lieferung Kriegsgert ist abgefangen worden. Wir werden zum Angriff bergehen " \
	"und den Gegner vernichten.",
	//kRomDefendTeamStart_msg,
	"Bericht des romulanischen Imperiums, [STARDATE]. Auf unserer Geleitschutzmission wurde ein Konvoi " \
	"abgefangen. Unsere Aufgabe ist es, dafr zu sorgen, dass die Versorgungsgter des Konvois ihr Ziel erreichen, koste es, was es wolle.",
	//kLyrDefendTeamStart_msg,
	"Journal des Commanders, lyranisches Imperium, [STARDATE]. Der Gegner glaubt, dass er unseren Konvoi im Handstreich nehmen und " \
	"zerstren kann. Wir werden schon dafr sorgen, dass die Ladung sicher ihr Ziel erreicht.",
	//kGorDefendTeamStart_msg,
	"Logbuch des Commanders, [STARDATE]. Unser Frachterkonvoi wurde vom Gegner abgefangen. Wir mssen dafr sorgen, " \
	"dass die wichtige Fracht sicher ihr Ziel erreicht.",
	//kMirDefendTeamStart_msg,
	"Jagdbericht, [STARDATE]. Die drre Zeit der Jagd ist zu Ende. Heute werden wir tten und unsere Frachter schtzen, wie die " \
	"Tradition es verlangt.",	
	//kHydDefendTeamStart_msg,
	"Journal des Commanders, [STARDATE]. Unsere ehrenvolle Konvoimission wurde vom Gegner " \
	"jh unterbrochen.  Wir werden dafr sorgen, dass das Eigentum des Knigreiches sicher am Ziel eintrifft. ",
	//kISCDefendTeamStart_msg,
	"[PLAYER_NAME]: Bericht des Befriedungsfeldzugs, galaktisches Datum [STARDATE]. Eines der minderwertigen Vlker glaubt, dass es " \
	"verhindern kann, dass unsere Ladung ihr Endziel erreicht. Das ISK wird ihnen ihre Fehler vorfhren, sowohl die im Denken und auch " \
	"die im Leben.",

	//kDefendOneFreighterDestroyed,
	"Sie haben einen unserer Frachter zerstrt, [PLAYER_RANK] [PLAYER_NAME].",
	//kDefendThreeFreightersDestroyed,
	"[PLAYER_RANK], drei unserer Frachter wurden zerstrt!",
	//kDefendAllFreightersDestroyed,
	"Alle Frachter wurden zerstrt, [PLAYER_RANK]!  Wir sollten uns absetzen.",
	//kAttackOneFreighterDestroyed,
	"[PLAYER_RANK], wir haben einen der Frachter der [TEAM1_RACE] zerstrt.",
	//kAttackThreeFreightersDestroyed,
	"Wir haben drei ihrer Frachter zerstrt, [PLAYER_RANK].",
	//kAttackAllFreightersDestroyed,
	"Wir haben alle Frachter zerstrt. Damit ist unsere Mission erfllt, [PLAYER_RANK].",

	//kCapturedFreighter_msg,
	"Wissenschaftsoffizier: Der Frachter ist bei der Eroberung explodiert, [PLAYER_RANK].",

	//kYouHaveDisengaged_msg,
	"Unser Team hat sich abgesetzt.\n" \
	"Drcken Sie T, um andere Spieler anzuzeigen...",

	//kAllYourShipsDead_msg,
	"Alle Ihre Schiffe wurden zerstrt!\n" \
	"Drcken Sie T, um andere Spieler anzuzeigen...",

	//kAttackAstoundingVictory_msg,
	"Groartiger Sieg\n\n" \
	"Sie haben es geschafft, alle gegnerischen Frachter zu zerstren. Damit wurde ihre Versorgungsleitung unterbrochen. Gute Arbeit.\n\n" \
	"Wegtreten.",
	//kAttackVictory_msg,
	"Sieg\n\n" \
	"Sie haben es geschafft, die meisten der gegnerischen Frachter zu zerstren. Die zeigt, wie gut Sie und Ihre Crew in Form sind.\n\n" \
	"Wegtreten.",
	//kAttackDraw_msg,
	"Unentschieden\n\n" \
	"Sie haben es geschafft, einiges an Fracht zu vernichten. Zwar nicht genug, aber es wird reichen mssen.\n\n" \
	"Wegtreten.",
	//kAttackDefeat_msg,
	"Niederlage\n\n"
	"Ein Groteil der gegnerischen Versorgungsgter konnte an Ihrer Angriffsstreitmacht vorbeigeleitet werden. Das ist auerordentlich bedauerlich.\n\n" \
	"Wegtreten.",
	//kAttackDevastatingDefeat_msg,
	"Vernichtende Niederlage\n\n",
	
//	"Sie haben es noch nicht einmal geschafft, einen einzigen Frachter zu zerstren!  Knnen Sie sich berhaupt vorstellen, wie viele Probleme wir durch Ihren Fehlschlag " \
//	"bekommen?\n\n"
//	"Vernichtende Niederlage\n\n",

	//kDefendAstoundingVictory_msg,
	"Groartiger Sieg\n\n"
	"Sie haben es geschafft, den Konvoi ohne irgendwelche Verluste ans Ziel zu bringen. Das ist eine herausragende Leistung.\n\n" \
	"Wegtreten.",
	//kDefendVictory_msg,
	"Sieg\n\n"
	"Die meisten Frachter sind dem Angriff des Gegners entkommen. Man muss Sie dafr belobigen, dass Sie alles gerettet haben, was Sie konnten.\n\n" \
	"Wegtreten.",
	//kDefendDraw_msg,
	"Unentschieden\n\n"
	"Einige der Frachter haben es wirklich bis zum Ziel geschafft. Dieser hohe Verlust schadet allerdings nicht nur uns, sondern " \
	"auch Ihrer Karriere.\n\n" \
	"Wegtreten.",
	//kDefendDefeat_msg,
	"Niederlage\n\n"
	"Sie haben es geschafft, einen Groteil unseres Konvois auszulschen. Es ist eine dunkle Zeit fr uns alle.\n\n " \
	"Wegtreten.",
	//kDefendDevastatingDefeat_msg,
	"Vernichtende Niederlage\n\n",
	
//	"Vernichtende Niederlage\n\n"
//	"Nicht ein einziger Frachter hat berlebt!  Wo waren Sie?  Was haben Sie sich dabei gedacht?  Vielleicht sollten Sie mal Ihre Karriere berdenken.\n\n" \
//	"Wegtreten.",

	//kLeftEarly_msg,
	"Mission eingebt",

	//kPlayerAttackerTeamTitle_msg,
	"berfall auf einen Konvoi",

	//kPlayerDefenderTeamTitle_msg,
	"Eskorte fr einen Konvoi",

	//kScanning_msg,
	"Wissenschaftsoffizier: Wir scannen...\n\n",

	//kYouAreDead_msg,
	"",
#else
	//kMissionTitle_msg,
	"Met_11ConvoyRaid",

	//kShortBriefing_msg,
	"><" \
	"A convoy has been intercepted in space.",

	//kAttackBriefing_msg,
	">Destroy the enemy freighters and disengage.<"
	"You have a chance to strike an economic blow against the enemy.  Intercept and destroy as many freighters " \
	"as you can, then disengage.\n\n"
	"Dismissed",
	//kDefendBriefing_msg,
	">Defend your freighters from the raiding party.<"
	"The convoy you are protecting has been intercepted!  This cargo is vital to our efforts.  Protect it and " \
	"thwart the enemy's plans.\n\n" \
	"Dismissed",

	//kFedAttackTeamStart_msg,
	"[PLAYER_NAME]: Captain's log, Stardate [STARDATE].  We have intercepted an enemy convoy.  We must destroy " \
	"as many freighters as possible, then disengage",
	//kKliAttackTeamStart_msg,
	"War Record, [STARDATE].  We have discovered and shall now destroy an enemy convoy.  Our orders are clear, " \
	"destroy any and all freighters we find.",
	//kRomAttackTeamStart_msg,
	"Record of the Romulan Star Empire, [STARDATE].  While on patrol we have discovered an enemy convoy.  Our duty is " \
	"clear, we must not allow these supplies to reach their destination.",
	//kLyrAttackTeamStart_msg,
	"Commander's journal, Lyran Empire, [STARDATE].  Today we shall have the opportunity to destroy an enemy " \
	"convoy.  We have just intercepted it and will now initiate combat.",
	//kGorAttackTeamStart_msg,
	"Commander's log, [STARDATE].  We have intercepted an enemy convoy.  We shall now make battle with the enemy and eliminate " \
	"their resistance.  Of primary concern are the freighters.",
	//kMirAttackTeamStart_msg,
	"Hunt record, [STARDATE].  Today we hunt an enemy convoy.  It shall be our honor to catch our prey and " \
	"kill the freighters.",
	//kHydAttackTeamStart_msg,
	"Commander's journal, [STARDATE].  We have found an enemy convoy.  For the sake of the Kingdom, we will destroy their " \
	"freighters and deprive them of their supplies.",	
	//kISCAttackTeamStart_msg,
	"[PLAYER_NAME]: Pacification campaign record, Galactic Date [STARDATE].  We have discovered one of the primitive's  " \
	"freighter groups.  To help preserve the peace, we will eliminate these freighters.",

	//kFedDefendTeamStart_msg,
	"[PLAYER_NAME]: Captain's log, Stardate [STARDATE].  Our convoy has been intercepted by an enemy raiding " \
	"party.  Our mission is to protect this vital cargo by any means necessary",
	//kKliDefendTeamStart_msg,
	"War Record, [STARDATE].  Our shipment of war supplies has been intercepted.  We shall engage in battle with " \
	"these enemies and destroy them.",
	//kRomDefendTeamStart_msg,
	"Record of the Romulan Star Empire, [STARDATE].  While on a mission of protection, a convoy " \
	"has been intercepted.  Our duty is to ensure that the convoy's supplies arrive at their destination no matter the cost.",
	//kLyrDefendTeamStart_msg,
	"Commander's journal, Lyran Empire, [STARDATE].  The enemy believes that they shall swoop down on our convoy and " \
	"destroy it.  Our shipment shall arrive safely.",
	//kGorDefendTeamStart_msg,
	"Commander's log, [STARDATE].  Our convoy of freighters has been intercepted by the enemy.  We must ensure " \
	"the safe arrival of this important cargo.",
	//kMirDefendTeamStart_msg,
	"Hunt record, [STARDATE].  The drought of hunt is at an end.  We shall protect our freighters as tradition " \
	"demands.",	
	//kHydDefendTeamStart_msg,
	"Commander's journal, [STARDATE].  Our honorable convoy mission has been interrupted by our " \
	"enemy.   We shall make sure that the property of the Kingdom arrives at its destination. ",
	//kISCDefendTeamStart_msg,
	"[PLAYER_NAME]: Pacification campaign record, Galactic Date [STARDATE].  One of the lowly races believes they will " \
	"stop our shipment from reaching it's final destination.  The ISC shall show them the error in their thinking, and " \
	"their lives.",

	//kDefendOneFreighterDestroyed,
	"They have destroyed one of our freighters [PLAYER_RANK] [PLAYER_NAME]",
	//kDefendThreeFreightersDestroyed,
	"[PLAYER_RANK] three of our freighters have been destroyed!",
	//kDefendAllFreightersDestroyed,
	"All the Freighters have been destroyed [PLAYER_RANK]!  We should disengage.",
	//kAttackOneFreighterDestroyed,
	"[PLAYER_RANK] we have destroyed one of the [TEAM5_RACE] freighters",
	//kAttackThreeFreightersDestroyed,
	"We have destroyed three of their freighters [PLAYER_RANK]",
	//kAttackAllFreightersDestroyed,
	"We have destroyed all the freighters.  We have accomplished our mission [PLAYER_RANK]",

	//kCapturedFreighter_msg,
	"Science Officer: The freighter exploded upon capture [PLAYER_RANK].",

	//kYouHaveDisengaged_msg,
	"Your team has disengaged.\n" \
	"Use 'T' to view other players...",

	//kAllYourShipsDead_msg,
	"All your ships have been destroyed!\n" \
	"Use 'T' to view other players...",

	//kAttackAstoundingVictory_msg,
	"Astounding Victory\n\n" \
	"You managed to destroy all of the enemy freighters.  Their line of supply has been cut.  Well done.\n\n" \
	"Dismissed.",
	//kAttackVictory_msg,
	"Victory\n\n" \
	"You managed to destroy most of the enemy freighters.  This reflects well upon you and your crew.\n\n" \
	"Dismissed.",
	//kAttackDraw_msg,
	"Draw\n\n" \
	"You managed to stop some of their shipment.  Not enough, but it will have to do.\n\n" \
	"Dismissed.",
	//kAttackDefeat_msg,
	"Defeat\n\n"
	"Most of the enemy's supplies managed to make it past your attack force.  This is a very bad situation.\n\n" \
	"Dismissed.",
	//kAttackDevastatingDefeat_msg,
	"Devastating Defeat",
//	"You failed to destroy a single freighter!  Do you even understand the amount of trouble your failure has caused " \
//	"us?\n\n"


	//kDefendAstoundingVictory_msg,
	"Astounding Victory\n\n"
	"You managed to get the convoy through without a single loss.  This is an outstanding performance.\n\n" \
	"Dismissed.",
	//kDefendVictory_msg,
	"Victory\n\n"
	"Most of the freighters made it through the enemy attack.  You are to be commended for saving what you could.\n\n" \
	"Dismissed.",
	//kDefendDraw_msg,
	"Draw\n\n"
	"Some of the freighters have made it to their destination.  However, losing so many does not bode well " \
	"for us or your career.\n\n" \
	"Dismissed.",
	//kDefendDefeat_msg,
	"Defeat\n\n"
	"They managed to wipe out most of the convoy.  This is a dark day for us all.\n\n" \
	"Dismissed.",
	//kDefendDevastatingDefeat_msg,
	"Devastating Defeat",
//	"Not a single freighter survived!  Where were you?  What were you thinking?  Perhaps you should rethink your career.\n\n" \
//	"Dismissed.",

	//kLeftEarly_msg,
	"Forfeit\n\n",

	//kPlayerAttackerTeamTitle_msg,
	"Convoy Raid",

	//kPlayerDefenderTeamTitle_msg,
	"Convoy Escort",

//*****************

	//kScanning_msg,
	"Beginning Scan...",

	//kYouAreDead_msg,
	"You have died.",
#endif
};


