//	<Name>	QShipTeamShipInitialState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( QShipTeamShipInitialState_h )
#define QShipTeamShipInitialState_h

#include "ChildActorState.h"
#include "teamInfo.h"
#include "QShipTeamShip.h"

class tQShipTeamShipInitialState : public tChildActorState<tQShipTeamShip>
{
public:
	enum eTimeIDs
	{
		kAttackID,
	};

	tQShipTeamShipInitialState( );

	virtual void mBeginState();
	virtual void mEndState();
	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType );
	virtual void mOnDeath( tShipInfo* ship );
	virtual void mAtDestination( tShipInfo* ship );
	virtual void mOnDisengaged( tShipInfo* ship );

protected:

	int32	fThisShipWorldID;

};

#endif

