/********************************************************************************************************\

	File Name:	worldconditions.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( WorldConditions_h )
#define WorldConditions_h



class tWorldConditions
{
public:

	tWorldConditions();

	virtual void mAddAttackTeam();
	virtual void mAddDefendTeam();
	virtual void mRemoveAttackTeam();
	virtual void mRemoveDefendTeam();
	virtual void mCheckForGameEnd( void );

	virtual int32 mGetAttackTeams();
	virtual int32 mGetDefendTeams();
	virtual void mAddFreighter();
	virtual void mRemoveFreighter();
	virtual void mFreighterEscaped();
	virtual void mFreighterDestroyed();
	virtual int32 mGetFreightersDestroyed();
	virtual int32 mGetFreightersEscaped();
	virtual int32 mGetFreightersOriginal();
	virtual int32 mGetNumQShips();
	virtual void  mSetNumQShips( int32 setValue );
	virtual void  mRemoveQShip();
	virtual void  mSetFrtrSizeDice( int32 setValue );
	virtual int32 mGetFrtrSizeDice();

	virtual bool  mIsAttackerHuman();
	virtual void  mSetHumanAttacker();

private:

	int32	fNumAttackTeams;
	int32	fNumDefendTeams;
	int32	fOrigNumAttackTeams;
	int32	fOrigNumDefendTeams ;
	int32	fNumTeams;
	int32	fOrigNumbOfFreighters;
	int32	fCurrNumbOfFreighters;
	int32	fEscpNumbOfFreighters;
	int32	fDestNumbOfFreighters;
	int32	fNumbOfQShips;
	int32	fNumbRemainingQShips;
	bool	fAttackerHumanTeam;
	int32	fFrtrSizeDice;

};

extern tWorldConditions gWC;

#endif