/********************************************************************************************************\

	File Name:	Met_12ConvoyEscort.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/


#if !defined( Mul_BattlefestLite_h )
#define Mul_BattlefestLite_h

#include "ScriptInterface.h"

//---------------------------------------------------------------------------------------------
// the following enum is used to identify all non-player teams in the script
// (use kPlayerTeam to access the current players team.)
enum eTeamTypes
{
	kDefendTeam1 = kTeam1,
	kAttackTeam1,
	kAttackTeam2,
	kAttackTeam3,
	kFreighterTeam,
	kQShipTeam,
};

class tVictoryCondition;

class tMet_12ConvoyEscort : public tScript
{
public:

	tMet_12ConvoyEscort();

	virtual void	mStartMission();
	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual int32	mInitializeFinished();
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual tMapTerrain		mAssignMapTerrainTypes( int32 Map );
	virtual void	mASCIIOverrides( tMapOverrides* Map );
	virtual void	mDefineTeamShipStrengths( void );
	virtual void	mDefineBriefings( void );
};

#endif


