//	<Name>	QShipTeamShipInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Met_12ConvoyEscort.h"
#include "ShipInfo.h"
#include "QShipTeamShip.h"
#include "QShipTeamShipInitialStates.h"
#include "MissionText.h"
#include "ScriptInterface.h"
#include "WorldConditions.h"

tQShipTeamShipInitialState::tQShipTeamShipInitialState( )
{
}

void tQShipTeamShipInitialState::mBeginState()
{
	mSetTimedInterval( kTimerTurnsSet, kAttackID, 3.0f );
}

void tQShipTeamShipInitialState::mEndState()
{
}

void tQShipTeamShipInitialState::mOnTimedInterval( int32 timerID )
{
	if( timerID == kAttackID )
	{
		fChildActor->mClearCommands();

		fMissionInfo->mSetTeamRelations( static_cast< eTeamID>( kQShipTeam ), static_cast< eTeamID>(kAttackTeam1 ), kTeamAtWar, kGoalDestroy, 1.0, kTrue );
		fMissionInfo->mSetTeamRelations( static_cast< eTeamID>( kQShipTeam ), static_cast< eTeamID>( kAttackTeam2 ), kTeamAtWar, kGoalDestroy, 1.0, kTrue );
		fMissionInfo->mSetTeamRelations( static_cast< eTeamID>( kQShipTeam ), static_cast< eTeamID>( kAttackTeam3 ), kTeamAtWar, kGoalDestroy, 1.0, kTrue );

	}
}
void tQShipTeamShipInitialState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{

}
void tQShipTeamShipInitialState::mOnDeath( tShipInfo* ship )
{
}
void tQShipTeamShipInitialState::mAtDestination( tShipInfo* ship )
{
	if ( fChildActor->mGetShipID() == ship->mGetShipID() )
	{
		int x;
		x = 1;
	}
}
void tQShipTeamShipInitialState::mOnDisengaged( tShipInfo* ship )
{
}