/********************************************************************************************************\

	File Name:	DefendTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( DefendTeam_h )
#define DefendTeam_h

#include "TeamInfo.h"


class tDefendTeam : public tTeamInfo
{
public:

	tDefendTeam();

	enum eTimerIDs
	{
		kStartingID,
		kCheckDistanceID,
	};
	

	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );
	virtual void mSetupVictoryCondition();
	virtual void mSetupDebriefingList( eVictoryLevels victoryLevel );
	virtual void mScheduleNextMission( tVictoryCondition* VictoryCondition );
/*

	HELPER NOTE:	Below is where the list of the ship custom IDs go.  An example follows.

	enum eCustomIDs
	{
		kPlayerNPCBS1,
		kPlayerNPCBS2,
	};

*/
	enum eCustomIDs
	{};



private:

	int32 fDice;
};

#endif
