/********************************************************************************************************\

	File Name:	Met_13Monster.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( Met_13Monster_h )
#define Met_13Monster_h

#include "ScriptInterface.h"

/*

	HELPER NOTE:	Can define constants here relating to the 6 teams if kTeam1, kTeam2, etc is not to
					your liking.

*/
enum eTeamTypes
{
	kDefendTeam1 = kTeam1,
	kDefendTeam2,
	kDefendTeam3,
	kMonsterTeam,
};

class tVictoryCondition;

class tMet_13Monster : public tScript
{
public:

	tMet_13Monster();

	virtual void	mStartMission();
	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual int32	mInitializeFinished();
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mGetDebriefingList( eVictoryLevels VictoryLevel );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual int32	mGetTechnicalSuccessLevel( tDynaverseScriptInfo& info );
	virtual tMapTerrain		mAssignMapTerrainTypes( int32 Map );
	virtual void	mASCIIOverrides( tMapOverrides* Map );
	virtual void	mDefineTeamShipStrengths( void );
	virtual void	mDefineBriefings( void );
};

#endif


