/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN

	//	kMissionTitle_msg,
	"Met_13Monster",


	//kShortBriefing_msg,
	"Eine unbekannte Kreatur treibt ihr Unwesen in diesem Sektor. Sie mssen sie aufhalten, bevor sie diesen Bereich des " \
	"Raums verlassen kann.",

	//Briefing message,
	">Halten Sie die fremde Kreatur auf, bevor sie diesen Bereich verlassen kann.<"
	"Eine unbekannte Kreatur treibt ihr Unwesen in diesem Sektor. Sie mssen sie aufhalten, bevor sie diesen Bereich des " \
	"Raums verlassen kann.",


	//kFedDefendTeamStart_msg,
	"[PLAYER_NAME]: Logbuch des Captains, Sternendatum [STARDATE]. Eine zerstrerische Lebensform wtet in diesem Sternensystem, wir mssen sie " \
	"mit allen Mitteln stoppen.",

	//kKliDefendTeamStart_msg,
	"Kriegsbericht, [STARDATE]. Eine fremde Lebensform treibt ihr Unwesen in diesem Teil des Raums. Wir mssen sie verfolgen und vernichten.",

	//kRomDefendTeamStart_msg,
	"Bericht des romulanischen Imperiums, [STARDATE]. Unsere Mission ist es, eine niedere Kreatur zu vernichten, die in diesem " \
	"Sektor des Raums entdeckt wurde.",

	//kLyrDefendTeamStart_msg,
	"Journal des Commanders, lyranisches Imperium, [STARDATE]. Eine unbekannte Lebensform wurde in diesem System entdeckt. Wir mssen sie vernichten, " \
	"wenn unser Schiff dazu in der Lage ist.",

	//kGorDefendTeamStart_msg,
	"Logbuch des Commanders, [STARDATE]. In diesem Teil des Raums wurde eine unbekannte Kreatur entdeckt. Wir haben Befehl, sie zu zerstren, da sie sich " \
	"als uerst gefhrlich erwiesen hat.",

	//kMirDefendTeamStart_msg,
	"Jagdbericht, [STARDATE]. Wir machen heute Jagd auf eine Sternenkreatur. Sie hat sich als eine Bedrohung erwiesen, also wurde uns die Ehre zuteil, " \
	"sie zu jagen.",

	//kHydDefendTeamStart_msg,
	"Journal des Commanders, [STARDATE]. Das Knigreich ist in Gefahr, denn ein Sternentier wtet in diesem Sektor des " \
	"Raums. Wir haben die traurige Pflicht, dieses edle Tier zu tten.",

	//kISCDefendTeamStart_msg,
	"[PLAYER_NAME]: Bericht des Befriedungsfeldzugs, galaktisches Datum [STARDATE]. Unsere Pflicht zur Befriedung wurde vorbergehend " \
	"ausgesetzt, denn wir mssen eine Kreatur vernichten, die in diesem Teil des Raums ihr Unwesen treibt.",

	//kDefendAstoundingVictory_msg,
	"Groartiger Sieg\n\n",
	//kDefendVictory_msg,
	"Sieg\n\n",
	//kDefendDraw_msg,
	"Unentschieden\n\n",
	//kDefendDefeat_msg,
	"Niederlage\n\n",
	//kDefendDevastatingDefeat_msg,
	"Vernichtende Niederlage\n\n",

	//kYouHaveDisengaged_msg,
	"Unser Team hat sich abgesetzt.\n" \
	"Drcken Sie T, um andere Spieler anzuzeigen...",

	//kAllYourShipsDead_msg,
	"Alle Ihre Schiffe wurden zerstrt!\n" \
	"Drcken Sie T, um andere Spieler anzuzeigen...",

	//kLeftEarly_msg,
	"Mission eingebt",

	//kPlayerTeam1Title_msg,
	"Monster",

	//kScanning_msg,
	"Wissenschaftsoffizier: Wir scannen...\n\n",

#else		///////////////////////////////////////////////////////////////////////////////

	//	kMissionTitle_msg,
	"Met_13Monster",


	//kShortBriefing_msg,
	"An unknown alien creature has been rampaging through this sector.  You must stop it before it can leave this area of " \
	"space.",

	//Briefing message,
	">Stop the alien before it can leave this area.<"
	"An unknown alien creature has been rampaging through this sector.  You must stop it before it can leave this area of " \
	"space.",


	//kFedDefendTeamStart_msg,
	"[PLAYER_NAME]: Captain's log, Stardate [STARDATE].  A destructive life-form is loose in this star system, we must stop it " \
	"if at all possible.",

	//kKliDefendTeamStart_msg,
	"War Record, [STARDATE].  A alien being is rampaging through this space.  We are to track it down and destroy it.",

	//kRomDefendTeamStart_msg,
	"Record of the Romulan Star Empire, [STARDATE].  Our mission is to destroy a sub-creature which has been detected in " \
	"this sector of space.",

	//kLyrDefendTeamStart_msg,
	"Commander's journal, Lyran Empire, [STARDATE]. An alien being has been detected in this system.  We must destroy it " \
	"if our ship is able.",

	//kGorDefendTeamStart_msg,
	"Commander's log, [STARDATE].  A creature has been detected in this space.  We are ordered to destroy it, as it has " \
	"proven to be dangerous.",

	//kMirDefendTeamStart_msg,
	"Hunt record, [STARDATE].  We hunt a star creature today.  It has proven itself a menace, so we are given the honor " \
	"of destroying it.",

	//kHydDefendTeamStart_msg,
	"Commander's journal, [STARDATE].  The Kingdom is in danger as a star beast is rampaging through this sector of " \
	"space.  We have the sad duty of killing this noble beast.",

	//kISCDefendTeamStart_msg,
	"[PLAYER_NAME]: Pacification campaign record, Galactic Date [STARDATE].  Our pacification duties have been temporarily " \
	"suspended, as we must destroy a rampaging creature in this space.",



	//kDefendAstoundingVictory_msg,
	"Astounding Victory\n\n",
	//kDefendVictory_msg,
	"Victory\n\n",
	//kDefendDraw_msg,
	"Draw\n\n",
	//kDefendDefeat_msg,
	"Defeat\n\n",
	//kDefendDevastatingDefeat_msg,
	"Devastating Defeat\n\n",

	//kYouHaveDisengaged_msg,
	"Your team has disengaged.\n" \
	"Use 'T' to view other players...",

	//kAllYourShipsDead_msg,
	"All your ships have been destroyed!\n" \
	"Use 'T' to view other players...",

	//kLeftEarly_msg,
	"Forfeit\n\n",

	//kPlayerTeamDefender_msg,
	"Monster",

	//kScanning_msg,
	"Beginning Scan...",
#endif
};

