//	<Name>	MonsterTeamShipInitialState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( MonsterTeamShipInitialState_h )
#define MonsterTeamShipInitialState_h

#include "ChildActorState.h"
#include "teamInfo.h"
#include "MonsterTeamShip.h"

class tMonsterTeamShipInitialState : public tChildActorState<tMonsterTeamShip>
{
public:
	tMonsterTeamShipInitialState( );

	enum eTimerIDs
	{
		kStartingID,
		kCheckDistanceID,
	};

	virtual void mBeginState();
	virtual void mEndState();
	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType );
	virtual void mOnDeath( tShipInfo* ship );
	virtual void mAtDestination( tShipInfo* ship );
	virtual void mOnDisengaged( tShipInfo* ship );

protected:

	int32	fThisShipWorldID;
	int32	fTrackingDistance;
	bool	fteam1InRange;
	bool	fteam2InRange;
	bool	fteam3InRange;
};

#endif

