/********************************************************************************************************\

	File Name:	worldconditions.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/


#if !defined( WorldConditions_h )
#define WorldConditions_h



class tWorldConditions
{
public:

	tWorldConditions();


	virtual void mAddDefendTeam();
	virtual void mRemoveDefendTeam();
	virtual int32 mGetDefendTeams();

	virtual void mCheckForGameEnd( void );

	virtual void mAddMonster();
	virtual void mRemoveMonster();
	virtual void mMonsterEscaped();
	virtual void mMonsterDestroyed();
	virtual int32 mGetNumbMonstersDestroyed();
	virtual int32 mGetNumbMonstersEscaped();
	virtual int32 mGetNumbMonstersOriginal();
	virtual int32 mGetNumbOrigDefendTeams();
	virtual bool	mGetIsAPlanetKiller();
	virtual void	mPlanetKillerTrue();

private:

	int32 fOrigNumDefendTeams;
	int32 fNumDefendTeams;
	int32 fOrigNumbOfMonsters;
	int32 fCurrNumbOfMonsters;
	int32 fTotalMonstersDestroyed;
	int32 fNumMonstersEscaped;
	int32 fNumTeams;
	bool  fIsAPlanetKiller;
};

extern tWorldConditions gWC;

#endif
