//	<Name>	DefendTeamShipInitialState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( DefendTeamShipInitialState_h )
#define DefendTeamShipInitialState_h

#include "ChildActorState.h"
#include "DefendTeamShip.h"

class tDefendTeamShipInitialState : public tChildActorState<tDefendTeamShip>
{
public:
	enum eTimerIDs
	{
		kStartingID,
		kEndingID,
		kDeepScanOnID,
		kCheckDistanceID,
		kBoomID,
	};

	tDefendTeamShipInitialState( );

	virtual void mBeginState();
	virtual void mEndState();
	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType );
	virtual void mOnDeath( tShipInfo* ship );
	virtual void mOnDeepScan( tShipInfo* ship, iTruth deepScanOn );

protected:
	int32	fThisShipWorldID;
	bool	fDeepScanON;
};

#endif

