//	<Name>	EnigmaTeamShipInitialState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( EnigmaTeamShipInitialState_h )
#define EnigmaTeamShipInitialState_h

#include "ChildActorState.h"
#include "EnigmaTeamShip.h"

class tEnigmaTeamShipInitialState : public tChildActorState<tEnigmaTeamShip>
{
public:
  enum eTimerIDs
   {
		kStartingID,
		kEndingID,
   };


	tEnigmaTeamShipInitialState( );

	virtual void mBeginState();
	virtual void mEndState();
	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType );
	virtual void mOnDeath( tShipInfo* ship );

protected:

	int32	fThisShipWorldID;

};

#endif

