//	<Name>	EnigmaTeamShip.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "ScriptInterface.h"

#include "EnigmaTeamShip.h"
#include "MissionText.h"
#include "WorldConditions.h"

#include "EnigmaTeamShipInitialState.h"

tClassAllocator<tEnigmaTeamShip> gEnigmaTeamShipAllocator;

tEnigmaTeamShip::tEnigmaTeamShip()
{
//	gWC.mAddAttackShip();
//	fThisShipWorldID = gWC.mGetNumAttackShips();
}
void tEnigmaTeamShip::mSetupState()
{
	mRegisterState( new tEnigmaTeamShipInitialState( ) );

	mGotoState( typeid( tEnigmaTeamShipInitialState ) );
}
void tEnigmaTeamShip::mSetupCommState()
{
}
void tEnigmaTeamShip::mSetupShip()
{
//	mSetShipCallbackEvents(  kNotifyDamage );
	int32 stuffDice = fMissionInfo->mRandomInt32( 1, 100 );
	mRemoveItemFromStores( kSpareParts, 100 );
	mRemoveItemFromStores( kMarines, 100 );
	if( stuffDice < 33 )
	{
		mAddItemToStores( kTransporterItem, kTransMedicalSupplies, 1 );
	}
	else if( stuffDice < 67 )
	{
		mAddItemToStores( kTransporterItem, kTransDilithiumCrystals, 1 );
	}
}
int32 tEnigmaTeamShip::mGetThisShipID()
{
	return fThisShipWorldID;
}
