/********************************************************************************************************\

	File Name:	Met_14Enigma.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( Met_14Enigma_h )
#define Met_14Enigma_h

#include "ScriptInterface.h"

//---------------------------------------------------------------------------------------------
// the following enum is used to identify all non-player teams in the script
// (use kPlayerTeam to access the current players team.)

enum eTeamTypes
{
	kDefendTeam1 = kTeam1,
	kAttackTeam1,
	kEnigmaTeam,
};

class tVictoryCondition;

class tMet_14Enigma : public tScript
{
public:

	enum eCommStates
	{};

	tMet_14Enigma();

	virtual void	mStartMission();
	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual int32	mInitializeFinished();
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual tMapTerrain		mAssignMapTerrainTypes( int32 Map );
	virtual void	mASCIIOverrides( tMapOverrides* Map );
	virtual void	mDefineTeamShipStrengths( void );
	virtual	void	mDefineBriefings( void );
};

#endif



