/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN

	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Met_16ShipDefense",

	//
	//	Team-specific titles.
	//
	
	//	kTeamTitleAttack_msg,
	"Angriff auf die Schiffswerft",
	
	//	kTeamTitleDefend_msg,
	"Verteidigung der Schiffswerft",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"Zerstren Sie die gegnerische Schiffswerft.\n\n" \
	"Wegtreten.\n\n",

	//
	//	Team-specific briefings.
	//
	
	//	kTeamBriefingAttack_msg,
	"Sie befinden sich in gegnerischem Territorium. Zerstren Sie die gegnerische Schiffswerft um jeden Preis.\n\n" \
	"Wegtreten.\n\n",
	
	//	kTeamBriefingDefend_msg,
	"Der Gegner droht, Ihre Schiffswerft zu zerstren. Verteidigen Sie sie um jeden Preis.\n\n" \
	"Wegtreten.\n\n",

	//
	//	Starting message
	//
	
	//	kStartAttack_msg,
	"[PLAYER_NAME]: Logbuch des [PLAYER_RANK], Sternendatum [STARDATE]. Unsere Befehle lauten, die Schiffswerft der [TEAM4_RACE] zu zerstren, die berall in diesem Sektor verteilt ist.\n\n",

	//	kFedStartAttack_msg,
	"[PLAYER_NAME]: Logbuch des Captains, Sternendatum [STARDATE]. Wir nhern uns einer Schiffswerft der [TEAM4_RACE]. Wir haben den Auftrag, " \
	"diese Schiffswerft um jeden Preis zu zerstren. Auf diese Weise strken wir die Fderation.\n\n",

	//	kKliStartAttack_msg,
	"[PLAYER_NAME]: Kriegsbericht, [STARDATE]. Dies ist ein guter Moment, um zuzuschlagen. Obwohl wir uns im gegnerischen Raum befinden, sind wir Klingonen mit unserer " \
	"brutalen Kraft immer im Vorteil. Daher wird die Zerstrung der Schiffswerft der [TEAM4_RACE_PLURAL] in diesem Sektor keinerlei Herausforderung fr uns.\n\n",

	//	kRomStartAttack_msg,
	"[PLAYER_NAME]: Bericht des romulanischen Imperiums, [STARDATE]. Wir befinden uns auf einer Angriffsmission. Unsere Befehle lauten, den Gegner anzugreifen und " \
	"seine Schiffswerft zu zerstren.\n\n",

	//	kLyrStartAttack_msg,
	"[PLAYER_NAME]: Journal des Commanders, lyranisches Imperium, [STARDATE]. Wir sollen die Schiffswerft der [TEAM4_RACE] in diesem Sektor zerstren.\n\n",

	//	kHydStartAttack_msg,
	"[PLAYER_NAME]: Journal des Commanders, [STARDATE]. Wir befinden uns auf einem Angriffseinsatz fr das Knigreich. Es wurde uns befohlen, die Schiffswerft des Gegners zu zerstren.\n\n",

	//	kGorStartAttack_msg,
	"[PLAYER_NAME]: Logbuch des Commanders, [STARDATE]. Wir sollen die Schiffswerft der [TEAM4_RACE] in diesem Sektor zerstren.\n\n" \
	"Anschlieend sollen wir uns absetzen.",

	//	kISCStartAttack_msg,
	"[PLAYER_NAME]: Bericht des Befriedungsfeldzugs, galaktisches Datum [STARDATE]. Wir befinden uns im Territorium der [TEAM4_RACE]. Unsere Mission besteht darin, die " \
	"Schiffswerft des Gegners zu zerstren.\n\n",

	//	kMirStartAttack_msg,
	"[PLAYER_NAME]: Jagdbericht, [STARDATE]. Wir sind auf der Jagd nach den mickrigen [TEAM4_RACE_PLURAL]. Wir haben es auf ihre kostbare Schiffswerft abgesehen. Und wir werden ihre Schiffswerft zerstren.\n\n",

	//	kStartDefend_msg,
	"[PLAYER_NAME]: Logbuch des [PLAYER_RANK], Sternendatum [STARDATE]. Unser Auftrag lautet, unsere Schiffswerft gegen herannahende Angreifer zu verteidigen.\n\n",

	//	kFedStartDefend_msg,
	"[PLAYER_NAME]: Logbuch des Captains, Sternendatum [STARDATE]. Gegnerische Streitkrfte sind in unseren Sektor eingedrungen. Ihr Ziel knnen eigentlich nur unsere Flottenreparaturdocks sein. Wir " \
	"mssen sie um jeden Preis beschtzen.\n\n",

	//	kKliStartDefend_msg,
	"[PLAYER_NAME]: Kriegsbericht, [STARDATE]. Wir mssen die in der Nhe befindlichen gegnerischen Streitkrfte daran hindern, unsere Schiffswerft zu zerstren.\n\n",

	//	kRomStartDefend_msg,
	"[PLAYER_NAME]: Bericht des romulanischen Imperiums, [STARDATE]. Wir befinden uns auf einem Verteidigungseinsatz. Unsere Befehle lauten, den Gegner anzugreifen, bevor er die Gelegenheit hat, " \
	"unsere Schiffswerft zu zerstren.\n\n",

	//	kLyrStartDefend_msg,
	"[PLAYER_NAME]: Journal des Commanders, lyranisches Imperium, [STARDATE]. Wir sollen die [TEAM1_RACE_PLURAL] vernichten, bevor sie einen Angriff auf unsere Schiffswerft starten knnen.\n\n",

	//	kHydStartDefend_msg,
	"[PLAYER_NAME]: Journal des Commanders, [STARDATE]. Wir befinden uns auf einem Verteidigungseinsatz fr das Knigreich. Wir sollen unsere Schiffswerft mit allen verfgbaren Mitteln verteidigen.\n\n",

	//	kGorStartDefend_msg,
	"[PLAYER_NAME]: Logbuch des Commanders, [STARDATE]. Wir haben den Befehl, unsere Schiffswerft vor den [TEAM1_RACE_PLURAL] zu verteidigen, die soeben in das System eingedrungen sind.\n\n",

	//	kISCStartDefend_msg,
	"[PLAYER_NAME]: Bericht des Befriedungsfeldzugs, galaktisches Datum [STARDATE]. Diese [TEAM1_RACE_PLURAL] glauben, dass sie das ISK berwltigen knnen. Doch wir sind ihnen " \
	"berlegen. Wir werden sie stoppen, bevor sie die Chance haben, unsere Schiffswerft auch nur anzukratzen.\n\n",

	//	kMirStartDefend_msg,
	"[PLAYER_NAME]: Jagdbericht, [STARDATE]. Wir jagen die [TEAM1_RACE_PLURAL]. Wir werden ihnen das Fell abziehen. Wir werden sie vernichten und unsere Schiffswerft schtzen.\n\n",

	//
	//	Debriefing messages
	//
	
	//	kDebWinnerAttack_msg,
	"Gute Arbeit. Die gegnerische Schiffswerft wurde zerstrt.\n\n",

	//	kDebLoserAttack_msg,
	"Unglcklicherweise war Ihr Versuch, die Schiffswerft zu zerstren, nicht von Erfolg gekrnt.\n\n",

	//	kDebWinnerDefend_msg,
	"Herzlichen Glckwunsch. Sie konnten die Schiffswerft erfolgreich verteidigen.\n\n",

	//	kDebLoserDefend_msg,
	"Unglcklicherweise hat der Gegner die wichtigsten Teile der Schiffswerft in Schutt und Asche gelegt. Leben Sie fr die noch kommenden Kmpfe.",

	//
	//	Informative messages
	//
	
	//	kYouAreDead_msg,
	"Drcken Sie T, um zuzuschauen.\n",

	//
	//	Comm buttons
	//

	//
	//	Comm messages
	//

	//
	//	Victory rating
	//

	// kAstoundingVictory_msg,
	"Groartiger Sieg!\n\n",

	// kVictory_msg,
	"Sieg!\n\n",

	// kDraw_msg,
	"Unentschieden!\n\n",

	// kDefeat_msg,
	"Niederlage!\n\n",

	// kDevastatingDefeat_msg,
	"Vernichtende Niederlage!\n\n",

	//	kLeftEarly_msg,
	"Mission eingebt",

	//
	//	Random chatter
	//

	//	kRandChat1_msg,
	"Steuermann:\n\n",
	
	//	kRandChat2_msg,
	"Ingenieur:\n\n",
		
	//	kRandChat3_msg,
	"Sicherheitsoffizier:\n\n",
	
	//	kRandChat4_msg,
	"Navigation:\n\n",
		
	//	kRandChat5_msg,
	"Waffenoffizier:\n\n",
	
	//	kRandChat6_msg,
	"Wissenschaftsoffizier:\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	
	//	kDefendShipDestroyed_msg,
	"Verteidigerschiff zerstrt.\n\n",
	
	//	kDefendShipCaptured_msg,
	"Verteidigerschiff erobert.\n\n",
	
	//	kDefendShipDisengaged_msg,
	"Verteidigerschiff deaktiviert.\n\n",
	
	//	kAttackShipDestroyed_msg,
	"Angreifendes Schiff zerstrt.\n\n",
	
	//	kAttackShipCaptured_msg,
	"Angreifendes Schiff erobert.\n\n",
	
	//	kAttackShipDisengaged_msg,
	"Angreifendes Schiff deaktiviert.\n\n",
	
	//	kOTDDestroyed_msg,
	"Trockendock zerstrt.\n\n",
	
	//	kOTDCaptured_msg,
	"Trockendock erobert.\n\n",
	
	//	kOTDDisengaged_msg,
	"Trockendock deaktiviert.\n\n",

	//	kAllOTDSubdued_msg,
	"Die Schiffswerft gibt es nicht mehr.\n\n",

	//
	//	Custom messages
	//

#else

	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Met_16ShipDefense",

	//
	//	Team-specific titles.
	//
	
	//	kTeamTitleAttack_msg,
	"Shipyard Assault",
	
	//	kTeamTitleDefend_msg,
	"Shipyard Defense",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"Destroy the enemy shipyard.\n\n" \
	"Dismissed.\n\n",

	//
	//	Team-specific briefings.
	//
	
	//	kTeamBriefingAttack_msg,
	"You have entered enemy territory. Destroy the enemy shipyard at all costs.\n\n" \
	"Dismissed.\n\n",
	
	//	kTeamBriefingDefend_msg,
	"Enemies are threatening to destroy your shipyard. Defend it at all costs.\n\n" \
	"Dismissed.\n\n",

	//
	//	Starting message
	//
	
	//	kStartAttack_msg,
	"[PLAYER_NAME]: [PLAYER_RANK]'s log, Stardate [STARDATE]. Our orders are to destroy the [TEAM4_RACE] shipyard scattered throughout this sector.\n\n",

	//	kFedStartAttack_msg,
	"[PLAYER_NAME]: Captain's log, Stardate [STARDATE].  We are closing in on a [TEAM4_RACE] shipyard. We are under orders to " \
	"destroy this shipyard at all costs. Doing so, will strengthen the Federation.\n\n",

	//	kKliStartAttack_msg,
	"[PLAYER_NAME]: War Record, [STARDATE]. This is a good time to strike. Although we are in enemy space, we Klingons always have the advantage " \
	"with our brute strength. Therefore, killing the [TEAM4_RACE_PLURAL] shipyard in this sector will not be a challenge.\n\n",

	//	kRomStartAttack_msg,
	"[PLAYER_NAME]: Record of the Romulan Star Empire [STARDATE] on assault mission. Our orders are to engage the enemy and " \
	"destroy their shipyard.\n\n",

	//	kLyrStartAttack_msg,
	"[PLAYER_NAME]: Commander's journal, Lyran Star Empire [STARDATE]. We are to destroy the [TEAM4_RACE] shipyard in this sector.\n\n",

	//	kHydStartAttack_msg,
	"[PLAYER_NAME]: Commander's journal, [STARDATE].  On an assault mission for the Kingdom. We are to destroy the enemy shipyard.\n\n",

	//	kGorStartAttack_msg,
	"[PLAYER_NAME]: Commander's log, [STARDATE]. We are to destroy the [TEAM4_RACE] shipyard located in this sector.\n\n" \
	"we are to disengage.",

	//	kISCStartAttack_msg,
	"[PLAYER_NAME]: Pacification campaign record, Galactic Date [STARDATE]. In [TEAM4_RACE] territory. Our mission is to destroy the " \
	"enemy shipyard.\n\n",

	//	kMirStartAttack_msg,
	"[PLAYER_NAME]: Hunt record, [STARDATE]. We will hunt down the puny [TEAM4_RACE_PLURAL] shipyard and destroy it.\n\n",

	//	kStartDefend_msg,
	"[PLAYER_NAME]: [PLAYER_RANK]'s log, Stardate [STARDATE]. Our orders are to defend our shipyard from incoming attackers.\n\n",

	//	kFedStartDefend_msg,
	"[PLAYER_NAME]: Captain's log, Stardate [STARDATE]. Enemy forces have entered our sector. Their target must be our fleet repair docks. We " \
	"must protect it at all costs.\n\n",

	//	kKliStartDefend_msg,
	"[PLAYER_NAME]: War Record, [STARDATE]. We must stop the nearby enemy force from destroying our shipyard.\n\n",

	//	kRomStartDefend_msg,
	"[PLAYER_NAME]: Record of the Romulan Star Empire [STARDATE] on defense. Our orders are to engage the enemy and before they get a chance to " \
	"destroy our shipyard.\n\n",

	//	kLyrStartDefend_msg,
	"[PLAYER_NAME]: Commander's journal, Lyran Star Empire [STARDATE]. We are to destroy the [TEAM1_RACE_PLURAL] before they can strike at our shipyard.\n\n",

	//	kHydStartDefend_msg,
	"[PLAYER_NAME]: Commander's journal, [STARDATE].  On a defense mission for the Kingdom. We are to protect our shipyard with everything we have.\n\n",

	//	kGorStartDefend_msg,
	"[PLAYER_NAME]: Commander's log, [STARDATE]. We are to defend our shipyard from the [TEAM1_RACE_PLURAL], who have just entered the system.\n\n",

	//	kISCStartDefend_msg,
	"[PLAYER_NAME]: Pacification campaign record, Galactic Date [STARDATE]. Those [TEAM1_RACE_PLURAL] think that they can overcome the ISC. We are " \
	"superior. We will stop them before they have a chance to scathe our shipyard.\n\n",

	//	kMirStartDefend_msg,
	"[PLAYER_NAME]: Hunt record, [STARDATE]. We must stop the [TEAM1_RACE_PLURAL] and protect our shipyard.\n\n",

	//
	//	Debriefing messages
	//
	
	//	kDebWinnerAttack_msg,
	"Job well done. The enemy shipyard has been destroyed.\n\n",

	//	kDebLoserAttack_msg,
	"Unfortunately, you were unsuccessful in your attempt to destroy the shipyard.\n\n",

	//	kDebWinnerDefend_msg,
	"Congratulations. You successfully defended the shipyard.\n\n",

	//	kDebLoserDefend_msg,
	"Unfortunately, the enemy got the best of the shipyard. Live to fight another day.",

	//
	//	Informative messages
	//
	
	//	kYouAreDead_msg,
	"Press 'T' to spectate.\n",

	//
	//	Comm buttons
	//

	//
	//	Comm messages
	//

	//
	//	Victory rating
	//

	// kAstoundingVictory_msg,
	"Astounding Victory!\n\n",

	// kVictory_msg,
	"Victory!\n\n",

	// kDraw_msg,
	"Draw!\n\n",

	// kDefeat_msg,
	"Defeat!\n\n",

	// kDevastatingDefeat_msg,
	"Devastating Defeat!\n\n",

	//	kLeftEarly_msg,
	"Forfeit\n\n",

	//
	//	Random chatter
	//

	//	kRandChat1_msg,
	"Helm:\n\n",
	
	//	kRandChat2_msg,
	"Engineer:\n\n",
		
	//	kRandChat3_msg,
	"Security Officer:\n\n",
	
	//	kRandChat4_msg,
	"Navigation:\n\n",
		
	//	kRandChat5_msg,
	"Weapons Officer:\n\n",
	
	//	kRandChat6_msg,
	"Science Officer:\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	
	//	kDefendShipDestroyed_msg,
	"Defender ship destroyed.\n\n",
	
	//	kDefendShipCaptured_msg,
	"Defender ship captured.\n\n",
	
	//	kDefendShipDisengaged_msg,
	"Defender ship disengaged.\n\n",
	
	//	kAttackShipDestroyed_msg,
	"Attacker ship destroyed.\n\n",
	
	//	kAttackShipCaptured_msg,
	"Attacker ship captured.\n\n",
	
	//	kAttackShipDisengaged_msg,
	"Attacker ship disengaged.\n\n",
	
	//	kOTDDestroyed_msg,
	"Drydock destroyed.\n\n",
	
	//	kOTDCaptured_msg,
	"Drydock captured.\n\n",
	
	//	kOTDDisengaged_msg,
	"Drydock disengaged.\n\n",

	//	kAllOTDSubdued_msg,
	"Shipyard is no more.\n\n",

	//
	//	Custom messages
	//

#endif
};
