/********************************************************************************************************\

	File Name:	Met_Scout.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( Met_Scout_h )
#define Met_Scout_h

#include "ScriptInterface.h"

//---------------------------------------------------------------------------------------------
// the following enum is used to identify all non-player teams in the script
// (use kPlayerTeam to access the current players team.)
enum eTeamTypes
{
	kScoutTeam = kTeam1,
	kTeamScouted,
};

class tVictoryCondition;

class tMet_Scout : public tScript
{
public:

	enum eCommStates
	{
	};

	tMet_Scout();

	virtual void	mStartMission();
	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual int32	mInitializeFinished();
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mGetDebriefingList( eVictoryLevels VictoryLevel );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual int32	mGetTechnicalSuccessLevel( tDynaverseScriptInfo& info );
	virtual tMapTerrain		mAssignMapTerrainTypes( int32 Map );
	virtual void	mASCIIOverrides( tMapOverrides* Map );
	virtual void	mDefineTeamShipStrengths( void );
	virtual	void	mDefineBriefings( void );
};

#endif


