//	<Name>	ScoutTeamInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Met_1Scout.h"
#include "ShipInfo.h"
#include "ScoutTeam.h"
//#include "PlayerTeamShip.h"
#include "ScoutTeamInitialState.h"
#include "WorldConditions.h"

#include "MissionText.h"
#include "ScriptInterface.h"
//#include "SFCAssert.h"

tScoutTeamInitialState::tScoutTeamInitialState( )
{
	totalTeamScoutedShips = 0;
}

void tScoutTeamInitialState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kStartingID, 5.0f );
}

void tScoutTeamInitialState::mEndState()
{
}
void tScoutTeamInitialState::mOnTimedInterval( int32 timerID )
{

	int32 dice = fMissionInfo->mRandomInt32( 0, 7);

	if( timerID == kStartingID )
	{
		eRaceName  playerRace;
		tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kScoutTeam ) );
		playerRace = playerTeam->mGetRace();

		// return the index to the Starting message we want to use
		switch( playerRace )
		{
			case kFederation:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kScoutTeam ),  kFedScoutTeamStart_msg, kNonCommScriptMessage );
			break;
			case kKlingon:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kScoutTeam ),   kKliScoutTeamStart_msg, kNonCommScriptMessage );
			break;
			case kRomulan:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kScoutTeam ),   kRomScoutTeamStart_msg, kNonCommScriptMessage );
			break;
			case kLyran:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kScoutTeam ),   kLyrScoutTeamStart_msg, kNonCommScriptMessage );
			break;
			case kGorn:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kScoutTeam ),   kGorScoutTeamStart_msg, kNonCommScriptMessage );
			break;
			case kMirak:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kScoutTeam ),   kMirScoutTeamStart_msg, kNonCommScriptMessage );
			break;
			case kHydran:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kScoutTeam ),   kHydScoutTeamStart_msg, kNonCommScriptMessage );
			break;
			case kISC:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kScoutTeam ),   kISCScoutTeamStart_msg, kNonCommScriptMessage );
			break;
		}

	}//startingid


}

