//	<Name>	TeamScoutedInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Met_1Scout.h"
#include "ShipInfo.h"
#include "TeamScouted.h"
#include "TeamScoutedInitialState.h"


#include "MissionText.h"
#include "ScriptInterface.h"
#include "WorldConditions.h"

tTeamScoutedInitialState::tTeamScoutedInitialState( )
{

}

void tTeamScoutedInitialState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kStartingID, 5.0f );
}

void tTeamScoutedInitialState::mEndState()
{
}
void tTeamScoutedInitialState::mOnTimedInterval( int32 timerID )
{

	int32 dice = fMissionInfo->mRandomInt32( 0, 7);

	if( timerID == kStartingID )
	{
		eRaceName  playerRace;
		tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kTeamScouted ) );
		playerRace = playerTeam->mGetRace();

		// return the index to the Starting message we want to use
		switch( playerRace )
		{
			case kFederation:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kTeamScouted ),  kFedTeamScoutedStart_msg, kNonCommScriptMessage );
			break;
			case kKlingon:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kTeamScouted ),   kKliTeamScoutedStart_msg, kNonCommScriptMessage );
			break;
			case kRomulan:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kTeamScouted ),   kRomTeamScoutedStart_msg, kNonCommScriptMessage );
			break;
			case kLyran:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kTeamScouted ),   kLyrTeamScoutedStart_msg, kNonCommScriptMessage );
			break;
			case kGorn:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kTeamScouted ),   kGorTeamScoutedStart_msg, kNonCommScriptMessage );
			break;
			case kMirak:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kTeamScouted ),   kMirTeamScoutedStart_msg, kNonCommScriptMessage );
			break;
			case kHydran:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kTeamScouted ),   kHydTeamScoutedStart_msg, kNonCommScriptMessage );
			break;
			case kISC:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kTeamScouted ),   kISCTeamScoutedStart_msg, kNonCommScriptMessage );
			break;
		}

	}// StartingID


}

