/********************************************************************************************************\

	File Name:	WorldConditions.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/
#include "tclient.h"
#include "MissionInfo.h"
#include "MissionText.h"
#include "ScriptInterface.h"
#include "WorldConditions.h"

class tWorldConditions gWC;

tWorldConditions::tWorldConditions()
{
	gTotalTeamScoutedShips = 0;
	gTotalScoutShips = 0;
	for( int32 i = 0; i < 20; ++i )
	{
		gShipsToScan[i] = 0;
	}
}

void tWorldConditions::mSetTotalTeamScoutedShips( int32 setValue )
{
	gTotalTeamScoutedShips = setValue;
}
int32 tWorldConditions::mGetTotalTeamScoutedShips( void )
{
	return gTotalTeamScoutedShips;
}
void tWorldConditions::mSetTotalScoutShips( int32 setValue )
{
	gTotalScoutShips = setValue;
}
int32 tWorldConditions::mGetTotalScoutShips( void )
{
	return gTotalScoutShips;
}
void tWorldConditions::mSetShipScanned( int32 index )
{
	gShipsToScan[index] = 1;
}
int32 tWorldConditions::mGetScannedStatus( int32 index )
{
	return gShipsToScan[index];
}

/*

	HELPER NOTE:	Acts as a sort of victory condition for all of the teams.  This is where you can
					analyze the game state according to the world conditions you have kept.

*/
void tWorldConditions::mCheckForGameEnd( void )
{}