/********************************************************************************************************\

	File Name:	Met_2HoldingAction.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( Met_2HoldingAction_h )
#define Met_2HoldingAction_h

#include "ScriptInterface.h"

class tMet_2HoldingAction : public tScript
{
public:

	tMet_2HoldingAction();

	virtual void	mStartMission();
	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual tMapTerrain		mAssignMapTerrainTypes( int32 Map );
	virtual void	mASCIIOverrides( tMapOverrides* Map );
	virtual void	mDefineBriefings( void );
	virtual void	mDefineTeamShipStrengths( void );
};

#endif


