/********************************************************************************************************\

	File Name:	Met_3Ambushee.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( Met_3Ambushee_h )
#define Met_3Ambushee_h

#include "ScriptInterface.h"

/*

	HELPER NOTE:	Can define constants here relating to the 6 teams if kTeam1, kTeam2, etc is not to
					your liking.

*/
enum eTeamTypes
{
	kDefenderTeam = kTeam1,
	kAttackerTeam1,
	kAttackerTeam2,
};

class tVictoryCondition;

class tMet_3Ambushee : public tScript
{
public:

	tMet_3Ambushee();

	virtual void	mStartMission();
	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual int32	mInitializeFinished();
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual int32	mGetTechnicalSuccessLevel( tDynaverseScriptInfo& info );
	virtual int32	mGetEnemyTeamID();
	virtual void	mASCIIOverrides( tMapOverrides* Map );
	virtual void	mDefineTeamShipStrengths( void );
	virtual void	mDefineBriefings( void );
	virtual tMapTerrain		mAssignMapTerrainTypes( int32 Map );
};

#endif


