/********************************************************************************************************\

	File Name:	DefenderShipBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "DefenderShipBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tDefenderShipBaseState::mBeginState()
{}
void tDefenderShipBaseState::mEndState()
{}

void tDefenderShipBaseState::mOnDeath( tShipInfo* ship )
{}
void tDefenderShipBaseState::mOnCapture( tShipInfo* ship )
{}
void tDefenderShipBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tDefenderShipBaseState::mAtDistance( tShipInfo* ship )
{}
void tDefenderShipBaseState::mAtDestination( tShipInfo* ship )
{}
void tDefenderShipBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tDefenderShipBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tDefenderShipBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tDefenderShipBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tDefenderShipBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tDefenderShipBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tDefenderShipBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tDefenderShipBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tDefenderShipBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tDefenderShipBaseState::mOnFlashingButtonPressed()
{}
void tDefenderShipBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tDefenderShipBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tDefenderShipBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tDefenderShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tDefenderShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tDefenderShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tDefenderShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tDefenderShipBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tDefenderShipBaseState::mOnHostChanged()
{}
void tDefenderShipBaseState::mOnTimedInterval( int32 timerID )
{}
void tDefenderShipBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tDefenderShipBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

