/********************************************************************************************************\

	File Name:	DefenderTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( DefenderTeam_h )
#define DefenderTeam_h

#include "TeamInfo.h"


class tDefenderTeam : public tTeamInfo
{
public:

	tDefenderTeam();
	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );
	virtual void mSetupVictoryCondition();
	virtual void mSetupDebriefingList( eVictoryLevels victoryLevel );

	virtual void mScheduleNextMission( tVictoryCondition* VictoryCondition );

	int32	mGetPrestige()				{ return fPrestige; }
	void	mAddToPrestige( int32 x )	{ fPrestige += x; }

	int32	mEnemiesKilled()			{ return fNumEnemiesKilled; }
	void	mIncEnemiesKilled()			{ fNumEnemiesKilled++; }

	int32	mShipsLost()				{ return fShipsLost; }
	void	mIncShipsLost()				{ fShipsLost++; }

protected:

	int32	fPrestige;
	int32	fNumEnemiesKilled;
	int32	fShipsLost;
};

#endif
