/********************************************************************************************************\

	File Name:	Met_4Ambusher.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( Met_4Ambusher_h )
#define Met_4Ambusher_h

#include "ScriptInterface.h"

enum eTeamTypes
{
	kAttacker1 = kTeam1,
	kAttacker2,
	kDefender,
};

class tVictoryCondition;

class tMet_4Ambusher : public tScript
{
public:

	tMet_4Ambusher();

	virtual void	mStartMission();
	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual int32	mInitializeFinished();
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mGetDebriefingList( eVictoryLevels VictoryLevel );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual int32	mGetTechnicalSuccessLevel( tDynaverseScriptInfo& info );
	virtual int32	mGetEnemyTeamID();
	virtual void	mDefineTeamShipStrengths( void );
	virtual void	mDefineBriefings( void );
	virtual void	mASCIIOverrides( tMapOverrides* Map );
	virtual tMapTerrain		mAssignMapTerrainTypes( int32 Map );
};

#endif


