/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN
	// kMissionTitle_msg
	"Met_4Ambusher",

	//kAttackTitle_msg,
	"Hinterhalt!",

	//kDefendTitle_msg,
	"Patrouille",

	//kAttack_Briefing_msg
	"In der Gegend wurde eine kleine Anzahl gegnerischer Schiffe gesichtet; im Moment ist ihnen noch nicht bewusst, dass sie " \
	"beobachtet werden. Treffen Sie sich in [SYSTEM_NAME] mit verbndeten Streitkrften, und berfallen Sie den Gegner aus dem Hinterhalt.\n\n" \
	"Viel Glck.\n",

	//kDefend_Briefing_msg
	"Sie wurden mit der Aufgabe betraut, in diesem Teil des Sektors Patrouillen zu fliegen. Dies ist eine wichtige Aufgabe und " \
	"fr unsere Interessen von vitaler Bedeutung. Ihre Mission besteht darin, alle merkwrdigen Vorkommnisse zu untersuchen und " \
	"jedes gegnerische Schiff anzugreifen. Wenn Sie allerdings zahlenmig stark unterlegen sind, sollten Sie sich absetzen. Uns bei Feindaktivitten in diesem Sektor zu warnen, " \
	"ist besser als mit diesem Wissen zu sterben.\n\n" \
	"Wegtreten.",

	//kDeb_AstoundingVictory_msg
	"Groartiger Sieg!\n",

	//kDeb_Victory_msg
	"Sieg\n",
	
	//kDeb_Draw_msg
	"Unentschieden\n",
	
	//kDeb_Defeat_msg
	"Niederlage\n",
	 
	//kDeb_DevastatingDefeat_msg,
	"Vernichtende Niederlage!\n",
	
	//kDeb_Unknown_msg
	"Der Grad des Sieges kann nicht berechnet werden.\n",

	//kDefenderStart_msg,
	"Erster Offizier: [PLAYER_RANK], es ist eine Falle! Vor uns und hinter uns befinden sich gegnerische Schiffe.\n" \

	"[PLAYER_NAME]: Steuermann, bringen Sie uns hier raus.\n" \

	"Navigationsoffizier: Ich werden mein Bestes tun!\n\n",


	//kAttackerStart_msg,
	"Erster Offizier: Die Falle ist aufgegangen, [PLAYER_RANK]. Wir haben sie umzingelt.\n\n",
#else
	// kMissionTitle_msg
	"Met_4Ambusher",

	//kAttackTitle_msg,
	"Ambush the Enemy!",

	//kDefendTitle_msg,
	"Patrol",

	//kAttack_Briefing_msg
	"A small force of enemy ships has been sighted in the area; they are unaware of your " \
	"presence. Rendezvous in [SYSTEM_NAME] with allied forces and ambush the enemy.\n\n" \
	"Good luck.\n",

	//kDefend_Briefing_msg
	"You have been assigned the task of patrolling this part of the sector.  This is an important job and " \
	"is vital to our interests.  Your mission is to investigate any strange readings and " \
	"engage any enemy ships.  If you are heavily outnumberd you should disengage.  Warning us of enemy activity " \
	"in this sector is preferable to dying with that knowledge.\n\n" \
	"Dismissed",

	//kDeb_AstoundingVictory_msg
	"Astounding Victory!\n",

	//kDeb_Victory_msg
	"Victory\n",
	
	//kDeb_Draw_msg
	"Draw\n",
	
	//kDeb_Defeat_msg
	"Defeat\n",
	 
	//kDeb_DevastatingDefeat_msg,
	"Devastating Defeat!\n",
	
	//kDeb_Unknown_msg
	"Unable to calculate victory level.\n",

	//kDefenderStart_msg,
	"First Officer: [PLAYER_RANK], it's a trap! We have enemy vessels fore and aft.\n" \

	"[PLAYER_NAME]: Helm, get us out of here.\n" \

	"Helm Officer: I'll try!\n\n",


	//kAttackerStart_msg,
	"First Officer: The trap is sprung, [PLAYER_RANK]. We have them surrounded.\n\n",
#endif
};
