/********************************************************************************************************\

	File Name:	OrionTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "Met_6Patrol.h"
#include "OrionTeam.h"
//#include "OrionTeamInitialState.h"
//#include "OrionTeamShip.h"
#include "ShipScriptDescription.h"
#include "MissionText.h"
#include "SFCAssert.h"
#include "WorldConditions.h"

tClassAllocator<tOrionTeam> gOrionTeamAllocator;

tOrionTeam::tOrionTeam()
{
}
void tOrionTeam::mSetupVictoryCondition()
{
}
void tOrionTeam::mSetupState()
{
//	mRegisterState( new tOrionTeamInitialState() );

//	mGotoState( typeid( tOrionTeamInitialState ) );
}
void tOrionTeam::mSetupCommState()
{
}
void tOrionTeam::mCreateShipsForTeam()
{
	int32 diffLevel = fMissionInfo->mGetDifficultyLevel();
	int32 orionBPV = 0;
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kDefendTeam1 ) );
	int32 playerBPV = playerTeam->mGetCombatBPV();
	int32 orionDice = fMissionInfo->mRandomInt32( 1, 100 );


	if( orionDice > 95 )
	{
		if( diffLevel == 0 )
		{
			orionBPV = playerBPV * 0.7;
		}
		else if( diffLevel == 1 )
		{
			orionBPV = playerBPV * 0.8;
		}
		else if( diffLevel == 2 )
		{
			orionBPV = playerBPV * 1.0;
		}

		gWC.mSetOrionTeamInGame( true );

			mCreateShip( typeid( tShipInfo ),
									orionBPV,
									kClassFrigate,
									kClassBattleship,
									0,
									kStartPosition_Z, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kCanBeCarrier | kDeathUponCapture ) );					
	}//If orionDice
}
void tOrionTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tOrionTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
}
