/********************************************************************************************************\

	File Name:	PlayerShip.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "PlayerShip.h"
#include "PlayerShipBaseState.h"
#include "Mir_10Search.h"
#include "MissionText.h"

tClassAllocator<tPlayerShip> gPlayerShipAllocator;

void tPlayerShip::mSetupState()
{
	mRegisterState( new tPlayerShipBaseState() );
	mGotoState( typeid( tPlayerShipBaseState ) );
}

void tPlayerShip::mSetupCommState()
{}

void tPlayerShip::mSetupShip()
{
	mAddItemToStores( kTransporterItem, kTransScientists, 1 );

	mSetShipCallbackEvents( kNotifyTransportedItem );
	mSetShipCallbackEvents( kNotifyDeepScan );
	mSetShipCallbackEvents( kNotifyCommButtonPress );
}

void tPlayerShip::mTakeFeedbackDamage()
{
	mSetSystemHealthFromCurr( kRandomInternalsHardPoint, 0.5f );
}