/********************************************************************************************************\

	File Name:	Flagship.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "Flagship.h"
#include "FlagshipBaseState.h"
#include "Mir_11Wedding.h"
#include "MissionText.h"

tClassAllocator<tFlagship> gFlagshipAllocator;

void tFlagship::mSetupState()
{
	mRegisterState( new tFlagshipBaseState() );
	mGotoState( typeid( tFlagshipBaseState ) );
}

void tFlagship::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	if( !playerTeam )
			return;

	playerTeam->mRegisterCommMessage( kCommState_1,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail,
									  kHail_Flagship_1_msg,
									  kHail_Flagship_3_msg );

	playerTeam->mGotoCommState( mGetShipID(), kCommState_1 );
}

void tFlagship::mSetupShip()
{
	mAddItemToStores( kTransporterItem, kTransInfiltrator, 1 );
}
