/********************************************************************************************************\

	File Name:	LyranShip.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "LyranShip.h"
#include "LyranShipBaseState.h"
#include "Mir_11Wedding.h"
#include "MissionText.h"

tClassAllocator<tLyranShip> gLyranShipAllocator;

void tLyranShip::mSetupState()
{
	mRegisterState( new tLyranShipBaseState() );
	mGotoState( typeid( tLyranShipBaseState ) );
}

void tLyranShip::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	if( !playerTeam )
			return;

	playerTeam->mRegisterCommMessage( kCommState_1,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail,
									  kHail_Lyran_1_msg,
									  kHail_Lyran_3_msg );

	playerTeam->mGotoCommState( mGetShipID(), kCommState_1 );
}

void tLyranShip::mSetupShip()
{}
