/********************************************************************************************************\

	File Name:	MissionText.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( MissionText_h )
#define MissionText_h

#include "tstring.h"


enum TextMessages
{
	//
	//	Mission Title
	//
	kMissionTitle_msg,
	kTitle2,

	//
	//	Description message
	//
	kDescription_msg,

	//
	//	Briefing message
	//
	kBriefing_msg,

	//
	//	Starting message
	//
	kCaptainsLog_msg,
	kInitialSitrep_msg,
	

	//
	//	Debriefing messages
	//
	kDeb_BeamedSilly,
	kDeb_Killed,
	kDebComplete,
	kDeb_PlayerDied_msg,

	//
	//	Comm buttons
	//
	kButton_Hail,

	//
	//	Comm messages
	//
	kHail_Flagship_1_msg,
	kHail_Flagship_2_msg,
	kHail_Flagship_3_msg,
	kHail_Lyran_1_msg,
	kHail_Lyran_2_msg,
	kHail_Lyran_3_msg,

	//
	//	Victory rating
	//
	kAstoundingVictory_msg,
	kVictory_msg,
	kDraw_msg,
	kDefeat_msg,
	kDevastatingDefeat_msg,
	kLeftEarly_msg,

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	kCappedFlagship_msg,
	kHaveAdmiral_msg,
	kBeamedToPlanet_msg,
	kAdmiralKilled_msg,
	kScannedFlagship_msg,
	kScannedPlanet_msg,
	kVictoryMessage,
	kDoom_msg,
	kFixDoom_msg,

	//
	//	Custom messages
	//
	kScanning_msg,

	//
	//	Number of messages
	//
	kMsg_num,
};

extern std::string Messages[];


#endif

