/********************************************************************************************************\

	File Name:	CoffinBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "CoffinBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tCoffinBaseState::mBeginState()
{}
void tCoffinBaseState::mEndState()
{}

void tCoffinBaseState::mOnDeath( tShipInfo* ship )
{}
void tCoffinBaseState::mOnCapture( tShipInfo* ship )
{}
void tCoffinBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tCoffinBaseState::mAtDistance( tShipInfo* ship )
{}
void tCoffinBaseState::mAtDestination( tShipInfo* ship )
{}
void tCoffinBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tCoffinBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tCoffinBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tCoffinBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tCoffinBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tCoffinBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tCoffinBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tCoffinBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tCoffinBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tCoffinBaseState::mOnFlashingButtonPressed()
{}
void tCoffinBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tCoffinBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tCoffinBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tCoffinBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tCoffinBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tCoffinBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tCoffinBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tCoffinBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tCoffinBaseState::mOnHostChanged()
{}
void tCoffinBaseState::mOnTimedInterval( int32 timerID )
{}
void tCoffinBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tCoffinBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

