/********************************************************************************************************\

	File Name:	LyranShip.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "LyranShip.h"
#include "LyranShipBaseState.h"
#include "Mir_1Desecration.h"
#include "MissionText.h"

tClassAllocator<tLyranShip> gLyranShipAllocator;

void tLyranShip::mSetupState()
{
	mRegisterState( new tLyranShipBaseState() );
	mGotoState( typeid( tLyranShipBaseState ) );
}

void tLyranShip::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	if( !playerTeam )
		return;

	playerTeam->mRegisterCommMessage( kState_1,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail,
									  kHailMsg_1,
									  kHailMsg_3 );

	playerTeam->mRegisterCommMessage( kState_1,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Surrender,
									  kSurrenderMsg_1,
									  kSurrenderMsg_3 );

	playerTeam->mGotoCommState( mGetShipID(), kState_1 );


}

void tLyranShip::mSetupShip()
{}
