/********************************************************************************************************\

	File Name:	DilithiumTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "DilithiumTeam.h"
#include "DilithiumTeamBaseState.h"
#include "DilithiumShip.h"
#include "MissionText.h"
#include "ShipList_API.h"

tClassAllocator<tDilithiumTeam> gDilithiumTeamAllocator;

void tDilithiumTeam::mSetupState()
{
	mRegisterState( new tDilithiumTeamBaseState() );
	mGotoState( typeid( tDilithiumTeamBaseState ) );
}

void tDilithiumTeam::mSetupCommState()
{}

void tDilithiumTeam::mCreateShipsForTeam()
{
	// Eh. Don't miss with this. --FS
	char *szInitialName = "Cargo Container";
	char *szShip		= "Z-BOX";

	mCreateShip( typeid( tDilithiumShip ),
				 szShip,
				 kStartPosition_L,
				 kNoMetaShipID,
				 kDBox1,
				 0,0,0,0,
				 szInitialName,
				 kDefaultShipOptions );

	mCreateShip( typeid( tDilithiumShip ),
				 szShip,
				 kStartPosition_N,
				 kNoMetaShipID,
				 kDBox2,
				 0,0,0,0,
				 szInitialName,
				 kDefaultShipOptions );

	mCreateShip( typeid( tDilithiumShip ),
				 szShip,
				 kStartPosition_P,
				 kNoMetaShipID,
				 kDBox3,
				 0,0,0,0,
				 szInitialName,
				 kDefaultShipOptions );

	mCreateShip( typeid( tDilithiumShip ),
				 szShip,
				 kStartPosition_R,
				 kNoMetaShipID,
				 kDBox4,
				 0,0,0,0,
				 szInitialName,
				 kDefaultShipOptions );
}

void tDilithiumTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tDilithiumTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tDilithiumTeam", shipScriptDescription );
}


