/********************************************************************************************************\

	File Name:	FreighterBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "FreighterBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tFreighterBaseState::mBeginState()
{}
void tFreighterBaseState::mEndState()
{}

void tFreighterBaseState::mOnDeath( tShipInfo* ship )
{}
void tFreighterBaseState::mOnCapture( tShipInfo* ship )
{}
void tFreighterBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tFreighterBaseState::mAtDistance( tShipInfo* ship )
{}
void tFreighterBaseState::mAtDestination( tShipInfo* ship )
{}
void tFreighterBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tFreighterBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tFreighterBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tFreighterBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tFreighterBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tFreighterBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tFreighterBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tFreighterBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tFreighterBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tFreighterBaseState::mOnFlashingButtonPressed()
{}
void tFreighterBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tFreighterBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tFreighterBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tFreighterBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tFreighterBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tFreighterBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tFreighterBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tFreighterBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tFreighterBaseState::mOnHostChanged()
{}
void tFreighterBaseState::mOnTimedInterval( int32 timerID )
{}
void tFreighterBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tFreighterBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

