/********************************************************************************************************\

	File Name:	MissionText.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( MissionText_h )
#define MissionText_h

#include "tstring.h"


enum TextMessages
{
	//
	//	Mission Title
	//
	kMissionTitle_msg,
	kTitle2,

	//
	//	Description message
	//
	kDescription_msg,

	//
	//	Briefing message
	//
	kBriefing_msg,

	//
	//	Starting message
	//
	kCaptainsLog_msg,
	kInitialSitrep_msg,

	//
	//	Debriefing messages
	//
	kDeb_Freighter_Scan_Logs_msg,
	kDeb_Freighter_NoScan_Logs_msg,
	kDeb_Freighter_Scan_NoLogs_msg,
	kDeb_Freighter_NoScan_NoLogs_msg,
	kDeb_NoFreighter_msg,
	kDeb_PlayerDied_msg,

	//
	//	Comm buttons
	//
	kButton_Hail,
	kButton_DemandLogs,

	//
	//	Comm messages
	//
	kHailFreighter_msg,
	kDemandLogs_msg,
	kHailOther_msg,

	//
	//	Victory rating
	//
	kAstoundingVictory_msg,
	kVictory_msg,
	kDraw_msg,
	kDefeat_msg,
	kDevastatingDefeat_msg,
	kLeftEarly_msg,

	//
	//	Titles (or names) of ships and objects
	//
	kFreighterName,

	//
	//	Event dialog
	//
	kFreighterDies_msg,
	kFreighterCapped_msg,
	kPlayerGetsFreighter_msg,
	kLyransGetFreighter_msg,
	kKlingonsGetFreighter_msg,
	kScanFreighter_msg,

	//
	//	Custom messages
	//
	kScanning_msg,
	

	//
	//	Number of messages
	//
	kMsg_num,
};

extern std::string Messages[];


#endif

