/********************************************************************************************************\

	File Name:	PlayerTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( PlayerTeam_h )
#define PlayerTeam_h

#include "TeamInfo.h"


class tPlayerTeam : public tTeamInfo
{
public:

	tPlayerTeam();

	virtual void mSetupVictoryCondition();
	virtual void mSetupDebriefingList( eVictoryLevels victoryLevel );

	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );
	virtual void mScheduleNextMission( tVictoryCondition* VictoryCondition );

	enum eCustomIDs
	{
		kPlayerShip1 = 100,
		kPlayerShip2,
		kPlayerShip3,
	};

	iTruth	mHasFreighter();
	void	mSetHasFreighter( iTruth x );
	iTruth	mGotFreighter();
	void	mSetGotFreighter();

	iTruth	mGotLogs()				{ return fGotLogs; }
	void	mSetGotLogs()			{ fGotLogs = true; }

	iTruth	mScannedFreighter()		{ return fScannedFreighter; }
	void	mSetScannedFreighter()	{ fScannedFreighter = true; }

	iTruth	mDied()							{ return fDied; }
	void	mSetDied()						{ fDied = true; }

protected:
	iTruth	fHasFreighter;
	iTruth	fGotFreighter;
	iTruth	fGotLogs;
	iTruth	fScannedFreighter;
	iTruth	fDied;
};

#endif
