/********************************************************************************************************\

	File Name:	AsteroidBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "AsteroidBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tAsteroidBaseState::mBeginState()
{}
void tAsteroidBaseState::mEndState()
{}

void tAsteroidBaseState::mOnDeath( tShipInfo* ship )
{}
void tAsteroidBaseState::mOnCapture( tShipInfo* ship )
{}
void tAsteroidBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tAsteroidBaseState::mAtDistance( tShipInfo* ship )
{}
void tAsteroidBaseState::mAtDestination( tShipInfo* ship )
{}
void tAsteroidBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tAsteroidBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tAsteroidBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tAsteroidBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tAsteroidBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tAsteroidBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tAsteroidBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tAsteroidBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tAsteroidBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tAsteroidBaseState::mOnFlashingButtonPressed()
{}
void tAsteroidBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tAsteroidBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tAsteroidBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tAsteroidBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tAsteroidBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tAsteroidBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tAsteroidBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tAsteroidBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tAsteroidBaseState::mOnHostChanged()
{}
void tAsteroidBaseState::mOnTimedInterval( int32 timerID )
{}
void tAsteroidBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tAsteroidBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

