/********************************************************************************************************\

	File Name:	MissionText.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( MissionText_h )
#define MissionText_h

#include "tstring.h"


enum TextMessages
{
	//
	//	Mission Title
	//
	kMissionTitle_msg,
	kTitle2,

	//
	//	Description message
	//
	kDescription_msg,

	//
	//	Briefing message
	//
	kBriefing_msg,

	//
	//	Starting message
	//
	kCaptainsLog_msg,
	kSitrep_msg,


	//
	//	Debriefing messages
	//
	kDeb_BaseDeadNoDip_msg,
	kDeb_BaseDeadDip_msg,
	kDeb_BaseAliveNoDip_msg,
	kDeb_BaseAliveDip_msg,
	kDeb_PlayerDied_msg,


	//
	//	Comm buttons
	//
	kButton_Hail,

	//
	//	Comm messages
	//
	kHail_Enemy_1_msg,
	kHail_Enemy_2_msg,
	kHail_Enemy_3_msg,
	kHail_Planet_msg,

	//
	//	Victory rating
	//
	kAstoundingVictory_msg,
	kVictory_msg,
	kDraw_msg,
	kDefeat_msg,
	kDevastatingDefeat_msg,
	kLeftEarly_msg,

	//
	//	Random chatter
	//

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	kScanRangeNotice_msg,
	kScannedPlanet_msg,
	kBeamedDiplomat_msg,
	kEnemiesDead_msg,
	kBaseDestroyed_msg,
	kMustKillEnemy_msg,

	//
	//	Custom messages
	//
	kScanning_msg,

	//
	//	Number of messages
	//
	kMsg_num,
};

extern std::string Messages[];


#endif

