/********************************************************************************************************\

	File Name:	HydranMoon.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "HydranMoon.h"
#include "HydranMoonBaseState.h"
#include "MissionText.h"
#include "ScriptInterface.h"
#include "Mir_5BFunny2.h"

tClassAllocator<tHydranMoon> gHydranMoonAllocator;

void tHydranMoon::mSetupState()
{
	mRegisterState( new tHydranMoonBaseState() );
	mGotoState( typeid( tHydranMoonBaseState ) );
}

void tHydranMoon::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	if( !playerTeam )
			return;

	playerTeam->mRegisterCommMessage( kCommState_1,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail,
									  kHailHydran );

	playerTeam->mGotoCommState( mGetShipID(), kCommState_1 );
}

void tHydranMoon::mSetupShip()
{}
