/********************************************************************************************************\

	File Name:	HydranMoonBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "HydranMoonBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tHydranMoonBaseState::mBeginState()
{}
void tHydranMoonBaseState::mEndState()
{}

void tHydranMoonBaseState::mOnDeath( tShipInfo* ship )
{}
void tHydranMoonBaseState::mOnCapture( tShipInfo* ship )
{}
void tHydranMoonBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tHydranMoonBaseState::mAtDistance( tShipInfo* ship )
{}
void tHydranMoonBaseState::mAtDestination( tShipInfo* ship )
{}
void tHydranMoonBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tHydranMoonBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tHydranMoonBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tHydranMoonBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tHydranMoonBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tHydranMoonBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tHydranMoonBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tHydranMoonBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tHydranMoonBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tHydranMoonBaseState::mOnFlashingButtonPressed()
{}
void tHydranMoonBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tHydranMoonBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tHydranMoonBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tHydranMoonBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tHydranMoonBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tHydranMoonBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tHydranMoonBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tHydranMoonBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tHydranMoonBaseState::mOnHostChanged()
{}
void tHydranMoonBaseState::mOnTimedInterval( int32 timerID )
{}
void tHydranMoonBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tHydranMoonBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

