/********************************************************************************************************\

	File Name:	KlingonMoonBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "KlingonMoonBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tKlingonMoonBaseState::mBeginState()
{}
void tKlingonMoonBaseState::mEndState()
{}

void tKlingonMoonBaseState::mOnDeath( tShipInfo* ship )
{}
void tKlingonMoonBaseState::mOnCapture( tShipInfo* ship )
{}
void tKlingonMoonBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tKlingonMoonBaseState::mAtDistance( tShipInfo* ship )
{}
void tKlingonMoonBaseState::mAtDestination( tShipInfo* ship )
{}
void tKlingonMoonBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tKlingonMoonBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tKlingonMoonBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tKlingonMoonBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tKlingonMoonBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tKlingonMoonBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tKlingonMoonBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tKlingonMoonBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tKlingonMoonBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tKlingonMoonBaseState::mOnFlashingButtonPressed()
{}
void tKlingonMoonBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tKlingonMoonBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tKlingonMoonBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tKlingonMoonBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tKlingonMoonBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tKlingonMoonBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tKlingonMoonBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tKlingonMoonBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tKlingonMoonBaseState::mOnHostChanged()
{}
void tKlingonMoonBaseState::mOnTimedInterval( int32 timerID )
{}
void tKlingonMoonBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tKlingonMoonBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

