/********************************************************************************************************\

	File Name:	LyranMoon.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "LyranMoon.h"
#include "LyranMoonBaseState.h"
#include "MissionText.h"
#include "ScriptInterface.h"
#include "Mir_5BFunny2.h"

tClassAllocator<tLyranMoon> gLyranMoonAllocator;

void tLyranMoon::mSetupState()
{
	mRegisterState( new tLyranMoonBaseState() );
	mGotoState( typeid( tLyranMoonBaseState ) );
}

void tLyranMoon::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	if( !playerTeam )
			return;

	playerTeam->mRegisterCommMessage( kCommState_1,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail,
									  kHailLyran );

	playerTeam->mGotoCommState( mGetShipID(), kCommState_1 );
}

void tLyranMoon::mSetupShip()
{}
