/********************************************************************************************************\

	File Name:	LyranMoonBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "LyranMoonBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tLyranMoonBaseState::mBeginState()
{}
void tLyranMoonBaseState::mEndState()
{}

void tLyranMoonBaseState::mOnDeath( tShipInfo* ship )
{}
void tLyranMoonBaseState::mOnCapture( tShipInfo* ship )
{}
void tLyranMoonBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tLyranMoonBaseState::mAtDistance( tShipInfo* ship )
{}
void tLyranMoonBaseState::mAtDestination( tShipInfo* ship )
{}
void tLyranMoonBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tLyranMoonBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tLyranMoonBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tLyranMoonBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tLyranMoonBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tLyranMoonBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tLyranMoonBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tLyranMoonBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tLyranMoonBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tLyranMoonBaseState::mOnFlashingButtonPressed()
{}
void tLyranMoonBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tLyranMoonBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tLyranMoonBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tLyranMoonBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tLyranMoonBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tLyranMoonBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tLyranMoonBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tLyranMoonBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tLyranMoonBaseState::mOnHostChanged()
{}
void tLyranMoonBaseState::mOnTimedInterval( int32 timerID )
{}
void tLyranMoonBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tLyranMoonBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

