/********************************************************************************************************\

	File Name:	MirakMoon.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "MirakMoon.h"
#include "MirakMoonBaseState.h"
#include "MissionText.h"
#include "ScriptInterface.h"
#include "Mir_5BFunny2.h"

tClassAllocator<tMirakMoon> gMirakMoonAllocator;

void tMirakMoon::mSetupState()
{
	mRegisterState( new tMirakMoonBaseState() );
	mGotoState( typeid( tMirakMoonBaseState ) );
}

void tMirakMoon::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	if( !playerTeam )
			return;

	playerTeam->mRegisterCommMessage( kCommState_1,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail,
									  kHailMirak );

	playerTeam->mGotoCommState( mGetShipID(), kCommState_1 );
}

void tMirakMoon::mSetupShip()
{}
