/********************************************************************************************************\

	File Name:	Planet.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "Planet.h"
#include "PlanetBaseState.h"
#include "MissionText.h"
#include "ScriptInterface.h"
#include "Mir_5BFunny2.h"

tClassAllocator<tPlanet> gPlanetAllocator;

void tPlanet::mSetupState()
{
	mRegisterState( new tPlanetBaseState() );
	mGotoState( typeid( tPlanetBaseState ) );
}

void tPlanet::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	if( !playerTeam )
			return;

	playerTeam->mRegisterCommMessage( kCommState_1,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail,
									  kHailPlanet );

	playerTeam->mGotoCommState( mGetShipID(), kCommState_1 );
}

void tPlanet::mSetupShip()
{}
