/********************************************************************************************************\

	File Name:	MissionText.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( MissionText_h )
#define MissionText_h

#include "tstring.h"


enum TextMessages
{
	//
	//	Mission Title
	//
	kMissionTitle_msg,
	kTitle2,

	//
	//	Briefing message
	//
	kBriefing_msg,

	//
	//	Starting message
	//
	kCaptainsLog_msg,
	kInitialSitrep_msg,

	//
	//	Debriefing messages
	//
	kDeb_NoAllianceFrtDead_msg,
	kDeb_NoAllianceEnemyDead_msg,
	kDeb_AllianceNoCapture_msg,
	kDeb_AllianceCapture_msg,
	kDeb_NoExplanationCappedPlanet_msg,
	kDeb_PlayerDied_msg,

	//
	//	Comm buttons
	//
	kButton_Hail,
	kButton_Explain,
	kButton_Yes,
	kButton_No,

	//
	//	Comm messages
	//
	kHailFreighter_1_msg,
	kHailFreighter_2_msg,
	kEnemyTalks_msg,
	kEnemyDoesntTalk_msg,
	kExplain_1_msg,
	kMakeAlliance_msg,
	kNoAlliance_msg,
	kHailWheel_1_msg,
	kHailWheel_2_msg,
	kHailWheel_3_msg,

	//
	//	Victory rating
	//
	kAstoundingVictory_msg,
	kVictory_msg,
	kDraw_msg,
	kDefeat_msg,
	kDevastatingDefeat_msg,
	kLeftEarly_msg,

	//
	//	Random chatter
	//

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	kStoppedEnemyNoExplanation_msg,
	kFreighterKilled_NoExplanation_msg,
	kScanFreighter_msg,
	kPlanetOutOfScanRange_msg,
	kScannedPlanet_msg,
	kWheelTeamArrives_msg,
	kWheelTeamDead_msg,
	kCapFreighter_msg,
	kCappedPlanet_NoReason_msg,
	kCappedPlanet_msg,

	//
	//	Custom messages
	//
	kScanning_msg,

	//
	//	Number of messages
	//
	kMsg_num,
};

extern std::string Messages[];


#endif

