/********************************************************************************************************\

	File Name:	EnemyTeam2BaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "EnemyTeam2BaseState.h"



/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tEnemyTeam2BaseState::mBeginState()
{
}
void tEnemyTeam2BaseState::mEndState()
{}

void tEnemyTeam2BaseState::mOnDeath( tShipInfo* ship )
{}
void tEnemyTeam2BaseState::mOnCapture( tShipInfo* ship )
{}
void tEnemyTeam2BaseState::mOnDisengaged( tShipInfo* ship )
{}
void tEnemyTeam2BaseState::mAtDistance( tShipInfo* ship )
{}
void tEnemyTeam2BaseState::mAtDestination( tShipInfo* ship )
{}
void tEnemyTeam2BaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tEnemyTeam2BaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tEnemyTeam2BaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tEnemyTeam2BaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tEnemyTeam2BaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tEnemyTeam2BaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tEnemyTeam2BaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tEnemyTeam2BaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tEnemyTeam2BaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tEnemyTeam2BaseState::mOnFlashingButtonPressed()
{}
void tEnemyTeam2BaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tEnemyTeam2BaseState::mOnChangingShip( tShipInfo* ship )
{}
void tEnemyTeam2BaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tEnemyTeam2BaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tEnemyTeam2BaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tEnemyTeam2BaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tEnemyTeam2BaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tEnemyTeam2BaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tEnemyTeam2BaseState::mOnHostChanged()
{}
void tEnemyTeam2BaseState::mOnTimedInterval( int32 timerID )
{
}
void tEnemyTeam2BaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tEnemyTeam2BaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

