/********************************************************************************************************\

	File Name:	AllyTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( AllyTeam_h )
#define AllyTeam_h

#include "TeamInfo.h"
#include "CommonDefs.h"

class tAllyTeam : public tTeamInfo
{
public:
	void mCreateReinforcements();
	void mOldCreateReinforcements();

	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );

	enum eCustomIDs
	{
		kAlly1 = 200,
		kAlly2,
		kAlly3,
		kAlly4,
		kAlly5,
	};

	iTruth	mSetTeamPriority( eTeamPriority priority );

protected:

	eTeamPriority	fCurrentPriority;
};

#endif
