/********************************************************************************************************\

	File Name:	LyranTeam2BaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "LyranTeam2BaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tLyranTeam2BaseState::mBeginState()
{}
void tLyranTeam2BaseState::mEndState()
{}

void tLyranTeam2BaseState::mOnDeath( tShipInfo* ship )
{}
void tLyranTeam2BaseState::mOnCapture( tShipInfo* ship )
{}
void tLyranTeam2BaseState::mOnDisengaged( tShipInfo* ship )
{}
void tLyranTeam2BaseState::mAtDistance( tShipInfo* ship )
{}
void tLyranTeam2BaseState::mAtDestination( tShipInfo* ship )
{}
void tLyranTeam2BaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tLyranTeam2BaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tLyranTeam2BaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tLyranTeam2BaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tLyranTeam2BaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tLyranTeam2BaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tLyranTeam2BaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tLyranTeam2BaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tLyranTeam2BaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tLyranTeam2BaseState::mOnFlashingButtonPressed()
{}
void tLyranTeam2BaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tLyranTeam2BaseState::mOnChangingShip( tShipInfo* ship )
{}
void tLyranTeam2BaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tLyranTeam2BaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tLyranTeam2BaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tLyranTeam2BaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tLyranTeam2BaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tLyranTeam2BaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tLyranTeam2BaseState::mOnHostChanged()
{}
void tLyranTeam2BaseState::mOnTimedInterval( int32 timerID )
{}
void tLyranTeam2BaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tLyranTeam2BaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

