/********************************************************************************************************\

	File Name:	TransportTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "TransportTeamBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tTransportTeamBaseState::mBeginState()
{}
void tTransportTeamBaseState::mEndState()
{}

void tTransportTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tTransportTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tTransportTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tTransportTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tTransportTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tTransportTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tTransportTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tTransportTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tTransportTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tTransportTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tTransportTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tTransportTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tTransportTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tTransportTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tTransportTeamBaseState::mOnFlashingButtonPressed()
{}
void tTransportTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tTransportTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tTransportTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tTransportTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tTransportTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tTransportTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tTransportTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tTransportTeamBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tTransportTeamBaseState::mOnHostChanged()
{}
void tTransportTeamBaseState::mOnTimedInterval( int32 timerID )
{}
void tTransportTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tTransportTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

