/********************************************************************************************************\

	File Name:	InvasionShip.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "InvasionShip.h"
#include "InvasionShipBaseState.h"
#include "Mir_9Edge.h"
#include "MissionText.h"

tClassAllocator<tInvasionShip> gInvasionShipAllocator;

void tInvasionShip::mSetupState()
{
	mRegisterState( new tInvasionShipBaseState() );
	mGotoState( typeid( tInvasionShipBaseState ) );
}

void tInvasionShip::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	if( !playerTeam )
		return;

	playerTeam->mRegisterCommMessage( kState_1,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail,
									  kHail_1_msg,
									  kHail_3_msg );

	playerTeam->mGotoCommState( mGetShipID(), kState_1 );
}

void tInvasionShip::mSetupShip()
{}
