/********************************************************************************************************\

	File Name:	Mir_9Edge.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( Mir_9Edge_h )
#define Mir_9Edge_h

#include "ScriptInterface.h"

//---------------------------------------------------------------------------------------------
// the following enum is used to identify all non-player teams in the script
// (use kPlayerTeam to access the current players team.)
enum eTeamTypes
{
	kPlayerTeam = kTeam1,
	kBackupTeam,
	kLyranTeam,
	kPlanetTeam,
	kInvasionTeam,
	kDraft1Team,
};

class tVictoryCondition;

class tMir_9Edge : public tScript
{
public:

	tMir_9Edge();

	virtual void	mStartMission();
	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual int32	mInitializeFinished();
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mGetDebriefingList( eVictoryLevels VictoryLevel );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual int32	mGetTechnicalSuccessLevel( tDynaverseScriptInfo& info );
	virtual int32	mGetEnemyTeamID();
	virtual void	mASCIIOverrides( tMapOverrides* Map );
	virtual tMapTerrain		mAssignMapTerrainTypes( int32 Map );
	virtual void	mDefineTeamShipStrengths( void );
	virtual void	mDefineBriefings( void );


};

#endif


