/********************************************************************************************************\

	File Name:	Planet.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "Planet.h"
#include "PlanetBaseState.h"
#include "MissionText.h"
#include "Mir_9Edge.h"
#include "PlanetTeam.h"

tClassAllocator<tPlanet> gPlanetAllocator;

void tPlanet::mSetupState()
{
	mRegisterState( new tPlanetBaseState() );
	mGotoState( typeid( tPlanetBaseState ) );
}

void tPlanet::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	if( !playerTeam )
		return;

	playerTeam->mRegisterCommMessage( kState_1,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail,
									  kHail_Planet_msg,
									  kNoRandomMsg );

	if( mGetCustomID() == tPlanetTeam::kPlanet )
	{
		playerTeam->mGotoCommState( mGetShipID(), kState_1 );
	}
}

void tPlanet::mSetupShip()
{}
