/********************************************************************************************************\

	File Name:	MissionMaps.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionMaps.h"

#if defined ( _GERMAN )

/*

	HELPER NOTE:	Add or delete from this list.  It is not necessary to have these exact maps in each
					multiplayer mission; however, each map should have valid starting positions for each
					of the 6 teams.

*/
int32 TotalMaps = 1;
const char* MapTypes[] = { "SFC2-Stadium" };
const char* MapLines[]=
{
	// Asteroids: a,A,*
	// Black Holes: b,B
	// Nebula: c,C
	// Dust clouds: d,D
	// Start positions: G,H,I,J,K,L,M,N,O,P,Q,R,S,T,U,V,W,X,Y,Z
	// End positions:   g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z
	// Planets: 1-6
	// Suns: 7-9
	//
   "Mul_10Hockey",
  "// SFC2-Stadium",
   " +____1____2____3___+",
   " |<<<<.....O....<<<<|",
   " |<<<<.....o....<<<<|",
   " |<<<<..........<<<<|",
   " |<<<<...Y...G..<<<<|",
   "1|<<<<..Xkl.tuH.<<<<|",
   " |.....W.j.q.v.I....|",
   " |.Z.......Q......M.|",
   " |.....V.i...w.J....|",
   " |<<<<..Uhg.yxK.<<<<|",
   "2|<<<<...T...L..<<<<|",
   " |<<<<..........<<<<|",
   " |<<<<.....s....<<<<|",
   " |<<<<.....S....<<<<|",
   " +------------------+",
   "      1    2    3    ",
   "///",
   0
};

#else

/*

	HELPER NOTE:	Add or delete from this list.  It is not necessary to have these exact maps in each
					multiplayer mission; however, each map should have valid starting positions for each
					of the 6 teams.

*/
int32 TotalMaps = 1;
const char* MapTypes[] = { "SFC2 Stadium" };
const char* MapLines[]=
{
	// Asteroids: a,A,*
	// Black Holes: b,B
	// Nebula: c,C
	// Dust clouds: d,D
	// Start positions: G,H,I,J,K,L,M,N,O,P,Q,R,S,T,U,V,W,X,Y,Z
	// End positions:   g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z
	// Planets: 1-6
	// Suns: 7-9
	//
   "Mul_10Hockey",
  "// SFC2 Stadium",
   " +____1____2____3___+",
   " |<<<<.....O....<<<<|",
   " |<<<<.....o....<<<<|",
   " |<<<<..........<<<<|",
   " |<<<<...Y...G..<<<<|",
   "1|<<<<..Xkl.tuH.<<<<|",
   " |.....W.j.q.v.I....|",
   " |.Z.......Q......M.|",
   " |.....V.i...w.J....|",
   " |<<<<..Uhg.yxK.<<<<|",
   "2|<<<<...T...L..<<<<|",
   " |<<<<..........<<<<|",
   " |<<<<.....s....<<<<|",
   " |<<<<.....S....<<<<|",
   " +------------------+",
   "      1    2    3    ",
   "///",
   0
};

#endif

