/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------

#if defined ( _GERMAN )

std::string Messages[] =
{
	//	kMissionTitle_msg,
	"Hockey",

	//	kDescription_msg,
	"Max. Anzahl Standardschiffe: 1\n" \
	"KI whlen: Nein\n" \
	"Seiten whlen: Ja\n" \
	"Startpositionen: Fest\n\n" \
	"Jede Seite muss mit dem Traktorstrahl einen Hockeypuck in der Raumbasis des Gegners landen, um einen Punkt zu erzielen. " \
	"Die erste Seite, die drei (3) Punkte erzielt hat, ist der Gewinner.",

	//	kBriefing_msg,
	">Seien Sie der erste, der 3 Punkte gegen den Gegner erzielt.<",

	//	kHelpTags_msg,
	"A: Grnes Team\n" \
	"B: Rotes Team\n" \
	"Die Raumbasis gehrt zum Volk des Spielers der jeweiligen Seite, der sich an erster Position in der obigen Liste befindet.",

	//	kStarting_msg,
	"Hau ab!",



	//	kGoal_msg,
	"Tor!\n",
	//	kScore_msg,
	"Grnes Team: %i   Rotes Team: %i\n",
	//	kYouWin_msg,
	"Herzlichen Glckwunsch!\n",
	//	kYouLose_msg,
	"Niederlage!\n",



	//	kYouAreDead_msg,
	"Drcken Sie \"T\", um zuzuschauen.\n",
	
	//	kWinner_msg,
	"Herzlichen Glckwunsch!\n\n" \
	"Sie sind der Gewinner des Hockeyspiels!",

	//	kLoser_msg,
	"Schwieriger Kampf!\n\n" \
	"Nchstes Mal klappt's sicher besser.",

	//	kLeftEarly_msg,
	"Trennen.\n\n" \
	"Sie haben die Verbindung zu frh getrennt.",

	//	kDefault_msg,
	"Unentschieden.\n\n" \
	"Es ist ein Unentschieden.",
};

#else

std::string Messages[] =
{
	//	kMissionTitle_msg,
	"Hockey",

	//	kDescription_msg,
	"Max Custom Ships : 1\n" \
	"Choose AI: Yes\n" \
	"Choose Sides: Yes\n" \
	"Start Positions: Fixed\n\n" \
	"Each side must tractor over a hockey puck into their opponent's Starbase to score a goal. " \
	"First side to three (3) goals is considered the victor.",

	//	kBriefing_msg,
	">Be the first to score 3 goals against your opponents.<",

	//	kHelpTags_msg,
	"A: Green Team\n" \
	"B: Red Team\n" \
	"Each Starbase assumes the race of the player on each side at the top of the list above.",

	//	kStarting_msg,
	"Face-off!",



	//	kGoal_msg,
	"Goal!\n",
	//	kScore_msg,
	"Green Team: %i   Red Team: %i\n",
	//	kYouWin_msg,
	"Congratulations!\n",
	//	kYouLose_msg,
	"Defeat!\n",



	//	kYouAreDead_msg,
	"Press 'T' to spectate.\n",
	
	//	kWinner_msg,
	"Congratulations!\n\n" \
	"You are the Hockey winner!",

	//	kLoser_msg,
	"Tough match!\n\n" \
	"You'll do better next time.",

	//	kLeftEarly_msg,
	"Disconnect.\n\n" \
	"You have disconnected early.",

	//	kDefault_msg,
	"Draw.\n\n" \
	"It is a tie.",
};

#endif