/********************************************************************************************************\

	File Name:	StarbaseTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( StarbaseTeam_h )
#define StarbaseTeam_h

#include "TeamInfo.h"


class tStarbaseTeam : public tTeamInfo
{
public:

	tStarbaseTeam();

	virtual void mSetupVictoryCondition();
	virtual void mSetupDebriefingList( eVictoryLevels victoryLevel );

	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );

/*

	HELPER NOTE:	Below is where the list of the ship custom IDs go.  An example follows.

	enum eCustomIDs
	{
		kPlayerNPCBS1,
		kPlayerNPCBS2,
	};

*/
	enum eCustomIDs
	{
		kShip1 = 200,
		kShip2,
		kShip3,
	};
};

#endif




