/********************************************************************************************************\

	File Name:	StarbaseTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "StarbaseTeamBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tStarbaseTeamBaseState::mBeginState()
{}
void tStarbaseTeamBaseState::mEndState()
{}

void tStarbaseTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tStarbaseTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tStarbaseTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tStarbaseTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tStarbaseTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tStarbaseTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tStarbaseTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tStarbaseTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tStarbaseTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tStarbaseTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tStarbaseTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tStarbaseTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tStarbaseTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tStarbaseTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tStarbaseTeamBaseState::mOnFlashingButtonPressed()
{}
void tStarbaseTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tStarbaseTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tStarbaseTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tStarbaseTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tStarbaseTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tStarbaseTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tStarbaseTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tStarbaseTeamBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tStarbaseTeamBaseState::mOnHostChanged()
{}
void tStarbaseTeamBaseState::mOnTimedInterval( int32 timerID )
{}
void tStarbaseTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tStarbaseTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType )
{}



