/********************************************************************************************************\

	File Name:	tMul_14TimedBattle.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/


#if !defined( Mul_14TimedBattle_h )
#define Mul_14TimedBattle_h

#include "ScriptInterface.h"

//---------------------------------------------------------------------------------------------
// the following enum is used to identify all non-player teams in the script
// (use kPlayerTeam to access the current players team.)
enum eTeamTypes
{};

class tVictoryCondition;

class tMul_14TimedBattle : public tScript
{
public:

	tMul_14TimedBattle();

	virtual void	mStartMission();
	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual int32	mInitializeFinished();
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual void	mNewTeam( const tTeamScriptDescription& teamScriptDescription );
	virtual void	mASCIIOverrides( tMapOverrides* Map );
	virtual tMapTerrain		mAssignMapTerrainTypes( int32 Map );

protected:
	tVictoryCondition* fVictoryCondition;
};

#endif

