/********************************************************************************************************\

	File Name:	worldconditions.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( WorldConditions_h )
#define WorldConditions_h



class tWorldConditions
{
public:

	tWorldConditions();
	
	iMapPosition	mGenerateStartPosition( eTeamTag teamTag );
	
	void	mCheckForGameEnd( void );
	int32	mShipsDestroyed( int x );
	bool	mTeamWon( int x );
	void	mIncrementShipsDestroyed( int x );
	void	mSetTeamWon( int x, bool y );

	int32	fNumTeams;
	int32	mGetTimeLimit();

protected:

	void	mGetTimeFromIni();

	int32	fShipsDestroyed[kMaxTeams];
	bool	fTeamWon[kMaxTeams];
	int32	fTimeLimit;
	
	iTruth	fPositionUsed[kLastStartPosition];

};

extern tWorldConditions gWC;

#endif