//	<Name>	MissionText.cpp
//
//	<Info>	DESCRIPTION
//

#include "tclient.h"
#include "MissionText.h"

//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------

#if defined ( _GERMAN )

std::string Messages[] =
{
	//	kMissionTitle_msg,
	"Jeder gegen jeden",

	//	kDescription_msg,
	"Max. Anzahl Standardschiffe: 3\n" \
	"KI whlen: Ja\n" \
	"Seiten whlen: Ja\n" \
	"Startpositionen: Zufllig\n\n" \
	"Eine mchtige Schlgerei geht weiter, bis eine (1) Seite als Gewinner feststeht. Jedes Team verteilt sich auf eine zufllige " \
	"Position, wie von den grnen Symbolen auf der Karte angegeben.",

	//	kBriefing_msg,
	">Zerstren Sie alle gegnerischen Schiffe. Die Seite, die bis zuletzt standhlt, gewinnt!<",

	//	kHelpTags_msg,
	"A-F: Seiten festlegen.\n" \
	"Eine Seite wird als siegreich betrachtet, wenn alle anderen Seiten vernichtet sind.",

	// kStarting_msg
	"",

	//	kYouAreDead_msg,
	"Drcken Sie \"T\", um zuzuschauen.\n",
	
	//	kWinner_msg,
	"Herzlichen Glckwunsch!\n\n" \
	"Sie sind der Gewinner!",

	//	kLoser_msg,
	"Niederlage!\n\n" \
	"Diese Schlacht haben Sie verloren, vielleicht aber nicht den Krieg.",

	//	kLeftEarly_msg,
	"Trennen.\n\n" \
	"Sie haben die Verbindung zu frh getrennt.",

	//	kDefault_msg,
	"Unentschieden.\n\n" \
	"Es ist ein Unentschieden.",
};

#else

std::string Messages[] =
{
	//	kMissionTitle_msg,
	"Free For All",

	//	kDescription_msg,
	"Max Custom Ships : 3\n" \
	"Choose AI: Yes\n" \
	"Choose Sides: Yes\n" \
	"Start Positions: Random\n\n" \
	"An all out brawl ensues until one (1) side is left standing. Each team will spawn in a random " \
	"position as designated by the green icons on the map.",

	//	kBriefing_msg,
	">Destroy all enemy ships. Last side standing wins!<",

	//	kHelpTags_msg,
	"A-F: Determine sides.\n" \
	"A side is considered the victor if all other sides are eliminated.",

	// kStarting_msg
	"",

	//	kYouAreDead_msg,
	"Press 'T' to spectate.\n",
	
	//	kWinner_msg,
	"Congratulations!\n\n" \
	"You are the winner!",

	//	kLoser_msg,
	"Defeat!\n\n" \
	"You have lost this battle, but perhaps not the war.",

	//	kLeftEarly_msg,
	"Disconnect.\n\n" \
	"You have disconnected early.",

	//	kDefault_msg,
	"Draw.\n\n" \
	"It is a tie.",
};

#endif