/********************************************************************************************************\

	File Name:	AttackTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( AttackTeam_h )
#define AttackTeam_h

#include "TeamInfo.h"


class tAttackTeam : public tTeamInfo
{
public:

	tAttackTeam();

	virtual void mSetupVictoryCondition();
	virtual void mSetupDebriefingList( eVictoryLevels victoryLevel );
	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );

/*

	HELPER NOTE:	Below is where the list of the ship custom IDs go.  An example follows.

	enum eCustomIDs
	{
		kPlayerNPCBS1,
		kPlayerNPCBS2,
	};

*/
	
public:

	int32 fCustomID;		//	keeps track of custom IDs for human-controlled ships
	int32 fNumShips;		//	keeps track of the number of ships on this particular team	
};

#endif
