/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------

#if defined ( _GERMAN )

std::string Messages[] =
{
	//	kMissionTitle_msg,
	"Angriff auf die Basis",

	//	kDescription_msg,
	"Max. Anzahl Standardschiffe: 3\n" \
	"KI whlen: Ja\n" \
	"Seiten whlen: Ja\n" \
	"Startpositionen: Fest\n\n" \
	"Whlen Sie eines von zwei Teams...\n\n" \
	"ANGREIFER: Primrziel ist, die Raumbasis zu zerstren.\n" \
	"VERTEIDIGER: Primrziel ist, alle Angriffe auf die Raumbasis abzuwehren.\n\n" \
	"Die Mission ist beendet, wenn entweder:\n\n" \
	"Alle Angreifer neutralisiert wurden.\n " \
	"- ODER -\n" \
	"Die Raumbasis zerstrt ist.",

	//	kBriefing_msg,
	"",

	//	kHelpTags_msg,
	"A: Angreifer\n" \
	"B: Verteidiger\n" \
	"Die Raumbasis gehrt zum Volk des Verteidigers an erster Position in der obigen Liste.",

	//	kStarting_msg,
	"",



	//	kBaseDiedFromAttackers_msg,
	"Herzlichen Glckwunsch!\n",
	//	kBaseDiedFromDefenders_msg,
	"Die Basis wurde zerstrt.\n",

	//	kAttackerShipDied_msg,
	"Das angreifende Schiff wurde zerstrt.\n",
	//	kAttackerShipNeutralized_msg,
	"Das angreifende Schiff wurde neutralisiert.\n",
	//	kAttackerShipDisengaged_msg,
	"Das angreifende Schiff wurde deaktiviert.\n",

	//	kDefenderShipDied_msg,
	"Das verteidigende Schiff wurde zerstrt.\n",
	//	kDefenderShipNeutralized_msg,
	"Das verteidigende Schiff wurde neutralisiert.\n",
	//	kDefenderShipDisengaged_msg,
	"Das verteidigende Schiff wurde deaktiviert.\n",



	//	kYouAreDead_msg,
	"Drcken Sie \"T\", um zuzuschauen.\n",
	
	//	kWinner_msg,
	"Herzlichen Glckwunsch!\n\n" \
	"Sie sind der Gewinner des Angriffs auf die Raumbasis!",

	//	kLoser_msg,
	"Schwieriger Kampf!\n\n" \
	"Nchstes Mal klappt's sicher besser.",

	//	kLeftEarly_msg,
	"Trennen.\n\n" \
	"Sie haben die Verbindung zu frh getrennt.",

	//	kDefault_msg,
	"Unentschieden.\n\n" \
	"Es ist ein Unentschieden.",
};

#else

std::string Messages[] =
{
	//	kMissionTitle_msg,
	"Base Assault",

	//	kDescription_msg,
	"Max Custom Ships : 3\n" \
	"Choose AI: Yes\n" \
	"Choose Sides: Yes\n" \
	"Start Positions: Fixed\n\n" \
	"Choose one of two teams...\n\n" \
	"ATTACKERS: Primary objective is to destroy the Starbase.\n" \
	"DEFENDERS: Primary objective is to neutralize all attacks upon the Starbase.\n\n" \
	"The mission is ended when either:\n\n" \
	"All attackers are neutralized.\n " \
	"- OR -\n" \
	"The Starbase is destroyed.",

	//	kBriefing_msg,
	"",

	//	kHelpTags_msg,
	"A: Attackers\n" \
	"B: Defenders\n" \
	"The Starbase assumes the race of the Defender at the top of the list above.",

	//	kStarting_msg,
	"",



	//	kBaseDiedFromAttackers_msg,
	"Congratulations!\n",
	//	kBaseDiedFromDefenders_msg,
	"The base has been destroyed.\n",

	//	kAttackerShipDied_msg,
	"Attacking ship has been destroyed.\n",
	//	kAttackerShipNeutralized_msg,
	"Attacking ship has been neutralized.\n",
	//	kAttackerShipDisengaged_msg,
	"Attacking ship has disengaged.\n",

	//	kDefenderShipDied_msg,
	"Defending ship has been destroyed.\n",
	//	kDefenderShipNeutralized_msg,
	"Defending ship has been neutralized.\n",
	//	kDefenderShipDisengaged_msg,
	"Defending ship has disengaged.\n",



	//	kYouAreDead_msg,
	"Press 'T' to spectate.\n",
	
	//	kWinner_msg,
	"Congratulations!\n\n" \
	"You are the Base Assault winner!",

	//	kLoser_msg,
	"Tough match!\n\n" \
	"You'll do better next time.",

	//	kLeftEarly_msg,
	"Disconnect.\n\n" \
	"You have disconnected early.",

	//	kDefault_msg,
	"Draw.\n\n" \
	"It is a tie.",
};

#endif