/********************************************************************************************************\

	File Name:	CommonDestroyer.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/


#include "MissionText.h"
#include "CommonDefs.h"
#include "CommonDestroyer.h"
#include "CommonDestroyerBaseState.h"
#include "TeamInfo.h"

tClassAllocator<tCommonDestroyer> gCommonDestroyerAllocator;

void tCommonDestroyer::mSetupState()
{
	mRegisterState( new tCommonDestroyerBaseState() );
	mGotoState( typeid( tCommonDestroyerBaseState ) );
}
void tCommonDestroyer::mSetupCommState()
{}
void tCommonDestroyer::mSetupShip()
{
	mSetShipCallbackEvents( kNotifyDamage );

	tTeamInfo*	CommonTeam = fMissionInfo->mGetTeamHandle( mGetTeam() );
	Assert( CommonTeam );
	if ( !CommonTeam )
		return;

	if ( CommonTeam->mIsTeamHumanControlled() )
		mSetShipPlayerControlled();

	mSetTargetable( kFalse );
}