//	<Name>	MissionText.cpp
//
//	<Info>	DESCRIPTION
//

#include "tclient.h"
#include "MissionText.h"

//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------

#if defined ( _GERMAN )

std::string Messages[] =
{
	//	kMissionTitle_msg,
	"Schlachtfest",

	//	kDescription_msg,
	"Max. Anzahl Standardschiffe: 0\n" \
	"KI whlen: Ja\n" \
	"Seiten whlen: Ja\n" \
	"Startpositionen: Zufllig\n\n" \
	"Die Teams beginnen mit einer Fregatte. Wenn Schiffe zerstrt werden, werden sie " \
	"in der folgenden Reihenfolge durch jeweils leistungsfhigere Schiffe ersetzt:\n" \
	"  Fregatte\n" \
	"  Zerstrer\n" \
	"  Leichter Kreuzer\n" \
	"  Schwerer Kreuzer\n" \
	"  Schwerer Schlachtkreuzer\n" \
	"  Dreadnought\n\n" \
	"Nachdem der Dreadnought eines Teams zerstrt wurde, wird dieses Team als ausgeschieden betrachtet. " \
	"Die Seite, die bis zuletzt standhlt, gewinnt.",

	//	kBriefing_msg,
	">Zerstren Sie alle gegnerischen Schiffe. Die Seite, die bis zuletzt standhlt, gewinnt!<",

	//	kHelpTags_msg,
	"A-F: Seiten festlegen.\n" \
	"Eine Seite wird als siegreich betrachtet, wenn alle anderen Seiten vernichtet sind.",

	//	kStarting_msg,
	"",

	//	kYouAreDead_msg,
	"Drcken Sie \"T\", um zuzuschauen.\n",
	
	//	kWinner_msg,
	"Herzlichen Glckwunsch!\n\n" \
	"Sie sind der Gewinner dieses Schlachtfests!",

	//	kLoser_msg,
	"Schwieriger Kampf!\n\n" \
	"Nchstes Mal klappt's sicher besser.",

	//	kLeftEarly_msg,
	"Trennen.\n\n" \
	"Sie haben die Verbindung zu frh getrennt.",

	//	kDefault_msg,
	"Unentschieden.\n\n" \
	"Es ist ein Unentschieden.",
};

#else

std::string Messages[] =
{
	//	kMissionTitle_msg,
	"Battlefest",

	//	kDescription_msg,
	"Max Custom Ships: 0\n" \
	"Choose AI: Yes\n" \
	"Choose Sides: Yes\n" \
	"Start Positions: Random\n\n" \
	"Teams begin with control of a Frigate. As ships are destroyed, they are replaced with more " \
	"powerful ships in the following order:\n\n" \
	"  Frigate\n" \
	"  Destroyer\n" \
	"  Light Cruiser\n" \
	"  Heavy Cruiser\n" \
	"  Heavy Battlecruiser\n" \
	"  Dreadnought\n\n" \
	"Once a team's Dreadnought is destroyed, that team is considered to be out of the game. " \
	"Last side standing wins.",

	//	kBriefing_msg,
	">Destroy all enemy ships. Last side standing wins!<",

	//	kHelpTags_msg,
	"A-F: Determine sides.\n" \
	"A side is considered the victor if all other sides are eliminated.",

	//	kStarting_msg,
	"",





	//	kYouAreDead_msg,
	"Press 'T' to spectate.\n",
	
	//	kWinner_msg,
	"Congratulations!\n\n" \
	"You are the Battlefest winner!",

	//	kLoser_msg,
	"Tough match!\n\n" \
	"You'll do better next time.",

	//	kLeftEarly_msg,
	"Disconnect.\n\n" \
	"You have disconnected early.",

	//	kDefault_msg,
	"Draw.\n\n" \
	"It is a tie.",
};

#endif