/********************************************************************************************************\

	File Name:	CommonShip6.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "MissionText.h"
#include "CommonDefs.h"
#include "CommonShip6.h"
#include "CommonShip6BaseState.h"
#include "TeamInfo.h"

tClassAllocator<tCommonShip6> gCommonShip6Allocator;

void tCommonShip6::mSetupState()
{
	mRegisterState( new tCommonShip6BaseState() );
	mGotoState( typeid( tCommonShip6BaseState ) );
}
void tCommonShip6::mSetupCommState()
{}
void tCommonShip6::mSetupShip()
{
	mSetShipCallbackEvents( kNotifyDamage );

	tTeamInfo*	CommonTeam = fMissionInfo->mGetTeamHandle( mGetTeam() );
	Assert( CommonTeam );
	if ( !CommonTeam )
		return;

	if ( CommonTeam->mIsTeamHumanControlled() )
		mSetShipPlayerControlled();

	mSetTargetable( kFalse );
}


