/********************************************************************************************************\

	File Name:	Mul_4Tourneyfest.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/


#if !defined( Mul_4Tourneyfest_h )
#define Mul_4Tourneyfest_h

#include "ScriptInterface.h"

//---------------------------------------------------------------------------------------------
// the following enum is used to identify all non-player teams in the script
// (use kPlayerTeam to access the current players team.)
enum eTeamTypes
{};

class tVictoryCondition;

class tMul_4Tourneyfest : public tScript
{
public:
	enum eCommStates
	{};

	tMul_4Tourneyfest();

	virtual void	mStartMission();
	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual int32	mInitializeFinished();
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual void	mNewTeam( const tTeamScriptDescription& teamScriptDescription );
	virtual void	mASCIIOverrides( tMapOverrides* Map );

protected:
	tVictoryCondition* fVictoryCondition;
};

#endif

