/********************************************************************************************************\

	File Name:	worldconditions.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( WorldConditions_h )
#define WorldConditions_h



class tWorldConditions
{
public:

	tWorldConditions();
	
public:

	enum
	{
		kNumStartingPositions = 6,
	};
	iMapPosition	mGenerateRandomStartPosition( void );
	iTruth			fPosUsed[kNumStartingPositions];	

public:

	void	mCheckForGameEnd( void );

	bool	mShip1Destroyed( int x );
	bool	mShip2Destroyed( int x );
	bool	mShip3Destroyed( int x );
	bool	mShip4Destroyed( int x );
	bool	mShip5Destroyed( int x );
	bool	mShip6Destroyed( int x );
	bool	mTeamWon( int x );
	int32	mNumTeamsLost( void );
	void	mSetShip1Destroyed( int x, bool y );
	void	mSetShip2Destroyed( int x, bool y );
	void	mSetShip3Destroyed( int x, bool y );
	void	mSetShip4Destroyed( int x, bool y );
	void	mSetShip5Destroyed( int x, bool y );
	void	mSetShip6Destroyed( int x, bool y );
	void	mSetTeamWon( int x, bool y );
	void	mIncreaseTeamsLost( void );

	int32	fNumTeams;

private:

	bool	fShip1Destroyed[kMaxTeams];
	bool	fShip2Destroyed[kMaxTeams];
	bool	fShip3Destroyed[kMaxTeams];
	bool	fShip4Destroyed[kMaxTeams];
	bool	fShip5Destroyed[kMaxTeams];
	bool	fShip6Destroyed[kMaxTeams];
	bool	fTeamWon[kMaxTeams];
	int32	fNumTeamsLost;
};

extern tWorldConditions gWC;

#endif