/********************************************************************************************************\

	File Name:	CommonFrigate.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/


#include "MissionText.h"
#include "CommonFrigate.h"
#include "CommonFrigateBaseState.h"
#include "TeamInfo.h"

tClassAllocator<tCommonFrigate> gCommonFrigateAllocator;

void tCommonFrigate::mSetupState()
{
	mRegisterState( new tCommonFrigateBaseState() );
	mGotoState( typeid( tCommonFrigateBaseState ) );
}
void tCommonFrigate::mSetupCommState()
{}
void tCommonFrigate::mSetupShip()
{
	mSetShipCallbackEvents( kNotifyDamage );

	tTeamInfo*	CommonTeam = fMissionInfo->mGetTeamHandle( mGetTeam() );
	Assert( CommonTeam );
	if ( !CommonTeam )
		return;

	if ( CommonTeam->mIsTeamHumanControlled() )
		mSetShipPlayerControlled();
}