//	<Name>	MissionText.cpp
//
//	<Info>	DESCRIPTION
//

#include "tclient.h"
#include "MissionText.h"

//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------

#if defined ( _GERMAN )

std::string Messages[] =
{
	//	kMissionTitle_msg,
	"Schlachtfest Light",

	//	kDescription_msg,
	"Max. Anzahl Standardschiffe: 0\n" \
	"KI whlen: Ja\n" \
	"Seiten whlen: Ja\n" \
	"Startpositionen: Zufllig\n\n" \
	"Dies ist die Light-Version des Schlachtfests. " \
	"Die Teams beginnen mit einer Fregatte. Wenn Schiffe zerstrt werden, werden sie " \
	"in der folgenden Reihenfolge durch jeweils leistungsfhigere Schiffe ersetzt:\n" \
	"  Fregatte\n" \
	"  Schwerer Kreuzer\n" \
	"  Dreadnought\n" \
	"Nachdem der Dreadnought eines Teams zerstrt wurde, wird dieses Team als ausgeschieden betrachtet. " \
	"Die Seite, die bis zuletzt standhlt, gewinnt.",

	//	kBriefing_msg,
	">Zerstren Sie alle gegnerischen Schiffe. Die Seite, die bis zuletzt standhlt, gewinnt!<",

	//	kHelpTags_msg,
	"A-F: Seiten festlegen.\n" \
	"Eine Seite wird als siegreich betrachtet, wenn alle anderen Seiten vernichtet sind.",

	//	kStarting_msg,
	"",

	//	kYouAreDead_msg,
	"Drcken Sie \"T\", um zuzuschauen.\n",
	
	//	kWinner_msg,
	"Herzlichen Glckwunsch!\n\n" \
	"Sie sind der Gewinner des Schlachtfests Light!",

	//	kLoser_msg,
	"Aua!\n\n" \
	"Sie haben das Schlachtfest Light verloren! Naja, machen Sie sich nichts draus. Es ist nicht Ihr Fehler, dass die Konkurrenz " \
	"besser war.\n\n",

	//	kLeftEarly_msg,
	"Warum versuchen Sie es berhaupt?\n\n" \
	"Es scheint, als htten Sie das Spiel schon frh verlassen. Sie verdienen keinen Rang, weil nicht sicher ist, wie es ausgegangen wre, wenn " \
	"Sie den Kampf bis zum Ende durchgestanden htten wie ein \"echter\" Offizier.",

	//	kDefault_msg,
	"Unentschieden.\n\n" \
	"Technische Schwierigkeiten haben einen Flux im Zeit-Warp-Kontinuum \"Dingsbums\" verursacht. Anders " \
	"ausgedrckt, es ist ein Unentschieden.",
};

#else

std::string Messages[] =
{
	//	kMissionTitle_msg,
	"Battlefest Lite",

	//	kDescription_msg,
	"Max Custom Ships: 0\n" \
	"Choose AI: Yes\n" \
	"Choose Sides: Yes\n" \
	"Start Positions: Random\n\n" \
	"This is the Lite version of Battlefest. " \
	"Teams begin with control of a Frigate. As ships are destroyed, they are replaced with more " \
	"powerful ships in the following order:\n" \
	"  Frigate\n" \
	"  Heavy Cruiser\n" \
	"  Dreadnought\n" \
	"Once a team's Dreadnought is destroyed, that team is considered to be out of the game. " \
	"Last side standing wins.",

	//	kBriefing_msg,
	">Destroy all enemy ships. Last side standing wins!<",

	//	kHelpTags_msg,
	"A-F: Determine sides.\n" \
	"A side is considered the victor if all other sides are eliminated.",

	//	kStarting_msg,
	"",





	//	kYouAreDead_msg,
	"Press 'T' to spectate.\n",
	
	//	kWinner_msg,
	"Congratulations!\n\n" \
	"You are the Battlefest Lite winner!",

	//	kLoser_msg,
	"Tough match!\n\n" \
	"You'll do better next time.",

	//	kLeftEarly_msg,
	"Disconnect.\n\n" \
	"You have disconnected early.",

	//	kDefault_msg,
	"Draw.\n\n" \
	"It is a tie.",
};

#endif