/********************************************************************************************************\

	File Name:	ISC_X3M2BGlass.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( ISC_X3M2BGlass_h )
#define ISC_X3M2BGlass_h

#include "ScriptInterface.h"

//---------------------------------------------------------------------------------------------
// the following enum is used to identify all non-player teams in the script
// (use kPlayerTeam to access the current players team.)
enum eTeamTypes
{
	kPlayerTeam = kTeam1,
	kPlayerNPCTeam,
	kEnemyTeam,
	kNPC1Team,
};

class tVictoryCondition;

class tISC_X3M2BGlass : public tScript
{
public:

	tISC_X3M2BGlass();

	virtual void	mStartMission();
	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual int32	mInitializeFinished();
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual void	mInitializeDraw( const int32 MapPicked );
	virtual void	mASCIIOverrides( tMapOverrides* Map );
	virtual void	mDefineBriefings( void );
	virtual void	mDefineTeamShipStrengths( void );
};

#endif


