/********************************************************************************************************\

	File Name:	NPC1Team.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "CommonDefs.h"
#include "NPC1Team.h"
#include "NPC1TeamBaseState.h"
#include "MissionText.h"
#include "Star.h"
#include "AlienDerelict.h"

tClassAllocator<tNPC1Team> gNPC1TeamAllocator;

void tNPC1Team::mSetupState()
{
	mRegisterState( new tNPC1TeamBaseState() );
	mGotoState( typeid( tNPC1TeamBaseState ) );
}

void tNPC1Team::mSetupCommState()
{}

void tNPC1Team::mCreateShipsForTeam()
{
	for (int32 i = 0; i < NUM_PULSARS; i++)
	{
		mCreateShip(typeid(tStar), Messages[kStar1Class + i].c_str(), kStartPosition_I + i, kNoMetaShipID,
					kStar1 + i, 0, 0, -1, -1, Messages[kStar1Name + i].c_str(), kDefaultShipOptions );
	}

	mCreateShip(typeid(tAlienDerelict), Messages[kAlienDerelictClass].c_str(), kStartPosition_M, kNoMetaShipID,
				kAlienDerelict, 0, 0, -1, -1, Messages[kAlienDerelictName].c_str(), kDefaultShipOptions );
}

void tNPC1Team::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tNPC1Team::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{}

