/********************************************************************************************************\

	File Name:	BeamGeneratorBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "BeamGeneratorBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tBeamGeneratorBaseState::mBeginState()
{}
void tBeamGeneratorBaseState::mEndState()
{}

void tBeamGeneratorBaseState::mOnDeath( tShipInfo* ship )
{}
void tBeamGeneratorBaseState::mOnCapture( tShipInfo* ship )
{}
void tBeamGeneratorBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tBeamGeneratorBaseState::mAtDistance( tShipInfo* ship )
{}
void tBeamGeneratorBaseState::mAtDestination( tShipInfo* ship )
{}
void tBeamGeneratorBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tBeamGeneratorBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tBeamGeneratorBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tBeamGeneratorBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tBeamGeneratorBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tBeamGeneratorBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tBeamGeneratorBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tBeamGeneratorBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tBeamGeneratorBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tBeamGeneratorBaseState::mOnFlashingButtonPressed()
{}
void tBeamGeneratorBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tBeamGeneratorBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tBeamGeneratorBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tBeamGeneratorBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tBeamGeneratorBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tBeamGeneratorBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tBeamGeneratorBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tBeamGeneratorBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tBeamGeneratorBaseState::mOnHostChanged()
{}
void tBeamGeneratorBaseState::mOnTimedInterval( int32 timerID )
{}
void tBeamGeneratorBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tBeamGeneratorBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

