/********************************************************************************************************\

	File Name:	CheckPointBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "CheckPointBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tCheckPointBaseState::mBeginState()
{}
void tCheckPointBaseState::mEndState()
{}

void tCheckPointBaseState::mOnDeath( tShipInfo* ship )
{}
void tCheckPointBaseState::mOnCapture( tShipInfo* ship )
{}
void tCheckPointBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tCheckPointBaseState::mAtDistance( tShipInfo* ship )
{}
void tCheckPointBaseState::mAtDestination( tShipInfo* ship )
{}
void tCheckPointBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tCheckPointBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tCheckPointBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tCheckPointBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tCheckPointBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tCheckPointBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tCheckPointBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tCheckPointBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tCheckPointBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tCheckPointBaseState::mOnFlashingButtonPressed()
{}
void tCheckPointBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tCheckPointBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tCheckPointBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tCheckPointBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tCheckPointBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tCheckPointBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tCheckPointBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tCheckPointBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tCheckPointBaseState::mOnHostChanged()
{}
void tCheckPointBaseState::mOnTimedInterval( int32 timerID )
{}
void tCheckPointBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tCheckPointBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

