/********************************************************************************************************\

	File Name:	CheckPointTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "CheckPointTeamBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tCheckPointTeamBaseState::mBeginState()
{}
void tCheckPointTeamBaseState::mEndState()
{}

void tCheckPointTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tCheckPointTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tCheckPointTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tCheckPointTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tCheckPointTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tCheckPointTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tCheckPointTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tCheckPointTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tCheckPointTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tCheckPointTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tCheckPointTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tCheckPointTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tCheckPointTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tCheckPointTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tCheckPointTeamBaseState::mOnFlashingButtonPressed()
{}
void tCheckPointTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tCheckPointTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tCheckPointTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tCheckPointTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tCheckPointTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tCheckPointTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tCheckPointTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tCheckPointTeamBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tCheckPointTeamBaseState::mOnHostChanged()
{}
void tCheckPointTeamBaseState::mOnTimedInterval( int32 timerID )
{}
void tCheckPointTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tCheckPointTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

