/********************************************************************************************************\

	File Name:	CommonTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( CommonTeam_h )
#define CommonTeam_h

#include "TeamInfo.h"


#define kCreateMultiShipsCommonTeam	1
class tCommonTeam : public tTeamInfo
{
public:

	tCommonTeam();

	virtual void mSetupVictoryCondition();
	virtual void mSetupDebriefingList( eVictoryLevels victoryLevel );

	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );

/*

	HELPER NOTE:	Below is where the list of the ship custom IDs go.  An example follows.

	enum eCustomIDs
	{
		kPlayerNPCBS1,
		kPlayerNPCBS2,
	};

*/

public:

	void	mIncrementNumCheckPointsPassed();
	int32	mNumCheckPointsPassed();

private:

	int32	fNumCheckPointsPassed;
};

#endif




