/********************************************************************************************************\

	File Name:	PlayerNPC3Team.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( PlayerNPC3Team_h )
#define PlayerNPC3Team_h

#include "TeamInfo.h"


class tPlayerNPC3Team : public tTeamInfo
{
public:

	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );
	bool mAllyAttacked(void);
	void mSetAllyAttacked(bool x);

/*

	HELPER NOTE:	Below is where the list of the ship custom IDs go.  An example follows.

	enum eCustomIDs
	{
		kPlayerNPCBS1,
		kPlayerNPCBS2,
	};

*/
	enum eCustomIDs
	{
		kPlayerNPC3Ship1 = 200,
		kPlayerNPC3Ship2,
		kPlayerNPC3Ship3,
		kPlayerNPC3Ship4,

	};
	enum eTimerIDs
	{
		kTargetTimer = 100,
	};
	bool fAllyAttacked;
};

#endif
