/********************************************************************************************************\

	File Name:	Uni_X3M2AGlass.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( Uni_X3M2AGlass_h )
#define Uni_X3M2AGlass_h

#include "ScriptInterface.h"

//---------------------------------------------------------------------------------------------
// the following enum is used to identify all non-player teams in the script
// (use kPlayerTeam to access the current players team.)
enum eTeamTypes
{
	kPlayerTeam = kTeam1,
	kPlayerNPCTeam,
	kEnemyTeam,
	kNPC1Team,
};

class tVictoryCondition;

class tUni_X3M2AGlass : public tScript
{
public:

	tUni_X3M2AGlass();

	virtual void	mStartMission();
	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual int32	mInitializeFinished();
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual void	mInitializeDraw( const int32 MapPicked );
	virtual void	mASCIIOverrides( tMapOverrides* Map );
	virtual void	mDefineBriefings( void );
	virtual void	mDefineTeamShipStrengths( void );
};

#endif


