/********************************************************************************************************\

	File Name:	Draw.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "Draw.h"

class tDraw gDraw;

/*

	HELPER NOTE:	This is where you will define all of your drawing objects for this script.
					Use tDrawCanvas::mCreateDrawObject() for each drawing object.  Before you
					do this though, you must define a set of "tScript3DPoint"s as static memory.
					If static memory is not used, you WILL crash!  The following is an example:

					static	tScript3DPoint	localPoints[3];
							tMapPoint		localAnchor;

					localAnchor.x = 2;
					localAnchor.y = 2;	
					int32 localVertices = mPredefinedTriangle( localPoints );
					eScriptPrimitiveFlags flags = static_cast< eScriptPrimitiveFlags >( kPolygon | kCW | kSolid | kDoubleSide );

					mCreateDrawObject( 0, fPrimitives, localPoints, localVertices, localAnchor, flags );

*/
void tDraw::mDefineDrawObjects( void )
{}

/*

	HELPER NOTE:	You should call this function to display a drawing object that you created
					in the mDefinePrimitives().  Replace "fPrimitives" with whatever your array
					of primitives is named in this class.

*/
void tDraw::mDisplayDrawObject( int32 ID )
{
	mDisplayDrawObjectWithPrimitive( ID, fPrimitives );
}