/********************************************************************************************************\

	File Name:	EnemyTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "EnemyTeamBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tEnemyTeamBaseState::mBeginState()
{}
void tEnemyTeamBaseState::mEndState()
{}

void tEnemyTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tEnemyTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tEnemyTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tEnemyTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tEnemyTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tEnemyTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tEnemyTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tEnemyTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tEnemyTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tEnemyTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tEnemyTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tEnemyTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tEnemyTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tEnemyTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tEnemyTeamBaseState::mOnFlashingButtonPressed()
{}
void tEnemyTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tEnemyTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tEnemyTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tEnemyTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tEnemyTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tEnemyTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
												eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tEnemyTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
												eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tEnemyTeamBaseState::mOnPlayerLeaving( int playerNumber )
{}
void tEnemyTeamBaseState::mOnHostChanged()
{}
void tEnemyTeamBaseState::mOnTimedInterval( int32 timerID )
{}
void tEnemyTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tEnemyTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

