/********************************************************************************************************\

	File Name:	MissionText.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( MissionText_h )
#define MissionText_h

#include "tstring.h"


enum TextMessages
{
	//
	//	Mission Title
	//
	kMissionTitle_msg,

	//
	//	Description message
	//
	kDescription_msg,

	//
	//	Briefing message
	//
	kFederation_briefing_msg,
	kKlingon_briefing_msg,
	kHydran_briefing_msg,
	kGorn_briefing_msg,

	//
	//	Starting message
	//
	kFederation_start_msg,
	kKlingon_start_msg,
	kHydran_start_msg,
	kGorn_start_msg,

	//
	//	Debriefing messages
	//

	//
	//	Comm buttons
	//
	kEnemy_Hail_btn,
	kEnemy_Surrender_btn,
	kStar_Hail_btn,
	kDerelict_Hail_btn,
	kDerelict_Code_btn,
	kDerelict_YthPres_btn,
	kDerelict_KnowVic_btn,
	kDerelict_Youth_btn,
	kDerelict_Prestige_btn,
	kDerelict_Knowledge_btn,
	kDerelict_Victory_btn,

	//
	//	Comm messages
	//
	kEnemy_Already_Surrendered_msg,
	kNothing_To_Talk_About_msg,
	kEnemy_Hail_Random1_msg,
	kEnemy_Hail_Random2_msg,
	kEnemy_Hail_Random3_msg,
	kPulsar_Interference_msg,
	kDone_Enough_msg,
	kEnemy_Surrenders_msg,
	kEnemy_No_Surrender_Random1_msg,
	kEnemy_No_Surrender_Random2_msg,
	kEnemy_No_Surrender_Random3_msg,
	kStar_Hail1_msg,
	kStar_Hail2_msg,
	kStar_Hail3_msg,
	kStar_Hail4_msg,
	kStar_Same_Sound_msg,
	kDerelict_Choice_Made_msg,
	kDerelict_Hail_msg,
	kDerelict_Hail_Suggest_Code_msg,
	kDerelict_Transmit_Code_msg,
	kDerelict_Chose_Youth_msg,
	kDerelict_Chose_Prestige_msg,
	kDerelict_Chose_Knowledge_msg,
	kDerelict_Chose_Victory_msg,
	kDerelict_Already_Victorious_msg,

	//
	//	Victory rating
	//
	kAstoundingVictory_msg,
	kVictoryYouth_msg,
	kVictoryYouthKlingon_msg,
	kVictoryKnowledge_msg,
	kVictoryPrestige_msg,
	kVictoryVictory_msg,
	kVictory_msg,
	kDraw_msg,
	kDefeat_msg,
	kDevastatingDefeat_msg,
	kLeftEarly_msg,

	//
	//	Random chatter
	//
	kRandChat1_msg,
	kRandChat2_msg,
	kRandChat3_msg,
	kRandChat4_msg,
	kRandChat5_msg,
	kRandChat6_msg,

	//
	//	Titles (or names) of ships and objects
	//
	kAlliedShipName,
	kEnemyShipClass,
	kEnemyShipName1,
	kEnemyShipName2,
	kEnemyShipName3,
	kStar1Class,
	kStar2Class,
	kStar3Class,
	kStar4Class,
	kStar1Name,
	kStar2Name,
	kStar3Name,
	kStar4Name,
	kAlienDerelictClass,
	kAlienDerelictName,

	//
	//	Event dialog
	//
	k1st_Objective_Complete_msg,
	k2nd_Objective_Complete_msg,
	kAll_Objectives_Complete_msg,
	kDerelict_Scan_Result_msg,
	kStar_Scan_Result_msg,
	kScanning_msg,

	//
	//	Custom messages
	//

	//
	//	Not localized as of 10/8/00
	//
	kPlayerTeamTitle_msg,
	kPlayerTeamBriefing_msg,

	//
	//	Not localized as of 10/17/00
	//
	kScanning2_msg,
};

extern std::string Messages[];


#endif
