/********************************************************************************************************\

	File Name:	Tem_Single.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( Tem_Single_h )
#define Tem_Single_h

#include "ScriptInterface.h"

//---------------------------------------------------------------------------------------------
// the following enum is used to identify all non-player teams in the script
// (use kPlayerTeam to access the current players team.)

enum eTeamTypes
{
	kPlayerTeam = kTeam1,
	kEnemyTeam,
	kNPC1Team,
};

class tVictoryCondition;

class tUni_X3M3AStar : public tScript
{
public:

	tUni_X3M3AStar();

	virtual void	mStartMission();
	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual int32	mInitializeFinished();
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual void	mASCIIOverrides( tMapOverrides* Map );
	virtual void	mDefineBriefings( void );
	virtual void	mDefineTeamShipStrengths( void );
};

#endif


