/********************************************************************************************************\

	File Name:	EnemyShip.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "EnemyShip.h"
#include "EnemyShipBaseState.h"
#include "Uni_TimeCrisis.h"

tClassAllocator<tEnemyShip> gEnemyShipAllocator;

void tEnemyShip::mSetupState()
{
	mRegisterState( new tEnemyShipBaseState() );
	mGotoState( typeid( tEnemyShipBaseState ) );
}

void tEnemyShip::mSetupCommState()
{}

void tEnemyShip::mSetupShip()
{
	tTeamInfo* timeholeTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kTimeholeTeam ) );
	if( !timeholeTeam )
			return;

	tShipIterator timeholeI = timeholeTeam->mGetFirstShip();
	if( ! *timeholeI )
		return;

	int32 nX, nY;
	timeholeI->mGetGridPosition( &nX, &nY );

	mTrackTacticalDistance( 3.0f, nX, nY );
}
