/********************************************************************************************************\

	File Name:	TimeholeTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "TimeholeTeam.h"
#include "TimeholeTeamBaseState.h"
#include "Timehole.h"

tClassAllocator<tTimeholeTeam> gTimeholeTeamAllocator;

void tTimeholeTeam::mSetupState()
{
	mRegisterState( new tTimeholeTeamBaseState() );
	mGotoState( typeid( tTimeholeTeamBaseState ) );
}

void tTimeholeTeam::mSetupCommState()
{}

void tTimeholeTeam::mCreateShipsForTeam()
{
	mCreateShip( typeid( tTimehole ),
				 "N-WRM",
				 kStartPosition_Z,
				 kTimehole,
				 0,0,0,0,
				 "Timehole" );
}

void tTimeholeTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tTimeholeTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{}

