/********************************************************************************************************\

	File Name:	Uni_XTimeCrisis.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( Uni_XTimeCrisis_h )
#define Uni_XTimeCrisis_h

#include "ScriptInterface.h"

//---------------------------------------------------------------------------------------------
// the following enum is used to identify all non-player teams in the script
// (use kPlayerTeam to access the current players team.)
enum eTeamTypes
{
	kPlayerTeam = kTeam1,
	kEnemyTeam,
	kTimeholeTeam,
};

class tVictoryCondition;

class tUni_XTimeCrisis : public tScript
{
public:

	tUni_XTimeCrisis();

	virtual void	mStartMission();
	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual int32	mInitializeFinished();
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mGetDebriefingList( eVictoryLevels VictoryLevel );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual int32	mGetTechnicalSuccessLevel( tDynaverseScriptInfo& info );
	virtual int32	mGetEnemyTeamID();
};

#endif


