//	<Name>	TeamTracker.h
//
//	<Info>	DESCRIPTION
//
#pragma once

#include "team.h"
#include "scriptstructs.h"
#include "DynaverseScriptInfo.h"

// keeps track of teams in multiplayer games
class tMissionInfo;

class tTeamTrackerClass
{
public:
		void			mInitialize (eTeamID LocalTeam, tDynaverseScriptInfo& info, int32 OverrideShipCounts);
		void			mShipDied (eTeamID Team);
		void			mTeamGone (eTeamID Team, tMissionInfo* Mission);	// call with mission ptr to enable goal indicator
		eGameStatus		mGetTeamsStatus (void);
		void			mTrackLeader (tMissionInfo* Mission);

protected:
		enum
		{
			kReserved = kTeam6
		};

		eTeamID			fLocalPlayerTeam;
		int32			fStartingShipCounts[kReserved+1];
		int32			fTeamShipCounts[kReserved+1];
		iTruth			fTeamIsHuman[kReserved+1];
		int32			fMultiplayerTeams[kReserved+1];
};


