/********************************************************************************************************\

	Mission:	<MISSION TITLE>
	Script:		"Gen_Playback"
	Descript:	<DESCRIPTION>

	Created by:		<NAME>		mm/dd/yy
	Last Updated:	<INITIALS>	mm/dd/yy
					<LOG>

\********************************************************************************************************/

#include "MissionText.h"
#include "MissionMaps.h"
#include "PlayerTeam.h"
#include "Gen_Playback.h"


DEFINE_SCRIPT_CLASS( tGen_Playback );

tGen_Playback::tGen_Playback()
{}

void tGen_Playback::mScriptSpecs( tMissionSpec* Specs )
{
	Specs->fMissionTitle = Messages[kMissionTitle_msg];
	Specs->fMissionDescription = Messages[kBriefing_msg];
	Specs->fMissionType = kDebugMission;
	Specs->fMetaLocationSpec = tMetaLocationSpec( 0, kAnyRaceHex, kAnyTerrainHex );
	Specs->fMinDate = kMinDate;
	Specs->fMaxDate = kMaxDate;
	Specs->fBandwidthPart = kAllBand;

	const tTeamSpec& team1 = mCreateTeamSpec(	"Player Team",
												static_cast< eTeamID >( kPlayerTeam ),
												kMaxChance,
												kTrue,
												kPrimaryTeam,
												kMaxChance,
												kSpecAnyRace,
												kAnyRace,
												typeid( tPlayerTeam ) );
												
	Specs->mSetupTeam( team1 );
}

int32 tGen_Playback::mInitializeStart( tDynaverseScriptInfo& info )
{
	return 1;
}

void tGen_Playback::mCreateExternalShips( int32 Mode )
{}

int32 tGen_Playback::mInitializeFinished( void )
{
	return kBriefing_msg;
}

void tGen_Playback::mNewInternalShip( tShipInfo* Ship )
{}

void tGen_Playback::mStartMission()
{
	tScript::mStartMission();

	const int kRelationsCount = 1;
	int32 teamList[kRelationsCount] =
	{
		kPlayerTeam,
	};

	std::string relationships[kRelationsCount][kRelationsCount] = 
	{
		//Plyr = kPlayerTeam,
	

		//	     Plyr  
		/*Plyr*/ "--", 

	};
	fMissionInfo->mSetTeamRelations( teamList, (std::string*)relationships, kRelationsCount);
}

