/********************************************************************************************************\

	File Name:	Tst_AI.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( Tst_AI_h )
#define Tst_AI_h

#include "ScriptInterface.h"

//---------------------------------------------------------------------------------------------
// the following enum is used to identify all non-player teams in the script
// (use kPlayerTeam to access the current players team.)
enum eTeamTypes
{
	kPlayerTeam = kTeam1,
	kPlayerNPCTeam,
	kEnemyTeam,
	kNPC1Team,
};

class tVictoryCondition;

class tTst_AI : public tScript
{
public:

	tTst_AI();

	virtual void	mStartMission();
	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual int32	mInitializeFinished();
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual void	mInitializeDraw( const int32 MapPicked );
};

#endif


