/********************************************************************************************************\

	File Name:	MissionMaps.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionMaps.h"


int32 TotalMaps = 1;
const char* MapTypes[] = { "Tst_Models Map" };

/*
	Legend:
			Starting Positions			Ending Positions			Planets			
			Start1 --> G				End1 --> g					Earth (Organia) --> 1
			Start2 --> H				End2 --> h					Ringed Earth --> 2
			Start3 --> I				End3 --> i					Mars --> 3
			Start4 --> J				End4 --> j					Jupiter --> 4
			Start5 --> K				End5 --> k					Dark Earth --> 5
			Start6 --> L				End6 --> l					Saturn --> 6
			Start7 --> M				End7 --> m					Night City --> 7
			Start8 --> N				End8 --> n					Fire --> 8
			Start9 --> O				End9 --> o					Ice --> 9
			Start10 --> P				End10 --> p					Gas --> 0
			Start11 --> Q				End11 --> q					
			Start12 --> R				End12 --> r					
			Start13 --> S				End13 --> s					
			Start14 --> T				End14 --> t					
			Start15 --> U				End15 --> u					
			Start16 --> V				End16 --> v					
			Start17 --> W				End17 --> w					
			Start18 --> X				End18 --> x					
			Start19 --> Y				End19 --> y					
			Start20 --> Z				End20 --> z					

			Celestial Bodies			Asteroids					Black Holes
			Moon --> @					SmallAsteroid --> [			SmallBlackHole --> :
			Sun1 --> (					LargeAsteroid --> ]			LargeBlackHole --> ,
			Sun2 --> )					IceAsteroid --> *			
			Sun3 --> !
			
			Nebulas						Dust Clouds					Other
			Nebula1 --> &				LightDustCloud --> <		WormHole --> %
			Nebula2 --> ?				HeavyDustCloud --> >		Fissure --> $
																	Corpse --> #
*/
const char* MapLines[]=
{
#if 0
   "Tst_Models",
   "// Tst_Models Map",
   " +____1____2____3____4____5____6____7____8+",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "1|....1.........2.........3.........4.....|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "2|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "3|....5.........6.........7.........8.....|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "4|.........O.........Gg........N..........|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "5|....9.........0.........H.........I.....|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "6|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "7|....J.........K.........L.........M.....|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "8|........................................|",
   " +----------------------------------------+",
   "      1    2    3    4    5    6    7    8",
#endif
   "Tst_Models",
   "// Tst_Models Map",
   " +____1____2____3____4____5____6____7____8+",
   " |...................!....................|",
   " |........................................|",
   " |........................................|",
   " |.............................<<<<<<.....|",
   "1|....@........................[[]]**.....|",
   " |.............................>>>>>>.....|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "2|.........H...................I..........|",
   " |........................................|",
   " |...................G....................|",
   " |...................g....................|",
   " |........................................|",
   "3|....(....:...................,....).....|",
   " |...................Z....................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "4|....^....U....V....W....X....Y....%.....|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "5|....1....P....Q....R....S....T....7.....|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "6|....8....2....3....4....5....6....M.....|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "7|.........9....0....J....K....L..........|",
   " |........................................|",
   " |........................................|",
   " |....#.............................$.....|",
   " |.........~..............................|",
   "8|.................N....O.................|",
   " +----------------------------------------+",
   "      1    2    3    4    5    6    7    8",
   "///",
   0
};