/********************************************************************************************************\

	File Name:	CommonTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "CommonTeamBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tCommonTeamBaseState::mBeginState()
{}
void tCommonTeamBaseState::mEndState()
{}

void tCommonTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tCommonTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tCommonTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tCommonTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tCommonTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tCommonTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tCommonTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tCommonTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tCommonTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tCommonTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tCommonTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tCommonTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tCommonTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tCommonTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tCommonTeamBaseState::mOnFlashingButtonPressed()
{}
void tCommonTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tCommonTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tCommonTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tCommonTeamBaseState::mOnPlayerLeaving( int playerNumber )
{}
void tCommonTeamBaseState::mOnHostChanged()
{}
void tCommonTeamBaseState::mOnTimedInterval( int32 timerID )
{}
void tCommonTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tCommonTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

