/********************************************************************************************************\

	File Name:	CommonShip1.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "MissionText.h"
#include "CommonShip1.h"
#include "CommonShip1BaseState.h"
#include "TeamInfo.h"

tClassAllocator<tCommonShip1> gCommonShip1Allocator;

tCommonShip1::tCommonShip1()
{}

void tCommonShip1::mSetupState()
{
	mRegisterState( new tCommonShip1BaseState() );
	mGotoState( typeid( tCommonShip1BaseState ) );
}
void tCommonShip1::mSetupCommState()
{}
void tCommonShip1::mSetupShip()
{
	tTeamInfo*	CommonTeam = fMissionInfo->mGetTeamHandle( mGetTeam() );
	Assert( CommonTeam );
	if ( !CommonTeam )
		return;

	if ( CommonTeam->mIsTeamHumanControlled() )
		mSetShipPlayerControlled();
}


