/********************************************************************************************************\

	File Name:	ObjectTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "ObjectTeamBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tObjectTeamBaseState::mBeginState()
{}
void tObjectTeamBaseState::mEndState()
{}

void tObjectTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tObjectTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tObjectTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tObjectTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tObjectTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tObjectTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tObjectTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tObjectTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tObjectTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tObjectTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tObjectTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tObjectTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tObjectTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tObjectTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tObjectTeamBaseState::mOnFlashingButtonPressed()
{}
void tObjectTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tObjectTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tObjectTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tObjectTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tObjectTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tObjectTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tObjectTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tObjectTeamBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tObjectTeamBaseState::mOnHostChanged()
{}
void tObjectTeamBaseState::mOnTimedInterval( int32 timerID )
{}
void tObjectTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tObjectTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

