/********************************************************************************************************\

	File Name:	TestShipBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "TestShipBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tTestShipBaseState::mBeginState()
{}
void tTestShipBaseState::mEndState()
{}

void tTestShipBaseState::mOnDeath( tShipInfo* ship )
{}
void tTestShipBaseState::mOnCapture( tShipInfo* ship )
{}
void tTestShipBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tTestShipBaseState::mAtDistance( tShipInfo* ship )
{}
void tTestShipBaseState::mAtDestination( tShipInfo* ship )
{}
void tTestShipBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tTestShipBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tTestShipBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tTestShipBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tTestShipBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tTestShipBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tTestShipBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tTestShipBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tTestShipBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tTestShipBaseState::mOnFlashingButtonPressed()
{}
void tTestShipBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tTestShipBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tTestShipBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tTestShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tTestShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tTestShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tTestShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tTestShipBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tTestShipBaseState::mOnHostChanged()
{}
void tTestShipBaseState::mOnTimedInterval( int32 timerID )
{}
void tTestShipBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tTestShipBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

