/********************************************************************************************************\

	File Name:	Tst_ObjectTest.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( Tst_ObjectTest_h )
#define Tst_ObjectTest_h

#include "ScriptInterface.h"

//---------------------------------------------------------------------------------------------
// the following enum is used to identify all non-player teams in the script
// (use kPlayerTeam to access the current players team.)
enum eTeamTypes
{
	kPlayerTeam = kTeam1,
	kTestTeam,
	kObjectTeam,
};

class tVictoryCondition;

class tTst_ObjectTest : public tScript
{
public:

	tTst_ObjectTest();

	virtual void	mStartMission();
	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual int32	mInitializeFinished();
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mGetDebriefingList( eVictoryLevels VictoryLevel );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual int32	mGetTechnicalSuccessLevel( tDynaverseScriptInfo& info );
	virtual int32	mGetEnemyTeamID();
};

#endif


