/********************************************************************************************************\

	File Name:	Enemy2State.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "Enemy2State.h"
#include "MissionText.h"
#include "Tst_ScottsTest.h"

void tEnemy2State::mBeginState()
{
	mSetTimedInterval( kTimerTurnsSet, kLog_timer, 0.1f );
	mSetTimedInterval( kTimerTurnsSet, kSitrep_timer, 0.3f );
}

void tEnemy2State::mEndState()
{}

void tEnemy2State::mOnTimedInterval( int32 timerID )
{
	switch( timerID )
	{
	case kLog_timer:
		{
			fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kEnemyTeam2 ), kCaptainsLog_Attacker, kNonCommScriptMessage );
		}
		break;

	case kSitrep_timer:
		{
			fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kEnemyTeam2 ), kSitrep_Attacker );
		}
		break;

	default:
		break;
	}
}


void tEnemy2State::mOnDeath( tShipInfo* ship )
{}
void tEnemy2State::mOnCapture( tShipInfo* ship )
{}
void tEnemy2State::mOnDisengaged( tShipInfo* ship )
{}
void tEnemy2State::mAtDistance( tShipInfo* ship )
{}
void tEnemy2State::mAtDestination( tShipInfo* ship )
{}
void tEnemy2State::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tEnemy2State::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tEnemy2State::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tEnemy2State::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tEnemy2State::mOnProbeLaunch( tShipInfo* ship )
{}
void tEnemy2State::mOnBeginOrbit( tShipInfo* ship )
{}
void tEnemy2State::mOnEndOrbit( tShipInfo* ship )
{}
void tEnemy2State::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tEnemy2State::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tEnemy2State::mOnFlashingButtonPressed()
{}
void tEnemy2State::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tEnemy2State::mOnChangingShip( tShipInfo* ship )
{}
void tEnemy2State::mOnSpecialTransport( tShipInfo* ship )
{}
void tEnemy2State::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tEnemy2State::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tEnemy2State::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tEnemy2State::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tEnemy2State::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tEnemy2State::mOnHostChanged()
{}

void tEnemy2State::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tEnemy2State::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

