/********************************************************************************************************\

	File Name:	EnemyTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( EnemyTeam_h )
#define EnemyTeam_h

#include "TeamInfo.h"


class tEnemyTeam : public tTeamInfo
{
public:

	tEnemyTeam();

	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mTeamSetupComplete();
	void mSetupVictoryCondition();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );

	enum eCustomIDs
	{
		kEnemy1 = 200,
		kEnemy2,
		kEnemy3,
	};

	void	mCreateBadGuys();
	
	iTruth	mDied()				{ return fDied; }
	void	mSetDied()			{ fDied = kTrue; }

protected:

	iTruth	fDied;

};

#endif
