/********************************************************************************************************\

	File Name:	PropFreighterState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "PropFreighterState.h"
#include "Tst_ScottsTest.h"
#include "PropTeam.h"
#include "WorldConditions.h"

void tPropFreighterState::mBeginState()
{
	fChildActor->mSetShipMaxSpeed( 12 );

	tTeamInfo* propTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPropTeam ) );
	ASSERT( propTeam );
	if( !propTeam ) return;
	
	int32 nX, nY;
	fChildActor->mGetGridPosition( &nX, &nY );
	fChildActor->mTractorEntity( propTeam->mFindShipCustomID( gWC.mGetNextPod() ), nX, nY, kAbsolutePriority );	
}

void tPropFreighterState::mEndState()
{}

void tPropFreighterState::mOnDeath( tShipInfo* ship )
{}
void tPropFreighterState::mOnCapture( tShipInfo* ship )
{}
void tPropFreighterState::mOnDisengaged( tShipInfo* ship )
{}
void tPropFreighterState::mAtDistance( tShipInfo* ship )
{}
void tPropFreighterState::mAtDestination( tShipInfo* ship )
{}
void tPropFreighterState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tPropFreighterState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tPropFreighterState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tPropFreighterState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tPropFreighterState::mOnProbeLaunch( tShipInfo* ship )
{}
void tPropFreighterState::mOnBeginOrbit( tShipInfo* ship )
{}
void tPropFreighterState::mOnEndOrbit( tShipInfo* ship )
{}
void tPropFreighterState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tPropFreighterState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tPropFreighterState::mOnFlashingButtonPressed()
{}
void tPropFreighterState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tPropFreighterState::mOnChangingShip( tShipInfo* ship )
{}
void tPropFreighterState::mOnSpecialTransport( tShipInfo* ship )
{}
void tPropFreighterState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tPropFreighterState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tPropFreighterState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tPropFreighterState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tPropFreighterState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tPropFreighterState::mOnHostChanged()
{}
void tPropFreighterState::mOnTimedInterval( int32 timerID )
{}
void tPropFreighterState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tPropFreighterState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

