/********************************************************************************************************\

	File Name:	Tst_ScottsTest.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( Tst_ScottsTest_h )
#define Tst_ScottsTest_h

#include "ScriptInterface.h"

enum eTeamTypes
{
	kPriTeam = kTeam1,
	kEnemyTeam,
	kPropTeam,
	kEnemyTeam2,
};

class tVictoryCondition;

class tTst_ScottsTest : public tScript
{
public:

	tTst_ScottsTest();

	virtual void	mStartMission();
	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual int32	mInitializeFinished();
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mGetDebriefingList( eVictoryLevels VictoryLevel );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual int32	mGetTechnicalSuccessLevel( tDynaverseScriptInfo& info );
	virtual int32	mGetEnemyTeamID();
	virtual void	mASCIIOverrides( tMapOverrides* Map );
	virtual void	mDefineTeamShipStrengths( void );
	virtual void	mDefineBriefings( void );
	virtual tMapTerrain		mAssignMapTerrainTypes( int32 Map );

};

#endif


