/********************************************************************************************************\

	File Name:	worldconditions.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( WorldConditions_h )
#define WorldConditions_h

#include <vector>


class tWorldConditions
{
	
public:

	tWorldConditions();
	void mCheckForGameEnd( void );

	int32	mGetNextPod();
	void	mSetNextPod( int32 x );

	iTruth	mBaseTypeKnown()					{ return fBaseTypeKnown; }
	void	mSetBaseTypeKnown()					{ fBaseTypeKnown = kTrue; }

	eClassTypes mGetBaseType()					{ return fBaseType; }
	void    mSetBaseType( eClassTypes type )	{ fBaseType = type; } 
	
	int32	mGetBaseID()						{ return fBaseID; }
	void	mSetBaseID( int32 x )				{ fBaseID = x; }

	iTruth	mBaseDied()							{ return fBaseDied; }
	void	mSetBaseDied()						{ fBaseDied = kTrue; }

protected:

	int32		fCurPod;
	iTruth		fBaseTypeKnown;
	eClassTypes fBaseType;
	int32		fBaseID;
	iTruth		fBaseDied;

};

extern tWorldConditions gWC;

#endif
