/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN

	//	kMissionTitle_msg,
	"Kommando 190",

	//kShortBriefing_msg,
	"Kommando 190: Grundlagen der Steuerung\n\n" \
	"Diese Simulation befasst sich mit den Grundlagen der Steuerung eines Raumschiffes.\n\n" \
	"Behandelte Themen:\n\n" \
	"Grundlagen der Navigation\n" \
	"Zielerfassung\n" \
	"Phaserabschuss\n" \
	"Zerstren einfacher Ziele",
	
	//kBriefing_msg,
	">Behandelte Themen: Grundlagen der Navigation, Zielerfassung, Phaserabschuss und Zerstren einfacher Ziele.<" \
	"Kommando 190: Grundlagen der Steuerung\n\n" \
	"Diese Simulation befasst sich mit den Grundlagen der Steuerung eines Raumschiffes.\n\n" \
	"Behandelte Themen:\n\n" \
	"Grundlagen der Navigation\n" \
	"Zielerfassung\n" \
	"Phaserabschuss\n" \
	"Zerstren einfacher Ziele",

	//kNeversail_name,
	"U.S.S. Neversail",

	//kWhere_msg,
	"An Bord der Neversail NCC-0001",
	//kWhere2_msg,
	"Sternenflottensimulator",
	//kWhere3_msg,
	"Utopia Planitia-Schiffswerft, Mars",

	//Tut1_Scold1_msg,
	"Captain Wells: Lieutenant, wenn ich einen Befehl erteile, erwarte ich, dass er befolgt wird",
	//Tut1_Scold2_msg,
	"Captain Wells: Ich habe nicht den ganzen Tag Zeit, Lieutenant.",
	//Tut1_Scold3_msg,
	"Captain Wells: [Seufz]. Alles wartet auf Sie.",
	//Tut1_Scold4_msg,
	"Captain Wells: Lieutenant, entscheiden Sie sich, bevor ich die Entscheidung fr Sie treffe - und Sie dann degradiere.",
	
	//Tut1_Welcome_msg,
	"Captain Wells: Lieutenant, ich begre Sie an der Akademie des Starfleet Command. Um in den Rang eines Lieutenant Commanders aufzusteigen, mssen Sie " \
	"die Kurse Kommando 190: 'Grundlagen der Steuerung' und Kommando 290: 'Navigation fr Fortgeschrittene' absolvieren. Lassen Sie uns also anfangen.",

	//Tut1_Fundamentals_msg,
	"Captain Wells: Die Grundlagen der Raumschiffsteuerung sind zwar recht simpel, erfordern aber dennoch eine Menge Training und bung, bis sie wirklich beherrscht werden. " \
	"Wir wollen daher mit den Grundlagen der Navigation an Bord eines kleinen Polizeischiffes beginnen, der USS Neversail.",

	//Tut1_Turn_msg,
	"Captain Wells: Um die Neversail zu wenden, klicken Sie mit der linken Maustaste auf die taktische 3D-Anzeige. Hiermit wird ein " \
	"Navigationsbefehl nach backbord oder steuerbord gegeben.",

	//Tut1_TurnHelp_msg,
	"Captain Wells: Klicken Sie mit der linken Maustaste in der taktischen 3D-Anzeige auf die Richtung, in der die Wende erfolgen soll. Ihr Navigator wird dann " \
	"die entsprechende Wende nach backbord oder steuerbord ausfhren.",

	//Tut1_TurnExplained_msg,
	"Captain Wells: Je weiter Sie sich vom aktuellen Kurs entfernen mchten, desto enger wird die Wende. Raumschiffe sind " \
	"schwerfllige Fluggerte, sogar solche wie dieser niedliche Polizeikutter. Manver brauchen eben " \
	"ihre Zeit. Planen Sie Ihre Wenden also ausreichend im Voraus, um den maximalen Vorteil herauszuholen.",

	//Tut1_IntoToPhaser_msg,
	"Captain Wells: Nun wollen wir ber die Phaser sprechen. Ich wusste, dass das Ihr Interesse wecken wrde. Um Ihnen Gelegenheit zu geben, " \
	"sich mit unseren vertrauenswrdigen Phasern anzufreunden, habe ich Replikate von standardmigen Frachtcontainern der Fderation anfertigen lassen, damit Sie ein Ziel haben, " \
	"das Sie zerstren knnen.",

	//kTut1_TargetContainer_msg,
	"Captain Wells: Um einen Container als Ziel zu erfassen, zeigen Sie mit der Maus auf den gewnschten Container und klicken dann mit der rechten Maustaste. Hiermit " \
	"wird der Frachtcontainer als Ihr aktuelles Ziel erfasst. Alternativ knnen Sie auch " \
	"die Taste 'T' drcken, um in allen Zielen in Sensorreichweite zu blttern.",
	
	
	//Tut1_TargetHelp_msg,
	"Captain Wells: Nun los, Lieutenant. Es kann doch nicht so lange dauern, auf einen Container zu zielen.",

	//kTut1_FireWeapons_msg,
	"Captain Wells: Um einen Phaser auf einen ausgewhlten Frachtcontainer abzufeuern, klicken Sie mit der linken Maustaste auf die Schaltflche 'Feuer' in der unteren " \
	"linken Ecke der Anzeige. Alternativ knnen Sie auch die Taste 'Z' drcken, um " \
	"den Feuerbefehl zu geben. Mit beiden Vorgehensweisen richten Sie Gigawatt von ionisierten, superheien Partikeln auf Ihr Ziel. Klingt eindrucksvoll, oder?",

	//kTut1_DestroyTargets_msg,
	"Captain Wells: Zerstren Sie jetzt alle drei Ziele.",

	//Tut1_FireHelp_msg,
	"Captain Wells: Na, wo klemmt's denn? Die meisten Offiziersanwrter genieen diesen Teil des Lehrgangs.",

	//kTut1_NeedlessDestruction_msg,
	"Captain Wells: Hervorragend!  Die Sternenflotte sieht sinnlose Zerstrung zwar nicht gerne, aber Phaser haben durchaus ihre Existenzberechtigung.",
	//Tut1_Complete_msg,
	"Captain Wells: Exzellent, Lieutenant, Sie kommen ja hervorragend klar. Mglicherweise stellt 'Kommando 290' eine grere " \
	"Herausforderung fr Ihre Fhigkeiten dar.",

	//PassDebrief_msg,
	"Sie haben den Kurs Kommando 190 'Grundlagen der Steuerung' erfolgreich absolviert. Sie knnen nun mit Kurs Kommando 290: " \
	"'Navigation fr Fortgeschrittene' fortfahren.",
	//FailDebrief_msg,
	"Lieutenant, Sie haben die Befehle nicht ordnungsgem befolgt. Sie mssen den Kurs Kommando 190: 'Grundlagen der Steuerung' wiederholen.", 


#else	//////////////////////////////////////////////////////////////////////////////////////////////////

	//	kMissionTitle_msg,
	"Command 190",

	//kShortBriefing_msg,
	"Command 190: Basic Controls\n\n" \
	"This simulation will cover the basic controls of a starship.\n\n" \
	"Topics Covered:\n\n" \
	"Basic Helm Control\n" \
	"Targeting\n" \
	"Phaser Fire\n" \
	"Destroying Simple Targets",
	
	//kBriefing_msg,
	">Topics Covered: Basic Helm Contol, Targeting, Phaser Fire, and Destroying Simple Targets.<" \
	"Command 190: Basic Controls\n\n" \
	"This simulation will cover the basic controls of a starship.\n\n" \
	"Topics Covered:\n\n" \
	"Basic Helm Control\n" \
	"Targeting\n" \
	"Phaser Fire\n" \
	"Destroying Simple Targets",

	//kNeversail_name,
	"U.S.S. Neversail",

	//kWhere_msg,
	"Aboard the Neversail NCC-0001",
	//kWhere2_msg,
	"Starfleet Simulator",
	//kWhere3_msg,
	"Utopia Planitia Shipyard Mars",

	//Tut1_Scold1_msg,
	"Captain Wells: Lieutenant, when I give an order I expect it to be obeyed",
	//Tut1_Scold2_msg,
	"Captain Wells: I don't have all day Lieutenant.",
	//Tut1_Scold3_msg,
	"Captain Wells: [Sigh].  We are all waiting.",
	//Tut1_Scold4_msg,
	"Captain Wells: Lieutenant, make up your mind before I make it up for you - and give you a failing grade.",
	
	//Tut1_Welcome_msg,
	"Captain Wells: Lieutenant, welcome to Starfleet Command school. To earn the rank of Lieutenant Commander, you must " \
	"pass both Command 190: Basic Controls and Command 290: Intermediate Helm Controls. Let's get started.",

	//Tut1_Fundamentals_msg,
	"Captain Wells: The basics of starship control are very simple, yet require a lot of training and practice to master. " \
	"Let's begin with basic helm control aboard a small police vessel, the USS Neversail.",

	//Tut1_Turn_msg,
	"Captain Wells: To turn the Neversail, use the mouse and left-click on the 3D tactical display.  This will issue a " \
	"helm command to port or starboard.",

	//Tut1_TurnHelp_msg,
	"Captain Wells: Left-click on the 3D tactical display in the direction you wish to turn.  Your helmsman will " \
	"choose the appropriate turn, port or starboard.",

	//Tut1_TurnExplained_msg,
	"Captain Wells: The further you wish to go from your current heading, the tighter your turn will be. Starships are " \
	"massive vessels, even one such as this quaint police cutter. It takes time to " \
	"maneuver them. Plan your turns in advance for maximum advantage.",

	//Tut1_IntoToPhaser_msg,
	"Captain Wells: Now let's talk about phasers. I knew that would pique your interest.  To familiarize you with the " \
	"trustworthy Phasers, I have created replicas of standard Federation cargo containers for you to target and " \
	"destroy.",

	//kTut1_TargetContainer_msg,
	"Captain Wells: To target a container, point the mouse at the container that you wish to target and right-click. This " \
	"will set the cargo container as your current target.  Alternatively you may tap " \
	"the T key to cycle through all targets in sensor range.",
	
	
	//Tut1_TargetHelp_msg,
	"Captain Wells: C'mon Lieutenant. It doesn't take that long to target a container.",

	//kTut1_FireWeapons_msg,
	"Captain Wells: To fire a Phaser at the selected cargo container, left-click your mouse on the fire button in the lower " \
	"left corner of the display.  Alternatively, you can tap the Z key to issue a " \
	"fire command. Either one will direct gigawatts of ionized superheated particles at your target. Sounds impressive.",

	//kTut1_DestroyTargets_msg,
	"Captain Wells: Now destroy all three targets.",

	//Tut1_FireHelp_msg,
	"Captain Wells: What's keeping you? Most midshipmen enjoy this part of the tutorial.",

	//kTut1_NeedlessDestruction_msg,
	"Captain Wells: Good!  Starfleet doesn't approve of mindless destruction, but phasers do have their uses.",
	//Tut1_Complete_msg,
	"Captain Wells: Excellent, Lieutenant, you are coming along very well. Perhaps Command 290 will provide a greater " \
	"challenge for your abilities.",

	//PassDebrief_msg,
	"You have passed course: Command 190 Basic Controls.  You may now proceed to course: Command 290 " \
	"Intermediate Helm Controls",
	//FailDebrief_msg,
	"Lieutenant, you have failed to follow orders.  You must repeat course: Command 190 Basic Controls.",
#endif
};


