//	<Name>	Tut_Command290

#if !defined( Tut_Command290_h )
#define Tut_Command290_h

#include "ScriptInterface.h"

//---------------------------------------------------------------------------------------------
// the following enum is used to identify all non-player teams in the script
// (use kPlayerTeam to access the current players team.)
enum eTeamTypes
{
	// set first team = kTeam1
	kPlayerTeam = kTeam1,
	kTargetTeam,
	kPlanetTeam,
};

class tVictoryCondition;

class tTut_Command290 : public tScript
{
public:
	enum eCommStates
	{
		kCommSabotagedState,
		kCommRepairedState,
	};

	tTut_Command290();

	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual iTruth	mUsePlayerShip( tShipInGame& Ship );
	virtual int32	mInitializeFinished();
	virtual void	mStartMission();
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual void	mCreateExternalShips( int32 Mode );
};

#endif

