/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN

	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_10Criminals",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"Einsatzbesprechung: Die Allianz mchte die Organier als Kriegsverbrecher vor Gericht stellen.\n\n" \
	"Eskortieren Sie einen Frachter mit einer speziellen Anti-Organier-Ausrstung nach Organia, und stellen Sie ihnen eine Falle.\n\n",

	// kFedBriefing_msg
	"Trotz ihrer jngsten verzweifelten Angriffe haben Ermittlungen unseres Geheimdienstes ergeben, dass " \
	"das ISK in vollstndiger Auflsung begriffen ist. Jetzt kommen wir aber zu einem wirklich ernsten Problem.\n\n" \
	"Entgegen dem Rat der Fderation hat sich die Allianz entschlossen, " \
	"die Organier fr ihre Einmischung anzuklagen, in deren Folge das ISK " \
	"mit seinem unsinnigen Befriedungsprogramm Einzug in den Quadranten halten konnte.\n\n" \
	"Sie werden sich mit einem Frachter nach Organia begeben, der mit einer Technik ausgestattet ist, " \
	"die speziell fr den Umgang mit den Organiern entwickelt wurde und die krzlich whrend "
	"des Vorfalls mit den Skorr ihre Feldtauglichkeit bewiesen hat. Sie werden den Frachter " \
	"sicher nach Organia bringen.\n\nNachdem er dort eingetroffen ist, rufen Sie den Planeten mit einem " \
	"Neutrino-Impuls. Das wird die Organier auf den Plan rufen. Sie haben jedoch nur " \
	"einige wenige Sekunden, um die Organier gefangen zu nehmen, bevor sie sich zur Wehr setzen knnen.\n\n" \
	"Einige Schiffe der ISK-Flotte sind bereits auf dem Weg nach Organia, und " \
	"sie planen mglicherweise, den Planeten als Ausgangspunkt fr ein letztes Gefecht zu nutzen. "
	"Wir erwarten eigentlich keine groartige Gegenwehr, aber seien Sie vorsichtig.\n\n" \
	"Dies wird wahrscheinlich die letzte wichtige Mission in diesem Krieg sein. Fhren Sie sie einfach aus. " \
	"Wegtreten.\n\n",

	// kKlingonBriefing_msg
	"Trotz ihrer jngsten verzweifelten Angriffe haben Ermittlungen unseres Geheimdienstes ergeben, " \
	"dass das ISK in vollstndiger Auflsung begriffen ist. Aber dieses Mal ist nicht das ISK " \
	"Ihr Ziel.\n\nAuf Drngen des klingonischen Hohen Rates hat die Allianz " \
	"beschlossen, die Organier fr ihre Mittterschaft bei der " \
	"ffnung des Quadranten fr das ISK anzuklagen. Es ist an der Zeit, diese Besserwisser " \
	"zur Rechenschaft zu ziehen. Ich habe erfahren, dass die Fderation mit dieser Entscheidung nicht glcklich ist. " \
	"Das verst die Angelegenheit noch zustzlich.\n\nSie werden sich mit einem Frachter " \
	"nach Organia begeben, der mit einer Technik ausgestattet ist, die speziell fr den Umgang mit den Organiern entwickelt wurde. " \
	"Sie werden dafr sorgen, dass der Frachter sicher nach Organia gelangt.\n\nNachdem er " \
	"dort eingetroffen ist, rufen Sie den Planeten mit einem Neutrino-Impuls. Das wird die Organier " \
	"auf den Plan rufen. Sie haben jedoch nur einige wenige Sekunden, um die " \
	"Organier gefangen zu nehmen, bevor sie sich zur Wehr setzen knnen. Nachdem Sie sie gefangen genommen haben, kehren Sie hierher zurck. " \
	"Ich wnschte, ich knnte den Planeten zerstren, aber wir mussten der Fderation ein paar " \
	"Zugestndnisse machen. Diplomatie! (er spuckt aus).\n\n" \
	"Einige Schiffe der ISK-Flotte sind bereits auf dem Weg nach Organia, und " \
	"sie planen mglicherweise, den Planeten als Ausgangspunkt fr ein letztes Gefecht zu nutzen. " \
	"Wir erwarten eigentlich keine groartige Gegenwehr, aber mglicherweise sehen Sie sich " \
	"dennoch einer ganz anstndigen Herausforderung gegenber.\n\n" \
	"Dies wird wahrscheinlich die letzte wichtige Mission in diesem Krieg sein - und sicherlich " \
	"die, die uns die meiste Genugtuung verschafft. Gehen Sie, und erweisen Sie sich den Klingonen als wrdig.\n\n",

	// kRomulanBriefing_msg
	"Trotz ihrer jngsten verzweifelten Angriffe haben Ermittlungen unseres Geheimdienstes ergeben, " \
	"dass das ISK in vollstndiger Auflsung begriffen ist. Aber dieses Mal ist nicht das ISK " \
	"Ihr Ziel.\n\nDie Allianz hat sich entschlossen, die Organier " \
	"fr ihre Mittterschaft bei der ffnung des Quadranten fr das ISK anzuklagen. Die " \
	"Klingonen haben es geschafft, die anderen Verbndeten von der Notwendigkeit dieser Manahme zu berzeugen. " \
	"Das romulanische Imperium vertritt in dieser Angelegenheit keinen Standpunkt, auer dass wir Bedenken im Hinblick auf die Sicherheit " \
	"unserer Soldaten bei dieser Operation haben. Aber diese Mission wurde uns bertragen.\n\n" \
	"Sie werden sich mit einem Frachter nach Organia begeben, der mit einer Technik ausgestattet ist, " \
	"die speziell fr den Umgang mit den Organiern entwickelt wurde. Sie werden sicherstellen, dass " \
	"der Frachter sicher nach Organia gelangt. Nachdem er dort eingetroffen ist, rufen Sie " \
	"den Planeten mit einem Neutrino-Impuls. Das wird die Organier auf den Plan rufen. Sie " \
	"haben jedoch nur einige wenige Sekunden, um die Organier gefangen zu nehmen, bevor sie " \
	"sich zur Wehr setzen knnen. Nachdem Sie sie gefangen genommen haben, zerstren Sie den Planeten.\n\n" \
	"Einige Schiffe der ISK-Flotte sind bereits auf dem Weg nach Organia," \
	"und sie planen mglicherweise, den Planeten als Ausgangspunkt fr ein letztes " \
	"Gefecht zu nutzen. Wir erwarten eigentlich keine groartige Gegenwehr, aber mglicherweise sehen Sie sich " \
	"doch einer ganz anstndigen Herausforderung gegenber.\n\nDies wird wahrscheinlich die letzte wichtige " \
	"Mission dieses Krieges sein - und sicherlich diejenige, die uns die meiste Genugtuung verschafft. Gehen Sie, und erweisen Sie sich den Romulanern als wrdig.\n\n",

	// kLyranBriefing_msg
	"Trotz ihrer jngsten verzweifelten Angriffe haben Ermittlungen unseres Geheimdienstes ergeben, " \
	"dass das ISK in vollstndiger Auflsung begriffen ist. Aber dieses Mal ist nicht das ISK " \
	"Ihr Ziel.\n\nDie Allianz hat sich entschlossen, die Organier " \
	"fr ihre Mittterschaft bei der ffnung des Quadranten fr das ISK anzuklagen. Trotz " \
	"des Widerstands der unaufrichtigen Hydraner und der Fderation konnten wir " \
	"die anderen Verbndeten davon berzeugen, dass diese Manahme notwendig ist. \n\nSie werden sich mit einem Frachter nach Organia begeben, der " \
	"mit einer Technik ausgestattet ist, die speziell fr den Umgang mit den " \
	"Organiern entwickelt wurde. Sie werden dafr sorgen, dass der Frachter sicher nach Organia gelangt.\n\n" \
	"Nachdem er dort eingetroffen ist, rufen Sie den Planeten mit einem Neutrino-Impuls. Das wird " \
	"die Organier auf den Plan rufen. Sie haben jedoch nur einige wenige Sekunden, um die " \
	"Organier gefangen zu nehmen, bevor sie sich zur Wehr setzen knnen. Nachdem Sie sie gefangen genommen haben, zerstren Sie " \
	"den Planeten.\n\nEinige Schiffe der ISK-Flotte sind bereits auf dem Weg nach Organia, " \
	"und sie planen mglicherweise, den Planeten als Ausgangspunkt fr ein letztes Gefecht zu nutzen. " \
	"Wir erwarten eigentlich keine groartige Gegenwehr, aber mglicherweise sehen Sie sich " \
	"doch einer ganz anstndigen Herausforderung gegenber.\n\nDies wird wahrscheinlich die letzte wichtige Mission dieses " \
	"Krieges sein - und sicherlich diejenige, die uns die meiste Genugtuung verschafft. Gehen Sie, und erweisen Sie sich den Lyranern als wrdig.\n\n",

	// kHydranBriefing_msg
	"Trotz ihrer jngsten verzweifelten Angriffe haben Ermittlungen unseres Geheimdienstes ergeben, " \
	"dass das ISK in vollstndiger Auflsung begriffen ist. Aber dieses Mal ist nicht das ISK " \
	"Ihr Ziel.\n\nDie Allianz hat sich entschlossen, die Organier " \
	"fr ihre Mittterschaft bei der ffnung des Quadranten fr das ISK anzuklagen. Die " \
	"Klingonen haben es geschafft, die anderen Verbndeten von der Notwendigkeit dieser Manahme zu berzeugen. Wir " \
	"haben zwar energisch protestiert, wurden jedoch berstimmt. Im Interesse der " \
	"Fairness haben wir die Mission bernommen.\n\nSie werden sich mit " \
	"einem Frachter nach Organia begeben, der mit einer Technik ausgestattet ist, die speziell fr den Umgang " \
	"mit 'hheren Lebensformen' entwickelt wurde. Sorgen Sie dafr, dass der Frachter den Planeten " \
	"sicher erreicht. Nachdem er dort eingetroffen ist, rufen Sie den Planeten mit einem Neutrino- " \
	"Impuls. Das wird die Organier auf den Plan rufen. Sie haben jedoch nur " \
	"einige wenige Sekunden, um die Organier gefangen zu nehmen, bevor sie sich zur Wehr setzen knnen.\n\n" \
	"Einige Schiffe der ISK-Flotte sind bereits auf dem Weg nach Organia, " \
	"und sie planen mglicherweise, den Planeten als Ausgangspunkt fr ein " \
	"letztes Gefecht zu nutzen. Wir erwarten eigentlich keine groartige Gegenwehr, aber seien Sie vorsichtig. " \
	"Der Geheimdienst ist nie so gut wie wir uns das wnschen wrden.\n\n" \
	"Ich freue mich auf Ihre Rckkehr.\n\n Wegtreten.\n\n",

	// kGornBriefing_msg
	"Trotz ihrer jngsten verzweifelten Angriffe haben Ermittlungen unseres Geheimdienstes " \
	"ergeben, dass das ISK in vollstndiger Auflsung begriffen ist. Aber dieses " \
	"Mal ist nicht das ISK Ihr Ziel.\n\nDie Allianz hat beschlossen, " \
	"die Organier fr ihre Mittterschaft bei der ffnung " \
	"des Quadranten fr das ISK anzuklagen. Die Klingonen haben es geschafft, " \
	"die anderen Verbndeten davon berzeugen, dass diese Manahme notwendig ist. Wir stimmen mit ihnen berein, und es wurde " \
	"uns die Ehre zuteil, sie gefangen nehmen zu drfen, basierend auf unserem viele Jahre zurckliegenden Erfolg " \
	"im Umgang mit dem Groen Vater der Gorn.\n\n" \
	"Sie werden sich daher mit einem Frachter nach Organia begeben, der mit einer " \
	"Technik ausgestattet ist, die speziell fr den Umgang mit den Organiern entwickelt wurde. " \
	"Sie werden dafr sorgen, dass der Frachter sicher nach Organia gelangt. " \
	"Nachdem er dort eingetroffen ist, rufen Sie den Planeten mit einem Neutrino-Impuls. " \
	"Das wird die Organier auf den Plan rufen. Sie haben jedoch nur einige " \
	"wenige Sekunden, um die Organier gefangen zu nehmen, bevor sie sich zur Wehr setzen knnen.\n\n" \
	"Einige Schiffe der ISK-Flotte sind bereits auf dem Weg nach Organia, "
	"und sie planen mglicherweise, den Planeten als Ausgangspunkt " \
	"fr ein letztes Gefecht zu nutzen. Wir erwarten eigentlich keine groartige Gegenwehr, " \
	"aber vielleicht sehen Sie sich doch einer ganz anstndigen Herausforderung gegenber.\n\n" \
	"Dies wird wahrscheinlich die letzte wichtige Mission dieses Krieges " \
	"sein - und daher ist der Erfolg wichtiger denn je. Gehen Sie, und erweisen Sie sich den Gorn als wrdig.\n\n",

	// kISCBriefing_msg
	"",					//placeholder
	// kMirakBriefing_msg
	"Trotz ihrer jngsten verzweifelten Angriffe haben Ermittlungen unseres Geheimdienstes ergeben, " \
	"dass das ISK in vollstndiger Auflsung begriffen ist. Aber dieses Mal ist nicht das ISK " \
	"Ihr Ziel.\n\nDie Allianz hat sich entschlossen, die " \
	"Organier fr ihre Mittterschaft bei der ffnung des Quadranten " \
	"fr das ISK anzuklagen. Die Klingonen haben es geschafft, die anderen Verbndeten " \
	"von der Notwendigkeit dieser Manahme zu berzeugen. Wir haben diese Mission fr uns beansprucht, damit sie nicht " \
	"an diese ... Matriarchen fllt.\n\nSie werden sich also mit einem Frachter nach Organia " \
	"begeben, der mit einer Technik ausgestattet ist, die speziell fr " \
	"den Umgang mit diesen 'hheren Lebensformen' entwickelt wurde. Sorgen Sie dafr, dass der Frachter" \
	"den Planeten sicher erreicht. Nachdem er dort eingetroffen ist, rufen Sie den Planeten " \
	"mit einem Neutrino-Impuls. Das wird die Organier auf den Plan rufen. Sie " \
	"haben jedoch nur einige wenige Sekunden, um die Organier gefangen zu nehmen, bevor " \
	"sie sich zur Wehr setzen knnen.\n\nEinige Schiffe der ISK-Flotte sind bereits " \
	"auf dem Weg nach Organia, und sie planen mglicherweise, den Planeten " \
	"als Ausgangspunkt fr ein letztes Gefecht zu nutzen. Wir erwarten keine " \
	"groartige Gegenwehr, aber vielleicht sehen Sie sich doch einer ganz anstndigen " \
	"Herausforderung gegenber.\n\nDies wird wahrscheinlich die letzte wichtige Jagd in diesem " \
	"Krieg sein - aber das macht es nur umso interessanter. Ich " \
	"freue mich auf Ihre Rckkehr.\n\nWegtreten.\n\n",


	//
	//	Starting message
	//
	
	// kFedStart_msg
	"[PLAYER_NAME]: Logbuch des Captains, [STARDATE].[0]" \
	"Wir sind auf dem Weg nach Organia, um die Organier als Kriegsverbrecher gefangen zu nehmen. " \
	"Wir eskortieren einen besonders bewaffneten Frachter, der ber eine spezielle Ausrstung" \
	"fr die Gefangennahme der Organier verfgt.[1]" \
	"Wissenschaftsoffizier: [PLAYER_RANK], erinnern Sie sich noch an diese Geheimdienstbesprechung, bei der " \
	"wir uns gewundert haben, wo sich die wichtigste Sondereinheit des ISKs versteckt hlt? Wir knnen aufhren, uns zu wundern.[1]" \
	"Waffenoffizier: Ein Dreadnought sowie vier Schlachtkreuzer samt Eskorte. Oh Mann.[0]",

	// kKlingonStart_msg
	"[PLAYER_NAME]: Kriegsbericht, [STARDATE].[0]" \
	"Wir sind auf dem Weg nach Organia, um die Organier als Kriegsverbrecher gefangen zu nehmen. " \
	"Wir eskortieren einen besonders bewaffneten Frachter, der ber eine spezielle Ausrstung" \
	"fr die Gefangennahme der Organier verfgt.[1]" \
	"Wissenschaftsoffizier: [PLAYER_RANK], wir haben die wichtigste Sondereinheit des ISKs aufgestbert. " \
	"Wir htten wissen mssen, dass sie zurck nach Organia gekrochen kommen wrden.[1] " \
	"Waffenoffizier: Ein Dreadnought sowie vier Schlachtkreuzer samt Eskorte. " \
	"Es ist vielleicht kein guter Tag, um zu sterben... aber es sieht immer mehr danach aus.[0]",

	// kRomulanStart_msg
	"[PLAYER_NAME]: Bericht des {player_faction_name}, [STARDATE].[0]" \
	"Wir sind auf dem Weg nach Organia, um die Organier als Kriegsverbrecher gefangen zu nehmen. " \
	"Wir eskortieren einen besonders bewaffneten Frachter, der ber eine spezielle Ausrstung" \
	"fr die Gefangennahme der Organier verfgt.[1]" \
	"Wissenschaftsoffizier: [PLAYER_RANK], ich registriere einen ISK-Dreadnought sowie vier " \
	"Schlachtkreuzer mit Eskorte. Die wichtigste Sondereinheit des ISKs ist hier.[0]",

	// kLyranStart_msg
	"[PLAYER_NAME]: Journal des Commanders, Haus {player_faction_name}, [STARDATE].[0]" \
	"Wir sind auf dem Weg nach Organia, um die Organier als Kriegsverbrecher gefangen zu nehmen. " \
	"Wir eskortieren einen besonders bewaffneten Frachter, der ber eine spezielle Ausrstung" \
	"fr die Gefangennahme der Organier verfgt.[1]" \
	"Wissenschaftsoffizier: [PLAYER_RANK], ich registriere einen Dreadnought sowie " \
	"vier Schlachtkreuzer mit Eskorte. Es ist die wichtigste Sondereinheit des ISKs. Wir htten wissen mssen, " \
	"dass sie zurck nach Organia gekrochen kommen wrden.[1]" \
	"Waffenoffizier: Man kann ihren Mut in Frage stellen, aber sicherlich nicht " \
	"ihre Feuerkraft. Sie sind uns ernsthaft berlegen.[0]",

	// kHydranStart_msg
	"[PLAYER_NAME]: Journal des Commanders, [STARDATE].[0]" \
	"Wir sind auf dem Weg nach Organia, um die Organier als Kriegsverbrecher gefangen zu nehmen. " \
	"Wir eskortieren einen besonders bewaffneten Frachter, der ber eine spezielle Ausrstung" \
	"fr die Gefangennahme der Organier verfgt.[1]" \
	"Wissenschaftsoffizier: [PLAYER_RANK], ich registrieren einen Dreadnought sowie " \
	"vier Schlachtkreuzer. Es ist die wichtigste Sondereinheit des ISKs.[1]" \
	"[PLAYER_NAME]: Wir werden uns mit den guten Leuten vom hydranischen " \
	"Geheimdienst mal ein wenig unterhalten mssen, wenn die Mission vorber ist.[0]",

	// kGornStart_msg
	"[PLAYER_NAME]: Logbuch des Commanders, [STARDATE].[0]" \
	"Wir sind auf dem Weg nach Organia, um die Organier als Kriegsverbrecher gefangen zu nehmen. " \
	"Wir eskortieren einen besonders bewaffneten Frachter, der ber eine spezielle Ausrstung" \
	"fr die Gefangennahme der Organier verfgt.[1]" \
	"Wissenschaftsoffizier: [PLAYER_RANK], ich registrieren einen Dreadnought sowie vier " \
	"Schlachtkreuzer mit Eskorte. Es ist die wichtigste Sondereinheit des ISKs. " \
	"Die Organier mssen ihnen Schutz gewhren![1]" \
	"[PLAYER_NAME]: Vielleicht. Aber auch ohne die Organier sind wir ihnen ernsthaft unterlegen.[0]",

	// kISCStart_msg
	"",		// placeholder
	
	// kMirakStart_msg
	"[PLAYER_NAME]: Jagdbericht, [STARDATE]. [0]" \
	"Wir sind auf dem Weg nach Organia, um die Organier als Kriegsverbrecher gefangen zu nehmen. " \
	"Wir eskortieren einen besonders bewaffneten Frachter, der ber eine spezielle Ausrstung" \
	"fr die Gefangennahme der Organier verfgt.[1]" \
	"Wissenschaftsoffizier: [PLAYER_RANK], ich registrieren einen Dreadnought sowie vier " \
	"Schlachtkreuzer mit Eskorte. Es ist die wichtigste Sondereinheit des ISKs.[1]" \
	"[PLAYER_NAME]: Es sieht so aus, aus wrden wir wirklich noch Blut an unsere Klauen bekommen. Lasst die Jagd beginnen.[0]",


	//
	//	Debriefing messages
	//
	
	//	kDebAstoundingVictory_msg,

	"Meine Glckwnsche zu Ihrem Erfolg auf Organia. Und Glckwnsche, " \
	"dass Sie rechtzeitig aus dem System entkommen konnten. Ein fremdes Volk ist soeben " \
	"in das organianische System eingefallen.\n[0] Sie haben Organia angegriffen, " \
	"und den Organiern das Licht ausgeblasen, die sich nicht der Allianz ergeben hatten.[0]",
	
	//	kDebDevastatingDefeat_msg,
	"Das System wurde doch massiver verteidigt, als irgendjemand von uns gedacht htte. " \
	"Ich nehme an, dass diese Niederlage keine Schande ist, aber dennoch ist sie eine schwere Enttuschung.\n[0]" \
	"Ein unbekanntes Volk ist soeben in das organianische System eingefallen und hat es komplett vernichtet.\n\n",

	// kDebDismissed_msg,
	
	"Wir wissen schon seit einiger Zeit, dass die Organier whrend ihres letzten Verschwindens " \
	"nach Andromeda gegangen sind, und sie haben uns vor einer " \
	"schweren und kurz bevorstehenden Bedrohung gewarnt.\n[0]" \
	"Die Andromedaner sind diese Bedrohung.\n" \
	"Wir glauben jetzt, dass diese gesamte Situation mit dem ISK ein Trick der Organier war, " \
	"um der Galaxis einschlielich des ISKs beizubringen, wie man sich gegen einen gemeinsamen Feind zusammenschliet.\n[0]" \
	"Das war manipulativ, aber angesichts des Preises, den sie soeben " \
	"bezahlen mussten, kann ich nicht umhin, ihnen zu vergeben.\n[0]" \
	"Der Krieg mit dem ISK ist vorber. Ich wei nicht, wann die Andromedaner mit ihren Streitkrften " \
	"anrcken werden, aber wenn sie kommen, beginnt der wirkliche Krieg. Hauen Sie sich eine Runde auf's Ohr.\n\n" \
	"Wegtreten.[0]",


	//
	//	Comm buttons
	//

	// kHail_btn
	"RUFEN",

	// kDemandSurrender_btn
	"KAPITULATION FORDERN",
	
	// /kAcceptTerms_btn
	"BEDINGUNGEN AKZEPTIEREN",

	// kPulse_btn
	"NEUTRINO-IMPULS",

	//
	//	Comm messages
	//
	// kDummy_msg
	"",
	// kNoResponse_msg
	"Kommunikationsoffizier: Keine Reaktion.",

	// kFreighterNotArrived_msg
	"Wissenschaftsoffizier: Der Frachter befindet sich noch nicht in Position, [PLAYER_RANK].",

	// kSendPulse_msg
	"Wissenschaftsoffizier: Neutrino-Impuls wird ausgesendet. Da kommen die Organier...[0]" \
	"Organier: Wir wissen, warum Sie gekommen sind. Jede weitere Gewaltanwendung ist unntig. " \
	"Unsere Anfhrer sind einverstanden, Sie zu begleiten und sich vor Gericht zu verantworten.[0]" \
	"Organier: Smtliche Waffen sind auer Funktion gesetzt. Auch die des ISKs - und Ihres Frachter.[1]" \
	"Erster Offizier: Gut... wir haben die Organier, und das ISK kann nicht verhindern, dass wir uns davonmachen. Ich nehme also an, dass die Mission abgeschlossen ist.[1]" \
	"Organier: Ja, es ist vorbei.[0]",

	// kISCTalk_msg
	"Captain des ISKs: Die Organier haben Ihnen kein Leid zugefgt. Warum tun Sie das?[1]" \
	"[PLAYER_NAME]: Sie werden der Kriegsverbrechen gegen die galaktische Allianz angeklagt, der unerwnschten Einmischung in galaktische Angelegenheiten sowie der Tatsache, dass sie Krieg und Verwstung ber unzhlige Vlker gebracht haben, indem sie dem ISK Beistand geleistet haben.[1]" \
	"Captain des ISKs: Wie knnen Sie es wagen, die Stimme gegen ein Volk zu erheben, das so alt und so edel wie das der Organier ist?!?[1]" \
	"[PLAYER_NAME]: Wenn es um Gerechtigkeit geht, sind Adel und Alter keine Entschuldigung.[0]",

	// kISCRandom1_msg
	"Commander des ISK: Das ist Wahnsinn! Gehen Sie, und lassen Sie diese freundlichen Wesen in Frieden!",

	// kISCRandom2_msg
	"Commander des ISK: Gehen Sie, solange Sie noch die Mglichkeit dazu haben!",

	// kISCRandom3_msg
	"Commander des ISK: Ihr wollt Zerstrung? Ihr Bastarde, dann sollt ihr sie haben!",

	// kISCRandom4_msg
	"Commander des ISK: Wir werden uns ergeben, vorausgesetzt, Sie lassen die Organier in Frieden.",

	// kISCRandom5_msg
	"Commander des ISK: Ich wiederhole unser Angebot.",

	// kISCRandom6_msg
	"Commander des ISK: Haben Sie keine Ehre im Leib!?! Diese Wesen sterben ohne Grund!",


	// kOfferSurrender_msg
	"Commander des ISK: Wenn Sie sich einverstanden erklren, die Organier in Frieden zu lassen, werden wir uns ergeben.",
	
	// kRefuseTerms_msg
	"Commander des ISK: Dieser Wahnsinn muss ein Ende finden, aber nicht zu Ihren Bedingungen! Wir sagen Nein!",

	// kHaveNotOffered_msg
	"Commander des ISK: Wir haben nicht angeboten, uns zu ergeben.",

	// kAcceptTerms_msg
	"Commander des ISK: Sehr gut, wir ergeben uns.[1]"
	"Organier: Eine sehr weise Entscheidung. Vielleicht hat das ISK ja etwas aus diesem Krieg gelernt. " \
	"Es ist allerdings nicht notwendig. Wir stimmen den Bedingungen der Allianz zu. " \
	"Unsere Anfhrer werden sich vor Ihrer Gerichtsbarkeit verantworten.[1]" \
	"Organier: Auf jeden Fall ist die Schlacht beendet. Keine Ihrer Waffen wird mehr funktionieren.[1]" \
	"Erster Offizier: Obwohl das nicht so ganz meinen Erwartungen entspricht, sind " \
	"dennoch unsere Missionsziele damit erfllt.",



	//	kRandChat1_msg,
	"Steuermann: Das ist eine gewaltige Flotte da drauen. Aber wir mssen sie ja nicht schlagen, " \
	"wir mssen lediglich nach Organia gelangen.",
	
	//	kRandChat2_msg,
	"Ingenieur: Je schneller wir nach Organia kommen, desto besser.",

	//	kRandChat3_msg,
	"Sicherheitsoffizier: Wir sind entbehrlich. Der Frachter nicht. Denken Sie daran, [PLAYER_RANK]." \
	" Aber es ist natrlich nicht so, dass ich 'entbehrt' werden mchte.",
	
	//	kRandChat4_msg,
	"Kommunikationsoffizier: Der Neutrino-Impuls ist bereit. " \
	"Starfleet empfiehlt zu warten, bis wir uns innerhalb einer Reichweite von 15.000 Kilometern zum " \
	"Planeten befinden, bevor wir sie rufen.",
		
	//	kRandChat5_msg,
	"Waffenoffizier: Pltzlich wnsche ich mir, wir htten Untersttzung bei dieser Mission.",

	//	kRandChat6_msg,
	"Wissenschaftsoffizier: Ich bezweifle , dass die Organier fgsam sein werden, whrend das ISK hier unter Waffen steht. Das ist nicht gut.[0]",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	// kFreighterDestroyed_msg
	"Waffenoffizier: Der Frachter wurde zerstrt. Wir knnen die Mission nicht mehr zum Abschluss bringen.",

	// kFreighterArrived_msg
	"Wissenschaftsoffizier: Der Frachter befindet sich jetzt in Position. Wir knnen jederzeit den Planeten rufen und den Neutrino-Impuls absetzen.",

	// kAtEdgeOfMap_msg
	"Wissenschaftsoffizier: Wir verlassen das System, Captain.",
	
	// kLeavingSystem_msg
	"Wissenschaftsoffizier: Wir haben das System verlassen.",


	//
	//	Custom messages
	//


//
	//	Not localized as of 10/8/00
	//
	
	//	kPlayerTeamTitle_msg,
	"Die Kriegsverbrecher",

	//	kPlayerTeamBriefing_msg,
	"",

	//
	//	Not localized as of 10/17/00
	//

	//	kScanning_msg,
	"Wissenschaftsoffizier: Wir scannen...\n\n",

	//kDisconnect_msg,	Forfeit
	"Mission eingebt",

#else		/////////////////////////////////////////////////////////////////////////////////////////

	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_10Criminals",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"Briefing: The Alliance wishes to try the Organians as war criminals\n\n" \
	"Escort a freighter with special anti-Organian equipment to Organia, and trap them.\n\n",

	// kFedBriefing_msg
	">The Alliance wishes to try the Organians as war criminals\n\n" \
	"Escort a freighter with special anti-Organian equipment to Organia, and trap them.\n\n<" \
	"Despite their recent desperation attacks, intelligence indicates that " \
	"the ISC is in complete disarray. Now we come to a harder matter.\n\n" \
	"Against the advice of the Federation, the Alliance has decided to " \
	"prosecute the Organians for their involvement in bringing the ISC " \
	"into the quadrant on their ill-advised pacification program.\n\n" \
	"You will head to Organia with a freighter armed with technology " \
	"especially designed to deal with them, which we field-tested during "
	"that recent incident involving the Skorr. You will get the freighter " \
	"safely to Organia.\n\nOnce it has arrived, hail the planet with a " \
	"neutrino pulse. This will summon the Organians. You will have only " \
	"a few seconds to capture the Organians before they can resist.\n\n" \
	"Some ships from the ISC fleet have been moving toward Organia, and " \
	"they may be planning to use it as a rallying point for a last stand. "
	"We don't anticipate major opposition, but be cautious.\n\n" \
	"This will probably be the last major mission of the war. Just do it. " \
	"Dismissed.\n\n",

	// kKlingonBriefing_msg
	">The Alliance wishes to try the Organians as war criminals\n\n" \
	"Escort a freighter with special anti-Organian equipment to Organia, and trap them.\n\n<" \
	"Despite their recent desperation attacks, intelligence indicates " \
	"that the ISC is in complete disarray. But this time, they are not " \
	"your target.\n\nAt the urging of the Klingon High Council, the Alliance " \
	"has decided to prosecute the Organians for their involvement in " \
	"bringing the ISC into the quadrant. It is time to bring the meddlers " \
	"to account. I am told the Federation is not happy with the decision. " \
	"This makes it doubly sweet.\n\nYou will head to Organia with a freighter " \
	"armed with technology especially designed to deal with the Organians. " \
	"You will make certain the freighter gets safely to Organia.\n\nOnce it " \
	"has arrived, hail the planet with a neutrino pulse. This will summon " \
	"the Organians. You will have only a few seconds to capture the " \
	"Organians before they can resist. Once they are captured, return here. " \
	"I wish we could destroy the planet, but we had to make some compromises " \
	"with the Federation. Diplomacy! (spits).\n\n" \
	"Some ships from the ISC fleet have been moving toward Organia, and " \
	"they may be planning to use it as a rallying point for a last stand. " \
	"We don't anticipate major opposition, but perhaps you will be facing " \
	"a decent challenge.\n\n" \
	"This will probably be the last major mission of the war - and surely " \
	"the most satifying. Go and honor us.\n\n",

	// kRomulanBriefing_msg
	">The Alliance wishes to try the Organians as war criminals\n\n" \
	"Escort a freighter with special anti-Organian equipment to Organia, and trap them.\n\n<" \
	"Despite their recent desperation attacks, intelligence indicates " \
	"that the ISC is in complete disarray. But this time, they are not " \
	"your target.\n\nThe Alliance has decided to prosecute the Organians " \
	"for their involvement in bringing the ISC into the quadrant. The " \
	"Klingons managed to persuade the other allies it was necessary. " \
	"The Romulan Empire has no opinion on the matter, beyond the safety " \
	"of our soldiers in this operation. But the mission was given to us.\n\n" \
	"You will head to Organia with a freighter armed with technology " \
	"especially designed to deal with the Organians. You will make certain " \
	"the freighter gets safely to Organia. Once it has arrived, hail the " \
	"planet with a neutrino pulse. This will summon the Organians. You " \
	"will have only a few seconds to capture the Organians before they " \
	"can resist. Once they are captured, destroy the planet.\n\n" \
	"Some ships from the ISC fleet have been moving toward Organia," \
	"and they may be planning to use it as a rallying point for a last " \
	"stand. We don't anticipate major opposition, but perhaps you will " \
	"be facing a decent challenge.\n\nThis will probably be the last major " \
	"mission of the war - and surely the most satifying. Go and honor us.\n\n",

	// kLyranBriefing_msg
	">The Alliance wishes to try the Organians as war criminals\n\n" \
	"Escort a freighter with special anti-Organian equipment to Organia, and trap them.\n\n<" \
	"Despite their recent desperation attacks, intelligence indicates " \
	"that the ISC is in complete disarray. But this time, they are not " \
	"your target.\n\nThe Alliance has decided to prosecute the Organians " \
	"for their involvement in bringing the ISC into the quadrant. Despite " \
	"mealy-mouthed Hydran and Federation opposition, we persuaded the " \
	"other allies it was necessary.\n\nYou will head to Organia with a " \
	"freighter armed with technology especially designed to deal with the " \
	"Organians. You will make certain the freighter gets safely to Organia.\n\n" \
	"Once it has arrived, hail the planet with a neutrino pulse. This will " \
	"summon the Organians. You will have only a few seconds to capture the " \
	"Organians before they can resist. Once they are captured, destroy the " \
	"planet.\n\nSome ships from the ISC fleet have been moving toward Organia, " \
	"and they may be planning to use it as a rallying point for a last stand. " \
	"We don't anticipate major opposition, but perhaps you will be facing a " \
	"decent challenge.\n\nThis will probably be the last major mission of the " \
	"war - and surely the most satifying. Go and honor us.\n\n",

	// kHydranBriefing_msg
	">The Alliance wishes to try the Organians as war criminals\n\n" \
	"Escort a freighter with special anti-Organian equipment to Organia, and trap them.\n\n<" \
	"Despite their recent desperation attacks, intelligence indicates " \
	"that the ISC is in complete disarray. But this time, they are not " \
	"your target.\n\nThe Alliance has decided to prosecute the Organians " \
	"for their involvement in bringing the ISC into the quadrant. The " \
	"Klingons managed to persuade the other allies it was necessary. We " \
	"strenuously objected, but were overruled. In the interests of " \
	"fairness, we took the mission.\n\nYou will head to Organia with " \
	"a freighter armed with technology especially designed to deal " \
	"with 'higher beings'. Make certain the freighter safely reaches " \
	"the planet. Once it has arrived, hail the planet with a neutrino " \
	"pulse. This will summon the Organians. You will have only a " \
	"few seconds to capture the Organians before they can resist.\n\n" \
	"Some ships from the ISC fleet have been moving toward Organia, " \
	"and they may be planning to use it as a rallying point for a " \
	"last stand. We don't anticipate major opposition, but be careful. " \
	"Intelligence is never as good as we'd like it to be.\n\n" \
	"I look forward to your return.\n\nDismissed.\n\n",

	// kGornBriefing_msg
	">The Alliance wishes to try the Organians as war criminals\n\n" \
	"Escort a freighter with special anti-Organian equipment to Organia, and trap them.\n\n<" \
	"Despite their recent desperation attacks, intelligence " \
	"indicates that the ISC is in complete disarray. But this " \
	"time, they are not your target.\n\nThe Alliance has decided " \
	"to prosecute the Organians for their involvement in bringing " \
	"the ISC into the quadrant. The Klingons managed to persuade " \
	"the other allies it was necessary. We agreed, and were given " \
	"the honor of capturing them, based on our success years ago " \
	"dealing with the Gorn Great Father.\n\n" \
	"You will head to Organia with a freighter armed with " \
	"technology especially designed to deal with the Organians. " \
	"You will make certain the freighter gets safely to Organia. " \
	"Once it has arrived, hail the planet with a neutrino pulse. " \
	"This will summon the Organians. You will have only a few " \
	"seconds to capture the Organians before they can resist.\n\n" \
	"Some ships from the ISC fleet have been moving toward Organia, "
	"and they may be planning to use it as a rallying point " \
	"for a last stand. We don't anticipate major opposition, " \
	"but perhaps you will be facing a decent challenge.\n\n" \
	"This will probably be the last major mission of the war " \
	"- and thus its success is more vital than ever. Go and honor us.\n\n",

	// kISCBriefing_msg
	"",					//placeholder
	// kMirakBriefing_msg
	">The Alliance wishes to try the Organians as war criminals\n\n" \
	"Escort a freighter with special anti-Organian equipment to Organia, and trap them.\n\n<" \
	"Despite their recent desperation attacks, intelligence indicates " \
	"that the ISC is in complete disarray. But this time, they are " \
	"not your target.\n\nThe Alliance has decided to prosecute the " \
	"Organians for their involvement in bringing the ISC into the " \
	"quadrant. The Klingons managed to persuade the other allies it " \
	"was necessary. We requested the mission, rather than see it " \
	"give it to the... matriarchs.\n\nYou will head to Organia " \
	"with a freighter armed with technology especially designed " \
	"to deal with these 'higher beings'. Make certain the freighter " \
	"safely reaches the planet. Once it has arrived, hail the planet " \
	"with a neutrino pulse. This will summon the Organians. You " \
	"will have only a few seconds to capture the Organians before " \
	"they can resist.\n\nSome ships from the ISC fleet have been " \
	"moving toward Organia, and they may be planning to use it " \
	"as a rallying point for a last stand. We don't anticipate " \
	"major opposition, but perhaps you will be facing a decent " \
	"challenge.\n\nThis will probably be the last hunt of the " \
	"war - but that will make it all the more interesting. I " \
	"look forward to your return.\n\nDismissed.\n\n",


	//
	//	Starting message
	//
	
	// kFedStart_msg
	"[PLAYER_NAME]: Captain's log, Stardate [STARDATE].[0]" \
	"We are enroute to Organia to arrest the Organians for war crimes. " \
	"We are escorting a specially armed freighter, carrying special equipment" \
	"for capturing the Organians.[1]" \
	"Science Officer: [PLAYER_RANK], remember that intelligence briefing where " \
	"we were wondering where the main task ISC force was hiding?  We can stop wondering.[1]" \
	"Weapons Officer: One dreadnoughts and escorts. Oh boy.[0]",

	// kKlingonStart_msg
	"[PLAYER_NAME]: War Record, [STARDATE].[0]" \
	"We are enroute to Organia to arrest the Organians for war crimes. " \
	"We are escorting a specially armed freighter, carrying special equipment" \
	"for capturing the Organians.[1]" \
	"Science Officer: [PLAYER_RANK], we've found the main task ISC force. " \
	"We should have known they'd come crawling back to Organia.[1] " \
	"Weapons Officer: One dreadnoughts and escorts. " \
	"It may not be a good day to die... but it's looking more and more likely.[0]",

	// kRomulanStart_msg
	"[PLAYER_NAME]: Record of the [PLAYER_RACE_EMPIRE], [STARDATE].[0]" \
	"We are enroute to Organia to arrest the Organians for war crimes. " \
	"We are escorting a specially armed freighter, carrying special equipment" \
	"for capturing the Organians.[1]" \
	"Science Officer: [PLAYER_RANK], detecting one ISC dreadnought " \
	"and escorts. The main ISC task force is here.[0]",

	// kLyranStart_msg
	"[PLAYER_NAME]: Commander's journal  House [PLAYER_EMPIRE], [STARDATE].[0]" \
	"We are on route to Organia to arrest the Organians for war crimes. " \
	"We are escorting a specially armed freighter, carrying special equipment" \
	"for capturing the Organians.[1]" \
	"Science Officer: [PLAYER_RANK], I am detecting a dreadnought " \
	"and escorts. It's the main task ISC force. We should have " \
	"known they'd come crawling back to Organia.[1]" \
	"Weapons Officer: One can question their courage, but certainly not " \
	"their firepower. We're seriously outgunned.[0]",

	// kHydranStart_msg
	"[PLAYER_NAME]: Commander's journal, [STARDATE].[0]" \
	"We are on route to Organia to arrest the Organians for war crimes. " \
	"We are escorting a specially armed freighter, carrying special equipment" \
	"for capturing the Organians.[1]" \
	"Science Officer: [PLAYER_RANK], I am detecting a dreadnought " \
	"and escorts. It's the main task ISC force.[1]" \
	"[PLAYER_NAME]: We're going to have to have a little chat with the fine folks " \
	"in Hydran intelligence when this mission is over.[0]",

	// kGornStart_msg
	"[PLAYER_NAME]: Commander's log, [STARDATE].[0]" \
	"We are on route to Organia to arrest the Organians for war crimes. " \
	"We are escorting a specially armed freighter, carrying special equipment" \
	"for capturing the Organians.[1]" \
	"Science Officer: [PLAYER_RANK], I am detecting a dreadnought " \
	"and escorts. It's the main task ISC force. " \
	"The Organians must be sheltering them![1]" \
	"[PLAYER_NAME]: Perhaps. But even without the Organians, we're seriously outgunned.[0]",

	// kISCStart_msg
	"",		// placeholder
	
	// kMirakStart_msg
	"[PLAYER_NAME]: Hunt record, [STARDATE]. [0]" \
	"We are on route to Organia to arrest the Organians for war crimes. " \
	"We are escorting a specially armed freighter, carrying special equipment" \
	"for capturing the Organians.[1]" \
	"Science Officer: [PLAYER_RANK], I am detecting a dreadnought " \
	"and escorts. It's the main task ISC force.[1]" \
	"[PLAYER_NAME]: It appears we'll really be bloodying our claws. Let's gut them.[0]",


	//
	//	Debriefing messages
	//
	
	//	kDebAstoundingVictory_msg,

	"Congratulations on your success in Organia. And congratulations " \
	"on getting out of the system in time. An alien race has just " \
	"invaded the Organian system.\n[0] They attacked Organia, " \
	"and wiped out those Organians who had not surrendered themselves to the Alliance.\n[0]",
	
	//	kDebDevastatingDefeat_msg,
	"The system was more heavily defended than any of us thought. " \
	"I suppose there's no shame in this defeat, but it is still a grave disappointment.\n[0]" \
	"An alien race has just invaded the Organian system, and wiped it out.\n\n",

	// kDebDismissed_msg,
	
	"We have known for some time that the Organians went to Andromeda " \
	"during their recent disappearance, and they have warned us about a " \
	"grave and imminent threat.\n[0]" \
	"The Andromedans are that threat.\n" \
	"We now believe the whole ISC situation was an Organian ploy to " \
	"teach the galaxy, including the ISC, how to unite against a common foe.\n[0]" \
	"It was manipulative, but given the price they just " \
	"paid, I can find it in my heart to forgive them.\n[0]" \
	"The ISC war is over. I don't know when the Andromedans will arrive " \
	"in force, but when they do, the real war will begin. Get some rest.\n\n" \
	"Dismissed.[0]",


	//
	//	Comm buttons
	//

	// kHail_btn
	"HAIL",

	// kDemandSurrender_btn
	"DEMAND SURRENDER",
	
	// /kAcceptTerms_btn
	"ACCEPT TERMS",

	// kPulse_btn
	"NEUTRINO PULSE",

	//
	//	Comm messages
	//
	// kDummy_msg
	"",
	// kNoResponse_msg
	"Communications Officer: No response.",

	// kFreighterNotArrived_msg
	"Science Officer: The freighter is not yet in position, [PLAYER_RANK].",

	// kSendPulse_msg
	"Science Officer: Sending neutrino pulse. Here come the Organians...[0]" \
	"Organian: We know why you have come. Further violence is unnecessary. " \
	"Our leadership agrees to come with you and stand trial.[1]" \
	"Organian: All weapons will no longer function. Including the ISC's - and your freighter.[1]" \
	"First Officer: Well... we've got the Organians, and the ISC can't keep us from leaving. So I guess this is mission accomplished.[1]" \
	"Organian: Yes, it's over.[0]",

	// kISCTalk_msg
	"ISC Captain: The Organians have done nothing to you. Why are you doing this?[1]" \
	"[PLAYER_NAME]: They are charged with war crimes against the galactic alliance, unwarranted interference in galactic affairs, bringing war and devastation to untold numbers of people by succoring the aid of the ISC.[1]" \
	"ISC Captain: How dare you impugn a race as ancient and noble as the Organians?!?[1]" \
	"[PLAYER_NAME]: In matters of justice, nobility and antiquity are not defenses.[0]",

	// kISCRandom1_msg
	"ISC Commander: This is madness! Go, and leave these gentle beings in peace!",

	// kISCRandom2_msg
	"ISC Commander: Leave, while you still have the means!",

	// kISCRandom3_msg
	"ISC Commander: You want destruction? Damn you, we'll give it to you!",

	// kISCRandom4_msg
	"ISC Commander: We will surrender, provided you leave the Organians in peace.",

	// kISCRandom5_msg
	"ISC Commander: I repeat our offer.",

	// kISCRandom6_msg
	"ISC Commander: Have you no honor!?! Beings are dying needlessly!",


	// kOfferSurrender_msg
	"ISC Commander: If you will agree to leave the Organians in peace, we will surrender.",
	
	// kRefuseTerms_msg
	"ISC Commander: This madness must end, but not on your terms! We say no!",

	// kHaveNotOffered_msg
	"ISC Commander: We have not offered to surrender.",

	// kAcceptTerms_msg
	"ISC Commander: Very well, we surrender.[1]" \
	"Organian: Very wise. Perhaps the ISC has learned something from this war. " \
	"However, it is unnecessary. We will abide by the terms of the alliance. " \
	"Our leadership will surrender to your justice.[1]" \
	"Organian: In any event, the battle is ended. None of your weapons shall function.[1]" \
	"First Officer: Although this isn't quite what I was expecting, that does " \
	"fulfill our mission objective.",



	//	kRandChat1_msg,
	"Helm: That's a formidable fleet out there. But we don't need to beat it, " \
	"we just need to get to Organia.",
	
	//	kRandChat2_msg,
	"Engineer: The sooner we get to Organia, the better.",

	//	kRandChat3_msg,
	"Security Officer: We're expendable. The freighter isn't. Remember that, [PLAYER_RANK]." \
	" Not that I want to 'expend', of course.",
	
	//	kRandChat4_msg,
	"Communications Officer: I am ready with the Neutrino Pulse. " \
	"Starfleet recommends waiting until we're within 15000 kilometers of " \
	"the planet before hailing them.",
		
	//	kRandChat5_msg,
	"Weapons Officer: I suddenly find myself wishing we had allies on this mission.",

	//	kRandChat6_msg,
	"Science Officer: With the ISC here in force, I doubt the Organians will be docile. This is not good.[0]",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	// kFreighterDestroyed_msg
	"Weapons Officer: The freighter has been destroyed. We can no longer accomplish the mission.",

	// kFreighterArrived_msg
	"Science Officer: The freighter is now in position. We can hail the planet and send the Neutrino Pulse at any time.",

	// kAtEdgeOfMap_msg
	"Science Officer: Leaving the system, Captain.",
	
	// kLeavingSystem_msg
	"Science Officer: We have left the system.",


	//
	//	Custom messages
	//

	//
	//	Not localized as of 10/8/00
	//
	
	//	kPlayerTeamTitle_msg,
	"The War Criminals",

	//	kPlayerTeamBriefing_msg,
	"Test",

	//
	//	Not localized as of 10/17/00
	//

	//	kScanning_msg,
	"Science Officer: Scanning...\n\n",

	//
	//	Not localized as of 11/5/00
	//

	//	kDisconnect_msg,
	"Forfeit",

#endif
};


