/********************************************************************************************************\

	File Name:	OrganianTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( OrganianTeam_h )
#define OrganianTeam_h

#include "TeamInfo.h"


class tOrganianTeam : public tTeamInfo
{
public:

	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mOldCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );

/*

	HELPER NOTE:	Below is where the list of the ship custom IDs go.  An example follows.

	enum eCustomIDs
	{
		kPlayerNPCBS1,
		kPlayerNPCBS2,
	};

*/
	enum eCustomIDs
	{
		kOrgania = 4000,
	};
};

#endif
