/********************************************************************************************************\

	File Name:	PlayerNPCTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( PlayerNPCTeam_h )
#define PlayerNPCTeam_h

#include "TeamInfo.h"


class tPlayerNPCTeam : public tTeamInfo
{
public:

	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mOldCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );

/*

	HELPER NOTE:	Below is where the list of the ship custom IDs go.  An example follows.

	enum eCustomIDs
	{
		kPlayerNPCBS1,
		kPlayerNPCBS2,
	};

*/
	enum eCustomIDs
	{
		kFreighter = 2000,
		kPlayerNPCShip1,
		kNewBCHShip,
		kNewCarrier,
		kNewDNShip,
		kNewBCH2Ship,
	};
};

#endif
