/********************************************************************************************************\

	File Name:	MissionText.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( MissionText_h )
#define MissionText_h

#include "tstring.h"


enum TextMessages
{
	//
	//	Mission Title
	//
	kMissionTitle_msg,
	kTitle2,

	//
	//	Briefing message
	//
	kBriefing_msg,

	//
	//	Starting message
	//
	kCaptainsLog_msg,
	kInitialSitrep_msg,

	//
	//	Debriefing messages
	//
	kDeb_HomeworldFound_msg,
	kDeb_HomeworldNotFound_msg,
	kDeb_BeamedSilly_msg,
	kDeb_PlayerDied_msg,

	//
	//	Comm buttons
	//
	kButton_Hail,
	kButton_Mock,
	kButton_Praise,
	kButton_Peace,
	kButton_Threaten,
	kButton_ClaimSystem,
	kButton_Organian,
	kButton_Metron,

	//
	//	Comm messages
	//
	kHail_msg,
	kMock_msg,
	kPraise_msg,
	kOrganian_msg,
	kMetron_msg,
	kThreaten_msg,
	kClaimSystem_msg,
	kClaimSystem_2_msg,
	//
	//	Victory rating
	//
	kAstoundingVictory_msg,
	kVictory_msg,
	kDraw_msg,
	kDefeat_msg,
	kDevastatingDefeat_msg,
	kLeftEarly_msg,

	//
	//	Titles (or names) of ships and objects
	//
	kPlanet1Name,
	kPlanet2Name,
	kHomeworldName,

	//
	//	Event dialog
	//
	kDiscoverFeedback_msg,
	kScanRangeNotice_msg,
	kPlanet1Scanned_msg,
	kPlanet2Scanned_msg,
	kScannedPaladin_msg,
	BeamingTeam_msg,
	kBeamedBackUp_msg,
	kNothingHere_msg,
	kFoundHomeworld_msg,
	kBeamedSomewhereSilly_msg,

	//
	//	Custom messages
	//
	kScanning_msg,
	
	//
	//	Number of messages
	//
	kMsg_num,
};

extern std::string Messages[];


#endif

