/********************************************************************************************************\

	File Name:	Planet.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "Planet.h"
#include "PlanetBaseState.h"
#include "MissionText.h"
#include "PlanetTeam.h"

tClassAllocator<tPlanet> gPlanetAllocator;

void tPlanet::mSetupState()
{
	mRegisterState( new tPlanetBaseState() );
	mGotoState( typeid( tPlanetBaseState ) );
}

void tPlanet::mSetupCommState()
{}

void tPlanet::mSetupShip()
{
	if( mGetCustomID() == tPlanetTeam::kPlanet1 )
		mChangeName( kPlanet1Name );

	else
		mChangeName( kPlanet2Name );

	mAddItemToStores( kMarines, kStandard, 250 );
}
