
/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_11Wedding",

	//kTitle2
	"Weie Hochzeit\n\n",

	//
	//	Description message
	//
	"",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"Wir glauben, dass dies das finale Zusammentreffen zwischen unserem Volk und den Mirakern sein wird.\n" \

	"Unsere Flotte ist dabei, die mirakische Flotte im Sektor [SYSTEM_NAME] anzugreifen. Wir werden die Schlacht " \
	"mit an Sicherheit grenzender Wahrscheinlichkeit gewinnen, aber ein noch viel grerer Sieg steht uns bevor.\n" \

	"Der Planetoid in [SYSTEM_NAME] ist die Heimat eines alten U-Ianna-Artefakts. Mit diesem Artefakt haben " \
	"die U-Ianna die telepathischen Krfte ihres gesamten Volkes vereint... diese Kraft kann zum " \
	"Austausch von Informationen oder auch als Waffe eingesetzt werden.\n" \

	"Und so sieht unser Plan aus. Whrend die Mehrheit unserer Streitkrafte am Angriff auf die gegnerische Flotte teilnimmt, werden Sie " \
	"deren Flaggschiff finden und den mirakischen Admiral entfhren. Wenn sich der Admiral in Ihrem Gewahrsam befindet, transportieren " \
	"Sie ihn zu dem Planeten. Auf der Oberflche des Planeten befindet sich ein Sondereinsatzkommando, das den Admiral " \
	"in die Psionik-Maschine setzt. Sobald das geschehen ist - so glauben wir - knnen wir ihn benutzen, um der mirakische Flotte " \
	"Befehle zu erteilen, Befehle, die fr uns von Vorteil sind.\n" \

	"Diese Mission ist von uerster Wichtigkeit. Viel Glck.\n\n",

	//
	//	Starting message
	//
	
	//kCaptainsLog_msg,
	"Logbuch des [PLAYER_RANK], Sternendatum [STARDATE]. Wir bereiten uns darauf vor, unseren Erzfeind in einen letzten Konflikt zu verwickeln. " \
	"Dieser Tag mag sehr wohl das Ende des mirakischen Imperiums bedeuten.\n",
	
	//kInitialSitrep_msg,
	"Erster Offizier: Wir befinden uns jetzt im [SYSTEM_NAME].\n" \

	"Wissenschaftsoffizier: Die mirakische Flotte kommt nher.\n\n",

	//
	//	Debriefing messages
	//
	
	//kDeb_BeamedSilly,
	"Sie haben den mirakischen Admiral WOHIN gebeamt!?\n\n" \

	"Dies war unsere Chance fr einen fantastischen Sieg ber den Gegner, und Sie haben in " \
	"jeder nur denkbaren Weise versagt. Dieser Krieg knnte aufgrund dessen, was heute hier passiert ist, bis in alle Ewigkeit " \
	"whren.\n\n",

	//kDeb_Killed,
	"Tot!? Der Admiral ist tot? Das war NICHT Ihre Aufgabe.\n" \

	"Wie konnten Sie das geschehen lassen? Dies war unsere Chance fr einen fantastischen Sieg ber " \
	"den Gegner, und Sie haben jmmerlich versagt. Dieser Krieg knnte aufgrund dessen, was heute hier passiert ist, " \
	"bis in alle Ewigkeit whren.\n\n",

	//kDebComplete,
	"Die Miraker sind besiegt!\n" \

	"Wir haben gute Arbeit geleistet, [PLAYER_RANK]. Die versprengten berreste der mirakischen Streitkrfte knnen nicht darauf hoffen, " \
	"unserem Angriff gegen ihre Heimatwelt standzuhalten. Bald wird ihr Raum der unsrige sein, so wie es schon seit Ewigkeiten sein soll! " \
	"Nie mehr wird diese Art die Galaxis mit ihrer Existenz plagen!\n" \

	"Und Sie sind der Held dieses Krieges, [PLAYER_RANK] [PLAYER_NAME], und Sie und Ihre Crew werden " \
	"vom heutigen Tag an als Helden in die Geschichte eingehen!\n\n",

	//kDeb_PlayerDied_msg
	"Ihre Einheiten sind vernichtet worden.\n\n",

	//
	//	Comm buttons
	//
	
	//kButton_Hail
	"RUFEN",

	//
	//	Comm messages
	//
	
	//kHail_Flagship_1_msg
	"Kommunikationsoffizier: Keine Reaktion, [PLAYER_RANK].\n\n",

	//kHail_Flagship_2_msg
	"Mirakischer Admiral: So oder so, dies wird der letzte Konflikt in diesem Krieg sein.\n\n",

	//kHail_Flagship_3_msg
	"Mirakischer Admiral: Das Universum hat die Existenz Ihrer Art lange genug ertragen mssen; nun " \
	"werden wir diesen Fehler beheben.\n\n",

	//kHail_Mirak_1_msg,
	"Captain der Miraker: Das werden die letzten Worte sein, die aus Ihrem Schandmaul kommen!\n\n",

	//kHail_Mirak_2_msg,
	"Captain der Miraker: Es gibt nichts mehr zu sagen. Sie werden heute den Tod finden, und zwar in der eisigen Klte des Weltraums.\n\n",

	//kHail_Mirak_3_msg,
	"Captain der Miraker: Heute werden wir Ihre Flotte zerschmettern, morgen Ihre Heimatwelt!\n\n ",

	//
	//	Victory rating
	//

	//	kAstoundingVictory_msg,
	"Groartiger Sieg!\n\n",

	//	kVictory_msg,
	"Sieg!\n\n",

	//	kDraw_msg,
	"Unentschieden\n\n",

	//	kDefeat_msg,
	"Niederlage\n\n",

	//	kDevastatingDefeat_msg,
	"Vernichtende Niederlage\n\n",

	//	kLeftEarly_msg,
	"Mission eingebt\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	
	//kCappedFlagship_msg
	"Erster Offizier: Wir haben das gegnerische Flaggschiff erobert; der mirakische Admiral wurde an Bord gebracht.\n\n",

	//kHaveAdmiral_msg
	"Erster Offizier: Der mirakische Admiral wurde an Bord gebracht.\n\n",

	//kBeamedToPlanet_msg
	"Erster Offizier: Der mirakische Admiral wurde auf den Planeten gebeamt.\n\n",

	//kAdmiralKilled_msg
	"Erster Offizier: Der mirakische Admiral wurde gettet.\n\n Wir knnen unsere Mission nicht erfllen.\n\n",

	//kScannedFlagship_msg,
	"Wissenschaftsoffizier: Die Sensoren besttigen, dass sich der Admiral an Bord des Schiffes befindet.\n\n",

	//kScannedPlanet_msg,
	"Wissenschaftsoffizier: Die Sensoren registrieren massive U-Ianna-Energiesignaturen, die sich auf den " \
	"Standort unseres Bodenteams konzentrieren.\n\n",

	//kDoom_msg,
	"Bodenteam: Sondereinsatzkommando an [PLAYER_SHIP_NAME], dringend!\n" \

	"[PLAYER_NAME]: Hier [PLAYER_SHIP_NAME]. Berichten Sie.\n" \

	"Bodenteam: [PLAYER_RANK], irgendetwas luft hier schief. Wir haben die Maschine aktiviert und " \
	"es sieht so aus, als wrde sie funktionieren, aber der Admiral scheint sich dagegen zu wehren. Anstatt seine Flotte " \
	"friedlich zu stimmen, bringt er die unsrige gegen Sie auf!\n" \

	"Wissenschaftsoffizier: Die Sensoren besttigen, dass unsere Flotte jetzt uns im Visier hat.\n" \

	"[PLAYER_NAME]: Sehen Sie zu, dass das Ding ordentlich funktioniert, oder schalten Sie es aus! Ich werde nicht das Feuer " \
	"auf mein eigenes Volk erffnen!\n\n",

	//kFixDoom_msg,
	"Bodenteam: [PLAYER_SHIP_NAME], ich glaube, wir haben es jetzt. Unsere Flotte sollte jetzt vom Einfluss der " \
	"Gedankensteuerungsmaschine befreit sein, und die mirakische Flotte sollte deren Macht zu spren bekommen. Es dauert vielleicht noch einen Augenblick, " \
	"bis was passiert...\n\n",

	//kVictoryMessage,
	"Kommunikationsoffizier: [PLAYER_RANK], Nachricht von der mirakischen Flotte... sie kapitulieren.\n" \

	"Erster Offizier: Wir haben es geschafft! Sieg!\n\n",

	//
	//	Custom messages
	//
	
	//kScanning_msg
	"Wissenschaftsoffizier: Wir scannen...\n\n",

#else
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_11Wedding",

	//kTitle2
	"White Wedding",

	//
	//	Description message
	//
	"",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"We believe this will be the final showdown between our people and the Mirak.\n" \

	"Our fleet is about to engage the Mirak fleet in [SYSTEM_NAME]. We will almost " \
	"certainly win the battle, but an even greater victory is at hand.\n" \

	"The planetoid in [SYSTEM_NAME] is home to an old U-Ianna artifact. With this artifact, the " \
	"U-Ianna created a telepathic union of their entire race... this power could be used for " \
	"sharing information, or as a weapon.\n" \

	"Here is our plan. While the bulk of our forces are engaged with the enemy fleet, you will " \
	"locate their Flagship and capture the Mirak Admiral. Once the Admiral is in custody, transport " \
	"him to the planet. On the planet's surface is a special detachment which will put the Admiral " \
	"into the psionic device. Once that is done, we think we can use him to issue orders to the Mirak " \
	"fleet; orders which will be to our advantage.\n" \

	"This mission is of the utmost importance. Good luck.\n\n",

	//
	//	Starting message
	//
	
	//kCaptainsLog_msg,
	"[PLAYER_RANK]'s Log, stardate [STARDATE]. We are preparing to engage our archenemies in one, final conflict. " \
	"This day may well see the end of the Mirak Empire.\n",
	
	//kInitialSitrep_msg,
	"First Officer: Now entering [SYSTEM_NAME].\n" \

	"Science Officer: The Mirak fleet is closing.\n\n",

	//
	//	Debriefing messages
	//
	
	//kDeb_BeamedSilly,
	"You beamed the Mirak Admiral WHERE!?\n\n" \

	"This was our chance for a fantastic victory over the enemy, and you failed " \
	"in every way possible. This war could drag on forever because of what happened here " \
	"today.\n\n",

	//kDeb_Killed,
	"Dead!? The Admiral is dead? That was NOT your mission.\n" \

	"How could you let this happen? This was our chance for a fantastic victory over " \
	"the enemy, and you failed miserably. This war could drag on forever because of " \
	"what happened here today.\n\n",

	//kDebComplete,
	"The Mirak are defeated!\n" \

	"You've done well, [PLAYER_RANK]. The scattered remains of the Mirak military cannot hope to stand " \
	"up to our assault on their homeworld. Soon their space will be ours, as it should have been all along! " \
	"No more will their kind plague the galaxy with their existence!\n" \

	"You are a hero of this war, [PLAYER_RANK] [PLAYER_NAME], and you and your crew will be " \
	"remembered as such from this day on!\n\n",

	//kDeb_PlayerDied_msg
	"Your forces were destroyed.\n\n",

	//
	//	Comm buttons
	//
	
	//kButton_Hail
	"HAIL",

	//
	//	Comm messages
	//
	
	//kHail_Flagship_1_msg
	"Communications Officer: No response, [PLAYER_RANK].\n\n",

	//kHail_Flagship_2_msg
	"Mirak Admiral: One way or another, this will be the final conflict of this war.\n\n",

	//kHail_Flagship_3_msg
	"Mirak Admiral: The universe has allowed your kind to exist for far too long; now we " \
	"will correct that mistake.\n\n",

	//kHail_Mirak_1_msg,
	"Mirak Captain: Those will be the last words you speak!\n\n",

	//kHail_Mirak_2_msg,
	"Mirak Captain: There is nothing to be said. You will die today, in the icy cold of space.\n\n",

	//kHail_Mirak_3_msg,
	"Mirak Captain: Today we smash your fleet; tomorrow your homeworld!\n\n",

	//
	//	Victory rating
	//

	//	kAstoundingVictory_msg,
	"Astounding Victory!\n\n",

	//	kVictory_msg,
	"Victory!\n\n",

	//	kDraw_msg,
	"Draw\n\n",

	//	kDefeat_msg,
	"Defeat\n\n",

	//	kDevastatingDefeat_msg,
	"Devastating Defeat\n\n",

	//	kLeftEarly_msg,
	"Forfeit\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	
	//kCappedFlagship_msg
	"First Officer: We have captured the enemy flagship; the Mirak Admiral has been transported aboard.\n\n",

	//kHaveAdmiral_msg
	"First Officer: The Mirak Admiral has been transported aboard.\n\n",

	//kBeamedToPlanet_msg
	"First Officer: The Mirak Admiral has been transported to the planet.\n" \

	"Ground Team: [PLAYER_SHIP_NAME], we have received the Admiral. Stand by while we activate the device.\n",

	//kAdmiralKilled_msg
	"First Officer: The Mirak Admiral has been killed. We cannot complete our mission.\n\n",

	//kScannedFlagship_msg,
	"Science Officer: Sensors confirm the Admiral is aboard this vessel.\n\n",

	//kScannedPlanet_msg,
	"Science Officer: Sensors indicate massive U-Ianna energy signatures centered around the " \
	"location of our ground team.\n\n",

	//kDoom_msg,
	"Ground Team: Special Detachment to [PLAYER_SHIP_NAME]; urgent!\n" \

	"[PLAYER_NAME]: [PLAYER_SHIP_NAME] here. Report.\n" \

	"Ground Team: [PLAYER_RANK], something's gone wrong here. We activated the device and " \
	"it appears to be working, but the Admiral must be fighting it. Instead of pacifying " \
	"his fleet, he's turned ours against you!" \

	"[7]" \

	"Science Officer: Sensors confirm our fleet is now targeting us.\n" \

	"[PLAYER_NAME]: Get that thing working properly or shut it off! I will not fire on " \
	"my own people!\n\n",

	//kFixDoom_msg,
	"Ground Team: [PLAYER_SHIP_NAME], I think we've got it now. Our fleet should be free of the " \
	"mind control device, and the Mirak fleet should be under its power. It may take a minute " \
	"for something to happen...\n\n",

	//kVictoryMessage,
	"Communications Officer: [PLAYER_RANK], signal from the Mirak fleet... they're surrendering.\n" \

	"First Officer: We've done it! Victory!\n\n",

	//
	//	Custom messages
	//
	
	//kScanning_msg
	"Science Officer: Scanning...\n\n",
#endif
};



