/********************************************************************************************************\

	File Name:	AsteroidShip.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "AsteroidShip.h"
#include "AsteroidShipBaseState.h"


tClassAllocator<tAsteroidShip> gAsteroidShipAllocator;

tAsteroidShip::tAsteroidShip()
{
	fGateCreated = false;
}

void tAsteroidShip::mSetupState()
{
	mRegisterState( new tAsteroidShipBaseState() );
	mGotoState( typeid( tAsteroidShipBaseState ) );
}


void tAsteroidShip::mSetupCommState()
{}


void tAsteroidShip::mSetupShip()
{
	mSetShipCallbackEvents( kNotifyDamage );
	mAddItemToStores( kMarines, kStandard, 10000 );
}

void tAsteroidShip::mCreateGate()
{
	mAddItemToStores( kTransporterItem, kTransAlienArtifact, 1 );
}

iTruth tAsteroidShip::mGateCreated()
{
	return fGateCreated;
}

void tAsteroidShip::mSetGateCreated()
{
	fGateCreated = true;
}
