/********************************************************************************************************\

	File Name:	AsteroidTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "AsteroidTeam.h"
#include "AsteroidTeamBaseState.h"
#include "AsteroidShip.h"
#include "Uni_1Desecration.h"
#include "ShipList_API.h"

tClassAllocator<tAsteroidTeam> gAsteroidTeamAllocator;


void tAsteroidTeam::mSetupState()
{
	mRegisterState( new tAsteroidTeamBaseState() );
	mGotoState( typeid( tAsteroidTeamBaseState ) );
}


void tAsteroidTeam::mSetupCommState()
{}


void tAsteroidTeam::mCreateShipsForTeam()
{
	// Leaving this alone -- no ships to upgrade. --FS, 20121014
#ifndef OP
	std::string asteroidShip = "N-AB";
#else
	std::string asteroidShip = "N-ASTS";
#endif

	mCreateShip( typeid( tAsteroidShip ), asteroidShip.c_str(), kStartPosition_K, kNoMetaShipID, kAsteroid1, 0,0,0,0, "Asteroid 1", kNoShipOptions );
	mCreateShip( typeid( tAsteroidShip ), asteroidShip.c_str(), kStartPosition_L, kNoMetaShipID, kAsteroid2, 0,0,0,0, "Asteroid 2", kNoShipOptions );
	mCreateShip( typeid( tAsteroidShip ), asteroidShip.c_str(), kStartPosition_M, kNoMetaShipID, kAsteroid3, 0,0,0,0, "Asteroid 3", kNoShipOptions );
	mCreateShip( typeid( tAsteroidShip ), asteroidShip.c_str(), kStartPosition_N, kNoMetaShipID, kAsteroid4, 0,0,0,0, "Asteroid 4", kNoShipOptions );
}

void tAsteroidTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tAsteroidTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tAsteroidTeam", shipScriptDescription );
}

