/********************************************************************************************************\

	File Name:	CoffinShipBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "CoffinShipBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tCoffinShipBaseState::mBeginState()
{}
void tCoffinShipBaseState::mEndState()
{}

void tCoffinShipBaseState::mOnDeath( tShipInfo* ship )
{}
void tCoffinShipBaseState::mOnCapture( tShipInfo* ship )
{}
void tCoffinShipBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tCoffinShipBaseState::mAtDistance( tShipInfo* ship )
{}
void tCoffinShipBaseState::mAtDestination( tShipInfo* ship )
{}
void tCoffinShipBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tCoffinShipBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tCoffinShipBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tCoffinShipBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tCoffinShipBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tCoffinShipBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tCoffinShipBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tCoffinShipBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tCoffinShipBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tCoffinShipBaseState::mOnFlashingButtonPressed()
{}
void tCoffinShipBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tCoffinShipBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tCoffinShipBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tCoffinShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tCoffinShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tCoffinShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tCoffinShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tCoffinShipBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tCoffinShipBaseState::mOnHostChanged()
{}
void tCoffinShipBaseState::mOnTimedInterval( int32 timerID )
{}
void tCoffinShipBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tCoffinShipBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

