/********************************************************************************************************\

	File Name:	CoffinTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "CoffinTeamBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tCoffinTeamBaseState::mBeginState()
{}
void tCoffinTeamBaseState::mEndState()
{}

void tCoffinTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tCoffinTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tCoffinTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tCoffinTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tCoffinTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tCoffinTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tCoffinTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tCoffinTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tCoffinTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tCoffinTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tCoffinTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tCoffinTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tCoffinTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tCoffinTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tCoffinTeamBaseState::mOnFlashingButtonPressed()
{}
void tCoffinTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tCoffinTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tCoffinTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tCoffinTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tCoffinTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tCoffinTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tCoffinTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tCoffinTeamBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tCoffinTeamBaseState::mOnHostChanged()
{}
void tCoffinTeamBaseState::mOnTimedInterval( int32 timerID )
{}
void tCoffinTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tCoffinTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

