/********************************************************************************************************\

	File Name:	CofinShipBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "CofinShipBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tCofinShipBaseState::mBeginState()
{}
void tCofinShipBaseState::mEndState()
{}

void tCofinShipBaseState::mOnDeath( tShipInfo* ship )
{}
void tCofinShipBaseState::mOnCapture( tShipInfo* ship )
{}
void tCofinShipBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tCofinShipBaseState::mAtDistance( tShipInfo* ship )
{}
void tCofinShipBaseState::mAtDestination( tShipInfo* ship )
{}
void tCofinShipBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tCofinShipBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tCofinShipBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tCofinShipBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tCofinShipBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tCofinShipBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tCofinShipBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tCofinShipBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tCofinShipBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tCofinShipBaseState::mOnFlashingButtonPressed()
{}
void tCofinShipBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tCofinShipBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tCofinShipBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tCofinShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tCofinShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tCofinShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tCofinShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tCofinShipBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tCofinShipBaseState::mOnHostChanged()
{}
void tCofinShipBaseState::mOnTimedInterval( int32 timerID )
{}
void tCofinShipBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tCofinShipBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

