/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_1Desecration",

	//kTitle2
	"Entehrung der Toten\n\n",

	//
	//	Briefing message
	//

	//kBriefing_Lyran_msg,
	"Sektor [SYSTEM_NAME] befindet sich zwar in der Neutralen Zone, aber unsere alten Feinde, die Miraker, benutzen ihn als Bestattungsgelnde. " \
	"Sie bergeben die sterblichen berreste ihrer Kriegsverbrecher, die sie Krieger zu nennen wagen, in die Umlaufbahn der Planeten in " \
	"bereinstimmung mit ihrer lcherlichen Religion, die besagt, dass die Seelen der Krieger befreit werden und ihnen ein Leben nach dem Tode gewhrt wird, wenn " \
	"die Leichname in die Atmosphre eintreten und verglhen.\n\n" \

	"Ihre Mission ist es, in das System einzudringen und smtliche Bestattungscontainer zu zerstren, die Sie dort finden. Wenn alle " \
	"mirakischen Streitkrfte, die sich dort herumtreiben, ebenfalls vernichtet werden, so ist das unverkennbar ein Plus.\n\n" \

	"Ihre zweite Mission besteht darin, das System auf irgendetwas Ungewhnliches hin zu untersuchen. Wir haben merkwrdige Berichte erhalten, die sich " \
	"um die Asteroiden drehen, die sich dort befinden.\n\n"

	"Waidmannsheil.\n",

	//kBriefing_Other_msg
	"[SYSTEM_NAME] befindet sich in der Neutralen Zone, eine Tatsache, die die Miraker vergessen zu haben scheinen, die dort eine starke " \
	"Prsenz zeigen. Ihre Mission besteht darin, herauszufinden, was sie dort vorhaben. Wir haben merkwrdige Berichte erhalten, die sich " \
	"um die Asteroiden drehen, die sich in dem System befinden; damit knnten Sie anfangen.\n\n" \

	"Viel Glck.\n",

	//
	//	Starting message
	//
	
	//kCaptainsLog_Lyran_msg,
	"Tagebuch des [PLAYER_RANK], Sternendatum [STARDATE]. Die Miraker verwenden dieses Sternsystem als ein " \
	"Bestattungsgelnde fr ihre unwrdigen Kriegsverbrecher. Unsere Aufgabe ist es, die Bestattungscontainer zu zerstren und " \
	"dann herauszufinden, was unsere Gegner sonst noch in diesem System treiben.",
	
	//kCaptainsLog_Klink_msg,
	"Kriegsbericht des [PLAYER_RANK], Sternendatum [STARDATE]. Die Miraker verwenden [SYSTEM_NAME] " \
	"fr unbekannte Zwecke. Unsere Aufgabe besteht darin, herauszufinden, was sie dort treiben und " \
	"die Gegend auf alles Ungewhnliche hin zu untersuchen.",
	
	//kCaptainsLog_Hydran_msg,
	"Logbuch des [PLAYER_RANK], Sternendatum [STARDATE]. Die Miraker verwenden [SYSTEM_NAME] " \
	"fr unbekannte Zwecke. Unsere Aufgabe besteht darin, herauszufinden, was sie dort treiben und " \
	"die Gegend auf alles Ungewhnliche hin zu untersuchen.",
	
	//kInitialReport_Lyran_msg,
	"Wissenschaftsoffizier: Ich registriere mehrere mirakische Bestattungscontainer in der Umlaufbahn um den Planeten. " \
	"Es sieht auch so aus, als trieben sich mirakische Kriegsschiffe in der Gegend herum.\n" \

	"[PLAYER_NAME]: Ah, ein Bonus. Die Toten und die Lebenden werden zusammen verglhen.\n\n",
	
	//kInitialReport_msg,
	"Wissenschaftsoffizier: [PLAYER_RANK], ich registriere mirakische Schiffe in der Gegend. " \
	"Es befinden sich auch mehrere Objekte in der Umlaufbahn des Planeten... es scheint, als befnden sich mirakische Leichname darin.\n" \
	
	"Erster Offizier: Hmm. Ich habe gehrt, dass dies ein Teil der religisen Zeremonie der Miraker ist. Die Leichname " \
	"ihrer Toten verglhen beim Eintritt in die Atmosphre des Planeten, wodurch es den gefallenen Kriegern ermglicht wird, " \
	"in das Leben nach dem Tode einzutreten.\n",


	//
	//	Debriefing messages
	//
	
	//	kDebAstoundingVictory_msg,
	"Groartiger Sieg!\n\n",
	
	//	kDebVictory_msg,
	"Sieg\n\n",
	
	//	kDebDraw_msg,
	"Unentschieden\n\n",
	
	//	kDebDefeat_msg,
	"Niederlage\n\n",
	
	//	kDebDevastatingDefeat_msg,
	"Vernichtende Niederlage\n\n",

	//kDeb_LeftEarly_msg
	"Mission eingebt\n\n",

	//kDeb_GateFound,
	"Das Objekt, das Sie zurckgebracht haben, ist beraus interessant. Unsere Forscher glauben, dass es ein Artefakt der " \
	"U-Ianna ist, eines alten Volkes, das ber unglaubliche telepathische Krfte verfgte. Gute Arbeit.\n\n",
	
	//kDeb_GateNotFound,
	"Es wurde von Ihnen erwartet, die Gegend zu untersuchen und nach etwas Ungewhnlichem Ausschau zu halten. Brauchen Sie " \
	"einen Auffrischungskurs in den Grundlagen der Raumschifffhrung? Oder haben Sie vielleicht einfach nur vergessen, dass " \
	"Ihr Schiff mit Sensoren ausgestattet ist? Verschwinden Sie blo aus meinem Bro.\n\n",

	//kDeb_Lyran_AllEnemiesKilled,
	"Als Bonus haben Sie die mirakischen Streitkrfte in der Gegend vernichtet.\n\n",

	
	//kDeb_PlayerDied_msg
	"Ihre Einheiten sind vernichtet worden.\n\n",
	
	//
	//	Comm buttons
	//
	
	//kButton_Hail_msg,
	"RUFEN",
	
	//kButton_Surrender_msg,
	"KAPITULATION",

	//
	//	Comm messages
	//
	
	//kHail_Lyran_msg,
	"[PLAYER_NAME]: Hier spricht [PLAYER_RANK] [PLAYER_NAME] vom lyranischen Imperium. Wir sind gekommen, " \
	"um Sie und die Leichname Ihrer Kriegsverbrecher zu vernichten.\n" \

	"Captain der Miraker: Die Toten entweihen? Soviel Feigheit htte ich noch nicht einmal einem Lyraner zugetraut. " \
	"Aber da habe ich mich anscheinend geirrt.\n\n",

	//kSurrender_Lyran_1_msg,
	"Captain der Miraker: Wir sollen uns ergeben? Solchen wie euch? Sie mssen ja verrckt sein.\n\n",

	//kSurrender_Lyran_2_msg,
	"Captain der Miraker: Eher wrde ich sterben.\n" \
	
	"[PLAYER_NAME]: Gut. Dann werden ich Ihren Wunsch erfllen.\n\n",

	//kHail_Initial_msg,
	"[PLAYER_NAME]: Hier spricht [PLAYER_RANK] [PLAYER_NAME] von der [PLAYER_SHIP_NAME].\n" \
	
	"Captain der Miraker: Es interessiert uns nicht, was Sie in diesem Sternsystem wollen, solange " \
	"Sie diesem Planeten nicht zu nahe kommen, oder Sie werden es teuer bezahlen. Wenn Sie " \
	"innerhalb von Reichweite 50 kommen, werden wir das Feuer erffnen.\n" \

	"Erster Offizier: [PLAYER_RANK], unsere Befehle lauten, das System zu untersuchen, aber " \
	"wir mssen uns mglicherweise nicht um diesen Planeten schlagen. Die Sensoren haben ein paar Asteroiden " \
	"in der Gegend registriert, lasst uns damit anfangen.\n\n",

	//kHail_Second_msg,
	"Captain der Miraker: Halten Sie sich von diesem Planeten fern. Mehr gibt es dazu nicht zu sagen.\n\n",

	//kHail_War_msg,
	"Ich haben Sie gewarnt, [PLAYER_RANK]. Jetzt werden Sie Ihre Ignoranz mit Blut bezahlen.\n\n",

	//kSurrender_msg,
	"Captain der Miraker: Ein Miraker ergibt sich nicht.\n\n",

	//kSurrender_1_msg,
	"Captain der Miraker: Sparen Sie sich Ihren Atem fr Ihre letzten Worte, [PLAYER_RANK].\n\n",

	//kSurrender_2_msg,
	"Captain der Miraker: Ich stelle fest, dass die [PLAYER_RACE] doch etwas Humor besitzen.\n\n",

	//
	//	Event dialog
	//
	
	//kScannedNormalAsteroid_msg
	"Wissenschaftsoffizier: Nichts Ungewhnliches zu entdecken, [PLAYER_RANK]. Ein unbedeutender Felsen.\n\n",

	//kScannedSpecialAsteroid_msg,
	"Wissenschaftsoffizier: [PLAYER_RANK], ich registriere eine merkwrdige Energiesignatur auf diesem Asteroiden...\n" \

	"[PLAYER_NAME]: Was halten Sie davon?\n" \

	"Wissenschaftsoffizier: Da ist ein Objekt, das in den Fels eingebettet ist, in der Mitte " \
	"von etwas, das ein Krater zu sein scheint. Das Objekt befindet sich nicht weit unter der Oberflche... " \
	"Ich glaube, mit einem przisen Energiesto unserer Phaser knnten wir es freischneiden, [PLAYER_RANK].\n" \

	"[PLAYER_NAME]: Waffen, bereit zum Feuern. Die Zieldaten werden von der Wissenschaftskonsole geliefert.\n\n",
	
	//kAsteroidPhasered_msg,
	"Wissenschaftsoffizier: Das Objekt ist jetzt freigelegt, [PLAYER_RANK] ... metallisch ... etwa 2 Meter im Durchmesser... " \
	"schwache Energieabstrahlungen eines Typs, der mir bis dato noch nicht begegnet ist.\n" \
	
	"[PLAYER_NAME]: Stellt es irgendeine Gefahr fr uns dar?\n" \

	"Wissenschaftsoffizier: Das glaube ich nicht.\n Ich denke, wir sollten es fr eine nhere Untersuchung an Bord holen.\n\n",


	//kTransportedGate_msg
	"Wissenschaftsoffizier: Das Objekt wurde an Bord gebracht.\n\n",

	// kPrimaryComplete_msg,
	"Erster Offizier: Mission erfllt, [PLAYER_RANK].\n\n",

	//kNotAllAsteroidsScanned_msg
	"Erster Offizier: Wir mssen noch die restlichen Asteroiden scannen, [PLAYER_RANK].\n\n",

	//kMirakGoToWar_msg
	"Kommunikationsoffizier: Wir erhalten eine Meldung von den Mirakern, [PLAYER_RANK]...\n" \

	"[PLAYER_NAME]: Was wollen sie?\n" \

	"Kommunikationsoffizier: Ich konnte nur einen Teil der Meldung auffangen, bevor sie die Verbindung unterbrochen haben, aber es " \
	"ging definitiv darum, auf welche frchterliche Art wir sterben werden...\n\n",

	//kEnemyCapped_msg
	"First Officer: We have captured a Mirak vessel.\n\n",

	//kEnemyKilled_msg,
	"Erster Offizier: Wir haben ein mirakisches Schiff zerstrt.\n\n",
	
	//kCoffinKilled_msg,
	"Erster Offizier: Wir haben einen mirakischen Sarg zerstrt, [PLAYER_RANK].\n\n",

	

	//
	//	Custom messages
	//

	//kScanning_msg,
	"Wissenschaftsoffizier: Wir scannen...\n\n",

	//kScanRange_msg
	"Wissenschaftsoffizier: Wir mssen innerhalb der Reichweite 7 sein, um den Asteroiden scannen zu knnen, [PLAYER_RANK].\n\n",


#else
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_1Desecration",

	//kTitle2
	"Desecration",

	//
	//	Briefing message
	//

	//kBriefing_Lyran_msg,
	"[SYSTEM_NAME] is in Neutral space: a fact that seems lost on the Mirak, who have a heavy " \
	"presence there. Your mission is to determine what they're up to. We've had odd reports " \
	"centering around the asteroids found in the system; you might start your investigation " \
	"by scanning them for anything out of the ordinary.\n" \
	
	"You can expect the Mirak to attack you on sight. The destruction of their forces would " \
	"not cause us to lose any sleep.\n\nGood luck.\n",

	//kBriefing_Other_msg
	"[SYSTEM_NAME] is in Neutral space: a fact that seems lost on the Mirak, who have a heavy " \
	"presence there. Your mission is to determine what they're up to. We've had odd reports " \
	"centering around the asteroids found in the system; you might start your investigation " \
	"by scanning them for anything out of the ordinary.\n\nGood luck.\n",

	//
	//	Starting message
	//
	
	//kCaptainsLog_Lyran_msg,
	"[PLAYER_RANK]'s Journal, stardate [STARDATE]. The Mirak are using [SYSTEM_NAME] " \
	"for unknown purposes. Our job is to determine what they're doing here, and to scan " \
	"the area for anything unusual.",
	
	//kCaptainsLog_Klink_msg,
	"[PLAYER_RANK]'s War Record, stardate [STARDATE]. The Mirak are using [SYSTEM_NAME] " \
	"for unknown purposes. Our job is to determine what they're doing here, and to scan " \
	"the area for anything unusual.",
	
	//kCaptainsLog_Hydran_msg,
	"[PLAYER_RANK]'s Log, stardate [STARDATE]. The Mirak are using [SYSTEM_NAME] " \
	"for unknown purposes. Our job is to determine what they're doing here, and to scan " \
	"the area for anything unusual.",
	
	//kInitialReport_Lyran_msg,
	"Science Officer: I'm detecting several Mirak burial containers in orbit around the planet. " \
	"There also appear to be Mirak warships in the area.\n\n",

	//kInitialReport_msg,
	"Science Officer: [PLAYER_RANK], I'm detecting Mirak vessels in the area. " \
	"There are also several objects in orbit around the planet...they appear to contain dead Mirak bodies.\n" \
	
	"First Officer: Hmm. I've heard stories that say this is part of a Mirak religious ceremony. The bodies " \
	"of their dead are burned up upon entering the planet's atmosphere, allowing their slain warriors " \
	"to enter the afterlife.\n\n",


	//
	//	Debriefing messages
	//
	
	//	kDebAstoundingVictory_msg,
	"Astounding Victory!\n\n",
	
	//	kDebVictory_msg,
	"Victory\n\n",
	
	//	kDebDraw_msg,
	"Draw\n\n",
	
	//	kDebDefeat_msg,
	"Defeat\n\n",
	
	//	kDebDevastatingDefeat_msg,
	"Devastating Defeat\n\n",

	//kDeb_LeftEarly_msg
	"Forfeit\n\n",

	//kDeb_GateFound,
	"The object you recovered is very interesting. Our scientists believe it might be an artifact of " \
	"the U-Ianna: an ancient race who had incredible telepathic powers. This discovery could lead " \
	"to some very good news for us and for this war.\n\nGood work.\n",
	
	//kDeb_GateNotFound,
	"You were supposed to investigate the area and look for anything unusual. Did you forget that " \
	"your ship is equipped with sensors? Perhaps you would benefit from a refresher course " \
	"on basic starship operations.\n\nDismissed.\n",

	//kDeb_MirakDead_msg
	"All Mirak forces were destroyed. An excellent bonus!\n\n",

	//kDeb_PlayerDied_msg
	"Your forces were destroyed.\n\n",

	//
	//	Comm buttons
	//
	
	//kButton_Hail_msg,
	"HAIL",
	
	//kButton_Surrender_msg,
	"SURRENDER",

	//
	//	Comm messages
	//
	
	//kHail_Lyran_msg,
	"[PLAYER_NAME]: This is [PLAYER_RANK] [PLAYER_NAME] of the Lyran Star Empire. If you interfere " \
	"with our mission you will be destroyed.\n" \

	"Mirak Captain: I was just about to say the same to you.\n\n",

	//kSurrender_Lyran_1_msg,
	"Mirak Captain: Surrender? To you? I think you must be mad.\n\n",

	//kSurrender_Lyran_2_msg,
	"Mirak Captain: Surrender? I would sooner die.\n",

	//kHail_Initial_msg,
	"[PLAYER_NAME]: This is [PLAYER_RANK] [PLAYER_NAME] of the [PLAYER_SHIP_NAME].\n" \
	
	"Mirak Captain: We have no quarrel with you, but do not approach this planet or " \
	"you will pay a heavy price. If you come within range 50, we will open fire.\n" \

	"[7]" \

	"First Officer: [PLAYER_RANK], our orders are to investigate the system, but we " \
	"might not have to bother with the planet. Sensors picked up a few asteroids " \
	"in the area; let's start there.\n\n",

	//kHail_Second_msg,
	"Mirak Captain: Stay away from this planet. There is nothing else to be said.\n\n",

	//kHail_War_msg,
	"You were warned, [PLAYER_RANK]. Now you will pay in blood for ignoring that warning.\n\n",

	//kSurrender_msg,
	"Mirak Captain: The Mirak do not surrender.\n\n",

	//kSurrender_1_msg,
	"Mirak Captain: Save your breath for your dying words, [PLAYER_RANK].\n\n",

	//kSurrender_2_msg,
	"Mirak Captain: I see the [PLAYER_RACE]s are not totally without humor.\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	
	//kScannedNormalAsteroid_msg
	"Science Officer: Nothing unusual detected, [PLAYER_RANK]. An unremarkable rock.\n\n",

	//kScannedSpecialAsteroid_msg,
	"Science Officer: [PLAYER_RANK], I'm getting an odd energy reading on this asteroid...\n" \

	"[PLAYER_NAME]: What do you make of it?\n" \

	"Science Officer: There is an object embedded within the rock, at the center " \
	"of what appears to be an impact crater. The object is not far under the surface... " \
	"I believe we can cut it free with a precise burst from the ship's phasers.\n" \

	"[7]" \

	"[PLAYER_NAME]: Weapons, standby to fire. Targeting data will be provided by the science console.\n\n",
	
	//kAsteroidPhasered_msg,
	"Science Officer: The object is now exposed, [PLAYER_RANK]... metallic... approximately 2 meters in diameter... " \
	"faint energy readings of a type I am not familiar with.\n" \
	
	"[PLAYER_NAME]: Does it pose any danger to us?\n" \

	"Science Officer: I don't believe so. I think we should transport it aboard for further study.\n\n",


	//kTransportedGate_msg
	"Science Officer: The object has been transported aboard.\n\n",

	// kPrimaryComplete_msg,
	"First Officer: Mission accomplished, [PLAYER_RANK].\n\n",

	//kNotAllAsteroidsScanned_msg
	"First Officer: We still need to scan the rest of the asteroids, [PLAYER_RANK].\n\n",

	//kMirakGoToWar_msg
	"Communications Officer: Receiving a message from the Mirak, [PLAYER_RANK]...\n" \

	"[PLAYER_NAME]: What are they saying?\n" \

	"Communications Officer: I only caught part of the message before they broke off, but it " \
	"was something about us dying horribly...\n\n",

	//kEnemyCapped_msg
	"First Officer: We have captured a Mirak vessel.\n\n",

	//kAllEnemiesDead_msg
	"First Officer: All Mirak vessels have been defeated.\n\n",

	//kCoffinDestroyed_msg
	"Mirak Captain: You criminal! You dare desecrate our dead!? You will pay for that!\n\n", 

	//
	//	Custom messages
	//

	//kScanning_msg,
	"Science Officer: Scanning...\n\n",

	//kScanRange_msg
	"Science Officer: We'll need to be within range 7 of the asteroid to scan it, [PLAYER_RANK].\n\n",

#endif
};


