/********************************************************************************************************\

	File Name:	MissionText.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( MissionText_h )
#define MissionText_h

#include "tstring.h"


enum TextMessages
{
	//
	//	Mission Title
	//
	kMissionTitle_msg,
	kTitle2,

	//
	//	Briefing message
	//
	kBriefing_Lyran_msg,
	kBriefing_Other_msg,

	//
	//	Starting message
	//
	kCaptainsLog_Lyran_msg,
	kCaptainsLog_Klink_msg,
	kCaptainsLog_Hydran_msg,

	kInitialReport_Lyran_msg,
	kInitialReport_msg,

	//
	//	Debriefing messages
	//
	kDebAstoundingVictory_msg,
	kDebVictory_msg,
	kDebDraw_msg,
	kDebDefeat_msg,
	kDebDevastatingDefeat_msg,
	kDeb_LeftEarly_msg,

	kDeb_GateFound,
	kDeb_GateNotFound,
	kDeb_MirakDead_msg,
	kDeb_PlayerDied_msg,
	
	//
	//	Comm buttons
	//
	kButton_Hail_msg,
	kButton_Surrender_msg,

	//
	//	Comm messages
	//
	kHail_Lyran_msg,
	kSurrender_Lyran_1_msg,
	kSurrender_Lyran_2_msg,

	kHail_Initial_msg,
	kHail_Second_msg,
	kHail_War_msg,
	kSurrender_msg,
	kSurrender_1_msg,
	kSurrender_2_msg,

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	kScannedNormalAsteroid_msg,
	kScannedSpecialAsteroid_msg,
	kAsteroidPhasered_msg,
	kTransportedGate_msg,
	kPrimaryComplete_msg,
	kNotAllAsteroidsScanned_msg,
	kMirakGoToWar_msg,
	kEnemyCapped_msg,
	kAllEnemiesDead_msg,
	kCoffinDestroyed_msg,


	//
	//	Custom messages
	//
	kScanning_msg,
	kScanRange_msg,

	//
	//	Number of messages
	//
	kMsg_num,
};

extern std::string Messages[];


#endif
