//	<Name>	ISCTeam.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "ISCTeam.h"
#include "ISCTeamInitialState.h"
#include "ISCTeamArrivalState.h"
#include "MissionText.h"
#include "ShipScriptDescription.h"
#include "Uni_1Peace.h"
#include "ShipList_API.h"

tClassAllocator<tISCTeam> gISCTeamAllocator;

tISCTeam::tISCTeam() : tTeamInfo()
{}

void tISCTeam::mSetupState()
{
	mRegisterState( new tISCTeamInitialState() );
	mRegisterState( new tISCTeamArrivalState() );
	mGotoState( typeid( tISCTeamInitialState ) );	
}

void tISCTeam::mSetupCommState()
{}

void tISCTeam::mCreateShipsForTeam()
{}

void tISCTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
    gST.mDebug_fprintf("--- Entering: tISCTeam::mCreateNewShip: %s\n",
        shipScriptDescription.fClassName.c_str());
    gST.mInitializeSL();
    gST.mDraftedShipCensus( shipScriptDescription.fClassName.c_str() );

   // don't actually draft it. We're just collecting era data!
    gST.mDebug_fprintf("We don't actually draft ship %s. We're just collecting data!\n",
        shipScriptDescription.fClassName.c_str());

    gST.mDebug_fprintf("--- Finished: tISCTeam::mCreateNewShip: %s\n",
        shipScriptDescription.fClassName.c_str());
}

