//	<Name>	MissionText.cpp
//
//	<Info>	DESCRIPTION
//

#include "tclient.h"
#include "MissionText.h"

//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------

std::string Messages[] =
{
#ifdef _GERMAN

	// kMissionTitle_msg
	"Uni_1Peace",

	//kShortBriefing_msg,
	"Bringen Sie einen Diplomaten nach Organia. Verteidigen Sie sich gegen alle feindlichen Angriffe.",

	//kFedBriefing_msg,
	">Bringen Sie unseren Diplomaten nach Organia. Verteidigen Sie sich gegen alle feindlichen Angriffe<" \
	"Seit dem Verschwinden der Organier befinden wir uns in einem stndigen Kriegszustand. Das hat uns mde gemacht. " \
	"Wir wurden aufgefordert, ein kleines Schiff nach Organia zu einer Friedenskonferenz zu schicken, die von mehreren " \
	"galaktischen Mchten abgehalten wird. Reisen Sie nach Organia, nhern Sie sich dem Planeten bis auf Transporterreichweite, und beamen " \
	"Sie den Diplomaten auf die Oberflche des Planeten.\n\n \n\n" \
	"Wenn Sie von irgendjemandem angegriffen werden oder wenn irgendjemand ein eindeutig feindliches Ultimatum stellt, verteidigen Sie sich. Wir knnen es uns nicht leisten, " \
	"vor den anderen Vlkern der Galaxis das Gesicht zu verlieren. Diese Operation wird jedoch " \
	"unter der Flagge des Waffenstillstands ausgefhrt, also keine unbegrndeten Angriffe. \n\n" \
	"Wegtreten. ",
	//kKliBriefing_msg,
	">Bringen Sie unseren Diplomaten nach Organia. Verteidigen Sie sich gegen alle feindlichen Angriffe<" \
	"Seit dem Verschwinden der Organier befinden wir uns in einem stndigen Kriegszustand. Schne Zeiten, aber es " \
	"gibt auch so was wie zu viel des Guten. Wir wurden aufgefordert, ein kleines Schiff nach Organia zu einer " \
	"Friedenskonferenz zu schicken, die von mehreren galaktischen Mchten abgehalten wird. Nhern Sie sich dem Planten bis auf Tansporterreichweite, und " \
	"beamen Sie den Diplomaten dann auf die Oberflche des Planeten. \n\n" \
	"Wenn Sie von irgendjemandem angegriffen werden oder wenn irgendjemand ein eindeutig feindliches Ultimatum stellt, schlagen Sie zurck. Diese Operation wird allerdings " \
	"unter der Flagge des Waffenstillstands ausgefhrt, also keine unbegrndeten Angriffe. \n\n" \
	"Wegtreten. ",
	//kRomBriefing_msg,
	">Bringen Sie unseren Diplomaten nach Organia. Verteidigen Sie sich gegen alle feindlichen Angriffe<" \
	"Seit dem Verschwinden der Organier befinden wir uns in einem stndigen Kriegszustand. Die Belastung der romulanischen " \
	"Ressourcen war beraus gro, daher prfen wir die Mglichkeit einer friedlichen Lsung. " \
	"Wir wurden aufgefordert, ein kleines Schiff nach Organia zu einer Friedenskonferenz zu schicken, die von mehreren galaktischen " \
	"Mchten abgehalten wird. Nhern Sie sich dem Planeten bis auf Transporterreichweite, und beamen Sie dann den Diplomaten " \
	"auf die Oberflche des Planeten. \n\n" \
	"Wenn Sie von irgendjemandem angegriffen werden oder wenn irgendjemand ein eindeutig feindliches Ultimatum stellt, verteidigen Sie sich. Wir werden nicht zulassen, " \
	"dass die anderen Vlker mit ihrer Pose das romulanische Imperium einzuschchtern versuchen. Diese Operation wird allerdings "
	"unter der Flagge des Waffenstillstands ausgefhrt, also keine unbegrndeten Angriffe. \n\n" \
	"Wegtreten. ",
	//kLyrBriefing_msg,
	">Bringen Sie unseren Diplomaten nach Organia. Verteidigen Sie sich gegen alle feindlichen Angriffe<" \
	"Seit dem Verschwinden der Organier befinden wir uns in einem stndigen Kriegszustand. Das war gut fr unsere " \
	"Krieger, aber nicht gut fr den Rest des Imperiums, daher ist es mglicherweise an der Zeit, dass wir Schluss machen. Wir wurden " \
	"aufgefordert, ein kleines Schiff nach Organia zu einer Friedenskonferenz zu schicken, die von mehreren galaktischen Mchten abgehalten wird. " \
	"Nhern Sie sich dem Planeten bis auf Transporterreichweite und beamen Sie dann den Diplomaten " \
	"auf die Oberflche des Planeten. \n\n" \
	"Wenn Sie von irgendjemandem angegriffen werden oder wenn irgendjemand ein eindeutig feindliches Ultimatum stellt, verteidigen Sie sich. Wir knnen es uns nicht leisten, " \
	"vor den anderen Vlkern der Galaxis das Gesicht zu verlieren. Diese Operation wird allerdings " \
	"unter der Flagge des Waffenstillstands ausgefhrt, also keine unbegrndeten Angriffe. \n\n" \
	"Wegtreten. \n\n",
	//kGorBriefing_msg,
	">Bringen Sie unsere Diplomaten nach Organia. Verteidigen Sie sich gegen alle feindlichen Angriffe<" \
	"Seit dem Verschwinden der Organier befinden wir uns in einem stndigen Kriegszustand. Dieser Krieg wurde von der " \
	"Konfderation wieder angefacht - insbesondere mit dem Tod des Groen Vaters - aber es fanden auch " \
	"viele unserer tapfersten Krieger den Tod. Wir wurden aufgefordert, ein kleines Schiff nach Organia zu einer Friedenskonferenz zu schicken, die " \
	"von mehreren galaktischen Mchten abgehalten wird. Nhern Sie sich dem Planten bis auf Tansporterreichweite, und beamen Sie dann " \
	"den Diplomaten auf die Oberflche des Planeten. \n\n" \
	"Wenn Sie von irgendjemandem angegriffen werden oder wenn irgendjemand ein eindeutig feindliches Ultimatum stellt, verteidigen Sie sich. Wir knnen es uns " \
	"nicht leisten, vor den anderen Vlkern der Galaxis das Gesicht zu verlieren. Diese Operation wird allerdings " \
	"unter der Flagge des Waffenstillstands ausgefhrt, also keine unbegrndeten Angriffe. \n\n" \
	"Wegtreten. ",
	//kMirakBriefing_msg,
	">Bringen Sie unseren Diplomaten nach Organia. Verteidigen Sie sich gegen alle feindlichen Angriffe<" \
	"Wir haben Jahre darauf gewartet, wieder aufzutauchen, seit wir von der Hand unserer Feinde niedergestreckt wurden, aber sie sind immer noch " \
	"sehr stark. Solange die Galaxis in diesen Krieg verstrickt ist, werden sie stets wachsam und auf der Hut sein. Daher ist " \
	"der Pfad des Friedens, der normalerweise mit den Eingeweiden unserer Feinde gepflastert ist, jetzt der beste Weg, der uns offen steht. " \
	"Wir wurden aufgefordert, ein kleines Schiff nach Organia zu einer Friedenskonferenz zu schicken. Nhern Sie sich dem Planten bis auf Tansporterreichweite, " \
	"und beamen Sie den Diplomaten dann auf die Oberflche des Planeten. \n\n" \
	"Wenn Sie von irgendjemandem angegriffen werden oder wenn irgendjemand ein eindeutig feindliches Ultimatum stellt, verteidigen Sie sich. Wir knnen es uns nicht leisten, " \
	"vor den anderen Vlkern der Galaxis Schwche zu zeigen. Diese Operation wird allerdings " \
	"unter der Flagge des Waffenstillstands ausgefhrt, also keine unbegrndeten Angriffe. Noch nicht einmal gegenber unserem Feind. \n\n" \
	"Waidmannsheil. Wegtreten. ",
	//kHydBriefing_msg,
	">Bringen Sie unseren Diplomaten nach Organia. Verteidigen Sie sich gegen alle feindlichen Angriffe<" \
	"Seit dem Verschwinden der Organier befinden wir uns in einem stndigen Kriegszustand. Das hat uns mde gemacht. " \
	"Wir wurden aufgefordert, ein kleines Schiff nach Organia zu einer Friedenskonferenz zu schicken, die von mehreren galaktischen " \
	"Mchten abgehalten wird. Nhern Sie sich dem Planeten bis auf Transporterreichweite, und beamen Sie dann den Diplomaten " \
	"auf die Oberflche des Planeten. \n\n" \
	"Wenn Sie von irgendjemandem angegriffen werden oder wenn irgendjemand ein eindeutig feindliches Ultimatum stellt, verteidigen Sie sich. Wir knnen es uns nicht leisten, " \
	"vor den anderen Vlkern der Galaxis das Gesicht zu verlieren. Diese Operation wird allerdings " \
	"unter der Flagge des Waffenstillstands ausgefhrt, also keine unbegrndeten Angriffe. \n\n" \
	"Wegtreten. ",

	//kOrgania_name,
	"Organia ",
	//kOrganiaShip_name,
	"Organier ",

	//kFedStarting_msg,
	"Logbuch des Captains, Sternendatum [STARDATE]. Wir sind im organianischen System eingetroffen, um einen Diplomaten zu " \
	"einer Friedenskonferenz zu bringen. Wir sollen keinen Kampf anzetteln, drfen uns jedoch verteidigen und ein etwaiges " \
	"Ultimatum mit Gewalt beantworten. Das drfte jedoch nicht notwendig werden. ",
	//kKliStarting_msg,
	"Kriegsbericht, [STARDATE]. Wir sind im organianischen System eingetroffen, um einen Diplomaten zu einer Friedenskonferenz zu bringen. " \
	"Wollen wir hoffen, dass der alte Mann nicht unsere Ehre verkauft. Wir sollen keinen Kampf anzetteln, drfen uns jedoch verteidigen " \
	"und ein etwaiges Ultimatum mit Gewalt beantworten. Ich bezweifle jedoch, dass das notwendig sein wird. ",
	//kRomStarting_msg,
	"Bericht des romulanischen Imperiums, [STARDATE]. Wir sind im organianischen System eingetroffen, um einen Diplomaten zu " \
	"einer Friedenskonferenz zu bringen, dessen Aufgabe es ist, das zu sichern, was wir in der Schlacht erkmpft haben. Wir sollen keinen Kampf anzetteln, " \
	"drfen uns jedoch verteidigen und ein etwaiges Ultimatum mit Gewalt beantworten. Das drfte jedoch nicht notwendig werden. ",
	//kLyrStarting_msg,
	"Journal des Commanders, lyranisches Imperium, [STARDATE]. Wir sind im organianischen System eingetroffen, um " \
	"einen Diplomaten zu einer Friedenskonferenz zu bringen. Wir sollen keinen Kampf anzetteln, drfen uns jedoch verteidigen und ein " \
	"etwaiges Ultimatum mit Gewalt beantworten. Ich bezweifle jedoch, dass wir Gelegenheit finden werden, unseren Spa zu haben. ",
	//kGorStarting_msg,
	"Logbuch des Commanders, [STARDATE]. Wir sind im organianischen System eingetroffen, um einen Diplomaten zu einer Friedenskonferenz zu bringen. " \
	"Wir sollen keinen Kampf anzetteln, drfen uns jedoch verteidigen und ein etwaiges Ultimatum mit Gewalt beantworten. Das drfte jedoch " \
	"nicht notwendig werden. ",
	//kMirakStarting_msg,
	"Jagdbericht, [STARDATE]. Wir sind im organianischen System eingetroffen, um einen Diplomaten zu einer Friedenskonferenz zu bringen. " \
	"Wir sollen keinen Kampf anzetteln, drfen uns jedoch verteidigen und ein etwaiges Ultimatum mit Gewalt beantworten. In Anbetracht der " \
	"Angeber und Dummschwtzer, die an dieser Konferenz teilnehmen, sind Ultimaten eine realistische Mglichkeit. ",
	//kHydStarting_msg,
	"Journal des Commanders, [STARDATE]. Wir sind im organianischen System eingetroffen, um einen Diplomaten zu einer Friedens- " \
	"konferenz zu bringen. Wir sollen keinen Kampf anzetteln, drfen uns jedoch verteidigen und ein etwaiges Ultimatum " \
	"mit Gewalt beantworten. Wollen wir hoffen, dass wir unser Temperament zgeln knnen. ",

	//kHelmChatter_msg,
	"Steuermann: Die Navigationssteuerung funktioniert normal. ",
	//kEngineerChatter_msg,
	"Maschinenraum: Das ist Organia. Ich frage mich, warum wir hierher gerufen wurden. ",
	//kSecurityChatter_msg,
	"Sicherheit: Ich sehe keinen Grund, warum sie fr diese Mission kein greres Schiff angefordert haben. ",
	//kNavigationChatter_msg,
	"Navigation: Ich wnschte immer noch, wir wssten, was mit den Organiern passiert ist. ",
	//kWeaponsChatter_msg,
	"Waffenstation: Es ist noch nicht lange her, da gab es einen Vorfall in diesem System, bei dem es um Sabotage an Meldungsbojen ging. ",
	//kCommunicationsChatter_msg
	"Kommunikationsoffizier: Die Kommunikationssysteme funktionieren normal. Viel Geschnatter hre ich allerdings nicht. ",

	//kHail_btn,
	"Rufen ",
	//kSurrender_btn,
	"Kapitulation ",

	//kHailButAttacked,
	"Keine Reaktion ",

	//kHailFed_msg,
	"Captain der Fderation: Willkommen auf Organia, [PLAYER_RACE]. Zuerst einmal hoffe ich, dass diese Konferenz ohne Zwischenflle fortgesetzt werden kann.",
	//kHailKli_msg,
	"Klingonischer Captain: Willkommen auf Organia, [PLAYER_RACE]. Diplomatische Missionen sind so ermdend. Vielleicht knnten wir ein bisschen [PLAYER_RACE]-zha spielen?" \
	"Naja, war nur so ein Gedanke. ",
	//kHailRom_msg,
	"Captain der Romulaner: Ich bin Raumschiffcaptain, kein Diplomat. Waffenstillstnde machen mich nervs. Halten Sie Sicherheitsabstand, und alles ist in Ordnung.",
	//kHailLyr_msg,
	"Lyranischer Captain: Oh, [PLAYER_RANK]. Wir wollen die Diplomatie den Diplomaten berlassen. Ich bin im Grunde meines Herzens ein Spezialist.",
	//kHailGor_msg,
	"Captain der Gorn: Willkommen auf Organia. Heimat der Besserwisser, die uns im Stich gelassen haben, als wir sie am ntigsten brauchten. Ich habe wirklich groe Lust, " \
	"diesen Planeten in Schutt und Asche zu bomben. ",
	//kHailMirak_msg,
	"Captain der Miraker: Bei diesem Waffenstillstand luft es mir eiskalt den Rcken herunter. Aber es gibt immer noch andere Kreaturen, die ich lieber jagen wrde als Sie.",
	//kHailHyd_msg,
	"Captain der Hydraner: Es wre nett, mal fr eine Weile Frieden zu haben. Wollen wir hoffen, dass wir auf das Wohl unserer Friedensgtter trinken und " \
	"den Weihrauch der universellen Brderschaft abbrennen knnen.",

	//kDiplomat_Disturb_msg,
	"Wissenschaft: Unser Diplomat ist sicher angekommen ... Halt! ... Ich registriere eine umfangreiche Strung in diesem System. " \
	"Quelle unbekannt. ",
	//kOrgArrival_msg,
	"Wissenschaft: Drei neue Schiffe sind auf unbekannte Weise im System eingetroffen. ",

	//kOrganian1_msg,
	"Organier: Wir mischen uns nicht aus freien Stcken in Ihre Angelegenheiten ein, aber nachdem wir einmal involviert sind, knnen wir uns nicht mehr " \
	"entziehen. Wir sind fortgegangen, um uns um eine unmittelbar bevorstehende Bedrohung fr diese Galaxis zu kmmern, und was finden wir bei unserer Rckkehr vor? ",
	//kOrganian2_msg,
	"Endloses Geznk und Krieg, und das zu einer Zeit, die Einigkeit und Vorbereitung angesichts des herannahenden Sturms fordert. ",
	//kOrganian3_msg,
	"Organier: Da Sie nicht die Strke besessen haben, sich selbst um Frieden zu bemhen, haben wir andere gefunden, die ihnen " \
	"Frieden bringen werden. Wir werden Sie ihrer Obhut bergeben. ",

	//kISCUltimatum1_msg,
	"Commander des ISK: Hier spricht das interstellare Konkordium, galaktisches Friedenskommando.[4]Sie werden unverzglich Ihre bedingungslose Kapitulation verknden, " \
	"und zwar innerhalb von 30 Standardeinheiten, und uns den ungehinderten Zutritt zu Ihren Schiffen ermglichen. Jede Weigerung wird mit Ihrer sofortigen Zerstrung beantwortet. " \
	"Dies ist in Ihrem ureigensten Interesse. Zwingen Sie uns nicht, Sie zu vernichten. Ergeben Sie sich auf der Stelle.",

	//kOrganianHail_msg,
	"Organier: Es ist an Ihnen, eine friedliche Lsung zu finden. Wir werden uns nicht mehr einmischen, zumindest so lange nicht, bis " \
	"die wahre Bedrohung bevorsteht. ",

	//kResponseFed_msg,
	"[PLAYER_NAME]: Wie lautet Ihre Antwort auf dieses Ultimatum? \n" \
	"Captain der Fderation: Wir ziehen die Annahme des Ultimatums in Betracht. Ich empfehle, dass Sie unserem Beispiel folgen. ",
	//kResponseKli_msg,
	"[PLAYER_NAME]: Wie lautet Ihre Antwort auf dieses Ultimatum? \n" \
	"Klingonischer Commander: Was glauben Sie? Senken Sie Ihre Schilde und begren eine neue Epoche der " \
	"galaktischen Versklavung? ",
	//kResponseRom_msg,
	"[PLAYER_NAME]: Wie lautet Ihre Antwort auf dieses Ultimatum?\n" \
	"Romulanischer Commander: Lassen Sie es mich so ausdrcken: Wir hatten zwar unsere Differenzen, aber es scheint, dass heute " \
	"ein guter Tag fr Einigkeit ist. Wenn Sie wissen, was ich meine. " \
	"[PLAYER_NAME]: Vielleicht. Aber ich spreche nicht 'intrigantisch'.",
	//kResponseLyr_msg,
	"[PLAYER_NAME]: Wie lautet Ihre Antwort auf dieses Ultimatum?\n" \
	"Lyranischer Commander: Ich wrde mir lieber meine Klauen und Reizhne ausreien lassen, whrend ich zusehe, wie meine Jungen gefoltert werden, " \
	"als diesem Ultimatum zuzustimmen. War das klar? " \
	"[PLAYER_NAME]: Ziemlich.",
	//kResponseGor_msg,
	"[PLAYER_NAME]: Wie lautet Ihre Antwort auf dieses Ultimatum?\n" \
	"Commander der Gorn: Diese Worte erinnern mich an ein shetnarianisches Gbeltier. Sie machen mich krank.",
	//kResponseMirak_msg,
	"[PLAYER_NAME]: Wie lautet Ihre Antwort auf dieses Ultimatum?\n" \
	"Captain der Miraker: Ich bin Miraker. Die gehen mir auf die Nerven. Den Rest knnen Sie sich denken.",
	//kResponseHyd_msg,
	"[PLAYER_NAME]: Wie lautet Ihre Antwort auf dieses Ultimatum?\n" \
	"Captain der Hydraner: Nach all den Jahren des Kriegs... es ist sowohl widerlich als auch verfhrerisch, zu kapitulieren. " \
	"Aber ich habe anderslautende Befehle. ",

	//kHailISC_msg,
	"Commander des ISK: Sie haben unsere Forderungen gehrt. Sie waren klar und deutlich. Geben Sie auf. Sofort!\n\n",
	//kChicken_msg,
	"Hier spricht [PLAYER_RANK] [PLAYER_NAME], wir kapitulieren. \n\n" \
	"Commander des ISK: Eine kluge Entscheidung. Wir sind positiv berrascht. ",
	//kRefuseUlt_msg,
	"Commander des ISK: Ich wusste, dass Sie Schwierigkeiten machen wrden. Man hatte uns schon gewarnt, dass Sie eine primitive und unkooperative " \
	"Spezies sind. Glcklicherweise ist das ISK vorbereitet.",

	//kFightingFed_msg,
	"Captain der Fderation: Wir sind noch im Kampf. Ich hoffe, das freut Sie. ",
	//kFightingKli_msg,
	"Klingonischer Commander: Wir werden kmpfen bis zum letzten Atemzug, und bis jetzt sind wir noch nicht mal auer Atem!",
	//kFightingRom_msg,
	"Romulanischer Commander: Einen Gegner zu bekmpfen, der keine Intelligenz besitzt, ist wie blind zu kmpfen. Aber wird sind nicht " \
	"bereit, uns vom Kampf zurckzuziehen. ",
	//kFightingLyr_msg,
	"Lyranischer Commander: Kmpft hrter! Trnkt Organia mit ihrem Blut. ",
	//kFightingGor_msg,
	"Commander der Gorn: Ein schner Tag fr eine Schlacht. Lasst sie uns schnell niedermachen. ",
	//kFightingMirak_msg,
	"Captain der Miraker: Ich bin gerade beschftigt! ",
	//kFightingHyd_msg,
	"Captain der Hydraner: Wir tun unser Bestes. Viel Glck Euch allen. ",
	
	// kAstoundingVictory_msg
	"Groartiger Sieg\n" \
	"Willkommen daheim. Es scheint, als htten Sie mehr bekommen als irgendjemand von uns erwartet htte. Genau was wir brauchen, einen " \
	"neuen Mitspieler in der galaktischen Politik. \n" \
	"Sie haben Ihre Sache hervorragend gemacht. Ich glaube, das ISK hat eine sehr ernchternde Vorstellung " \
	"vom Rest der Galaxis erhalten. \n"
	"Besonders erfreut hat mich, dass Sie ein ISK-Schiff erobern konnten. Das haben Sie sehr gut gemacht. ",
	// kVictory_msg
	"Sieg\n"
	"Willkommen daheim. Es scheint, als htten Sie mehr bekommen als irgendjemand von uns erwartet htte. Genau was wir brauchen, einen " \
	"neuen Mitspieler in der galaktischen Politik. \n" \
	"Sie haben Ihre Sache hervorragend gemacht. Ich glaube, das ISK hat eine sehr ernchternde Vorstellung " \
	"vom Rest der Galaxis erhalten. ",
	// kDraw_msg
	"Unentschieden\n"
	"Ich kann Ihre Entscheidung nicht in Zweifel ziehen. Sie standen einer unbekannten Bedrohung gegenber, die Ihnen an " \
	"Feuerkraft klar berlegen war, und Ihre Verbndeten waren verunsichert. Vorsicht ist eine sehr unterbewertete Fhigkeit.\n\n"
	"Wegtreten. ",
	// kDefeat_msg
	"Niederlage\n"
	"Sie hatten Befehl, sich dem Gegner zu widersetzen. Was haben Sie sich dabei gedacht? Wie konnten Sie es wagen, den Ruf "\
	"der [PLAYER_RACE] zu besudeln, indem Sie einer Forderung nachgaben, die in direktem Widerspruch zu Ihren Befehlen stand?",
	// kDevastatingDefeat_msg
	"Vernichtende Niederlage\n"
	"Sie konnten noch nicht einmal den Diplomaten auf dem Planeten absetzen. Diese grundlegende Inkompetenz zwingt uns, " \
	"Ihre gesamte Laufbahn zu berprfen. ",

///////////////////////////////Needs localization after this point//////////////////////////////////////
	//kLeftEarly_msg,	Forfeit
	"Mission eingebt",

	//kPlayerTeam1Title_msg,
	"Friede sei mit uns.",

#else		/////////////////////////////////////////////////////////////////////////////////////////

	// kMissionTitle_msg
	"Uni_1Peace",

	//kShortBriefing_msg,
	"Deliver our diplomat to Organia.  Defend yourself against any hostiles.",

	//kFedBriefing_msg,
	">Deliver our diplomat to Organia. Defend yourself against any hostiles<" \
	"Since the departure of the Organians, we've been in a constant state of war. We're tired of it.  " \
	"We've been asked to send a small ship to Organia for a peace embassy conducted by several " \
	"galactic powers. Travel to Organia, get within transporter range of the planet, then beam " \
	"the Diplomat down to the planet's surface. \n\n" \
	"If someone attacks you, or issues a clearly hostile ultimatum, defend yourself. We can't afford " \
	"to lose face in front of the other peoples of the galaxy. However, this operation will be conducted " \
	"under a flag of truce, so do not initiate an attack unless you are provoked. \n\n" \
	"Dismissed. ",
	//kKliBriefing_msg,
	">Deliver our diplomat to Organia. Defend yourself against any hostiles<" \
	"Since the departure of the Organians, we've been in a constant state of war. A true Klingon is happiest " \
	"when there are glorious combats to be won, but even the greatest warrior knows that it is possible " \
	"to have too much of a good thing. We've been asked to send a small ship to Organia for a " \
	"peace embassy conducted by several galactic powers. Go to transporter range of the planet " \
	"and beam the Diplomat down to the planet's surface. \n\n" \
	"If someone attacks you, or issues a clearly hostile ultimatum, destroy them. However, this operation " \
	"will be conducted under a flag of truce, so do not initiate an attack unless you are provoked.\n\n" \
	"Dismissed. ",
	//kRomBriefing_msg,
	">Deliver our diplomat to Organia. Defend yourself against any hostiles<" \
	"Since the departure of the Organians, we've been in a constant state of war. The strain on Romulan " \
	"resources has been immense, so we're now looking into the possibility of a peaceful solution. " \
	"We've been asked to send a small ship to Organia for a conference conducted by several galactic " \
	"powers. Get to within transporter range of the planet, then beam the Diplomat " \
	"down to the planet's surface. \n\n" \
	"If someone attacks you, or issues a clearly hostile ultimatum, defend yourself. We will not allow " \
	"the posturing of the other races to intimidate the Romulan Empire. However, this operation will be "
	"conducted under a flag of truce, so do not initiate an attack unless you are provoked.\n\n" \
	"Dismissed. ",
	//kLyrBriefing_msg,
	">Deliver our diplomat to Organia. Defend yourself against any hostiles<" \
	"Since the departure of the Organians, we've been in a constant state of war. It's been good for " \
	"our warriors, but not very good for the rest of the empire, so perhaps it's time to end it. We've " \
	"been asked to send a small ship to Organia for a peace embassy conducted by several galactic powers. " \
	"Get to within range of the planet, then beam the Diplomat down to the " \
	"planet's surface. \n\n" \
	"If someone attacks you, or issues a clearly hostile ultimatum, defend yourself. We can't afford " \
	"to lose face in front of the other peoples of the galaxy. However, this operation will be conducted " \
	"under a flag of truce, so do not initiate an attack unless you are provoked.\n\n" \
	"Dismissed. \n\n",
	//kGorBriefing_msg,
	">Deliver our diplomat to Organia. Defend yourself against any hostiles<" \
	"Since the departure of the Organians, we've been in a constant state of war. It has revitalized the " \
	"confederation, but it's also killed many of our " \
	"finest warriors. We've been asked to send a small ship to Organia for a peace embassy conducted " \
	"by several galactic powers. Get to within transporter range of the planet, then  " \
	"beam the Diplomat down to the planet's surface. \n\n" \
	"If someone attacks you, or issues a clearly hostile ultimatum, defend yourself. We can't " \
	"afford to lose face in front of the other peoples of the galaxy. However, this operation will " \
	"be conducted under a flag of truce, so do not initiate an attack unless you are provoked.\n\n" \
	"Dismissed. ",
	//kMirakBriefing_msg,
	">Deliver our diplomat to Organia. Defend yourself against any hostiles<" \
	"We have waited years to return since our defeat at the hands of our enemy, but they are still " \
	"strong. As long as the galaxy is embroiled in war, they will remain watchful and prepared. Therefore, " \
	"the path of peace, which is usually lain with our enemy's offal, is now the best road open to us. " \
	"We're sending a small ship to Organia for a peace embassy. Get to within transporter range of the " \
	"planet, then beam Diplomat down to the planet's surface. \n\n" \
	"If someone attacks you, or issues a clearly hostile ultimatum, defend yourself. We can't afford to " \
	"show weakness in front of the other peoples of the galaxy. However, this operation will be conducted " \
	"under a flag of truce, so do not initiate an attack unless you are provoked. Not even against our enemy. \n\n" \
	"Good hunting. Dismissed. ",
	//kHydBriefing_msg,
	">Deliver our diplomat to Organia. Defend yourself against any hostiles<" \
	"Since the departure of the Organians, we've been in a constant state of war. We're tired of it. " \
	"We've been asked to send a small ship to Organia for a peace embassy conducted by several galactic " \
	"powers. Get to within transporter range of the planet, then beam the Diplomat down " \
	"to the planet's surface. \n\n" \
	"If someone attacks you, or issues a clearly hostile ultimatum, defend yourself. We can't afford to " \
	"lose face in front of the other peoples of the galaxy. However, this operation will be conducted " \
	"under a flag of truce, so do not initiate an attack unless you are provoked.\n\n" \
	"Dismissed. ",

	//kOrgania_name,
	"Organia ",
	//kOrganiaShip_name,
	"Organian ",

	//kFedStarting_msg,
	"Captain's log, Stardate [STARDATE]. We have entered the Organian system to deliver a diplomat to " \
	"a peace conference. We are not to initiate combat, though we may defend ourselves, and answer any " \
	"ultimatum with force.  It should not be necessary. ",
	//kKliStarting_msg,
	"War Record, [STARDATE]. We have entered the Organian system to deliver a diplomat to a peace conference.  " \
	"We are not to initiate combat, though we may defend ourselves " \
	"and answer any ultimatum with force.",
	//kRomStarting_msg,
	"[PLAYER_NAME]'s Record of the Romulan Star Empire, [STARDATE]. We have entered the Organian system to deliver a diplomat " \
	"to a peace conference, whose task is to secure what we have won in battle. We are not to initiate combat, " \
	"though we may defend ourselves, and answer any ultimatum with force. It should not be necessary. ",
	//kLyrStarting_msg,
	"Commander's journal, Lyran Star Empire, [STARDATE]. We have entered the Organian system to deliver " \
	"a diplomat to a peace conference. We are not to initiate combat, though we may defend ourselves, and answer " \
	"any ultimatum with force. I doubt we will have the opportunity to enjoy ourselves. ",
	//kGorStarting_msg,
	"Commander's log, [STARDATE]. We have entered the Organian system to deliver a diplomat to a peace conference. " \
	"We are not to initiate combat, though we may defend ourselves, and answer any ultimatum with force. It should " \
	"not be necessary. ",
	//kMirakStarting_msg,
	"Hunt record, [STARDATE]. We have entered the Organian system to deliver a diplomat to a peace conference. " \
	"We are not to initiate combat, though we may defend ourselves, and answer any ultimatum with force. Given " \
	"the boasters and loudmouths attending this conference, ultimatums are a distinct possibility. ",
	//kHydStarting_msg,
	"Commander's journal, [STARDATE]. We have entered the Organian system to deliver a diplomat to a peace " \
	"conference. We are not to initiate combat, though we may defend ourselves, and answer any ultimatum " \
	"with force. Let us hope that we can keep our tempers in check. ",

	//kHelmChatter_msg,
	"Helm: Helm controls are functioning normally. ",
	//kEngineerChatter_msg,
	"Engineering: That's Organia. I wonder why we were called here. ",
	//kSecurityChatter_msg,
	"Security: I don't see why they didn't ask for a larger ship for this mission. ",
	//kNavigationChatter_msg,
	"Navigation: I still wish we knew what happened to the Organians. ",
	//kWeaponsChatter_msg,
	"Weapons: Not long ago, there was an incident involving sabotage message buoys in this system. ",
	//kCommunicationsChatter_msg
	"Communications: Communications are working normally. I'm not hearing much chatter. ",

	//kHail_btn,
	"Hail ",
	//kSurrender_btn,
	"Surrender ",

	//kHailButAttacked,
	"No response ",

	//kHailFed_msg,
	"Federation Captain: Welcome to Organia, [PLAYER_RACE]. I hope this conference, for once, will proceed without incident.",
	//kHailKli_msg,
	"Klingon Captain: Welcome to Organia, [PLAYER_RACE]. Diplomatic missions are so tiresome. Perhaps we could play the [PLAYER_RACE]-zha?." \
	"Just a thought. ",
	//kHailRom_msg,
	"Romulan Captain: I am a starship captain, not a diplomat. Truces make me nervous. Keep your distance, and all will be well.",
	//kHailLyr_msg,
	"Lyran Captain: Oh, [PLAYER_RANK]. Let's leave diplomacy for the diplomats. I'm a specialist at heart.",
	//kHailGor_msg,
	"Gorn Captain: Welcome to Organia. Home of the meddlers who deserted us when we needed them most. I'm very tempted " \
	"to bomb this planet into rubble. ",
	//kHailMirak_msg,
	"Mirak Captain: This truce makes my blood run cold. Still, there are other creatures that I'd rather hunt than you.",
	//kHailHyd_msg,
	"Hydran Captain: It would be nice to have peace for awhile. Let us hope that we will be toasting our peace gods and " \
	"burning the incense of universal fellowship.",

	//kDiplomat_Disturb_msg,
	"Science: Our diplomat has arrived safely on...Wait...picking up a large disturbance in this system. " \
	"Source unknown. ",
	//kOrgArrival_msg,
	"Science: Three new ships have arrived in system by unknown means. ",

	//kOrganian1_msg,
	"Organian: We were not brought into your affairs of our own free will but once involved, we could not extract " \
	"ourselves. We departed to deal with an imminent threat to this galaxy, and when we return, what do we find? ",
	//kOrganian2_msg,
	"Endless bickering and war, at a time which calls for unity and preparation against the coming storm. ",
	//kOrganian3_msg,
	"Organian: Because you could not find the strength to look for peace yourself, we have found others to bring it " \
	"to you. We shall leave you in their care. ",

	//kISCUltimatum1_msg,
	"ISC Commander: This is the Interstellar Concordium, Galactic Pacification Command. You will transmit a surrender message " \
	"within 30 standard units and permit our boarding action. Failure to comply will result in your destruction. " \
	"This is in your own best interest. Do not force us to destroy you. Surrender now.",

	//kOrganianHail_msg,
	"Organian: It is up to you to find a peaceful resolution. We shall not interfere again, at least until " \
	"the real threat presents itself. ",

	//kResponseFed_msg,
	"[PLAYER_NAME]: What's your response to this ultimatum? \n" \
	"Federation Captain: We're considering the ultimatum. I recommend that you follow our lead. ",
	//kResponseKli_msg,
	"[PLAYER_NAME]: What's your response to this ultimatum? \n" \
	"Klingon Commander: What do you think? Are you going to lower your shields and welcome a new epoch of " \
	"galactic enslavement? ",
	//kResponseRom_msg,
	"[PLAYER_NAME]: What's your response to this ultimatum?\n" \
	"Romulan Commander: Let me say that although we have had our differences, it seems today would be a " \
	"good day for unity. If you understand me.\n" \
	"[PLAYER_NAME]: Perhaps. But I don't speak 'intrigue'.",
	//kResponseLyr_msg,
	"[PLAYER_NAME]: What's your response to this ultimatum?\n" \
	"Lyran Commander: I would rather have my claws and fangs removed while watching my litter get tortured " \
	"than abide by this ultimatum. Is that clear?\n" \
	"[PLAYER_NAME]: Quite.",
	//kResponseGor_msg,
	"[PLAYER_NAME]: What's your response to this ultimatum?\n" \
	"Gorn Commander: These words remind me of a Shetnarian Vomit Beast. They sicken me.",
	//kResponseMirak_msg,
	"[PLAYER_NAME]: What's your response to this ultimatum?\n" \
	"Mirak Captain: I am Mirak. They annoy me. Guess the rest.",
	//kResponseHyd_msg,
	"[PLAYER_NAME]: What's your response to this ultimatum?\n" \
	"Hydran Captain: After all these years of war...it is both repugnant and tempting to capitulate. " \
	"But I have different orders. ",

	//kHailISC_msg,
	"ISC Commander: You've heard our demands. They were clear. Stand down. Now!",
	//kChicken_msg,
	"This is [PLAYER_RANK] [PLAYER_NAME], we surrender. \n\n" \
	"ISC Commander: An intelligent decision. We're pleasantly surprised. ",
	//kRefuseUlt_msg,
	"ISC Commander: I knew you would make this difficult. We were warned you were a primitive, uncooperative " \
	"species. Fortunately, the ISC is prepared.",

	//kFightingFed_msg,
	"Federation Captain: We're still in the fight. Hope you're enjoying this. ",
	//kFightingKli_msg,
	"Klingon Commander: We will fight to the last breath, and we're not even winded yet!",
	//kFightingRom_msg,
	"Romulan Commander: Fighting an enemy without intelligence is like fighting blind. But we are not " \
	"ready to pull from the fight. ",
	//kFightingLyr_msg,
	"Lyran Commander: Fight harder! Soil Organia with their blood. ",
	//kFightingGor_msg,
	"Gorn Commander: A fine day for battle. Let's kill them quickly. ",
	//kFightingMirak_msg,
	"Mirak Captain: I'm busy right now! ",
	//kFightingHyd_msg,
	"Hydran Captain: We're doing our best. Good luck to you. ",
	
	// kAstoundingVictory_msg
	"AstoundingVictory \n" \
	"Welcome back. It appears you got more than any of us bargained for. Just what we needed, a " \
	"new player in galactic politics. \n" \
	"You acquitted yourself admirably. I think the ISC received a very sobering introduction " \
	"to the rest of the galaxy. \n"
	"I was especially pleased that you captured an ISC ship. That was very well done. ",
	// kVictory_msg
	"Victory\n"
	"Welcome back. It appears you got more than any of us bargained for. Just what we needed, a " \
	"new player in galactic politics. \n" \
	"You acquitted yourself admirably. I think the ISC received a very sobering introduction " \
	"to the rest of the galaxy. ",
	// kDraw_msg
	"Draw\n"
	"I can't fault your decision. You were facing an unknown threat, which clearly had superior " \
	"firepower, and your allies were uncertain. Discretion is an underrated quality.\n\n"
	"Dismissed. ",
	// kDefeat_msg
	"Defeat\n"
	"You were ordered to resist the enemy. What were you thinking? How dare you sully the reputation "\
	"of the [PLAYER_RACE] by giving into a demand that is in direct contravention to your orders?",
	// kDevastatingDefeat_msg
	"Devastating Defeat\n"
	"You couldn't even deliver a diplomat to a planet. This basic incompetence forces us to " \
	"review to your entire career. ",

///////////////////////////////Needs localization after this point//////////////////////////////////////
	//kLeftEarly_msg,
	"Forfeit",

	//kPlayerTeam1Title_msg,
	"Peace in Our Times.",
#endif
};

