//	<Name>	OrganianTeamInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "OrganianTeamInitialState.h"
#include "OrganianShip.h"
#include "OrganianTeam.h"
#include "ScriptInterface.h"
#include "MissionInfo.h"
#include "TeamInfo.h"
#include "PlayerTeamShipInitialState.h"
#include "PlayerTeamShipOrgArriveState.h"
#include "ShipList_API.h"

void tOrganianTeamInitialState::mBeginState()
{}

void tOrganianTeamInitialState::mOnTimedInterval( int32 timerID )
{}

void tOrganianTeamInitialState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{
	int32 x = 0, y = 0;

	fMissionInfo->mGetGridPosition( 'Y', &x, &y );

	if( ( *stateID == typeid( tPlayerTeamShipOrgArriveState ) ) &&				// Create the ISC Ships
		(eventType == kStartingNewState) )
	{
		gST.mDebug_fprintf("--- Creating Organian.\n");

		fMissionInfo->mCreateMapObject(	'^', x, y );
		// There aren't anything else that are going to be N-ORG. -- FS
		// Oh, and not bothering to bother upgrading fighters here. This team is set as ally-ignore anyway. -- FS
		fChildActor->mCreateShip(
			typeid( tOrganianShip ), 
			"N-ORG", 
			kStartPosition_Y,
			tTeamInfo::kNoMetaShipID, 
			-1, 
			0, 0, -1, -1, 
			NULL, 
			kDefaultShipOptions );
	}
}
