//	<Name>	PeaceVictory.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "tclient.h"
#include "PeaceVictory.h"
#include "PeaceVictoryState.h"
#include "NormalVictoryState.h"
#include "ScriptInterface.h"
#include "Uni_1Peace.h"

tPeaceVictory::tPeaceVictory()
{
	fISCDestroyed = 0;
	fISCCaptured =  0;
	fPlayerDestroyed = false;
	fPlayerSurrendered = false;
	fDiplomatTransported = false;
}
tPeaceVictory::tPeaceVictory( tTeamInfo* team )
{
	fISCDestroyed = 0;
	fISCCaptured =  0;
	fPlayerDestroyed = false;
	fPlayerSurrendered = false;
	fDiplomatTransported = false;
}
void tPeaceVictory::mSetupState()
{
	tTeamInfo*	team1Team = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
	
	tPeaceVictoryState* PeaceVictoryState = new tPeaceVictoryState( team1Team, kPlayerTeam, kEnemyTeam, 0, 300, 225, 75, 0, -75 );

	mRegisterState( PeaceVictoryState );
	
	mGotoState( typeid( tPeaceVictoryState ) );	
}

void tPeaceVictory::mSetISCDestroyed()
{
	fISCDestroyed++;
}
int32  tPeaceVictory::mGetISCDestroyed()
{
	return fISCDestroyed;
}
void tPeaceVictory::mSetISCCaptured()
{
	fISCCaptured++;
}
int32 tPeaceVictory::mGetISCCaptured()
{
	return fISCCaptured;
}
void tPeaceVictory::mSetPlayerDestroyed(bool setValue)
{
	fPlayerDestroyed = setValue;
}
bool tPeaceVictory::mGetPlayerDestroyed()
{
	return fPlayerDestroyed;
}
void tPeaceVictory::mSetPlayerSurrendered(bool setValue)
{
	fPlayerSurrendered = setValue;
}
bool tPeaceVictory::mGetPlayerSurrendered()
{
	return fPlayerSurrendered;
}
void tPeaceVictory::mSetDiplomatTrans(bool setValue)
{
	fDiplomatTransported = setValue;
}
bool tPeaceVictory::mGetDiplomatTrans()
{
	return fDiplomatTransported;
}