//	<Name>	PlayerTeamShipInitialState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( PlayerTeamShipInitialState_h )
#define PlayerTeamShipInitialState_h

#include "ChildActorState.h"
#include "teamInfo.h"
#include "PlayerTeam.h"

class tPlayerTeamShipInitialState : public tChildActorState<tPlayerTeam>
{
public:
	enum eTimeIDs
	{
		kStartingID,
		kChatterID,
		kDiploTransID,
		kUpgradeFightersID,
	};

	tPlayerTeamShipInitialState( );

	virtual void mBeginState();
	virtual void mEndState();

	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item );


protected:
	eRaceName PlayerRace;
	int32  randomMessage;
	bool   fChatter;
};

#endif

