//	<Name>	Uni_1Peace

#if !defined( Uni_1Peace_h )
#define Uni_1Peace_h

#include "ScriptInterface.h"

//---------------------------------------------------------------------------------------------
// the following enum is used to identify all non-player teams in the script
// (use kPlayerTeam to access the current players team.)
enum eTeamTypes
{
	// All Teams with kPlayerTeam = kTeam1
	kPlayerTeam = kTeam1,
	kEnemyTeam,
	kNPC1Team,
	kNPC2Team,
	kNPC3Team,
	kOrganianTeam
};

class tVictoryCondition;

class tUni_1Peace : public tScript
{
public:
	enum eCommStates
	{
		kCommSabotagedState,
		kCommRepairedState,
	};

	tUni_1Peace();

	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual iTruth	mUsePlayerShip( tShipInGame& Ship );

	virtual int32	mInitializeFinished();
	virtual void	mStartMission();
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mASCIIOverrides( tMapOverrides* Map );
	virtual void	mDefineTeamShipStrengths( void );
	virtual	void	mDefineBriefings( void );

protected:
	tVictoryCondition* fVictoryCondition;
};

#endif

