/********************************************************************************************************\

	File Name:	AllyShip.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "AllyShip.h"
#include "AllyShipBaseState.h"


tClassAllocator<tAllyShip> gAllyShipAllocator;

void tAllyShip::mSetupState()
{
	mRegisterState( new tAllyShipBaseState() );
	mGotoState( typeid( tAllyShipBaseState ) );
}

void tAllyShip::mSetupCommState()
{}

void tAllyShip::mSetupShip()
{
	
}

void tAllyShip::mDisableShip()
{
	mSetShipMaxSpeed( 0 );
	mSetSystemHealthFromOrig( kNoWeaponHardPoint, 10.0f );
}

void tAllyShip::mRepairShip()
{
	mSetShipMaxSpeed( 31 );
	mSetSystemHealthFromOrig( kNoWeaponHardPoint, 100.0f );
	mDisengage( kByMapEdge, kAbsolutePriority );
}

void tAllyShip::mDropShields()
{
	mSetSystemHealthFromOrig( kAllShieldsHardPoint, 0.0f );
}
