/********************************************************************************************************\

	File Name:	DilithiumShipBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "DilithiumShipBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tDilithiumShipBaseState::mBeginState()
{}
void tDilithiumShipBaseState::mEndState()
{}

void tDilithiumShipBaseState::mOnDeath( tShipInfo* ship )
{}
void tDilithiumShipBaseState::mOnCapture( tShipInfo* ship )
{}
void tDilithiumShipBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tDilithiumShipBaseState::mAtDistance( tShipInfo* ship )
{}
void tDilithiumShipBaseState::mAtDestination( tShipInfo* ship )
{}
void tDilithiumShipBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tDilithiumShipBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tDilithiumShipBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tDilithiumShipBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tDilithiumShipBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tDilithiumShipBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tDilithiumShipBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tDilithiumShipBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tDilithiumShipBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tDilithiumShipBaseState::mOnFlashingButtonPressed()
{}
void tDilithiumShipBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tDilithiumShipBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tDilithiumShipBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tDilithiumShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tDilithiumShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tDilithiumShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tDilithiumShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tDilithiumShipBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tDilithiumShipBaseState::mOnHostChanged()
{}
void tDilithiumShipBaseState::mOnTimedInterval( int32 timerID )
{}
void tDilithiumShipBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tDilithiumShipBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

