/********************************************************************************************************\

	File Name:	LyranShip.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "LyranShip.h"
#include "LyranShipBaseState.h"


tClassAllocator<tLyranShip> gLyranShipAllocator;

void tLyranShip::mSetupState()
{
	mRegisterState( new tLyranShipBaseState() );
	mGotoState( typeid( tLyranShipBaseState ) );
}

void tLyranShip::mSetupCommState()
{}

void tLyranShip::mSetupShip()
{}



void tLyranShip::mDisableShip()
{
	mSetShipMaxSpeed( 0 );
	mSetSystemHealthFromOrig( kNoWeaponHardPoint, 10.0f );
}

void tLyranShip::mRepairShip()
{
	mSetShipMaxSpeed( 22 );
	mSetSystemHealthFromOrig( kNoWeaponHardPoint, 100.0f );
}
