/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_2Dance",

	//kTitle2
	"Tanz um das Dilizium",

	//kDescription
	"",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"Dies ist eine Rettungsmission. Eine Flotte mit drei schweren Kreuzern wurde mitten in der Schlacht auer Gefecht gesetzt, " \
	"weil eine in der Nhe befindliche Raumanomalie pltzlich und unerwartet massive Energieste abgab. Die Daten unserer Langstrecken- " \
	"sensoren zeigen, dass diese Energieausbrche mglicherweise erneut auftreten werden, und unsere Kreuzer " \
	"knnen keiner weiteren Explosion standhalten.\n\n" \

	"Im Konvoi mit unseren Kreuzern befand sich ein Versorgungsfrachter, der Ersatzteile und " \
	"Diliziumkristalle geladen hatte. Zwar hat der Frachter unglcklicherweise den Energiesto nicht berstanden, doch ist seine " \
	"Ladung noch intakt.\n\n" \

	"Begeben Sie sich unverzglich zum [SYSTEM_NAME]-System. Bergen Sie die Diliziumkristalle aus den " \
	"Frachtcontainern, und beamen Sie sie auf unsere Kreuzer. Wenn sich die Kristalle an Bord der Schiffe befinden, " \
	"werden sie mit den Reparaturen beginnen und dann Kurs zum Verlassen des Systems setzen. Wenn alle Schiffe sicher aus dem System entkommen konnten, " \
	"machen Sie sich sofort mit Warpgeschwindigkeit davon.\n\n",

	//
	//	Starting message
	//
	
	//kCaptainsLog_Lyran_msg,
	"Logbuch des [PLAYER_RANK], Sternendatum [STARDATE]. Wir befinden uns auf einer Rettungsmission zum [SYSTEM_NAME]-System.\n",

	//kInitialScienceReport_msg,
	"Wissenschaftsoffizier: Wir befinden uns jetzt in Reichweite der havarierten Schiffe, [PLAYER_RANK].\n" \

	"Erster Offizier: Ich schlage vor, wir bringen das hier so schnell wie mglich hinter uns. Die Anomalie knnte " \
	"jederzeit wieder ausbrechen.\n\n",

	

	//k3AlliesEscaped_msg,
	"Sie haben alle havarierten Schiffe gerettet. Gute Arbeit!\n",

	//k2AlliesEscaped_msg,
	"Sie haben zwei der havarierten Schiffe gerettet. Ich nehmen an, Sie haben Ihr Bestes getan.\n",

	//k1AlliesEscaped_msg,
	"Sie konnten nur eines der Schiffe retten. Ich werde mir Ihre Logbcher ansehen, um herauszufinden, was " \
	"schief gelaufen ist.\n\n",

	//k0AlliesEscaped_msg,
	"Keines? Sie konnten nicht ein einziges Schiff retten? Lassen Sie mich mal nachrechnen... Mehr als 300 Mann Besatzung auf jedem Schiff, und das mal 3... " \
	"Ich nehme an, Sie werden nicht allzu lange brauchen, um diese 900 Kondolenzbriefe an die Familien zu verfassen.\n Und jetzt verschwinden Sie aus meinem Bro.\n\n",

	//kDeb_PlayerDied_msg
	"Ihre Einheiten sind vernichtet worden.\n\n",
	

	//
	//	Comm messages
	//

	//
	//	Victory rating
	//

	// kAstoundingVictory_msg,
	"Groartiger Sieg!\n\n",

	// kVictory_msg,
	"Sieg!\n\n",

	// kDraw_msg,
	"Unentschieden\n\n",

	// kDefeat_msg,
	"Niederlage\n\n",

	// kDevastatingDefeat_msg,
	"Vernichtende Niederlage\n\n",

	//	kLeftEarly_msg,
	"Mission eingebt\n\n",

	//
	//	Titles (or names) of ships and objects
	//
	
	//kDilithiumName,
	"Dilizium",
	
	//kMineName,
	"Sprengkrper",

	//kEmptyName
	"Empty",

	//
	//	Event dialog
	//

	//kPulsarWarning_msg,
	"Wissenschaftsoffizier: [PLAYER_RANK], die Messungen der Anomalie haben soeben Spitzenwerte erreicht. Es kann nicht mehr lange dauern, bis " \
	"ein neuer Energiesto erfolgt.\n" \

	"Erster Offizier: Wir sehen besser zu, dass wir fertig werden und hier verschwinden.\n\n",

	//kPulsarPulsing_msg,
	"Wissenschaftsoffizier: [PLAYER_RANK]! Die Anomalie wird jeden Moment...",

	//kTimeToLeave_msg
	"First Officer: All friendly ships have escaped safely. We should leave. Now.\n\n",

	//kDilithiumScanned_msg
	"Wissenschaftsoffizier: Dieser Frachtcontainer enthlt Dilizium.\n\n",

	// kMinesScanned_msg
	"Wissenschaftsoffizier: Dieser Frachtcontainer enthlt explosives Material.\n\n Wir sollten nicht zu nah rangehen.\n\n",

	//kPulsarScanned_msg
	"Wissenschaftsoffizier: Die Anomalie ist auerordentlich instabil ist. Ich schlage vor, dass wir unseren Job " \
	"so schnell wie mglich erledigen.\n\n",
	
	//kLyranRepaired_msg
	"Erster Offizier: [PLAYER_RANK], Das mirakische Schiff ist repariert und setzt sich in Bewegung.\n\n",
	
	//kAllyDropsShields_msg
	"Erster Offizier: Sie senken die Schilde, um die Fracht an Bord zu nehmen.\n\n",

	//
	//	Custom messages
	//

	//kScanning_msg
	"Wissenschaftsoffizier: Wir scannen...\n\n",

	//kAllyDisengages_msg
	"Erster Offizier: Eines der reparierten Schiffe hat das System soeben sicher mit Warp verlassen.\n\n",

	//kAllyRepaired_msg
	"Sie verlassen das System, bevor sie von einem weiteren Ausbruch des Pulsars getroffen werden, und " \
	"empfehlen uns, das Gleiche zu tun.",


#else
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_2Dance",

	//kTitle2
	"Dilithium Dance",

	//
	//	Description message
	//
	"",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"This is a rescue mission. A fleet of three heavy cruisers was disabled in mid-battle " \
	"when a nearby space anomaly began emitting massive energy bursts. Data from long-range " \
	"sensors indicates that this energy pulsing might be a recurring event, and our cruisers " \
	"cannot withstand another burst.\n\n" \

	"Traveling with our cruiser force was a supply freighter carrying repair parts and " \
	"dilithium crystals. Unfortunately the freighter did not survive the pulse, but its " \
	"cargo did.\n\n" \

	"Proceed at once to [SYSTEM_NAME]. Collect the dilithium crystals from the " \
	"cargo containers, and beam them to our cruisers. Once the ships have the crystals onboard, " \
	"they will begin repairs and set course out of the system. When all ships have safely escaped " \
	"the system, warp out immediately.\n\n",

	//
	//	Starting message
	//
	
	//kCaptainsLog_msg,
	"[PLAYER_RANK]'s Log, stardate [STARDATE]. We're here to rescue three of our cruisers.\n",
	
	//kInitialSitrep_msg,
	"First Officer: Now in range of the crippled vessels, [PLAYER_RANK].\n" \

	"Science Officer: I suggest we go about this as quickly as possible. The anomaly could " \
	"pulse at any time.\n\n",
	

	//
	//	Debriefing messages
	//
	
	//k3AlliesEscaped_msg,
	"You saved all the crippled ships. Well done!\n\n",
	
	//k2AlliesEscaped_msg,
	"You saved two of the crippled ships. I guess you did the best you could.\n\n",
	
	//k1AlliesEscaped_msg,
	"You only saved one ship. I'll be going over your logs to figure out where you " \
	"went wrong.\n\n",
	
	//k0AlliesEscaped_msg,
	"None? You couldn't rescue a single ship? Let's see... 300+ crew on each ship, times 3... " \
	"I guess it won't take you too long to write those 900 letters.\nGet out of my office.\n\n",

	//kDeb_PlayerDied_msg
	"Your forces were destroyed.\n\n",


	//
	//	Comm messages
	//

	//
	//	Victory rating
	//

	//	kAstoundingVictory_msg,
	"Astounding Victory!\n\n",

	//	kVictory_msg,
	"Victory!\n\n",

	//	kDraw_msg,
	"Draw\n\n",

	//	kDefeat_msg,
	"Defeat\n\n",

	//	kDevastatingDefeat_msg,
	"Devastating Defeat\n\n",

	//	kLeftEarly_msg,
	"Forfeit\n\n",

	//
	//	Titles (or names) of ships and objects
	//
	
	//kDilithiumName
	"Dilithium",

	//kMineName,
	"Explosives",

	//kEmptyName
	"Empty",

	//
	//	Event dialog
	//
	
	//kPulsarWarning_msg,
	"Science Officer: [PLAYER_RANK], the readings on the anomaly just spiked. It won't be long before it " \
	"pulses again.\n" \

	"First Officer: We'd better finish up and get out of here now.\n\n",
	
	//kPulsarPulsing_msg,
	"Science Officer: [PLAYER_RANK]! The anomaly is about to....\n\n",

	//kTimeToLeave_msg
	"First Officer: All friendly ships have escaped safely. We should leave. Now.\n\n",

	//kDilithiumDetected_msg,
	"Science Officer: This cargo box contains dilithium.\n\n",
	
	//kMinesDetected_msg,
	"Science Officer: This cargo box contains explosive ordinance. We shouldn't get too close.\n\n",

	//kPulsarScanned_msg
	"Science Officer: The anomaly is extremely unstable. I suggest we do our job " \
	"as quickly as possible.\n\n",

	//kLyranRepaired_msg
	"First Officer: [PLAYER_RANK], the Mirak ship is repaired and is now moving.\n\n",

	//kAllyDropsShields_msg
	"First Officer: They're dropping shields to receive the transport.\n\n",

	//
	//	Custom messages
	//
	
	//kScanning_msg,
	"Science Officer: Scanning...\n\n",

	//kAllyDisengages_msg
	"First Officer: One of the repaired cruisers has just warped safely out of the system.\n\n",

	//kAllyRepaired_msg
	"Communications Officer: Message coming in from the ship: they're making repairs and preparing to " \
	"leave the system.\n\n",

	


#endif
};



