/********************************************************************************************************\

	File Name:	MissionText.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( MissionText_h )
#define MissionText_h

#include "tstring.h"


enum TextMessages
{
	//
	//	Mission Title
	//
	kMissionTitle_msg,
	kTitle2,

	//
	//	Description message
	//
	kDescription_msg,

	//
	//	Briefing message
	//
	kBriefing_msg,

	//
	//	Starting message
	//
	kCaptainsLog_msg,
	kInitialSitrep_msg,

	//
	//	Debriefing messages
	//
	k3AlliesEscaped_msg,
	k2AlliesEscaped_msg,
	k1AlliesEscaped_msg,
	k0AlliesEscaped_msg,
	kDeb_PlayerDied_msg,

	//
	//	Comm buttons
	//

	//
	//	Comm messages
	//

	//
	//	Victory rating
	//
	kAstoundingVictory_msg,
	kVictory_msg,
	kDraw_msg,
	kDefeat_msg,
	kDevastatingDefeat_msg,
	kLeftEarly_msg,

	
	//
	//	Titles (or names) of ships and objects
	//
	kDilithiumName,
	kMineName,
	kEmptyName,

	//
	//	Event dialog
	//

	kPulsarWarning_msg,
	kPulsarPulsing_msg,
	kTimeToLeave_msg,
	kDilithiumDetected_msg,
	kMinesDetected_msg,
	kPulsarScanned_msg,
	kLyranRepaired_msg,
	kAllyDropsShields_msg,

	//
	//	Custom messages
	//
	kScanning_msg,

	kAllyDisengages_msg,
	kAllyRepaired_msg,

	//
	//	Number of messages
	//
	kMsg_num,
};

extern std::string Messages[];


#endif

