//	<Name>	DefPlatformTeamShip.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "DefPlatformTeamShip.h"
#include "DefPlatformTeamShipInitialState.h"
#include "DefPlatformTeamShipScannedState.h"
#include "DefPlatformTeamShipDiplomacyState.h"

tClassAllocator<tDefPlatformTeamShip> gDefPlatformTeamShipAllocator;

tDefPlatformTeamShip::tDefPlatformTeamShip()
{
	fDiplomacyStarted = false;
}
void tDefPlatformTeamShip::mSetupState()
{
	mRegisterState( new tDefPlatformTeamShipInitialState( ) );
	mRegisterState( new tDefPlatformTeamShipScannedState( ) );
	mRegisterState( new tDefPlatformTeamShipDiplomacyState( ) );

	mGotoState( typeid( tDefPlatformTeamShipInitialState ) );
}

void tDefPlatformTeamShip::mSetupCommState()
{
}

void tDefPlatformTeamShip::mSetupShip()
{
	mSetShipCallbackEvents(  kNotifyDamage );
}
void tDefPlatformTeamShip::mSetDiplomacyStarted( bool setValue )
{
	fDiplomacyStarted = setValue;
}
bool tDefPlatformTeamShip::mGetDiplomacyStarted( )
{
	return fDiplomacyStarted;
}