//	<Name>	DefPlatformTeamShipInitialState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( DefPlatformTeamShipInitialState_h )
#define DefPlatformTeamShipInitialState_h

#include "ChildActorState.h"
#include "teamInfo.h"
#include "DefPlatformTeamShip.h"

class tDefPlatformTeamShipInitialState : public tChildActorState<tDefPlatformTeamShip>
{
public:
	enum eTimeIDs
	{
		kStartingMsgID,
		kFreighterWaitingID,
		kCheckDistanceDefensePlatID,
		kDiplomacyID,
		kCheckPlanetDistanceID,
		kFreighterMovingID,
		kCheckDistancePlayerToFreighterID,
		kCheckDistanceToMineControllerID,
		kFreighterDestroyedID,
		kUpgradeFightersID,
	};

	tDefPlatformTeamShipInitialState( );

	virtual void mBeginState();
	virtual void mEndState();

	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnDeepScan( tShipInfo* ship, iTruth deepScanOn );
	virtual void mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType );

protected:

	bool fDeepScanON;

};

#endif

