//	<Name>	DefPlatformTeamShipScannedState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Uni_2Promises.h"
#include "ShipInfo.h"
#include "DefPlatformTeamShip.h"
#include "DefPlatformTeamShipScannedState.h"

#include "MissionText.h"
#include "ScriptInterface.h"


tDefPlatformTeamShipScannedState::tDefPlatformTeamShipScannedState( )
{

}

void tDefPlatformTeamShipScannedState::mBeginState()
{

}

void tDefPlatformTeamShipScannedState::mEndState()
{
}
void tDefPlatformTeamShipScannedState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{
	if( damagedShip->mGetShipID() == fChildActor->mGetShipID() )
	{
		tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );

		fMissionInfo->mSetTeamRelations( static_cast< eTeamID >( kEnemyTeam ), playerTeam->mGetTeam(), kTeamAtWar, kGoalDestroy, 1.0, kTrue );
		fMissionInfo->mSetTeamRelations( static_cast< eTeamID >( kMineControllerTeam ), playerTeam->mGetTeam(), kTeamHostile, kGoalIgnore, 1.0, kTrue );
		fMissionInfo->mSetTeamRelations( static_cast< eTeamID >( kDefPlatformTeam ), playerTeam->mGetTeam(), kTeamAtWar, kGoalDestroy, 1.0, kTrue );

		fMissionInfo->mSetTeamRelations( static_cast< eTeamID >( kEnemyTeam ), static_cast< eTeamID >( kFreighterTeam ), kTeamAtWar, kGoalDestroy, 1.0, kFalse );
		fMissionInfo->mSetTeamRelations( static_cast< eTeamID >( kMineControllerTeam ), static_cast< eTeamID >( kFreighterTeam ), kTeamHostile, kGoalIgnore, 1.0, kFalse );
		fMissionInfo->mSetTeamRelations( static_cast< eTeamID >( kDefPlatformTeam ), static_cast< eTeamID >( kFreighterTeam ), kTeamAtWar, kGoalDestroy, 1.0, kFalse );

		fMissionInfo->mSetTeamRelations( static_cast< eTeamID >( kFreighterTeam ), static_cast< eTeamID >( kEnemyTeam ), kTeamAtWar, kGoalIgnore, 1.0, kFalse );
		fMissionInfo->mSetTeamRelations( static_cast< eTeamID >( kFreighterTeam ), static_cast< eTeamID >( kMineControllerTeam ), kTeamAtWar, kGoalIgnore, 1.0, kFalse );
		fMissionInfo->mSetTeamRelations( static_cast< eTeamID >( kFreighterTeam ), static_cast< eTeamID >( kDefPlatformTeam ), kTeamAtWar, kGoalIgnore, 1.0, kFalse );
	}
}

