//	<Name>	MineControllerTeamShipInitialState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( MineControllerTeamShipInitialState_h )
#define MineControllerTeamShipInitialState_h

#include "ChildActorState.h"
#include "teamInfo.h"
#include "MineControllerTeamShip.h"

class tMineControllerTeamShipInitialState : public tChildActorState<tMineControllerTeamShip>
{
public:
	enum eTimeIDs
	{
		kStartingMsgID,
		kFreighterWaitingID,
		kCheckDistanceDefensePlatID,
		kDiplomacyID,
		kCheckPlanetDistanceID,
		kFreighterMovingID,
		kCheckDistancePlayerToFreighterID,
		kCheckDistanceToMineControllerID,
		kFreighterDestroyedID,
		kUpgradeFightersID,
	};

	tMineControllerTeamShipInitialState( );

	virtual void mBeginState();
	virtual void mEndState();

	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnDeepScan( tShipInfo* ship, iTruth deepScanOn );
	virtual void mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType );

protected:

	bool fDeepScanON;
};

#endif

