//	<Name>	MissionText.cpp
//
//	<Info>	DESCRIPTION
//

#include "tclient.h"
#include "MissionText.h"

//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------

std::string Messages[] =
{
#ifdef _GERMAN

	// kMissionTitle_msg
	"Uni_2Promises",

	//kShortBriefing_msg,
	">Bringen Sie Arzneimittel in die Kolonie, und nehmen Sie die Kranken an Bord. Gehen Sie, wenn mglich, diplomatisch vor, um das Problem zu lsen.<" \
	"Bringen Sie Arzneimittel in die Kolonie, und nehmen Sie die Kranken an Bord. Gehen Sie, wenn mglich, diplomatisch vor, um das Problem zu lsen.",

	// kFedBriefing_msg
	">Bringen Sie Arzneimittel in die Kolonie, und nehmen Sie die Kranken an Bord. Gehen Sie, wenn mglich, diplomatisch vor, um das Problem zu lsen.<" \
	"Wir haben einen Krisenherd in [SYSTEM_NAME]. In der Kolonie grassiert eine Seuche. Es gibt " \
	"ein Heilmittel, aber da sich die Kolonie in einem umstrittenen Gebiet befindet, hat das ISK 'zum Wohle des galaktischen Friedens' ein " \
	"Embargo verhngt und das System mit einer neuen Art eines mikroskopischen Sprengstoffs gefllt.\n\n" \
	"Wir mssen die Arzneimittel da reinbringen. Wir haben ein Deflektorfeld entwickelt, das die Minen " \
	"in einem Radius von 150.000 Kilometern deaktiviert. Es ist eine Technik, die sich noch im Versuchsstadium befindet, und die zu umfangreich ist, um " \
	"in Ihr Schiff integriert zu werden, daher haben wir sie in einem Frachter untergebracht. Halten Sie sich immer in seiner Nhe. Das Minenfeld ist tdlich.\n\n" \
	"Ihr Primrziel besteht darin, die Arzneimittel zu liefern, die am schwersten erkrankten Kolonisten an Bord zu nehmen und sie " \
	"hierher in Behandlung zu bringen.\n\n" \
	"Falls mglich, versuchen Sie, eine friedliche bereinkunft mit dem ISK zu finden. Wir glauben nicht, dass das wahrscheinlich ist, und offen gesagt " \
	"haben sie es auch nicht verdient, aber die Fderation verfolgt einen friedlichen Weg, wo immer das mglich ist.\n\n" \
	"Wegtreten.",

	//kKlingonBriefing_msg,
	">Bringen Sie die Arzneimittel in die Kolonie, und nehmen Sie die Kranken an Bord. Falls mglich, zerstren Sie alle Verteidigungsplattformen des ISKs.<" \
	"In [SYSTEM_NAME] ist eine Seuche ausgebrochen. Und um alles noch schlimmer zu machen, hat das ISK, angeblich im Interesse des 'Friedens', " \
	"das System mit einer neuen Art eines mikroskopischen Sprengstoffs gefllt.\n\n" \
	"Der Hohe Rat hat angeordnet, die Kolonie mit Arzneimitteln zu versorgen. Wir haben eine neue Deflektortechnik entwickelt, " \
	"die das Minenfeld in einem Radius von 150.000 Kilometern deaktiviert. Diese Technik ist jedoch zu umfangreich, um " \
	"in Ihr Schiff integriert zu werden, daher haben wir sie in einem Frachter untergebracht. Halten Sie sich immer in seiner Nhe, oder " \
	"Sie werden den Tod eines Narren sterben.\n\n" \
	"Ihr Primrziel besteht darin, die Arzneimittel zu liefern, die am schwersten erkrankten Kolonisten an Bord zu nehmen und sie " \
	"hierher zur Behandlung zu bringen. Ihr sekundres Ziel ist, sofern es sich als machbar erweist, " \
	"alle Verteidigungsplattformen des ISKs im System zu zerstren.\n\n" \
	"Wegtreten.",

	//kRomulanBriefing_msg,
	">Bringen Sie die Arzneimittel in die Kolonie, und nehmen Sie die Kranken an Bord. Falls mglich, scannen Sie sowohl den Minenschalter als auch die Verteidigungsplattform.<" \
	"Die Reiseseuche hat erneut zugeschlagen, in unserer Kolonie in [SYSTEM_NAME]. Da sich die Kolonie in " \
	"einem umstrittenen Gebiet befindet, hat das ISK eine Blockade verhngt und das System mit einer neuen Art eines mikroskopischen Sprengstoffs gefllt.\n\n" \
	"Wir mssen die Arzneimittel in die Kolonie bringen. Wir haben eine neue Deflektortechnik entwickelt, die das " \
	"Minenfeld in einem Radius von 150.000 Kilometern deaktiviert. Diese Technik ist jedoch zu umfangreich, um sie in Ihr Schiff zu integrieren, " \
	"daher haben wir sie in einem Frachter untergebracht. Halten Sie sich in seinem schtzenden Schatten, oder Sie werden die Heimat nie wiedersehen.\n\n" \
	"Ihr Primrziel besteht darin, die Arzneimittel zu liefern, die am schwersten erkrankten Kolonisten an Bord zu nehmen und sie " \
	"hierher zur Behandlung zu bringen. Daneben mchten wir mehr ber die Technologie des ISKs erfahren. Ihr sekundres Ziel besteht also darin, den Minen- " \
	"schalter und die Verteidigungsplattform des ISKs zu scannen.\n\n" \
	"Wegtreten.",

	//kLyranBriefing_msg,
	">Bringen Sie die Arzneimittel in die Kolonie, und nehmen Sie die Kranken an Bord. Falls mglich, zerstren Sie alle Verteidigungsplattformen des ISKs.<" \
	"Eine Seuche bedroht unsere Kolonie in [SYSTEM_NAME]. Da sich die Kolonie in umstrittenem Gebiet befindet, hat das ISK " \
	"eine Blockade verhngt und das System mit einer neuen Art eines mikroskopischen Sprengstoffs gefllt.\n\n" \
	"Wir mssen die Arzneimittel in die Kolonie bringen. Wir haben eine neue Deflektortechnik entwickelt, die das " \
	"Minenfeld in einem Radius von 150.000 Kilometern deaktiviert. Diese Technik ist jedoch zu umfangreich, um sie in Ihr Schiff zu integrieren, daher " \
	"haben wir sie in einem Frachter untergebracht. Halten Sie sich innerhalb dieser Schutzzone, oder Ihre Jungen werden nach " \
	"einer neuen Mutter weinen.\n\n" \
	"Ihr Primrziel besteht darin, die Arzneimittel zu liefern, die am schwersten erkrankten Kolonisten an Bord zu nehmen und sie " \
	"hierher zur Behandlung zu bringen. Daneben mchten wir mehr ber die Technologie des ISKs erfahren. Ihr sekundres Ziel besteht darin, " \
	"die Verteidigungsplattform des ISKs zu zerstren, mit der das System berwacht wird. Wenn diese zerstrt ist, werden wir in der Lage sein, ein Aufrum- " \
	"kommando zu schicken, das die Einzelteile aufsammelt.\n\n" \
	"Viel Glck. Wegtreten.",

	//kGornBriefing_msg,
	">Bringen Sie die Arzneimittel in die Kolonie, und nehmen Sie die Kranken an Bord. Falls mglich, erobern Sie ein ISK-Schiff.<" \
	"Eine Seuche bedroht unsere Kolonie in [SYSTEM_NAME]. Schlecht, denn die Galaxis hat beschlossen, sich um diesen Sektor zu streiten, " \
	"und diese Besserwisser aus dem ISK haben eine Blockade verhngt und das System mit einer neuen Art eines mikroskopischen Sprengstoffs gefllt.\n\n" \
	"Wir knnen nicht zulassen, dass diese Eiersauger sich einmischen, wir mssen die Arzneimittel liefern. Mit einer neuen Deflektortechnik " \
	"knnen wir das Minenfeld in einem Radius von 150.000 Kilometern deaktivieren. Diese Technik ist jedoch zu umfangreich, um sie in Ihr Schiff " \
	"zu integrieren, daher haben wir sie in einem Frachter untergebracht. Halten Sie sich innerhalb dieser Schutzzone, oder Sie werden " \
	"innerhalb krzester Zeit den Tod finden.\n\n" \
	"Ihr Primrziel besteht darin, die Arzneimittel zu liefern, die am schwersten erkrankten Kolonisten an Bord zu nehmen und sie " \
	"hierher zur Behandlung zu bringen. Wir mchten mit dem ISK ins Gesprch kommen und deren wahre Motive erfahren. Ihr sekundres Ziel ist es daher, " \
	"ein ISK-Schiff zu erobern. Wir mssen Gefangene machen. Viel Glck.\n\n" \
	"Wegtreten.",

	//kMirakBriefing_msg,
	">Bringen Sie die Arzneimittel in die Kolonie, und nehmen Sie die Kranken an Bord. Falls mglich, erobern Sie ein ISK-Schiff.<" \
	"Eine Seuche bedroht unsere Kolonie in [SYSTEM_NAME]. Schlecht, denn andere Vlker bestreiten unseren berechtigten Anspruch " \
	"auf diesen Sektor, und diese Heuchler vom ISK haben eine Blockade verhngt und das System mit einer neuen Art von "\
	"mikroskopischem Sprengstoff gefllt.\n\n" \
	"Wir mssen die Arznei da reinbringen. Eine neue Deflektortechnik wird das Minenfeld in einem Radius von 150.000 Kilometern "\
	"deaktivieren. Diese Technik ist jedoch zu umfangreich, um in Ihr Schiff integriert zu werden, daher haben wir sie in einem Frachter untergebracht. " \
	"Halten Sie sich innerhalb dieser Schutzzone, oder Sie werden in krzester Zeit den Tod finden.\n\n" \
	"Ihr Primrziel besteht darin, die Arzneimittel zu liefern, die am schwersten erkrankten Kolonisten an Bord zu nehmen und sie " \
	"hierher zur Behandlung zu bringen. Wenn Sie einen Entertrupp absetzen knnen, um ein ISK-Schiff zu erobern und ihre Klauen in " \
	"die Buche des ISKs zu versenken ... ah, betrachten Sie das als Ihr Sekundrziel. Waidmannsheil.\n\n"
	"Wegtreten.",

	//kHydranBriefing_msg,
	">Bringen Sie die Arzneimittel in die Kolonie, und nehmen Sie die Kranken an Bord. Wenn mglich zerstren Sie alle ISK-Schiffe sowie den Minenschalter.<" \
	"Eine Seuche bedroht unsere Kolonie in [SYSTEM_NAME]. Schlecht, denn weil andere Vlker unseren Anspruch auf " \
	"diesen Sektor bestreiten, hat das ISK eine Blockade verhngt und das System mit einer neuen Art eines mikroskopischen Sprengstoffs gefllt.\n\n" \
	"Wir mssen die Arznei da reinbringen. Eine neue Deflektortechnik wird das Minenfeld in einem Radius von 150.000 Kilometern " \
	"deaktivieren. Diese Technik ist jedoch zu umfangreich, um in Ihr Schiff integriert zu werden, daher haben wir sie in einem Frachter untergebracht. " \
	"Halten Sie sich innerhalb dieser Schutzzone, oder der Gott Ihres Schiffes wird Sie auf eine Reise in das Reich der Stille mitnehmen.\n\n" \
	"Ihr Primrziel besteht darin, die Arzneimittel zu liefern, die am schwersten erkrankten Kolonisten an Bord zu nehmen und sie " \
	"hierher zur Behandlung zu bringen. Vor Kurzem hat uns das ISK im Irigani-System einen Schlag verpasst, daher mssen wir ihnen einen Denkzettel erteilen. " \
	"Ihr Sekundrziel besteht also darin, alle ISK-Schiffe im System sowie den Minenschalter zu zerstren und ihnen zu zeigen, " \
	"dass wir uns nicht herumschubsen lassen. Wir werden uns nie wieder herumschubsen lassen.\n\n" \
	"Wegtreten.",

	//kPlanet_name,
	"Kolonie [SYSTEM_NAME]",

	//kMineController_name,
	"Minenschalter",

	//kFedStarting1_msg,
	"[PLAYER_NAME]: Logbuch des Captains, Sternendatum [STARDATE]. Wir sind in [SYSTEM_NAME] angekommen, um Arzneimittel fr " \
	"einen Planeten zu liefern, der von einer Seuche bedroht ist. Unsere Mission besteht darin, auf den Planeten zu gelangen, die Versorgungsgter zu liefern und dann " \
	"sicher zurckzukehren. Dieses System ist mit einem Mikrominenfeld verseucht, unsere einzige Lebensversicherung ist ein Frachter, der mit " \
	"einem experimentellen Deflektorgert ausgerstet ist. Wenn wir uns zu weit von ihm entfernen oder wenn der Frachter zerstrt wird, " \
	"werden wir beinahe unverzglich den Tod finden.",
//	"Kehren Sie sicher zurck. Dieses System ist mit einem Mikrominenfeld verseucht, unsere einzige Lebensversicherung ist ein Frachter, der mit " \
//	"einem experimentellen Deflektorgert ausgerstet ist. Wenn wir uns zu weit von ihm entfernen oder wenn der Frachter zerstrt wird, " \
//	"werden wir beinahe unverzglich den Tod finden.",

	//kKliStarting1_msg,
	"[PLAYER_NAME]: Kriegsbericht, [STARDATE]. Der Hohe Rat hat angeordnet, unsere Kolonie in " \
	"[SYSTEM_NAME] mit Arzneimitteln zu versorgen. Das ISK hat das System mit einem Mikrominenfeld blockiert, aber wir verfgen ber eine Technik, mit der " \
	"das Minenfeld umgangen werden kann, vorausgesetzt, wir entfernen uns nicht zu weit von unserer Frachtereskorte. Unsere Mission besteht darin, in die Kolonie zu gelangen, " \
	"die Arzneimittel zu liefern und sicher wieder heimzukehren. Eine einfache Aufgabe, aber bei den Klingonen gibt es ein Sprichwort: 'Das Universum " \
	"ist am trgerischsten, wenn es ganz einfach zu sein scheint'.",

	//kRomStarting1_msg,
	"[PLAYER_NAME]: Bericht des romulanischen Imperiums, [STARDATE]. Die Reiseseuche bedroht unsere Kolonie " \
	"im [SYSTEM_NAME]-System. Das ISK hat das System mit Mikrominen verseucht. Wir verfgen ber die Technik, mit der " \
	"wir dieses Minenfeld umgehen knnen, aber wir mssen uns immer innerhalb der Reichweite von 150.000 Kilometern um unsere Eskorte aufhalten. Unsere Mission besteht darin, " \
	"in die Kolonie zu gelangen, die Arzneimittel zu liefern und sicher zurckzukehren.",

	//kLyrStarting1_msg,
	"[PLAYER_NAME]: Journal des Commanders, lyranisches Imperium, [STARDATE]. Eine Seuche bedroht unsere Kolonie in [SYSTEM_NAME]. " \
	"Das ISK hat das System mit Mikrominen verseucht. Mit unserer Technik knnen wir diese Gefahr umgehen, vorausgesetzt, wir bleiben " \
	"immer innerhalb der Reichweite von 150.000 Kilometern um unsere Eskorte. Unsere Mission besteht darin, in die Kolonie zu gelangen, die Arzneimittel zu liefern " \
	"und sicher zurckzukehren. Ich hoffe nur, das ISK wird sich auf einen Kampf einlassen.",

	//kGorStarting1_msg,
	"[PLAYER_NAME]: Logbuch des Commanders, [STARDATE]. Unsere Kolonie in [SYSTEM_NAME] wird von einer Seuche bedroht. Zustzlich verseuchen Mikrominen des ISKs " \
	"das System. Wir haben eine Methode entwickelt, um die Minen zu umgehen, aber wir mssen uns immer innerhalb einer Reichweite von 150.000 Kilometern " \
	"um unsere Eskorte aufhalten. Unser Ziel ist es, in die Kolonie zu gelangen, die Arzneimittel zu liefern und sicher zurckzukehren.",

	//kMirakStarting1_msg,
	"[PLAYER_NAME]: Jagdbericht, [STARDATE]. Eine Seuche bedroht unsere Kolonie in [SYSTEM_NAME]. Zustzlich hat das ISK " \
	"das System mit Mikrominen verseucht. Mit unserer Technik knnen wir diese Gefahr umgehen, vorausgesetzt, wir bleiben immer innerhalb einer Reichweite von 150.000 Kilometern " \
	"um unsere Eskorte. Unser Mission besteht darin, in die Kolonie zu gelangen, die Arzneimittel zu liefern und sicher zurckzukehren. " \
	"Mir persnlich ist es ja egal, ob die Kranken sterben, aber wir Miraker knnen uns keinesfalls vom ISK vorschreiben lassen, wohin wir gehen drfen und " \
	"wohin nicht.",

	//kHydStarting1_msg,
	"[PLAYER_NAME]: Journal des Commanders, [STARDATE]. Unsere Kolonie in [SYSTEM_NAME] wird von einer Seuche bedroht. Zustzlich hat das ISK " \
	"das System mit Mikrominen verseucht. Mit unserer Technik knnen wir diese Gefahr umgehen, vorausgesetzt, wir bleiben immer innerhalb einer Reichweite von 150.000" \
	"Kilometern um unsere Eskorte. Wir mssen in die Kolonie gelangen, die Arzneimittel liefern und dann sicher zurckkehren. " \
	"Ich bin berzeugt, dass wir Erfolg haben werden.",

	//kFreighterWaiting_msg,
	"Captain des Frachters: Formieren Sie sich, [PLAYER_RANK], wir haben das Minenfeld erreicht.",

	//kHelmChatter_msg,
	"Steuermann: Die Navigationssteuerung funktioniert normal.",
	//kEngineerChatter_msg,
	"Ingenieur: Wir wissen nicht viel ber das Arsenal des ISKs; Gerchten zufolge verfgen sie ber Waffen, die unsere Warptriebwerke aussaugen knnen.",
	//kSecurityChatter_msg,
	"Sicherheit: Die Informationen ber das ISK sind wenig aufschlussreich, ich habe aber gehrt, dass sie ein Volk mit Namen Korlivilar als Stotrupp verwenden.",
	//kNavigationChatter_msg,
	"Navigation: Dieses Minenfeld macht mir Sorgen.",
	//kWeaponsChatter_msg,
	"Waffenstation: Diese Minen sind so konstruiert, dass sie auf groe Objekte reagieren. Photonentorpedos, Shuttles und Kampfjger drften nicht betroffen sein.",
	//kCommunicationsChatter_msg,
	"Kommunikationsoffizier: Die Kommunikationssysteme funktionieren normal. Sie verweigern uns nicht den Zugang zur Kolonie.",

	//kApproachingProtectionEdge_msg,
	"Wissenschaft: Warnung, wir nhern uns dem Rand des Schutzschildes des Frachters.",
	//kDoomed_msg,
	"Wissenschaft: Wir sind zum Untergang verurteilt, unser Schutzschild ist zerstrt!",

	//kTransMedSupplies_msg,
	"Wissenschaft: Die medizinischen Versorgungsgter wurden in unsere [SYSTEM_NAME]-Kolonie geliefert.",
	//kTransSickPersonel_msg,
	"Wissenschaft: Die kranken Kolonisten wurden direkt auf die Krankenstation transportiert.",

	//kDisengage_btn,
	"///Absetzen",
	//kOrderDisengage_msg,
	"Captain des Frachters: [PLAYER_RANK], Sie tten gut daran, sich vor mich zu setzen. Wenn ich einen Warpsprung aus dem System mache, dann " \
	"nehme ich Ihr Schutzschild gegen dieses Minenfeld mit. Kurs zum Absetzen wird programmiert.",
	//kSetAttackCourse_btn,
	"Kurs setzen",
	//kAwaitingCourse_msg,
	"Captain des Frachters: Erwarten Ihre Befehle, [PLAYER_RANK].",
	//kSetDefPlatCourse_btn,
	"Kurs auf Verteidigungsplattform",
	//kSetMineContCourse_btn,
	"Kurs auf Minenschalter",
	//kSetPlanetCourse_btn,
	"Kurs auf Planeten",
	//kSetCourseDefPlat_msg,
	"Captain des Frachters: Wir setzen Kurs auf die ISK-Verteidigungsplattform.",
	//kSetCourseMineCont_msg,
	"Captain des Frachters: Wir setzen Kurs auf den Minenschalter.",
	//kSetCoursePlanet_msg,
	"Captain des Frachters: Wir programmieren den Kurs auf die [SYSTEM_NAME]-Kolonie.",

	//kHail_btn,
	"Rufen",
	//kPlanetNoHelp_msg,
	"Governeur: Die Seuche wird jede Stunde schlimmer. Sie mssen so schnell wie mglich die Arzneimittel liefern und die Kranken an Bord nehmen.",
	//kPlanetOK_msg,
	"Governeur: Danke fr die Arzneimittel, [PLAYER_SHIP_NAME].",
	//kPriObjectiveComp_msg,
	"Wissenschaft: Primrziel erreicht, [PLAYER_RANK].",

	//kHailOne_msg,
	"Commander des ISK: Dies ist ein umstrittenes System. Im Namen des ISK befehlen wir Ihnen, das System unverzglich zu verlassen.",	
	//kHailTwo_msg,
	"Commander des ISK: Dieses System unterliegt einem Embargo des ISK. Machen Sie sich davon, oder sehen Sie Ihrer Vernichtung ins Auge.",
	//kHailThree_msg,
	"Commander des ISK: Sie wissen, dass dies ein gesperrtes System ist. Machen Sie sich auf der Stelle davon.",

	//kPeace_btn,
	"Frieden anbieten",
	//kPlease_btn,
	"Lieferung zulassen",
	//kPeaceOffer_msg,
	"Commander des ISK: Wenn Sie es ehrlich meinen, entfernen Sie sich von diesem Planeten, bleiben Sie jedoch innerhalb von 50.000 km um unsere Verteidigungsplattform, " \
	"und gehen Sie auf Alarmstufe Grn. Mit diesem Akt des Vertrauens knnen Sie Ihre Ehrlichkeit beweisen. Dann werden wir Ihnen den Zugang " \
	"zu diesem System im Tausch gegen einen zuknftigen Gefallen erlauben.",	
	//kPlease_msg,
	"Commander des ISK: Unserer Meinung nach wird die Krise auf dem Planeten aus politischen Grnden hochgespielt. Sie " \
	"sind hier nicht willkommen.",
	//kNoResponse_msg,
	"Kommunikationsoffizier: Keine Reaktion, [PLAYER_RANK]",
	//kFailedToComply_msg,
	"Commander des ISK: Sie sind unseren Forderungen nicht nachgekommen. Im Namen des galaktischen Friedens mssen Sie nun sterben.",
	//kDiplomacyPrevails_msg,
	"Kommunikationsoffizier: Der Captain des ISKs sagt, dass sie unser Zugestndnis akzeptieren. Es wird uns " \
	"gestattet, unsere primre Mission ungestrt zu erfllen.",

	//kScannedDefPlatform_msg,
	"Wissenschaftsoffizier: ISK-Verteidigungsplattform gescannt. Einiges an ungewhnlicher Technik entdeckt, [PLAYER_RANK].",
	//kScannedMineController_msg,
	"Wissenschaftsoffizier: Scan des Minenschalters abgeschlossen.",

	//kFedAstoundingVictory_msg,
	"Groartiger Sieg\n\n" \
	"Sie haben Ihr Primrziel erreicht, und das auf friedliche Weise. Es ist erfrischend, dass einmal eine " \
	"Mission abgeschlossen werden konnte, ohne dass ein Schuss abgefeuert wurde.\n\n" \
	"Allerdings haben wir einen hohen diplomatischen Preis dafr zahlen mssen. Das ISK bereitet uns Tag fr Tag " \
	"mehr Probleme. Bei der Galaxis, was haben sich die Organier dabei gedacht?",
	//kFedVictory_msg,
	"Sieg\n\n" \
	"Sie haben Ihr Primrziel erreicht. Es ist eine Schande, dass keine friedliche Lsung " \
	"gefunden werden konnte. Wenn jedoch ein Frieden nicht mglich ist, werden wir ihnen zeigen, was eine Harke ist.\n\n" \
	"Wegtreten.",

	//kKliAstoundingVictory_msg,
	"Groartiger Sieg\n\n" \
	"Sie haben alle Missionsziele erreicht. Das Imperium ist heute stolz auf Sie. Herzlichen Glckwunsch.\n\n" \
	"Dieses ISK macht Tag fr Tag mehr rger. Aber das klingonische Imperium ist schon mit Schlimmerem fertig geworden.\n\n" \
	"Wegtreten.",
	//kKliVictory_msg,
	"Sieg\n\n" \
	"Sie haben Ihr Primrziel und Ihr Sekundrziel erreicht. Der einzige Fehlschlag der Mission war, dass die " \
	"Plattform nicht zerstrt werden konnte, aber wir werden ein anderes Schiff in das System schicken, um dort aufzurumen.\n\n" \
	"Dieses ISK macht Tag fr Tag mehr rger. Verfluchte Organier, ich wnschte, sie wren nie wieder aufgetaucht.\n\n" \
	"Wegtreten.",

	//kRomAstoundingVictory_msg,
	"Groartiger Sieg\n\n" \
	"Sie haben alle Missionsziele erreicht. Sie haben dem romulanischen Imperium Ehre gemacht. Hevorragende Arbeit.\n\n" \
	"Dieses ISK macht Tag fr Tag mehr rger. Ein unbekannter Feind ist in der Tat ein schrecklicher. Wir werden Sie " \
	"in den kommenden Tagen ntig brauchen.\n\n" \
	"Wegtreten.",
	//kRomVictory_msg,
	"Sieg\n\n" \
	"Sie haben Ihr Primrziel und Ihr Sekundrziel erreicht. Der einzige Fehlschlag der Mission war, dass die " \
	"ISC-Einrichtungen nicht alle gescannt worden sind. Aber damit knnen wir leben. Das war nur ein untergeordnetes Ziel.\n\n " \
	"Dieses ISK macht Tag fr Tag mehr rger.\n\n" \
	"Wegtreten.",

	//kLyrAstoundingVictory_msg,
	"Groartiger Sieg\n\n" \
	"Sie haben alle Missionsziele erreicht. Das Imperium steht tief in Ihrer Schuld. Es ist gut, dem " \
	"ISK zeigen zu knnen, zu was lyranische Krieger fhig sind.\n\n" \
	"Aber ich frchte, das ISK braucht noch mehr Lektionen, und das bald. Halten Sie Ihre Klauen scharf.\n\n" \
	"Wegtreten.",
	//kLyrVictory_msg,
	"Sieg\n\n" \
	"Sie haben Ihr Primrziel und Ihr Sekundrziel erreicht. Der einzige Fehlschlag der Mission war, dass die " \
	"Verteidigungsplattform nicht deaktiviert werden konnte. Eine Schande, aber ein geringer Verlust im Vergleich zu dem, was erreicht wurde.\n\n" \
	"Dieses ISK wird zu einer echten Pest. Halten Sie Ihre Klauen scharf.\n\n" \
	"Wegtreten.",

	//kGorAstoundingVictory_msg,
	"Groartiger Sieg\n\n" \
	"Sie haben alle Missionsziele erreicht. Ich war erfreut zu sehen, dass unsere Entertrupps erfolgreich " \
	"ein ISK-Schiff erobern konnten; das war eine bemerkenswerte bung.\n\n" \
	"Wegtreten.",
	//kGorVictory_msg,
	"Sieg\n\n" \
	"Sie haben Ihr primres und Ihr sekundres Missionsziel erreicht. Unglcklich war nur, dass Sie kein " \
	"ISK-Schiff entern und so dem ISK nicht beibringen konnten, unsere Entertrupps zu frchten. Aber das wird bald genug passieren.\n\n" \
	"Wegtreten.",

	//kMirakAstoundingVictory_msg,
	"Groartiger Sieg\n\n" \
	"Wir sind erfreut, dass unsere [SYSTEM_NAME]-Kolonie gerettet werden konnte. Ich bin sicher, Ihre Crew hat viel Ruhm beim " \
	"Jagen und Erobern des ISK-Schiffes geerntet. Wir hoffen, dass der Feind vor seinem Ende auch genug gelitten hat.\n\n" \
	"Ich gratuliere Ihnen zu der erfolgreichen Jagd.",
	//kMirakVictory_msg,
	"Sieg\n\n" \
	"Sie haben unsere [SYSTEM_NAME]-Kolonie gerettet. Gute Arbeit. Schade nur, dass Ihre Jger nicht in der Lage waren, " \
	"ein erobertes ISK-Schiff heimzubringen...\n\n"
	"Wegtreten.",

	//kHydAstoundingVictory_msg,
	"Groartiger Sieg\n\n" \
	"Sie haben alle Missionsziele erreicht. Ich war besonders beeindruckt davon, dass Sie alle " \
	"Verteidigerschiffe des ISKs zerstrt haben. Das war ein nettes Stck Arbeit.\n\n" \
	"Hiermit ist die Einsatzbeurteilung beendet. Gehen Sie, beten Sie zu Ihren Gttern, und bitten Sie sie um Strke fr uns alle. Wir werden sie " \
	"bei der Abwehr des nchsten Schrittes des ISKs ntig genug brauchen.",
	//kHydVictory_msg,
	"Sieg\n\n" \
	"Sie haben Ihr primres und Ihr sekundres Missionsziel erreicht. Sie haben zwar nicht alle Verteidiger- " \
	"schiffe des ISKs zerstrt, aber das war nur ein untergeordnetes Ziel.\n\n" \
	"Hiermit ist die Einsatzbeurteilung beendet. Gehen Sie, beten Sie zu Ihren Gttern, und bitten Sie sie um Strke fr uns alle. Wir werden sie " \
	"bei der Abwehr des nchsten Schrittes des ISKs ntig genug brauchen.",

	// kDevastatingDefeat_msg
	"Vernichtende Niederlage\n\n" \
	"Sie haben Ihr Primrziel nicht erreicht. Die Arzneimittel sind nie auf dem Planeten angekommen. Die Kolonie ist zum Untergang verurteilt.\n\n" \
	"Wegtreten.",


	//kLeftEarly_msg,	Forfeit
	"Mission eingebt",

	//kPlayerTeam1Title_msg,
	"Versprechen, die gehalten werden mssen",


#else		//////////////////////////////////////////////////////////////////////////////////////

	// kMissionTitle_msg
	"Uni_2Promises",

	//kShortBriefing_msg,
	">Deliver medicine to the colony and pick up their sick. Use diplomacy if possible to solve this problem.<" \
	"Deliver medicine to the colony and pick up their sick. Use diplomacy if possible to solve this problem.",

	// kFedBriefing_msg
	">Deliver medicine to the colony and pick up their sick. Use diplomacy if possible to solve this problem.<" \
	"We have a crisis situation at [SYSTEM_NAME].  The colony is threatened with a plague. There is " \
	"a cure, but because the colony is in a disputed area, the ISC has embargoed the area 'for the good of " \
	"galactic peace' and filled the system with a new type of microscopic explosive.\n\n" \
	"We need to deliver the medicine. We've developed a deflection field that disables the mines " \
	"within an 150,000 kilometer radius. It's experimental technology that's too bulky to be integrated into " \
	"your ship, so we've placed it in a freighter. Stay close to it at all times. The minefield is lethal.\n\n" \
	"Your primary goal is to deliver the medicine, pick up the most seriously ill colonists, and bring " \
	"them back for treatment.\n\n" \
	"If you can, try to find a peaceful accommodation with the ISC. We don't think it's likely, and frankly, " \
	"they haven't earned it, but the Federation pursues a peaceful path wherever it is possible.\n\n" \
	"Dismissed.",
	//kKlingonBriefing_msg,
	">Deliver medicine to the colony and pick up their sick. If possible destroy all ISC defense platforms.<" \
	"A plague has broken out at [SYSTEM_NAME]. To make matters worse, in the alleged interests of 'peace', " \
	"the ISC has filled the system with a new type of microscopic explosive.\n\n" \
	"The High Council has ordered us to deliver medicine to the colony. We've developed new deflection technology " \
	"that will disable the minefield in an 150,000 kilometer radius. This technology is too bulky to be " \
	"integrated into your ship, so it's been placed in a freighter. Stay close to it at all times, or you " \
	"will die a fool's death.\n\n" \
	"Your primary goal is to deliver the medicine, pick up the most ill colonists, and bring them back " \
	"for treatment. Your secondary goal, if you judge it feasible, " \
	"is to destroy all ISC defense platforms in the system.\n\n" \
	"Dismissed.",
	//kRomulanBriefing_msg,
	">Deliver medicine to the colony and pick up their sick. If possible scan both the mine layer and defense platform.<" \
	"The Traveler's Death plague has struck again, at our colony in [SYSTEM_NAME]. Because the colony is in " \
	"disputed space, the ISC has barred travel and filled the system with a new type of microscopic explosive.\n\n" \
	"We must deliver medicine to the colony. We've developed new deflection technology that will disable the " \
	"minefield in an 150,000 kilometer radius. This technology is too bulky to be integrated into your ship, " \
	"so it's been placed in a freighter. Stay within its protective sheath, or you will not make it home.\n\n" \
	"Your primary goal is to deliver the medicine, pick up the most seriously ill colonists and bring them back " \
	"for treatment.  We would like to know more about ISC technology. Your secondary goal is to scan the mine " \
	"layer and ISC defense platform.\n\n" \
	"Dismissed.",
	//kLyranBriefing_msg,
	">Deliver medicine to the colony and pick up their sick. If possible destroy all ISC defense platforms.<" \
	"A plague threatens our colony in [SYSTEM_NAME]. Because the colony is in disputed space, the ISC has " \
	"barred travel and filled the system with a new type of microscopic explosive.\n\n" \
	"We must deliver medicine to the colony. We've developed new deflection technology that will disable the " \
	"minefield in an 150,000 kilometer radius. This technology is too bulky to be integrated into your ship, so " \
	"it's been placed in a freighter. Stay within that zone of protection, or your litter will be crying " \
	"for a new mother.\n\n" \
	"Your primary goal is to deliver the medicine, pick up the most seriously ill colonists, and bring " \
	"them back for treatment.  We would like to know more about ISC technology. Your secondary goal is to destroy " \
	"the ISC defense platform that guards the system. Once it is destroyed, we will be able to send a retrieval " \
	"team to pick up the pieces.\n\n" \
	"Good luck. Dismissed.",
	//kGornBriefing_msg,
	">Deliver medicine to the colony and pick up their sick. If possible capture an ISC ship.<" \
	"A plague threatens our colony in [SYSTEM_NAME]. Worse, because the galaxy has chosen to dispute this sector, " \
	"those meddlers in the ISC has barred travel and filled the system with a new type of microscopic explosive.\n\n" \
	"We cannot permit these egg suckers to interfere, we must deliver the medicine. New deflection technology " \
	"will disable the minefield in an 150,000 kilometer radius. This technology is too bulky to be integrated into " \
	"your ship, so it's been placed in a freighter. Stay within that zone of protection, or death will be " \
	"almost instantaneous.\n\n" \
	"Your primary goal is to deliver the medicine, pick up the most seriously ill colonists, and bring them " \
	"back for treatment.  We wish to interrogate the ISC and learn their true motives. Your secondary goal is " \
	"to capture an ISC ship.  We need to take prisoners. Good luck.\n\n" \
	"Dismissed.",
	//kMirakBriefing_msg,
	">Deliver medicine to the colony and pick up their sick. If possible capture an ISC ship.<" \
	"A plague threatens our colony in [SYSTEM_NAME]. Worse, because other races dispute our rightful claim " \
	"to this sector, the hypocrites of the ISC have barred travel and filled the system with a new type of "\
	"microscopic explosive.\n\n" \
	"We must deliver the medicine. New deflection technology will disable the minefield in an 150,000 kilometer "\
	"radius. This technology is too bulky to be integrated into your ship, so it's been placed in a freighter. " \
	"Stay within that zone of protection, or death will be almost instantaneous.\n\n" \
	"Your primary goal is to deliver the medicine, pick up the most seriously ill colonists, and bring them " \
	"back for treatment.  If you can send a boarding Cabal to capture an ISC ship, and sheathe their claws in " \
	"the soft bellies of the ISC...ah, consider that your secondary goal.  Good hunting.\n\n"
	"Dismissed.",
	//kHydranBriefing_msg,
	">Deliver medicine to the colony and pick up their sick. If possible destroy all ISC ships, including the mine layer.<" \
	"A plague threatens our colony in [SYSTEM_NAME]. Worse, because other races dispute our claim to this " \
	"sector, the ISC have barred travel and filled the system with a new type of microscopic explosive.\n\n" \
	"We must deliver the medicine. New deflection technology will disable the minefield in an 150,000 kilometer " \
	"radius. This technology is too bulky to be integrated into your ship, so it's been placed in a freighter. " \
	"Stay within that zone of protection, or your ship's god will take you on a journey to the Realm of Silence.\n\n" \
	"Your primary goal is to deliver the medicine, pick up the most seriously ill colonists, and bring them " \
	"back for treatment.  Because the ISC recently dealt us a blow in the Irigani system, we need to send a message. " \
	"Your secondary goal is to destroy all ISC ships, including the mine layer, in the system and show them " \
	"that we are not pushovers. We will never be pushovers again.\n\n" \
	"Dismissed.",

	//kPlanet_name,
	"[SYSTEM_NAME] colony",
	//kMineController_name,
	"Mine Layer",

	//kFedStarting_msg,
	"[PLAYER_NAME]: Captain's log, Stardate [STARDATE]. We have entered [SYSTEM_NAME] to deliver medicine to " \
	"a planet that's threatened by plague. Our mission is to get to the planet, deliver the supplies, then " \
	"safely return. This system is infested with a micro-minefield; our only lifeline is a freighter armed with " \
	"an experimental deflection device. If we go too far from it, or if the freighter is destroyed, death " \
	"will be nearly instantaneous.",

	//kKliStarting_msg,
	"[PLAYER_NAME]: War Record, [STARDATE]. The High Council has ordered us to deliver medicine to our colony in " \
	"[SYSTEM_NAME]. The ISC has blockaded the system with a micro-minefield, but we have technology that can " \
	"circumvent it, provided we do not stray from our freighter escort. Our mission is to get to the colony, " \
	"deliver the medicine and then safely leave. A simple task, but we Klingons have a saying: 'the universe " \
	"is at its most deceptive when it seems most simple'.",

	//kRomStarting_msg,
	"[PLAYER_NAME]: Record of the Romulan Star Empire [STARDATE]. The Traveler's Death threatens our colony " \
	"in the [SYSTEM_NAME] system. The ISC has infested the system with micro-mines. We have technology that can " \
	"circumvent it, but we must keep within 150,000kilometers of our escort at all times. Our mission is to " \
	"get to the colony, deliver the medicine, and return safely.",

	//kLyrStarting_msg,
	"[PLAYER_NAME]: Commander's journal, Lyran Star Empire [STARDATE]. Plague threatens our colony in [SYSTEM_NAME]. " \
	"The ISC has infested the system with micro-mines. Our technology can overcome this danger, provided we stay "
	"within 150,000kilometers of our escort at all times. Our mission is to get to the colony, deliver the medicine, " \
	"and return safely. I only hope the ISC will join the struggle.",

	//kGorStarting_msg,
	"[PLAYER_NAME]: Commander's log, [STARDATE]. [SYSTEM_NAME] colony is threatened with plague. ISC micro-mines " \
	"infested the system. We have developed a way to overcome them, but we must remain within 150,000 kilometers of " \
	"our escort at all times. Our goal is to get to the colony, deliver the medicine, and then return safely.",

	//kMirakStarting_msg,
	"[PLAYER_NAME]: Hunt record, [STARDATE]. Plague threatens our colony in [SYSTEM_NAME]. The ISC has infested " \
	"the system with micro-mines. Our technology can overcome this danger, provided we stay within 150,000 kilometers " \
	"of our escort at all times. Our mission is to get to the colony, deliver the medicine, and return safely. " \
	"Personally, I do not care if the sick die, but the Mirak cannot allow the ISC to tell us where we can and " \
	"cannot go.",

	//kHydStarting_msg,
	"[PLAYER_NAME]: Commander's journal, [STARDATE]. [SYSTEM_NAME] colony is threatened by plague. The ISC has " \
	"infested the system with micro-mines. Our technology can overcome this danger, provided we stay within 150,000" \
	"kilometers of our escort at all times. We must get to the colony, deliver the medicine, and then return safely. " \
	"I am confident of success.",

	//kFreighterWaiting_msg,
	"Freighter Captain: Form up [PLAYER_RANK] we have entered the minefield.",

	//kHelmChatter_msg,
	"Helm: Helm controls are functioning normally.",
	//kEngineerChatter_msg,
	"Engineer: We don't know much about the ISC arsenal; there are rumors that they have weapons that can drain our warp engines.",
	//kSecurityChatter_msg,
	"Security: Data on the ISC is inconclusive, although I hear they use a race called the Korlivilar as shock troops.",
	//kNavigationChatter_msg,
	"Navigation: This minefield worries me.",
	//kWeaponsChatter_msg,
	"Weapons: These mines are designed to react to large objects. Photon torpedos, shuttles, and fighter craft should not be affected.",
	//kCommunicationsChatter_msg,
	"Communications: Communications are working normally. They are not denying access to the colony.",

	//kApproachingProtectionEdge_msg,
	"Science: Warning approaching the edge of the freighters protective screen.",
	//kDoomed_msg,
	"Science: We are doomed, our protective screen is destroyed!",

	//kTransMedSupplies_msg,
	"Science: Medical Supplies have been transfered to the our [SYSTEM_NAME] colony.",
	//kTransSickPersonel_msg,
	"Science: The sick colonists have been transported directly to sick bay.",

	//kDisengage_btn,
	"Disengage",
	//kOrderDisengage_msg,
	"Freighter Captain: [PLAYER_RANK], you had better get in front of me.  When I warp out, so does your " \
	"protection from this minefield.  Plotting disengagement course.",
	//kSetAttackCourse_btn,
	"Set Course",
	//kAwaitingCourse_msg,
	"Freighter Captain: Awaiting orders, [PLAYER_RANK]",
	//kSetDefPlatCourse_btn,
	"Course Def-Platform",
	//kSetMineContCourse_btn,
	"Course Mine Layer",
	//kSetPlanetCourse_btn,
	"Course Planet",
	//kSetCourseDefPlat_msg,
	"Freighter Captain: Setting course for ISC defense platform.",
	//kSetCourseMineCont_msg,
	"Freighter Captain: Setting course for Mine Layer",
	//kSetCoursePlanet_msg,
	"Freighter Captain: Plotting course for [SYSTEM_NAME] colony.",

	//kHail_btn,
	"Hail",
	//kPlanetNoHelp_msg,
	"Governor: The plague is getting worse by the hour. We need you to deliver the medicine and pick up the ill as soon as possible.",
	//kPlanetOK_msg,
	"Governor: Thank you for the medicine, [PLAYER_SHIP_NAME].",
	//kPriObjectiveComp_msg,
	"Science: Primary objective complete, [PLAYER_RANK]",

	//kHailOne_msg,
	"ISC Commander: This is a disputed system. In the name of the ISC, we order you to leave the system at once.",	
	//kHailTwo_msg,
	"ISC Commander: This system is under ISC embargo. Leave now or be destroyed.",
	//kHailThree_msg,
	"ISC Commander: You know this is a restricted system. Leave at once.",

	//kPeace_btn,
	"Offer Peace",
	//kPlease_btn,
	"Allow our Delivery",
	//kPeaceOffer_msg,
	"ISC Commander: If you are sincere, head away from the planet, get within 50,000 km of our defense platform, " \
	"and go to green alert. This act of trust will prove your sincerity. We will then allow you access " \
	"to this system in exchange for a future favor.",	
	//kPlease_msg,
	"ISC Commander: In our opinion, the crisis on the planet has been exaggerated for political purposes. You " \
	"are not welcome here.",
	//kNoResponse_msg,
	"Communications: No response, [PLAYER_RANK]",
	//kFailedToComply_msg,
	"ISC Commander: You have failed to comply with our demands.  In the name of Galactic Peace you now must die",
	//kDiplomacyPrevails_msg,
	"Communications Officer: The ISC Captain is saying that our compliance is accepted. We will be " \
	"allowed to complete our primary mission without interference.",

	//kScannedDefPlatform_msg,
	"Science Officer: ISC Defense Platform scanned. Some unusual technology detected, [PLAYER_RANK].",
	//kScannedMineController_msg,
	"Science Officer: Scan of the Mine Layer complete.",

	//kFedAstoundingVictory_msg,
	"Astounding Victory\n\n" \
	"You succeeded in your primary objective, and did so in a peaceful manner. It's refreshing to achieve a " \
	"mission without a shot being fired.\n\n" \
	"However, we paid a heavy diplomatic price for that. This ISC is becoming more troublesome by " \
	"the day. What in the galaxy were the Organians thinking?",
	//kFedVictory_msg,
	"Victory\n\n" \
	"You succeede in your primary objective.  It is a shame that a peaceful solution could not be " \
	"found.  However, if peace is not possible, we will clean their chronometers.\n\n" \
	"Dismissed.",

	//kKliAstoundingVictory_msg,
	"Astounding Victory\n\n" \
	"You succeeded in all of your mission objectives. The Empire is proud of you this day. Congratulations.\n\n" \
	"This ISC is becoming more troublesome by the day. But the Klingon Empire has dealt with worse.\n\n" \
	"Dismissed.",
	//kKliVictory_msg,
	"Victory\n\n" \
	"You succeeded in your primary and secondary objectives. The only mission failure was not destroying the " \
	"platform, but we'll send another ship into the system to clean it up.\n\n" \
	"This ISC is becoming more troublesome by the day. Blasted Organians, I wish they'd stayed missing!\n\n" \
	"Dismissed.",

	//kRomAstoundingVictory_msg,
	"Astounding Victory\n\n" \
	"You succeeded in all of your mission objectives. You have done honor to the Romulan Star Empire. Superlative work.\n\n" \
	"This ISC is becoming more troublesome by the day. An unknown foe is a terrible one indeed. We will have " \
	"much need for you to in the days to come.\n\n" \
	"Dismissed.",
	//kRomVictory_msg,
	"Victory\n\n" \
	"You succeeded in your primary and secondary objectives. The only mission failure was not scanning " \
	"all ISC installations. We'll live with it. It was only a minor objective.\n\n" \
	"This ISC is becoming more troublesome by the day.\n\n" \
	"Dismissed.",
	//kLyrAstoundingVictory_msg,
	"Astounding Victory\n\n" \
	"You succeeded in all of your mission objectives. The empire is in your debt. It is good to teach the " \
	"ISC what Lyrans warriors can achieve.\n\n"
	"I fear the ISC will need more lessons, and soon. Keep your claws sharp.\n\n"
	"Dismissed.",
	//kLyrVictory_msg,
	"Victory\n\n" \
	"You succeeded in your primary and secondary objectives. The only mission failure was not disabling " \
	"the defense platform. A pity, but a small loss compared to what was achieved.\n\n" \
	"These ISC are becoming pests. Keep your claws sharp.\n\n" \
	"Dismissed.",
	//kGorAstoundingVictory_msg,
	"Astounding Victory\n\n" \
	"You succeeded in all of your mission objectives. I was glad to see our boarding parties were successful " \
	"in capturing an ISC ship; that was remarkable exercise.\n\n" \
	"Dismissed.",
	//kGorVictory_msg,
	"Victory\n\n" \
	"You succeeded in your primary and secondary mission objectives. It was unfortunate you did not board " \
	"an ISC ship and teach the ISC to fear our boarding parties. But that will happen soon enough.\n\n" \
	"Dismissed.",
	//kMirakAstoundingVictory_msg,
	"Astounding Victory\n\n" \
	"We are pleased that our [SYSTEM_NAME] colony was saved.  I am sure your crew found much glory in the " \
	"hunt and capture of the ISC vessel.  We hope that the enemy did suffer too much before their end.\n\n" \
	"Congratulations  on your successful hunt.",
	//kMirakVictory_msg,
	"Victory\n\n" \
	"You saved our [SYSTEM_NAME] colony.  Well done.  It is sad that your hunt was unable to deliver a " \
	"captured ISC vessel...\n\n" \
	"Dismissed.",
	//kHydAstoundingVictory_msg,
	"Astounding Victory\n\n" \
	"You succeeded in all of your mission objectives. I was particularly impressed that you destroyed all of " \
	"the defending ISC ships. That was a nice bit of work.\n\n" \
	"This concludes the debriefing. Go, pray to your gods, and ask them to strengthen us all. We'll need " \
	"it against the ISC's next move.",
	//kHydVictory_msg,
	"Victory\n\n" \
	"You succeeded in your primary and secondary mission objectives. You didn't destroy all of the defending " \
	"ISC ships, but that was only a tertiary objective.\n\n" \
	"This concludes the debriefing. Go, pray to your gods, and ask them to strengthen us all. We'll need " \
	"it against the ISC's next move.",

	// kDevastatingDefeat_msg
	"Devastating Defeat\n\n" \
	"You failed in your primary objective. The medicine never reached the planet. The colony is doomed.\n\n" \
	"Dismissed.",

///////////////////////////////Needs localization after this point//////////////////////////////////////
	//kLeftEarly_msg,
	"Forfeit",

	//kPlayerTeam1Title_msg,
	"Promises to Keep",
#endif
};

