//	<Name>	PlayerTeamShipFreighterDestroyedState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( PlayerTeamShipFreighterDestroyedState_h )
#define PlayerTeamShipFreighterDestroyedState_h

#include "ChildActorState.h"
#include "teamInfo.h"
#include "PlayerTeamShip.h"

class tPlayerTeamShipFreighterDestroyedState : public tChildActorState<tPlayerTeamShip>
{
public:
	enum eTimeIDs
	{
		kStartingMsgID,
		kFreighterWaitingID,
		kCheckDistanceDefensePlatID,
		kDiplomacyID,
		kCheckPlanetDistanceID,
		kFreighterMovingID,
		kCheckDistancePlayerToFreighterID,
		kCheckDistanceToMineControllerID,
		kFreighterDestroyedID,
	};

	tPlayerTeamShipFreighterDestroyedState( );

	virtual void mBeginState();
	virtual void mEndState();

	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnDeath( tShipInfo* ship );
	virtual void mOnDeepScan( tShipInfo* ship, iTruth deepScanOn );

protected:
	eRaceName PlayerRace;
	int32	randomMessage;
	bool	fChatter;
	bool	fSentMedSupplies;
	bool	fGotSickPeople;
	bool	fDeepScanON;
};

#endif

