//	<Name>	PromisesVictory.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "tclient.h"
#include "PromisesVictory.h"
#include "PromisesVictoryState.h"
#include "NormalVictoryState.h"
#include "ScriptInterface.h"
#include "Uni_2Promises.h"

tPromisesVictory::tPromisesVictory()
{
	fPrimaryObjectiveComp = false;
	fDefPlatformScanned   = false;
	fMineControllerScanned = false;
	fFedUsedDiplomacy     = false;
}
tPromisesVictory::tPromisesVictory( tTeamInfo* team )
{
	fPrimaryObjectiveComp = false;
	fDefPlatformScanned   = false;
	fMineControllerScanned = false;
	fFedUsedDiplomacy     = false;
}
void tPromisesVictory::mSetupState()
{
	tTeamInfo*	team1Team = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );

	tPromisesVictoryState* PromisesVictoryState = new tPromisesVictoryState( team1Team, kPlayerTeam, kEnemyTeam, 0, 300, 225, 75, 0, -75 );

	mRegisterState( PromisesVictoryState );
	
	mGotoState( typeid( tPromisesVictoryState ) );	
}


void tPromisesVictory::mSetPrimaryObjectiveComp(bool setValue)
{
	fPrimaryObjectiveComp = setValue;
}
bool tPromisesVictory::mGetPrimaryObjectiveComp()
{
	return fPrimaryObjectiveComp;
}
void tPromisesVictory::mSetDefPlatformScanned(bool setValue)
{
	fDefPlatformScanned = setValue;
}
bool tPromisesVictory::mGetDefPlatformScanned()
{
	return fDefPlatformScanned;
}
void tPromisesVictory::mSetMineControllerScanned(bool setValue)
{
	fMineControllerScanned = setValue;
}
bool tPromisesVictory::mGetMineControllerScanned()
{
	return fMineControllerScanned;
}
void tPromisesVictory::mSetFedDiplomacy(bool setValue)
{
	fFedUsedDiplomacy = setValue;
}
bool tPromisesVictory::mGetFedDiplomacy()
{
	return fFedUsedDiplomacy;
}