//	<Name>	PromisesVictory.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( PromisesVictory_h )
#define PromisesVictory_h

#include "VictoryCondition.h"

class tPromisesVictory : public tVictoryCondition
{
public:
	void mSetupState();
	tPromisesVictory();
	tPromisesVictory( tTeamInfo* team );

	virtual void  mSetPrimaryObjectiveComp(bool setValue);
	virtual bool  mGetPrimaryObjectiveComp();
	virtual void  mSetDefPlatformScanned(bool setValue);
	virtual bool  mGetDefPlatformScanned();
	virtual void  mSetMineControllerScanned(bool setValue);
	virtual bool  mGetMineControllerScanned();
	virtual void  mSetFedDiplomacy(bool setValue);
	virtual bool  mGetFedDiplomacy();

protected:

	bool fPrimaryObjectiveComp;
	bool fDefPlatformScanned;
	bool fMineControllerScanned;
	bool fFedUsedDiplomacy;
};


#endif
