//	<Name>	ISCFreighterBaseState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( ISCFreighterBaseState_h )
#define ISCFreighterBaseState_h

#include "ChildActorState.h"
#include "ISCFreighter.h"

class tISCFreighterBaseState : public tChildActorState<tISCFreighter>
{
public:

	virtual void mOnCapture( tShipInfo* ship );
	virtual void mOnDeath( tShipInfo* ship );
	virtual void mAtDistance( tShipInfo* ship );
	virtual void mAtDestination( tShipInfo* ship );
	virtual void mOnDeepScan( tShipInfo* ship, iTruth deepScanOn );
	virtual void mOnDisengaged( tShipInfo* ship );
	virtual void mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip );
	virtual void mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip );
	virtual void mOnTimedInterval( int32 timerID );

	bool	fScanning;
};

#endif


