//	<Name>	ISCLightCruiserCL.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "ISCLightCruiserCL.h"
#include "ISCLightCruiserCLBaseState.h"
#include "MissionText.h"
#include "ScriptInterface.h"
#include "Uni_3IronCage.h"

tClassAllocator<tISCLightCruiserCL> gISCLightCruiserCLAllocator;

void tISCLightCruiserCL::mSetupState()
{
	mRegisterState( new tISCLightCruiserCLBaseState() );

	mGotoState( typeid( tISCLightCruiserCLBaseState ) );
}

void tISCLightCruiserCL::mSetupCommState()
{
	tTeamInfo*	playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
	Assert( playerTeam );
	if ( !playerTeam )
		return;

	//
	//	Display a random message each time the light cruiser is hailed.
	//
	playerTeam->mRegisterCommMessage( kBaseCommState , kNoStateChange, mGetShipID() , k_HAIL_ISCCL_btn , k_HAIL_ISCCL1_msg , k_HAIL_ISCCL3_msg );
	playerTeam->mRegisterCommMessage( kBaseCommState , kNoStateChange, mGetShipID() , k_DEMANDSURRENDER_ISCCL_btn , k_DEMANDSURRENDER_ISCCL1_msg , k_DEMANDSURRENDER_ISCCL3_msg );

	playerTeam->mGotoCommState( mGetShipID(), kBaseCommState );
}

void tISCLightCruiserCL::mSetupShip()
{}


