//	<Name>	PlayerTeamShip.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "PlayerTeamShip.h"
#include "PlayerTeamShipBaseState.h"

tClassAllocator<tPlayerTeamShip> gPlayerTeamShipAllocator;

tPlayerTeamShip::tPlayerTeamShip() : fHasPrisoners ( false ), fHasSupplies ( false )
{}

void tPlayerTeamShip::mSetupState()
{
	mRegisterState( new tPlayerTeamShipBaseState( ) );

	mGotoState( typeid( tPlayerTeamShipBaseState ) );
}

void tPlayerTeamShip::mSetupCommState()
{}

void tPlayerTeamShip::mSetupShip()
{
	mSetShipCallbackEvents( kNotifyDeepScan );
	mSetShipCallbackEvents( kNotifyDamage );
	mSetShipCallbackEvents( kNotifyBeginTractor );
	mSetShipCallbackEvents( kNotifyEndTractor );
}

bool tPlayerTeamShip::mHasPrisoners( void )
{
	return fHasPrisoners;
}
bool tPlayerTeamShip::mHasSupplies( void )
{
	return fHasSupplies;
}

void tPlayerTeamShip::mSetHasPrisoners( bool x )
{
	fHasPrisoners = x;
}
void tPlayerTeamShip::mSetHasSupplies( bool x )
{
	fHasSupplies = x;
}
