//	<Name>	PlayerTeamShipBaseState.cpp
//
//
//	<Info>	DESCRIPTION
//


#include "PlayerTeam.h"
#include "PlayerTeamShip.h"
#include "MissionText.h"
#include "ScriptInterface.h"
#include "Uni_3IronCage.h"

#include "PlayerTeamShipBaseState.h"


void tPlayerTeamShipBaseState::mBeginState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
	Assert( playerTeam );
	if ( !playerTeam )
		return;
    eRaceName	PlayerRace = playerTeam->mGetRace();

	switch( PlayerRace )
	{
	case kFederation:
		{
			fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kStartFederation_msg, kNonCommScriptMessage );
		}
		break;

	case kKlingon:
		{
			fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kStartKlingon_msg, kNonCommScriptMessage );
		}
		break;

	case kRomulan:
		{
			fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kStartRomulan_msg, kNonCommScriptMessage );
		}
		break;

	case kLyran:
		{
			fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kStartLyran_msg, kNonCommScriptMessage );
		}
		break;

	case kGorn:
		{
			fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kStartGorn_msg, kNonCommScriptMessage );
		}
		break;

	case kMirak:
		{
			fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kStartMirak_msg, kNonCommScriptMessage );
		}
		break;

	case kHydran:
		{
			fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kStartHydran_msg, kNonCommScriptMessage );
		}
		break;
	}
}

void tPlayerTeamShipBaseState::mEndState()
{
}

void tPlayerTeamShipBaseState::mOnTimedInterval( int32 timerID )
{}

void tPlayerTeamShipBaseState::mOnDeath( tShipInfo* ship )
{}

void tPlayerTeamShipBaseState::mOnDisengaged( tShipInfo* ship )
{}

void tPlayerTeamShipBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}

void tPlayerTeamShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}

void tPlayerTeamShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}

void tPlayerTeamShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type, eAccessShipStores_ItemTypes item,
													eAccessShipStores_SubTypes subItem, int32 value )
{}
