//	<Name>	PlayerTeamShipBaseState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( PlayerTeamShipBaseState_h )
#define PlayerTeamShipBaseState_h

#include "ChildActorState.h"
#include "PlayerTeamShip.h"
#include "ShipInfo.h"


class tPlayerTeamShipBaseState : public tChildActorState<tPlayerTeamShip>
{
public:
	enum eTimerIDs
	{
		kChatterID = 1500,
	};

	virtual void mBeginState();
	virtual void mEndState();

	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnDeath( tShipInfo* ship );
	virtual void mOnDisengaged( tShipInfo* ship );

	virtual void mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType );

	virtual void mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value );
	virtual void mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent );
	virtual void mOnShipStoresUpdate( tShipInfo* ship, eShipUpdateType type, eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value );
};

#endif


