/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_4Playtime",

	//kTitle2
	"Zeit zum Spielen\n\n",

	//
	//	Description message
	//
	"",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"Wir haben die Artefakte in dem tiburonischen Frachter analysiert, den Sie gerettet haben, und haben entdeckt, dass sie " \
	"aus dem [SYSTEM_NAME] stammen. Die Objekte sind insofern ungewhnlich, als dass sie ein merkwrdiges Energie- " \
	"muster erzeugen, das unseren Wissenschaftlern vollkommen unbekannt ist.\n" \

	"Ihre Mission ist es nun, das [SYSTEM_NAME]-System nach hnlichen Messdaten und/oder Objekten zu durchsuchen. Sie werden " \
	"auf dieser Reise von einem speziellen Forschungsteam begleitet; wenn Sie einen fr eine Untersuchung potenziell interessanten " \
	"Ort ausfindig machen knnen, beamen Sie sie herunter. Sie knnen mit dem einzigen Planeten der Klasse M " \
	"im System beginnen.\n\nViel Glck.\n",

	//
	//	Starting message
	//
	
	//kCaptainsLog_msg,
	"Logbuch des [PLAYER_RANK], Sternendatum [STARDATE]. Wir sind in [SYSTEM_NAME] angelangt in der Hoffnung, " \
	"den Schleier des Geheimnisses etwas weiter lften zu knnen, der die Artefakte umgibt, die wir krzlich sicher gestellt haben.\n",

	//kSitrep_msg,
	"Erster Offizier: Wir haben das System nun erreicht, [PLAYER_RANK].\n" \

	"Kommunikationsoffizier: [PLAYER_RANK], wir werden von Weltraummonstern gerufen.\n\n",

	//
	//	Debriefing messages
	//
	
	//kDeb_Scanned_And_Rock_msg,
	"Gute Arbeit, [PLAYER_RANK]. Sie haben genau das Richtige getan, als Sie das Forschungsteam auf den " \
	"Asteroiden und nicht auf den Planeten geschickt haben. Deren vorlufiger Bericht ist uerst interessant, und wir " \
	"erwarten in Krze noch sensationellere Daten.\n\n" \
	"Gute Arbeit.\n",
	
	//kDeb_Scanned_And_Planet_msg,
	"[PLAYER_RANK], wenn ich das richtig sehe, hatten Sie Befehl, das Team auf dem Planeten abzusetzen, " \
	"also haben Sie technisch gesehen nichts falsch gemacht. Aber in Anbetracht dessen, was Sie " \
	"mit Ihrem Scan ber den Asteroiden herausgefunden haben, htten wir es vorgezogen, wenn Sie " \
	"das Team stattdessen mit der Prfung des Asteroiden beauftragt htten.\n\nDennoch gute Arbeit.\n",

	//kDeb_BeamedStupid_msg,
	"Sie haben das Forschungsteam WOHIN gebeamt!?\n\n" \
	"Macht nichts, halten Sie sich nicht mit Erklrungen auf. Verschwinden Sie nur aus meinem Bro. Und zwar sofort.\nWegtreten!\n\n",

	//kDeb_BeamedNowhere_msg,
	"Stimmen Sie mit mir berein, dass es im Allgemeinen eine gute Idee ist, Befehle zu befolgen? Ja? Gut. " \
	"Dann knnen Sie mir vielleicht auch verraten, warum Sie das Forschungsteam auf eine Weltraum-Lustfahrt mitgenommen haben, anstatt es " \
	"an einen Ort zu beamen, an dem sie Dinge htten untersuchen knnen?\n\n" \

	"Naja, macht nichts, blo keine Erklrungen. Sehen Sie nur zu, dass Sie mir aus den Augen kommen.\n",

	//kDeb_NoScan_Rock_msg,
	"Hmm. Hier steht, Sie haben das Forschungsteam auf einen Asteroiden anstatt auf den Planeten " \
	"gebeamt, wie es Ihr Befehl war. Wrde es Ihnen etwas ausmachen, das zu erklren? Ich habe jede Menge Zeit.\n\n",

	//kDeb_NoScan_Planet_msg,
	"Nun gut, Sie haben die Befehle buchstabengetreu befolgt, das muss ich Ihnen zugestehen. Aber unsere Analytiker haben " \
	"Ihre Sensoraufzeichnungen geprft, und was sie gefunden haben, spricht dafr, dass Sie den " \
	"Asteroiden in dem System mehr Aufmerksamkeit htten widmen mssen. Es sieht so aus, als htten Sie da drauen etwas Wichtiges bersehen.\n\nWegtreten.\n",

	//kDeb_PlayerDied_msg
	"Ihre Einheiten sind vernichtet worden.\n\n",

	//
	//	Comm buttons
	//
	
	//kButton_Hail
	"RUFEN",

	//
	//	Comm messages
	//
	
	//kHailMonsters_msg
	"Weltraummonster: Hey Jungs, es ist ein Miraker! Kommt, lasst uns Lyraner und Miraker spielen... wir sind die Lyraner!\n" \

	"Erster Offizier: (zu [PLAYER_NAME] gewandt) Ist es ihnen ernst mit dem, was ich glaube, das sie vorhaben?\n" \

	"Wissenschaftsoffizier: Es sieht so aus, als wrden die Monster Waffen scharf machen.\n" \

	"[PLAYER_NAME]: Ich nehme an, das beantwortet Ihre Frage.\n\n",
	
	//
	//	Victory rating
	//

	//	kAstoundingVictory_msg,
	"Groartiger Sieg!\n\n",

	//	kVictory_msg,
	"Sieg!\n\n",

	//	kDraw_msg,
	"Unentschieden\n\n",

	//	kDefeat_msg,
	"Niederlage\n\n",

	//	kDevastatingDefeat_msg,
	"Vernichtende Niederlage\n\n",

	//	kLeftEarly_msg,
	"Mission eingebt\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	
	//kScannedPlanet_msg,
	"Wissenschaftsoffizier: Ich kann wirklich nichts Interessantes auf dem Planeten entdecken, [PLAYER_RANK].\n\n",

	//kScannedNormalRock_msg,
	"Wissenschaftsoffizier: Ein unbedeutender Felsen.\n\n",

	//kScannedSpecialRock_msg,
	"Wissenschaftsoffizier: [PLAYER_RANK], ich empfange Energieabstrahlungen, die denen hneln, die die " \
	"Artefakte erzeugt haben.\n" \

	"Erster Offizier: Das scheint mir ein wesentlich produktiverer Landeplatz fr das Forschungsteam zu sein.\n\n",

	//kMonstersGoToWar_msg,
	"Weltraummonster: Hey! Warum habt ihr das getan? Jetzt kriegen wir wirklich Zoff!\n\n",

	//kMonstersTimeout_msg,
	"Weltraummonster: Wow! Macht mal halblang, wir mssen uns fr eine Minute ausruhen.\n\n",

	//kMonstersFeeding_msg,
	"Science Officer: [PLAYER_RANK], the passive sensors are reading an odd pattern coming from " \
	"that space creature. I recommend a full scan to determine what these readings mean.\n\n",

	//kMonstersDoneFeeding_msg,
	"Weltraummonster: OK, das machen wir gleich nochmal!\n\n",

	//kBeamToPlanet_msg,
	"Chief Transporter: Forschungsteam abgesetzt, [PLAYER_RANK].\n\n",

	//kBeamToSpecialRock_msg,
	"Chief Transporter: Forschungsteam abgesetzt, [PLAYER_RANK].\n\n",

	//kBeamSomewhereStupid_msg,
	"Chief Transporter: Forschungsteam abgesetzt, [PLAYER_RANK].\n" \

	"Erster Offizier: Das scheint aber ein merkwrdiger Platz fr das Absetzen eines Forschungsteams zu sein, [PLAYER_RANK].\n\n",

	//kScannedMonster1_msg,
	"Wissenschaftsoffizier: Meine Scans deuten darauf hin, dass es sich bei diesen Monstern um Kinder handelt.\n" \
	
	"Erster Offizier: Naja, sie haben gesagt, sie wollen 'spielen'.\n\n",
	
	//kScannedMonster2_msg,
	"Wissenschaftsoffizier: Meine Scans deuten darauf hin, dass es sich bei diesen Monstern um Kinder handelt.\n" \
	
	"Erster Offizier: Naja, sie haben gesagt, sie wollen 'spielen'.\n\n",

	//kScannedFeedingMonster_msg,
	"Wissenschaftsoffizier: Das ist unglaublich...\n" \

	"[PLAYER_NAME]: Was ist?\n" \

	"Wissenschaftsoffizier: Die Monster beginnen sich zu regenerieren, wenn sie sich in der Umlaufbahn dieses Asteroiden befinden.\n\n",

	//
	//	Custom messages
	//

	//kScanning_msg
	"Wissenschaftsoffizier: Scanne...\n\n",

#else
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_4Playtime",

	//kTitle2
	"Playtime",

	//
	//	Description message
	//
	"",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"We've analyzed the artifacts in the Tiburon freighter you recovered, and have discovered they " \
	"originate from [SYSTEM_NAME]. The objects are unusual in that they are generating an odd energy " \
	"pattern; one our scientists are unfamiliar with.\n" \

	"Your mission is to investigate [SYSTEM_NAME] for similar readings and/or objects. You'll " \
	"be accompanied by a special survey team on this trip; if you should find a potentially interesting " \
	"location for them to investigate, beam them down. You might start with the single class M planet " \
	"in the system.\n\nGood Luck.\n",

	//
	//	Starting message
	//
	
	//kCaptainsLog_msg,
	"[PLAYER_RANK]'s Log, stardate [STARDATE]. We've arrived in [SYSTEM_NAME] in the hopes of " \
	"unraveling part of the mystery surrounding the artifacts we recently recovered.\n",

	//kSitrep_msg,
	"First Officer: Entering the system now, [PLAYER_RANK].\n" \

	"Communications: [PLAYER_RANK], we're being hailed by the space monsters.\n\n",

	//
	//	Debriefing messages
	//
	
	//kDeb_Scanned_And_Rock_msg,
	"Good work, [PLAYER_RANK]. You did the right thing in sending the survey team to the " \
	"asteroid rather than to the planet. Their preliminary report is very interesting, and we " \
	"expect even more exciting data soon.\n\n" \
	"Good job.\n",
	
	//kDeb_Scanned_And_Planet_msg,
	"[PLAYER_RANK], I understand your orders were to place the team on your planet, " \
	"so technically you didn't do anything wrong. But considering what you found out " \
	"about that asteroid with your scan, we would have preferred if you had sent the " \
	"team to investigate that rock instead.\n\n.Good job.\n",

	//kDeb_BeamedStupid_msg,
	"You beamed the survey team WHERE!?\n\n" \
	"Never mind, don't bother explaining. Just get out of my office. Now.\n\nDismissed!\n",

	//kDeb_BeamedNowhere_msg,
	"Would you agree that it's generally a good idea to follow orders? Yes? Good. " \
	"Then perhaps you can tell me why you took the survey team for space cruise rather than " \
	"beaming them someplace where they could survey things?\n\n" \

	"Never mind; don't explain. Just get out.\n",

	//kDeb_NoScan_Rock_msg,
	"Hmm. It says here you beamed the survey team down to an asteroid instead of the planet " \
	"you were ordered to beam them to. Care to explain why? I have all day.\n\n",

	//kDeb_NoScan_Planet_msg,
	"Well, you followed orders to the letter, I have to give you that. But our analysts have gone over " \
	"your sensor records, and their findings indicate that you might have paid closer attention to the " \
	"asteroids in that system. Looks like you missed something important out there.\n\nDismissed.\n",

	//kDeb_PlayerDied_msg
	"Your forces were destroyed.\n\n",

	//
	//	Comm buttons
	//
	
	//kButton_Hail
	"HAIL",

	//
	//	Comm messages
	//
	
	//kHailMonsters_msg
	"Space Monsters: Let's play Lyran and Mirak... we'll be the Mirak!\n" \

	"First Officer: Do they mean what I think they do?\n" \

	"Science Officer: The monsters appear to be charging weapons.\n" \

	"[PLAYER_NAME]: I guess that answers your question.\n\n",
	
	//
	//	Victory rating
	//

	//	kAstoundingVictory_msg,
	"Astounding Victory!\n\n",

	//	kVictory_msg,
	"Victory!\n\n",

	//	kDraw_msg,
	"Draw\n\n",

	//	kDefeat_msg,
	"Defeat\n\n",

	//	kDevastatingDefeat_msg,
	"Devastating Defeat\n\n",

	//	kLeftEarly_msg,
	"Forfeit\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	
	//kScannedPlanet_msg,
	"Science Officer: I'm not really detecting anything interesting on the planet, [PLAYER_RANK].\n\n",

	//kScannedNormalRock_msg,
	"Science Officer: An unremarkable rock.\n\n",

	//kScannedSpecialRock_msg,
	"Science Officer: [PLAYER_RANK], I'm detecting energy readings similar to those generated by the " \
	"artifacts.\n" \

	"First Officer: This might be a more productive place to land the survey team.\n\n",

	//kMonstersGoToWar_msg,
	"Space Monsters: Hey! What did you do that for? Now we're fighting for real!\n\n",

	//kMonstersTimeout_msg,
	"Space Monsters: Whoa! Hold on there, we need to rest for a minute.\n\n",

	//kMonstersFeeding_msg,
	"Science Officer: [PLAYER_RANK], the passive sensors are reading an odd pattern coming from " \
	"that space creature. I recommend a full scan to determine what these readings mean.\n\n",

	//kMonstersDoneFeeding_msg,
	"Space Monsters: Ok, let's do that again!\n\n",

	//kBeamToPlanet_msg,
	"Transporter Chief: Survey team away, [PLAYER_RANK].\n\n",

	//kBeamToSpecialRock_msg,
	"Transporter Chief: Survey team away, [PLAYER_RANK].\n\n",

	//kBeamSomewhereStupid_msg,
	"Transporter Chief: Survey team away, [PLAYER_RANK].\n" \

	"First Officer: That seems an odd place to send the team, [PLAYER_RANK].\n\n",

	//kScannedMonster1_msg,
	"Science Officer: My scans indicate that these monsters are children.\n" \
	
	"First Officer: Well, they did say they wanted to \"play\".\n\n",
	
	//kScannedMonster2_msg,
	"Science Officer: My scans indicate that these monsters are children.\n" \
	
	"First Officer: Well, they did say they wanted to \"play\".\n\n",

	//kScannedFeedingMonster_msg,
	"Science Officer: This is incredible...\n" \

	"[PLAYER_NAME]: What is?\n" \

	"Science Officer: The monsters appear to be regenerating as they orbit that asteroid.\n\n",

	//
	//	Custom messages
	//

	//kScanning_msg
	"Science Officer: Scanning...\n\n",
#endif
};



