//	<Name>	LegendaryCaptainTeamShip.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Uni_4Resolve.h"
#include "LegendaryCaptainTeamShip.h"
#include "LegendaryCaptainTeamShipInitialState.h"

#include "MissionText.h"

tClassAllocator<tLegendaryCaptainTeamShip> gLegendaryCaptainTeamShipAllocator;

void tLegendaryCaptainTeamShip::mSetupState()
{
	mRegisterState( new tLegendaryCaptainTeamShipInitialState() );

	mGotoState( typeid( tLegendaryCaptainTeamShipInitialState ) );
}

void tLegendaryCaptainTeamShip::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
	
	playerTeam->mRegisterCommMessage( kHailOrSurrenderEarlyCommState, kNoStateChange, mGetShipID(), kHail_btn, 	kHailLegend1_msg, kHailLegend3_msg );
	playerTeam->mRegisterCommMessage( kHailOrSurrenderEarlyCommState, kNoStateChange, mGetShipID(), kDemandSurrender_btn, kDemandLegendEarly1_msg, kDemandLegendEarly3_msg );

	playerTeam->mRegisterCommMessage( kHailOrSurrenderLateCommState, kNoStateChange, mGetShipID(), kHail_btn, 	kHailLegend1_msg, kHailLegend3_msg );
	playerTeam->mRegisterCommMessage( kHailOrSurrenderLateCommState, kNoStateChange, mGetShipID(), kDemandSurrender_btn, kDemandLegendLate1_msg, kDemandLegendLate3_msg );

	playerTeam->mGotoCommState( mGetShipID(), kHailOrSurrenderEarlyCommState );
}
void tLegendaryCaptainTeamShip::mSetupShip()
{
	mSetShipCallbackEvents( kNotifyDamage );
}

