//	<Name>	LegendaryCaptainTeamShipInitialState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( LegendaryCaptainTeamShipInitialState_h )
#define LegendaryCaptainTeamShipInitialState_h

#include "ChildActorState.h"
#include "teamInfo.h"
#include "LegendaryCaptainTeamShip.h"

class tLegendaryCaptainTeamShipInitialState : public tChildActorState<tLegendaryCaptainTeamShip>
{
public:
	enum eTimeIDs
	{
		kFreighterDestroyed
	};

	tLegendaryCaptainTeamShipInitialState( );

	virtual void mBeginState();
	virtual void mEndState();
	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnDeath( tShipInfo* ship );
	virtual void mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType );
	virtual void mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip );

protected:

};

#endif

