//	<Name>	MissionText.cpp
//
//	<Info>	DESCRIPTION
//

#include "tclient.h"
#include "MissionText.h"

//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------

std::string Messages[] =
{
#ifdef _GERMAN

	// kMissionTitle_msg
	"Uni_4Resolve",

	//kShortBriefing_msg,
	"Wir sind es leid, uns weiterhin die Anfechtungen vom ISK gefallen zu lassen, daher schicken wir Sie aus, um uns endlich zur Wehr zu setzen.\n\n" \
	"Das ISK besitzt eine Basis im [SYSTEM_NAME]-Sektor. Unser Geheimdienst hat herausgefunden, dass sie ber vier Schiffstender " \
	"in diesem System verfgen. Phase Eins der Operation umfasst die Zerstrung dieser Schiffswerften. Auerdem haben wir ein Ass im rmel; ein " \
	"eroberter ISK-Frachter, der mit Antimaterie beladen ist. Bringen Sie diesen Frachter in das Herz der Schiffswerften, rufen Sie " \
	"ihn, und geben Sie dann den Detonationsbefehl. Er ist unbemannt, daher wird es auf unserer Seite keine Verluste geben. Nachdem der Frachter detoniert ist, " \
	"bringen Sie den Auftrag zu Ende.\n\n" \
	"Fahren Sie dann mit dem zweiten Teil der Operation fort. Irgendwo auf dem Planeten befindet sich eine ISK-Basis. Wir haben " \
	"ein Infiltrationsteam auf Ihr Schiff abkommandiert, das Daten von der Basis sammeln soll. Finden Sie die Position der " \
	"Basis, und beamen Sie das Team nach unten. Rufen Sie die Basis, um dem Team einen Befehl zu erteilen. Deren Zeit auf der Oberflche " \
	"wird kurz bemessen sein, also nutzen Sie sie nach besten Krften.\n\n" \
	"Wegtreten.",

	// kFedBriefing_msg
	">Zerstren Sie die Schiffswerften, ermitteln Sie die Position der ISK-Basis, und beamen Sie die Infiltrationseinheit nach unten, um Daten zu sammeln.<" \
	"Wir sind es leid, uns weiterhin die Anfechtungen vom ISK gefallen zu lassen, daher schicken wir Sie aus, um uns endlich zur Wehr zu setzen.\n\n" \
	"Das ISK besitzt eine Basis im [SYSTEM_NAME]-Sektor. Unser Geheimdienst hat herausgefunden, dass sie ber vier Schiffstender " \
	"in diesem System verfgen. Phase Eins der Operation umfasst die Zerstrung dieser Schiffswerften. Auerdem haben wir ein Ass im rmel; ein " \
	"eroberter ISK-Frachter, der mit Antimaterie beladen ist. Bringen Sie diesen Frachter in das Herz der Schiffswerften, rufen Sie " \
	"ihn, und geben Sie dann den Detonationsbefehl. Er ist unbemannt, daher wird es auf unserer Seite keine Verluste geben. Nachdem der Frachter detoniert ist, " \
	"bringen Sie den Auftrag zu Ende.\n\n" \
	"Fahren Sie dann mit dem zweiten Teil der Operation fort. Irgendwo auf dem Planeten befindet sich eine ISK-Basis. Wir haben " \
	"ein Infiltrationsteam auf Ihr Schiff abkommandiert, das Daten von der Basis sammeln soll. Finden Sie die Position der " \
	"Basis, und beamen Sie das Team nach unten. Rufen Sie die Basis, um dem Team einen Befehl zu erteilen. Deren Zeit auf der Oberflche " \
	"wird kurz bemessen sein, also nutzen Sie sie nach besten Krften.\n\n" \
	"Wegtreten.",
	//kKlingonBriefing_msg,
	">Zerstren Sie die Schiffswerften und das Schiff von ISK-Captain Marinus.<" \
	"Diese Leute vom ISK haben keine Ehre im Leib und mssen gestoppt werden. Sogar die Fderation erstrahlt im Vergleich mit diesen kriminellen Besserwissern in einem besseren Licht. " \
	"Es ist an der Zeit, sie aus ihren Lchern zu locken, und Sie werden den ersten Angriff fhren.\n\n" \
	"Das ISK besitzt eine Basis im [SYSTEM_NAME]-Sektor. Unsere Informationsquellen berichten, dass sie ber vier Schiffstender in dem " \
	"System verfgen. Phase Eins der Operation umfasst die Zerstrung dieser Schiffswerften. Wir werden Ihnen einen eroberten ISK-Frachter mitgeben, " \
	"der mit Antimaterie beladen ist. Bringen Sie diesen Frachter in das Herz der Schiffswerften, rufen Sie ihn, " \
	"und geben Sie den Detonationsbefehl. Er ist unbemannt, daher wird es auf klingonischer Seite keine Verluste geben. Zerstren Sie dann alles, was noch brig geblieben ist.\n\n" \
	"Nachdem die Schiffswerften abgehakt sind, machen Sie sich an den zweiten Teil der Operation. Irgendwo in der Nhe des Systems hlt sich ein Schiff auf, " \
	"das von einem Captain Marinus gefhrt wird, einem der besten Offiziere des ISKs. Locken Sie Marinus aus seiner Deckung, tten Sie ihn, und kehren Sie dann in den " \
	"klingonischen Raum zurck.\n\n" \
	"Wegtreten.",
	//kRomulanBriefing_msg,
	">Zerstren Sie die Schiffswerften, ermitteln Sie die Position der ISK-Basis, und beamen Sie die Tal Shiar-Spezialistin in die Basis, um Informationen zu sammeln.<" \
	"Uns drstet nach Vergeltung gegenber dem ISK, und Sie werden das Instrument des romulanischen Imperiums sein.\n\n" \
	"Das ISK besitzt eine Basis im [SYSTEM_NAME]-Sektor. Unser Geheimdienst hat herausgefunden, dass sie ber vier Schiffstender " \
	"in diesem System verfgen. Phase Eins der Operation umfasst die Zerstrung dieser Schiffswerften. Wir werden Ihnen einen eroberten ISK- " \
	"Frachter mitgeben, der mit Antimaterie beladen ist. Bringen Sie diesen Frachter in das Herz der Schiffswerften, rufen Sie ihn, und " \
	"geben Sie dann den Detonationsbefehl. Hiermit sollte sich reichlich Schaden anrichten lassen. Zerstren Sie alles, was brig bleibt, und fahren Sie dann mit dem zweiten " \
	"Teil der Operation fort.\n\n" \
	"Irgendwo im System befindet sich eine ISK-Basis. Wir stellen eine Tal Shiar-Infiltrationsspezialistin unter Ihr Kommando, um in die Basis einzudringen " \
	"und Informationen zu sammeln. Wenn Sie die Basis gefunden haben, beamen Sie die Agentin mit der Transporter-Steuerung auf die Oberflche, " \
	"und rufen Sie dann die Basis, um ihr einen Befehl zu erteilen. Sie hat nur einen einzigen Versuch zur Verfgung, also machen Sie das Beste daraus.\n\n" \
	"Wegtreten.",
	//kLyranBriefing_msg,
	">Zerstren Sie die Schiffswerften, ermitteln Sie die Position der ISK-Basis, und beamen Sie die Infiltrationseinheit nach unten, um Daten zu sammeln.<" \
	"Dieses ISK ist ein arroganter Haufen, dem eine nachhaltige Lektion erteilt werden muss. Und Sie werden ihr Lehrmeister sein.\n\n" \
	"Das ISK besitzt eine Basis im [SYSTEM_NAME]-Sektor. Unser Geheimdienst hat herausgefunden, dass sie ber vier Schiffstender " \
	"in diesem System verfgen. Phase Eins der Operation umfasst die Zerstrung dieser Schiffswerften. Wir werden Ihnen einen eroberten ISK-Frachter mitgeben, " \
	"der mit Antimaterie beladen ist. Bring' diesen Frachter in das Herz der Schiffswerften, rufe ihn, und " \
	"erteile dann den Detonationsbefehl. Hiermit sollte sich reichlich Schaden anrichten lassen. Zerstre alles, was brig bleibt, und fahre dann mit dem zweiten " \
	"Teil der Operation fort.\n\n" \
	"Irgendwo im System befindet sich eine ISK-Basis. Wir stellen ein Pirschjger-Infiltrationsteam unter Ihr Kommando, um die Basis zu infiltrieren und " \
	"Beispiele fr ihre Technologie zu sammeln. Wenn Sie die Basis gefunden haben, beamen Sie das Team mit der Transporter-Steuerung auf die Oberflche, " \
	"und rufen dann die Basis, um dem Team Befehle zu erteilen. Sie haben nur diesen einen Versuch zur Verfgung, also machen Sie das Beste daraus.\n\n" \
	"Wegtreten.",
	//kGornBriefing_msg,
	">Zerstren Sie die Schiffswerften und das Schiff von ISK-Captain Marinus.<" \
	"Das ISK hat die Konfderation nun endgltig zu lange geplagt. Es ist an der Zeit, sie zu zerschmettern, diese verdorbenen Gerippe, " \
	"die sich selbst als 'Friedenshter' bezeichnen.\n\n" \
	"Das ISK besitzt eine Basis im [SYSTEM_NAME]-Sektor, sowie vier Schiffstender. Phase Eins der " \
	"Operation befasst sich mit der Zerstrung dieser Schiffswerften. Wir werden Ihnen einen eroberten ISK-Frachter mitgeben, der mit " \
	"Antimaterie-Bomben beladen ist. Bringen Sie diesen Frachter in das Herz der Schiffswerften, rufen Sie ihn, und " \
	"geben Sie dann den Detonationsbefehl. Zerstren Sie dann alles, was noch brig geblieben ist.\n\n" \
	"Nachdem die Schiffswerften abgehakt sind, machen Sie sich an den zweiten Teil der Operation. Irgendwo in der Nhe des Systems " \
	"befindet sich ein Schiff, das von einem Captain Marinus gefhrt wird, einem der besten Offiziere des ISKs. Locken Sie Marinus aus der Deckung, tten Sie " \
	"ihn, und kehren Sie dann in den Raum der Gorn zurck." \
	"Wegtreten. Und viel Glck.",
	//kMirakBriefing_msg,
	">Zerstren Sie die Schiffswerften, und zerstren Sie das Schiff von ISK-Captain Marinus.<" \
	"Das ISK plagt die Hegemonie schon viel zu lange. Eher wrde ich mit einem Lyraner speisen als mich deren " \
	"Verstndnis von Pazifismus anzuschlieen. Und so wrde jeder ordentliche Miraker handeln.\n\n" \
	"Das ISK besitzt eine Basis im [SYSTEM_NAME]-Sektor, sowie vier Schiffstender. Phase Eins der Operation " \
	"befasst sich mit der Zerstrung dieser Schiffswerften. Wir werden Ihnen einen eroberten ISK-Frachter mitgeben, der mit " \
	"Antimaterie-Bomben beladen ist. Bringen Sie diesen Frachter in das Herz der Schiffswerften, rufen Sie ihn, und geben Sie dann " \
	"den Detonationsbefehl. Zerstren Sie dann alles, was noch brig geblieben ist.\n\n" \
	"Nachdem die Schiffswerften abgehakt sind, machen Sie sich an den zweiten Teil der Operation. Irgendwo in der Nhe des Systems " \
	"befindet sich ein Schiff, das von einem Captain Marinus gefhrt wird, einem der besten Offiziere des ISKs. Locken Sie Marinus aus der Deckung, tten " \
	"Sie ihn, und kehren Sie dann in den mirakischen Raum zurck.\n\n" \
	"Wegtreten. Und viel Glck.",
	//kHydranBriefing_msg,
	">Zerstren Sie die Schiffswerften, ermitteln Sie die Position der ISK-Basis, und beamen Sie die Infiltrationseinheit nach unten, um Daten zu sammeln.<" \
	"Das ISK wre lngst nicht so unertrglich, wenn sie uns etwas erzhlen wrden, was wir nicht schon lngst wissen. Wie es aussieht, " \
	"ist die Friedenskampagne des ISKs eine reine Farce, der ein Ende bereitet werden muss.\n\n" \
	"Unser Ziel ist eine ISK-Schiffswerft im [SYSTEM_NAME]-Sektor. Phase Eins der Operation umfasst die Zerstrung dieser " \
	"Schiffswerften. Sie erhalten einen eroberten ISK-Frachter, der mit Antimaterie beladen ist. Bringen Sie diesen in das Herz der " \
	"Schiffswerften, rufen Sie ihn, und geben Sie dann den Detonationsbefehl. Er ist unbemannt, daher wird es auf unserer Seite keine Verluste geben. Nachdem der " \
	"Frachter detoniert ist, bringen Sie den Job zu Ende, indem Sie alle Schiffstender zerstren.\n\n" \
	"Wir haben ein Infiltrationsteam auf Ihr Schiff abkommandiert. Deren Mission ist es, in die ISK-Basis zu gelangen, die sich " \
	"irgendwo auf dem Planeten befindet, und sich wichtige ISK-Invasionsdaten anzueignen. Sie mssen die Position " \
	"der Basis ermitteln und das Team dann nach unten beamen, sodass die Leute ihren Job erledigen knnen. Nachdem sich das Team auf dem Planeten befindet, nehmen Sie Kontakt " \
	"mit ihm auf, indem Sie die Basis rufen und ihnen dann Anweisungen geben. Seien Sie schnell, deren Schicksal und das unsere hngt von diesem " \
	"kleinen Zeitfenster der Gelegenheit ab.\n\n" \
	"Wegtreten.",
	
	//kPlanet_name,
	"[SYSTEM_NAME] III",

	//kFedStarting_msg,
	"[PLAYER_NAME]: Logbuch des Captains, Sternendatum [STARDATE]. Wir befinden uns jetzt in [SYSTEM_NAME]. Unsere Primrmission besteht darin, " \
	"die ISK-Schiffswerften zu zerstren und zu verhindern, dass sie weiterhin unseren Raum terrorisieren. Unsere sekundre Mission lautet, den " \
	"nahegelegenen ISK-Planeten zu bombardieren und alle Basen und Verteidigungseinrichtungen auszuradieren.",
	//kKliStarting_msg,
	"[PLAYER_NAME]: Kriegsbericht, [STARDATE]. Wir wurden nach [SYSTEM_NAME] beordert, um Schiffswerften des ISKs zu zerstren. " \
	"Unsere sekundre Mission besteht darin, Marinus, einen legendren Commander des ISKs, aus der Deckung zu locken und ihn im Kampf zu besiegen. Dies ist " \
	"eine gute Gelegenheit, um groen Ruhm zu erwerben und glorreiche Schlachten zu schlagen.",
	//kRomStarting_msg,
	"[PLAYER_NAME]: Bericht des romulanischen Imperiums, [STARDATE]. Die ISK-Schiffswerften in [SYSTEM_NAME] haben " \
	"Schiffe produziert, die das romulanische Imperium mit Terror berzogen haben. Unsere Pflicht ist es, diese Schiffswerften auszuradieren. Darber hinaus " \
	"sind wir beauftragt, eine ISK-Basis zu finden und eine Tal Shiar-Agentin einzuschleusen, die die Geheimnisse des ISKs aufdecken soll.",
	//kLyrStarting_msg,
	"[PLAYER_NAME]: Journal des Commanders, lyranisches Imperium, [STARDATE]. Die ISK-Schiffswerften in [SYSTEM_NAME] sind " \
	"schon zu lange ein Stachel im Fleisch des Dukes. Unsere Mission ist es, diesen Stachel nun zu ziehen. Darber hinaus haben " \
	"wir eine zweite Aufgabe: Wir mssen eine ISK-Basis finden und ein Pirschjger-Team einschleusen, das technische Daten " \
	"des ISKs besorgen soll.",
	//kGorStarting_msg,
	"[PLAYER_NAME]: Logbuch des Commanders, [STARDATE]. Die ISK-Schiffswerften in [SYSTEM_NAME] mssen ausradiert werden. Diese " \
	"Rabenkrhen haben kein Recht, an unseren Grenzen herumzulungern. Unsere zweite Aufgabe besteht darin, Marinus, einen legendren ISK- " \
	"Commander, aus der Deckung zu locken und ihn im Kampf zu schlagen. Ich habe gehrt, er ist so eine Art Sumpfbewohner. Ich habe noch nie vorher " \
	"einen wie diesen gettet.",
	//kMirakStarting_msg,
	"[PLAYER_NAME]: Jagdbericht, [STARDATE]. Die ISK-Schiffswerften in [SYSTEM_NAME] mssen ausradiert werden, diese Pazifisten " \
	"haben kein Recht, an unseren Grenzen herumzulungern. Unsere zweite Aufgabe besteht darin, Marinus, einen legendren ISK- " \
	"Commander, aus der Deckung zu locken und ihn im Kampf zu schlagen. Ich persnlich sehe ja nicht, wie irgend so ein 'Fischmann' fr einen mirakischen " \
	"Jger auch nur einen Hauch von Herausforderung darstellen soll. Ich erwarte, ihn mit Leichtigkeit zu schlagen.",
	//kHydStarting_msg,
	"[PLAYER_NAME]: Journal des Commanders, [STARDATE]. Unsere Primrmission besteht darin, ISK-Schiffswerften zu zerstren und " \
	"zu verhindern, dass sie unseren Raum weiterhin mit Terror berziehen. . Als Sekundrmission sollen wir den in der Nhe gelegenen ISK-Planeten bombardieren "  \
	"und alle Basen und Verteidigungseinrichtungen in Schutt und Asche legen. Wir gehen davon aus, dass wir in der Minderzahl sein werden, aber das ist ja nichts Ungewhnliches. Vielleicht " \
	"werden wir ja eines Tages einmal positiv berrascht werden.",

	//	kStarting2_msg,
	"Wissenschaftsoffizier: Ich empfehle, auf groe Entfernung zu dem Frachter zu gehen, bevor er zur Detonation gebracht wird. Ich erwarte " \
	"groe Schden im Umkreis von 300.000 km.",

	//kDestruct_btn,
	"Zerstren",
	//kAffirmative_msg,
	"Kommunikationsoffizier: Zerstrungsbefehl vom Frachter empfangen und ausgefhrt.",

	//kHail_btn,
	"Rufen",
	//kDemandSurrender_btn,
	"Kapitulation fordern",
	//kHailISC1_msg,
	"Commander des ISK: Wir wissen, warum Sie hier sind. Sie werden nicht berleben.",
	//kHailISC2_msg,
	"Commander des ISK: Sie sind in der Minderzahl und schlechter bewaffnet. Sie werden nicht lebend aus diesem System entkommen.",
	//kHailISC3_msg,
	"Commander des ISK: Sie dringen widerrechtlich in den Raum des ISKs ein. Dies ist Ihre Beerdigung, Kriegshetzer.",
	//kDemandISC1_msg,
	"Commander des ISK: Das wre eine Fahrlssigkeit. Niemals.",
	//kDemandISC2_msg,
	"Commander des ISK: Das ISK kapituliert nicht gegenber Primitivlingen. Besser der Tod als das, was uns bei Euch erwartet.",
	//kDemandISC3_msg,
	"Commander des ISK: Wenn wir es geringeren Spezies wie Ihnen erlauben, einen Narren aus uns zu machen, wird niemand uns mehr ernst nehmen.",
	//kHailLegend1_msg,
	"Commander des ISK: Prima, jemand, mit dem man sich fetzen kann. Ich habe gehrt, ihr Kriegshetzer httet sogar ein wenig Hirn.",
	//kHailLegend2_msg,
	"Commander des ISK: Hier spricht Captain Marinus. Willkommen in [SYSTEM_NAME]. Allerdings werden Sie hier nicht mehr lebend rauskommen.",
	//kHailLegend3_msg,
	"Commander des ISK: Hier spricht Captain Marinus. Und Du, mein Freund, hast Dir jetzt ein Problem angelacht.",
	//kDemandLegendEarly1_msg,
	"Commander des ISK:  Es tut mir leid, dass Sie so schlecht von mir denken, [PLAYER_RANK]. Vielleicht kann ich Ihre Meinung ja verbessern.",
	//kDemandLegendEarly2_msg,
	"Commander des ISK: Ich enttusche Sie nur ungern, [PLAYER_RANK], aber die Antwort ist definitiv Nein.",
	//kDemandLegendEarly3_msg,
	"Commander des ISK: Ich habe das Blutbad gesehen, das Sie angerichtet haben: Tod und Zerstrung, und Sie haben gut " \
	"auf sich aufgepasst. Aber nicht gut genug.",
	//kDemandLegendLate1_msg,
	"Sie sind auf der Suche nach einem Feigling. Aber ich versichere Ihnen, auf diesem Schiff werden Sie keinen finden!",
	//kDemandLegendLate2_msg,
	"Commander des ISK: Forderungen? Ich bin nur ein Raumschiffcaptain. Alle formellen Forderungen mssen ber " \
	"diplomatische Kanle eingereicht werden.",
	//kDemandLegendLate3_msg,
	"Commander des ISK: Wir sollen uns ergeben? Jetzt, wo es gerade interessant wird? Sind Sie jetzt vollkommen bergeschnappt?",

	//kLocatedBase_msg,
	"Wissenschaft: Wir haben die Position der ISK-Basis auf dem Planeten geortet. Das Infiltrationsteam ist " \
	"am Start und bereit, heruntergebeamt zu werden.",
	//kRomInfiltratorArrived_msg,
	"Sicherheitsoffizier: Tal Shiar-Agentin vor Ort. Rufen Sie einfach den Planeten, um ihr Instruktionen zu geben.",
	//kLyrInfiltratorArrived_msg,
	"Sicherheitsoffizier: Pirschjger-Team vor Ort. Der Commander sagt, sie erwartet Befehle. Rufen Sie einfach " \
	"den Planeten, um Kontakt zu ihr herzustellen.",
	//kFedHydInfiltratorArrived_msg,
	"Sicherheitsoffizier: Infiltrationsteam vor Ort. Rufen Sie einfach den Planeten, um ihnen Instruktionen zu geben.",
	//kRaid_btn,
	"Datenbnke plndern",
	//kRaidComplete_msg,
	"Sicherheitsoffizier: Daten zu ISK-Aktivitten werden abgerufen. Sehr ntzlich ... warten Sie, sie wurden " \
	"entdeckt, [PLAYER_RANK]. Ich befrchte, unsere Agenten sind tot.",
	//kWaitedToLong_msg,
	"Sicherheitsoffizier: [PLAYER_RANK], das ISK hat das Infiltrationsteam entdeckt und gettet.\n\n"
	"Sekundres Missionsziel nicht erfllt",

	//kRogerWilco_msg,
	"Infiltrationsteam: Positiv, wir sind bei der Arbeit...",

	//kPrimaryObjectiveComplete,
	"Wissenschaftsoffizier: Alle Docks zerstrt oder erobert. Primrziel erreicht.",
	//kSecondaryObjectiveComplete,
	"Wissenschaftsoffizier: Sekundrziel erreicht, [PLAYER_RANK].",

	//kFedHydAstoundingVictory_msg,
	"Groartiger Sieg\n\n" \
	"Eine hervorragend durchgefhrte Mission. Die ISK-Schiffswerften stehen in Flammen, und wir waren aufgrund des Opfertodes unserer Infiltrationsteams in der Lage, einige sehr wertvolle " \
	"Informationen zu sammeln. Das wird sie lehren, sich mit den [PLAYER_RACE] anzulegen.\n\n" \
	"Die Galaxis hat genug von ihrer Einmischung. Wir sind in die Offensive gegangen, und wir werden in der " \
	"Offensive bleiben, bis sie geschlagen sind.\n\n" \
	"Wegtreten.",
	//kFedHydVictory_msg,
	"Sieg\n\n" \
	"Sie haben es geschafft, die ISK-Schiffswerften zu zerstren, aber ich sehe, dass es Ihnen nicht gelungen ist, das sekundre " \
	"Ziel zu erreichen, dabei hatten wir so viel Hoffnung in die Daten aus ihren Datenbanken gesetzt. Wir sind stolz auf das, was Sie " \
	"erreicht haben, aber wir wrden uns wnschen, Sie htten mehr erreichen knnen.\n\n" \
	"Wegtreten.",
	//kFedHydDraw_msg,
	"Unentschieden\n\n" \
	"Ihr Infiltrationsteam hat es geschafft, einige sehr ntzliche Daten heimzubringen. Allerdings haben Sie es nicht geschafft, " \
	"Ihr Primrziel zu erreichen, einige der Schiffswerften sind noch intakt. Das ist sehr bedauerlich.\n\n" \
	"Wegtreten.",
	//kFedHydDkDevastatingDefeat_msg,
	"Vernichtende Niederlage\n\n" \
	"Sie wurden ausgesandt, um die ISK-Schiffswerften zu zerstren. Am Ende der Mission waren jedoch immer noch einige " \
	"davon intakt. Darber hinaus konnten Sie und das Infiltrationsteam keine Daten sammeln. Das ist eine groe " \
	"Enttuschung und wird Eingang in Ihre Akten finden.\n\n" \
	"Wegtreten.",

	//kKliGorMirakAstoundingVictory_msg,
	"Groartiger Sieg\n\n" \
	"Eine hervorragend durchgefhrte Mission. Die ISK-Schiffswerften stehen in Flammen, und der groe Captain wurde besiegt, zermalmt in " \
	"Ihrem Griff. Das Volk jubelt, da es die Auferstehung des Geistes und der Entschlossenheit der [PLAYER_RACE] erlebt. " \
	"Sie sind ihr Held. Genieen Sie es, solange es anhlt.\n\n" \
	"Die Galaxis hat genug von der Einmischung des ISKs. Wir sind in die Offensive gegangen, und wir werden in der " \
	"Offensive bleiben. Halten Sie ihre Waffen scharf.",
	//kKliGorMirakVictory_msg,
	"Sieg\n\n" \
	"Die Schiffswerften sind zerstrt, aber es ist Ihnen nicht gelungen, Captain Marinus zu besiegen. Eine Schande. Dies war nicht nur eine " \
	"gute Prfung fr die Fhigkeiten eines Kriegers, sondern es htte uns auch einiges an glorreicher Propaganda eingebracht.\n\n" \
	"Aber dennoch will ich mich ber Ihre heutigen Taten nicht beklagen.",
	//kKliGorMirakDraw_msg,
	"Unentschieden\n\n" \
	"Es ist Ihnen nicht gelungen, alle Schiffswerften des ISKs zu zerstren. Dies ist ein sehr ernstes Versumnis, mit dem Sie leben mssen." \
	"Und doch war die Vernichtung von Captain Marinus eine glorreiche Tat. Wir werden Sie sorgfltig beobachten, [PLAYER_RANK].",  
	//kKliGorMirakDevastatingDefeat_msg,
	"Vernichtende Niederlage\n\n" \
	"Sie wurden ausgesandt, um die ISK-Schiffswerften zu zerstren. Diese Mission htte mit Feuer enden sollen, aber die Werften " \
	"stehen noch! Sie haben es nicht geschafft, Ihr Primrziel zu erreichen, und wir alle werden das eines Tages bereuen.",

	//kRomAstoundingVictory_msg,
	"Groartiger Sieg\n\n" \
	"Eine hervorragend durchgefhrte Mission. Die ISK-Schiffswerften stehen in Flammen, und wir haben wertvolle Informationen zu " \
	"den Aktivitten des ISKs erlangt. Das romulanische Imperium steht tief in Ihrer Schuld.\n\n" \
	"Die Galaxis hat genug von der Einmischung des ISKs. Wir sind in die Offensive gegangen, und wir werden in der " \
	"Offensive bleiben. Die Informationen, die Sie gesammelt haben, werden uns einen groen Schritt weiterbringen.\n\n" \
	"Wegtreten.",
	//kRomVictory_msg,
	"Sieg\n\n" \
	"Sie haben es geschafft, die ISK-Schiffswerften zu zerstren, aber ich sehe, dass es Ihnen nicht gelungen ist, das sekundre " \
	"Ziel zu erreichen, nmlich Informationen zu den Plnen des ISKs zu sammeln. Informationen knnen tdlicher sein als eine Salve Plasma- " \
	"torpedos. Nchstes Mal... ach ja, das kennen Sie ja schon.\n\n" \
	"Wegtreten.",
	//kRomDraw_msg,
	"Unentschieden\n\n" \
	"Es ist Ihnen nicht gelungen, alle Schiffswerften des ISKs zu zerstren. Die Informationen, die die Tal Shiar-Agentin aufgedeckt hat, " \
	"sind jedoch sehr ntzlich. Und so ist es enttuschend, dass Sie nicht den gleichen Erfolg vorzuweisen haben.\n\n" \
	"Wegtreten.",
	//kRomDevastatingDefeat_msg,
	"Vernichtende Niederlage\n\n" \
	"Sie wurden ausgesandt, um die ISK-Schiffswerften zu zerstren. Am Ende der Mission waren jedoch immer noch einige " \
	"davon intakt. Sie haben Ihr Primrziel nicht erreicht. Die Tal Shiar hlt nicht viel von diesem " \
	"Fehlschlag, besonders in Anbetracht Ihrer Ressourcen.\n\n" \
	"Wegtreten.",

	//kLyrAstoundingVictory_msg,
	"Groartiger Sieg\n\n" \
	"Eine hervorragend durchgefhrte Mission. Die ISK-Schiffswerften stehen in Flammen, und wir haben wertvolle Informationen des ISKs erbeuten knnen. " \
	"Das lyranische Imperium erbietet Ihnen seinen Gru.\n\n" \
	"Die Galaxis hat genug von der Einmischung des ISKs. Wir sind in die Offensive gegangen, und wir werden in der " \
	"Offensive bleiben. Die Informationen, die Sie gesammelt haben, werden uns einen groen Schritt weiterbringen.\n\n" \
	"Wegtreten.",
	//kLyrVictory_msg,
	"Sieg\n\n" \
	"Sie haben es geschafft, die ISK-Schiffswerften zu zerstren, aber ich sehe, dass es Ihnen nicht gelungen ist, das sekundre " \
	"Ziel zu erreichen, nmlich Informationen zu den Aktivitten des ISKs zu sammeln. Viele unserer Militrstrategen haben auf den Erhalt dieser neuen Informationen " \
	"fr die Planung ihre Feldzge gesetzt.\n\n" \
	"Wegtreten.",
	//kLyrDraw_msg,
	"Unentschieden\n\n" \
	"Ihr Infiltrationsteam hat es geschafft, einige sehr ntzliche Daten heimzubringen. Allerdings haben Sie es nicht geschafft, " \
	"Ihr Primrziel zu erreichen, einige der Schiffswerften sind noch immer intakt. Das ist sehr bedauerlich.\n\n" \
	"Wegtreten.",
	//kLyrDevastatingDefeat_msg,
	"Vernichtende Niederlage\n\n" \
	"Sie wurden ausgesandt, um die ISK-Schiffswerften zu zerstren. Am Ende der Mission waren jedoch immer noch einige " \
	"davon intakt. Sie haben Ihr Primrziel nicht erreicht. Oh, das ist bitter, besonders im Gedenken an all die " \
	"wertvollen Lyraner, die bei der Eroberung des Frachters ihr Leben lassen mussten!\n\n" \
	"Wegtreten.",

	//kLeftEarly_msg,	Forfeit
	"Mission eingebt",

	//kPlayerTeam1Title_msg,
	"Grimmige Entschlossenheit",

	//kBeginningScan_msg,
	"Wissenschaftsoffizier: Wir beginnen mit dem Scannen...",

#else		/////////////////////////////////////////////////////////////////////////////////////////////

	// kMissionTitle_msg
	"Uni_4Resolve",

	//kShortBriefing_msg,
	"We're tired of taking abuse from the ISC, so we're sending you to strike back at them.\n\n" \
	"They have a base in the [SYSTEM_NAME] sector. Intelligence indicates that they have four ship tenders " \
	"in the system. Phase one of the operation involves destroying these shipyards. We have an ace in the hole; a " \
	"captured ISC freighter that's loaded with anti-matter. Take the freighter into the heart of the shipyards, then " \
	"hail it and order it to detonate. It's unmanned, so there will be no loss of life. Once the freighter's been " \
	"detonated, finish the job.\n\n" \
	"Next, proceed to the second part of the operation. Somewhere on the planet there is an ISC base. We have " \
	"assigned an Infiltration team to your ship, to gather data from the base.  Discover the location of the " \
	"base and transport down the team.  Hail the base to give the team an order.  Their time on the ground " \
	"will be short, so make the most of it.\n\n" \
	"Dismissed.",

	// kFedBriefing_msg
	">Destroy the shipyards, discover the ISC base location and beam in the infiltration unit to gather data.<" \
	"We're tired of taking abuse from the ISC, so we're sending you to strike back at them.\n\n" \
	"They have a base in the [SYSTEM_NAME] sector. Intelligence indicates that they have four ship tenders " \
	"in the system. Phase one of the operation involves destroying these shipyards. We have an ace in the hole; a " \
	"captured ISC freighter that's loaded with anti-matter. Take the freighter into the heart of the shipyards, then " \
	"hail it and order it to detonate. It's unmanned, so there will be no loss of life. Once the freighter's been " \
	"detonated, finish the job.\n\n" \
	"Next, proceed to the second part of the operation. Somewhere on the planet there is an ISC base. We have " \
	"assigned an Infiltration team to your ship, to gather data from the base.  Discover the location of the " \
	"base and transport down the team.  Hail the base to give the team an order.  Their time on the ground " \
	"will be short, so make the most of it.\n\n" \
	"Dismissed.",
	//kKlingonBriefing_msg,
	">Destroy the shipyards and destroy the ship of ISC Captain Marinus.<" \
	"These ISC have no honor and must be stopped.  Even the Federation shines in comparison to these wanton meddlers. " \
	"It is time to take them out and you shall lead the first assault.\n\n" \
	"They have a base in the [SYSTEM_NAME] sector. Our sources indicate that they have four ship tenders in the " \
	"system. Phase one of the operation involves destroying these shipyards. We will give you a captured ISC freighter " \
	"that's loaded with anti-matter. Take the freighter into the heart of the shipyards, then hail it and order it " \
	"to detonate. It's unmanned, so there will be no loss of Klingon life. Then destroy whatever remains.\n\n" \
	"Once the shipyards are no more, proceed to the second part of the operation. Somewhere near the system is a ship " \
	"captained by Marinus, one of the ISC's finest officers. Lure Marinus out into the open, kill him, then return " \
	"to Klingon space.\n\n" \
	"Dismissed.",
	//kRomulanBriefing_msg,
	">Destroy the shipyards, discover the ISC base location and beam in the Tal Shi'ar specialist to gather intelligence.<" \
	"We seek vengeance against the ISC, and you shall be the Romulan Empire's instrument.\n\n" \
	"They have a base in the [SYSTEM_NAME] sector. Intelligence indicates that they have four ship tenders in " \
	"the system. Phase one of the operation involves destroying these shipyards. We will give you a captured ISC " \
	"freighter that's loaded with anti-matter. Take the freighter into the heart of the shipyards, then hail it and " \
	"order it to detonate. This should cause much damage. Finish off what remains, then proceed to the second " \
	"part of the operation.\n\n" \
	"Somewhere in the system is a base. We're assigning you a Tal Shi'ar infiltrations specialist to penetrate the " \
	"base and gather intelligence. When you've found the base, use your transporter controls to beam down the agent, " \
	"then hail the base to give her an order. She'll only have one shot at this, so make the most of it.\n\n" \
	"Dismissed.",
	//kLyranBriefing_msg,
	">Destroy the shipyards, discover the ISC base location and beam in the infiltration unit to gather data.<" \
	"The ISC is an arrogant kitten that must be taught a painful lesson. You will instruct them.\n\n" \
	"The ISC have a base in the [SYSTEM_NAME] sector. Intelligence indicates that they have four ship tenders " \
	"in the system. Phase one of the operation involves destroying these shipyards. We will give you a captured ISC " \
	"freighter that's loaded with anti-matter. Take the freighter into the heart of the shipyards, then hail it and " \
	"order it to detonate. This should cause much damage. Finish off what remains, then proceed to the second " \
	"part of the operation.\n\n" \
	"Somewhere in the system is a base. We're assigning you a Stalker infiltration team to penetrate the base and gather " \
	"technological samples. When you've found the base, use your transporter controls to beam down the team, " \
	"then hail the base to give them an order. They'll only have one shot at this, so make the most of it.\n\n" \
	"Dismissed.",
	//kGornBriefing_msg,
	">Destroy the shipyards and destroy the ship of ISC Captain Marinus.<" \
	"The ISC has had plagued the Confederation for too long. It is time to crush them, these blighted shells " \
	"that call themselves peacemakers.\n\n" \
	"They have a base in the [SYSTEM_NAME] sector, as well as a four ship tenders. Phase one of the " \
	"operation involves destroying these shipyards. We will give you a captured ISC freighter that's loaded " \
	"with anti-matter bombs. Take the freighter into the heart of the shipyards, then hail it and order " \
	"it to detonate. Then destroy whatever remains.\n\n" \
	"Once the shipyards are no more, proceed to the second part of the operation. Somewhere near the system " \
	"is a ship captained by Marinus, one of the ISC's finest officers. Lure Marinus out into the open, kill " \
	"him, then return to Gorn space.\n\n" \
	"Dismissed. And good fortune.",
	//kMirakBriefing_msg,
	">Destroy the shipyards and destroy the ship of ISC Captain Marinus.<" \
	"The ISC has had plagued the Hegemony for too long. I would rather eat with a Lyran than embrace their brand " \
	"of pacifism. So would any worthy Mirak.\n\n" \
	"The ISC have a base in the [SYSTEM_NAME] sector, as well as four ship tenders. Phase one of the operation " \
	"involves destroying these shipyards. We will give you a captured ISC freighter that's loaded with " \
	"anti-matter bombs. Take the freighter into the heart of the shipyards, then hail it and order it to " \
	"detonate. Then destroy whatever remains.\n\n" \
	"Once the shipyards are no more, proceed to the second part of the operation. Somewhere near the system " \
	"is a ship captained by Marinus, one of the ISC's finest officers. Lure Marinus out into the open, kill " \
	"him, then return to Mirak space.\n\n" \
	"Dismissed. And good fortune.",
	//kHydranBriefing_msg,
	">Destroy the shipyards, discover the ISC base location and beam in the infiltration unit to gather data.<" \
	"The ISC wouldn't be so insufferable if they weren't telling us something we didn't already know. As it stands, " \
	"the ISC campaign of peace is a farce that must come to an end.\n\n" \
	"Our target is an ISC shipyard in the [SYSTEM_NAME] sector. Phase one of the operation involves destroying these " \
	"shipyards. You will use a captured ISC freighter that's loaded with anti-matter, drive it into the heart of the " \
	"shipyards, then hail it and order it to detonate. It's unmanned, so there will be no loss of life. Once the " \
	"freighter's been detonated, finish the job by destroying all ship tenders.\n\n" \
	"We have assigned an Infiltration team to your ship.  Their mission is to enter the ISC base, which we is " \
	"located somewhere on the planet, and steal important ISC invasion data.  You must discover the location " \
	"of the base and then transport the team down, so they can do their job.  Once on the planet, contact the " \
	"team by hailing the base and give them their instructions.  Be quick, their fate and ours, hangs on a small " \
	"window of opportunity.\n\n" \
	"Dismissed.",
	
	//kPlanet_name,
	"[SYSTEM_NAME] III",

	//kFedStarting_msg,
	"[PLAYER_NAME]: Captain's log, Stardate [STARDATE]. We have entered [SYSTEM_NAME]. Our primary mission is to " \
	"destroy ISC shipyards and prevent them from harassing our space. Our secondary mission is to bombard the " \
	"nearby ISC planet and bomb all bases and defensive installations.",
	//kKliStarting_msg,
	"[PLAYER_NAME]: War Record, [STARDATE]. We have been ordered into [SYSTEM_NAME] to destroy ISC shipyards. " \
	"Our secondary mission is to lure out Marinus, a legendary ISC commander, and defeat him in battle.  There " \
	"will be an opportunity for great honor and glorious battles.",
	//kRomStarting_msg,
	"[PLAYER_NAME]: Record of the Romulan Star Empire [STARDATE]. The ISC shipyards in [SYSTEM_NAME] have " \
	"produced ships that have harassed the Romulan Empire. Our duty is to remove these shipyards. In addition, " \
	"we are charged to find an ISC base and transport a Tal Shi'ar operative who will uncover ISC secrets.",
	//kLyrStarting_msg,
	"[PLAYER_NAME]: Commander's journal, Lyran Star Empire [STARDATE]. The ISC shipyards in [SYSTEM_NAME] have " \
	"been a thorn in the Duke's side for too long.  Our mission is to pluck out this thorn. In addition, we " \
	"have a secondary assignment: to find an ISC base and transport a Stalker team who will retrieve ISC " \
	"technical data.",
	//kGorStarting_msg,
	"[PLAYER_NAME]: Commander's log, [STARDATE]. The ISC shipyards in [SYSTEM_NAME] must be removed.  These " \
	"carrion have no right to be on our borders.  Our secondary mission is to lure out Marinus, a legendary ISC " \
	"commander, and defeat him in battle. I hear he is some sort of swamp dweller.  I have never killed " \
	"one of those before.",
	//kMirakStarting_msg,
	"[PLAYER_NAME]: Hunt record, [STARDATE]. The ISC shipyards in [SYSTEM_NAME] must be removed, these pacifists " \
	"have no right to be on our borders Our secondary mission is to lure out Marinus, a legendary ISC " \
	"commander, and defeat him in battle. Personally, I cannot see how any 'fish man' could provide even a " \
	"minor challenge to a Mirak huntsman.  I expect to overcome him with ease.",
	//kHydStarting_msg,
	"[PLAYER_NAME]: Commander's journal, [STARDATE]. Our primary mission is to destroy ISC shipyards and " \
	"prevent them from harassing our space. . Our secondary mission is to bombard the nearby ISC planet and "  \
	"bomb all bases and defensive installations.  We expect to be outnumbered, but that is not unusual. Perhaps " \
	"one of these days we'll be pleasantly surprised.",

	//	kStarting2_msg,
	"Science Officer: I recommend getting a large distance from the freighter before detonating it. I anticipate " \
	"large damage up to a range of 300,000km.",

	//kDestruct_btn,
	"Destruct",
	//kAffirmative_msg,
	"Communications: Destruct order received and carried out by freighter.",

	//kHail_btn,
	"Hail",
	//kDemandSurrender_btn,
	"Demand Surrender",
	//kHailISC1_msg,
	"ISC Commander: We know why you are here. You will not survive.",
	//kHailISC2_msg,
	"ISC Commander: You are outnumbered and outgunned. You will not escape this system alive.",
	//kHailISC3_msg,
	"ISC Commander: You are intruding in ISC space.  It is your funeral, warmonger.",
	//kDemandISC1_msg,
	"ISC Commander: That would be negligence. Never.",
	//kDemandISC2_msg,
	"ISC Commander: The ISC does not surrender to primitives. Better death than what you offer us.",
	//kDemandISC3_msg,
	"ISC Commander: If we allow lower species like you to bully us, no one will take us seriously.",
	//kHailLegend1_msg,
	"ISC Commander: Someone to spar with. I heard you warmongers had spirit.",
	//kHailLegend2_msg,
	"ISC Commander: This is Captain Marinus. Welcome to [SYSTEM_NAME]. You're not leaving here alive.",
	//kHailLegend3_msg,
	"ISC Commander: This is Captain Marinus. And you, my friend, have acquired a problem.",
	//kDemandLegendEarly1_msg,
	"ISC Commander:  I am sorry you think so poorly of me [PLAYER_RANK].  Perhaps I can improve your opinion of me.",
	//kDemandLegendEarly2_msg,
	"ISC Commander: I hate to disappoint you, [PLAYER_RANK], but the answer must be no.",
	//kDemandLegendEarly3_msg,
	"ISC Commander: I've seen the carnage you've created: death, destruction, you've done very " \
	"well for yourself. But not well enough.",
	//kDemandLegendLate1_msg,
	"You seek a coward. There is not one on this ship I assure you!",
	//kDemandLegendLate2_msg,
	"ISC Commander: Demands? I'm only a starship captain. Any formal demands will have to go through " \
	"diplomatic channels.",
	//kDemandLegendLate3_msg,
	"ISC Commander: Surrender? Just when it's getting interesting? Are you mad!",

	//kLocatedBase_msg,
	"Science: We have located the location of the ISC base on the planet.  The infilitration team is " \
	"on the pad and ready to be transported down.",
	//kRomInfiltratorArrived_msg,
	"Security Officer: Tal Shi'ar operative in place. Just hail the planet to give her instructions.",
	//kLyrInfiltratorArrived_msg,
	"Security Officer: Stalker team in place. The commander says she's awaiting orders. Just hail " \
	"the planet to address her.",
	//kFedHydInfiltratorArrived_msg,
	"Security Officer: Infiltration team in place. Just hail the planet to give them orders.",
	//kRaid_btn,
	"Raid Data Banks",
	//kRaidComplete_msg,
	"Security Officer: Retrieving data on ISC activities. Very useful...wait, they've caught " \
	"them, [PLAYER_RANK]. I'm afraid our operatives are dead.",
	//kWaitedToLong_msg,
	"Security Officer: [PLAYER_RANK] the ISC have found and killed the infiltration team.\n\n"
	"Secondary Objective failed",

	//kRogerWilco_msg,
	"Infiltration Team: Affirmative, working...",

	//kPrimaryObjectiveComplete,
	"Science Officer: All Docks destroyed or captured.  Primary objective complete.",
	//kSecondaryObjectiveComplete,
	"Science Officer: Secondary objective complete [PLAYER_RANK]",

	//kFedHydAstoundingVictory_msg,
	"Astounding Victory\n\n" \
	"A well fought mission. The ISC shipyards are in flames, and we were able to gather some very useful " \
	"information due to our infiltration teams sacrifice. This will teach them to attack the [PLAYER_RACE].\n\n" \
	"The galaxy has had enough of their interference. We've got the offensive, and we're going to stay on the " \
	"offensive until they're beaten.\n\n" \
	"Dismissed.",
	//kFedHydVictory_msg,
	"Victory\n\n" \
	"You succeeded in destroying the ISC shipyards, but I see that you failed to achieve the secondary " \
	"objective, we were counting on the data that was in their data banks. We're proud of what you " \
	"accomplished, but we wish you could have done more.\n\n" \
	"Dismissed.",
	//kFedHydDraw_msg,
	"Draw\n\n" \
	"Your infiltration team succeeded in bringing back some very useful data.  However, you failed your " \
	"primary objective, some of the shipyard was not taken out.  This is troubling.\n\n" \
	"Dismissed.",
	//kFedHydDkDevastatingDefeat_msg,
	"Devastating Defeat\n\n" \
	"You were sent to destroy the ISC ship tenders. At the end of the mission, some of them were left " \
	"standing. You also failed to gather any data using the infiltration team. This is a major " \
	"disappointment, and your record will reflect that.\n\n" \
	"Dismissed.",

	//kKliGorMirakAstoundingVictory_msg,
	"Astounding Victory\n\n" \
	"A well fought mission. The ISC shipyards are in flames, and their great captain was defeated, crushed " \
	"in your grip. The people are rejoicing, to see the resurrection of [PLAYER_RACE] spirit and resolve. " \
	"You're a hero. Enjoy it while it lasts.\n\n" \
	"The galaxy has had enough of the ISC's interference. We've got the offensive, and we're going to stay " \
	"on the offensive. Do not sheathe your weapons.",
	//kKliGorMirakVictory_msg,
	"Victory\n\n" \
	"The shipyards are destroyed, but you failed to defeat Captain Marinus. A pity. Not only is that a " \
	"good test of your warrior's prowess, but it would have made for some glorious propaganda.\n\n" \
	"But otherwise, I cannot complain about your deeds today.",
	//kKliGorMirakDraw_msg,
	"Draw\n\n" \
	"You failed to destroy all of the ISC's shipyards.  This is a very serious failing on your part." \
	"Yet, the destruction of Captain Marinus was a glorious kill.  We shall watch you carefully [PLAYER_RANK].",  
	//kKliGorMirakDevastatingDefeat_msg,
	"Devastating Defeat\n\n" \
	"You were sent to destroy the ISC shipyards. This mission should have ended in flame, but they still " \
	"stand! You failed to achieve your primary objective, and we will all regret it some day.",

	//kRomAstoundingVictory_msg,
	"Astounding Victory\n\n" \
	"A well fought mission. The ISC shipyards are in flames, and we have gained valuable intelligence on " \
	"ISC activities. The Romulan Empire is in your debt.\n\n" \
	"The galaxy has had enough of the ISC's interference. We have the offensive, and we're going to stay on " \
	"the offensive. The intelligence you've gathered will go a long way towards that.\n\n" \
	"Dismissed.",
	//kRomVictory_msg,
	"Victory\n\n" \
	"You succeeded in destroying the ISC shipyards, but I see that you failed to achieve the secondary " \
	"objective, finding intelligence on ISC plans. Information can be deadlier than a salvo of plasma " \
	"torpedoes. Next time...ah, you've heard it before.\n\n" \
	"Dismissed.",
	//kRomDraw_msg,
	"Draw\n\n" \
	"You failed to destroy all of the ISC shipyards.  The information discovered by the Tal Shi'ar agent " \
	"was very useful.  It is a disappointment  that you could not have shared in her success.\n\n" \
	"Dismissed.",
	//kRomDevastatingDefeat_msg,
	"Devastating Defeat\n\n" \
	"You were sent to destroy the ISC ship tenders. At the end of the mission, some of them were left " \
	"standing. You failed to achieve your primary objective. The Tal Shi'ar takes an dim view of this " \
	"failure, especially given your resources.\n\n" \
	"Dismissed.",

	//kLyrAstoundingVictory_msg,
	"Astounding Victory\n\n" \
	"A well fought mission. The ISC shipyards are in flames, and we have gained valuable pieces of ISC data. " \
	"The Lyran empire salutes you.\n\n" \
	"The galaxy has had enough of the ISC's interference. We've got the offensive, and we're going to stay " \
	"on the offensive. The intelligence you've gathered will go a long way towards that.\n\n" \
	"Dismissed",
	//kLyrVictory_msg,
	"Victory\n\n" \
	"You succeeded in destroying the ISC shipyards, but I see that you failed to achieve the secondary " \
	"objective, finding data on ISC activities. Many of our military planners were counting on new information " \
	"for their campaigns.\n\n" \
	"Dismissed.",
	//kLyrDraw_msg,
	"Draw\n\n" \
	"Your infiltration team succeeded in bringing back some very useful data.  However, you failed your " \
	"primary objective, some of the shipyard was not taken out.  This is troubling.\n\n" \
	"Dismissed.",
	//kLyrDevastatingDefeat_msg,
	"Devastating Defeat\n\n" \
	"You were sent to destroy the ISC ship tenders. At the end of the mission, some of them were left " \
	"standing. You failed to achieve your primary objective. Oh, this is bitter medicine, considering all " \
	"the worthy Lyrans who died capturing that freighter!\n\n" \
	"Dismissed.",

	//kLeftEarly_msg,
	"Forfeit",

	//kPlayerTeam1Title_msg,
	"The Grim Resolve",

	//kBeginningScan_msg,
	"Science Officer: Beginning scan...",

#endif
};

