//	<Name>	PlayerTeamShip.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "PlayerTeamShip.h"
#include "teamInfo.h"
#include "scriptinterface.h"
#include "PlayerTeamShipInitialState.h"
#include "Uni_4Resolve.h"

tClassAllocator<tPlayerTeamShip> gPlayerTeamShipAllocator;

void tPlayerTeamShip::mSetupState()
{
	mRegisterState( new tPlayerTeamShipInitialState() );

	mGotoState( typeid( tPlayerTeamShipInitialState ) );
}
void tPlayerTeamShip::mSetupCommState()
{
}
void tPlayerTeamShip::mSetupShip()
{
	eRaceName  playerRace;
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
    playerRace = playerTeam->mGetRace();

	if( ( playerRace == kFederation) || ( playerRace == kRomulan) || ( playerRace == kLyran ) || ( playerRace == kHydran ) )
	{
		mAddItemToStores( kTransporterItem, kTransInfiltrator, 1 );	
		mSetShipCallbackEvents(  kNotifyTransportedItem );
	}
	mSetShipThrust( 12 );
	mSetShipCallbackEvents(  kNotifyDeepScan );
}
