//	<Name>	PlayerTeamShipInitialState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( PlayerTeamShipInitialState_h )
#define PlayerTeamShipInitialState_h

#include "ChildActorState.h"
#include "teamInfo.h"
#include "PlayerTeamShip.h"

class tPlayerTeamShipInitialState : public tChildActorState<tPlayerTeamShip>
{
public:
	enum eTimeIDs
	{
		kCheckDistanceID,
		kWaitedToLongID,
		kJobDoneID,
		kDeepScanONID,
	};

	tPlayerTeamShipInitialState( );

	virtual void mBeginState();
	virtual void mEndState();
	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnDeepScan( tShipInfo* ship, iTruth deepScanOn );
	virtual void mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item );
	virtual void mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType );
	virtual void mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip );

protected:

	bool fDeepScanON;
	bool fBaseLocated;
	bool fInfiltratorTeamDead;
	bool fOrderedInfiltratorTeamInTime;

};

#endif

