/********************************************************************************************************\

	File Name:	Base.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "Base.h"
#include "BaseBaseState.h"
#include "MissionText.h"
#include "Uni_5AFunny1.h"

tClassAllocator<tBase> gBaseAllocator;

void tBase::mSetupState()
{
	mRegisterState( new tBaseBaseState() );
	mGotoState( typeid( tBaseBaseState ) );
}

void tBase::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	if( !playerTeam )
			return;

	playerTeam->mRegisterCommMessage( kState1,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail,
									  kHailBase1_msg );

	playerTeam->mRegisterCommMessage( kState2,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail,
									  kHailBase2_msg );

	playerTeam->mGotoCommState( mGetShipID(), kState1 );
}

void tBase::mSetupShip()
{}
