/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_5AFunny1",

	//kTitle2
	"Was ist daran so lustig? Teil I\n\n",

	//
	//	Description message
	//
	"",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"Sie haben sich eine Ruhepause verdient, [PLAYER_RANK], deshalb habe ich einen einfachen Job fr Sie ausgewhlt.\n" \
	"In einigen Tagen findet ein diplomatisches Treffen der wichtigsten an diesem Krieg beteiligten Mchte statt. " \
	"Ihr Job ist es, unseren Delegierten zu diesem Treffen zu bringen. Begeben Sie sich nach [SYSTEM_NAME], wo Sie " \
	"unseren Botschafter an Bord nehmen.\n" \

	"Anschlieend wird er Sie mit dem Rest der Mission vertraut machen.\n" \

	"Viel Glck.\n\n",

	//
	//	Starting message
	//
	
	//kCaptainsLog_msg,
	"Logbuch des [PLAYER_RANK], Sternendatum [STARDATE]. Wir befinden uns auf Kurs nach [SYSTEM_NAME], wo wir den " \
	"Botschafter der [PLAYER_RACE] an Bord nehmen, um ihn zu dem bevorstehenden diplomatischen Treffen zu bringen.\n",

	//kSitrep_msg,
	"Kommunikationsoffizier: [PLAYER_RANK], ich empfangen einen Notruf von der Basis... sie " \
	"werden angegriffen und bitten um Untersttzung.\n" \

	"Erster Offizier: Dann muss der Botschafter warten.\n\n",

	//
	//	Debriefing messages
	//
	
	//kDeb_BaseDeadNoDip_msg,
	"Heute habe ich 'Fehlschlag' im Wrterbuch nachgeschlagen, und stellen Sie sich vor, was ich gefunden habe! Diese Mission!\n" \
	"Ich mchte gar nicht davon anfangen, wie niederschmetternd Ihre heutige Leistung war. Gehen Sie, schnell, bevor die Verwirrung " \
	"sich verflchtigt und ich herausfinde, wie wtend ich wirklich bin.\n\n",

	//kDeb_BaseDeadDip_msg,
	"Hier, sehen Sie sich das an. Das ist der Abschnitt aus dem Handbuch fr Raumschiffcaptains, der sich auf " \
	"Notrufe von verbndeten Streitkrften und die Wichtigkeit bezieht, hierauf zu reagieren. Scheinbar brauchen Sie " \
	"einen Auffrischungskurs in diesen Dingen.\n\nWegtreten.\n",

	//kDeb_BaseAliveNoDip_msg,
	"Sie haben die Basis gerettet, das muss ich Ihnen zugestehen. Aber haben Sie vergessen, warum Sie eigentlich " \
	"in erster Linie dorthin geschickt worden sind? Ich will Ihnen einen Tipp geben: es beginnt mit 'D'. Ja, richtig... D wie DIPLOMAT. " \
	"Sie hatten den definitiven Auftrag, unseren Botschafter an Bord zu nehmen und ihn zu dem Treffen zu bringen.\n\nWegtreten.\n\n",

	//kDeb_BaseAliveDip_msg,
	"Gute Arbeit, [PLAYER_RANK]. Machen Sie jetzt mit Phase II der Mission weiter. Der Botschafter wird Ihnen " \
	"den Ort des Treffens mitteilen.\n\nWegtreten.\n",

	//kDeb_PlayerDied_msg
	"Ihre Einheiten sind vernichtet worden.\n\n",

	//
	//	Comm buttons
	//
	
	//kButton_Hail
	"RUFEN",

	//
	//	Comm messages
	//
	
	//kHail_Enemy_1_msg,
	"Captain der Miraker: Ah, noch mehr [PLAYER_RACE]-Abschaum, der vernichtet werden will! Das scheint sich wirklich noch zu einem hervorragenden Tag zu entwickeln.\n\n",

	//kHail_Planet_msg,
	"[PLAYER_NAME]: Hier spricht [PLAYER_RANK] [PLAYER_NAME] vom [PLAYER_RACE]-Raumschiff [PLAYER_SHIP_NAME]. " \
	"Ich bin beauftragt, unseren Botschafter an Bord zu beamen.\n" \

	"Planet: Wir sind hier unten zur Zeit ein wenig im Stress, [PLAYER_RANK]. Sie werden den Botschafter schon selbst finden mssen.\n" \

	"Kommunikationsoffizier: Sie haben die bertragung abgebrochen, [PLAYER_RANK].\n\n",

	//kHailBase1_msg,
	"Base Commander: Gut, da Sie hier sind. Knnen Sie uns helfen?\n\n",

	//kHailBase2_msg,
	"Base Commander: Gute Arbeit, [PLAYER_RANK]!\n\n",

	//
	//	Victory rating
	//

	//	kAstoundingVictory_msg,
	"Groartiger Sieg!\n\n",

	//	kVictory_msg,
	"Sieg!\n\n",

	//	kDraw_msg,
	"Unentschieden\n\n",

	//	kDefeat_msg,
	"Niederlage\n\n",

	//	kDevastatingDefeat_msg,
	"Vernichtende Niederlage\n\n",

	//	kLeftEarly_msg,
	"Mission eingebt\n\n",

	//
	//	Random chatter
	//

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	
	//kScanRangeNotice_msg,
	"Wissenschaftsoffizier: [PLAYER_RANK], wir mssen innerhalb der Reichweite 20 sein, um den Planeten scannen zu knnen.\n\n",

	//kScannedPlanet_msg,
	"Wissenschaftsoffizier: Ich habe den Botschafter gefunden, [PLAYER_RANK].\n" \

	"Erster Offizier: Transporterraum, halten Sie sich bereit, um den Botschafter der [PLAYER_RACE] an Bord zu beamen. Die Koordinaten " \
	"erhalten Sie von der Forschungsstation.\n\n",

	//kBeamedDiplomat_msg
	"Transporterraum: Der Botschafter befindet sich an Bord, [PLAYER_RANK].\n\n",

	//kEnemiesDead_msg
	"Erster Offizier: Alle mirakischen Streitkrfte wurden vernichtet, [PLAYER_RANK].\n\n",

	//kBaseDestroyed_msg
	"Erster Offizier: Die Basis wurde zerstrt, [PLAYER_RANK].\n\n",
	
	//kMustKillEnemy_msg
	"Erster Offizier: Wir sollten uns schnell um die mirakischen Streitkrfte kmmern, bevor sie die Basis zerstren.\n\n",

	//	Custom messages
	//

	//kScanning_msg
	"Wissenschaftsoffizier: Scanne...\n\n",

#else
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_5AFunny1",

	//kTitle2
	"What's so Funny - Part I",

	//
	//	Description message
	//
	"",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"You've earned yourself a rest, [PLAYER_RANK], so I've got an easy one for you.\n" \
	"In a few days there will be a diplomatic conference involving the major powers of this war. " \
	"Your job is to deliver our delegate to this conference. Proceed to [SYSTEM_NAME], where you " \
	"will receive our ambassador.\n" \

	"Once he's onboard, he will fill you in on the remainder of your mission.\n" \

	"Good luck.\n\n",

	//
	//	Starting message
	//
	
	//kCaptainsLog_msg,
	"[PLAYER_RANK]'s Log, stardate [STARDATE]. We're on course to [SYSTEM_NAME] to pick up our " \
	"ambassador for the upcoming diplomatic conference.\n",

	//kSitrep_msg,
	"Communications Officer: [PLAYER_RANK], I'm receiving a distress call from the base... they're " \
	"under attack and requesting assistance.\n" \

	"First Officer: The ambassador will have to wait.\n\n",

	//
	//	Debriefing messages
	//
	
	//kDeb_BaseDeadNoDip_msg,
	"Today I looked up \"failure\" in the dictionary, and guess what I found there? This mission!\n" \
	"I can't even begin to explain how badly you've failed today. Leave, now, before the confusion " \
	"wears off and I find out just how angry I am.\n\n",

	//kDeb_BaseDeadDip_msg,
	"Here: have a look at this. It's the section of the starship Captain's Manual which refers to " \
	"distress calls from allied forces and the importance of responding to them. Apparently you " \
	"need a refresher course on these things.\n\nDismissed.\n",

	//kDeb_BaseAliveNoDip_msg,
	"You did save the base; I have to give you that. But did you forget why you were actually " \
	"sent out there in the first place? Here's a hint: it starts with \"D\". That's right... DIPLOMAT. " \
	"You were supposed to pick up our ambassador and deliver him to a conference.\n\nDismissed.\n\n",

	//kDeb_BaseAliveDip_msg,
	"Good work, [PLAYER_RANK]. Now proceed to Phase II of the mission. The ambassador will tell you " \
	"the location of the conference.\n\nDismissed.\n",

	//kDeb_PlayerDied_msg
	"Your forces were destroyed.\n\n",

	//
	//	Comm buttons
	//
	
	//kButton_Hail
	"HAIL",

	//
	//	Comm messages
	//
	
	//kHail_Enemy_1_msg,
	"Mirak Captain: Ah, more [PLAYER_RACE] scum to destroy! This is turning out to be a very good day.\n\n",

	//kHail_Planet_msg,
	"[PLAYER_NAME]: This is [PLAYER_RANK] [PLAYER_NAME] of the [PLAYER_RACE] starship [PLAYER_SHIP_NAME]. " \
	"I have orders to transport our ambassador aboard.\n" \

	"Planet: We're a little busy down here, [PLAYER_RANK]. You'll have to find the ambassador yourself.\n" \

	"Communications Officer: They've cut transmission, [PLAYER_RANK].\n\n",

	//kHailBase1_msg,
	"Base Commander: We're glad to see you here, [PLAYER_RANK]. How about a hand?\n\n",

	//kHailBase2_msg,
	"Base Commander: Good work, [PLAYER_RANK]!\n\n",

	//
	//	Victory rating
	//

	//	kAstoundingVictory_msg,
	"Astounding Victory!\n\n",

	//	kVictory_msg,
	"Victory!\n\n",

	//	kDraw_msg,
	"Draw\n\n",

	//	kDefeat_msg,
	"Defeat\n\n",

	//	kDevastatingDefeat_msg,
	"Devastating Defeat\n\n",

	//	kLeftEarly_msg,
	"Forfeit\n\n",

	//
	//	Random chatter
	//

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	
	//kScanRangeNotice_msg,
	"Science Officer: [PLAYER_RANK], we'll need to be within range 20 to scan the planet.\n\n",

	//kScannedPlanet_msg,
	"Science Officer: I've located the ambassador, [PLAYER_RANK].\n" \

	"First Officer: Transporter Room, standby to receive the [PLAYER_RACE] ambassador. Coordinates " \
	"available from the Science station.\n\n",

	//kBeamedDiplomat_msg
	"Transporter Room: The ambassador is aboard, [PLAYER_RANK].\n\n",

	//kEnemiesDead_msg
	"First Officer: All Mirak forces have been destroyed, [PLAYER_RANK].\n\n",

	//kBaseDestroyed_msg
	"First Officer: The base has been destroyed, [PLAYER_RANK].\n\n",
	
	//kMustKillEnemy_msg
	"First Officer: We should deal with the Mirak forces quickly before they destroy the base.\n\n",

	//	Custom messages
	//

	//kScanning_msg
	"Science Officer: Scanning...\n\n",
#endif
};



