//	<Name>	ISCShip.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "ISCShip.h"
#include "ISCShipBaseState.h"
#include "MissionText.h"
#include "TeamInfo.h"
#include "Uni_5Accuse.h"

tClassAllocator<tISCShip> gISCShipAllocator;

void tISCShip::mSetupState()
{
	mRegisterState( new tISCShipBaseState() );
	mGotoState( typeid( tISCShipBaseState ) );
}
void tISCShip::mSetupCommState()
{
	tTeamInfo*	playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
	Assert( playerTeam );
	if ( !playerTeam )
		return;

	playerTeam->mRegisterCommMessage( kBaseCommState , kNoStateChange, mGetShipID() , k_HAIL_ISC_btn , k_HAIL_ISC1_1_msg , k_HAIL_ISC1_4_msg );
	playerTeam->mRegisterCommMessage( kBaseCommState , kNoStateChange, mGetShipID() , k_DEMANDSURRENDER_ISC_btn , k_DEMANDSURRENDER_ISC1_1_msg , k_DEMANDSURRENDER_ISC1_4_msg );

	playerTeam->mGotoCommState( mGetShipID(), kBaseCommState );
}
void tISCShip::mSetupShip()
{
	mSetShipMaxSpeed( 7 );
}

