/********************************************************************************************************\

	File Name:	MissionText.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tstring.h"


enum TextMessages
{
	//
	//	Mission Title
	//
	kMissionTitle_msg,

	//
	//	Briefing message
	//
	kBriefing_msg,
	kBriefingFederation_msg,
	kBriefingKlingon_msg,
	kBriefingRomulan_msg,
	kBriefingLyran_msg,
	kBriefingMirak_msg,
	kBriefingHydran_msg,
	kBriefingGorn_msg,

	//
	//	Starting message
	//
	kStartFederation_msg,
	kStartKlingon_msg,
	kStartRomulan_msg,
	kStartLyran_msg,
	kStartMirak_msg,
	kStartHydran_msg,
	kStartGorn_msg,

	//
	//	Debriefing messages
	//
	kDebAstoundingVictoryFederationRomulanHydran_msg,
	kDebVictoryFederationRomulanHydran_msg,
	kDebDefeatFederationRomulanHydran_msg,
	kDebDevastatingDefeatFederationRomulanHydran_msg,
	kDebAstoundingVictoryKlingonGornLyranMirak_msg,
	kDebVictoryKlingonGornLyranMirak_msg,
	kDebDefeatKlingonGornLyranMirak_msg,
	kDebDevastatingDefeatKlingonGornLyranMirak_msg,
	kDebDraw_msg,

	//
	//	Comm buttons
	//
	k_HAIL_Ally_btn,
	k_REINFORCEALLIANCE_Ally_btn,
	k_REQUESTASSISTANCE_Ally_btn,
	k_HAIL_ISC_btn,
	k_DEMANDSURRENDER_ISC_btn,
	k_HAIL_Organia_btn,

	//
	//	Comm messages
	//
	k_HAIL_Ally1_msg,
	k_HAIL_Ally2_msg,
	k_HAIL_Ally3_msg,
	k_HAIL_Ally4_msg,
	k_HAIL_Ally5_msg,
	k_HAIL_Ally6_msg,
	k_REINFORCEALLIANCE_Ally1_msg,
	k_REINFORCEALLIANCE_Ally2_1_msg,
	k_REINFORCEALLIANCE_Ally2_2_msg,
	k_REINFORCEALLIANCE_Ally2_3_msg,
	k_REINFORCEALLIANCE_Ally2_4_msg,
	k_REINFORCEALLIANCE_Ally3_msg,
	k_REINFORCEALLIANCE_Ally4_msg,
	k_REQUESTASSISTANCE_Ally1_msg,
	k_REQUESTASSISTANCE_Ally2_msg,
	k_HAIL_ISC1_1_msg,
	k_HAIL_ISC1_2_msg,
	k_HAIL_ISC1_3_msg,
	k_HAIL_ISC1_4_msg,
	k_DEMANDSURRENDER_ISC1_1_msg,
	k_DEMANDSURRENDER_ISC1_2_msg,
	k_DEMANDSURRENDER_ISC1_3_msg,
	k_DEMANDSURRENDER_ISC1_4_msg,
	k_HAIL_Organia1_msg,
	k_HAIL_Organia2_msg,

	//
	//	Victory rating
	//
	kAstoundingVictory_msg,
	kVictory_msg,
	kDraw_msg,
	kDefeat_msg,
	kDevastatingDefeat_msg,

	//
	//	Random chatter
	//
	kRandChat1_msg,
	kRandChat2_msg,
	kRandChat3_msg,
	kRandChat4_msg,
	kRandChat5_msg,
	kRandChat6_msg,

	//
	//	Titles (or names) of ships and objects
	//
	kOrgania_nam,

	//
	//	Event dialog
	//
	kEvent3_1_msg,
	kEvent4_1_msg,
	kEvent5_1_msg,
	kEvent6_1_msg,
	kEvent7_1_msg,
	kEvent7_2_msg,
	kEvent8_1_msg,
	kEvent8_2_msg,
	kEvent9_1_msg,
	kEvent9_2_msg,
	kEvent10_1_msg,
	kEvent10_2_msg,
	kEvent11_1_msg,
	kEvent12_1_msg,
	kEvent13_1_msg,
	kEvent14_1_msg,

	//
	//	Custom messages
	//
	kCustom1_msg,
	kCustom2_msg,
	kCustom3_msg,
	kCustom4_msg,

	//
	//	Not localized as of 10/8/00
	//
	kPlayerTeamTitle_msg,
	kPlayerTeamBriefing_msg,

	//
	//	Not localized as of 10/17/00
	//
	kScanning_msg,

	//
	//	Not localized as of 11/5/00
	//
	kDisconnect_msg,

	//
	//	Not localized as of 11/14/00
	//
	kOrgania2Scan_msg,
	kOrgania1Scan_msg,
	kOrgania0Scan_msg,
};

extern std::string Messages[];



