/********************************************************************************************************\

	File Name:	HydranTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "HydranTeamBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tHydranTeamBaseState::mBeginState()
{}
void tHydranTeamBaseState::mEndState()
{}

void tHydranTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tHydranTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tHydranTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tHydranTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tHydranTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tHydranTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tHydranTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tHydranTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tHydranTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tHydranTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tHydranTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tHydranTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tHydranTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tHydranTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tHydranTeamBaseState::mOnFlashingButtonPressed()
{}
void tHydranTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tHydranTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tHydranTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tHydranTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tHydranTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tHydranTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tHydranTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tHydranTeamBaseState::mOnPlayerLeaving( int playerNumber )
{}
void tHydranTeamBaseState::mOnHostChanged()
{}
void tHydranTeamBaseState::mOnTimedInterval( int32 timerID )
{}
void tHydranTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tHydranTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

