/********************************************************************************************************\

	File Name:	MirakMoonBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "MirakMoonBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tMirakMoonBaseState::mBeginState()
{}
void tMirakMoonBaseState::mEndState()
{}

void tMirakMoonBaseState::mOnDeath( tShipInfo* ship )
{}
void tMirakMoonBaseState::mOnCapture( tShipInfo* ship )
{}
void tMirakMoonBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tMirakMoonBaseState::mAtDistance( tShipInfo* ship )
{}
void tMirakMoonBaseState::mAtDestination( tShipInfo* ship )
{}
void tMirakMoonBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tMirakMoonBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tMirakMoonBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tMirakMoonBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tMirakMoonBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tMirakMoonBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tMirakMoonBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tMirakMoonBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tMirakMoonBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tMirakMoonBaseState::mOnFlashingButtonPressed()
{}
void tMirakMoonBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tMirakMoonBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tMirakMoonBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tMirakMoonBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tMirakMoonBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tMirakMoonBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tMirakMoonBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tMirakMoonBaseState::mOnPlayerLeaving( int playerNumber )
{}
void tMirakMoonBaseState::mOnHostChanged()
{}
void tMirakMoonBaseState::mOnTimedInterval( int32 timerID )
{}
void tMirakMoonBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tMirakMoonBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

