/********************************************************************************************************\

	File Name:	MissionText.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( MissionText_h )
#define MissionText_h

#include "tstring.h"


enum TextMessages
{
	//
	//	Mission Title
	//
	kMissionTitle_msg,
	kTitle2,	

	//
	//	Briefing message
	//
	kBriefing_msg,

	//
	//	Starting message
	//
	kLog_Lyran_msg,
	kLog_Klink_msg,
	kLog_Hydran_msg,
	
	kInitialMsg_Lyran,
	kInitialMsg_Klink,
	kInitialMsg_Hydran,


	//
	//	Debriefing messages
	//
	kDebAstoundingVictory_msg,
	kDebVictory_msg,
	kDebDraw_msg,
	kDebDefeat_msg,
	kDebDevastatingDefeat_msg,
	kDebLeftEarly_msg,

	kD_NotBeamed_msg,
	kD_BeamedToOwn_msg,
	kD_BeamedToPlanet_msg,
	KD_Beamed_Success_msg,
	KD_Lyran_Beamed_To_Mirak_msg,
	
	kDeb_PlayerDied_msg,

	//
	//	Comm buttons
	//
	kButton_Hail_msg,

	//
	//	Comm messages
	//
	kHail_Lyran_msg,
	kHail_Klingon_msg,
	kHail_Hydran_msg,
	kHail_Mirak_msg,
	kHail_Planet_msg,
	kHail_OwnRace_msg,
	kHail_MirakAsLyan_msg,

	//
	//	Titles (or names) of ships and objects
	//
	kLyranName_msg,
	kKlingonName_msg,
	kHydranName_msg,
	kMirakName_msg,
	kPlanetName_msg,


	//
	//	Event dialog
	//
	kScannedPlanet_msg,
	kScannedMoon_msg,
	kAttackedMoon_msg,
	kAttackPlanet_msg,
	kBeamedToOwnMoon_msg,
	kDiplomat_Delivered_msg,

	//
	//	Custom messages
	//
	kScanning_msg,

	//
	//	Number of messages
	//
	kMsg_num,
};

extern std::string Messages[];


#endif
