//	<Name>	DamagedShip3.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( DamagedShip3_h )
#define DamagedShip3_h

#include "ShipInfo.h"

class tDamagedShip3 : public tShipInfo
{
public:

	tDamagedShip3();

	virtual	void mSetupState();
	virtual void mSetupCommState();
	virtual void mSetupShip();

	enum eCommStates
	{
		kCommState1,
			//
			//	- HAIL
			//

		kBlankCommState,
	};

	enum eTimerIDs
	{
		kDamagedShip3NoShieldTimerID = 2500,
		kDamagedShip3RepairTimerID,
	};

	int32	mDamageShip();
	void	mRepairShip();

	bool	mCanRepair( void );
	int32	mNumScrews( void );
	bool	mHasHostages( void );
	bool	mHasRescueTeam( void );
	bool	mHasEngineers( void );

	void	mSetCanRepair( bool x );
	void	mSetNumScrews( int32 x );
	void	mSetHasHostages( bool x );
	void	mSetHasRescueTeam( bool x );
	void	mSetHasEngineers( bool x );

private:

	bool	fCanRepair;
	int32	fNumScrews;
	bool	fHasHostages;
	bool	fHasRescueTeam;
	bool	fHasEngineers;
};

#endif

