/********************************************************************************************************\

	File Name:	MissionText.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tstring.h"


enum TextMessages
{
	//
	//	Mission Title
	//
	kMissionTitle_msg,

	//
	//	Briefing message
	//
	kBriefing_msg,
	kBriefingFederation_msg,
	kBriefingKlingon_msg,
	kBriefingRomulan_msg,
	kBriefingLyran_msg,
	kBriefingGorn_msg,
	kBriefingHydran_msg,
	kBriefingMirak_msg,

	//
	//	Starting message
	//
	kStart_msg,
	kStartFederation_msg,
	kStartKlingon_msg,
	kStartRomulan_msg,
	kStartLyran_msg,
	kStartGorn_msg,
	kStartHydran_msg,
	kStartMirak_msg,

	//
	//	Debriefing messages
	//
	kDebAstoundingVictory_msg,
	kDebVictory_msg,
	kDebDraw_msg,
	kDebDefeat_msg,
	kDebDevastatingDefeat_msg,

	//
	//	Comm buttons
	//
	k_HAIL_btn,
	k_SENDDESTRUCTCODE_Starbase1_btn,
	k_SENDDESTRUCTCODE_Starbase2_btn,
	k_SENDDESTRUCTCODE_Starbase3_btn,
	k_DROPSHIELDS_Ship1_btn,
	k_DROPSHIELDS_Ship2_btn,
	k_DROPSHIELDS_Ship3_btn,
	k_DROPSHIELDS_Base_btn,

	//
	//	Comm messages
	//
	k_HAIL_msg,
	k_SENDDESTRUCTCODE_Starbase1_msg,
	k_SENDDESTRUCTCODE_Starbase2_msg,
	k_SENDDESTRUCTCODE_Starbase3_msg,

	//
	//	Victory rating
	//
	kAstoundingVictory_msg,
	kVictory_msg,
	kDraw_msg,
	kDefeat_msg,
	kDevastatingDefeat_msg,

	//
	//	Random chatter
	//
	kRandChat1_msg,
	kRandChat2_msg,
	kRandChat3_msg,
	kRandChat4_msg,
	kRandChat5_msg,
	kRandChat6_msg,

	//
	//	Titles (or names) of ships and objects
	//
	kStarbaseFederation_nam,
	kStarbaseKlingon_nam,
	kStarbaseRomulan_nam,
	kStarbaseLyran_nam,
	kStarbaseGorn_nam,
	kStarbaseHydran_nam,
	kStarbaseMirak_nam,

	//
	//	Event dialog
	//
	kEvent2_1_msg,
	kEvent3_1_msg,
	kEvent3_2_msg,
	kEvent4_1_msg,
	kEvent5_1_msg,
	kEvent6_1_msg,
	kEvent6_2_msg,
	kEvent7_1_msg,
	kEvent8_1_msg,
	kEvent9_1_msg,
	kEvent9_2_msg,
	kEvent10_1_msg,
	kEvent11_1_msg,
	kEvent12_1_msg,
	kEvent12_2_msg,
	kEvent13_1_msg,
	kEvent14_1_msg,
	kEvent15_1_msg,
	kEvent16_1_msg,
	kEvent17_1_msg,
	kEvent17_2_msg,
	kEvent18_1_msg,
	kEvent19_1_msg,
	kEvent19_2_msg,
	kEvent19_3_msg,
	kEvent20_1_msg,
	kEvent21_1_msg,
	kEvent22_1_msg,

	//
	//	Custom messages
	//
	kCustom1_msg,
	kCustom2_msg,
	kCustom3_msg,
	kCustom4_msg,
	kCustom5_msg,
	kCustom6_msg,
	kCustom7_msg,

	//
	//	Testing messages
	//

	//
	//	Not localized as of 10/8/00
	//
	kPlayerTeamTitle_msg,
	kPlayerTeamBriefing_msg,

	//
	//	Not localized as of 10/17/00
	//
	kScanning_msg,

	//
	//	Not localized as of 11/5/00
	//
	kDisconnect_msg,
};

extern std::string Messages[];



