//	<Name>	Starbase.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( Starbase_h )
#define Starbase_h

#include "ShipInfo.h"

class tStarbase : public tShipInfo
{
public:

	tStarbase();

	virtual	void mSetupState();
	virtual void mSetupCommState();
	virtual void mSetupShip();

	enum eCommStates
	{
		kCommState1,
		kCommState2,
		kCommState3,
		kCommState4,
		kBlankCommState,
	};

	enum eTimerIDs
	{
		kStarbaseNoShieldTimerID = 3000,
		kStarbaseRescuedTimerID,
		kStarbaseRepairTimerID,
	};

	int32	mDamageShip();
	void	mRepairShip();

	bool	mCanRepair( void );
	int32	mNumScrews( void );
	bool	mHasHostages( void );
	bool	mHasRescueTeam( void );
	bool	mHasEngineers( void );

	void	mSetCanRepair( bool x );
	void	mSetNumScrews( int32 x );
	void	mSetHasHostages( bool x );
	void	mSetHasRescueTeam( bool x );
	void	mSetHasEngineers( bool x );

private:

	bool	fCanRepair;
	int32	fNumScrews;
	bool	fHasHostages;
	bool	fHasRescueTeam;
	bool	fHasEngineers;
};

#endif

