/********************************************************************************************************\

	File Name:	WheelShipBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "WheelShipBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tWheelShipBaseState::mBeginState()
{}
void tWheelShipBaseState::mEndState()
{}

void tWheelShipBaseState::mOnDeath( tShipInfo* ship )
{}
void tWheelShipBaseState::mOnCapture( tShipInfo* ship )
{}
void tWheelShipBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tWheelShipBaseState::mAtDistance( tShipInfo* ship )
{}
void tWheelShipBaseState::mAtDestination( tShipInfo* ship )
{}
void tWheelShipBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tWheelShipBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tWheelShipBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tWheelShipBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tWheelShipBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tWheelShipBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tWheelShipBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tWheelShipBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tWheelShipBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tWheelShipBaseState::mOnFlashingButtonPressed()
{}
void tWheelShipBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tWheelShipBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tWheelShipBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tWheelShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tWheelShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tWheelShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tWheelShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tWheelShipBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tWheelShipBaseState::mOnHostChanged()
{}
void tWheelShipBaseState::mOnTimedInterval( int32 timerID )
{}
void tWheelShipBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tWheelShipBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

