//	<Name>	AllyShip.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "AllyShip.h"
#include "AllyShipBaseState.h"
#include "MissionText.h"
#include "TeamInfo.h"
#include "Uni_7BattleGrave.h"

tClassAllocator<tAllyShip> gAllyShipAllocator;

void tAllyShip::mSetupState()
{
	mRegisterState( new tAllyShipBaseState() );
	mGotoState( typeid( tAllyShipBaseState ) );
}
void tAllyShip::mSetupCommState()
{
	tTeamInfo*	playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
	Assert( playerTeam );
	if ( !playerTeam )
		return;

	playerTeam->mRegisterCommMessage(	kCommState1, kNoStateChange, mGetShipID(),
										k_HAIL_Ally_btn, k_HAIL_Ally1_msg);
	playerTeam->mRegisterCommMessage(	kCommState1, kNoStateChange, mGetShipID(),
										k_DEFENDME_AllyForReal_btn, k_DEFENDME_Ally1_msg );

	playerTeam->mRegisterCommMessage(	kCommState2, kNoStateChange, mGetShipID(),
										k_HAIL_Ally_btn, k_HAIL_Ally2_msg );
	playerTeam->mRegisterCommMessage(	kCommState2, kNoStateChange, mGetShipID(),
										k_DEFENDME_AllyForReal_btn, k_DEFENDME_Ally1_msg );

	playerTeam->mRegisterCommMessage(	kCommState3, kNoStateChange, mGetShipID(),
										k_HAIL_Ally_btn, k_HAIL_Ally3_msg );
	playerTeam->mRegisterCommMessage(	kCommState3, kNoStateChange, mGetShipID(),
										k_DEFENDME_AllyForReal_btn, k_DEFENDME_Ally1_msg );

	playerTeam->mRegisterCommMessage(	kCommState4, kNoStateChange, mGetShipID(),
										k_HAIL_Ally_btn, k_HAIL_Ally4_msg );
	playerTeam->mRegisterCommMessage(	kCommState4, kNoStateChange, mGetShipID(),
										k_DEFENDME_Ally_btn, k_DEFENDME_Ally2_msg );

	playerTeam->mGotoCommState( mGetShipID(), kCommState1 );
}
void tAllyShip::mSetupShip()
{
	mSetShipCallbackEvents( kNotifyDamage );
}


