/********************************************************************************************************\

	File Name:	MissionMaps.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionMaps.h"

int32 TotalMaps = 3;
const char* MapTypes[] = {	"Uni_7BattleGrave Map Easy",
							"Uni_7BattleGrave Map Medium",
							"Uni_7BattleGrave Map Hard" };
const char* MapLines[]=

{
	// Asteroids: a,A,*
	// Black Holes: b,B
	// Nebula: c,C
	// Dust clouds: d,D
	// Start positions: G,H,I,J,K,L,M,N,O,P,Q,R,S,T,U,V,W,X,Y,Z
	// End positions:   g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z
	// Planets: 1-6
	// Suns: 7-9
	//
   "Uni_7BattleGrave",
   "// Uni_7BattleGrave Map Easy",
   " +____1____2____3____4____5____6+",
   " |.........AaADd..Z..dDAaA......|",
   " |.........AaADd.YzX.dDAaA......|",
   " |.........AaADd.y.x.dDAaA......|",
   " |.........AaADd.....dDAaA......|",
   "1|.........AaADdddddddDAaA......|",
   " |.........AaADDDDDDDDDAaA......|",
   " |.........AaAAAAAAAAAAAaA......|",
   " |.........AaaaaaaaaaaaaaA......|",
   " |.........AAAAAAAAAAAAAAA......|",
   "2|..............................|",
   " |...........W....T....U........|",
   " |...........w....t....u........|",
   " |..............................|",
   " |..............................|",
   "3|..............................|",
   " |................V.............|",
   " |................v.............|",
   " |..............................|",
   " |..............................|",
   "4|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "5|..............................|",
   " |...............g..............|",
   " |...............G...h..........|",
   " |................i..H..........|",
   " |............kj..I.............|",
   "6|............KJ................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Uni_7BattleGrave Map Medium",
   " +____1____2____3____4____5____6+",
   " |................Z.............|",
   " |...............YzX............|",
   " |...............y.x............|",
   " |..............................|",
   "1|dddddddddddddddddddddddddddddd|",
   " |DDDDDDDDDDDDDDDDDDDDDDDDDDDDDD|",
   " |AAAAAAAAAAAAAAAAAAAAAAAAAAAAAA|",
   " |..............................|",
   " |..............................|",
   "2|..............................|",
   " |...........W....T....U........|",
   " |...........w....t....u........|",
   " |..............................|",
   " |..............................|",
   "3|..............................|",
   " |................V.............|",
   " |................v.............|",
   " |..............................|",
   " |..............................|",
   "4|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "5|..............................|",
   " |...............g..............|",
   " |...............G...h..........|",
   " |................i..H..........|",
   " |............kj..I.............|",
   "6|............KJ................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Uni_7BattleGrave Map Hard",
   " +____1____2____3____4____5____6+",
   " |................Z.............|",
   " |...............YzX............|",
   " |...............y.x............|",
   " |..............................|",
   "1|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "2|..............................|",
   " |...........W....T....U........|",
   " |...........w....t....u........|",
   " |..............................|",
   " |..............................|",
   "3|..............................|",
   " |................V.............|",
   " |................v.............|",
   " |..............................|",
   " |..............................|",
   "4|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "5|..............................|",
   " |...............g..............|",
   " |...............G...h..........|",
   " |................i..H..........|",
   " |............kj..I.............|",
   "6|............KJ................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "///",
   0
};