/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN

	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_7BattleGrave",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"\n\n",

	//	kBriefingFederation_msg,
	"Endlich hat eine gro angelegte Offensive gegen das ISK begonnen.\n\n" \
	"Die galaktische Allianz gegen das ISK fhrt gerade eine wichtige Operation in der Nhe von [SYSTEM_NAME] durch. Wir werden " \
	"einen Angriff gegen drei schwer bewaffnete ISK-Basisstationen fhren, das Zentrum des " \
	"Umerziehungsprogramms des ISKs, das den Spitznamen 'Grave of Thoughts' trgt, ein romulanischer Name, wie ich vielleicht hinzufgen sollte.\n\n" \
	"Sie und zwei alliierte Kreuzer werden den Angriff einluten. Erobern Sie jede Basis mit Entertrupps, und " \
	"fordern Sie dann bei unserer Relaisstation ein Transportschiff an. Das Transportschiff wird eintreffen und (so hoffen wir) die " \
	"Gefangenen an einen sicheren Ort bringen, wo wir die Gehirnwsche des ISKs rckgngig machen knnen.\n\n" \
	"Sie knnen bei der Relaisstation auch Verstrkung anfordern; wir verfgen ber eine Menge Schiffe in der Gegend, und " \
	"wir werden Sie Ihnen zur Verfgung stellen, wenn sie frei werden. Hier knnen Sie auch Nachschub " \
	"an Soldaten anfordern. Allerdings mchte die Allianz nicht mehr als acht weitere Kreuzer in die " \
	"Schlacht werfen, Ihre Ressourcen sind also begrenzt.\n\n" \
	"Darber hinaus haben Sie ein Sekundrziel. Es gibt einen ISK-Horchposten in der Nhe der Raumstation; Sie haben die Aufgabe, " \
	"diesen Horchposten aus dem Universum zu entfernen.\n\n " \
	"Wegtreten.\n\n",

	//	kBriefingKlingon_msg,
	"Jetzt nehmen wir endlich den Kampf gegen das ISK auf.\n\n" \
	"Unser Ziel sind drei schwer bewaffnete ISK-Basisstationen, das Zentrum des ISK-Umerziehungsprogramms, " \
	"das den Codenamen 'Grave of Thoughts' trgt. Unser Ziel ist es, die Gefangenen zu retten, bevor ihnen eine Gehirnwsche " \
	"verpasst werden kann, sodass sie sich gegen das klingonische Imperium wenden.\n\n" \
	"Sie und zwei alliierte Kreuzer werden den Angriff einluten. Erobern Sie jede Basis mit Entertrupps, und " \
	"fordern Sie dann bei unserer Relaisstation ein Transportschiff an. Das Transportschiff wird eintreffen und die " \
	"Gefangenen in Sicherheit bringen.\n\n" \
	"Sie knnen bei der Relaisstation auch Verstrkung anfordern; es befinden sich eine Menge Schiffe in der Gegend, und " \
	"einige werden schon als Untersttzung zur Verfgung stehen. Hier knnen Sie auch Nachschub an Soldaten anfordern. Allerdings " \
	"mchte die Allianz nicht mehr als acht weitere Kreuzer in die Schlacht werfen, also denken Sie daran, " \
	"dass Ihre Ressourcen begrenzt sind.\n\n" \
	"Darber hinaus haben Sie ein weiteres Ziel. Wir mssen dem ISK einen Denkzettel verpassen. Zerstren Sie die Basen nicht zu " \
	"schnell. Geben Sie ihnen eine Chance, Verstrkung zu schicken, und zermalmen Sie sie erst dann. Wenn wir mehr als " \
	"zehn Kreuzer zerstren knnen, wird das eine eindrucksvolle Lektion fr sie sein.\n\n" \
	"Wegtreten.\n\n",

	//	kBriefingRomulan_msg,
	"Endlich muss das ISK fr seine Verbrechen gegenber dem romulanischen Volk bezahlen.\n\n" \
	"Unser Ziel sind drei schwer bewaffnete ISK-Basisstationen, das Zentrum des ISK-Umerziehungsprogramms, " \
	"das den Codenamen 'Grave of Thoughts' trgt. Unser Ziel ist es, die Gefangenen zu retten, bevor ihnen eine " \
	"Gehirnwsche verpasst werden kann, sodass sie sich gegen das romulanische Imperium wenden, das wre die ultimative Blamage.\n\n" \
	"Sie und zwei alliierte Kreuzer werden den Angriff einluten. Erobern Sie jede Basis mit Entertrupps, und " \
	"fordern Sie dann bei unserer Relaisstation ein Transportschiff an. Das Transportschiff wird eintreffen und die " \
	"Gefangenen in Sicherheit bringen.\n\n" \
	"Sie knnen bei der Relaisstation auch Verstrkung anfordern; es befinden sich eine Menge Schiffe in der Gegend, und " \
	"einige werden schon als Untersttzung zur Verfgung stehen. Hier knnen Sie auch Nachschub an Soldaten anfordern. Allerdings " \
	"mchte die Allianz nicht mehr als acht weitere Kreuzer in die Schlacht werfen, also denken Sie daran, " \
	"dass Ihre Ressourcen begrenzt sind.\n\n" \
	"Darber hinaus haben Sie ein weiteres Ziel. Es gibt einen brillanten ISK-Strategen in einem Kommandokreuzer, ein " \
	"ISK-CB. Ihn zu vernichten wre gleichbedeutend mit der Zerstrung von zwanzig Kreuzern. Erobern oder vernichten " \
	"Sie ihn, und Sie werden groen Ruhm ernten.\n\n" \
	"Wegtreten.\n\n",
	
	//	kBriefingLyran_msg,
	"Die Zeiten haben sich gendert im Krieg gegen das ISK.\n\n" \
	"Unser Ziel sind drei schwer bewaffnete ISK-Basisstationen, das Zentrum des ISK-Umerziehungsprogramms, " \
	"das den Codenamen 'Grave of Thoughts' trgt. Sie und zwei alliierte Kreuzer werden den Angriff einluten. Erobern Sie " \
	"jede Basisstation mit Entertrupps, und fordern Sie dann bei unserer Relaisstation ein Transportschiff an. Das " \
	"Transportschiff wird eintreffen und die Gefangenen in Sicherheit bringen.\n\n" \
	"Sie knnen bei der Relaisstation auch Verstrkung anfordern; es befinden sich eine Menge Schiffe in der Gegend, und " \
	"einige werden schon als Untersttzung zur Verfgung stehen. Hier knnen Sie auch Nachschub an Soldaten anfordern. Allerdings " \
	"mchte die Allianz nicht mehr als acht weitere Kreuzer in die Schlacht werfen, also denken Sie daran, " \
	"dass Ihre Ressourcen begrenzt sind.\n\n" \
	"Darber hinaus haben Sie ein weiteres Ziel. Wir mchten nicht, dass das ISK je wieder in der Lage sein wird, sich auf diesen Basisstationen " \
	"breitzumachen. Nachdem die Gefangenen gerettet wurden, legen Sie die Basisstationen in Schutt und Asche. Sie drfen nie wieder eine Bedrohung " \
	"fr einen lyranischen Klan darstellen.\n\n" \
	"Wegtreten.\n\n",
	
	//	kBriefingGorn_msg,
	"Die Zeiten haben sich gendert im Krieg gegen das ISK.\n\n" \
	"Unser Ziel sind drei schwer bewaffnete ISK-Basisstationen, das Zentrum des ISK-Umerziehungsprogramms, " \
	"das den Codenamen 'Grave of Thoughts' trgt. Sie und zwei alliierte Kreuzer werden den Angriff einluten. Erobern Sie " \
	"jede Basisstation mit Entertrupps, und fordern Sie dann bei unserer Relaisstation ein Transportschiff an. Das " \
	"Transportschiff wird eintreffen und die Gefangenen in Sicherheit bringen.\n\n" \
	"Sie knnen bei der Relaisstation auch Verstrkung anfordern; es befinden sich eine Menge Schiffe in der Gegend, und " \
	"einige werden schon als Untersttzung zur Verfgung stehen. Hier knnen Sie auch Nachschub an Soldaten anfordern. Allerdings " \
	"mchte die Allianz nicht mehr als acht weitere Kreuzer in die Schlacht werfen, also denken Sie daran, " \
	"dass Ihre Ressourcen begrenzt sind.\n\n" \
	"Darber hinaus haben Sie ein weiteres Ziel. Es gibt einen brillanten ISK-Strategen in einem Kommandokreuzer, ein " \
	"ISK-CB. Ihn zu vernichten wre gleichbedeutend mit der Zerstrung von zwanzig Kreuzern. Erobern oder vernichten Sie " \
	"ihn, und die Gorn knnen sich mit diesem Sieg stolz vor allen Vlkern in der Galaxis brsten.\n\n" \
	"Wegtreten.\n\n",
	
	//	kBriefingHydran_msg,
	"Die Zeiten haben sich gendert im Krieg gegen das ISK.\n\n" \
	"Unser Ziel sind drei schwer bewaffnete ISK-Basisstationen, das Zentrum des ISK-Umerziehungsprogramms, " \
	"das den Codenamen 'Grave of Thoughts' trgt. Sie und zwei alliierte Kreuzer werden den Angriff einluten. Erobern " \
	"Sie jede Basisstation mit Entertrupps, und fordern Sie dann bei unserer Relaisstation ein Transportschiff an. Das " \
	"Transportschiff wird eintreffen und die Gefangenen in Sicherheit bringen.\n\n" \
	"Sie knnen bei der Relaisstation auch Verstrkung anfordern; es befinden sich eine Menge Schiffe in der Gegend, und " \
	"einige werden schon als Untersttzung zur Verfgung stehen. Hier knnen Sie auch Nachschub an Soldaten anfordern. Allerdings " \
	"mchte die Allianz nicht mehr als acht weitere Kreuzer in die Schlacht werfen, also denken Sie daran, " \
	"dass Ihre Ressourcen begrenzt sind.\n\n" \
	"Darber hinaus haben Sie ein weiteres Ziel. Wir mchten nicht, dass das ISK je wieder in der Lage sein wird, sich auf diesen Basisstationen " \
	"breitzumachen. Nachdem die Gefangenen gerettet wurden, legen Sie die Basisstationen in Schutt und Asche. Sie drfen nie wieder eine Bedrohung " \
	"fr das hydranische Knigreich darstellen.\n\n" \
	"Wegtreten.\n\n",
	
	//	kBriefingMirak_msg,
	"Die Zeiten haben sich gendert im Krieg gegen das ISK.\n\n" \
	"Unser Ziel sind drei schwer bewaffnete ISK-Basisstationen, das Zentrum des ISK-Umerziehungsprogramms, " \
	"das den Codenamen 'Grave of Thoughts' trgt. Sie und zwei alliierte Kreuzer werden den Angriff einluten. Erobern " \
	"Sie jede Basisstation mit Entertrupps, und fordern Sie dann bei unserer Relaisstation ein Transportschiff an. Das " \
	"Transportschiff wird eintreffen und die Gefangenen in Sicherheit bringen.\n\n" \
	"Sie knnen bei der Relaisstation auch Verstrkung anfordern; es befinden sich eine Menge Schiffe in der Gegend, und " \
	"einige werden schon als Untersttzung zur Verfgung stehen. Hier knnen Sie auch Nachschub an Soldaten anfordern. Allerdings " \
	"mchte die Allianz nicht mehr als acht weitere Kreuzer in die Schlacht werfen, also denken Sie daran, " \
	"dass Ihre Ressourcen begrenzt sind.\n\n" \
	"Darber hinaus haben Sie ein weiteres Ziel. Es gibt einen ISK-Horchposten in der Nhe der Raumstation. Vernichten Sie ihn.\n\n" \
	"Wegtreten.\n\n",

	//
	//	Starting message
	//
	
	//	kStart_msg,
	"\n\n",

	//	kStartFederation_msg,
	"[PLAYER_NAME]: Logbuch des Captains, Sternendatum [STARDATE]. Wir greifen das Umerziehungs- " \
	"zentrum in [SYSTEM_NAME] an. Unser Ziel sind drei Raumstationen; wir mssen jede Raumstation mit unseren " \
	"Entertrupps einnehmen, dann ein Transportschiff anfordern, das sich zur Basisstation begibt, die Gefangenen an Bord nimmt und " \
	"sie in Sicherheit bringt. Unser Sekundrziel ist die Zerstrung eines ISK-Horchpostens, der " \
	"sich in der Nhe der Stationen befindet.\n\n",
	
	//	kStartKlingon_msg,
	"[PLAYER_NAME]: Kriegsbericht, [STARDATE]. Wir greifen das Umerziehungszentrum in " \
	"[SYSTEM_NAME] an. Unser Ziel sind drei Raumstationen; wir mssen jede Raumstation mit unseren " \
	"Entertrupps einnehmen, dann ein Transportschiff anfordern, das sich zur Basisstation begibt, die Gefangenen an Bord nimmt und " \
	"sie in Sicherheit bringt.\n\n Unser Sekundrziel ist es, hierbei mindestens zehn ISK-Kreuzer zu zerstren.\n\n",
	
	//	kStartRomulan_msg,
	"[PLAYER_NAME]: Bericht des [PLAYER_EMPIRE], [STARDATE]. Wir greifen das Umerziehungs- " \
	"zentrum in [SYSTEM_NAME] an. Unser Ziel sind drei Raumstationen; wir mssen jede Raumstation mit unseren " \
	"Entertrupps einnehmen, dann ein Transportschiff anfordern, das sich zur Basisstation begibt, die Gefangenen an Bord nimmt und " \
	"sie in Sicherheit bringt. Unser Sekundrziel ist es, ein feindliches Flaggschiff zu erobern, einen " \
	"Kommandokreuzer.\n\n",
	
	//	kStartLyran_msg,
	"[PLAYER_NAME]: Journal des [PLAYER_RANK], lyranisches Imperium, [STARDATE]. Wir greifen " \
	"das Umerziehungszentrum in [SYSTEM_NAME] an. Unser Ziel sind drei Raumstationen; wir mssen jede Raumstation mit unseren " \
	"Entertrupps einnehmen, dann ein Transportschiff anfordern, das sich zur Basisstation begibt, die Gefangenen an Bord nimmt und " \
	"sie in Sicherheit bringt. Unser Sekundrziel ist es, jede der " \
	"Raumstationen zu zerstren, nachdem die Gefangenen evakuiert wurden.\n\n",
	
	//	kStartGorn_msg,
	"[PLAYER_NAME]: Logbuch des Commanders, [STARDATE]. Wir greifen das Umerziehungszentrum in " \
	"[SYSTEM_NAME] an. Unser Ziel sind drei Raumstationen; wir mssen jede Raumstation mit unseren " \
	"Entertrupps einnehmen, dann ein Transportschiff anfordern, das sich zur Basisstation begibt, die Gefangenen an Bord nimmt und " \
	"sie in Sicherheit bringt.\n\n Unser Sekundrziel ist es, ein feindliches Flaggschiff zu erobern, einen Kommandokreuzer.\n\n",
	
	//	kStartHydran_msg,
	"[PLAYER_NAME]: Journal des Commanders, [STARDATE]. Unser Ziel sind drei Raumstationen; wir mssen " \
	"jede Raumstation mit unseren Entertrupps einnehmen, dann ein Transportschiff anfordern, das sich zur Basisstation begibt, die Gefangenen an Bord nimmt und " \
	"sie in Sicherheit bringt. Unser Sekundrziel ist es, jede der " \
	"Raumstationen zu zerstren, nachdem die Gefangenen evakuiert wurden.\n\n",
	
	//	kStartMirak_msg,
	"[PLAYER_NAME]: Jagdbericht, [STARDATE]. Wir greifen das Umerziehungszentrum in " \
	"[SYSTEM_NAME] an. Unser Ziel sind drei Raumstationen; wir mssen jede Raumstation mit unseren " \
	"Entertrupps einnehmen, dann ein Transportschiff anfordern, das sich zur Basisstation begibt, die Gefangenen an Bord nimmt und " \
	"sie in Sicherheit bringt.\n\n Unser Sekundrziel ist die Zerstrung eines ISK-Horchpostens, der sich in der Nhe " \
	"der Stationen befindet. Wir freuen uns darauf, unsere Klauen in die zuckenden Leiber des ISKs zu bohren und sie in ihrem Blut zu baden.\n\n",

	//
	//	Debriefing messages
	//
	
	//	kDebAstoundingVictory_msg,
	"\n\n",
	
	//	kDebVictory_msg,
	"\n\n",
	
	//	kDebDraw_msg,
	"\n\n",
	
	//	kDebDefeat_msg,
	"\n\n",
	
	//	kDebDevastatingDefeat_msg,
	"\n\n",

	//	kDebAstoundingVictoryFederationMirak_msg,
	"Herzlichen Glckwunsch. Das war eine auerordentlich schwierige Mission, und Sie haben sie perfekt gemeistert. Dem ISK " \
	"konnte ein ernster, wenn nicht sogar tdlicher Schlag versetzt werden. Und Ihre Fhrungstalente und Ihr Mut sind der Grund dafr.\n\n" \
	"Genieen Sie diesen Tag der Ehre. Ich wei aus Erfahrung, dass diese Tage rar sind und sehr, sehr flchtig.\n\n" \
	"Wegtreten.\n\n",
	
	//	kDebVictoryFederationMirak_msg,
	"Das war wahrscheinlich die schwierigste Mission, mit der wir Sie je beauftragt haben. Zwar wrden wir uns wnschen, " \
	"Sie htten den Horchposten ausheben knnen, jedoch war die Rettung der Gefangenen eine wesentlich beeindruckendere Leistung.\n\n" \
	"Wegtreten.\n\n",
	
	//	kDebDefeatFederationMirak_msg,
	"Das war wahrscheinlich die schwierigste Mission, mit der wir Sie je beauftragt haben. Es ist zwar keine Schande, eine Niederlage einzustecken, " \
	"aber ein Menge guter Brger der [PLAYER_RACE] hatten auf Ihren Erfolg gesetzt. Und das ist etwas, " \
	"womit Sie werden leben mssen.\n\n" \
	"Wegtreten.\n\n",
	
	//	kDebAstoundingVictoryKlingon_msg,
	"Ich htte Sie mit keiner schwierigeren Mission betrauen knnen, auer Sie in das Herz einer " \
	"Sonne zu strzen. Aber wir Klingonen erwarten nicht nur das Unmgliche - wir fordern es sogar, denn sonst " \
	"htten wir nicht berleben knnen.\n\n" \
	"Und Sie haben es erreicht. Sie konnten die Schlacht sogar verlngern und haben eine groe Anzahl ISK- " \
	"Kreuzer zerstrt. Ich glaube, an diesem Tag htte Ihnen noch nicht einmal die Sonne standhalten knnen.\n\n" \
	"Wegtreten.\n\n",
	
	//	kDebVictoryKlingon_msg,
	"Ich htte Sie mit keiner schwierigeren Mission betrauen knnen, auer Sie in das Herz einer " \
	"Sonne zu strzen. Aber wir Klingonen erwarten nicht nur das Unmgliche - wir fordern es sogar, denn sonst " \
	"htten wir nicht berleben knnen.\n\n" \
	"Und Sie haben es erreicht. Ich wnschte jedoch, Sie htten die Schlacht verlngern und eine groe Anzahl " \
	"ISK-Kreuzer zerstren knnen, aber abschlieend betrachtet haben Sie sich sehr gut geschlagen.\n\n" \
	"Wegtreten.\n\n",
	
	//	kDebDefeatKlingon_msg,
	"Ich htte Sie mit keiner schwierigeren Mission betrauen knnen, auer Sie in das Herz einer " \
	"Sonne zu strzen. Aber wir Klingonen erwarten nicht nur das Unmgliche - wir fordern es sogar, denn sonst " \
	"htten wir nicht berleben knnen.\n\n" \
	"Es liegt mir nicht, Sie fr Ihre Niederlage zu zchtigen. Das werde ich Ihrem Gewissen berlassen.\n\n" \
	"Wegtreten.\n\n",
	
	//	kDebAstoundingVictoryRomulanGorn_msg,
	///--DANH2
	///---DANH1
	"Herzlichen Glckwunsch. Das war eine auerordentlich schwierige Mission, und Sie haben sie perfekt gemeistert. Dem ISK " \
	"konnte ein ernster, wenn nicht sogar tdlicher Schlag versetzt werden. Und Ihre Fhrungstalente und Ihr Mut sind der Grund dafr.\n\n" \
	"Genieen Sie diesen Tag der Ehre. Sonnen Sie sich im Ruhm. Denn Sie haben den Segen unseres Gottes verdient.\n\n" \
	"Wegtreten.\n\n",
	
	//	kDebVictoryRomulanGorn_msg,
	"Das war wahrscheinlich die schwierigste Mission, mit der wir Sie je beauftragt haben. Zwar wrden wir uns wnschen, " \
	"Sie htten den Kommandokreuzer auseinandernehmen knnen, jedoch war die Rettung der Gefangenen eine wesentlich beeindruckendere Leistung.\n\n" \
	"Wegtreten.\n\n",
	
	//	kDebDefeatRomulanGorn_msg,
	"Das war wahrscheinlich die schwierigste Mission, mit der wir Sie je beauftragt haben. Es ist zwar keine Schande, eine Niederlage einzustecken, " \
	"aber ein Menge guter Brger der [PLAYER_RACE] hatten auf Ihren Erfolg gesetzt. Und das ist etwas, " \
	"womit Sie werden leben mssen.\n\n" \
	"Wegtreten.\n\n",
	
	//	kDebAstoundingVictoryLyranHydran_msg,
	"Herzlichen Glckwunsch. Das war eine auerordentlich schwierige Mission, und Sie haben sie mit " \
	"auerordentlichem Mut und Fhrungsstrke gemeistert. Jetzt knnen wir wirklich damit beginnen, dem ISK zu zeigen, was fr einen schrecklichen Fehler " \
	"sie begangen haben.\n\n" \
	"Unzhlige Gefangene berschtten Sie mit ihrem Dank. Sie haben es verdient. Sie haben es sich redlich verdient.\n\n" \
	"Wegtreten.\n\n",
	
	//	kDebVictoryLyranHydran_msg,
	"Das war wahrscheinlich die schwierigste Mission, mit der wir Sie je beauftragt haben. Zwar wrden wir uns wnschen, " \
	"Sie htten alle Basen zerstren knnen, jedoch war die Rettung der Gefangenen eine wesentlich beeindruckendere Leistung.\n\n" \
	"Wegtreten.\n\n",
	
	//	kDebDefeatLyranHydran_msg,
	"Das war wahrscheinlich die schwierigste Mission, mit der wir Sie je beauftragt haben. Es ist keine Schande, eine Niederlage einzustecken, " \
	"und wir knnen uns den Luxus der gegenseitigen Beschimpfung in diesen schwierigen Zeiten nicht leisten. Das Imperium der [PLAYER_RACE] " \
	"braucht Siege, sogar die unmglichen.\n\n" \
	"Wegtreten.\n\n",

	//
	//	Comm buttons
	//
	
	//	k_HAIL_Ally_btn,
	"RUFEN",
	
	//	k_DEFENDME_Ally_btn,
	"MICH VERTEIDIGEN",

	//	k_DEFENDME_AllyForReal_btn,
	"MICH VERTEIDIGEN",
	
	//	k_MOREMARINES_RelayStation_btn,
	"MEHR SOLDATEN AN BORD NEHMEN",
	
	//	k_REQUESTCRUISER_RelayStation_btn,
	"KREUZER ANFORDERN",

	//	k_REQUESTCRUISER_RelayStationForReal_btn,
	"KREUZER ANFORDERN",

	//	k_REQUESTTRANSPORT_RelayStation_btn,
	"TRANSPORTER ANFORDERN",

	//	k_REQUESTTRANSPORT_RelayStationForReal_btn,
	"TRANSPORTER ANFORDERN",
	
	//	k_GOTOSTATION_Transport_btn,
	"GEHE ZU STATION",

	//	k_HAIL_ISC_btn,
	"RUFEN",
	
	//	k_DEMANDSURRENDER_ISC_btn,
	"KAPITULATION FORDERN",

	//
	//	Comm messages
	//
	
	//	k_HAIL_Ally1_msg,
	"Captain: Wir sind gut in Form.\n\n",
	
	//	k_HAIL_Ally2_msg,
	"Captain: Die Hlle hlt stand. Bis jetzt sind wir noch gut in Form.\n\n",
	
	//	k_HAIL_Ally3_msg,
	"Captain: Das Wetter hat sich gegen uns gewendet, aber wir sind noch nicht gesunken.\n\n",
	
	//	k_HAIL_Ally4_msg
	"Captain: Mayday. Wir brauchen Verstrkung.\n\n",
	
	//	k_DEFENDME_Ally1_msg,
	"Captain: Besttigt. Wir werden unser Bestes tun.\n\n",
	
	//	k_DEFENDME_Ally2_msg,
	"Captain: Negativ, wir sind zu schwer beschdigt.\n\n",
	
	//	k_MOREMARINES_RelayStation1_msg,
	"Sicherheitsoffizier: Wir brauchen mehr Soldaten.\n\n",
	
	//	k_MOREMARINES_RelayStation2_msg,
	"Sicherheitsoffizier: Wir brauchen mehr Soldaten.\n\n",
	
	//	k_REQUESTCRUISER_RelayStation1_msg,
	"Kommunikationsoffizier: Alle Schiffe sind in Kampfhandlungen verstrickt. Es ist keine Verstrkung " \
	"in Aussicht.\n\n",
		
	//	k_REQUESTCRUISER_RelayStation2_msg,
	"Kommunikationsoffizier: Ist auf dem Weg.\n\n",
	
	//	k_REQUESTCRUISER_RelayStation3_msg,
	"Kommunikationsoffizier: Die Flotte mchte nicht mehr als zwei Kreuzer gleichzeitig in eine heie " \
	"Zone schicken. Wir werden warten mssen.\n\n",

	//	k_REQUESTTRANSPORT_RelayStation1_msg,
	"Kommunikationsoffizier: Ist auf dem Weg.\n\n Wir mssen im bei Ankunft die ntigen Befehle geben.\n\n",

	//	k_REQUESTTRANSPORT_RelayStation2_msg,
	"Kommunikationsoffizier: Die Flotte mchte nicht mehr als einen Kreuzer gleichzeitig in eine heie " \
	"Zone schicken. Wir werden warten mssen.\n\n",

	//	k_GOTOSTATION_Transport1_msg,
	"Kommunikationsoffizier: Das Transportschiff ist auf Kurs.\n\n",

	//	k_GOTOSTATION_Transport2_msg,
	"Kommunikationsoffizier: Nicht notwendig. Alle Gefangenen wurden gerettet.\n\n",

	//	k_HAIL_ISC1_1_msg,
	"Commander des ISK: Primitivlingen habe ich nichts zu sagen.\n\n",
	
	//	k_HAIL_ISC1_2_msg,
	"Commander des ISK: Wir werden nicht zulassen, dass Ihr den Umerziehungsprozess strt.\n\n",
	
	//	k_HAIL_ISC1_3_msg,
	"Commander des ISK: Vlker wie das Ihre kann man nur ignorieren.\n\n",
	
	//	k_HAIL_ISC1_4_msg,
	"Commander des ISK: Sie kommen zu einer zivilen Einrichtung, um Mord und Totschlag zu bringen?  Ist immer noch kein Ende " \
	"Eurer Barbarei in Sicht?\n\n",
	
	//	k_DEMANDSURRENDER_ISC1_1_msg,
	"Commander des ISK: Wir werden uns niemals zurckziehen, uns ergeben oder Euren Nachwuchs verhtscheln.\n\n",
	
	//	k_DEMANDSURRENDER_ISC1_2_msg,
	"Commander des ISK: Ich enttusche Sie nur ungern, [PLAYER_RANK], aber die Antwort ist definitiv Nein.\n\n",
	
	//	k_DEMANDSURRENDER_ISC1_3_msg,
	"Commander des ISK: Ich habe das Blutbad gesehen, das Sie angerichtet haben: Tod und Zerstrung, und Sie haben es fr " \
	"sich sehr gut gemacht. Aber nicht gut genug, um unsere Kapitulation zu erzwingen.\n\n",
	
	//	k_DEMANDSURRENDER_ISC1_4_msg,
	"Commander des ISK: Wir sollen uns ergeben?  Einem Verrckten?  Niemals!\n\n",

	//
	//	Victory rating
	//

	// kAstoundingVictory_msg,
	"Groartiger Sieg!\n",

	// kVictory_msg,
	"Sieg!\n",

	// kDraw_msg,
	"Unentschieden.\n",

	// kDefeat_msg,
	"Niederlage.\n",

	// kDevastatingDefeat_msg,
	"Vernichtende Niederlage.\n",

	//
	//	Random chatter
	//

	//	kRandChat1_msg,
	"Steuermann: Ich kann einfach nicht glauben, dass diese Allianz gegen das ISK tatschlich zusammenhlt.\n\n",
	
	//	kRandChat2_msg,
	"Ingenieur: Das wird ein langer, harter Kampf.\n\n",
		
	//	kRandChat3_msg,
	"Sicherheitsoffizier: Ich habe die Entertrupps in stndiger Bereitschaft gehalten. Wir sind bereit, wann immer Sie " \
	"den Einsatzbefehl geben.\n\n",
	
	//	kRandChat4_msg,
	"Kommunikationsoffizier: Alles ruhig da drauen. Sie wissen, dass wir kommen.\n\n",
		
	//	kRandChat5_msg,
	"Waffenoffizier: Ich wnschte, wir htten ein paar Tholianer in der Allianz. Netzwerfer knnten wir jetzt gut gebrauchen.\n\n",
	
	//	kRandChat6_msg,
	"Wissenschaftsoffizier: Umerziehung. Das ist doch nur ein anderes Wort fr Gehirnwsche.\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	
	//	kEvent4_1_msg,
	"Wissenschaftsoffizier: Feindlicher Kommandokreuzer ist in das System eingedrungen, [PLAYER_RANK].\n\n",
	
	//	kEvent4_2_msg,
	"Wissenschaftsoffizier: Feindliche Verstrkung ist im System angekommen, [PLAYER_RANK].\n\n",
	
	//	kEvent4_3_msg,
	"Erster Offizier: Wir haben zehn feindliche Kreuzer zerstrt. Sekundrziel abgeschlossen.\n\n",
	
	//	kEvent5_1_msg,
	"Sicherheitsoffizier: Das Flaggschiff des Gegners ist unser.\n\n",
	
	//	kEvent5_2_msg,
	"Erster Offizier: Sekundrziel erreicht.\n\n",
	
	//	kEvent6_1_msg,
	"Sicherheitsoffizier: Unsere Truppen melden, dass sie die erste Raumstation eingenommen haben. Die Gefangenen " \
	"sind bereit zum Abmarsch, sobald der Transporter eintrifft.\n\n",
	
	//	kEvent7_1_msg,
	"Wissenschaftsoffizier: Die Gefangenen befinden sich an Bord des Transportschiffs. Jetzt muss es nur noch aus dem " \
	"System entkommen.\n\n",
	
	//	kEvent8_1_msg,
	"Sicherheitsoffizier: Unsere Truppen melden, dass sie die zweite Raumstation eingenommen haben. Die Gefangenen " \
	"sind bereit zum Abmarsch, sobald der Transporter eintrifft.\n\n",
	
	//	kEvent9_1_msg,
	"Wissenschaftsoffizier: Die Gefangenen befinden sich an Bord des Transportschiffs. Jetzt muss es nur noch aus dem " \
	"System entkommen.\n\n",
	
	//	kEvent10_1_msg,
	"Sicherheitsoffizier: Unsere Truppen melden, dass sie die dritte Raumstation eingenommen haben. Die Gefangenen " \
	"sind bereit zum Abmarsch, sobald der Transporter eintrifft.\n\n",
	
	//	kEvent11_1_msg,
	"Wissenschaftsoffizier: Die Gefangenen befinden sich an Bord des Transportschiffs. Jetzt muss es nur noch aus dem " \
	"System entkommen.\n\n",
	
	//	kEvent12_1_msg,
	"Wissenschaftsoffizier: Die Gefangenen aus der ersten Station konnten entkommen.\n\n",
	
	//	kEvent12_2_msg,
	"Erster Offizier: ///Das ist alles, was die Gefangenen sich erhofft hatten. Mission abgeschlossen.\n\n",
	
	//	kEvent12_3_msg,
	"Wissenschaftsoffizier: Das Transportschiff kann nun die nchste Ladung Gefangene an Bord nehmen.\n\n",
	
	//	kEvent12_4_msg,
	"Wissenschaftsoffizier: Die Gefangenen aus der zweiten Station konnten entkommen.\n\n",
	
	//	kEvent12_5_msg,
	"Erster Offizier: ///Das ist alles, was die Gefangenen sich erhofft hatten. Mission abgeschlossen.\n\n",
	
	//	kEvent12_6_msg,
	"Wissenschaftsoffizier: Das Transportschiff kann nun die nchste Ladung Gefangene an Bord nehmen.\n\n",
	
	//	kEvent12_7_msg,
	"Wissenschaftsoffizier: Die Gefangenen aus der dritten Station konnten entkommen.\n\n",
	
	//	kEvent12_8_msg,
	"Erster Offizier: ///Das ist alles, was die Gefangenen sich erhofft hatten. Mission abgeschlossen.\n\n",
	
	//	kEvent12_9_msg,
	"Wissenschaftsoffizier: Das Transportschiff kann nun die nchste Ladung Gefangene an Bord nehmen.\n\n",
	
	//	kEvent13_1_msg,
	"Wissenschaftsoffizier: Wir haben gerade den Frachter verloren.\n\n",
	
	//	kEvent13_2_msg,
	"Erster Offizier: Alle Gefangenen aus der ersten Station sind verloren.\n\n",
	
	//	kEvent13_3_msg,
	"Erster Offizier: Alle Gefangenen aus der zweiten Station sind verloren.\n\n",
	
	//	kEvent13_4_msg,
	"Erster Offizier: Alle Gefangenen aus der dritten Station sind verloren.\n\n",
	
	//	kEvent14_1_msg,
	"Wissenschaftsoffizier: Die Raumstation wurde zerstrt. Alle Gefangenen sind verloren.\n\n",
	
	//	kEvent14_2_msg,
	"Erster Offizier: ///Das ist alles, was die Gefangenen sich erhofft hatten. Mission abgeschlossen.\n\n",
	
	//	kEvent14_3_msg,
	"Erster Offizier: Alle Stationen wurden zerstrt. Sekundrziel abgeschlossen.\n\n",
	
	//	kEvent15_1_msg,
	"Wissenschaftsoffizier: Die Raumstation wurde zerstrt. Alle Gefangenen sind verloren.\n\n",
	
	//	kEvent15_2_msg,
	"Erster Offizier: ///Das ist alles, was die Gefangenen sich erhofft hatten. Mission abgeschlossen.\n\n",
	
	//	kEvent15_3_msg,
	"Erster Offizier: Alle Stationen wurden zerstrt. Sekundrziel abgeschlossen.\n\n",
	
	//	kEvent16_1_msg,
	"Wissenschaftsoffizier: Die Raumstation wurde zerstrt. Alle Gefangenen sind verloren.\n\n",
	
	//	kEvent16_2_msg,
	"Erster Offizier: ///Das ist alles, was die Gefangenen sich erhofft hatten. Mission abgeschlossen.\n\n",
	
	//	kEvent16_3_msg,
	"Erster Offizier: Alle Stationen wurden zerstrt. Sekundrziel abgeschlossen.\n\n",
	
	//	kEvent17_1_msg,
	"Erster Offizier: Sekundrziel erreicht.\n\n",
	
	//	kEvent18_1_msg,
	"Kommunikationsoffizier: Commander, der Transponder, unser Kommunikationsrelais, wird angegriffen. Wenn " \
	"er zerstrt wird, knnen wir keine Verstrkung oder Frachter mehr anfordern.\n\n",
	
	//	kEvent19_1_msg,
	"Kommunikationsoffizier: Der Transponder wurde zerstrt.\n\n",
	
	//	kEvent19_2_msg,
	"Erster Offizier: Wir knnen die Mission nicht erfolgreich zu Ende bringen, wenn wir keinen Frachter anfordern knnen. Mission " \
	"abgebrochen.\n\n",
	
	//	kEvent20_1_msg,
	"Wissenschaftsoffizier: Wir verlassen das System, Captain.\n\n",
	
	//	kEvent21_1_msg,
	"Wissenschaftsoffizier: Wir haben das System verlassen.\n\n",

	//
	//	Custom messages
	//

	//	kCustom1_msg,
	"Erster Offizier: Wir haben zehn feindliche Kreuzer neutralisiert. Alle Einsatzziele wurden erreicht.\n\n",

	//	kCustom2_msg,
	"Erster Offizier: Alle Einsatzziele wurden erreicht.\n\n",

	//	kCustom3_msg,
	"Erster Offizier: Wir haben einen alliierten Kreuzer verloren.\n\n",

	//	kCustom4_msg,
	"Erster Offizier: Horchposten erobert. Sekundrziel abgeschlossen.\n\n",

	//	kCustom5_msg,
	"Erster Offizier: Wir knnen die Mission nicht zum Abschluss bringen, weil wir mit einem einzigen Frachter nicht " \
	"so viele Gefangene retten knnen. Mission abgebrochen.\n\n",

	//	kCustom6_msg,
	"Chief Transporter: Es werden Soldaten an Bord unseres Schiffes gebracht.\n\n",

	//	kCustom7_msg,
	"Chief Transporter: Wir mssen nher ran.\n\n",

	//	kCustom8_msg,
	"Erster Offizier: Gegnerischer Kreuzer zerstrt.\n\n",

	//	kCustom9_msg,
	"Erster Offizier: Ein gegnerischer Kreuzer konnte sich absetzen. Warum?\n\n",

	//	kCustom10_msg,
	"Erster Offizier: ///Das ist alles, was die Gefangenen sich erhofft hatten. Wir mssen immer noch unser sekundres " \
	"Ziel erreichen.\n\n",

	//	kCustom11_msg,
	"Erster Offizier: Horchposten zerstrt. Das ISK ist jetzt nicht mehr in der Lage, Verstrkung zu rufen.\n\n",

	//	kCustom12_msg,
	"Erster Offizier: Gegnerischen Kreuzer erobert.\n\n",

	//	kCustom13_msg,
	"Erster Offizier: Transportschiff ist im System angekommen.\n\n",

	//	kCustom14_msg,
	"Erster Offizier: Basisstation vernichtet.\n\n",

	//	kCustom15_msg,
	"Erster Offizier: Flaggschiff vernichtet.\n\n",

	//
	//	Not localized as of 10/8/00
	//
	
	//	kPlayerTeamTitle_msg,
	"Schlacht beim Grab des Denkens",

	//	kPlayerTeamBriefing_msg,
	"",

	//	kScanning_msg,
	"Wissenschaftsoffizier: Wir scannen...\n\n",

	//	kDisconnect_msg,
	"Mission eingebt",


#else		///////////////////////////////////////////////////////////////////////////////////////////////

	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_7BattleGrave",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"\n\n",

	//	kBriefingFederation_msg,
	">Save the prisoners from the ISC reeducation bases.\n\n<" \
	"A major offensive against the ISC has begun at last.\n\n" \
	"The galactic alliance against the ISC is conducting major operations near [SYSTEM_NAME].  We will " \
	"be leading an assault against three heavily armed ISC base stations, the center of the ISC " \
	"reeducation program, which has been nicknamed \"The Grave of Thoughts\", a Romulan name, I might add.\n\n" \
	"You and two allied cruisers will begin the assault.  Capture each base with boarding parties, then " \
	"call to our relay station for a transport.  The transport ship will arrive, and (we hope) bring the " \
	"prisoners to safety, where we can undo ISC brainwashing.\n\n" \
	"You can also call for reinforcements at the relay station; we have a lot of ships in the area, and " \
	"will put them at your disposal when they become available.  You can also replenish marines " \
	"here.  However, the Alliance is unwilling to dedicate more than eight additional cruisers to the " \
	"operation, so your resources are limited.\n\n" \
	"You also have a secondary goal.  There is an ISC Listening Post near the space station; we're asking " \
	"you to remove it from the universe.\n\n" \
	"Dismissed.\n\n",

	//	kBriefingKlingon_msg,
	">Save the prisoners from the ISC reeducation bases.\n\n<" \
	"We are now taking the fight to the ISC.\n\n" \
	"Our target is three heavily armed ISC base stations, the center of the ISC reeducation program, " \
	"code-named \"The Grave of Thoughts\".  Our goal is to rescue prisoners before they can be brainwashed " \
	"to turn against the Klingon Empire.\n\n" \
	"You and two allied cruisers will begin the assault.  Capture each base with boarding parties, then " \
	"hail our relay station and send for a transport.  The transport ship will arrive, and take the " \
	"prisoners to safety.\n\n" \
	"You can also call for reinforcements at the relay station; there are a lot of ships in the area, " \
	"and some will be available for support operations.  You can also replenish marines here.  However, " \
	"the Alliance is unwilling to dedicate more than eight additional cruisers to the operation, so know " \
	"that your resources are limited.\n\n" \
	"You also have a secondary goal.  We need to send the ISC a message.  Do not destroy the bases too " \
	"quickly.  Give them a chance to send reinforcements, then crush them.  If we can destroy over " \
	"ten cruisers, we will have made an impressive statement.\n\n" \
	"Dismissed.\n\n",

	//	kBriefingRomulan_msg,
	">Save the prisoners from the ISC reeducation bases.\n\n<" \
	"The ISC is finally going to pay for their crimes against the Romulan people.\n\n" \
	"Our target is three heavily armed ISC base stations, the center of the ISC reeducation program, " \
	"code-named \"The Grave of Thoughts\".  Our goal is to rescue prisoners before they can be " \
	"brainwashed against the Romulan Empire, the ultimate disgrace.\n\n" \
	"You and two allied cruisers will begin the assault.  Capture each base with boarding parties, then " \
	"hail our relay station and send for a transport.  The transport ship will arrive, and take the " \
	"prisoners to safety.\n\n" \
	"You can also call for reinforcements at the relay station; there are a lot of ships in the area, " \
	"and some will be available for support operations.  You can also replenish marines here.  However, " \
	"the Alliance is unwilling to dedicate more than eight additional cruisers to the operation, so know " \
	"that your resources are limited.\n\n" \
	"You also have a secondary goal.  There is a brilliant ISC strategist in a Command Cruiser, an " \
	"ISC-CB.  Destroying him could be the equivalent of destroying twenty cruisers.  Capture or destroy " \
	"him, and great honor shall be yours.\n\n" \
	"Dismissed.\n\n",
	
	//	kBriefingLyran_msg,
	">Save the prisoners from the ISC reeducation bases.\n\n<" \
	"The tide has turned in the war with the ISC.\n\n" \
	"Our target is three heavily armed ISC base stations, the center of the ISC reeducation program, " \
	"code-named \"The Grave of Thoughts\".  You and two allied cruisers will begin the assault.  Capture " \
	"each base station with boarding parties, then hail our relay station and call for a transport.  The " \
	"transport ship will arrive, and take the prisoners to safety.\n\n" \
	"You can also call for reinforcements at the relay station; there are a lot of ships in the area, and " \
	"some will be available for support operations.  You can also replenish marines here.  However, the " \
	"Alliance is unwilling to dedicate more than eight additional cruisers to the operation, so know that " \
	"your resources are limited.\n\n" \
	"You also have a secondary goal.  We do not wish the ISC to ever be able to use the base stations " \
	"again.  After the prisoners have been rescued, destroy the base stations.  It must never threaten " \
	"another Lyran clan again.\n\n" \
	"Dismissed.\n\n",
	
	//	kBriefingGorn_msg,
	">Save the prisoners from the ISC reeducation bases.\n\n<" \
	"The tide has turned in the war with the ISC.\n\n" \
	"Our target is three heavily armed ISC base stations, the center of the ISC reeducation program, " \
	"code-named \"The Grave of Thoughts\".  You and two allied cruisers will begin the assault.  Capture " \
	"each base station with boarding parties, then hail our relay station and call for a transport.  The " \
	"transport ship will arrive, and take the prisoners to safety.\n\n" \
	"You can also call for reinforcements at the relay station; there are a lot of ships in the area, and " \
	"some will be available for support operations.  You can also replenish marines here.  However, the " \
	"Alliance is unwilling to dedicate more than eight additional cruisers to the operation, so know that " \
	"your resources are limited.\n\n" \
	"You also have a secondary goal.  There is a brilliant ISC strategist in a Command Cruiser, an " \
	"ISC-CB.  Destroying him could be the equivalent of destroying twenty cruisers.  Capture or destroy " \
	"him, and the Gorn shall be able to boast of this victory to all the peoples of the galaxy.\n\n" \
	"Dismissed.\n\n",
	
	//	kBriefingHydran_msg,
	">Save the prisoners from the ISC reeducation bases.\n\n<" \
	"The tide has turned in the war with the ISC.\n\n" \
	"Our target is three heavily armed ISC base stations, the center of the ISC reeducation program, " \
	"code-named \"The Grave of Thoughts\".  You and two allied cruisers will begin the assault.  Capture " \
	"each base station with boarding parties, then hail our relay station and call for a transport.  The " \
	"transport ship will arrive, and take the prisoners to safety.\n\n" \
	"You can also call for reinforcements at the relay station; there are a lot of ships in the area, " \
	"and some will be available for support operations.  You can also replenish marines here.  However, " \
	"the Alliance is unwilling to dedicate more than eight additional cruisers to the operation, so know " \
	"that your resources are limited.\n\n" \
	"You also have a secondary goal.  We do not wish the ISC to ever be able to use the base stations " \
	"again.  After the prisoners have been rescued, destroy these base stations.  It must never be used " \
	"against the Hydran Kingdom again.\n\n" \
	"Dismissed.\n\n",
	
	//	kBriefingMirak_msg,
	">Save the prisoners from the ISC reeducation bases.\n\n<" \
	"The tide has turned in the war with the ISC.\n\n" \
	"Our target is three heavily armed ISC base stations, the center of the ISC reeducation program, " \
	"code-named \"The Grave of Thoughts\".  You and two allied cruisers will begin the assault.  Capture " \
	"each base station with boarding parties, then hail our relay station and call for a transport.  The " \
	"transport ship will arrive, and take the prisoners to safety.\n\n" \
	"You can also call for reinforcements at the relay station; there are a lot of ships in the area, and " \
	"some will be available for support operations.  You can also replenish marines here. However, the " \
	"Alliance is unwilling to dedicate more than eight additional cruisers to the operation, so know " \
	"that your resources are limited.\n\n" \
	"You also have a secondary goal.  There is an ISC Listening Post near the space station.  Obliterate it.\n\n" \
	"Dismissed.\n\n",

	//
	//	Starting message
	//
	
	//	kStart_msg,
	"\n\n",

	//	kStartFederation_msg,
	"[PLAYER_NAME]: Captain's log, Stardate [STARDATE].  We are attacking the reeducation " \
	"stations in [SYSTEM_NAME].  Our target is three space stations; we must use our boarding parties " \
	"to take each station, then call for a transport to go to the station, load the prisoners, and then " \
	"ferry them back to safety.  Our secondary objective is to destroy an ISC listening post that's " \
	"located near the stations.\n\n",
	
	//	kStartKlingon_msg,
	"[PLAYER_NAME]: War Record, [STARDATE].  We are attacking the reeducation stations in " \
	"[SYSTEM_NAME].  Our target is three space stations; we must use our boarding parties to take each " \
	"station, then call for a transport to go to the station, load up on prisoners, and then ferry them " \
	"back to safety.  Our secondary objective is to kill at least ten ISC cruisers in the process.\n\n",
	
	//	kStartRomulan_msg,
	"[PLAYER_NAME]: Record of the [PLAYER_EMPIRE], [STARDATE].  We are attacking the reeducation " \
	"stations in [SYSTEM_NAME].  Our target is three space stations; we must use our boarding parties to " \
	"take each station, then call for a transport to go to the station, load the prisoners, and then " \
	"ferry them back to safety.  Our secondary objective is to capture the enemy flagship, a command " \
	"cruiser.\n\n",
	
	//	kStartLyran_msg,
	"[PLAYER_NAME]: [PLAYER_RANK]'s journal, Lyran Star Empire, [STARDATE].  We are attacking " \
	"the reeducation stations in [SYSTEMNAME].  Our target is three space stations; we must use our " \
	"boarding parties to take each station, then call for a transport to go to the station, load the " \
	"prisoners, and then ferry them back to safety.  Our secondary objective is to destroy each one of " \
	"the space stations, once the prisoners have been evacuated. Your marines will rig the bases' self-destruct " \
	"mechanism to respond our listening post. Just relay your request once the primary objective is completed.\n\n",
	
	//	kStartGorn_msg,
	"[PLAYER_NAME]: Commander's log, [STARDATE].  We are attacking the reeducation stations in " \
	"[SYSTEM_NAME].  Our target is three space stations; we must use our boarding parties to take each " \
	"station, then call for a transport to go to the station, load the prisoners, and then ferry them " \
	"back to safety.  Our secondary objective is to capture the enemy flagship, a command cruiser.\n\n",
	
	//	kStartHydran_msg,
	"[PLAYER_NAME]: Commander's journal, [STARDATE].  Our target is three space stations; we must " \
	"use our boarding parties to take each station, then call for a transport to go to the station, load " \
	"the prisoners, and then ferry them back to safety.  Our secondary objective is to destroy each one " \
	"of the space stations, once the prisoners have been evacuated. Your marines will rig the bases' self-destruct " \
	"mechanism to respond our listening post. Just relay your request once the primary objective is completed.\n\n",

	
	//	kStartMirak_msg,
	"[PLAYER_NAME]: Hunt record, [STARDATE].  We are attacking the reeducation stations in " \
	"[SYSTEM_NAME].  Our target is three space stations; we must use our boarding parties to take each " \
	"station, then call for a transport to go to the station, load the prisoners, and then ferry them " \
	"back to safety.  Our secondary objective is to destroy an ISC listening post that's located near " \
	"the stations.  We look forward to bloodying our claws in the mongrel bodies of the ISC.\n\n",

	//
	//	Debriefing messages
	//
	
	//	kDebAstoundingVictory_msg,
	"\n\n",
	
	//	kDebVictory_msg,
	"\n\n",
	
	//	kDebDraw_msg,
	"\n\n",
	
	//	kDebDefeat_msg,
	"\n\n",
	
	//	kDebDevastatingDefeat_msg,
	"\n\n",

	//	kDebAstoundingVictoryFederationMirak_msg,
	"Congratulations.  This was an extremely difficult mission, and you handled it perfectly.  The ISC " \
	"has been dealt a serious, perhaps even fatal blow.  And your leadership and courage is the reason why.\n\n" \
	"Exalt in this day of honor.  It's been my experience that they are rare, and very, very fleeting.\n\n" \
	"Dismissed.\n\n",
	
	//	kDebVictoryFederationMirak_msg,
	"This was probably the most difficult mission we ever asked you to do.  And while we wish you could " \
	"have taken out the listening post, saving the prisoners was a much more impressive feat.\n\n" \
	"Dismissed.\n\n",
	
	//	kDebDefeatFederationMirak_msg,
	"This was probably the most difficult mission we ever asked you to do. It's no shame in failing, " \
	"however a lot of good [PLAYER_RACE] citizens were counting on you to succeed.  And that's " \
	"something you'll have to live with.\n\n" \
	"Dismissed.\n\n",
	
	//	kDebAstoundingVictoryKlingon_msg,
	"No more difficult mission could I ask you to do, except to throw yourself into the heart of a " \
	"sun.  But we Klingons do not just expect the impossible - we demand it, we would not have survived " \
	"without it.\n\n" \
	"And you achieved it.  You even prolonged the battle and destroyed a great number of ISC " \
	"cruisers.  On this day, I do not think the sun itself could have stood against you.\n\n" \
	"Dismissed.\n\n",
	
	//	kDebVictoryKlingon_msg,
	"No more difficult mission could I ask you to do, except to throw yourself into the heart of a " \
	"sun.  But we Klingons do not just expect the impossible - we demand it, we would not have survived " \
	"without it.\n\n" \
	"And you achieved it.  I wish you had prolonged the battle and destroyed a greater number of " \
	"cruisers, but in the end, you acquitted yourself well.\n\n" \
	"Dismissed.\n\n",
	
	//	kDebDefeatKlingon_msg,
	"No more difficult mission could I ask you to do, except to throw yourself into the heart of a " \
	"sun.  But we Klingons do not just expect the impossible - we demand it, we would not have survived " \
	"without it.\n\n" \
	"It is not in my heart to chastise you for your failure. I shall leave that to your conscience.\n\n" \
	"Dismissed.\n\n",
	
	//	kDebAstoundingVictoryRomulanGorn_msg,
	"Congratulations.  This was an extremely difficult mission, and you handled it perfectly.  The ISC " \
	"has been dealt a serious, perhaps even fatal blow.  And your leadership and courage is the reason why.\n\n" \
	"Exalt in this day of honor.  Walk in glory.  For you have earned the praise of our god.\n\n" \
	"Dismissed.\n\n",
	
	//	kDebVictoryRomulanGorn_msg,
	"This was probably the most difficult mission we ever asked you to do.  And while we wish you could " \
	"have taken out the command cruiser, saving the prisoners was a much more impressive feat.\n\n" \
	"Dismissed.\n\n",
	
	//	kDebDefeatRomulanGorn_msg,
	"This was probably the most difficult mission we ever asked you to do.  It's no shame in failing, " \
	"however a lot of good [PLAYER_RACE] citizens were counting on you to succeed.  And that's something " \
	"you'll have to live with.\n\n" \
	"Dismissed.\n\n",
	
	//	kDebAstoundingVictoryLyranHydran_msg,
	"Congratulations.  This was an extremely difficult mission, and you handled it with extraordinary " \
	"courage and leadership skills.  Now we can truly begin to show the ISC what a terrible mistake " \
	"they've made.\n\n" \
	"Numerous prisoners have expressed their gratitude to you.  You deserve it.  You earned it.\n\n" \
	"Dismissed.\n\n",
	
	//	kDebVictoryLyranHydran_msg,
	"This was probably the most difficult mission we ever asked you to do.  And while we wish you could " \
	"have destroyed all of the bases, saving the prisoners was a much more impressive feat.\n\n" \
	"Dismissed.\n\n",
	
	//	kDebDefeatLyranHydran_msg,
	"This was probably the most difficult mission we ever asked you to do.  It's no shame in failing, " \
	"but we cannot be allowed the luxury of scolding ourselves in difficult times.  The [PLAYER_RACE] " \
	"empire needs victories, even impossible ones.\n\n" \
	"Dismissed.\n\n",

	//
	//	Comm buttons
	//
	
	//	k_HAIL_Ally_btn,
	"HAIL",
	
	//	k_DEFENDME_Ally_btn,
	"DEFEND ME",

	//	k_DEFENDME_AllyForReal_btn,
	"DEFEND ME",
	
	//	k_MOREMARINES_RelayStation_btn,
	"LOAD MARINES",
	
	//	k_REQUESTCRUISER_RelayStation_btn,
	"Request Cruiser",

	//	k_REQUESTCRUISER_RelayStationForReal_btn,
	"Request Cruiser",

	//	k_REQUESTTRANSPORT_RelayStation_btn,
	"Request Transport",

	//	k_REQUESTTRANSPORT_RelayStationForReal_btn,
	"Request Transport",
	
	//	k_GOTOSTATION_Transport_btn,
	"GOTO STATION",

	//	k_HAIL_ISC_btn,
	"HAIL",
	
	//	k_DEMANDSURRENDER_ISC_btn,
	"DEMAND SURRENDER",

	//  k_SELFDESTRUCTBASE_RelayStation_btn
	"DESTROY BASES", 

	//
	//	Comm messages
	//
	
	//	k_HAIL_Ally1_msg,
	"Captain: We're in good shape.\n\n",
	
	//	k_HAIL_Ally2_msg,
	"Captain: Hull is holding strong.  We're in good shape so far.\n\n",
	
	//	k_HAIL_Ally3_msg,
	"Captain: The weather's started getting rough, but we aren't sunk yet.\n\n",
	
	//	k_HAIL_Ally4_msg
	"Captain: Mayday.  Requesting assistance.\n\n",
	
	//	k_DEFENDME_Ally1_msg,
	"Captain: Acknowledged.  We'll do our best.\n\n",
	
	//	k_DEFENDME_Ally2_msg,
	"Captain: Negative, we're too badly damaged.\n\n",
	
	//	k_MOREMARINES_RelayStation1_msg,
	"Security Officer: Requesting additional marines.\n\n",
	
	//	k_MOREMARINES_RelayStation2_msg,
	"Security Officer: Requesting additional marines.\n\n",
	
	//	k_REQUESTCRUISER_RelayStation1_msg,
	"Communications Officer: All ships have been committed to the fight.  No reinforcements will be " \
	"forthcoming.\n\n",
		
	//	k_REQUESTCRUISER_RelayStation2_msg,
	"Communications Officer: It's on the way.\n\n",
	
	//	k_REQUESTCRUISER_RelayStation3_msg,
	"Communications Officer: The fleet doesn't want to send more than two cruisers at a time into a hot " \
	"zone.  We'll have to wait.\n\n",

	//	k_REQUESTTRANSPORT_RelayStation1_msg,
	"Communications Officer: It's on its way.  We'll need to give it orders when it arrives.\n\n",

	//	k_REQUESTTRANSPORT_RelayStation2_msg,
	"Communications Officer: The fleet doesn't want to send more than one freighter at a time into a hot " \
	"zone.  We'll have to wait.\n\n",

	//	k_GOTOSTATION_Transport1_msg,
	"Communications Officer: The transport is setting course.\n\n",

	//	k_GOTOSTATION_Transport2_msg,
	"Communications Officer: No need.  All prisoners are rescued.\n\n",

	//	k_HAIL_ISC1_1_msg,
	"ISC Commander: I have nothing to say to primitives.\n\n",
	
	//	k_HAIL_ISC1_2_msg,
	"ISC Commander: We will not allow you to disturb the reeducation process.\n\n",
	
	//	k_HAIL_ISC1_3_msg,
	"ISC Commander: I ignore races like you.\n\n",
	
	//	k_HAIL_ISC1_4_msg,
	"ISC Commander: You come to a civilian installation to commit atrocities?  Is there no end to your " \
	"barbarism?\n\n",
	
	//	k_DEMANDSURRENDER_ISC1_1_msg,
	"ISC Commander: We will never retreat, surrender, or coddle your offspring.\n\n",
	
	//	k_DEMANDSURRENDER_ISC1_2_msg,
	"ISC Commander: I hate to disappoint you, [PLAYER_RANK], but the answer must by no.\n\n",
	
	//	k_DEMANDSURRENDER_ISC1_3_msg,
	"ISC Commander: I've seen the carnage you've created: death, destruction, you've done very well for " \
	"yourself.  But not enough to force our surrender.\n\n",
	
	//	k_DEMANDSURRENDER_ISC1_4_msg,
	"ISC Commander: Surrender?  To a madman?  Never!\n\n",

	//  k_SELFDESTRUCTBASE_RelayStation1_msg
	"Tactical: Signaling bases to self-destruct.",

	//
	//	Victory rating
	//

	// kAstoundingVictory_msg,
	"Astounding Victory!\n",

	// kVictory_msg,
	"Victory!\n",

	// kDraw_msg,
	"Draw.\n",

	// kDefeat_msg,
	"Defeat.\n",

	// kDevastatingDefeat_msg,
	"Devastating Defeat.\n",

	//
	//	Random chatter
	//

	//	kRandChat1_msg,
	"Helm: I can't believe this alliance against the ISC is actually holding together.\n\n",
	
	//	kRandChat2_msg,
	"Engineer: This is going to be a long, hard fight.\n\n",
		
	//	kRandChat3_msg,
	"Security Officer: I have the boarding parties drilling constantly.  We'll be ready whenever you want " \
	"to put us into action.\n\n",
	
	//	kRandChat4_msg,
	"Communications Officer: Things are quiet.  They know we're coming.\n\n",
		
	//	kRandChat5_msg,
	"Weapons Officer: I wish we had some Tholians in the Alliance.  Webcasters come in handy.\n\n",
	
	//	kRandChat6_msg,
	"Science Officer: Reeducation.  Just another word for brainwashing.\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	
	//	kEvent4_1_msg,
	"Science Officer: Enemy command cruiser is entering the system, [PLAYER_RANK].\n\n",
	
	//	kEvent4_2_msg,
	"Science Officer: Enemy reinforcements entering the system, [PLAYER_RANK].\n\n",
	
	//	kEvent4_3_msg,
	"First Officer: We've destroyed ten enemy cruisers.  Secondary objective complete.\n\n",
	
	//	kEvent5_1_msg,
	"Security Officer: The enemy flagship is ours.\n\n",
	
	//	kEvent5_2_msg,
	"First Officer: Secondary objective achieved.\n\n",
	
	//	kEvent6_1_msg,
	"Security Officer: Our troops report that they've captured the first space station.  The prisoners " \
	"are ready to leave as soon as the transport arrives.\n\n",
	
	//	kEvent7_1_msg,
	"Science Officer: The prisoners have been loaded into the transport.  Now it needs to escape from " \
	"the system. Scuttle charges have been put into place.\n\n",
	
	//	kEvent8_1_msg,
	"Security Officer: Our troops report that they've captured the second space station.  The prisoners " \
	"are ready to leave as soon as the transport arrives.\n\n",
	
	//	kEvent9_1_msg,
	"Science Officer: The prisoners have been loaded into the transport.  Now it needs to escape from " \
	"the system. Scuttle charges have been put into place.\n\n",
	
	//	kEvent10_1_msg,
	"Security Officer: Our troops report that they've captured the third space station.  The prisoners " \
	"are ready to leave as soon as the transport arrives.\n\n",
	
	//	kEvent11_1_msg,
	"Science Officer: The prisoners have been loaded into the transport.  Now it needs to escape from " \
	"the system. Scuttle charges have been put into place.\n\n",
	
	//	kEvent12_1_msg,
	"Science Officer: The prisoners from the first station have escaped.\n\n",
	
	//	kEvent12_2_msg,
	"First Officer: That's all the prisoners accounted for.  Mission complete.\n\n",
	
	//	kEvent12_3_msg,
	"Science Officer: The transport is now available to ferry the next load of prisoners.\n\n",
	
	//	kEvent12_4_msg,
	"Science Officer: The prisoners from the second station have escaped.\n\n",
	
	//	kEvent12_5_msg,
	"First Officer: That's all prisoners accounted for.  Mission complete.\n\n",
	
	//	kEvent12_6_msg,
	"Science Officer: The transport is now available to ferry the next load of prisoners.\n\n",
	
	//	kEvent12_7_msg,
	"Science Officer: The prisoners from the third station have escaped.\n\n",
	
	//	kEvent12_8_msg,
	"First Officer: That's all prisoners accounted for.  Mission complete.\n\n",
	
	//	kEvent12_9_msg,
	"Science Officer: The transport is now available to ferry the next load of prisoners.\n\n",
	
	//	kEvent13_1_msg,
	"Science Officer: We just lost the freighter.\n\n",
	
	//	kEvent13_2_msg,
	"First Officer: All prisoners from the first space station have been lost.\n\n",
	
	//	kEvent13_3_msg,
	"First Officer: All prisoners from the second space station have been lost.\n\n",
	
	//	kEvent13_4_msg,
	"First Officer: All prisoners from the third space station have been lost.\n\n",
	
	//	kEvent14_1_msg,
	"Science Officer: The space station has been destroyed.  All prisoners have been lost.\n\n",
	
	//	kEvent14_2_msg,
	"First Officer: That's all prisoners accounted for.  Mission complete.\n\n",
	
	//	kEvent14_3_msg,
	"First Officer: All stations have been destroyed.  Secondary objective complete.\n\n",
	
	//	kEvent15_1_msg,
	"Science Officer: The space station has been destroyed.  All prisoners have been lost.\n\n",
	
	//	kEvent15_2_msg,
	"First Officer: That's all prisoners accounted for.  Mission complete.\n\n",
	
	//	kEvent15_3_msg,
	"First Officer: All stations have been destroyed.  Secondary objective complete.\n\n",
	
	//	kEvent16_1_msg,
	"Science Officer: The space station has been destroyed.  All prisoners have been lost.\n\n",
	
	//	kEvent16_2_msg,
	"First Officer: That's all prisoners accounted for.  Mission complete.\n\n",
	
	//	kEvent16_3_msg,
	"First Officer: All stations have been destroyed.  Secondary objective complete.\n\n",
	
	//	kEvent17_1_msg,
	"First Officer: Secondary objective completed.\n\n",
	
	//	kEvent18_1_msg,
	"Communications Officer: Commander, the transponder, our communications relay, is under attack.  If " \
	"it's destroyed we won't be able to call for reinforcements or freighters.\n\n",
	
	//	kEvent19_1_msg,
	"Communications Officer: The transponder has been destroyed.\n\n",
	
	//	kEvent19_2_msg,
	"First Officer: We won't be able to complete the mission if we can't call for a freighter.  Mission " \
	"aborted.\n\n",
	
	//	kEvent20_1_msg,
	"Science Officer: Leaving the system, Captain.\n\n",
	
	//	kEvent21_1_msg,
	"Science Officer: We have left the system.\n\n",

	//
	//	Custom messages
	//

	//	kCustom1_msg,
	"First Officer: We've neutralized ten enemy cruisers.  All objectives complete.\n\n",

	//	kCustom2_msg,
	"First Officer: All objectives accomplished.\n\n",

	//	kCustom3_msg,
	"First Officer: We lost one of our allied cruisers.\n\n",

	//	kCustom4_msg,
	"First Officer: Listening post captured.  Secondary objective complete.\n\n",

	//	kCustom5_msg,
	"First Officer: We won't be able to complete the mission since there are too many prisoners left " \
	"to rescue with only one transport available.  Mission aborted.\n\n",

	//	kCustom6_msg,
	"Transporter Chief: Marines are being loaded onto our ship.\n\n",

	//	kCustom7_msg,
	"Transporter Chief: We need to get closer.\n\n",

	//	kCustom8_msg,
	"First Officer: Enemy cruiser destroyed.\n\n",

	//	kCustom9_msg,
	"First Officer: An enemy cruiser disengaged.  Why?\n\n",

	//	kCustom10_msg,
	"First Officer: That's all the prisoners accounted for.  We still need to accomplish our secondary " \
	"objective.\n\n",

	//	kCustom11_msg,
	"First Officer: Listening post destroyed.  The ISC will no longer be able to call for reinforcements.\n\n",

	//	kCustom12_msg,
	"First Officer: Enemy cruiser captured.\n\n",

	//	kCustom13_msg,
	"First Officer: Transport has entered the system.\n\n",

	//	kCustom14_msg,
	"First Officer: Base station terminated.\n\n",

	//	kCustom15_msg,
	"First Officer: Flagship terminated.\n\n",

	//  kCustom16_msg,
	"First Officer: All we need to do to complete our mission is leave.\n\n",

	//
	//	Not localized as of 10/8/00
	//
	
	//	kPlayerTeamTitle_msg,
	"Battle At The Grave Of Thoughts",

	//	kPlayerTeamBriefing_msg,
	"",

	//
	//	Not localized as of 10/17/00
	//

	//	kScanning_msg,
	"Science Officer: Scanning...\n\n",

	//
	//	Not localized as of 11/5/00
	//

	//	kDisconnect_msg,
	"Forfeit",
#endif
};


