/********************************************************************************************************\

	File Name:	MissionText.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tstring.h"


enum TextMessages
{
	//
	//	Mission Title
	//
	kMissionTitle_msg,

	//
	//	Briefing message
	//
	kBriefing_msg,
	kBriefingFederation_msg,
	kBriefingKlingon_msg,
	kBriefingRomulan_msg,
	kBriefingLyran_msg,
	kBriefingGorn_msg,
	kBriefingHydran_msg,
	kBriefingMirak_msg,

	//
	//	Starting message
	//
	kStart_msg,
	kStartFederation_msg,
	kStartKlingon_msg,
	kStartRomulan_msg,
	kStartLyran_msg,
	kStartGorn_msg,
	kStartHydran_msg,
	kStartMirak_msg,

	//
	//	Debriefing messages
	//
	kDebAstoundingVictory_msg,
	kDebVictory_msg,
	kDebDraw_msg,
	kDebDefeat_msg,
	kDebDevastatingDefeat_msg,
	kDebAstoundingVictoryFederationMirak_msg,
	kDebVictoryFederationMirak_msg,
	kDebDefeatFederationMirak_msg,
	kDebAstoundingVictoryKlingon_msg,
	kDebVictoryKlingon_msg,
	kDebDefeatKlingon_msg,
	kDebAstoundingVictoryRomulanGorn_msg,
	kDebVictoryRomulanGorn_msg,
	kDebDefeatRomulanGorn_msg,
	kDebAstoundingVictoryLyranHydran_msg,
	kDebVictoryLyranHydran_msg,
	kDebDefeatLyranHydran_msg,

	//
	//	Comm buttons
	//
	k_HAIL_Ally_btn,
	k_DEFENDME_Ally_btn,
	k_DEFENDME_AllyForReal_btn,
	k_MOREMARINES_RelayStation_btn,
	k_REQUESTCRUISER_RelayStation_btn,
	k_REQUESTCRUISER_RelayStationForReal_btn,
	k_REQUESTTRANSPORT_RelayStation_btn,
	k_REQUESTTRANSPORT_RelayStationForReal_btn,
	k_GOTOSTATION_Transport_btn,
	k_HAIL_ISC_btn,
	k_DEMANDSURRENDER_ISC_btn,
	k_SELFDESTRUCTBASE_RelayStation_btn,

	//
	//	Comm messages
	//
	k_HAIL_Ally1_msg,
	k_HAIL_Ally2_msg,
	k_HAIL_Ally3_msg,
	k_HAIL_Ally4_msg,
	k_DEFENDME_Ally1_msg,
	k_DEFENDME_Ally2_msg,
	k_MOREMARINES_RelayStation1_msg,
	k_MOREMARINES_RelayStation2_msg,
	k_REQUESTCRUISER_RelayStation1_msg,
	k_REQUESTCRUISER_RelayStation2_msg,
	k_REQUESTCRUISER_RelayStation3_msg,
	k_REQUESTTRANSPORT_RelayStation1_msg,
	k_REQUESTTRANSPORT_RelayStation2_msg,
	k_GOTOSTATION_Transport1_msg,
	k_GOTOSTATION_Transport2_msg,
	k_HAIL_ISC1_1_msg,
	k_HAIL_ISC1_2_msg,
	k_HAIL_ISC1_3_msg,
	k_HAIL_ISC1_4_msg,
	k_DEMANDSURRENDER_ISC1_1_msg,
	k_DEMANDSURRENDER_ISC1_2_msg,
	k_DEMANDSURRENDER_ISC1_3_msg,
	k_DEMANDSURRENDER_ISC1_4_msg,
	k_SELFDESTRUCTBASE_RelayStation1_msg,

	//
	//	Victory rating
	//
	kAstoundingVictory_msg,
	kVictory_msg,
	kDraw_msg,
	kDefeat_msg,
	kDevastatingDefeat_msg,

	//
	//	Random chatter
	//
	kRandChat1_msg,
	kRandChat2_msg,
	kRandChat3_msg,
	kRandChat4_msg,
	kRandChat5_msg,
	kRandChat6_msg,

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	kEvent4_1_msg,
	kEvent4_2_msg,
	kEvent4_3_msg,
	kEvent5_1_msg,
	kEvent5_2_msg,
	kEvent6_1_msg,
	kEvent7_1_msg,
	kEvent8_1_msg,
	kEvent9_1_msg,
	kEvent10_1_msg,
	kEvent11_1_msg,
	kEvent12_1_msg,
	kEvent12_2_msg,
	kEvent12_3_msg,
	kEvent12_4_msg,
	kEvent12_5_msg,
	kEvent12_6_msg,
	kEvent12_7_msg,
	kEvent12_8_msg,
	kEvent12_9_msg,
	kEvent13_1_msg,
	kEvent13_2_msg,
	kEvent13_3_msg,
	kEvent13_4_msg,
	kEvent14_1_msg,
	kEvent14_2_msg,
	kEvent14_3_msg,
	kEvent15_1_msg,
	kEvent15_2_msg,
	kEvent15_3_msg,
	kEvent16_1_msg,
	kEvent16_2_msg,
	kEvent16_3_msg,
	kEvent17_1_msg,
	kEvent18_1_msg,
	kEvent19_1_msg,
	kEvent19_2_msg,
	kEvent20_1_msg,
	kEvent21_1_msg,

	//
	//	Custom messages
	//
	kCustom1_msg,
	kCustom2_msg,
	kCustom3_msg,
	kCustom4_msg,
	kCustom5_msg,
	kCustom6_msg,
	kCustom7_msg,
	kCustom8_msg,
	kCustom9_msg,
	kCustom10_msg,
	kCustom11_msg,
	kCustom12_msg,
	kCustom13_msg,
	kCustom14_msg,
	kCustom15_msg,
	kCustom16_msg,

	//
	//	Not localized as of 10/8/00
	//
	kPlayerTeamTitle_msg,
	kPlayerTeamBriefing_msg,

	//
	//	Not localized as of 10/17/00
	//
	kScanning_msg,

	//
	//	Not localized as of 11/5/00
	//
	kDisconnect_msg,
};

extern std::string Messages[];



