/********************************************************************************************************\

	File Name:	NPC2TeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "Race.h"
#include "AllyShip.h"
#include "MissionText.h"
#include "NPC1Team.h"
#include "NPC2TeamBaseState.h"
#include "PlayerNPCTeam.h"
#include "Transport.h"
#include "Uni_7BattleGrave.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tNPC2TeamBaseState::mBeginState()
{}
void tNPC2TeamBaseState::mEndState()
{}

void tNPC2TeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tNPC2TeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tNPC2TeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tNPC2TeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tNPC2TeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tNPC2TeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tNPC2TeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tNPC2TeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tNPC2TeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tNPC2TeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tNPC2TeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tNPC2TeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tNPC2TeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tNPC2TeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tNPC2TeamBaseState::mOnFlashingButtonPressed()
{}
void tNPC2TeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tNPC2TeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tNPC2TeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tNPC2TeamBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tNPC2TeamBaseState::mOnHostChanged()
{}
void tNPC2TeamBaseState::mOnTimedInterval( int32 timerID )
{
/*
	FILE *fp = fopen("c:\\batgot.txt", "a");

	switch ( timerID )
	{
	case tNPC2Team::kSpawnCruiserTimerID:
		{
			tTeamInfo*	allyTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerNPCTeam ) );
			Assert( allyTeam );
			if ( !allyTeam )
				return;
			eRaceName	allyRace = allyTeam->mGetRace();
			int32	customID =	( gBaseVictory->mAllianceWave() == 1 ) ?
								tPlayerNPCTeam::kAllyShip2 :
								tPlayerNPCTeam::kAllyShip1;
			tTeamInfo*	playerNPCTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerNPCTeam ) );
			if ( fMissionInfo->mRandomInt32( 0, 1 ) )
			{
				switch ( allyRace )
				{
				case kFederation:
					playerNPCTeam->mCreateShip(	typeid( tAllyShip ), "F-BCG", kStartPosition_K, tTeamInfo::kNoMetaShipID,
												customID, 0, 0, -1, -1, NULL, kDefaultShipOptions );
					break;
				case kKlingon:
					playerNPCTeam->mCreateShip( typeid( tAllyShip ), "K-D6D", kStartPosition_K, tTeamInfo::kNoMetaShipID,
												customID, 0, 0, -1, -1, NULL, kDefaultShipOptions );
					break;
				case kRomulan:
					playerNPCTeam->mCreateShip( typeid( tAllyShip ), "R-K7R", kStartPosition_K, tTeamInfo::kNoMetaShipID,
												customID, 0, 0, -1, -1, NULL, kDefaultShipOptions );
					break;
				case kLyran:
					playerNPCTeam->mCreateShip( typeid( tAllyShip ), "L-BC", kStartPosition_K, tTeamInfo::kNoMetaShipID,
												customID, 0, 0, -1, -1, NULL, kDefaultShipOptions );
					break;
				case kGorn:
					playerNPCTeam->mCreateShip( typeid( tAllyShip ), "G-BC", kStartPosition_K, tTeamInfo::kNoMetaShipID,
												customID, 0, 0, -1, -1, NULL, kDefaultShipOptions );
					break;
				case kHydran:
					playerNPCTeam->mCreateShip( typeid( tAllyShip ), "H-OV", kStartPosition_K, tTeamInfo::kNoMetaShipID,
												customID, 0, 0, -1, -1, NULL, kDefaultShipOptions );
					break;
				case kMirak:
					playerNPCTeam->mCreateShip( typeid( tAllyShip ), "Z-BCH", kStartPosition_K, tTeamInfo::kNoMetaShipID,
												customID, 0, 0, -1, -1, NULL, kDefaultShipOptions );
					break;
				}
			}
			else
			{
				switch ( allyRace )
				{
				case kFederation:
					playerNPCTeam->mCreateShip( typeid( tAllyShip ), "F-BCJ", kStartPosition_K, tTeamInfo::kNoMetaShipID,
												customID, 0, 0, -1, -1, NULL, kDefaultShipOptions );
					break;
				case kKlingon:
					playerNPCTeam->mCreateShip( typeid( tAllyShip ), "K-D7C", kStartPosition_K, tTeamInfo::kNoMetaShipID,
												customID, 0, 0, -1, -1, NULL, kDefaultShipOptions );
					break;
				case kRomulan:
					playerNPCTeam->mCreateShip( typeid( tAllyShip ), "R-KCR", kStartPosition_K, tTeamInfo::kNoMetaShipID,
												customID, 0, 0, -1, -1, NULL, kDefaultShipOptions );
					break;
				case kLyran:
					playerNPCTeam->mCreateShip( typeid( tAllyShip ), "L-BCPP", kStartPosition_K, tTeamInfo::kNoMetaShipID,
												customID, 0, 0, -1, -1, NULL, kDefaultShipOptions );
					break;
				case kGorn:
					playerNPCTeam->mCreateShip( typeid( tAllyShip ), "G-BCH", kStartPosition_K, tTeamInfo::kNoMetaShipID,
												customID, 0, 0, -1, -1, NULL, kDefaultShipOptions );
					break;
				case kHydran:
					playerNPCTeam->mCreateShip( typeid( tAllyShip ), "H-D7H", kStartPosition_K, tTeamInfo::kNoMetaShipID,
												customID, 0, 0, -1, -1, NULL, kDefaultShipOptions );
					break;
				case kMirak:
					playerNPCTeam->mCreateShip( typeid( tAllyShip ), "Z-BC", kStartPosition_K, tTeamInfo::kNoMetaShipID,
												customID, 0, 0, -1, -1, NULL, kDefaultShipOptions );
					break;
				}
			}
			gBaseVictory->mIncreaseAllianceWave();
		}
		break;

	case tNPC2Team::kSpawnTransportTimerID:
		{
			eRaceName	playerRace;
			tTeamInfo*	playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
			playerRace = playerTeam->mGetRace();
			tTeamInfo* NPC1Team = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kNPC1Team ) );

			fprintf(fp, "Creating Transport.\n");
			fflush(fp);

			switch ( playerRace )
			{
			case kFederation:
				NPC1Team->mCreateShip(	typeid( tTransport ), "F-FLDr", kStartPosition_K, tTeamInfo::kNoMetaShipID,
										tNPC1Team::kTransport, 0, 0, -1, -1, NULL, kDefaultShipOptions );
				break;
			case kKlingon:
				NPC1Team->mCreateShip(	typeid( tTransport ), "K-FLDr", kStartPosition_K, tTeamInfo::kNoMetaShipID,
										tNPC1Team::kTransport, 0, 0, -1, -1, NULL, kDefaultShipOptions );
				break;
			case kRomulan:
				NPC1Team->mCreateShip(	typeid( tTransport ), "R-FLPL", kStartPosition_K, tTeamInfo::kNoMetaShipID,
										tNPC1Team::kTransport, 0, 0, -1, -1, NULL, kDefaultShipOptions );
				break;
			case kLyran:
				NPC1Team->mCreateShip(	typeid( tTransport ), "L-FLDs", kStartPosition_K, tTeamInfo::kNoMetaShipID,
										tNPC1Team::kTransport, 0, 0, -1, -1, NULL, kDefaultShipOptions );
				break;
			case kGorn:
				NPC1Team->mCreateShip(	typeid( tTransport ), "G-FLPL", kStartPosition_K, tTeamInfo::kNoMetaShipID,
										tNPC1Team::kTransport, 0, 0, -1, -1, NULL, kDefaultShipOptions );
				break;
			case kHydran:

				NPC1Team->mCreateShip(	typeid( tTransport ), "H-FLFu", kStartPosition_K, tTeamInfo::kNoMetaShipID,
										tNPC1Team::kTransport, 0, 0, -1, -1, NULL, kDefaultShipOptions );
				break;
			case kMirak:
				NPC1Team->mCreateShip(	typeid( tTransport ), "Z-FLDr", kStartPosition_K, tTeamInfo::kNoMetaShipID,
										tNPC1Team::kTransport, 0, 0, -1, -1, NULL, kDefaultShipOptions );
				break;
			}
			fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kCustom13_msg );
		}
		break;
	}
	fclose(fp);
*/
}
void tNPC2TeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tNPC2TeamBaseState::mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType )
{}


