/********************************************************************************************************\

	File Name:	PlayerNPCTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( PlayerNPCTeam_h )
#define PlayerNPCTeam_h

#include "TeamInfo.h"


class tPlayerNPCTeam : public tTeamInfo
{
public:

	virtual void	mSetupState();
	virtual void	mSetupCommState();
	virtual void	mCreateShipsForTeam();
	virtual void	mCreateShip1();
	virtual void	mCreateShip2();
	virtual void	mOldCreateShip1();
	virtual void	mOldCreateShip2();
	virtual void	mTeamSetupComplete();
	virtual std::string tPlayerNPCTeam::mSelectShipType(int which_ship);

	virtual void	mCreateNewShip( const tShipScriptDescription& shipScriptDescription );

/*

	HELPER NOTE:	Below is where the list of the ship custom IDs go.  An example follows.

	enum eCustomIDs
	{
		kPlayerNPCBS1,
		kPlayerNPCBS2,
	};

*/
	enum eCustomIDs
	{
		kAllyShip1 = 200,
		kAllyShip2,
	};
};

#endif


