/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN
		//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_7Gates",

	//kTitle2
	"Die Pforten der Hlle\n\n",

	//
	//	Description message
	//
	"",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"Unsere Wissenschaftler haben das Artefakt studiert, das Sie von dem Asteroiden mitgebracht haben. Wenn ich das, " \
	"was sie bei dieser Untersuchung herausgefunden haben, mit dem kombiniere, was wir ber das Artefakt erfahren haben, das die Anhnger der Sekte 'Rad des Leidens' gefunden haben, " \
	"dann lsst sich die Position eines U-Ianna-Planeten mit Namen Lu-Ese ermitteln.\n" \

	"Wir glauben, dass sich auf Lu-Ese eine weitere Psionik-Maschine befindet. Wir wollen natrlich nicht, dass sie " \
	"dem Gegner in die Hnde fllt, daher besteht Ihre Mission darin, das Objekt zu suchen und hierher zu bringen. Sie werden " \
	"auf dieser Reise von einem speziell ausgebildeten Archologenteam begleitet. Scannen Sie den Planeten auch auf Spuren der " \
	"Energiemuster der U-Ianna, beamen Sie das Team an diesen Ort, und holen Sie es auf das Schiff zurck, wenn " \
	"sie etwas von Interesse gefunden haben.\n\n" \

	"Viel Glck.\n",

	//
	//	Starting message
	//
	
	//kCaptainsLog_msg,
	"Logbuch des [PLAYER_RANK], Sternendatum [STARDATE]. Wir wurden zu einem Planeten mit Namen Lu-Ese gesandt, um nach " \
	"weiteren Artefakten der U-Ianna zu suchen.\n\n",

	//kSitrep_msg,
	"Steuermann: Wir nhern uns Lu-Ese.\n" \

	"Erster Offizier: Es befinden sich eine Menge feindlicher Kriegsschiffe in diesem Gebiet. Es sieht so aus, als " \
	"seien die Miraker und die Romulaner gewaltig engagiert.\n" \

	"Wissenschaftsoffizier: Das ist aber nicht unser grtes Problem, [PLAYER_RANK]. Dieses Sternensystem ist von einem " \
	"starken Energiefeld umgeben. Wenn wir irgendwo auch nur in der Nhe des Randes dieses Systems geraten, werden wir zerstrt.\n" \

	"[PLAYER_NAME]: Und das haben wir bei unserem Anflug nicht entdecken knnen?\n" \

	"Wissenschaftsoffizier: Korrekt, [PLAYER_RANK]. Es ist, als wre das Feld vor der Auenwelt verborgen.\n" \

	"Erster Offizier: Eine Falle der U-Ianna. Die Frage ist, wie kommen wir wieder heraus?\n" \

	"[PLAYER_NAME]: Wir setzen unsere Mission wie geplant fort. Mglicherweise gibt es unten auf dem Planeten einen Hinweis.\n\n",

	//
	//	Debriefing messages
	//
	
	//kDeb_PlayerDied_msg
	"Ihre Einheiten sind vernichtet worden.\n\n",

	//
	//	Comm buttons
	//
	
	//kButton_Hail,
	"RUFEN",

	//kButton_WeSurrender,
	"WIR ERGEBEN UNS",

	//
	//	Comm messages
	//
	
	//kHail_NoScanOrSpawn,
	"Gegnerischer Captain: Ah, ein weiteres Lamm erreicht die Schlachtbank!\n\n",

	//kHail_SpawnNoInfo,
	"[PLAYER_NAME]: Sind Sie sich bewusst, dass Ihre Schiffe nach der Zerstrung irgendwie wieder regeneriert werden?" \
	"Dass Sie in einem endlosen, sinnlosen Krieg festsitzen?\n" \

	"Gegnerischer Captain: Jetzt werden Sie nicht absurd.\n\n",

	//kHail_Info,
	"[PLAYER_NAME]: Aber Sie mssen doch sehen, was hier los ist!? Ihre Schiffe werden zerstrt und regeneriert, " \
	"immer und immer wieder, Sie sind gefangen in einer sinnlosen, ewig whrenden Schlacht! Wir mssen eine friedliche Lsung finden.\n\n" \

	"Kommunikationsoffizier: Keine Reaktion, [PLAYER_RANK].\n\n",

	//kHail_WeSurrender,
	"[PLAYER_NAME]: Hier spricht [PLAYER_RANK] [PLAYER_NAME] von der [PLAYER_SHIP_NAME]. Wir ergeben uns.\n" \

	"Gegnerischer Captain: Ergeben? Ich...\n" \

	"Wissenschaftsoffizier: [PLAYER_RANK], irgendeine Art Warpfeld hllt die [PLAYER_SHIP_NAME] ein... wir werden " \
	"aus dem System herausgezogen.\n\n",

	//
	//	Victory rating
	//

	//	kAstoundingVictory_msg,
	"Groartiger Sieg!\n" \

	"Hervorragende Arbeit, [PLAYER_RANK]. Ihre schnelle Denkleistung da drauen hat nicht nur Ihr Schiff  " \
	"und Ihre Crew gerettet, sondern hat uns auch ein weiteres Stck des U-Ianna-Puzzles in die Hnde gespielt.\n\nGute Arbeit.\n",

	//	kVictory_msg,
	"Sieg!\n\n",

	//	kDraw_msg,
	"Unentschieden\n\n",

	//	kDefeat_msg,
	"Niederlage\n\n",

	//	kDevastatingDefeat_msg,
	"Vernichtende Niederlage\n" \
	"Sie konnten der Falle der U-Ianna nicht entrinnen. Ihr Schiff und Ihre Crew sind fr immer verloren.\n\n",

	//	kLeftEarly_msg,
	"Mission eingebt\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//

	//kNoticeRespawn_msg
	"Wissenschaftsoffizier: Das glaube ich nicht...\n" \

	"[PLAYER_NAME]: Was?\n" \

	"Wissenschaftsoffizier: [PLAYER_RANK], das Schiff, das gerade zerstrt wurde... es ist wieder aufgetaucht.\n" \

	"[PLAYER_NAME]: Wie kann das sein? Spielen Ihre Instrumente verrckt?\n" \

	"Wissenschaftsoffizier: Negativ, alle Instrumente geprft und funktionstchtig. Die Sensoren besttigen, dass das Schiff " \
	"wie aus dem Nichts wieder aufgetaucht ist. Exakt das gleiche Schiff.\n\n",

	//kTeamReadyToBeamUp_msg,
	"Kommunikationsoffizier: Der Landetrupp signalisiert, dass sie bereit zum Raufbeamen sind, [PLAYER_RANK].\n\n",

	//kTeamBeamedToPlanet_msg,
	"Erster Offizier: Der Landetrupp ist auf dem Planeten angekommen, [PLAYER_RANK].\n\n",

	//kBeamedTeamNowhere_msg,
	"Erster Offizier: Der Landetrupp hat das Schiff verlassen, [PLAYER_RANK], obwohl ich von Ihrer Wahl der Ziele " \
	"nicht so ganz berzeugt bin.\n\n",

	//kBeamedTeamHomeReady_msg,
	"Landetrupp: Wir haben die Inschriften auf einigen der Artefakte bersetzt, die wir " \
	"hier unten gefunden haben. 'Lu-Ese' bedeutet 'Gefangener', [PLAYER_RANK]. Hier steht geschrieben, dass der " \
	"einzige Ausweg aus diesem System darin besteht, 'den Frieden um jeden Preis anzunehmen'.\n\n",

	//kBeamedTeamHomeNotReady_msg,
	"Landetrupp: Warum habt Ihr uns heraufgebeamt? Wir hatten noch nicht genug Zeit, um irgendetwas zu finden!\n\n ",

	//kScannedPlanet_msg
	"Wissenschaftsoffizier: Die Sensoren registrieren eine groe Konzentration von U-Ianna-Energiesignaturen " \
	"auf der Oberflche des Planeten, [PLAYER_RANK].\n\n Ich bergeben die Koordinaten an den Transporterraum.\n\n",

	//kDeadEnd_msg
	"Wissenschaftsoffizier: [PLAYER_RANK], wir befinden uns zu nah an der Energiebarriere!\n" \

	"Erster Offizier: Alle Mann, bremsen fr...\n\n",

	//
	//	Custom messages
	//
	
	//kScanning_msg
	"Wissenschaftsoffizier: Scanne...\n\n",
	
#else
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_7Gates",

	//kTitle2
	"The Gates of Hell",

	//
	//	Description message
	//
	"",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"Our scientists have been studying the artifact you retrieved from the asteroid. By taking what " \
	"they've learned from it and combining it with what we discovered about the artifacts found by the Wheel of Pain " \
	"cult, we've determined the location of a U-Ianna planet named Lu-Ese.\n" \

	"We believe another psionic engine device is located on Lu-Ese. Naturally we do not want it to fall " \
	"into the hands of the enemy, so your mission is to seek out and retrieve this object. You'll be " \
	"accompanied on this trip by a specially trained archaeological team. Scan the planet for traces of " \
	"the U-Ianna energy patterns, beam the team to that location, and then return them to the ship when " \
	"they've found something of interest.\n\n" \

	"Good luck.\n",

	//
	//	Starting message
	//
	
	//kCaptainsLog_msg,
	"[PLAYER_RANK]'s Log, Stardate [STARDATE]. We've been dispatched to a planet called Lu-Ese to search " \
	"for more artifacts of U-Ianna origin.\n\n",

	//kSitrep_msg,
	"Helm: Now approaching Lu-Ese.\n" \

	"First Officer: There are numerous hostile warships in the area. It looks like the " \
	"Mirak and the Romulans are heavily engaged.\n" \
	
	"Science Officer: That's not our biggest problem, [PLAYER_RANK]. This star system is surrounded " \
	"by an intense energy field. If we get anywhere near the edge of this system we'll be destroyed.\n" \

	"[PLAYER_NAME]: And we didn't detect this coming in?\n" \

	"Science Officer: Correct, [PLAYER_RANK]. It's as if the field is hidden from the outside world.\n" \

	"First Officer: A U-Ianna trap. The question is, how do we get out?\n" \

	"[PLAYER_NAME]: We'll proceed with our planned mission. Maybe there's a clue down there on the planet.\n\n",

	//
	//	Debriefing messages
	//
	
	//kDeb_PlayerDied_msg
	"Your forces were destroyed.\n\n",

	//
	//	Comm buttons
	//
	
	//kButton_Hail,
	"HAIL",

	//kButton_WeSurrender,
	"WE SURRENDER",

	//
	//	Comm messages
	//
	
	//kHail_NoScanOrSpawn,
	"Enemy Captain: Ah, another lamb to the slaughter!\n\n",

	//kHail_SpawnNoInfo,
	"[PLAYER_NAME]: Are you aware that your ships are somehow being regenerated after death?" \
	"That you're stuck in an endless, pointless war?\n" \

	"Enemy Captain: Don't be absurd.\n\n",

	//kHail_Info,
	"[PLAYER_NAME]: Surely you must see what's going on here!? Your ships are dying and regenerating " \
	"over and over again, locked in a pointless eternal battle! We must find a peaceful solution.\n\n" \

	"Communications Officer: No response, [PLAYER_RANK].\n\n",

	//kHail_WeSurrender,
	"[PLAYER_NAME]: This is [PLAYER_RANK] [PLAYER_NAME] of the [PLAYER_SHIP_NAME]. We surrender.\n" \

	"Enemy Captain: Surrender? I...\n" \

	"Science Officer: [PLAYER_RANK], some kind of warp field is enveloping the [PLAYER_SHIP_NAME]... we're " \
	"being pulled out of the system.\n\n",

	//
	//	Victory rating
	//

	//	kAstoundingVictory_msg,
	"Astounding Victory!\n" \

	"Excellent work, [PLAYER_RANK]. Your quick thinking out there not only saved your ship " \
	"and crew, but you also gave us another piece of the U-Ianna puzzle.\n\nWell done.\n",

	//	kVictory_msg,
	"Victory!\n\n",

	//	kDraw_msg,
	"Draw\n\n",

	//	kDefeat_msg,
	"Defeat\n\n",

	//	kDevastatingDefeat_msg,
	"Devastating Defeat\n" \
	"You did not escape the U-Ianna trap. Your ship and crew are forever lost.\n\n",

	//	kLeftEarly_msg,
	"Forfeit\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//

	//kNoticeRespawn_msg
	"Science Officer: I don't believe it...\n" \

	"[PLAYER_NAME]: What?\n" \

	"Science Officer: [PLAYER_RANK], the ship that was just destroyed... it's reappeared.\n" \

	"[PLAYER_NAME]: How can that be? Are your instruments malfunctioning?\n" \

	"Science Officer: Negative; all instruments check out fine. Sensors confirm that the ship " \
	"just reappeared out of thin air. The exact same ship.\n\n",

	//kTeamReadyToBeamUp_msg,
	"Communications Officer: Landing party is signaling they're ready to beam up, [PLAYER_RANK].\n\n",

	//kTeamBeamedToPlanet_msg,
	"First Officer: The landing party has arrived on the planet, [PLAYER_RANK].\n\n",

	//kBeamedTeamNowhere_msg,
	"First Officer: The landing party is away, [PLAYER_RANK], although I'm not sure about " \
	"your choice of destinations.\n\n",

	//kBeamedTeamHomeReady_msg,
	"Landing Party: We've translated the inscriptions on some of the artifacts we found " \
	"down there. \"Lu-Ese\" means \"prisoner\", [PLAYER_RANK]. It's written here that the " \
	"only way to escape this system is to \"embrace peace at all costs\".\n\n",

	//kBeamedTeamHomeNotReady_msg,
	"Landing Party: Why did you beam us up? We haven't had enough time to find anything!\n\n",

	//kScannedPlanet_msg
	"Science Officer: Sensors indicate a large concentration of U-Ianna energy signatures " \
	"on the planet's surface, [PLAYER_RANK]. I'll feed the coordinates to the transporter room.\n\n",

	//kDeadEnd_msg
	"Science Officer: [PLAYER_RANK], we're too close to the energy barrier!\n" \

	"First Officer: All hands, brace for...\n\n",

	//
	//	Custom messages
	//
	
	//kScanning_msg
	"Science Officer: Scanning...\n\n",
#endif
};



