/********************************************************************************************************\

	File Name:	MissionText.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( MissionText_h )
#define MissionText_h

#include "tstring.h"


enum TextMessages
{
	//
	//	Mission Title
	//
	kMissionTitle_msg,
	kTitle2,

	//
	//	Description message
	//
	kDescription_msg,

	//
	//	Briefing message
	//
	kBriefing_msg,

	//
	//	Starting message
	//
	kCaptainsLog_msg,
	kSitrep_msg,

	//
	//	Debriefing messages
	//
	kDeb_PlayerDied_msg,

	//
	//	Comm buttons
	//
	kButton_Hail,
	kButton_WeSurrender,

	//
	//	Comm messages
	//
	kHail_NoScanOrSpawn,
	kHail_SpawnNoInfo,
	kHail_Info,
	kHail_WeSurrender,

	//
	//	Victory rating
	//
	kAstoundingVictory_msg,
	kVictory_msg,
	kDraw_msg,
	kDefeat_msg,
	kDevastatingDefeat_msg,
	kLeftEarly_msg,

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	kNoticeRespawn_msg,
	kTeamReadyToBeamUp_msg,
	kTeamBeamedToPlanet_msg,
	kBeamedTeamNowhere_msg,
	kBeamedTeamHomeReady_msg,
	kBeamedTeamHomeNotReady_msg,
	kScannedPlanet_msg,
	kDeadEnd_msg,

	//
	//	Custom messages
	//
	kScanning_msg,


	//
	//	Number of messages
	//
	kMsg_num,
};

extern std::string Messages[];


#endif

