/********************************************************************************************************\

	File Name:	Enemy2Team.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( Enemy2Team_h )
#define Enemy2Team_h

#include "TeamInfo.h"


class tEnemy2Team : public tTeamInfo
{
public:

	tEnemy2Team();

	virtual void	mSetupState();
	virtual void	mSetupCommState();
	virtual void	mCreateShipsForTeam();
	virtual void	mTeamSetupComplete();

	virtual void	mCreateNewShip( const tShipScriptDescription& shipScriptDescription );

/*

	HELPER NOTE:	Below is where the list of the ship custom IDs go.  An example follows.

	enum eCustomIDs
	{
		kPlayerNPCBS1,
		kPlayerNPCBS2,
	};

*/
	enum eCustomIDs
	{
		kISC1 = 250,
		kISC2,
		kISC3,
		kISC4,
		kISCCB,
	};

	enum eTimerIDs
	{
		kSpawnTimerID = 1500,
	};

	void	mCreateWedgeFormation();
	void	mOldCreateWedgeFormation();
	void    mCreateWaveShip( char* oldCodeShipType, int32 startEnhClass, int32 endEnhClass, int32 shipPosition, int32 customID, bool isLeader = false );
protected:

	int wave;
};

#endif



