//	<Name>	ISCCruiser.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "ISCCruiser.h"
#include "ISCCruiserBaseState.h"
#include "MissionText.h"
#include "TeamInfo.h"
#include "Uni_8Hammer.h"

tClassAllocator<tISCCruiser> gISCCruiserAllocator;

void tISCCruiser::mSetupState()
{
	mRegisterState( new tISCCruiserBaseState() );
	mGotoState( typeid( tISCCruiserBaseState ) );
}
void tISCCruiser::mSetupCommState()
{
	tTeamInfo*	playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
	Assert( playerTeam );
	if ( !playerTeam )
		return;

	playerTeam->mRegisterCommMessage(	kCommState1, kNoStateChange, mGetShipID(),
										k_HAIL_ISC_btn, k_HAIL_ISC1_1_msg, k_HAIL_ISC1_3_msg );
	playerTeam->mRegisterCommMessage(	kCommState1, kNoStateChange, mGetShipID(),
										k_DEMANDSURRENDER_ISC_btn, k_DEMANDSURRENDER_ISC1_1_msg, k_DEMANDSURRENDER_ISC1_3_msg );

	playerTeam->mGotoCommState( mGetShipID(), kCommState1 );
}
void tISCCruiser::mSetupShip()
{}


