/********************************************************************************************************\

	File Name:	ISCPlatformBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "ISCPlatformBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tISCPlatformBaseState::mBeginState()
{}
void tISCPlatformBaseState::mEndState()
{}

void tISCPlatformBaseState::mOnDeath( tShipInfo* ship )
{}
void tISCPlatformBaseState::mOnCapture( tShipInfo* ship )
{}
void tISCPlatformBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tISCPlatformBaseState::mAtDistance( tShipInfo* ship )
{}
void tISCPlatformBaseState::mAtDestination( tShipInfo* ship )
{}
void tISCPlatformBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tISCPlatformBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tISCPlatformBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tISCPlatformBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tISCPlatformBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tISCPlatformBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tISCPlatformBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tISCPlatformBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tISCPlatformBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tISCPlatformBaseState::mOnFlashingButtonPressed()
{}
void tISCPlatformBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tISCPlatformBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tISCPlatformBaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tISCPlatformBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tISCPlatformBaseState::mOnHostChanged()
{}
void tISCPlatformBaseState::mOnTimedInterval( int32 timerID )
{}
void tISCPlatformBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tISCPlatformBaseState::mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType )
{}


