/********************************************************************************************************\

	File Name:	MissionText.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tstring.h"


enum TextMessages
{
	//
	//	Mission Title
	//
	kMissionTitle_msg,

	//
	//	Briefing message
	//
	kBriefing_msg,
	kBriefingFederationRomulanHydran_msg,
	kBriefingKlingonLyran_msg,
	kBriefingGornMirak_msg,
	kBriefingRepeat_msg,

	//
	//	Starting message
	//
	kStart_msg,
	kStartFederation_msg,
	kStartKlingon_msg,
	kStartRomulan_msg,
	kStartLyran_msg,
	kStartGorn_msg,
	kStartHydran_msg,
	kStartMirak_msg,

	//
	//	Debriefing messages
	//
	kDebAstoundingVictory_msg,
	kDebVictory_msg,
	kDebDraw_msg,
	kDebDefeat_msg,
	kDebDevastatingDefeat_msg,

	//
	//	Comm buttons
	//
	k_HAIL_Ally_btn,
	k_DEFENDME_Ally_btn,
	k_DEFENDMEFORREAL_Ally_btn,
	k_ATTACKPLANET_Ally_btn,
	k_CAPTUREPLANET_Ally_btn,
	k_HAIL_ISC_btn,
	k_DEMANDSURRENDER_ISC_btn,

	//
	//	Comm messages
	//
	k_HAIL_Ally1_msg,
	k_HAIL_Ally2_msg,
	k_HAIL_Ally3_msg,
	k_HAIL_Ally4_msg,
	k_DEFENDME_Ally1_msg,
	k_DEFENDME_Ally2_msg,
	k_ATTACKPLANET_Ally1_msg,
	k_CAPTUREPLANET_Ally1_msg,
	k_HAIL_ISC1_1_msg,
	k_HAIL_ISC1_2_msg,
	k_HAIL_ISC1_3_msg,
	k_DEMANDSURRENDER_ISC1_1_msg,
	k_DEMANDSURRENDER_ISC1_2_msg,
	k_DEMANDSURRENDER_ISC1_3_msg,

	//
	//	Victory rating
	//
	kAstoundingVictory_msg,
	kVictory_msg,
	kDraw_msg,
	kDefeat_msg,
	kDevastatingDefeat_msg,

	//
	//	Random chatter
	//
	kRandChat1_msg,
	kRandChat2_msg,
	kRandChat3_msg,
	kRandChat4_msg,
	kRandChat5_msg,
	kRandChat6_msg,

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	kEvent4_1_msg,
	kEvent5_1_msg,
	kEvent5_2_msg,
	kEvent7_1_msg,
	kEvent8_1_msg,
	kEvent9_1_msg,
	kEvent9_2_msg,
	kEvent9_3_msg,
	kEvent10_1_msg,
	kEvent11_1_msg,
	kEvent12_1_msg,

	//
	//	Custom messages
	//
	kCustom1_msg,
	kCustom2_msg,
	kCustom3_msg,
	kCustom4_msg,
	kCustom5_msg,
	kCustom6_msg,
	kCustom7_msg,
	kCustom8_msg,
	kCustom9_msg,

	//
	//	Not localized as of 10/8/00
	//
	kPlayerTeamTitle_msg,
	kPlayerTeamBriefing_msg,

	//
	//	Not localized as of 10/17/00
	//
	kScanning_msg,

	//
	//	Not localized as of 11/5/00
	//
	kDisconnect_msg,
};

extern std::string Messages[];



