/********************************************************************************************************\

	File Name:	FreighterTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( FreighterTeam_h )
#define FreighterTeam_h

#include "TeamInfo.h"


class tFreighterTeam : public tTeamInfo
{
public:
	void mCreateFreighter();
	void mOldCreateFreighter();

	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );

/*

	HELPER NOTE:	Below is where the list of the ship custom IDs go.  An example follows.

	enum eCustomIDs
	{
		kPlayerNPCBS1,
		kPlayerNPCBS2,
	};

*/
	enum eCustomIDs
	{
		kFreighter1 = 500,
	};
};

#endif
