/********************************************************************************************************\

	File Name:	MirakShip.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "MirakShip.h"
#include "MirakShipBaseState.h"
#include "MissionText.h"
#include "Uni_8Massacre.h"

tClassAllocator<tMirakShip> gMirakShipAllocator;

void tMirakShip::mSetupState()
{
	mRegisterState( new tMirakShipBaseState() );
	mGotoState( typeid( tMirakShipBaseState ) );
}

void tMirakShip::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	ASSERT( playerTeam );
	if( !playerTeam ) return;

	playerTeam->mRegisterCommMessage( kState1,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail,
									  kHailMirak_msg );

	playerTeam->mGotoCommState( mGetShipID(), kState1 );
}

void tMirakShip::mSetupShip()
{}
