/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN
		//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_8Massacre",

	//kTitle2
	"Blutbad\n\n",

	//
	//	Briefing message
	//
	

	// kBriefing_msg,
	"Wir haben mirakischen Subraum-Datenverkehr abgefangen, der die Vermutung nahelegt, dass unsere Forschungsstation im [SYSTEM_NAME]-System " \
	"Ziel eines Angriffs werden soll. Setzen Sie unverzglich Kurs auf [SYSTEM_NAME], um die Station zu verteidigen.\n" \

	"Sie erhalten Verstrkung von unseren Verbndeten. Sie mssen jedoch auch mit einer zweiten mirakischen Angriffswelle rechnen.\n" \

	"Viel Glck.\n\n",


	//
	//	Starting message
	//
	
	//kCaptainsLog_msg
	"Logbuch des [PLAYER_RANK], Sternendatum [STARDATE]. Unsere Forschungsstation in [SYSTEM_NAME] wird von mirakischen " \
	"Streitkrften angegriffen. Wir wurden ausgesandt, um die Station zu verteidigen.\n\n",

	//kInitialSitrep_msg
	"Erster Offizier: Wir nhern uns der Station, [PLAYER_RANK].\n" \

	"Wissenschaftsoffizier: Unsere Sensoren registrieren mirakische Schiffe, die sich in Angriffsformation nhern.\n" \

	"Erster Offizier: Alarmstufe Rot. Alle Mann auf die Kampfstationen.\n\n",

	//
	//	Debriefing messages
	//
	
	//kDeb_KilledEnemyBeforeLaunch,
	"Auergewhnlich gute Arbeit! Sie hatten die Situation so schnell im Griff, dass die Station noch nicht " \
	"einmal einen Evakuierungstransporter starten musste.\n" \

	"Die Miraker werden es sich in Zukunft zweimal berlegen, ob sie einen Angriff auf unseren Raum wagen knnen, wenn Sie in der Nhe sind.\n\nWegtreten.\n",

	//kDeb_BaseAndTransportSurvived,
	"Hervorragende Arbeit! Sie haben sowohl die Basis als auch den Evakuierungstransporter vor dem mirakischen Angriff gerettet.\n\nWegtreten.\n",

	//kDeb_BaseKilled_TransportEscaped,
	"Nun gut, der Evakuierungstransporter konnte sich mit einigen der wichtigsten Mitarbeiter und Materialien retten. Unglcklicherweise " \
	"konnten Sie aber die Station nicht retten.\n\n",

	//kDeb_BaseKilled_TransportKilled,
	"Es ist ein schwarzer Tag fr uns. Wenn wir noch mehr Niederlagen von dieser Grenordnung einstecken mssen, werden wir den Krieg " \
	"mit Sicherheit verlieren.\n\nWegtreten.\n",

	//kDeb_BaseCapped_TransportEscaped,
	"Nun gut, der Evakuierungstransporter konnte sich mit einigen der wichtigsten Mitarbeiter und Materialien retten. Unglcklicherweise ist " \
	"unsere Forschungsstation dem Feind in die Hnde gefallen. Wir knnen nur hoffen, dass die Miraker zu blde sind, " \
	"um Nutzen aus den Experimenten zu ziehen, die dort gerade durchgefhrt wurden.\n\nWegtreten.\n",

	//kDeb_BaseCapped_TransportKilled,
	"Es ist ein schwarzer Tag fr uns. Wenn wir noch mehr Niederlagen von dieser Grenordnung einstecken mssen, werden wir den Krieg " \
	"mit Sicherheit verlieren.\n\nWegtreten.\n",

	//kDeb_BaseGone_NoLaunch,
	"Unglaublich. Der mirakische Angriff war so erfolgreich, dass die Basis zerstrt war, bevor sie noch " \
	"einen Evakuierungstransporter starten konnten.\n" \

	"Sie werden einiges zu erklren haben.\n\nWegtreten.\n",

	//kDeb_PlayerDied_msg
	"Ihre Einheiten sind vernichtet worden.\n\n",

	//
	//	Comm buttons
	//

	// kButton_Hail
	"HAIL",

	//
	//	Comm messages
	//

	//kHailBase_msg,
	"Commander der Basis: Bin froh, Sie hier zu sehen, [PLAYER_RANK].\n\n",

	//kHailMirak_msg,
	"Captain der Miraker: Dachten Sie wirklich, dass wir Ihnen so einfach erlauben, Ihre Massenvernichtungswaffen " \
	"in diesem System zu entwickeln?\n" \

	"[PLAYER_NAME]: Wovon sprechen Sie? Diese Station beschftigt sich mit Agrarforschung.\n" \
	"Captain der Miraker: Sparen Sie sich Ihre Lgen, [PLAYER_RACE]-Hund.\n\n",
	
	//
	//	Victory rating
	//

	//	kAstoundingVictory_msg,
	"Groartiger Sieg!\n\n",

	//	kVictory_msg,
	"Sieg!\n\n",

	//	kDraw_msg,
	"Unentschieden\n\n",

	//	kDefeat_msg,
	"Niederlage\n\n",

	//	kDevastatingDefeat_msg,
	"Vernichtende Niederlage\n\n",

	//	kLeftEarly_msg,
	"Mission eingebt\n\n",

	//
	//	Random chatter
	//

	//
	//	Titles (or names) of ships and objects
	//
	
	//kMedicalBaseName_msg
	"Forschungsstation",

	//kFreighterName_msg
	"Evakuierungstransporter",

	//kMirakTransportName_msg
	"Mirakische Invasionsstreitmacht",

	//
	//	Event dialog
	//
	
	//kBaseTakingFire_msg,
	"Basis: Medizinischer Auenposten [SYSTEM_NAME] an alle Schiffe... wir werden angegriffen. Wir bentigen " \
	"sofortige Untersttzung.\n\n",
	
	//kBaseTakingHeavy_msg,
	"Basis: Medizinischer Auenposten [SYSTEM_NAME] an alle Schiffe... wir haben schwere Verluste zu beklagen. " \
	"Bitte helft uns!\n\n",

	//kTransportLaunched_msg
	"Basis: Der Evakuierungstransporter hat die Basis verlassen.\n\n",

	//EnemyReinforcements_msg,
	"Erster Offizier: Die Verstrkung der Miraker ist eingetroffen.\n\n",	
	
	//kFriendlyReinforcements_msg,
	"Erster Offizier: Unsere Verbndeten sind als Verstrkung eingetroffen.\n\n",

	//kFreighterEscapes_msg
	"Erster Offizier: Das Transportschiff ist entkommen.\n\n",

	//kFreighterDies_msg
	"Erster Offizier: Das Transportschiff wurde zerstrt.\n\n",

	//kFreighterCapped_msg
	"Erster Offizier: Das Transportschiff wurde von den Mirakern erobert.\n\n",

	//kBaseDestroyed_msg
	"Erster Offizier: Die Basis wurde zerstrt.\n\n",

	//kBaseCapped_msg
	"Erster Offizier: Die Basis wurde erobert.\n\n",

	//kInvadersStopped_msg
	"Erster Offizier: Die mirakische Invasion wurde gestoppt.\n\n",

	//
	//	Custom messages
	//

#else
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_8Massacre",

	//kTitle2
	"Massacre",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"We've intercepted some Mirak subspace traffic which suggests that one of our research stations " \
	"is targeted for an attack. Depart immediately to mount a defense of the station.\n" \

	"Expect friendly reinforcements to join you. You can probably expect a second Mirak wave as well.\n" \

	"Good luck.\n\n",


	//
	//	Starting message
	//
	
	//kCaptainsLog_msg
	"[PLAYER_RANK]'s log, stardate [STARDATE]. Our research station in [SYSTEM_NAME] is under attack by " \
	"Mirak forces. We've been sent to defend the base.\n\n",

	//kInitialSitrep_msg
	"First Officer: Now approaching the station, [PLAYER_RANK].\n" \

	"Science Officer: Sensors show several Mirak vessels approaching in attack formation.\n" \

	"First Officer: Red Alert. All hands to battlestations.\n\n",

	//
	//	Debriefing messages
	//
	
	//kDeb_KilledEnemyBeforeLaunch,
	"Outstanding work! You handled the situation so quickly that the station didn't even need " \
	"to launch an evacuation transport.\n" \

	"The Mirak will think twice about attacking our space with you around.\n\nDismissed.\n",

	//kDeb_BaseAndTransportSurvived,
	"Great work! You saved both the base and the evacuation transport from the Mirak attack.\n\nDismissed.\n",

	//kDeb_BaseKilled_TransportEscaped,
	"Well, the evacuation transport got away with some key personnel and materials. Unfortunately, " \
	"the station didn't make it.\n\n",

	//kDeb_BaseKilled_TransportKilled,
	"This is a dark day for us. If we suffer many more defeats of this magnitude, we will surely " \
	"lose the war.\n\nDismissed.\n",

	//kDeb_BaseCapped_TransportEscaped,
	"Well, the evacuation transport got away with some key personnel and materials. Unfortunately, our " \
	"research station has now fallen into enemy hands. We can only hope that the Mirak will be unable " \
	"to make use of the experiments that were being conducted there.\n\nDismissed.\n",

	//kDeb_BaseCapped_TransportKilled,
	"This is a dark day for us. If we suffer many more defeats of this magnitude, we will surely " \
	"lose the war.\n\nDismissed.\n",

	//kDeb_BaseGone_NoLaunch,
	"Unbelievable. The Mirak attack was so successful that the base was gone before they could even " \
	"launch an evacuation transport.\n" \

	"You have some explaining to do.\n\nDismissed.\n",

	//kDeb_PlayerDied_msg
	"Your forces were destroyed.\n\n",

	//
	//	Comm buttons
	//

	// kButton_Hail
	"HAIL",

	//
	//	Comm messages
	//
	
	//kHailBase_msg,
	"Base Commander: Glad to see you here, [PLAYER_RANK].\n\n",

	//kHailMirak_msg,
	"Mirak Captain: Did you really think we 'd let you get away with developing your weapons " \
	"of mass destruction in this system?\n" \

	"[PLAYER_NAME]: What are you talking about? This station conducts agricultural research.\n" \

	"Mirak Captain: Save your lies, [PLAYER_RACE] dog.\n\n",


	//
	//	Victory rating
	//

	//	kAstoundingVictory_msg,
	"Astounding Victory!\n\n",

	//	kVictory_msg,
	"Victory!\n\n",

	//	kDraw_msg,
	"Draw\n\n",

	//	kDefeat_msg,
	"Defeat\n\n",

	//	kDevastatingDefeat_msg,
	"Devastating Defeat\n\n",

	//	kLeftEarly_msg,
	"Forfeit\n\n",

	//
	//	Random chatter
	//

	//
	//	Titles (or names) of ships and objects
	//
	
	//kMedicalBaseName_msg
	"Science Station",

	//kFreighterName_msg
	"Evacuation Transport",

	//kMirakTransportName_msg
	"Mirak Invasion Force",

	//
	//	Event dialog
	//
	
	//kBaseTakingFire_msg,
	"Base Commander: [SYSTEM_NAME] Outpost to all vessels... we are taking fire. Request " \
	"immediate assistance.\n\n",
	
	//kBaseTakingHeavy_msg,
	"Base Commander: [SYSTEM_NAME] Outpost to all vessels... we are taking heavy casualties! " \
	"Please assist!\n\n",

	//kTransportLaunched_msg
	"Base Commander: We can't take the chance that the Mirak will capture this station. Key personnel " \
	"are being evacuated on a transport. Make sure their ship escapes the system safely!\n\n",

	//EnemyReinforcements_msg,
	"First Officer: Mirak reinforcements have arrived.\n\n",	
	
	//kFriendlyReinforcements_msg,
	"First Officer: Friendly reinforcements have arrived.\n\n",

	//kFreighterEscapes_msg
	"First Officer: The transport has escaped.\n\n",

	//kFreighterDies_msg
	"First Officer: The transport has been destroyed.\n\n",

	//kFreighterCapped_msg
	"First Officer: The transport has been captured by the Mirak.\n\n",

	//kBaseDestroyed_msg
	"First Officer: The base has been destroyed.\n\n",

	//kBaseCapped_msg
	"First Officer: The base has been captured.\n\n",

	//kInvadersStopped_msg
	"First Officer: The Mirak forces have been stopped.\n\n",

	// kKlingonForcesArrive_msg
	"This is Captain Krumb of the IKV Death's Hand, commanding Strike Force Kang. " \
	"We will deal with these Mirak tokhe' straav.\n\n",

	//
	//	Custom messages
	//
#endif
};



