/********************************************************************************************************\

	File Name:	MissionText.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( MissionText_h )
#define MissionText_h

#include "tstring.h"


enum TextMessages
{
	//
	//	Mission Title
	//
	kMissionTitle_msg,
	kTitle2,

	//
	//	Briefing message
	//
	kBriefing_msg,

	//
	//	Starting message
	//
	kCaptainsLog_msg,
	kInitialSitrep_msg,

	//
	//	Debriefing messages
	//
	kDeb_KilledEnemyBeforeLaunch,
	kDeb_BaseAndTransportSurvived,
	kDeb_BaseKilled_TransportEscaped,
	kDeb_BaseKilled_TransportKilled,
	kDeb_BaseCapped_TransportEscaped,
	kDeb_BaseCapped_TransportKilled,
	kDeb_BaseGone_NoLaunch,
	kDeb_PlayerDied_msg,

	//	
	//	Comm buttons
	//
	kButton_Hail,

	//
	//	Comm messages
	//
	kHailBase_msg,
	kHailMirak_msg,

	//
	//	Victory rating
	//
	kAstoundingVictory_msg,
	kVictory_msg,
	kDraw_msg,
	kDefeat_msg,
	kDevastatingDefeat_msg,
	kLeftEarly_msg,

	//
	//	Random chatter
	//

	//
	//	Titles (or names) of ships and objects
	//
	kMedicalBaseName_msg,
	kFreighterName_msg,
	kMirakTransportName_msg,

	//
	//	Event dialog
	//
	kBaseTakingFire_msg,
	kBaseTakingHeavy_msg,
	kTransportLaunched_msg,
	kEnemyReinforcements_msg,
	kFriendlyReinforcements_msg,
	kFreighterEscapes_msg,
	kFreighterDies_msg,
	kFreighterCapped_msg,
	kBaseDestroyed_msg,
	kBaseCapped_msg,
	kInvadersStopped_msg,
	kKlingonForcesArrive_msg,

	//
	//	Custom messages
	//

	//
	//	Number of messages
	//
	kMsg_num,
};

extern std::string Messages[];


#endif

