/********************************************************************************************************\

	File Name:	EnemyStarBase.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "EnemyStarBase.h"
#include "EnemyStarBaseBaseState.h"
#include "EnemyTeam.h"
#include "MissionText.h"
#include "Uni_9C1Welcome.h"


tClassAllocator<tEnemyStarBase> gEnemyStarBaseAllocator;


void tEnemyStarBase::mSetupState()
{
	mRegisterState( new tEnemyStarbaseBaseState() );
	mGotoState( typeid( tEnemyStarbaseBaseState ) );
}


void tEnemyStarBase::mSetupCommState()
{
	tTeamInfo * PlayerTeam = fMissionInfo->mGetTeamHandle( (eTeamID) kPlayerTeam);
	Assert(PlayerTeam);
	PlayerTeam->mRegisterCommMessage( tUni_9C1Welcome::kCommState1, kNoStateChange , mGetShipID() , kHail_btn , kISCRandom1_msg, kISCRandom3_msg );
	PlayerTeam->mRegisterCommMessage( tUni_9C1Welcome::kCommState1, kNoStateChange , mGetShipID() , kLowerShields_btn , kCommDummy_msg, kNoRandomMsg );
	
	PlayerTeam->mGotoCommState(mGetShipID(), tUni_9C1Welcome::kCommState1);

}

void tEnemyStarBase::mSetupShip()
{}
