/********************************************************************************************************\

	File Name:	MissionText.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( MissionText_h )
#define MissionText_h

#include "tstring.h"


enum TextMessages
{
	//
	//	Mission Title
	//
	kMissionTitle_msg,
	kTitle2,

	//
	//	Briefing message
	//
	kBriefing_msg,

	//
	//	Starting message
	//
	kCaptainsLog_Lyran_msg,
	kCaptainsLog_Klingon_msg,
	kCaptainsLog_Hydran_msg,
	kInitialReport_msg,

	//
	//	Debriefing messages
	//
	kDeb_PlayerDied_msg,

	//
	//	Comm buttons
	//
	kButton_CallTransport,


	//
	//	Comm messages
	//
	kCallTransport_msg,
	kNoMoreTransports_msg,

	//
	//	Victory rating
	//
	kAstoundingVictory_msg,
	kVictory_msg,
	kDraw_msg,
	kDefeat_msg,
	kDevastatingDefeat_msg,
	kLeftEarly_msg,

	//
	//	Titles (or names) of ships and objects
	//
	kMirakPlanetName,
	kAlliedMoonName,
	kMirakLPName,

	//
	//	Event dialog
	//
	kCappedPlanet_msg,
	kAllAlliesDead_msg,
	kAllyDies_msg,
	kCannotCapPlanet_msg,
	kTransportDies_msg,
	kGotDetected_msg,
	kDebPlanetCapped_msg,
	kDebPlanetNotCapped_msg,
	kReinforcementsComing_msg,

	//
	//	Number of messages
	//
	kMsg_num,

	//  StarDate
	kStardate,
};

extern std::string Messages[];


#endif

