/********************************************************************************************************\

	File Name:	PlayerTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( PlayerTeam_h )
#define PlayerTeam_h

#include "TeamInfo.h"


class tPlayerTeam : public tTeamInfo
{
public:
	void mSetDetected();
	iTruth mDetected();
	void	mIncrementTransportsCalled();
	int32	mNumTransportsCalled();
	iTruth	mCappedPlanet();
	void	mSetCappedPlanet();

	tPlayerTeam();

	virtual void mSetupVictoryCondition();
	virtual void mSetupDebriefingList( eVictoryLevels victoryLevel );

	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );
	virtual void mScheduleNextMission( tVictoryCondition* VictoryCondition );

	enum eCustomIDs
	{
		kPlayerShip1 = 100,
		kPlayerShip2,
		kPlayerShip3,
	};

	iTruth	mDied()							{ return fDied; }
	void	mSetDied()						{ fDied = true; }

protected:

	int32	kNumTransportsCalled;
	iTruth	fCappedPlanet;
	iTruth	fDetected;
	iTruth	fDied;
};

#endif
