/********************************************************************************************************\

	File Name:	Freighter.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "Freighter.h"
#include "FreighterBaseState.h"
#include "Uni_X1M1ASmuggler.h"

tClassAllocator<tFreighter> gFreighterAllocator;

void tFreighter::mSetupState()
{
	mRegisterState( new tFreighterBaseState() );
	mGotoState( typeid( tFreighterBaseState ) );
}

void tFreighter::mSetupCommState()
{}

void tFreighter::mSetupShip()
{
	tTeamInfo* planetTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlanetTeam ) );
	if( !planetTeam )
			return;

	tShipIterator planetI = planetTeam->mGetFirstShip();
	if( !*planetI )
		return;

	int32 nX, nY;
	planetI->mGetGridPosition( &nX, &nY );

	mSetFinalDestination( nX, nY );
	mSetShipMaxSpeed( 18 );

	mSetShipCallbackEvents( kNotifyDamage );
}
