/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN
		//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_X1M1ASmuggler",

	//kTitle2
	"Die Leiden der Schmuggler",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"Wir ziehen Sie von Ihrem derzeitigen Posten ab und schicken Sie auf einen besonderen Feldzug.\n\n" \

	"Seit einiger Zeit versorgt ein Schmugglerring mehrere Welten in dieser Gegend mit der Venus-Droge. " \
	"Wir glauben, dass eine Lieferung an Sektor [SYSTEM_NAME] geplant ist. Ihre Aufgabe ist es, den Handelsverkehr " \
	"in dieser Gegend zu berwachen und jedes einzelne Schiff zu durchsuchen. Sollten Ihnen dabei Schmuggler unterkommen, beschlagnahmen " \
	"Sie das Schiff, und nehmen Sie die Crew fest.\n\nViel Glck.\n",

	//
	//	Starting message
	//
	
	//kCaptainsLog_msg,
	"Logbuch des [PLAYER_RANK], Sternendatum [STARDATE]: Wir wurden nach [SYSTEM_NAME] abkommandiert, um " \
	"einen Drogenschmugglerring auffliegen zu lassen.\n\n",

	//kSitrep_msg,
	"Erster Offizier: Wir sind im System angekommen.\n" \

	"Wissenschaftsoffizier: Unsere Sensoren registrieren drei Schiffe in der Gegend... Die Transpondersignale deuten darauf hin, dass " \
	"es sich um Handelsfrachter handelt, die alle Kurs auf den Planeten nehmen.\n\n",

	//
	//	Debriefing messages
	//
	
	//kDeb_Capped1_msg,
	"Gute Arbeit. Sie haben den Artefakteschmuggler verhaftet und die gestohlenen Gegenstnde unversehrt zurckgebracht.\n\n",

	//kDeb_Killed1_msg,
	"Mir wre es lieber gewesen, wenn Sie den Artefakteschmuggler verhaftet htten, so dass wir die gestohlenen Gegenstnde den " \
	"rechtmigen Eigentmern htten zurckgeben knnen. Aber wenigstens haben Sie dieser Schmuggelei ein Ende bereitet.\n\n",

	//kDeb_Missed1_msg,
	"Anscheinend haben Sie nicht ganz mitbekommen, was da drauen im Gange ist. Unsere Undercoveragenten berichten, dass " \
	"heute eine groe Ladung gestohlener Artefakte auf dem Planeten eingetroffen ist. Versuchen Sie in Zukunft, den Geschehnissen um Sie herum " \
	"mehr Aufmerksamkeit zu schenken.\n\n",

	//kDeb_Capped2_msg,
	"Hervorragend! Sie haben eine Riesenladung der Venus-Droge beschlagnahmt und das kriminelle Subjekt mitsamt seiner Crew " \
	"festgenommen, so dass diese vor Gericht gebracht werden knnen. Gute Arbeit.\n\n",

	//kDeb_Killed2_msg,
	"Uns wre es lieber gewesen, Sie htten den Drogenschmuggler festgenommen, so dass er in aller Form htte angeklagt werden knnen. Vielleicht htte er sich sogar auf einen Deal eingelassen, " \
	"wenn wir ihm im Gegenzug fr Informationen ber seinen Lieferanten eine mildere Behandlung zugesagt htten. Aber wie dem auch sei, schmuggeln wird " \
	"er jedenfalls nicht mehr.\n\n",

	//kDeb_Missed2_msg,
	"Leider ist es Ihnen nicht gelungen, eine groe Drogenlieferung abzufangen, bevor diese den Planeten erreichte. Das ist schlecht " \
	"fr alle Beteiligten... und besonders fr Sie.\n\n",

	//kDeb_AttackedFreighter_msg,
	"Hier steht, Sie haben einen unschuldigen zivilen Frachter angegriffen. Soll ich das Kriegsgericht sofort einberufen, oder " \
	"haben Sie einen triftigen Grund fr das, was Sie da drauen angestellt haben?\n\n",

	//kDeb_PlayerDied_msg,
	"Ihre Einheiten sind vernichtet worden.\n\n",

	//
	//	Comm buttons
	//
	
	//kButton_Hail,
	"RUFEN",

	//kButton_StandDown,
	"AUFGEBEN",

	//
	//	Comm messages
	//

	//kHailFreighter_msg,
	"Captain des Frachters: Was knnen wir fr Sie tun?\n\n",

	//kHailSmuggler1_1_msg,
	"Captain des Frachters: Was wollen Sie?\n" \

	"[PLAYER_NAME]: Hier spricht [PLAYER_RANK] [PLAYER_NAME] von der [PLAYER_SHIP_NAME]. Kommen Sie lngsseits, " \
	"wir haben Ihr Schiff nach Schmugglerware zu durchsuchen.\n" \

	"Captain des Frachters: Nur ber meine Leiche.\n\n",

	//kHailSmuggler1_2_msg,
	"[PLAYER_NAME]: Glauben Sie nicht, dass ich Sie lange bitte. Kommen Sie lngsseits, und lassen Sie Ihr Schiff durchsuchen.\n" \

	"Captain des Frachters: Und ich wiederhole es auch nicht noch einmal: Nur ber meine Leiche.\n\n",

	//kHailSmuggler2_1_msg,
	"Captain des Frachters: Ja? Wir haben ziemlich viel zu tun, also machen Sie es kurz.\n" \

	"[PLAYER_NAME]: Hier spricht [PLAYER_RANK PLAYER_NAME] von der [PLAYER_SHIP_NAME]. Kommen Sie lngsseits, " \
	"wir haben Ihr Schiff nach Schmugglerware zu durchsuchen.\n" \

	"Captain des Frachters: Na, wenn das mal nicht gegen meine Rechte verstt. Ich habe da eine bessere Idee: " \
	"Machen Sie, dass Sie weiterkommen, und lassen Sie uns in Ruhe.\n\n",

	//kHailSmuggler2_2_msg,
	"[PLAYER_NAME]: Glauben Sie nicht, dass ich Sie lange bitte. Kommen Sie lngsseits, und lassen Sie Ihr Schiff durchsuchen.\n" \

	"Captain des Frachters: Ich habe einflussreiche Freunde! Wenn Sie also keinen rger wollen, lassen Sie uns besser in Frieden.\n\n",

	//kStandDown_Smuggler1_msg,
	"[PLAYER_NAME]: Geben Sie auf, und zwar sofort.\n" \

	"Kommunikationsoffizier: Keine Reaktion, [PLAYER_RANK].\n\n",

	//kStandDown_Smuggler2_msg,
	"[PLAYER_NAME]: Geben Sie auf, und zwar sofort.\n" \

	"Kommunikationsoffizier: Ich nehme an, sie haben ihren Subraumempfnger abgeschaltet, [PLAYER_RANK].\n\n",

	//kHailOrion_1_msg,
	"[PLAYER_NAME]: Wir haben keinen Streit mit Ihnen.\n" \

	"Orionischer Captain: Was fr ein Pech aber auch! Wir haben nmlich Streit mit Ihnen. Ziehen Sie Leine, und lassen Sie unseren Freund in Ruhe, sonst " \
	"erffnen wir das Feuer.\n\n",

	//kHailOrion_2_msg,
	"[PLAYER_NAME]: Verschwinden Sie sofort aus diesem Sektor. Sie haben hier nichts zu suchen.\n" \

	"Orionischer Captain: Ich denke doch, dass ich hier etwas zu suchen habe. Warum verschwinden nicht Sie?\n\n",

	//
	//	Victory rating
	//

	//	kAstoundingVictory_msg,
	"Groartiger Sieg!\n\n",

	//	kVictory_msg,
	"Sieg!\n\n",

	//	kDraw_msg,
	"Unentschieden\n\n",

	//	kDefeat_msg,
	"Niederlage\n\n",

	//	kDevastatingDefeat_msg,
	"Vernichtende Niederlage\n\n",

	//	kLeftEarly_msg,
	"Mission eingebt\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//kDrugSmuggler_name,
	"Drogenschmuggler",

	//kArtifacts_smuggler_name,
	"Artefakteschmuggler",

	//
	//	Event dialog
	//
	
	//kScannedSmuggler1_msg,
	"Wissenschaftsoffizier: [PLAYER_RANK], auf diesem Schiff befinden sich verschiedene Artefakte... Und " \
	"laut Computer wurden die alle whrend der vergangenen Monate gestohlen gemeldet.\n\n",

	//kScannedSmuggler2_msg,
	"Wissenschaftsoffizier: [PLAYER_RANK], unsere Sensoren registrieren groe Mengen der Venus-Droge an " \
	"Bord dieses Schiffes.\n\n",

	//kScannedFreighter_msg,
	"Wissenschaftsoffizier: Nichts Ungewhnliches zu entdecken, [PLAYER_RANK].\n\n",

	//kScanRange_msg,
	"Wissenschaftsoffizier: Wir mssen innerhalb der Reichweite 25 sein, um einen genauen Scan durchfhren zu knnen, [PLAYER_RANK].\n\n",

	//kCappedInnocentFreighter_msg,
	"Captain des Frachters: Was tun Sie denn da!?\n" \

	"Erster Offizier: [PLAYER_RANK], wir haben gerade ein unschuldiges ziviles Schiff geentert.\n\n",

	//kCappedSmuggler2_msg,
	"Erster Offizier: Das Schiff des Drogenschmugglers wurde gekapert.\n\n",

	//kCappedSmuggler1_msg,
	"Erster Offizier: Das Schiff des Artefakteschmugglers wurde gekapert.\n\n",

	//kOrionsDisengaging_msg,
	"Erster Offizier: Die Orionen setzen sich ab, [PLAYER_RANK].\n\n",

	//kKilledSmuggler1_msg,
	"Erster Offizier: Wir haben das Schiff des Artefakteschmugglers zerstrt.\n\n",

	//kKilledSmuggler2_msg,
	"Erster Offizier: Wir haben das Schiff des Drogenschmugglers zerstrt.\n\n",

	//kFreighterDead_msg
	"Erster Offizier: Der Frachter wurde zerstrt.\n\n",

	//kTractorSmuggler1_msg,
	"Erster Offizier: Wir haben den Artefakteschmuggler ins Schlepptau genommen.\n\n",

	//kTractorSmuggler2_msg,
	"Erster Offizier: Wir haben den Drogenschmuggler ins Schlepptau genommen.\n\n",

	//kOrionsAppear_msg
	"Wissenschaftsoffizier: [PLAYER_RANK], Schiffe der Orionen sind soeben in das System eingedrungen und befinden sich auf Abfangkurs.\n\n",

	//kOrionsRunAway_msg
	"Erster Offizier: Die Orionen setzen sich ab.\n\n",

	//kFiredOnFreighter_msg
	"Captain des Frachters: [PLAYER_SHIP_NAME], was machen Sie da!?\n" \

	"Erster Offizier: Wir haben soeben ein ziviles Schiff unter Beschuss genommen.\n\n",

	//
	//	Custom messages
	//
	
	//kScanning_msg,
	"Wissenschaftsoffizier: Wir scannen...\n\n",

#else
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_X1M1ASmuggler",

	//kTitle2
	"Smuggler's Blues",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"We're pulling you from your current duty to engage in a special campaign.\n\n" \

	"A ring of drug sumgglers has been supplying the Venus Drug to several worlds in this area. " \
	"We believe they are sending a shipment to sector [SYSTEM_NAME]. Your job is to police the commercial " \
	"traffic in the area, conducting a search of each vessel. If you should encounter smugglers, seize " \
	"the vessel and its crew.\n\nGood luck.\n",

	//
	//	Starting message
	//
	
	//kCaptainsLog_msg,
	"[PLAYER_RANK]'s Log, stardate [STARDATE]: We've been dispatched to [SYSTEM_NAME] to put a stop " \
	"to a drug smuggling operation.\n\n",

	//kSitrep_msg,
	"First Officer: Now entering the system.\n" \

	"Science Officer: Sensors show three vessels in the area... transponder signals indicate " \
	"commercial freighters, all on course for the station.\n\n",

	//
	//	Debriefing messages
	//
	
	//kDeb_Capped1_msg,
	"Good work. You took the artifacts smuggler into custody and returned the stolen items intact.\n\n",

	//kDeb_Killed1_msg,
	"I would be happier if you had captured the artifacts smuggler, so that we could return the stolen " \
	"items to their rightful owners, but at least you put a stop to his business.\n\n",

	//kDeb_Missed1_msg,
	"It seems you missed some of what was going on out there. Reports from undercover agents mention " \
	"a large shipment of stolen artifacts arrived on the station today. In the future, try to be more aware " \
	"of what's going on around you.\n\n",

	//kDeb_Capped2_msg,
	"Outstanding! You seized a huge shipment of the Venus Drug and brought the criminal and his crew " \
	"in for formal charging. Well done.\n\n",

	//kDeb_Killed2_msg,
	"We would have preferred it had you brought the drug smuggler in for formal charging. He might have " \
	"been willing to trade information about his supplier for some leniency. Either way, his smuggling days " \
	"are over.\n\n",

	//kDeb_Missed2_msg,
	"Unfortunately, you failed to stop a massive drug shipment from reaching the station. This is bad " \
	"for all involved... especially you.\n\n",

	//kDeb_AttackedFreighter_msg,
	"It says here that you attacked an innocent civilian freighter. Shall I call for your court martial " \
	"now, or do you have a very good reason for what you did out there?\n\n",

	//kDeb_PlayerDied_msg,
	"Your forces have been destroyed.\n\n",

	//
	//	Comm buttons
	//
	
	//kButton_Hail,
	"HAIL",

	//kButton_StandDown,
	"STAND DOWN",

	//
	//	Comm messages
	//

	//kHailFreighter_msg,
	"Freighter Captain: What can we do for you?\n\n",

	//kHailSmuggler1_1_msg,
	"Freighter Captain: What do you want?\n" \

	"[PLAYER_NAME]: This is [PLAYER_RANK] [PLAYER_NAME] of the [PLAYER_SHIP_NAME]. Bring your vessel alongisde " \
	"and prepare to be searched for contraband.\n" \

	"Freighter Captain: Over my dead body.\n\n",

	//kHailSmuggler1_2_msg,
	"[PLAYER_NAME]: I won't ask you again. Come alongside and prepare to be searched.\n" \

	"Freighter Captain: And I won't tell you again: Over my dead body.\n\n",

	//kHailSmuggler2_1_msg,
	"Freighter Captain: Yes? We're a little busy here, so make it fast.\n" \

	"[PLAYER_NAME]: This is [PLAYER_RANK] [PLAYER_NAME] of the [PLAYER_SHIP_NAME]. Bring your vessel alongisde " \
	"and prepare to be searched for contraband.\n" \

	"Freighter Captain: That's gotta' be a violation of my rights or something. I have a better idea: " \
	"run along and leave us alone.\n\n",

	//kHailSmuggler2_2_msg,
	"[PLAYER_NAME]: I won't tell you again. Come alongside and prepare to be searched.\n" \

	"Freighter Captain: I have friends! You'd better back off if you know what's good for you.\n\n",

	//kStandDown_Smuggler1_msg,
	"[PLAYER_NAME]: Stand down immeidately.\n" \

	"Communications Officer: No response, [PLAYER_RANK].\n\n",

	//kStandDown_Smuggler2_msg,
	"[PLAYER_NAME]: Stand down immeidately.\n" \

	"Communications Officer: I think they've shut off their subspace receiver, [PLAYER_RANK].\n\n",

	//kHailOrion_1_msg,
	"[PLAYER_NAME]: We have no quarrel with you.\n" \

	"Orion Captain: Too bad. We have one with you. Back off and leave our friend alone or we " \
	"will open fire.\n\n",

	//kHailOrion_2_msg,
	"[PLAYER_NAME]: Withdraw from this sector immediately. You've no business here.\n" \

	"Orion Captain: I've just made it my business to be here. Why don't you leave instead?\n\n",

	//
	//	Victory rating
	//

	//	kAstoundingVictory_msg,
	"Astounding Victory!\n\n",

	//	kVictory_msg,
	"Victory!\n\n",

	//	kDraw_msg,
	"Draw\n\n",

	//	kDefeat_msg,
	"Defeat\n\n",

	//	kDevastatingDefeat_msg,
	"Devastating Defeat\n\n",

	//	kLeftEarly_msg,
	"Forfeit",

	//
	//	Titles (or names) of ships and objects
	//

	//kDrugSmuggler_name,
	"Drug Smuggler",

	//kArtifacts_smuggler_name,
	"Artifacts Smuggler",

	//
	//	Event dialog
	//
	
	//kScannedSmuggler1_msg,
	"Science Officer: [PLAYER_RANK], this vessel is loaded with various artifacts... the computer " \
	"has matched them to a list items reported stolen over the past several months.\n\n",

	//kScannedSmuggler2_msg,
	"Science Officer: [PLAYER_RANK], sensors are reading large quantities of the Venus Drug onboard " \
	"this vessel.\n\n",

	//kScannedFreighter_msg,
	"Science Officer: Nothing unusual detected, [PLAYER_RANK].\n\n",

	//kScanRange_msg,
	"Science Officer: We'll need to be within range 25 to perform a detailed scan, [PLAYER_RANK].\n\n",

	//kCappedInnocentFreighter_msg,
	"Freighter Captain: What are you doing!?\n" \

	"First Officer: [PLAYER_RANK], we have just captured an innocent civilian vessel.\n\n",

	//kCappedSmuggler2_msg,
	"First Officer: The drug smuggler's vessel has been captured.\n\n",

	//kCappedSmuggler1_msg,
	"First Officer: The artifacts smuggler's vessel has been captured.\n\n",

	//kOrionsDisengaging_msg,
	"First Officer: The Orion forces are disengaging, [PLAYER_RANK].\n\n",

	//kKilledSmuggler1_msg,
	"First Officer: We have destroyed the artifacts smuggler's vessel.\n\n",

	//kKilledSmuggler2_msg,
	"First Officer: We have destroyed the drug smuggler's vessel.\n\n",

	//kFreighterDead_msg
	"First Officer: The freighter has been destroyed.\n\n",

	//kTractorSmuggler1_msg,
	"First Officer: We have the artifacts smuggler under tow.\n\n",

	//kTractorSmuggler2_msg,
	"First Officer: We have the drug smuggler under tow.\n\n",

	//kOrionsAppear_msg
	"Science Officer: [PLAYER_RANK], Orion vessels have just entered the system, on an intercept course.\n\n",

	//kOrionsRunAway_msg
	"First Officer: The Orions are disengaging.\n\n",

	//kFiredOnFreighter_msg
	"Freighter Captain: [PLAYER_SHIP_NAME], what are you doing!?\n" \

	"First Officer: We have just fired on a civilian vessel.\n\n",

	//
	//	Custom messages
	//
	
	//kScanning_msg,
	"Science Officer: Scanning...\n\n",
#endif
};



