/********************************************************************************************************\

	File Name:	MissionText.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( MissionText_h )
#define MissionText_h

#include "tstring.h"


enum TextMessages
{
	//
	//	Mission Title
	//
	kMissionTitle_msg,
	kTitle2,

	//
	//	Briefing message
	//
	kBriefing_msg,
	
	//
	//	Starting message
	//
	kCaptainsLog_msg,
	kSitrep_msg,

	//
	//	Debriefing messages
	//
	kDeb_Capped1_msg,
	kDeb_Killed1_msg,
	kDeb_Missed1_msg,
	kDeb_Capped2_msg,
	kDeb_Killed2_msg,
	kDeb_Missed2_msg,
	kDeb_AttackedFreighter_msg,
	kDeb_PlayerDied_msg,

	//
	//	Comm buttons
	//
	kButton_Hail,
	kButton_StandDown,
	
	//
	//	Comm messages
	//
	kHailFreighter_msg,
	kHailSmuggler1_1_msg,
	kHailSmuggler1_2_msg,
	kHailSmuggler2_1_msg,
	kHailSmuggler2_2_msg,
	kStandDown_Smuggler1_msg,
	kStandDown_Smuggler2_msg,
	kHailOrion_1_msg,
	kHailOrion_2_msg,

	//
	//	Victory rating
	//
	kAstoundingVictory_msg,
	kVictory_msg,
	kDraw_msg,
	kDefeat_msg,
	kDevastatingDefeat_msg,
	kLeftEarly_msg,

	//
	//	Titles (or names) of ships and objects
	//
	kDrugSmuggler_name,
	kArtifacts_smuggler_name,

	//
	//	Event dialog
	//
	kScannedSmuggler1_msg,
	kScannedSmuggler2_msg,
	kScannedFreighter_msg,
	kScanRange_msg,
	kCappedInnocentFreighter_msg,
	kCappedSmuggler2_msg,
	kCappedSmuggler1_msg,
	kOrionsDisengaging_msg,
	kKilledSmuggler1_msg,
	kKilledSmuggler2_msg,
	kFreighterDead_msg,
	kTractorSmuggler1_msg,
	kTractorSmuggler2_msg,
	kOrionsAppear_msg,
	kOrionsRunAway_msg,
	kFiredOnFreighter_msg,

	//
	//	Custom messages
	//
	kScanning_msg,

	//
	//	Number of messages
	//
	kMsg_num,
};

extern std::string Messages[];


#endif

