/********************************************************************************************************\

	File Name:	OrionShip.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "OrionShip.h"
#include "OrionShipBaseState.h"
#include "Uni_X1M1ASmuggler.h"
#include "MissionText.h"

tClassAllocator<tOrionShip> gOrionShipAllocator;

void tOrionShip::mSetupState()
{
	mRegisterState( new tOrionShipBaseState() );
	mGotoState( typeid( tOrionShipBaseState ) );
}

void tOrionShip::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	if( !playerTeam )
			return;

	
	// State 1
	playerTeam->mRegisterCommMessage( kCommState_1,
									  kCommState_2,
									  mGetShipID(),
									  kButton_Hail,
									  kHailOrion_1_msg,
									  kNoRandomMsg );

	// State 2
	playerTeam->mRegisterCommMessage( kCommState_2,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail,
									  kHailOrion_2_msg,
									  kNoRandomMsg );


	playerTeam->mGotoCommState( mGetShipID(), kCommState_1 );


}

void tOrionShip::mSetupShip()
{}
