/********************************************************************************************************\

	File Name:	DefenseShipBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "DefenseShipBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tDefenseShipBaseState::mBeginState()
{}
void tDefenseShipBaseState::mEndState()
{}

void tDefenseShipBaseState::mOnDeath( tShipInfo* ship )
{}
void tDefenseShipBaseState::mOnCapture( tShipInfo* ship )
{}
void tDefenseShipBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tDefenseShipBaseState::mAtDistance( tShipInfo* ship )
{}
void tDefenseShipBaseState::mAtDestination( tShipInfo* ship )
{}
void tDefenseShipBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tDefenseShipBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tDefenseShipBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tDefenseShipBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tDefenseShipBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tDefenseShipBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tDefenseShipBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tDefenseShipBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tDefenseShipBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tDefenseShipBaseState::mOnFlashingButtonPressed()
{}
void tDefenseShipBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tDefenseShipBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tDefenseShipBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tDefenseShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tDefenseShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tDefenseShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tDefenseShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tDefenseShipBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tDefenseShipBaseState::mOnHostChanged()
{}
void tDefenseShipBaseState::mOnTimedInterval( int32 timerID )
{}
void tDefenseShipBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tDefenseShipBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

