/********************************************************************************************************\

	File Name:	LeaderShip.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "LeaderShip.h"
#include "LeaderShipBaseState.h"
#include "Uni_X1M1FInsurrection.h"
#include "MissionText.h"

tClassAllocator<tLeaderShip> gLeaderShipAllocator;

void tLeaderShip::mSetupState()
{
	mRegisterState( new tLeaderShipBaseState() );
	mGotoState( typeid( tLeaderShipBaseState ) );
}

void tLeaderShip::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	if( !playerTeam )
			return;

	playerTeam->mRegisterCommMessage( kCommState_1,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail,
									  kHailLeader_msg );

	playerTeam->mRegisterCommMessage( kCommState_1,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Surrender,
									  kSurrenderLeader_msg );

	playerTeam->mGotoCommState( mGetShipID(), kCommState_1 );
}

void tLeaderShip::mSetupShip()
{
	
}
