/********************************************************************************************************\

	File Name:	LeaderShipBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "LeaderShipBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tLeaderShipBaseState::mBeginState()
{}
void tLeaderShipBaseState::mEndState()
{}

void tLeaderShipBaseState::mOnDeath( tShipInfo* ship )
{}
void tLeaderShipBaseState::mOnCapture( tShipInfo* ship )
{}
void tLeaderShipBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tLeaderShipBaseState::mAtDistance( tShipInfo* ship )
{}
void tLeaderShipBaseState::mAtDestination( tShipInfo* ship )
{}
void tLeaderShipBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tLeaderShipBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tLeaderShipBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tLeaderShipBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tLeaderShipBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tLeaderShipBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tLeaderShipBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tLeaderShipBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tLeaderShipBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tLeaderShipBaseState::mOnFlashingButtonPressed()
{}
void tLeaderShipBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tLeaderShipBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tLeaderShipBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tLeaderShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tLeaderShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tLeaderShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tLeaderShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tLeaderShipBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tLeaderShipBaseState::mOnHostChanged()
{}
void tLeaderShipBaseState::mOnTimedInterval( int32 timerID )
{}
void tLeaderShipBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tLeaderShipBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

