/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_X1M1FInsurrection",

	//kTitle2
	"Aufstand",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"Wegen des jngsten Fehlschlags im Kampf gegen den Drogenschmuggel sind wir in eine Krise geraten. [SYSTEM_NAME] " \
	"ist zur offenen Rebellion bergegangen. Wir bringen eine ganze Ladung Soldaten an den Ort des Geschehens, um den Aufstand niederzuschlagen.\n\n" \

	"Sie werden den Transport begleiten und dafr sorgen, dass der Frachter bis auf Transportreichweite an den Planeten " \
	"herankommt. Das ist Ihr Primrziel. Auerdem wird der Planet noch von mehreren feindlichen Schiffen " \
	"bewacht. Die meisten davon sind schwere Frachter, aber die Anfhrer der Aufstndischen haben einen kleinen " \
	"Zerstrer in ihre Gewalt gebracht, der ihnen jetzt als Flaggschiff dient. Ihr zweites Ziel ist es, dieses Schiff " \
	"zu kapern. Wenn Sie scheitern, knnte es sein, dass wir die Kontrolle ber den Sektor verlieren. Die Venus-Droge ist eine Seuche, die " \
	"noch schlimmer ist als wir befrchtet haben. Das muss jetzt ein Ende haben.\n\nViel Glck.\n",

	//
	//	Starting message
	//
	
	//kCaptainsLog_msg,
	"Logbuch des [PLAYER_RANK], Sternendatum [STARDATE]. Wir sind auf dem Weg zu Sektor [SYSTEM_NAME], um einen " \
	"Aufstand niederzuschlagen, dessen Ursache das Problem des Drogenschmuggels in diesem Gebiet ist.\n",

	//kSitrep_msg,
	"Erster Offizier: Wir sind im System angekommen.\n" \

	"Wissenschaftsoffizier: Ich registriere mehrere leicht bewaffnete Frachter in der Umlaufbahn des Planeten " \
	"und ein Schiff der Zerstrerklasse.\n\n",


	//
	//	Debriefing messages
	//
	
	//kDeb_TransportAtPlanet_msg,
	"Gute Arbeit! Die Truppen sind sicher auf dem Planeten gelandet und konnten den Aufstand " \
	"friedlich beenden.\n\n",

	//kDeb_TransportNotAtPlanet_msg,
	"Der Aufstand dauert fort und nimmt immer schlimmere Ausmae an. Schade, dass Sie Ihre Mission nicht " \
	"erfllen konnten.\n\n",

	//kDeb_CappedLeader_msg,
	"Den Anfhrer der Aufstndischen gefangen zu nehmen, war das Beste, was Sie tun konnten. Gute Arbeit.\n\n",

	//kDeb_KilledLeader_msg,
	"Mir wre es lieber gewesen, wenn Sie den Anfhrer der Aufstndischen gefasst htten.\n\n",

	//kDeb_LeaderEscaped_msg,
	"Wie konnten Sie den Anfhrer der Aufstndischen nur entkommen lassen? Wir knnen nur vermuten, was fr einen Schaden " \
	"er jetzt anrichten wird, und zwar nicht nur in diesem System, sondern auch berall dort, wo er vielleicht Einfluss nimmt.\n\n",

	//kDeb_PlayerDied_msg,
	"Ihre Einheiten sind vernichtet worden.\n\n",

	//
	//	Comm buttons
	//

	//kButton_Hail,
	"RUFEN\n\n",

	//kButton_Surrender,
	"KAPITULATION\n\n",

	//
	//	Comm messages
	//

	//kHailLeader_msg,
	"[PLAYER_NAME]: Hier spricht [PLAYER_RANK] [PLAYER_NAME] vom Raumschiff [PLAYER_SHIP_NAME]...\n" \

	"Anfhrer der Aufstndischen: Sie sind in diesem System nicht erwnscht. Verschwinden Sie, oder Sie werden vernichtet.\n\n",

	//kSurrenderLeader_msg,
	"Anfhrer der Aufstndischen: Ergeben? Jetzt, da wir den Sieg davontragen?\n\n",

	//kHailRebel_1_msg,
	"Schiff der Aufstndischen: Was wollen Sie?\n\n",

	//kHailRebel_2_msg,
	"Schiff der Aufstndischen: Lassen Sie uns in Frieden! Sie werden uns nicht Ihren Willen aufzwingen!\n\n",
	
	//kSurrenderRebel_1_msg,
	"Schiff der Aufstndischen: [PLAYER_SHIP_NAME]... wir kapitulieren. Wie lauten Ihre Bedingungen?\n" \

	"[PLAYER_NAME]: Es gibt keine Bedingungen. Wir wollen nur den Konflikt beilegen.\n\n",

	//
	//	Victory rating
	//

	//	kAstoundingVictory_msg,
	"Groartiger Sieg!\n\n",

	//	kVictory_msg,
	"Sieg!\n\n",

	//	kDraw_msg,
	"Unentschieden\n\n",

	//	kDefeat_msg,
	"Niederlage\n\n",

	//	kDevastatingDefeat_msg,
	"Vernichtende Niederlage\n\n",

	//	kLeftEarly_msg,
	"Mission eingebt\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//

	//kTransportDies_msg,
	"Erster Offizier: Das Transportschiff wurde zerstrt.\n\n",

	//kTransportCapped_msg,
	"Erster Offizier: Das Transportschiff wurde gekapert.\n\n",
	
	//kTransportReachesPlanet_msg
	"Erster Offizier: Das Transportschiff hat den Planeten erreicht.\n\n",

	//kTransportAtPlanet_Both_msg,
	"Erster Offizier: Das Transportschiff hat den Planeten erreicht.\n\n",

	//kTransportAtPlanet_Leader_msg,
	"Erster Offizier: Das Transportschiff hat den Planeten erreicht.\n\n",

	//kTransportAtPlanet_Defense_msg,
	"Erster Offizier: Das Transportschiff hat den Planeten erreicht.\n\n",

	//kTransportAtPlanet_None_msg,
	"Erster Offizier: Das Transportschiff hat den Planeten erreicht.\n\n",

	//kDefenseTeamSurrenders_msg
	"Kommunikationsoffizier: Nachricht von den Aufstndischen, [PLAYER_RANK]: sie ergeben sich.\n\n",

	//kLeaderDead_msg
	"Erster Offizier: Der Anfhrer der Aufstndischen wurde vernichtet.\n\n",

	//kLeaderCapped_msg
	"Erster Offizier: Wir haben den Anfhrer der Aufstndischen gefasst.\n\n",

	//
	//	Custom messages
	//

#else
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_X1M1FInsurrection",

	//kTitle2
	"Insurrection",

		//
	//	Briefing message
	//

	// kBriefing_msg,
	"Because of our recent failure to stop drug smuggling, a crisis has emerged. [SYSTEM_NAME] " \
	"is in open rebellion. We are transporting a freighter full of marines to quell the insurrection " \
	"aboard the space station there.\n\n" \

	"You will escort the transport freighter and make sure it gets into transporter range of the " \
	"station. This is your primary objective. In addition, there are several unfriendly ships " \
	"guarding the station. Most are heavy freighters, but insurrection leaders have seized control " \
	"of a small destroyer and are using it as their flagship. Capturing this ship is your secondary " \
	"objective. Fail, and our control over the sector will be threatened. The Venus Drug epidemic is " \
	"worse than we feared. It must end now.\n\nGood luck.\n",

	//
	//	Starting message
	//
	
	//kCaptainsLog_msg,
	"[PLAYER_RANK]'s Log, stardate [STARDATE]. We're enroute to sector [SYSTEM_NAME] to put an end " \
	"to a rebellion caused by the drug smuggling problem in the area.\n",

	//kSitrep_msg,
	"First Officer: Now entering the system.\n" \

	"Science Officer: I'm detecting several lightly armed freighters in orbit around the station, " \
	"and one destroyer-class vessel.\n\n",


	//
	//	Debriefing messages
	//
	
	//kDeb_TransportAtPlanet_msg,
	"Good work! The troops arrived safely on the station and brought the rebellion to " \
	"a peaceful end.\n\n",

	//kDeb_TransportNotAtPlanet_msg,
	"The rebellion continues, and is growing worse. It is unfortunate that you failed in " \
	"your mission.\n\n",

	//kDeb_CappedLeader_msg,
	"Bringing the rebel leader in was the best course of action. Well done.\n\n",

	//kDeb_KilledLeader_msg,
	"I would have been happier if you had captured the rebel leader.\n\n",

	//kDeb_LeaderEscaped_msg,
	"How could you let the rebel leader escape? We can only guess at the kind of damage " \
	"he'll do now; not just in this system, but wherever else his influence may spread.\n\n",

	//kDeb_PlayerDied_msg,
	"Your forces have been destroyed.\n\n",

	//
	//	Comm buttons
	//

	//kButton_Hail,
	"HAIL\n\n",

	//kButton_Surrender,
	"SURRENDER\n\n",

	//
	//	Comm messages
	//

	//kHailLeader_msg,
	"[PLAYER_NAME]: This is [PLAYER_RANK] [PLAYER_NAME] of the starship [PLAYER_SHIP_NAME]...\n" \

	"Rebel Leader: You're not welcome in this system. Leave now or be destroyed.\n\n",

	//kSurrenderLeader_msg,
	"Rebel Leader: Surrender? In our moment of triumph?\n\n",

	//kHailRebel_1_msg,
	"Rebel Ship: What do you want?\n\n",

	//kHailRebel_2_msg,
	"Rebel Ship: Leave us alone! You can't force your will on us!\n\n",
	
	//kSurrenderRebel_1_msg,
	"Rebel Ship: [PLAYER_SHIP_NAME]... we cannot surrender. Not now.\n\n",

	//
	//	Victory rating
	//

	//	kAstoundingVictory_msg,
	"Astounding Victory!\n\n",

	//	kVictory_msg,
	"Victory!\n\n",

	//	kDraw_msg,
	"Draw\n\n",

	//	kDefeat_msg,
	"Defeat\n\n",

	//	kDevastatingDefeat_msg,
	"Devastating Defeat\n\n",

	//	kLeftEarly_msg,
	"Forfeit",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//

	//kTransportDies_msg,
	"First Officer: The transport has been destroyed.\n\n",

	//kTransportCapped_msg,
	"First Officer: The transport has been captured.\n\n",
	
	//kTransportReachesPlanet_msg
	"First Officer: The transport has reached the station\n\n",

	//kTransportAtPlanet_Both_msg,
	"First Officer: The transport has reached the station\n\n",

	//kTransportAtPlanet_Leader_msg,
	"First Officer: The transport has reached the station\n\n",

	//kTransportAtPlanet_Defense_msg,
	"First Officer: The transport has reached the station\n\n",

	//kTransportAtPlanet_None_msg,
	"First Officer: The transport has reached the station\n\n",

	//kDefenseTeamSurrenders_msg
	"Communications Officer: Message from the rebel forces, [PLAYER_RANK]: they surrender.\n\n",

	//kLeaderDead_msg
	"First Officer: The rebel leader has been destroyed.\n\n",

	//kLeaderCapped_msg
	"First Officer: We have captured the rebel leader.\n\n",

	//
	//	Custom messages
	//
#endif
};



