/********************************************************************************************************\

	File Name:	MissionText.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( MissionText_h )
#define MissionText_h

#include "tstring.h"


enum TextMessages
{
	//
	//	Mission Title
	//
	kMissionTitle_msg,
	kTitle2,

	//
	//	Briefing message
	//
	kBriefing_msg,

	//
	//	Starting message
	//
	kCaptainsLog_msg,
	kSitrep_msg,

	//
	//	Debriefing messages
	//
	kDeb_TransportAtPlanet_msg,
	kDeb_TransportNotAtPlanet_msg,
	kDeb_CappedLeader_msg,
	kDeb_KilledLeader_msg,
	kDeb_LeaderEscaped_msg,
	kDeb_PlayerDied_msg,

	//
	//	Comm buttons
	//
	kButton_Hail,
	kButton_Surrender,

	//
	//	Comm messages
	//
	kHailLeader_msg,
	kSurrenderLeader_msg,
	kHailRebel_1_msg,
	kHailRebel_2_msg,
	kSurrenderRebel_1_msg,
	
	//
	//	Victory rating
	//
	kAstoundingVictory_msg,
	kVictory_msg,
	kDraw_msg,
	kDefeat_msg,
	kDevastatingDefeat_msg,
	kLeftEarly_msg,

	//
	//	Random chatter
	//

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	kTransportDies_msg,
	kTransportCapped_msg,
	kTransportReachesPlanet_msg,
	kTransportAtPlanet_Both_msg,
	kTransportAtPlanet_Leader_msg,
	kTransportAtPlanet_Defense_msg,
	kTransportAtPlanet_None_msg,
	kDefenseTeamSurrenders_msg,
	kLeaderDead_msg,
	kLeaderCapped_msg,

	//
	//	Custom messages
	//

	//
	//	Number of messages
	//
	kMsg_num,
};

extern std::string Messages[];


#endif

