/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_X1M3Poison",

	////kTitle2
	"Gift",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"Wir haben den Drogenschmuggel der Orionen bis in den Sektor [SYSTEM_NAME] verfolgt. Sie fhren " \
	"eine Sondereinheit in das System mit dem Ziel, dem Schmuggel ein Ende zu bereiten.\n" \

	"Wir erwarten, dort eine kleine Basis oder eine Ansammlung von Schiffen vorzufinden. Wir akzeptieren sowohl die Eroberung als auch " \
	"die Zerstrung der Einrichtung.\n\n" \

	"Viel Glck.\n",

	//
	//	Starting message
	//
	
	//kCaptainsLog_msg,
	"Logbuch des [PLAYER_RANK], Sternendatum [STARDATE]. Wir sind auf dem Weg in den Sektor [SYSTEM_NAME], um " \
	"den Schmugglerring auffliegen zu lassen, der sich dort eingenistet hat.\n",

	//kSitrep_msg,
	"Erster Offizier: Wir sind im System angekommen.\n" \

	"Wissenschaftsoffizier: [PLAYER_RANK], unsere Langstreckenscans deuten auf ISK-Streitkrfte in dieser Gegend hin, nicht auf Orionen.\n" \
	
	"Erster Offizier: So, dann sind die Orionen also nur die Mittelsmnner. Das ISK ist also der Kopf hinter dieser " \
	"Operation.\n\n",

	//
	//	Debriefing messages
	//
	
	//kDeb_KilledBase_msg,
	"Herzlichen Glckwunsch, [PLAYER_RANK]. Sie haben dem Drogenschmuggel ein Ende bereitet und in diesem Teil der " \
	"Galaxis eine gewissen Stabilitt wiederhergestellt.\n" \

	"Ich bin bekmmert, dass das ISK hierin verwickelt ist. Ich nehme an, wir werden unsere Einschtzung, " \
	"mit welcher Art von Kultur wir es hier zu tun haben, neu berdenken mssen.\n\nWegtreten.\n",

	//kDeb_CappedBase_msg,
	"Herzlichen Glckwunsch, [PLAYER_RANK]. Sie haben dem Drogenschmuggel ein Ende bereitet und in diesem Teil der " \
	"Galaxis eine gewissen Stabilitt wiederhergestellt.\n" \

	"Ich bin bekmmert, dass das ISK hierin verwickelt ist. Ich nehme an, wir werden unsere Einschtzung, " \
	"mit welcher Art von Kultur wir es hier zu tun haben, neu berdenken mssen.\n\nWegtreten.\n",

	//kDeb_Failed_msg,
	"Die Tatsache, dass das ISK hinter dem Drogenschmuggel steckt, ist eine unendlich wertvolle - wenn auch irritierende - Information, " \
	"und Sie haben gut daran getan, es aufzudecken. Es ist Ihnen allerdings nicht gelungen, ihren Aktivitten " \
	"ein Ende zu bereiten. Wir mssen in Krze einen neuen Angriff starten, bevor sie ihre Position weiter festigen knnen." \
	"\n\nWegtreten.\n",

	//
	//	Comm buttons
	//
	
	//kButton_Hail,
	"RUFEN",

	//kButton_Surrender,
	"KAPITULATION FORDERN",

	//
	//	Comm messages
	//
	
	//kHail_ISC,
	"[PLAYER_NAME]: Verticken die 'edlen Herren' vom ISK nun also Drogen an unsere Leute?\n" \

	"Captain des ISKs: Die [PLAYER_RACE] sind wesentlich gefhrlicher als die anderen Mchte im Quadranten. " \
	"Sie sind beinahe zivilisiert, doch auch Sie genieen noch den Geschmack von Blut in Ihren Mndern. Sie sind sowohl " \
	" rechthaberisch als auch aggressiv, und das ist eine gefhrliche Kombination. Wenn wir Sie mit Drogen in eine passive " \
	" Haltung bringen knnen, ist dies das effizienteste Mittel, um der Bedrohung ein Ende zu setzen, die von Ihnen ausgeht.\n\n",

	//kSurrender_ISC,
	"[PLAYER_NAME]: Ziehen Sie sich zurck, und verlassen Sie diese Gegend unverzglich.\n" \

	"Captain des ISKs: Wir verstehen, dass eine niedrigere Spezies wie die [PLAYER_RACE] unsere Arbeit " \
	"nicht gutheien kann, aber das Befriedungsprogramm geht weiter. Mehr muss dazu nicht gesagt werden.\n\n",

	//
	//	Victory rating
	//

	//	kAstoundingVictory_msg,
	"Groartiger Sieg!\n\n",

	//	kVictory_msg,
	"Sieg!\n\n",

	//	kDraw_msg,
	"Unentschieden\n\n",

	//	kDefeat_msg,
	"Niederlage\n\n",

	//	kDevastatingDefeat_msg,
	"Vernichtende Niederlage\n\n",

	//	kLeftEarly_msg,
	"Mission eingebt\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	
	//kScannedBase_msg,
	"Wissenschaftsoffizier: Die Sensoren registrieren Chemikalien und Gertschaften, die mit dem Verfahren zur Drogenherstellung bereinstimmen. " \
	"Ich erhalte auch Spuren des geernteten Sunglider-Materials. Das sind definitiv die " \
	"Drogenlabors, [PLAYER_RANK].\n\n",

	//kScannedMonster_msg,
	"Wissenschaftsoffizier: Das ist interessant. Meine Scans der Sunglider zeigen, " \
	"dass die Kreatur bestimmte chemische Eigenschaften aufweist, die der der Droge entsprechen... ich bin " \
	"geneigt zu glauben, dass das ISK Chemikalien von den Kreaturen entnimmt, um die Droge zu produzieren.\n\n",

	//kBaseKilled_msg,
	"Erster Offizier: Wir haben das Drogenlabor zerstrt, [PLAYER_RANK]. Mission erfllt.\n\n",

	//kCappedBase_msg,
	"Erster Offizier: Wir haben das Drogenlabor erobert, [PLAYER_RANK]. Mission erfllt.\n\n",

	//
	//	Custom messages
	//

	//kScanning_msg
	"Wissenschaftsoffizier: Scanne...\n\n",

#else
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_X1M3Poison",

	//kTitle2
	"Poison",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"We've tracked the Orion drug smuggling operation to sector [SYSTEM_NAME]. You will be leading a " \
	"task force into the system with the goal of neutralizing the operation.\n" \

	"We expect to find a small base or cluster of ships. We will accept either capture or " \
	"destruction of the facility.\n\n" \

	"Good luck.\n",

	//
	//	Starting message
	//
	
	//kCaptainsLog_msg,
	"[PLAYER_RANK]'s Log, stardate [STARDATE]. We're enroute to sector [SYSTEM_NAME] to put " \
	"an end to a drug operation based there.\n",

	//kSitrep_msg,
	"First Officer: Now entering the system.\n" \

	"Science Officer: [PLAYER_RANK], long-range scans show ISC forces in the area, but no Orions.\n" \
	
	"First Officer: So, the Orions are just the middle-men. The ISC are the masterminds behind this " \
	"operation.\n\n",

	//
	//	Debriefing messages
	//
	
	//kDeb_KilledBase_msg,
	"Congratulations, [PLAYER_RANK]. You've shut down the drug operation and restored some stability " \
	"to this part of the galaxy.\n" \

	"I'm troubled by the ISC's involvement in this. I guess we'll have to revaluate our estimates " \
	"of what sort of a culture they are.\n\nDismissed.\n",

	//kDeb_CappedBase_msg,
	"Congratulations, [PLAYER_RANK]. You've shut down the drug operation and restored some stability " \
	"to this part of the galaxy.\n" \

	"I'm troubled by the ISC's involvement in this. I guess we'll have to revaluate our estimates " \
	"of what sort of a culture they are.\n\nDismissed.\n",

	//kDeb_Failed_msg,
	"The fact that the ISC are behind the drug operation is an invaluable--if disturbing--piece " \
	"of intelligence, and you did well to discover it. However, you failed to put a stop to " \
	"their activites. We'll have to mount a second attack soon, before they can fortify their position." \
	"\n\nDismissed.\n",

	//kDeb_PlayerDied_msg,
	"Your forces have been destroyed.\n\n",

	//
	//	Comm buttons
	//
	
	//kButton_Hail,
	"HAIL",

	//kButton_Surrender,
	"DEMAND SURRENDER",

	//
	//	Comm messages
	//
	
	//kHail_ISC,
	"[PLAYER_NAME]: So the \"noble\" ISC now peddles drugs to our people?\n" \

	"ISC Captain: The [PLAYER_RACE] are more dangerous than the other powers of the quadrant. " \
	"You're almost civilized, but you still enjoy the taste of blood in your mouth. You're both " \
	" righteous and aggressive, and that's a dangerous combination. Drugging you into a passive " \
	" state is the most effective means of ending your threat.\n\n",

	//kSurrender_ISC,
	"[PLAYER_NAME]: Stand down and evacuate this area immediately.\n" \

	"ISC Captain: We understand that a lower species, such as the [PLAYER_RACE], disapproves " \
	"of our labor, but the pacification program continues. No more words need to be said.\n\n",

	//
	//	Victory rating
	//

	//	kAstoundingVictory_msg,
	"Astounding Victory!\n\n",

	//	kVictory_msg,
	"Victory!\n\n",

	//	kDraw_msg,
	"Draw\n\n",

	//	kDefeat_msg,
	"Defeat\n\n",

	//	kDevastatingDefeat_msg,
	"Devastating Defeat\n\n",

	//	kLeftEarly_msg,
	"Forfeit",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	
	//kScannedBase_msg,
	"Science Officer: Sensors indicate chemicals and machinery consistent with the process. " \
	"I'm also getting traces of the harvested Sunglider material. This is definitely the " \
	"drug manufacturing facility, [PLAYER_RANK].\n\n",

	//kScannedMonster_msg,
	"Science Officer: This is intersting. My scans of the Sunglider indicate " \
	"that the creature shares certain chemical properties with the drug... in fact, " \
	"I believe the ISC are harvesting chemicals from the creatures to produce the drug.\n\n",

	//kBaseKilled_msg,
	"First Officer: We've destroyed the drug factory, [PLAYER_RANK]. Mission accomplished.\n\n",

	//kCappedBase_msg,
	"First Officer: We've captured the drug factory, [PLAYER_RANK]. Mission accomplished.\n\n",

	//
	//	Custom messages
	//

	//kScanning_msg
	"Science Officer: Scanning...\n\n",
#endif
};



