/********************************************************************************************************\

	File Name:	MissionText.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( MissionText_h )
#define MissionText_h

#include "tstring.h"


enum TextMessages
{
	//
	//	Mission Title
	//
	kMissionTitle_msg,
	kTitle2,

	//
	//	Briefing message
	//
	kBriefing_msg,

	//
	//	Starting message
	//
	kCaptainsLog_msg,
	kSitrep_msg,

	//
	//	Debriefing messages
	//
	kDeb_KilledBase_msg,
	kDeb_CappedBase_msg,
	kDeb_Failed_msg,
	kDeb_PlayerDied_msg,

	//
	//	Comm buttons
	//
	kButton_Hail,
	kButton_Surrender,

	//
	//	Comm messages
	//
	kHail_ISC,
	kSurrender_ISC,

	//
	//	Victory rating
	//
	kAstoundingVictory_msg,
	kVictory_msg,
	kDraw_msg,
	kDefeat_msg,
	kDevastatingDefeat_msg,
	kLeftEarly_msg,

	//
	//	Random chatter
	//

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	kScannedBase_msg,
	kScannedMonster_msg,
	kBaseKilled_msg,
	kCappedBase_msg,

	//
	//	Custom messages
	//
	kScanning_msg,

	//
	//	Number of messages
	//
	kMsg_num,
};

extern std::string Messages[];


#endif

