/********************************************************************************************************\

	File Name:	MonsterBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "MonsterBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tMonsterBaseState::mBeginState()
{}
void tMonsterBaseState::mEndState()
{}

void tMonsterBaseState::mOnDeath( tShipInfo* ship )
{}
void tMonsterBaseState::mOnCapture( tShipInfo* ship )
{}
void tMonsterBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tMonsterBaseState::mAtDistance( tShipInfo* ship )
{}
void tMonsterBaseState::mAtDestination( tShipInfo* ship )
{}
void tMonsterBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tMonsterBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tMonsterBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tMonsterBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tMonsterBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tMonsterBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tMonsterBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tMonsterBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tMonsterBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tMonsterBaseState::mOnFlashingButtonPressed()
{}
void tMonsterBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tMonsterBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tMonsterBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tMonsterBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tMonsterBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tMonsterBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tMonsterBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tMonsterBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tMonsterBaseState::mOnHostChanged()
{}
void tMonsterBaseState::mOnTimedInterval( int32 timerID )
{}
void tMonsterBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tMonsterBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

