/********************************************************************************************************\

	File Name:	PlayerTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( PlayerTeam_h )
#define PlayerTeam_h

#include "TeamInfo.h"


class tPlayerTeam : public tTeamInfo
{
public:

	tPlayerTeam();

	virtual void mSetupVictoryCondition();
	virtual void mSetupDebriefingList( eVictoryLevels victoryLevel );

	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );
	virtual void mScheduleNextMission( tVictoryCondition* VictoryCondition );

	enum eCustomIDs
	{
		kPlayerShip1 = 100,
		kPlayerShip2,
		kPlayerShip3,
	};

	iTruth	mScannedBase()				{ return fScannedBase; }
	void	mSetScannedBase()			{ fScannedBase = true; }

	iTruth	mScannedMonster()			{ return fScannedMonster; }
	void	mSetScannedMonster()		{ fScannedMonster = true; }

	iTruth	mKilledBase()				{ return fKilledBase; }
	void	mSetKilledBase()			{ fKilledBase = true; }

	iTruth	mCappedBase()				{ return fCappedBase; }
	void	mSetCappedBase()			{ fCappedBase = true; }

	iTruth	mDied()						{ return fDied; }
	void	mSetDied()					{ fDied = true; }

protected:
	iTruth	fScannedBase;
	iTruth	fScannedMonster;
	iTruth	fKilledBase;
	iTruth	fCappedBase;
	iTruth	fDied;
};

#endif
