/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------

#if defined ( _GERMAN )

std::string Messages[] =
{

	//kMissionTitle_msg,
	"Uni_X2M1Interceptor",

	//kShortBriefing_msg,
	"Unsere Spione haben herausgefunden, dass das ISK eine gro angelegte Bodenoffensive gegen eine unserer Welten plant. Unglcklicherweise " \
	"hat das ISK seine Sicherheitsvorkehrungen verstrkt, und die nachfolgenden Versuche, die Identitt des ISK- " \
	"Ziels zu ermitteln, haben sich bis jetzt als fruchtlos erwiesen.\n\n" \
	"Das ISK setzt Kurierschiffe ein, um unsere Anzapfstelle fr ihre Kommunikation zu umgehen. Wir haben jedoch erfahren, dass sich ein ISK- " \
	"Kurierschiff zur Zeit durch den so genannten \"Schwarzen Tornado\" bewegt, eine Staubwolke mit einem Schwarzen Loch im Zentrum. " \
	"Sie mssen den Frachter mit Ihren Entertrupps erobern und dann in den Besitz der Nachricht gelangen, die er befrdert, gleich welcher Art sie auch sein mag. " \
	"Hoffen wir, dass es die Schlachtplne sind. Wenn Sie die Informationen haben, stoen Sie das Kurierschiff in das " \
	"Schwarze Loch, damit das ISK denkt, es sei bei einem Unfall zerstrt worden und seine Operation fortsetzt.\n\n " \
	"Fr ein Volk von Pazifisten haben sich die Korvilar-Stotrupps als erstaunlich fhig erwiesen. Deren Schlachtplne " \
	"im Voraus zu kennen, wird sich mglicherweise als unsere einzige Chance erweisen, uns zur Wehr zu setzen.\n\n" \
	"Wegtreten.",

	//kKliBriefing_msg,
	"Unsere Spione haben herausgefunden, dass das ISK eine gro angelegte Bodenoffensive gegen eine klingonische Welt plant. Unglcklicherweise " \
	"hat das ISK seine Sicherheitsvorkehrungen verstrkt, und die nachfolgenden Versuche, die Identitt des ISK- " \
	"Ziels zu ermitteln, haben sich bis jetzt als fruchtlos erwiesen.\n\n" \
	"Das ISK setzt Kurierschiffe ein, um unsere Anzapfstelle fr ihre Kommunikation zu umgehen. Wir haben jedoch erfahren, dass sich ein ISK- " \
	"Kurierschiff zur Zeit durch den so genannten \"Schwarzen Tornado\" bewegt, eine Staubwolke mit einem Schwarzen Loch im Zentrum. " \
	"Sie mssen den Frachter mit Ihren Entertrupps erobern und dann in den Besitz der Nachricht gelangen, die es befrdert, gleich welcher Art sie auch sein mag. " \
	"Hoffen wir, dass es die Schlachtplne sind. Wenn Sie die Informationen haben, stoen Sie das Kurierschiff in das " \
	"Schwarze Loch, damit das ISK denkt, es sei bei einem Unfall zerstrt worden, und seine Operation fortsetzt.\n\n " \
	"Fr ein Volk von Pazifisten haben sich die Korvilar-Stotrupps als erstaunlich fhig erwiesen. Deren Schlachtplne " \
	"im Voraus zu kennen wird sich mglicherweise als unsere einzige Chance erweisen, uns zur Wehr zu setzen.\n\n" \
	"Qapla'.",
	//kLyrBriefing_msg,
	"Unsere Spione haben herausgefunden, dass das ISK eine gro angelegte Bodenoffensive gegen eine lyranische Welt plant. Unglcklicherweise " \
	"hat das ISK seine Sicherheitsvorkehrungen verstrkt, und die nachfolgenden Versuche, die Identitt des ISK-Ziels " \
	"zu ermitteln, haben sich bis jetzt als fruchtlos erwiesen.\n\n" \
	"Das ISK setzt Kurierschiffe ein, um unsere Anzapfstelle fr ihre Kommunikation zu umgehen. Wir haben jedoch erfahren, dass sich ein ISK- " \
	"Kurierschiff zur Zeit durch den so genannten \"Schwarzen Tornado\" bewegt, eine Staubwolke mit einem Schwarzen Loch im Zentrum. " \
	"Sie mssen den Frachter mit Ihren Entertrupps erobern und dann in den Besitz der Nachricht gelangen, die es befrdert, gleich welcher Art sie auch sein mag. " \
	"Hoffen wir, dass es die Schlachtplne sind. Wenn Sie die Informationen haben, stoen Siedas Kurierschiff in das " \
	"Schwarze Loch, damit das ISK denkt, es sei bei einem Unfall zerstrt worden, und seine Operation fortsetzt.\n\n " \
	"Das ISK ist im Bodenkampf wesentlich besser als wir erwartet hatten. Wir brauchen jeden Vorteil, den wir uns sichern knnen. Wegtreten.",
	//kGorBriefing_msg,
	"Unsere Spione haben herausgefunden, dass das ISK eine gro angelegte Bodenoffensive gegen eine Welt der Gorn plant. Unglcklicherweise " \
	"hat das ISK seine Sicherheitsvorkehrungen verstrkt, und die nachfolgenden Versuche, die Identitt des ISK-Ziels " \
	"zu ermitteln, haben sich bis jetzt als fruchtlos erwiesen.\n\n" \
	"Das ISK setzt Kurierschiffe ein, um unsere Anzapfstelle fr ihre Kommunikation zu umgehen. Wir haben jedoch erfahren, dass sich ein ISK- " \
	"Kurierschiff zur Zeit durch den so genannten \"Schwarzen Tornado\" bewegt, eine Staubwolke mit einem Schwarzen Loch im Zentrum. " \
	"Sie mssen den Frachter mit Ihren Entertrupps erobern und dann in den Besitz der Nachricht gelangen, die es befrdert, gleich welcher Art sie auch sein mag. " \
	"Hoffen wir, dass es die Schlachtplne sind. Wenn Sie die Informationen haben, stoen Sie das Kurierschiff in das Schwarze " \
	"Loch, damit das ISK denkt, es sei bei einem Unfall zerstrt worden, und seine Operation fortsetzt.\n\n " \
	"Wegtreten.",
	//kMirakBriefing_msg,
	"Unsere Spione haben herausgefunden, dass das ISK eine gro angelegte Bodenoffensive gegen eine mirakische Welt plant. Unglcklicherweise " \
	"hat das ISK seine Sicherheitsvorkehrungen verstrkt, und die nachfolgenden Versuche, die Identitt des ISK-Ziels " \
	"zu ermitteln, haben sich bis jetzt als fruchtlos erwiesen.\n\n" \
	"Das ISK setzt Kurierschiffe ein, um unsere Anzapfstelle fr ihre Kommunikation zu umgehen. Wir haben jedoch erfahren, dass sich ein ISK- " \
	"Kurierschiff zur Zeit durch den so genannten \"Schwarzen Tornado\" bewegt, eine Staubwolke mit einem Schwarzen Loch im Zentrum. " \
	"Sie mssen den Frachter mit Ihren Entertrupps erobern und dann in den Besitz der Nachricht gelangen, die befrdert wird, gleich welcher Art sie auch sein mag. " \
	"Hoffen wir, dass es die Schlachtplne sind. Wenn Sie die Informationen haben, stoen Sie das Kurierschiff in das Schwarze " \
	"Loch, damit das ISK denkt, es sei bei einem Unfall zerstrt worden, und seine Operation fortsetzt.\n\n " \
	"Wir sind entschlossen, dem ISK zu zeigen, warum es ein Fehler ist, die Miraker anzugreifen, aber vorher mssen wir wissen, wo " \
	"die Schlacht stattfinden soll. Wegtreten.",

	//kKliStart_msg,
	"Kriegsbericht des [PLAYER_RANK], [STARDATE]. Der Schwarze Tornado ist ein ideales Gebiet, um das ISK-Kurierschiff " \
	"abzufangen, da sie nicht in der Lage sein werden, so nahe an dem Weltraumphnomen ein Notsignal auszusenden. Wir mssen " \
	"das Schiff entern, die Plne finden und das Kurierschiff in das Schwarze Loch stoen, damit das ISK denkt, es sei ein Unfall gewesen.",
	//kLyrStart_msg,
	"Journal des Commanders [PLAYER_NAME], lyranisches Imperium, [STARDATE]. Der Schwarze Tornado ist ein ideales Gebiet, " \
	"um das ISK-Kurierschiff abzufangen, da sie nicht in der Lage sein werden, so nahe an dem Weltraumphnomen " \
	"ein Notsignal auszusenden. Wir mssen lediglich das Schiff entern, die Plne finden und es in dem Schwarzen Loch verschwinden lassen, sodass " \
	"es wie ein Unfall aussieht.",
	//kGorStart_msg,
	"Logbuch des Commanders [PLAYER_NAME], [STARDATE]. Der Schwarze Tornado ist ein ideales Gebiet, um das ISK- " \
	"Kurierschiff abzufangen, da sie nicht in der Lage sein werden, so nahe an dem Weltraumphnomen ein Notsignal auszusenden. Wir mssen lediglich " \
	"das Schiff entern, die Plne finden und es in dem Schwarzen Loch verschwinden lassen, sodass es wie ein Unfall " \
	"aussieht.",
	//kMirakStart_msg,
	"Jagdbericht des [PLAYER_NAME], [STARDATE]. Der Schwarze Tornado ist ein ideales Gebiet, um das ISK-Kurierschiff " \
	"abzufangen, da sie nicht in der Lage sein werden, so nahe an dem Weltraumphnomen ein Notsignal auszusenden. Wir werden " \
	"das Schiff entern, die Plne finden und das Schiff dann mit den Leichen in dem Schwarzen Loch verschwinden lassen.",

	//kHail_btn,
	"Rufen",
	//kHail1_msg,
	"Kommunikationsoffizier: Die Antwort ist unverstndlich. Strungen von dem Schwarzen Loch.",
	//kHail2_msg,
	"Captain des ISKs: Bitte... kein Militr... bei uns.",
	//kHail3_msg 
	"Captain des ISKs: ...wir nicht... Schiff... Gnade fr...",
	//kHail4_msg,
	"Captain des ISKs: Wir appellieren... Zeigen Sie uns... Erbarmen.",

	//kCapturedFreighter_msg,
	"Sicherheitsoffizier: Wir haben das Transportschiff erobert. Unser Team versucht nun, an die Daten zu gelangen. Wir werden es Sie wissen lassen, " \
	"wenn wir sie ausgelesen haben.",
	//kDescrambled_msg,
	"Sicherheitsoffizier: Wir haben die Daten. Wir knnen den Frachter nun beruhigt in dem Schwarzen Loch verschwinden lassen.",

	//kHoleDestroyedFreighter_msg,
	"Wissenschaft: Das Transportschiff befindet sich jetzt im Schwarzen Loch. Ich schlage vor, wir setzen uns ab.",
	//kFreighterDestroyed_msg,
	"Wissenschaft: Das Transportschiff wurde zerstrt. Wir mssen uns jetzt absetzen.",
	//kFreighterEscaped_msg,
	"Wissenschaft: Das Transportschiff ist entkommen. Mission abgebrochen.",

	//kAstoundingVictory_msg,
	"Herzlichen Glckwunsch. Sie konnten sich die Schlachtplne aneignen und alle Beweise vernichten. Gute Arbeit.\n\n" \
	"Die Streitmacht, die das ISK in die Schlacht werfen will, ist grer, als wir erwartet hatten. Wir brauchen einen erstklassigen " \
	"General, der unseren Angriff leitet. Glcklicherweise wei ich, wo wir einen finden ... aber es wird schwierig werden.\n\n" \
	"Die nchste Stufe dieser Operation finden Sie auf Ihrer Karte Karte. Ihre Instruktionen erhalten Sie bei Ankunft. Wegtreten.",

	//kDraw_msg,
	"Sie hatten zwei sehr spezielle Bedingungen fr den erfolgreichen Abschluss der Mission, nmlich die Plne zu besorgen und dann den Frachter in dem " \
	"Schwarzen Loch verschwinden zu lassen. Zwar konnten Sie der Plne habhaft werden, aber es ist Ihnen nicht gelungen, den Frachter seiner letzten Bestimmung zu bergeben. Aus diesem Grund " \
	"hat das ISK das Wrack des Frachters entdeckt und wei nun, dass dessen Zerstrung kein Unfall war. Sie " \
	"werden den Ort der Operation zweifellos ndern, wodurch die Plne nun wertlos geworden sind.\n\n" \
	"Sie befinden sich nicht in der Fderation, wo Captains kreativ sein drfen und ihr inneres Kind in die Arme schlieen knnen. Beim nchsten Mal sollten Sie Ihre Befehle " \
	"buchstabengetreu befolgen.\n\n" \
	"Wegtreten.",
	//kDefeat_msg,
	"Sie hatten zwei sehr spezielle Bedingungen fr den erfolgreichen Abschluss der Mission, nmlich die Plne zu besorgen und dann den Frachter in dem " \
	"Schwarzen Loch verschwinden zu lassen. Der Erhalt der Plne war der erste Schritt, und Sie haben jmmerlich versagt. Dieses Versagen erfllt mich mit Erstaunen. " \
	"Vielleicht war das Universum gegen Sie. Vielleicht waren Sie einfach nur inkompetent. Das kann ich noch nicht abschlieend sagen.\n\n" \
	"Wegtreten.",
	//kDevastatingDefeat_msg,
	"Sie hatten zwei sehr spezielle Bedingungen fr den erfolgreichen Abschluss der Mission, nmlich die Plne zu besorgen und dann den Frachter in dem " \
	"Schwarzen Loch verschwinden zu lassen. Keines von beidem ist Ihnen gelungen. Das ist die reine Unfhigkeit. Die Vlker der Welten, die das ISK " \
	"anzugreifen gedenkt, sollten Ihren Namen verfluchen.\n\n" \
	"Sie knnen jetzt gehen.",

//***********Need to Translate from this point on***************************

	//kLeftEarly_msg,
	"Mission eingebt",

	//kPlayerTeam1Title_msg,
	"Abfangjger",

	//kScanning_msg,
	"Wissenschaftsoffizier: Wir beginnen mit dem Scannen...",


};

#else

std::string Messages[] =
{

	//kMissionTitle_msg,
	"Uni_X2M1Interceptor",

	//kShortBriefing_msg,
	"Our spies inform us that the ISC is planning a major ground offensive against one of our worlds. Unfortunately, " \
	"the ISC has tightened up their security, and subsequent attempts to uncover the identity of the ISC " \
	"target have proven fruitless, until now.\n\n" \
	"The ISC has been using courier ships to get around our communications tap. We have learned that an ISC " \
	"courier ship is heading across the so-called 'Black Tornado', a dust cloud with a black hole at its center. " \
	"You must use your boarding parties to capture the freighter, then extract whatever message it is carrying. " \
	"Hopefully, it is carrying battle plans. Once you have the information, throw the courier ship into the " \
	"black hole so the ISC will think it was destroyed through normal means and continue with their operation.\n\n" \
	"For a race of pacifists, their Korvilar shock troops have proven surprisingly formidable. Learning their " \
	"battle plans in advance may be our only way of countering them.\n\n" \
	"Dismissed.",

	//kKliBriefing_msg,
	"Our spies inform us that the ISC is planning a major ground offensive against a Klingon world. Unfortunately, " \
	"the ISC has tightened up their security, and subsequent attempts to uncover the identity of the ISC " \
	"target have proven fruitless, until now.\n\n" \
	"The ISC has been using courier ships to get around our communications tap. We have learned that an ISC " \
	"courier ship is heading across the so-called 'Black Tornado', a dust cloud with a black hole at its center. " \
	"You must use your boarding parties to capture the freighter, then extract whatever message it is carrying. " \
	"Hopefully, it is carrying battle plans. Once you have the information, throw the courier ship into the " \
	"black hole so the ISC will think it was destroyed through normal means and continue with their operation.\n\n" \
	"For a race of pacifists, their Korvilar shock troops have proven surprisingly formidable. Learning their " \
	"battle plans in advance may be our only way of countering them.\n\n" \
	"Qapla.",
	//kLyrBriefing_msg,
	"Our spies inform us that the ISC is planning a major ground offensive against a Lyran world. Unfortunately, " \
	"the ISC has tightened up their security, and subsequent attempts to uncover the identity of the ISC target " \
	"have proven fruitless, until now.\n\n" \
	"The ISC has been using courier ships to get around our communications tap. We have learned that an ISC " \
	"courier ship is heading across the so-called 'Black Tornado', a dust cloud with a black hole at its center. " \
	"You must use your boarding parties to capture the freighter, then extract whatever message it is carrying. " \
	"Hopefully, it is carrying battle plans. Once you have the information, throw the courier ship into the " \
	"black hole so the ISC will think it was destroyed through normal means and continue with their operation.\n\n" \
	"The ISC is more formidable on the ground than we expected. We need every edge we can get. Dismissed.",
	//kGorBriefing_msg,
	"Our spies inform us that the ISC is planning a major ground offensive against a Gorn world. Unfortunately, " \
	"the ISC has tightened up their security, and subsequent attempts to uncover the identity of the ISC target " \
	"have proven fruitless, until now.\n\n" \
	"The ISC has been using courier ships to get around our communications tap. We have learned that an ISC " \
	"courier ship is heading across the so-called 'Black Tornado', a dust cloud with a black hole at its center. " \
	"You must use your boarding parties to capture the freighter, then extract whatever message it is carrying. " \
	"Hopefully, it is carrying battle plans. Once you have the information, throw the courier ship into the black " \
	"hole so the ISC will think it was destroyed through normal means and continue with their operation.\n\n" \
	"Dismissed.",
	//kMirakBriefing_msg,
	"Our spies inform us that the ISC is planning a major ground offensive against a Mirak world. Unfortunately, " \
	"the ISC has tightened up their security, and subsequent attempts to uncover the identity of the ISC target " \
	"have proven fruitless, until now.\n\n" \
	"The ISC has been using courier ships to get around our communications tap. We have learned that an ISC " \
	"courier ship is heading across the so-called 'Black Tornado', a dust cloud with a black hole at its center. " \
	"You must use your boarding parties to capture the freighter, then extract whatever message it is carrying. " \
	"Hopefully, it is carrying battle plans. Once you have the information, throw the courier ship into the black " \
	"hole so the ISC will think it was destroyed through normal means and continue with their operation.\n\n" \
	"We are determined to show the ISC why it is a mistake to attack the Mirak, but first we need to know where " \
	"the battle will take place. Dismissed.",

	//kKliStart_msg,
	"[PLAYER_NAME] War Record, [STARDATE]. The Black Tornado will be an ideal area to intercept the ISC courier " \
	"ship, as it will not be able to issue a distress signal so close to the phenomena.  We must " \
	"board the ship, take the plans, and dispose of it in the black hole so it will look like an accident.",
	//kLyrStart_msg,
	"[PLAYER_NAME] Commander's journal, Lyran Star Empire [STARDATE]. The Black Tornado will be an ideal area " \
	"to intercept the ISC courier ship, as it will not be able to issue a distress signal so close to the " \
	"phenomena. All we need to do is board the ship, take the plans, and dispose of it in the black hole so it " \
	"will look like an accidental death.",
	//kGorStart_msg,
	"[PLAYER_NAME] Commander's log, [STARDATE]. The Black Tornado will be an ideal area to intercept the ISC " \
	"courier ship, as it will not be able to issue a distress signal so close to the phenomena. All we need to " \
	"do is board the ship, take the plans, and dispose of it in the black hole so it will look like an accidental " \
	"death.",
	//kMirakStart_msg,
	"[PLAYER_NAME] Hunt Record, [STARDATE]. The Black Tornado will be an ideal area to intercept the ISC courier " \
	"ship, as it will not be able to issue a distress signal so close to the phenomena. We shall " \
	"board the ship, take the plans, and dispose of the ship and the carcasses in the black hole.",

	//kHail_btn,
	"Hail",
	//kHail1_msg,
	"Communications Officer: The reply is unintelligible. Interference from the hole.",
	//kHail2_msg,
	"ISC Captain: Please...not a military...on us.",
	//kHail3_msg 
	"ISC Captain:...we're not... vessel...mercy on....",
	//kHail4_msg,
	"ISC Captain: We appeal...Show us...pity's sake.",

	//kCapturedFreighter_msg,
	"Security Officer: We've captured the transport. Our team is now trying to get the data. We'll let you know " \
	"when we've retrieved it.",
	//kDescrambled_msg,
	"Security Officer: We have the data. We can now safely push the freighter into the black hole.",

	//kHoleDestroyedFreighter_msg,
	"Science: The transport has now entered the black hole. I suggest we disengage",
	//kFreighterDestroyed_msg,
	"Science: The transport has been destroyed.  We must now disengage.",
	//kFreighterEscaped_msg,
	"Science: The transport has escaped. Mission aborted.",

	//kAstoundingVictory_msg,
	"Congratulations. You've successfully retrieved the battle plans and disposed of the evidence. Well done.\n\n" \
	"The forces that the ISC are committing to their assault is greater than we anticipated. We need a premium " \
	"general to lead our assault. Fortunately, I know where to find one...but it will be tricky.\n\n" \
	"Look to your map for the next stage in this operation. You will be briefed on arrival.\n\n" \
	"Dismissed.",

	//kDraw_msg,
	"You had two very special conditions for success, to get the plans, and then dispose of the freighter in the " \
	"black hole. You retrieved the plans, but failed to deliver the freighter to its final destination. Because " \
	"of this, the ISC have discovered the wreck of the freighter and know its destruction was no accident. They " \
	"will undoubtedly change the location of the operation, make those plans worthless.\n\n" \
	"This isn't the Federation, where captains can be creative and embrace their inner infant. Next time, follow " \
	"your orders to the letter.\n\n" \
	"Dismissed.",
	//kDefeat_msg,
	"You had two very special conditions for success, to get the plans, and then dispose of the freighter in the " \
	"black hole. Getting the plans was the first step, and you failed to achieve that. This failure puzzles me.  " \
	"Perhaps the universe was against you. Perhaps you were incompetent. I cannot decide, yet.\n\n" \
	"Dismissed.",
	//kDevastatingDefeat_msg,
	"You had two very special conditions for success, to get the plans, and then dispose of the freighter in " \
	"the black hole. You achieved neither. This is pure incompetence. The peoples of the world the ISC " \
	"plans to attack should curse your name.\n\n" \
	"You may go now.",

//***********Need to Translate from this point on***************************

	//kLeftEarly_msg,
	"Forfeit",

	//kPlayerTeam1Title_msg,
	"Interceptor",

	//kScanning_msg,
	"Science Officer: Beginning scan...",
};

#endif