//	<Name>	Uni_X2M1Interceptor

#if !defined( Uni_X2M1Interceptor_h )
#define Uni_X2M1Interceptor_h

#include "ScriptInterface.h"

//---------------------------------------------------------------------------------------------
// the following enum is used to identify all non-player teams in the script
// (use kPlayerTeam to access the current players team.)
enum eTeamTypes
{

	// add all teams
	kPlayerTeam = kTeam1,
	kEnemyTeam,
	kDraft1Team,
    kDraft2Team,
	kDraft3Team,
    kDraft4Team,
};

class tVictoryCondition;

class tUni_X2M1Interceptor : public tScript
{
public:
	enum eCommStates
	{
		kCommSabotagedState,
		kCommRepairedState,
	};

	tUni_X2M1Interceptor();

	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual iTruth	mUsePlayerShip( tShipInGame& Ship );
//	virtual int32	mInitializeFinished();
	virtual void	mStartMission();
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mASCIIOverrides( tMapOverrides* Map );
	virtual void	mDefineTeamShipStrengths( void );
	virtual	void	mDefineBriefings( void );
};

#endif

