//	<Name>	BaseTeam.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( BaseTeam_h )
#define BaseTeam_h

#include "TeamInfo.h"

class tBaseTeam : public tTeamInfo
{
public:
	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mOldCreateShipsForTeam();
	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );

	enum eCommStates
	{
		kBlankCommState,
		kHailWithOutCodeCommState,
		kHailDetectedCommState,
		kHailWithCodeCommState,
		kTransmitCodeCommState,
		kBaseCapturedCommState,
	};

	enum eCustomIDs
    {
        kBaseStation = 300,
    };

};

#endif

