//	<Name>	BaseTeamShip.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Uni_X2M2Reclamation.h"
#include "BaseTeamShip.h"
#include "MissionText.h"
#include "BaseTeamShipInitialState.h"

tClassAllocator<tBaseTeamShip> gBaseTeamShipAllocator;

void tBaseTeamShip::mSetupState()
{
	mRegisterState( new tBaseTeamShipInitialState( ) );

	mGotoState( typeid( tBaseTeamShipInitialState ) );
}

void tBaseTeamShip::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) );

	playerTeam->mRegisterCommMessage( kHailWithOutCodeCommState, kNoStateChange, mGetShipID(), kHail_btn, kHailBase_msg );

	playerTeam->mRegisterCommMessage( kHailDetectedCommState, kNoStateChange, mGetShipID(), kHail_btn, kHailBaseDetected_msg );

	playerTeam->mRegisterCommMessage( kHailWithCodeCommState, kNoStateChange, mGetShipID(), kHail_btn, kHailBaseWithCode_msg );

	playerTeam->mRegisterCommMessage( kTransmitCodeCommState, kHailWithCodeCommState, mGetShipID(), kTransCode_btn, kCodeReceived_msg );

	playerTeam->mRegisterCommMessage( kBaseCapturedCommState, kNoStateChange, mGetShipID(), kBaseShieldsDown_btn, kBaseShieldsDown_msg );

	playerTeam->mGotoCommState( mGetShipID(), kHailWithOutCodeCommState );

}
void tBaseTeamShip::mSetupShip()
{
	mSetShipCallbackEvents( kNotifyDamage );
	mSetShipCallbackEvents( kNotifyTransportedItem );
}

