//	<Name>	BaseTeamShipInitialState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( BaseTeamShipInitialState_h )
#define BaseTeamShipInitialState_h

#include "ChildActorState.h"
#include "teamInfo.h"
#include "BaseTeamShip.h"

class tBaseTeamShipInitialState : public tChildActorState<tBaseTeamShip>
{
public:
	enum eTimeIDs
	{
		kCheckDistanceID,
		kDetectedID,
		kUpgradeFightersID,
	};

	tBaseTeamShipInitialState( );

	virtual void mBeginState();
	virtual void mEndState();
	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType );
	virtual void mOnCapture( tShipInfo* ship );
	virtual void mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip );

protected:

	bool fDetected;
	bool fTraitor;
};

#endif
