//	<Name>	EnemyTeamShipInitialState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( EnemyTeamShipInitialState_h )
#define EnemyTeamShipInitialState_h

#include "ChildActorState.h"
#include "teamInfo.h"
#include "EnemyTeamShip.h"

class tEnemyTeamShipInitialState : public tChildActorState<tEnemyTeamShip>
{
public:
	enum eTimeIDs
	{
		kCheckDistanceID,
		kDetectedID,
		kUpgradeFightersID,
	};

	tEnemyTeamShipInitialState( );

	virtual void mBeginState();
	virtual void mEndState();
	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType );
	virtual void mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType );

protected:

	bool fDetected;
};

#endif
