//	<Name>	EnemyVisitorShipInitialState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( EnemyVisitorShipInitialState_h )
#define EnemyVisitorShipInitialState_h

#include "ChildActorState.h"
#include "teamInfo.h"
#include "EnemyVisitorShip.h"

class tEnemyVisitorShipInitialState : public tChildActorState<tEnemyVisitorShip>
{
public:
	enum eTimeIDs
	{
		kCheckDistanceID,
		kDetectedID,
		kUpgradeFightersID,
	};

	tEnemyVisitorShipInitialState( );

	virtual void mBeginState();
	virtual void mEndState();
	virtual void mAtDestination( tShipInfo* ship );
	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType );

protected:

	bool fDetected;
};

#endif
