//	<Name>	PlayerTeamShipInitialState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( PlayerTeamShipInitialState_h )
#define PlayerTeamShipInitialState_h

#include "ChildActorState.h"
#include "teamInfo.h"
#include "PlayerTeamShip.h"

class tPlayerTeamShipInitialState : public tChildActorState<tPlayerTeamShip>
{
public:
	enum eTimeIDs
	{
		kGotLegend,
		kCheckDistanceID,
		kScienceTeamArriveID,
		kFirstSnoopedMessageID,
		kSecondSnoopedMessageID,
		kGotCodeID,
		kCaptainsSurrender,
		kGameWon,
		kDeepScanONID,
	};

	tPlayerTeamShipInitialState( );

	virtual void mBeginState();
	virtual void mEndState();

	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item );
	virtual void mOnDeepScan( tShipInfo* ship, iTruth deepScanOn );
	virtual void mOnDeath( tShipInfo* ship );//mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType );
	virtual void mOnCapture( tShipInfo* ship );
	virtual void mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip );

protected:
	eRaceName PlayerRace;
	bool fBuoyScanned;
	bool fDeepScanON;
	bool fAllEnemiesDead;
};

#endif

