//	<Name>	ReclamationVictoryState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( ReclamationVictoryState_h )
#define ReclamationVictoryState_h

#include "VictoryState.h"

#include "ChildActorVictoryState.h"
#include "teamInfo.h"
#include "ReclamationVictory.h"

class tReclamationVictoryState : public tChildActorVictoryState<tReclamationVictory>
{
public:
   enum eTimeIDs
   {

   };

   tReclamationVictoryState( int32 astoundingVictory, int32 victory, int32 draw, int32 defeat, int32 devastatingDefeat );

	virtual void mBeginState();
	virtual void mEndState();

	virtual eVictoryLevels mCalcVictoryStatus( eTeamID ID );

	virtual void mOnDeath( tShipInfo* ship );
	virtual void mOnCapture( tShipInfo* ship );
	virtual void mOnDisengaged( tShipInfo* ship );
	virtual void mOnStateChange( tActor* actor, tState* state, eStateEvent eventType );

	virtual void mCheckAllTeams( tShipInfo* ship );
	virtual int32 mShipsInPlay( tTeamInfo* teamID );

protected:

	int32 fEnemyShipsInPlay;
	int32 fBaseInPlay;
	int32 fPlayerShipsInPlay;

};

#endif

