/********************************************************************************************************\

	File Name:	ISCShip.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "ISCShip.h"
#include "ISCShipBaseState.h"
#include "Uni_X2M3Apes.h"
#include "MissionText.h"

tClassAllocator<tISCShip> gISCShipAllocator;

void tISCShip::mSetupState()
{
	mRegisterState( new tISCShipBaseState() );
	mGotoState( typeid( tISCShipBaseState ) );
}

void tISCShip::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	if( !playerTeam )
			return;

	playerTeam->mRegisterCommMessage( kCommState_1,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail,
									  kHailEnemy_msg );

	playerTeam->mGotoCommState( mGetShipID(), kCommState_1 );
}

void tISCShip::mSetupShip()
{}
