/********************************************************************************************************\

	File Name:	InvasionShipBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "InvasionShipBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tInvasionShipBaseState::mBeginState()
{}
void tInvasionShipBaseState::mEndState()
{}

void tInvasionShipBaseState::mOnDeath( tShipInfo* ship )
{}
void tInvasionShipBaseState::mOnCapture( tShipInfo* ship )
{}
void tInvasionShipBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tInvasionShipBaseState::mAtDistance( tShipInfo* ship )
{}
void tInvasionShipBaseState::mAtDestination( tShipInfo* ship )
{}
void tInvasionShipBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tInvasionShipBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tInvasionShipBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tInvasionShipBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tInvasionShipBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tInvasionShipBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tInvasionShipBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tInvasionShipBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tInvasionShipBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tInvasionShipBaseState::mOnFlashingButtonPressed()
{}
void tInvasionShipBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tInvasionShipBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tInvasionShipBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tInvasionShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tInvasionShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tInvasionShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tInvasionShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tInvasionShipBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tInvasionShipBaseState::mOnHostChanged()
{}
void tInvasionShipBaseState::mOnTimedInterval( int32 timerID )
{}
void tInvasionShipBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tInvasionShipBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

