/********************************************************************************************************\

	File Name:	PlayerTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( PlayerTeam_h )
#define PlayerTeam_h

#include "TeamInfo.h"


class tPlayerTeam : public tTeamInfo
{
public:

	tPlayerTeam();

	virtual void mSetupVictoryCondition();
	virtual void mSetupDebriefingList( eVictoryLevels victoryLevel );

	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );
	virtual void mScheduleNextMission( tVictoryCondition* VictoryCondition );

	enum eCustomIDs
	{
		kPlayerShip1 = 100,
		kPlayerShip2,
		kPlayerShip3,
	};

	iTruth	mCappedPlanet()				{ return fCappedPlanet; }
	void	mSetCappedPlanet()			{ fCappedPlanet = true; }

	iTruth	mISCCappedPlanet()			{ return fISCCappedPlanet; }
	void	mSetISCCappedPlanet()		{ fISCCappedPlanet = true; }

	iTruth	mISCInvasionForceDead()		{ return fISCInvasionForceDead; }
	void	mSetISCInvasionForceDead()	{ fISCInvasionForceDead = true; }

	iTruth	mAlliesDead()				{ return fAlliesDead; }
	void	mSetAlliesDead()			{ fAlliesDead = true; }

	iTruth	mScannedPlanet()			{ return fScannedPlanet; }
	void	mSetScannedPlanet()			{ fScannedPlanet = true; }

	iTruth	mDied()						{ return fDied; }
	void	mSetDied()					{ fDied = true; }

	iTruth	mEscortsDead()				{ return fEscortsDead; }
	void	mSetEscortsDead()			{ fEscortsDead = kTrue; }

	iTruth	mInvadersDead()				{ return fInvadersDead; }
	void	mSetInvadersDead()			{ fInvadersDead = kTrue; }

protected:
	iTruth	fCappedPlanet;
	iTruth	fISCCappedPlanet;
	iTruth	fISCInvasionForceDead;
	iTruth	fAlliesDead;
	iTruth	fInvasionByDefault_msg;
	iTruth	fScannedPlanet;
	iTruth	fDied;
	iTruth	fEscortsDead;
	iTruth	fInvadersDead;
};

#endif
