/********************************************************************************************************\

	File Name:	SunShipBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "SunShipBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tSunShipBaseState::mBeginState()
{}
void tSunShipBaseState::mEndState()
{}

void tSunShipBaseState::mOnDeath( tShipInfo* ship )
{}
void tSunShipBaseState::mOnCapture( tShipInfo* ship )
{}
void tSunShipBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tSunShipBaseState::mAtDistance( tShipInfo* ship )
{}
void tSunShipBaseState::mAtDestination( tShipInfo* ship )
{}
void tSunShipBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tSunShipBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tSunShipBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tSunShipBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tSunShipBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tSunShipBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tSunShipBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tSunShipBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tSunShipBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tSunShipBaseState::mOnFlashingButtonPressed()
{}
void tSunShipBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tSunShipBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tSunShipBaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tSunShipBaseState::mOnPlayerLeaving( int playerNumber )
{}
void tSunShipBaseState::mOnHostChanged()
{}
void tSunShipBaseState::mOnTimedInterval( int32 timerID )
{}
void tSunShipBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tSunShipBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

