/********************************************************************************************************\

	File Name:	Uni_X3M1ATemple.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( Uni_X3M1ATemple_h )
#define Uni_X3M1ATemple_h

#include "ScriptInterface.h"

//---------------------------------------------------------------------------------------------
// the following enum is used to identify all non-player teams in the script
// (use kPlayerTeam to access the current players team.)
enum eTeamTypes
{
	kPlayerTeam = kTeam1,
	kEnemyTeam,
	kTransportTeam,
	kSunTeam,
	kDraft1Team,
    kDraft2Team,
};

class tVictoryCondition;

class tUni_X3M1ATemple : public tScript
{
public:

	enum eCommStates
	{};

	tUni_X3M1ATemple();

	virtual void	mStartMission();
	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual int32	mInitializeFinished();
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual void	mASCIIOverrides( tMapOverrides* Map );
	virtual void	mDefineBriefings( void );
	virtual void	mDefineTeamShipStrengths( void );
};

#endif


