/********************************************************************************************************\

	File Name:	PlayerDecoyShip.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "PlayerDecoyShip.h"
#include "PlayerDecoyShipBaseState.h"
#include "Uni_X4M2ACuckoo.h"
#include "MissionText.h"

tClassAllocator<tPlayerDecoyShip> gPlayerDecoyShipAllocator;

/*

	HELPER NOTE:	If you create any new states on the ship level, you must register them here first.

*/
void tPlayerDecoyShip::mSetupState()
{
	mRegisterState( new tPlayerDecoyShipBaseState() );
	mGotoState( typeid( tPlayerDecoyShipBaseState ) );
}


void tPlayerDecoyShip::mSetupCommState()
{
	tTeamInfo * playerteam = fMissionInfo->mGetTeamHandle(static_cast< eTeamID >( kPlayerTeam ));
	playerteam->mRegisterCommMessage( kCommState1 , kNoStateChange , mGetShipID() , kDD_btn, kDisengage_msg , kNoRandomMsg );
	playerteam->mRegisterCommMessage( kCommStateBlank ,	kCommStateBlank , mGetShipID() , kDD_btn, kDisengage_msg , kNoRandomMsg );
			
	playerteam->mGotoCommState( mGetShipID(), kCommState1 );


}

void tPlayerDecoyShip::mSetupShip()
{
	mSetShipThrust(20);
	mSetAlertStatus(kAlertRed);
#ifdef robotdecoy
	mSetFinalDestination(19, 6);
	//mSetShipAIControlled(kFalse);
#else
	mSetShipAIControlled(kTrue);
#endif

}
