/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------

#if defined ( _GERMAN )

std::string Messages[] =
{
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_X4M3ADoors",

	//
	//	Briefing message
	//

	//	kDescription_msg,
	"Verhandeln Sie mit dem ISK, und geben Sie ihnen, was sie fordern, solange der Deal fair ist und nicht den Interessen der [PLAYER_RACE] zuwiderluft.\n\n",

	// kFBriefing_msg,
	"Erinnern Sie sich noch an das Abhrgert, das Sie vor einiger Zeit auf dem ISK-Frachter installiert haben?" \
	"  Nun, jetzt hat es sich endlich gelohnt. Wir haben mehrere ISK-Offiziere ber einen Aufstand sprechen hren" \
	" und haben Kontakt mit ihrem Anfhrer aufgenommen. Sieht so aus, als wrden sich auch verschlossene Tren" \
	" irgendwann einmal ffnen.\n\nEr hat verlangt, mit einem unserer besten Captains zu sprechen," \
	" und unsere Wahl ist auf Sie gefallen. Sie werden sich nach [SYSTEM_NAME] begeben und verhandeln. Fahren Sie zu dem Planeten, und" \
	" wenn Sie beide dort sind, reden Sie mit ihm. Finden Sie heraus, was er fordert. Und wenn sein Preis" \
	" vernnftig ist, schlagen Sie ein. Sie wissen, dass es einige Grundstze gibt," \
	" denen die Fderation in keinem Fall zuwiderhandeln wird.\n\nEs knnte auch eine Falle sein. Auf jeden Fall ist uns bekannt, dass eine groe Sondereinheit" \
	" des ISKs in der Nhe des Systems gesichtet wurde. Achten Sie also auf Rckendeckung.\n\nWegtreten.\n\n",

	// kKBriefing_msg,
	"Vor Monaten sind Sie an Bord eines ISK-Frachters gegangen, und eine Eingreiftruppe nahm" \
	" Modifikationen an den Kommunikationsgerten des Frachters vor. Diese Mission hat sich nun ausgezahlt. Wir haben nmlich gehrt," \
	" wie mehrere ISK-Offiziere ber einen Aufstand gesprochen haben. Daraufhin haben wir Kontakt mit ihren Anfhrern," \
	" vier veltrassaischen Telepathen, aufgenommen. So erffnen sich uns ganz neue Perspektiven.\n\nDie Veltressai wollten" \
	" mit einem unserer besten Captains sprechen. Unsere Wahl ist auf Sie gefallen. Ihre Aufgabe ist es, sich nach" \
	" [SYSTEM_NAME] zu begeben und mit ihnen zu verhandeln. Fahren Sie zu dem Planeten, und wenn Sie beide dort sind, reden Sie mit dem Verhandlungsfhrer. Finden Sie heraus," \
	" was er fordert, und zahlen Sie den geforderten Preis, sofern dadurch nicht" \
	" Ihre eigene oder die Sicherheit des Imperiums gefhrdet wird.\n\nEs knnte auch eine Falle sein. Auf jeden Fall ist uns bekannt, dass eine groe Sondereinheit" \
	" des ISKs in der Nhe des Systems gesichtet wurde. Seien Sie also auf der Hut.\n\nQuapla.\n\n",

	// kRBriefing_msg,
	"Vor Monaten sind Sie an Bord eines ISK-Frachters gegangen, und eine Eingreiftruppe nahm" \
	" Modifikationen an den Kommunikationsgerten des Frachters vor. Diese Mission hat sich nun ausgezahlt. Wir haben nmlich gehrt," \
	" wie mehrere ISK-Offiziere ber einen Aufstand gesprochen haben. Daraufhin haben wir Kontakt mit ihren Anfhrern," \
	" vier veltrassaischen Telepathen, aufgenommen. So erffnen sich uns ganz neue Perspektiven.\n\nDie Veltressai wollten" \
	" mit einem unserer besten Captains sprechen. Unsere Wahl ist auf Sie gefallen. Ihre Aufgabe ist es, sich nach" \
	" [SYSTEM_NAME] zu begeben und mit ihnen zu verhandeln. Fahren Sie zu dem Planeten, und wenn Sie beide dort sind, reden Sie mit dem Verhandlungsfhrer. Finden Sie heraus," \
	" was er fordert, und zahlen Sie den geforderten Preis, sofern dadurch nicht" \
	" Ihre eigene oder die Sicherheit des Imperiums gefhrdet wird.\n\nEs knnte auch eine Falle sein. Auf jeden Fall ist uns bekannt, dass eine groe Sondereinheit" \
	" des ISKs in der Nhe des Systems gesichtet wurde. Achten Sie also auf Rckendeckung.\n\nWegtreten.\n\n",

	// kLBriefing_msg,
	"Vor Monaten sind Sie an Bord eines ISK-Frachters gegangen, und eine Eingreiftruppe nahm" \
	" Modifikationen an den Kommunikationsgerten des Frachters vor. Diese Mission hat sich nun ausgezahlt. Wir haben nmlich gehrt," \
	" wie mehrere ISK-Offiziere ber einen Aufstand gesprochen haben. Daraufhin haben wir Kontakt mit ihren Anfhrern," \
	" vier veltrassaischen Telepathen, aufgenommen. So erffnen sich uns ganz neue Perspektiven.\n\nDie Veltressai wollten" \
	" mit einem unserer besten Captains sprechen. Unsere Wahl ist auf Sie gefallen. Ihre Aufgabe ist es, sich nach" \
	" [SYSTEM_NAME] zu begeben und mit ihnen zu verhandeln. Fahren Sie zu dem Planeten, und wenn Sie beide dort sind, reden Sie mit dem Verhandlungsfhrer. Finden Sie heraus," \
	" was er fordert, und zahlen Sie den geforderten Preis, sofern dadurch nicht" \
	" die Sicherheit der Lyraner gefhrdet wird.\n\nEs knnte auch eine Falle sein. Auf jeden Fall ist uns bekannt, dass eine groe Sondereinheit" \
	" des ISKs in der Nhe des Systems gesichtet wurde. Achten Sie also auf Rckendeckung.\n\nWegtreten.\n\n",

	// kHBriefing_msg,
	"Erinnern Sie sich noch an das Abhrgert, das Sie vor einiger Zeit auf dem ISK-Frachter installiert haben?  Nun, " \
	" jetzt hat es sich endlich gelohnt. Wir haben mehrere ISK-Offiziere ber einen Aufstand sprechen hren" \
	" und haben Kontakt mit ihrem Anfhrer aufgenommen. Sieht so aus, als wrden sich auch verschlossene Tren irgendwann einmal ffnen." \
	"\n\nEr hat verlangt, mit einem unserer besten Captains zu sprechen. Unsere Wahl ist auf Sie gefallen. Sie werden sich" \
	" nach [SYSTEM_NAME] begeben und mit ihm verhandeln. Fahren Sie zu dem Planeten, und wenn Sie beide dort sind, reden Sie mit dem Verhandlungsfhrer." \
	"  Finden Sie heraus, was er fordert, und wenn der geforderte Preis - selbstverstndlich nicht nur in finanzieller, sondern auch in moralischer Hinsicht - " \
	" vernnftig ist, schlagen Sie ein. Schlielich knnen wir ja nicht aus reinem Opportunismus" \
	" niedrigere Mastbe ansetzen.\n\nEs knnte auch eine Falle sein. Auf jeden Fall ist uns bekannt, dass eine groe Sondereinheit" \
	" des ISKs in der Nhe des Systems gesichtet wurde. Seien Sie also auf der Hut.\n\nWegtreten.\n\n",

	// kGBriefing_msg,
	"Erinnern Sie sich noch an das Abhrgert, das Sie vor einiger Zeit auf dem ISK-Frachter installiert haben?  Nun," \
	" jetzt hat es sich endlich gelohnt. Wir haben mehrere ISK-Offiziere ber einen Aufstand sprechen hren" \
	" und haben Kontakt mit ihrem Anfhrer aufgenommen. Sieht so aus, als wrden sich auch verschlossene Tren irgendwann einmal ffnen." \
	"\n\nEr hat verlangt, mit einem unserer besten Captains zu sprechen. Unsere Wahl ist auf Sie gefallen. Sie werden sich" \
	" nach [SYSTEM_NAME] begeben und mit ihm verhandeln. Fahren Sie zu dem Planeten, und wenn Sie beide dort sind, reden Sie mit dem Verhandlungsfhrer." \
	" Finden Sie heraus, was er fordert, und wenn der geforderte Preis den Interessen der Gorn-Konfderation" \
	" zutrglich ist, schlagen Sie ein.\n\nEs knnte auch eine Falle sein. Auf jeden Fall ist uns bekannt, dass eine groe Sondereinheit" \
	" des ISKs in der Nhe des Systems gesichtet wurde. Seien Sie also auf der Hut. \n\nWegtreten.\n\n",

	// kMBriefing_msg,
  "Vor Monaten sind Sie an Bord eines ISK-Frachters gegangen, und eine Eingreiftruppe nahm" \
	" Modifikationen an den Kommunikationsgerten des Frachters vor. Diese Mission hat sich nun ausgezahlt. Wir haben gehrt," \
	" wie mehrere ISK-Offiziere ber einen Aufstand gesprochen haben. Daraufhin haben wir Kontakt mit" \
	" Ihren Anfhrern, vier veltrassaischen Telepathen, aufgenommen. So erffnen sich uns ganz neue Perspektiven." \
	"\n\nDie Veltrassai wollten mit einem unserer besten Captains sprechen. Unsere Wahl ist auf Sie gefallen." \
	"  Sie werden sich nach [SYSTEM_NAME] begeben und verhandeln. Fahren Sie zu dem Planeten, und wenn Sie beide dort sind," \
	" reden Sie mit dem Verhandlungsfhrer. Finden Sie heraus, was er fordert, und wenn der geforderte Preis den Interessen" \
	" der Hegemonie der Miraker zutrglich ist, schlagen Sie ein.\n\nEs knnte auch eine Falle sein. Auf jeden Fall ist uns bekannt, dass" \
	" eine groe Sondereinheit des ISKs in der Nhe des Systems gesichtet wurde. Seien Sie also auf der Hut.\n\nAbmarsch. Lassen Sie" \
	" Ihrem Jagdtrieb freien Lauf.\n\n",

	//
	//	Debriefing messages
	//
	// kFH_NoOffer_msg, (defeat)
	"Sie hatten doch den Auftrag, sich zu dem Schiff zu begeben und sich das Angebot anzuhren." \
	"  Aber dazu haben Sie nicht die Geduld aufgebracht." \
	"  Rufen Sie beim nchsten Mal das Schiff, und hren Sie sich an, was man dort zu sagen hat." \
	"\n\nWegtreten.\n\n",

	// kFH_Accepted_msg,  (devastating defeat)
	"Was glauben Sie eigentlich, wer Sie sind? Sie knnten als Klingone oder Lyraner durchgehen. Aber ganz sicher nicht" \
	" als Offizier der [PLAYER_RACE]! Wir haben moralische Grundstze, und wir haben Regeln. Und die haben Sie" \
	" heute in den Schmutz gezogen.\n\nDafr werden Sie sich vor dem Kriegsgericht zu verantworten haben." \
	"  Der Sicherheitsoffizier wird Sie wieder in Ihre Zelle bringen. Raus jetzt.\n\n",

	// kFH_RefusedNoCode_msg, (victory)
	"Es ist sehr lobenswert, dass Sie das hinterhltige Angebot des ISKs ausgeschlagen haben. Htte es aber eine Chance gegeben, " \
	" die Schildcodes des ISKs in Erfahrung zu bringen, wre das schon einen Versuch wert gewesen." \
	"  Ich wei, dass Sie glaubten, es bestnde Waffenstillstand. Aber den haben die anderen verletzt. Sie htten das" \
	" Schiff entern und die Codes gewaltsam knacken sollen.\n\nAber rgern Sie sich nicht zu sehr." \
	"  Manchmal sind auch moralische Siege schon ganz gut.\n\n",

	// kFH_Code_msg, (astounding victory)
	"Herzlichen Glckwunsch! Sie haben es geschafft, die Schildcodes in Erfahrung zu bringen, ohne gegen die Moralvorstellungen der [PLAYER_RACE] zu verstoen" \
	" oder unsere Sicherheit zu gefhrden. Sie werden zwar wahrscheinlich die Codes ndern, aber wir wissen jetzt so gut" \
	" ber die Grundstruktur Bescheid, dass unser Geheimdienst in der Lage sein drfte," \
	" alle zuknftigen nderungen zu verfolgen. Ich denke, die Informationen werden uns im bevorstehenden Kampf ntzlich sein.\n\nWegtreten.\n\n",

	// kFH_NoResponseToOfferNoCode_msg, (draw)
	"Das Angebot des ISKs war hinterhltig und niedertrchtig. Sie htten es geradeheraus ablehnen sollen," \
	"statt Zweifel an Ihrer Ehre aufkommen zu lassen. Htten wir aber eine Chance gehabt," \
	" die Schildcodes des ISKs in Erfahrung zu bringen, wre das schon einen Versuch wert gewesen." \
	"  Ich wei, dass Sie glaubten, es bestnde Waffenstillstand. Aber den haben die anderen verletzt. Sie htten das" \
	" Schiff entern und die Codes gewaltsam knacken sollen.\n\n",

	// non-Fed/Hydran Victory Messages.
	// kNoOffer_msg, (draw)
	"Sie hatten doch den Auftrag, sich zu dem Schiff zu begeben und sich das Angebot anzuhren." \
	"  Aber dazu haben Sie nicht die Geduld aufgebracht." \
	"  Rufen Sie beim nchsten Mal das Schiff, und hren Sie sich an, was man dort zu sagen hat." \
	"\n\nWegtreten.\n\n",

	// kRefusedNoCode_msg, (devastating defeat)
	"Wofr halten Sie sich eigentlich?  Hier geht es nicht um Ihre Moralvorstellungen! Wir befinden uns im Krieg," \
	" und im Krieg gibt es nur zwei Regeln: Gewinnen und berleben!  Woher nehmen Sie das Recht, eine solche Gelegenheit," \
	" die uns einen ungemeinen taktischen Vorteil verschafft und unsere Feinde im nchsten Krieg geschwcht htte," \
	" ungenutzt verstreichen zu lassen?\n\nGehen Sie mir aus den Augen!\n\n",

	// kAccepted_msg, (astounding victory)
	"Gute Arbeit, Soldat. Es ist Ihnen gelungen, wertvolle Informationen fr den Krieg gegen das ISK" \
	" zu beschaffen. Sie werden zwar wahrscheinlich die Codes ndern, aber wir wissen jetzt so gut" \
	" ber die Grundstruktur Bescheid, dass unser Geheimdienst in der Lage sein drfte, alle zuknftigen nderungen zu verfolgen." \
	"\n\nHoffen wir, dass dieser Kontakt zu den Aufstndischen in den Reihen des ISKs auch weiterhin von Nutzen fr uns ist." \
	"\n\nWegtreten.\n\n",

	// kCode_msg, (victory)
	"Gute Arbeit, Soldat. Es ist Ihnen gelungen, wertvolle Informationen fr den Krieg gegen das ISK" \
	" zu beschaffen. Sie werden zwar wahrscheinlich die Codes ndern, aber wir wissen jetzt so gut" \
	" ber die Grundstruktur Bescheid, dass unser Geheimdienst in der Lage sein drfte, alle zuknftigen nderungen zu verfolgen." \
	"\n\nWegtreten.\n\n",

	// kNoResponseToOfferNoCode_msg, (defeat)
	"Was ist eigentlich in Sie gefahren?  Woher nehmen Sie das Recht, eine solche Gelegenheit," \
	" die uns einen ungemeinen taktischen Vorteil verschafft und unsere Feinde im nchsten Krieg geschwcht htte," \
	" ungenutzt verstreichen zu lassen?\n\nWenn Sie nicht in der Lage sind, schwierige Entscheidungen zu fllen, muss ich eben jemand anderen einsetzen, der dazu fhig ist!\n\n",

	//
	//	Comm buttons
	//
	// kHail_btn,
	"RUFEN",

	// kAccept_btn,
	"ANGEBOT ANNEHMEN",

	// kReject_btn,
	"ANGEBOT ABLEHNEN",

	// kDemandSurrender_btn,
	"KAPITULATION FORDERN",

	// kRatOutTraitor_btn,
	"VERRTER VERPFEIFEN",

	// kHail_CS2_btn,
	"RUFEN",

	// kHail_CS3_btn,
	"DETAILS ERFRAGEN",

	// kAboutOffer_btn,
	"BER DIESES ANGEBOT...",

	// kRespond_btn,
	"AUF ANGEBOT ANTWORTEN",

	// kRequestInfo_btn,
	"INFORMATIONEN ANFORDERN",

	// kRepeat_btn,
	"DETAILS WIEDERHOLEN",

	// kMoreInfo_btn,
	"WEITERE INFOS",

	//
	//	Comm messages
	//
	// kBlank_msg,
	"\n",

	// kNoResponseDistance_msg,
	"Keine Reaktion. Sie mchten mit Ihnen ber einen sicheren Kanal sprechen. Dazu mssen wir uns auf 20.000 km" \
	" nhern.\n\n",

	// kNoResponse_msg,
	"Keine Reaktion.\n\n",

	// kContact_msg,
	"Hier spricht [PLAYER_RANK] [PLAYER_NAME] vom [PLAYER_RACE]-Raumschiff [PLAYER_SHIP_NAME]." \
	"  Im Auftrag der [PLAYER_RACE]...\n[3]" \
	"Captain des ISKs: Wir gehren zu den Qori. Wir wissen, wer Sie sind. Kommen wir zur Sache." \
	"  Meine Rasse geht zugrunde, [PLAYER_RANK]. Sie stirbt am Gift der Gewalt." \
	"Die jungen Commander unserer Rasse verschreiben sich nicht der Sache des Friedens." \
	"  Sie wollen nur Ruhm und Zerstrung.\n[5]" \
	"[PLAYER_NAME]: Haben wir Sie vergiftet?\n[2]" \
	"Captain des ISKs: Genau!  Die einzige Hoffnung fr unser Volk ist, dass wir den Krieg verlieren und in" \
	" unseren Heimatraum zurckkehren!  Aber was, wenn wir den Krieg verlieren, ohne auch nur den geringsten Ruhm zu ernten...\n[5]" \
	"[PLAYER_NAME]: Das passt mir gar nicht, was ich da hre.\n[2]" \
	"Captain des ISKs: Wir werden ein Nichts sein. Moment, wir erhalten gerade eine andere Mitteilung." \
	"  Rufen Sie uns wieder, wenn Sie weiter reden mchten.\n\n",


	// kGloryContact_msg,
	"Hier spricht [PLAYER_RANK] [PLAYER_NAME] vom [PLAYER_RACE]-Raumschiff [PLAYER_SHIP_NAME]." \
	"  Im Auftrag der [PLAYER_RACE]...\n[3]" \
	"Captain des ISKs: Wir gehren zu den Qori. Wir wissen, wer Sie sind. Kommen wir zur Sache." \
	"Meine Rasse geht zugrunde, [PLAYER_RANK]. Sie stirbt am Gift der Gewalt." \
	"Die jungen Commander unserer Rasse verschreiben sich nicht der Sache des Friedens." \
	"  Sie wollen nur Ruhm und Zerstrung.\n[7]" \
	"[PLAYER_NAME]: Ruhm und Zerstrung ist das einzige, was uns interessiert.\n[2]" \
	"Captain des ISKs: Genau!  Die einzige Hoffnung fr unser Volk ist, dass wir den Krieg verlieren und in" \
	" unseren Heimatraum zurckkehren!  Aber was, wenn wir den Krieg verlieren, ohne auch nur den geringsten Ruhm zu ernten...\n[5]" \
	"[PLAYER_NAME]: Das passt mir gar nicht, was ich da hre.\n[2]" \
	"Captain des ISKs: Wir werden ein Nichts sein. Moment, wir erhalten gerade eine andere Mitteilung." \
	"  Rufen Sie uns wieder, wenn Sie weiter reden mchten.\n\n",

	// kDetails_msg,
	"Captain des ISKs: Wir sollten uns beeilen. In Krze werden hier sieben Kreuzer des ISKs eintreffen, " \
	" und wenn wir glaubwrdig bleiben wollen, mssen wir Sie angreifen.\n[3]" \
	"[PLAYER_NAME]: Wie war das? Sie wollen sowohl Ihre Rasse als auch Ihre Karriere retten? Und das gleichzeitig?" \
	"  Ich bin ja absolut begeistert von Ihnen.\n[3]" \
	"Captain des ISKs: Hre ich da Sarkasmus heraus, [PLAYER_RANK]? Kommen wir \"zur Sache\".\n[2]" \
	"[PLAYER_NAME]: Prima. Was wollen Sie?\n[2]" \
	"Captain des ISKs: Die Schlachtplne einer anderen Rasse dieses Quadranten." \
	"  Sie haben Informationen ber Ihre Verbndeten, die sich brigens gegen Sie" \
	" wenden werden, kaum dass dieser Krieg vorber ist." \
	"Im Gegenzug verraten wir Ihnen die Zugangscodes zur Hauptbasis des ISKs." \
	"  So knnen wir einen ganz groen Sieg erringen, und Sie knnen die Schilde" \
	" unserer Basis senken und den Krieg gewinnen. berlegen Sie es sich, [PLAYER_RANK]. Aber berlegen Sie nicht zu lange.\n\n",

	// kAboutOffer_msg,
	"[PLAYER_NAME]: Dieses Angebot...\n",

	// kRequestInfo_msg,
	"Captain des ISKs: Ja, was?\n\n  Wir haben nicht den ganzen Tag Zeit.\n",

	// kRepeatOffer_msg,
	"[PLAYER_NAME]: Ich habe nicht alles verstanden. Knnten Sie das noch einmal wiederholen?\n\n" \
	"Captain des ISKs: *seufzt*  Sie geben uns Informationen ber die Zusammensetzung der Flotte" \
	" eines Ihrer Verbndeten, die sich brigens mit absoluter Sicherheit" \
	" gegen Sie wenden werden, kaum dass wir fort sind. Im Gegenzug" \
	" verraten wir Ihnen die Schildcodes zu unserer Hauptbasis in diesem Gebiet.\n\n",

	// 	kMoreInfo_msg,
	"[PLAYER_NAME]: Ich htte da noch ein paar Fragen.\n\n" \
	"Captain des ISKs: Nehmen Sie das Angebot an, oder lassen Sie es bleiben. Wenn die Vorteile dieser Lsung nicht klar auf der Hand liegen," \
	" knnen wir auch nicht viel mehr dazu sagen.\n\n",

	// kGetOut_msg,
	"Captain des ISKs: Sie haben sich entschieden, [PLAYER_RANK]. Sie verschwinden besser von hier, bevor die Sondereinheit eintrifft.\n\n",

	// kOfferRepsonse_msg,
	"Captain des ISKs: Also, wie haben Sie sich entschieden?\n\n",

	// Accept Responses

	// kFAccept_msg,
	"[PLAYER_NAME]: Sie sind doch nur eine Plage, die irgendwann vorbergeht. Das klingonische Imperium ist nicht vertrauenswrdig " \
	" und stellt eine permanente Bedrohung dar." \
	"Um mit Admiral Cartwright zu sprechen: \"Den Klingonen ist nicht zu trauen. Sie sollen alle sterben.\"\n[7]" \
	"Captain des ISKs: Ist Ihr Admiral Cartwright nicht vor dem Kriegsgericht gelandet?\n[3]" \
	"[PLAYER_NAME]: Das mssen Patrioten manchmal in Kauf nehmen. Hier haben Sie die Daten.\n[3]" \
	"Captain des ISKs: Und hier sind Ihre. Es war nicht gerade ein Vergngen, aber interessant war es in jedem Fall.\n\n",

	// kKAccept_msg,
	"[PLAYER_NAME]: Das klingonische Imperium stellt Ihnen gerne alle erforderlichen Daten" \
	" ber die Fderation zur Verfgung - inoffiziell, versteht sich.\n[5]" \
	"Captain des ISKs: Die Leute in diesem Quadranten lcheln gerne, nicht wahr?\n[3]" \
	"[PLAYER_NAME]: Die Klingonen glauben, dass Lcheln die beste Art ist, die Zhne zu zeigen.\n[3]" \
	"Captain des ISKs: Sie glauben ja eine ganze Menge. Lassen Sie uns jetzt einfach den Deal zum Abschluss bringen. Die Daten werden gesendet.\n[3]" \
	"[PLAYER_NAME]: Die Daten werden gesendet. Es ist ein Vergngen, mit den Moralaposteln des ISKs Geschfte zu machen.\n\n",


	// kRAccept_msg,
	"[PLAYER_NAME]: Ein solches Angebot schlagen wir selbstverstndlich aus. " \
	"Die Daten, die Sie gerade ber die" \
	" Fderation und die Klingonen erhalten, mssen von einem anderen Agenten stammen.\n[7]" \
	"Captain des ISKs: Und die Daten, die Sie gerade erhalten, kommen ganz eindeutig nicht von uns.\n[3]" \
	"[PLAYER_NAME]: Ich wei nicht, warum in diesem Quadranten Spionage als Kunstform betrachtet wird." \
	"  Das ist doch eine Farce.\n\n",

	// kLAccept_msg,
	"[PLAYER_NAME]: Tod den Mir... denjenigen, die wir nicht laut nennen." \
	"  Schnappen Sie sich diese verkorksten Patriarchen, und legen Sie ihren Planeten in Schutt und Asche." \
	"Ihre Schreie sollen im Universum erschallen, und dann bringen Sie sie zum Schweigen!\n[5]" \
	"Captain des ISKs: Sie widern uns an.\n[2]" \
	"[PLAYER_NAME]: Sie hatten sicher noch nie mit denen zu tun, sonst htten" \
	" Sie nicht so eine blde Bemerkung losgelassen. Wir senden Ihnen jetzt unsere Daten zu.\n\n" \
	"Captain des ISKs: Und wir senden unsere Daten. Tschss.\n\n",

	// kHAccept_msg,
	"[PLAYER_NAME]: Wir mussten viel leiden, als die Klingonen und die Lyraner vor hundert Jahren" \
	" den hydranischen Raum besetzten." \
	"Und jetzt habe ich die Mglichkeit, ihnen die Grueltaten" \
	" an meinen Vorfahren heimzuzahlen. Wenn ich Ja sage, bin ich auch nicht besser als sie. Aber die" \
	" Geister schreien nach Rache. Ich kann meine Ohren davor nicht verschlieen. Hier haben Sie die Daten.\n[7]" \
	"Captain des ISKs: Und hier haben Sie Ihre Rache.\n[2]" \
	"[PLAYER_NAME]: Rache. Sehr gut. Das wr's dann.\n\n",

	// kGAccept_msg,
	"[PLAYER_NAME]: Hier sind die besten Daten, die wir ber die militrische Strke und die Operationen der Romulaner haben." \
	"Auerdem Daten ber die Aktivitten der Fderation und deren neutrale Zone.\n[4]" \
	"Captain des ISKs: Na, das ist doch schonmal was.\n[2]" \
	"[PLAYER_NAME]: Groe Taten verlangen einen groen Einsatz.\n[2]" \
	"Captain des ISKs: Davon gehen wir aus. Und hier haben Sie die Codes fr die Schildsteuerung unserer Hauptbasis.\n[3]" \
	"[PLAYER_NAME]: Damit wre die Sache dann wohl vom Tisch.\n\n",

	// kMAccept_msg,
	"[PLAYER_NAME]: Selbstverstndlich brauchen wir diese Codes nicht." \
	"Aber wir hassen die Lyraner so sehr, dass wir Ihnen gerne alle" \
	" Informationen geben, die Sie brauchen, um sie zu schwchen." \
	"  Die Codes zu Ihrer Basis betrachten wir einfach als kleine Dreingabe.\n[8]" \
	"Captain des ISKs: Die Codes werden bertragen.\n[1]" \
	"[PLAYER_NAME]: Wir bertragen auch. Unter dem Strich hat sich dieser Austausch schon gelohnt.\n\n",


	// Reject Responses.

	// kFReject_msg,
	"[PLAYER_NAME]: Die Fderation verrt ihre Verbndeten nicht." \
	"  Ich bin berrascht, dass Ihren vier \"friedliebenden\" klugen Kpfen dieser Gedanke nicht gekommen ist," \
	" bevor Sie uns Ihr verachtenswertes Angebot unterbreitet haben.\n[7]" \
	"Captain des ISKs: Das ist eine Beleidigung fr Wesen, die Ihnen berlegen sind.\n[2]" \
	"[PLAYER_NAME]: Sie haben kein Recht, mir so etwas zu sagen, und das wissen Sie auch. Wir sollen Sie vergiftet haben?" \
	"  Sie sind diejenigen, die ihr Gift verspritzen!  Und ich werde nicht ruhen, bis wir Sie aus diesem Quadranten vertrieben haben.\n\n",

	// kKReject_msg,
	"[PLAYER_NAME]: Das klingonische Imperium ist auf niemanden angewiesen, um seine Feldzge zu fhren. " \
	"Seit Jahrhunderten schon schlachten wir unsere Feinde ab, und das werden wir auch noch tun," \
	" wenn wir Ihre Rasse lngst ausgelscht haben.\n[8]" \
	"Captain des ISKs: Barbar! Metzger!\n[1]" \
	"[PLAYER_NAME]: Realist!  berlebensknstler!  Und im Gegensatz zu Ihnen kein Heuchler, der mit unschuldigster Miene" \
	" seine Brder sterben lassen wrde, nur um auf der Karriereleiter voran zu kommen. " \
	"Als Sie in diesem Quadranten auftauchten, dachte ich, Sie seien genauso bel wie die Fderation. Aber da habe ich mich getuscht." \
	"  Sie sind noch viel bler.\n\n",

	// kRReject_msg,
	"[PLAYER_NAME]: Wir nehmen Ihr Angebot nicht an. Ihr Angebot kann den Wert unserer Verbndeten nicht aufwiegen." \
	" Die Bemhungen des ISKs in diesem Quadranten sind ohnehin zum Scheitern verurteilt. Und wenn ich Ihnen helfe, auch meine eigenen Bemhungen" \
	" ins Leere laufen zu lassen, habe ich gar nichts davon. Auerdem gefllt mir der Gedanke, mit Verrtern Geschfte zu machen, gar nicht.\n[7]" \
	"Captain des ISKs: Wir sind keine Verrter!\n[1]" \
	"[PLAYER_NAME]: Dann gibt es wohl auch im ganzen Universum keinen Verrat, oder? Denn wer weist sich schon freiwillig als Verrter aus?\n" \
	"Aber ich verurteile Sie nicht. Ich schlage lediglich Ihr Angebot aus. Wenn Sie ein besseres Angebot haben, ist das" \
	" romulanische Imperium gern zu neuen Verhandlungen bereit.\n\n",

	// kLReject_msg,
	"[PLAYER_NAME]: So sehr ich mir auch wnsche, dass unsere Feinde ausgelscht werden, glaube ich doch, dass Sie nicht viel ausrichten knnen." \
	"Selbst wenn ich Ihnen die Informationen geben wrde, knnten Sie sie nicht Gewinn bringend" \
	" einsetzen." \
	"Und wenn bekannt wrde, dass wir Ihnen die Informationen gegeben haben, wrden selbst unsere Freunde uns meiden." \
	"  Die Antwort muss also Nein lauten.\n[8]" \
	"Captain des ISKs: Da machen Sie aber einen groen Fehler.\n[2]" \
	"[PLAYER_NAME]: Das glaube ich nicht.\n\n",

	// kHReject_msg,
	"[PLAYER_NAME]: Wir mussten viel leiden, als die Klingonen und die Lyraner vor hundert Jahren" \
	" den hydranischen Raum besetzten. " \
	"Und jetzt habe ich die Mglichkeit, ihnen die Grueltaten an meinen Vorfahren heimzuzahlen." \
	"  Wenn ich Ja sage, bin ich auch nicht besser als sie. Aber die Geister schreien nach Rache." \
	"  Wie knnte ich sie ihnen versagen?\n[7]" \
	"Captain des ISKs: Bleiben Sie ihnen treu!  Versagen Sie ihnen die gerechte Rache nicht!\n[3]" \
	"[PLAYER_NAME]: Nein. Ich werde mein Leben nicht von den Toten bestimmen lassen." \
	"  Ich muss vor allem mir selbst treu bleiben, und wenn die Toten mir daraus einen Vorwurf machen wollen, dann sollen Sie das tun, wenn ich nicht mehr bin." \
	" Es ist also entschieden. Die Antwort lautet Nein.\n\n",

	// kGReject_msg,
	"[PLAYER_NAME]: Die Konfderation der Gorn ist nicht auf einem Fundament aus Verrat und Mord gebaut.\n[3]"\
	"Captain des ISKs: Sind Sie wirklich so naiv, dass Sie das immer noch glauben?  Denken Sie doch an Ihre Karriere!\n[3]" \
	"[PLAYER_NAME]: Ich wei genug ber unsere Vergangenheit, um meine Lehre daraus gezogen zu haben. Machen Sie Ihr Angebot" \
	" jemand anderem.\n" \
	"Captain des ISKs: Diese Entscheidung werden Sie noch bereuen.\n[2]" \
	"[PLAYER_NAME]: Aber nicht so sehr wie Sie.\n\n",

	// kMReject_msg,
	"[PLAYER_NAME]: Dieses Angebot stinkt derartig nach Verrat, Feigheit und Niedertracht, dass ich" \
	" mich fr immer besudeln wrde, wrde ich es annehmen." \
	"Ersticken Sie an Ihrem Angebot!  Gehen Sie zurck zu Ihrem Volk, und" \
	" schauen Sie zu, wie wir sie vernichten, und Ihre Karriere gleich mit!\n[8]" \
	"Captain des ISKs: Widerlicher Primitivling!\n[2]" \
	"[PLAYER_NAME]: [Lacht]. Wenn ich es mir recht berlege, leben Sie ja vielleicht gar nicht mehr lange genug, um die Vernichtung Ihres Imperiums mit anzusehen.\n\n",


	// kTraitorSurrenderResponse_msg,
	"Captain des ISKs: Diese Angebot knnen wir nicht annehmen.\n\n",

	// kHailFleet1_msg,
	"[PLAYER_NAME]: Hier spricht [PLAYER_NAME] von der [PLAYER_SHIP_NAME]. Was haben Sie hier zu suchen?\n[3]" \
	"Captain des ISKs: Wir kommen einem Kameraden zur Hilfe. Tut mir Leid, wenn wir Ihnen den Spa verdorben haben." \
	"  Aber jetzt sind wir dran.\n\n",

	// kHailFleet2_msg,
	"[PLAYER_NAME]: Hier spricht [PLAYER_NAME] von der [PLAYER_SHIP_NAME]. Was haben Sie hier zu suchen?\n[3]" \
	"Captain des ISKs: Das ist doch wohl offensichtlich, oder? Wenn Sie nicht darauf kommen, senken Sie Ihre Schilde," \
	" und wir helfen Ihnen auf die Sprnge.\n\n",

	// kHailFleet3_msg,
	"[PLAYER_NAME]: Hier spricht [PLAYER_NAME] von der [PLAYER_SHIP_NAME]. Was haben Sie hier zu suchen?\n[3]" \
	"Captain des ISKs: Das ist nur eine Routinepatrouille. Wir mssen uns lediglich mit einem kleinen Problem befassen.\n\n",

	// kRat1_msg,
	"[PLAYER_NAME]: Wissen Sie, dass der Commander des Schiffes, das wir getroffen haben, versucht hat," \
	" uns die Schildcodes zu Ihrer Hauptbasis zu verraten?\n[4]" \
	"Captain des ISKs: Machen Sie sich doch nicht lcherlich.\n\n",

	// kRat2_msg,
	"[PLAYER_NAME]: Wissen Sie, dass der Commander des Schiffes, das wir getroffen haben, versucht hat," \
	" uns die Schildcodes zu Ihrer Hauptbasis zu verraten?\n[4]" \
	"Captain des ISKs: Wie knnen Sie es wagen, einen unserer ehrwrdigsten Offiziere des Verrats zu bezichtigen!\n\n",

	// kRat3_msg,
	"[PLAYER_NAME]: Wissen Sie, dass der Commander des Schiffes, das wir getroffen haben, versucht hat," \
	" uns die Schildcodes zu Ihrer Hauptbasis zu verraten?\n[4]" \
	"Captain des ISKs: Er ist mein Vorgesetzter. Ich habe seine Entscheidungen nicht in Frage zu stellen.\n\n",

	// kRat_Response_msg,
	"Zum Verrter gewordener Captain des ISKs (auf einem geschlossenen Kanal): Das war ein Fehler. Jetzt werden meine Verbndeten" \
	" dafr sorgen, dass die Informationen wertlos fr Sie sind.\n\n",

	//
	//	Victory rating
	//

	//	kAstoundingVictory_msg,
	"Groartiger Sieg!\n",

	//	kVictory_msg,
	"Sieg!\n",

	//	kDraw_msg,
	"Unentschieden.\n",

	//	kDefeat_msg,
	"Niederlage.\n",

	//	kDevastatingDefeat_msg,
	"Vernichtende Niederlage!\n",

	//
	//	Random chatter
	//

	//	kRandChat1_msg,
	"Steuermann: Wir nhern uns dem Zentrum von [SYSTEM_NAME].\n\n",

	//	kRandChat2_msg,
	"Ingenieur: Ich frage mich, was das ISK so Wichtiges hat?\n\n",

	//	kRandChat3_msg,
	"Sicherheitsoffizier: Sagen Sie uns die Losung; die Sicherheitskrfte unterstehen Ihrem Befehl.\n\n",

	//	kRandChat4_msg,
	"Navigation: Ich habe es geschafft, unseren geplanten Transit nach [SYSTEM_NAME] um 75 Sekunden zu verkrzen.\n\n",

	//	kRandChat5_msg,
	"Waffenoffizier: Ich habe die Phaserbesatzungen die ganze letzte Woche Schiebungen fr den Verteidigungsfall absolvieren lassen.\n\n",

	//	kRandChat6_msg,
	"Wissenschaftsoffizier: Ich werde diese Gelegenheit nutzen, um die Informationen ber den Planeten in unsere Forschungslogbcher einzutragen.\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	// kPlanet_name,
	"Zentrum von [SYSTEM_NAME]",

	// kTraitorShip1_name,
	"Vidkun",
	// kTraitorShip2_name,
	"Alcibiades",
	// kTraitorShip3_name,
	"Cassius",
	// kTraitorShip4_name,
	"Iscariot",
	// kTraitorShip5_name,
	"Benedict",

	//
	//	Event dialog
	//

	//
	//	Event 1: Starting messages
	//

	// kFStart_msg,
	"[PLAYER_NAME]: Logbuch des Captains, Sternendatum, Geheimsache. Wir sind unterwegs nach [SYSTEM_NAME]," \
	" um uns mit einem abtrnnigen Admiral des ISKs zu treffen. Wir haben den Auftrag, ihm geheime Informationen" \
	" ber die Aktivitten des ISKs zu entlocken." \
	"Die Anweisungen lauten, ihm alles anzubieten, sofern dadurch nicht" \
	" die Prinzipien und die Ehre der Fderation befleckt werden.\n[7]" \
	"Kommunikationsoffizier: [PLAYER_RANK], ich erhalte gerade Berichte ber eine groe Sondereinheit des ISKs, die" \
	" diesen Teil des Raumes durchkmmt. Hoffen wir, dass wir diese Mission rasch zu Ende bringen knnen.\n\n",

	// kKStart_msg,
	"[PLAYER_NAME]: Kriegsbericht, Geheimsache. Wir sind unterwegs nach [SYSTEM_NAME]," \
	" um uns mit einem abtrnnigen Admiral des ISKs zu treffen. Wir haben den Auftrag, ihm geheime Informationen" \
	" ber die Aktivitten des ISKs zu entlocken." \
	"Angeblich sind die Informationen so wertvoll, dass wir freie Hand haben," \
	" fast jeder Forderung von seiner Seite nachzugeben.\n[7]" \
	"Kommunikationsoffizier: [PLAYER_RANK], ich erhalte gerade Berichte ber eine groe Sondereinheit des ISKs, die" \
	" diesen Teil des Raumes durchkmmt. Wenigstens werden wir wohl zu einem richtig schnen Kampf kommen.\n\n",

	// kRStart_msg,
	"[PLAYER_NAME]: Bericht der [PLAYER_FACTION], [STARDATE]. Wir sind unterwegs nach [SYSTEM_NAME]," \
	" um uns mit einem abtrnnigen Admiral des ISKs zu treffen. Wir haben den Auftrag, ihm geheime Informationen" \
	" ber die Aktivitten des ISKs zu entlocken." \
	"Angeblich sind die Informationen so wertvoll, dass wir freie Hand haben," \
	" fast jeder Forderung von seiner Seite nachzugeben.\n[7]" \
	"Kommunikationsoffizier: [PLAYER_RANK], ich erhalte gerade Berichte ber eine groe Sondereinheit des ISKs, die" \
	" diesen Teil des Raumes durchkmmt. Unsere Tarnvorrichtung sollte grndlich geprft werden.\n\n",

	// kLStart_msg,
	"[PLAYER_NAME]: Journal des Commanders, Haus [TEAM1_EMPIRE], [STARDATE]. Wir sind unterwegs nach" \
	" [SYSTEM_NAME], um uns mit einem abtrnnigen Admiral des ISKs zu treffen. Wir haben den Auftrag, ihm geheime Informationen" \
	" ber die Aktivitten des ISKs zu entlocken." \
	"Angeblich sind die Informationen so wertvoll, dass wir freie Hand haben," \
	" fast jeder Forderung von seiner Seite nachzugeben, sofern diese den Interessen der Lyraner nicht zuwiderlaufen.\n[7]" \
	"Kommunikationsoffizier: [PLAYER_RANK], ich erhalte gerade Berichte ber eine groe Sondereinheit des ISKs, die" \
	" diesen Teil des Raumes durchkmmt. Wenigstens werden wir wohl zu einem richtig schnen Kampf kommen.\n\n",

	// kHStart_msg,
	"[PLAYER_NAME]: Journal des Commanders, [STARDATE]. Wir sind unterwegs nach [SYSTEM_NAME]," \
	" um uns mit einem abtrnnigen Admiral des ISKs zu treffen. Wir haben den Auftrag, ihm geheime Informationen" \
	" ber die Aktivitten des ISKs zu entlocken." \
	"Die Anweisungen lauten, ihm alles anzubieten, sofern dadurch nicht die Prinzipien und die Ehre der" \
	" Hydraner befleckt werden.\n[7]" \
	"Kommunikationsoffizier: [PLAYER_RANK], ich erhalte gerade Berichte ber eine groe Sondereinheit des ISKs, die" \
	" diesen Teil des Raumes durchkmmt. Hoffen wir, dass wir diese Mission rasch zu Ende bringen knnen.\n\n",

	// kGStart_msg,
	"[PLAYER_NAME]: Logbuch des Commanders, [STARDATE]. Wir sind unterwegs nach [SYSTEM_NAME]," \
	" um uns mit einem abtrnnigen Admiral des ISKs zu treffen. Wir haben den Auftrag, ihm geheime Informationen" \
	" ber die Aktivitten des ISKs zu entlocken." \
	"Die Anweisungen lauten, all seinen Forderungen stattzugeben - natrlich nur in vernnftigen Grenzen." \
	"  Aber im Krieg ist die Vernunft ja meist doch nur Luxus.\n[7]"\
	"Kommunikationsoffizier: [PLAYER_RANK], ich erhalte gerade Berichte ber eine groe Sondereinheit des ISKs, die" \
	" diesen Teil des Raumes durchkmmt. Hoffen wir, dass wir diese Mission rasch zu Ende bringen knnen.\n\n",

	// kMStart_msg,
	"[PLAYER_NAME]: Jagdbericht, [STARDATE]. Wir sind unterwegs nach [SYSTEM_NAME], um uns mit einem abtrnnigen" \
	" Admiral des ISKs zu treffen. Wir haben den Auftrag, ihm geheime Informationen ber die Aktivitten des ISKs zu entlocken."\
	"Angeblich sind die Informationen so wertvoll, dass wir freie Hand haben, fast jeder Forderung von seiner Seite" \
	" nachzugeben. Pauschale Zusagen machen mich immer irgendwie nervs.\n[8]" \
	"Kommunikationsoffizier: [PLAYER_RANK], ich erhalte gerade Berichte ber eine groe Sondereinheit des ISKs, die" \
	" diesen Teil des Raumes durchkmmt. Wenigstens werden wir wohl zu einem richtig schnen Kampf kommen.\n\n",

	//
	// Event 2 Boarding The Traitor
	//

	// kCaptureNoOffer_msg,
	"Sicherheitsoffizier: Wir haben das Schiff des Verrters gekapert. Und wir haben etwas sehr Interessantes gefunden - " \
	" die Codes zur Hauptbasis des ISKs.\n\n",

	// kCapture_msg,
	"Sicherheitsoffizier: Wir haben das Schiff des Verrters gekapert. Und haben die Schildcodes in Erfahrung gebracht." \
	"  Alles gesichert.\n\n",

	// kCaptureAccepted_msg,
	"Sicherheitsoffizier: Wir haben das Schiff des Verrters gekapert. Und haben die Originalschildcodes gefunden." \
	"  Alles gesichert.\n\n",

	//
	// Event 3 Killing The Defector
	//

	// kDestroyedNoCodes_msg,
	"Wissenschaftsoffizier: Schwerer ISK-Kreuzer zerstrt. Da geht unsere Chance dahin, das zu bekommen, was wir wollten.\n\n",

	// kDestroyedNoDecisionWithCodesNoFleet_msg,
	"Wissenschaftsoffizier: Schwerer ISK-Kreuzer zerstrt. Sieben weitere Kreuzer des ISKs rasch" \
	" auf dem Vormarsch in das System. Sieht so aus, als wrden Sie uns umzingeln.\n[7]" \
	"Kommunikationsoffizier: Das Oberkommando rt uns, das System sofort zu verlassen, [PLAYER_RANK]\n\n",

	// kDestroyedAgreed1_msg,
	"Wissenschaftsoffizier: Schwerer ISK-Kreuzer zerstrt.\n[2]" \
	"Erster Offizier: So viel zu unserer Abmachung. Der Commander hat also ganz offensichtlich ein paar Vorsichtsmanahmen getroffen." \
	"  Ich habe jetzt irgendwie den Verdacht, dass die Schildcodes wertlos sind.\n\n",

	//	kCapturedTraitorDestroyed_msg,
	"Wissenschaftsoffizier: Das Schiff des Verrters ist vernichtet worden, aber unser Sicherheitsteam auch." \
  "  Zum Glck hatten sie noch gengend Zeit, uns die Codes zu bermitteln, bevor sie starben.\n\n",

	// kDestroyedOther_msg,
	"Wissenschaftsoffizier: Schwerer ISK-Kreuzer zerstrt.\n\n",

	//
	// Event 4 The Fleet Arrives
	//

	// kFleetArrives_msg,
	"Wissenschaftsoffizier: [PLAYER_RANK], soeben sind sieben schwere Kreuzer des ISKs in das System eingedrungen." \
	"  Sie umzingeln uns.\n\n",

	// kFleetArrivesAgreed_msg,
	"Navigator: Das andere ISK-Schiff greift uns mit halber Kraft an. Sieht so aus, als wollten sie" \
	" eine Show abziehen.\n\n",

	// kFleetArrivesHaveCodes_msg,
	"Erster Offizier: Das, wofr wir hergekommen sind, haben wir. Verschwinden wir von hier.\n\n",

	// kTooLate_msg,
	"Erster Captain des ISKs (auf einem geschlossenen Kanal): Sie haben sich zu viel Zeit gelassen, [PLAYER_RANK]. Jetzt muss ich Sie tten.\n[3]" \
	"Erster Captain des ISKs (auf einer geffneten Frequenz): ...also ergeben Sie sich, oder Sie sind tot!\n",

	//
	// Event 5 Attacking the Defector's Ship
	//

	// No messages.

	//
	// Event 6 Destroying an  ISC (non-traitor) ship
	//

	// kDestroyedFleetShip_msg,
	"Wissenschaftsoffizier: Schwerer ISK-Kreuzer zerstrt.\n\n",

	// kCapturedFleetShip_msg,
	"Sicherheitsoffizier: Schwerer ISK-Kreuzer gekapert, [PLAYER_RANK].\n\n",

	// kFleetDestroyed_msg,
	"Waffenoffizier: Das war der Letzte.\n\n",

	// kFleetDestroyedTraitor_msg,
	"Waffenoffizier: Das war der Letzte... bis auf den Verrter natrlich.\n[2]" \
	"Zum Verrter gewordener Captain des ISKs (auf einem geschlossenen Kanal): Lassen Sie uns unserer Wege gehen, bevor Verstrkung kommt.\n\n",

	//
	// Event 7 ISC Reached Planet
	//

	// kTraitorAtPlanet_msg,
	"Wissenschaftsoffizier: Das ISK-Schiff hat den Planeten erreicht.\n\n",

	// kBothAtPlanet_msg,
	"Kommunikationsoffizier: Jetzt knnen wir das ISK auf einem sicheren Kanal rufen.\n\n",

	//
	// Event 8 You Reached Planet
	//

	// kReachedPlanetFirst_msg,
	"Wissenschaftsoffizier: Wir haben den Planeten erreicht. Jetzt mssen wir nur noch warten, bis das ISK kommt.\n\n",

	// kReachedPlanet_msg,
	"Wissenschaftsoffizier: Wir haben den Planeten erreicht.\n\n",

	//
	// Event 9: Approaching The Edge of the Map
	//

	// kLeavingSystem_msg,
	"Wissenschaftsoffizier: Wir verlassen das System, [PLAYER_RANK].\n\n",

	//	kCapturedTraitorLeftSystem_msg,
	"Sicherheitsoffizier (auf dem gekaperten Schiff des Verrters): Wir verlassen das System, [PLAYER_RANK]." \
	"  Wir sehen uns dann auf der Basis.\n\n",

	//
	// Event 10: Reaching The Edge of the Map
	//

	// kLeftSystem_msg,
	"Wissenschaftsoffizier: Wir haben das System verlassen.\n\n",

	//
	//	Custom messages
	//

	//
	//	Not localized as of 10/8/00
	//
	
	//	kPlayerTeamTitle_msg,
	"Alle Tren mssen sich ffnen",

	//	kPlayerTeamBriefing_msg,
	"",

	//
	//	Not localized as of 10/17/00
	//
	
	//	kStart_msg,
	"\n\n",

	//	kStartFederation_msg,
	"[PLAYER_NAME]: Logbuch des Captains, Sternendatum, Geheimsache. Wir sind unterwegs nach [SYSTEM_NAME], um uns mit einem abtrnnigen " \
	"Admiral des ISKs zu treffen. Wir haben den Auftrag, ihm geheime Informationen ber die Aktivitten des ISKs zu entlocken. Die Anweisungen lauten, " \
	"ihm alles anzubieten, sofern dadurch nicht die Prinzipien und die Ehre der Fderation befleckt werden.\n\n[3]" \
	"Kommunikationsoffizier: [PLAYER_RANK], ich erhalte gerade Berichte ber eine groe Sondereinheit des ISKs, die " \
	"diesen Teil des Raumes durchkmmt. Hoffen wir, dass wir diese Mission rasch zu Ende bringen knnen.\n\n",
	
	//	kStartKlingon_msg,
	"[PLAYER_NAME]: Logbuch des Captains, Sternendatum, Geheimsache. Wir sind unterwegs nach [SYSTEM_NAME], um uns mit einem abtrnnigen " \
	"Admiral des ISKs zu treffen. Wir haben den Auftrag, ihm geheime Informationen ber die Aktivitten des ISKs zu entlocken. Angeblich sind " \
	"die Informationen so wertvoll, dass wir freie Hand haben, fast jeder Forderung von seiner Seite nachzugeben.\n\n[3]" \
	"Kommunikationsoffizier: [PLAYER_RANK], ich erhalte gerade Berichte ber eine groe Sondereinheit des ISKs, die " \
	"diesen Teil des Raumes durchkmmt. Hoffen wir, dass wir diese Mission rasch zu Ende bringen knnen.\n\n",
	
	//	kStartRomulan_msg,
	"[PLAYER_NAME]: Kriegsbericht, Geheimsache. Wir sind unterwegs nach [SYSTEM_NAME], um uns mit einem abtrnnigen " \
	"Admiral des ISKs zu treffen. Wir haben den Auftrag, ihm geheime Informationen ber die Aktivitten des ISKs zu entlocken. Angeblich sind " \
	"die Informationen so wertvoll, dass wir freie Hand haben, fast jeder Forderung von seiner Seite nachzugeben.\n\n[3]" \
	"Kommunikationsoffizier: [PLAYER_RANK], ich erhalte gerade Berichte ber eine groe Sondereinheit des ISKs, die " \
	"diesen Teil des Raumes durchkmmt. Unsere Tarnvorrichtung sollte grndlich geprft werden.\n\n",
	
	//	kStartLyran_msg,
	"[PLAYER_NAME]: Journal des Commanders, Haus [TEAM1_EMPIRE], [STARDATE]. Wir sind unterwegs nach [SYSTEM_NAME], um uns mit einem abtrnnigen " \
	"Admiral des ISKs zu treffen. Wir haben den Auftrag, ihm geheime Informationen ber die Aktivitten des ISKs zu entlocken. Angeblich sind " \
	"die Informationen so wertvoll, dass wir freie Hand haben, fast jeder Forderung von seiner Seite nachzugeben, sofern diese den Interessen der Lyraner nicht zuwiderlaufen.\n\n[3]" \
	"Kommunikationsoffizier: [PLAYER_RANK], ich erhalte gerade Berichte ber eine groe Sondereinheit des ISKs, die " \
	"diesen Teil des Raumes durchkmmt. Wenigstens werden wir wohl zu einem richtig schnen Kampf kommen.\n\n",
	
	//	kStartGorn_msg,
	"[PLAYER_NAME]: Logbuch des Commanders, [STARDATE]. Wir sind unterwegs nach [SYSTEM_NAME], um uns mit einem abtrnnigen " \
	"Admiral des ISKs zu treffen. Wir haben den Auftrag, ihm geheime Informationen ber die Aktivitten des ISKs zu entlocken. Die Anweisungen lauten, " \
	"fast jeder Forderung von seiner Seite nachzugeben - natrlich nur in vernnftigen Grenzen. Aber im Krieg ist die Vernunft ja meist doch nur Luxus.\n\n[3]" \
	"Kommunikationsoffizier: [PLAYER_RANK], ich erhalte gerade Berichte ber eine groe Sondereinheit des ISKs, die " \
	"diesen Teil des Raumes durchkmmt. Hoffen wir, dass wir diese Mission rasch zu Ende bringen knnen.\n\n",
	
	//	kStartHydran_msg,
	"[PLAYER_NAME]: Journal des Commanders, [STARDATE]. Wir sind unterwegs nach [SYSTEM_NAME], um uns mit einem abtrnnigen " \
	"Admiral des ISKs zu treffen. Wir haben den Auftrag, ihm geheime Informationen ber die Aktivitten des ISKs zu entlocken. Die Anweisungen lauten, " \
	"ihm alles anzubieten, sofern dadurch nicht die Prinzipien und die Ehre der Hydraner befleckt werden.\n\n[3]" \
	"Kommunikationsoffizier: [PLAYER_RANK], ich erhalte gerade Berichte ber eine groe Sondereinheit des ISKs, die " \
	"diesen Teil des Raumes durchkmmt. Hoffen wir, dass wir diese Mission rasch zu Ende bringen knnen.\n\n",
	
	//	kStartMirak_msg,
	"[PLAYER_NAME]: Jagdbericht, [STARDATE]. Wir sind unterwegs nach [SYSTEM_NAME], um uns mit einem abtrnnigen " \
	"Admiral des ISKs zu treffen. Wir haben den Auftrag, ihm geheime Informationen ber die Aktivitten des ISKs zu entlocken. Angeblich sind " \
	"die Informationen so wertvoll, dass wir freie Hand haben, fast jeder Forderung von seiner Seite " \
	"nachzugeben. Pauschale Zusagen machen mich immer irgendwie nervs.\n\n[3]" \
	"Kommunikationsoffizier: [PLAYER_RANK], ich erhalte gerade Berichte ber eine groe Sondereinheit des ISKs, die " \
	"diesen Teil des Raumes durchkmmt. Wenigstens werden wir wohl zu einem richtig schnen Kampf kommen.\n\n",

	//
	//	Not localized as of 10/17/00
	//

	//	kScanning_msg,
	"Wissenschaftsoffizier: Wir scannen...\n\n",

	//	kDisconnect_msg,
	"Mission eingebt\n\n",
};

#else

std::string Messages[] =
{
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_X4M3ADoors",

	//
	//	Briefing message
	//

	//	kDescription_msg,
	"Negotiate with the ISC; give them what they want if the deal is fair and doesn't compromise [PLAYER_RACE] interests.\n\n",

	// kFBriefing_msg,
	"Remember that listening device you planted on the ISC freighter a long time ago?" \
	"  Well, it's finally paid off. We've heard talk of insurrection from several ISC" \
	" officers, and we've made contact with the leader.  I guess even locked doors must" \
	" eventually open.\n\nHe wanted to speak with one of our best captains, and so we've" \
	" chosen you.  Your task is to go to [SYSTEM_NAME] and negotiate. Go to the planet" \
	" - when you're both there, talk.  Your task will be to find out what he wants, and" \
	" to pay his price if it sounds reasonable.  You know there are standards that the" \
	" Federation will not violate.\n\nThis could be a trap. We do know that a big ISC" \
	" task force has been seen near the system, so watch your back.\n\nDismissed.\n\n",

	// kKBriefing_msg,
	"Months ago, you boarded an ISC freighter and an intrusion team adjusted communications" \
	" equipment that the freighter was carrying.  Now, that mission has paid off.  We've overheard" \
	" talk of insurrection from several ISC officers, and we've made contact with their leaders," \
	" a quartet of Veltrassai telepaths.  A new door has opened to us.\n\nThe Veltressai wanted" \
	" to speak with one of our best captains, and so we've chosen you.  Your task is to go to" \
	" [SYSTEM_NAME] and negotiate.  Go to the planet - when you're both there, talk.  Your task" \
	" will be to find out what he wants, and to pay his price if it does not compromise your" \
	" security or that of the Empire.\n\nThis could be a trap. We do know that a large ISC task" \
	" force has been seen near the system, so be on your guard.\n\nQapla.\n\n",

	// kRBriefing_msg,
	"Months ago, you boarded an ISC freighter and an intrusion team adjusted communications" \
	" equipment that the freighter was carrying.  Now, that mission has paid off. We've overheard" \
	" talk of insurrection from several ISC officers, and we've made contact with their leaders," \
	" a quartet of Veltrassai telepaths.  A new door has opened to us.\n\nThe Veltressai wanted" \
	" to speak with one of our best captains, and so we've chosen you.  Your task is to go" \
	" to [SYSTEM_NAME] and negotiate.  Go to the planet - when you're both there, talk.  Your task" \
	" will be to find out what he wants, and to pay his price if it does not compromise your" \
	" security or that of the Empire.\n\nThis could be a trap.  We do know that a large ISC task" \
	" force has been seen near the system, so watch your back.\n\nDismissed.\n\n",

	// kLBriefing_msg,
	"Months ago, you boarded an ISC freighter and an intrusion team adjusted communications" \
	" equipment that the freighter was carrying. Now, that mission has paid off. We've overheard" \
	" talk of insurrection from several ISC officers, and we've made contact with their leaders," \
	" a quartet of Veltrassai telepaths. A new door has opened to us.\n\nThe Veltressai wanted" \
	" to speak with one of our best captains, and so we've chosen you.  Your task is to go to" \
	" [SYSTEM_NAME] and negotiate.  Go to the planet - when you're both there, talk.  Your task" \
	" will be to find out what he wants, and to pay his price if it does not compromise Lyran" \
	" security.\n\nThis could be a trap.  We do know that a large ISC task force has been seen" \
	" near the system, so watch your back.\n\nDismissed.\n\n",

	// kHBriefing_msg,
	"Remember that listening device you planted on the ISC freighter a long time ago?  Well, " \
	" it's finally paid off.  We've heard talk of insurrection from several ISC officers, and" \
	" we've made contact with the leader.  I guess even locked doors must eventually open." \
	"\n\nHe wanted to speak with one of our best captains, and so we've chosen you.  Your task is" \
	" to go to [SYSTEM_NAME] and negotiate.  Go to the planet - when you're both there, talk." \
	"  Your task will be to find out what he wants, and to pay his price if it sounds reasonable" \
	" - financially and morally, of course.  We can't lower our standards for opportunistic reasons," \
	" you know.\n\nThis could be a trap.  We do know that a big ISC task force has been seen near" \
	" the system, so watch your guard.\n\nDismissed.\n\n",

	// kGBriefing_msg,
	"Remember that listening device you planted on the ISC freighter a long time ago?  Well," \
	" it's finally paid off.  We've heard talk of insurrection from several ISC officers, and" \
	" we've made contact with the leader.  I guess even locked doors must eventually open." \
	"\n\nHe wanted to speak with one of our best captains, and so we've chosen you.  Your task" \
	" is to go to [SYSTEM_NAME] and negotiate.  Go to the planet - when you're both there, talk." \
	" Your task will be to find out what he wants, and to pay his price if it is in the best" \
	" interest of the Gorn Confederation.\n\nThis could be a trap.  We do know that a big ISC" \
	" task force has been seen near the system, so watch your guard. \n\nDismissed.\n\n",

	// kMBriefing_msg,
  "Months ago, you boarded an ISC freighter and an intrusion team adjusted communications" \
	" equipment that the freighter was carrying.  Now, that mission has paid off.  We've" \
	" overheard talk of insurrection from several ISC officers, and we've made contact with" \
	" their leaders, a quartet of Veltrassai telepaths.  A new door has opened to us." \
	"\n\nThe Veltressai wanted to speak with one of our best captains, and so we've chosen you." \
	"  Your task is to go to [SYSTEM_NAME] and negotiate.  Go to the planet - when you're both" \
	" there, talk.  Your task will be to find out what he wants, and to pay his price if it is" \
	" in the best interest of the Mirak Hegemony.\n\nThis could be a trap.  We do know that a" \
	" large ISC task force has been seen near the system, so watch your guard.\n\nGo.  Indulge" \
	" yourself in the joys of the hunt.\n\n",

	//
	//	Debriefing messages
	//
	// kFH_NoOffer_msg, (defeat)
	"You were supposed to reach the ship and hear its offer." \
	"  You didn't show enough patience to do that." \
	"  Next time, try hailing the ship and see what it has to say." \
	"\n\nDismissed.\n\n",

	// kFH_Accepted_msg,  (devastating defeat)
	"I don't know who you think you are: a Klingon, a Lyran maybe, but certainly not a" \
	" [PLAYER_RACE] officer. We have morals, we have standards, and you made a joke" \
	" of them today.\n\nYou're being held for court martial." \
	"  The security will take you back to your cell.  Get out.",

	// kFH_RefusedNoCode_msg, (victory)
	"I commend you on refusing the ISC's treacherous offer, but if there was any chance" \
	" we could have discovered the ISC shield codes, we should have attempted it." \
	"  I know you felt this was a truce situation, but they violated it.  You should have" \
	" boarded their vessel and taken the codes by force.\n\nBut don't feel too upset." \
	"  Sometimes moral victories are pretty good.",

	// kFH_Code_msg, (astounding victory)
	"Congratulations on discovering the shield codes without compromising [PLAYER_RACE] ethics" \
	" or security.  While they will probably change the codes, we now know enough about their" \
	" basic structure that our intelligence will be able to stay current with whatever changes" \
	" they make.  I think they'll come in handy in the battle to come.\n\nDismissed.\n\n",

	// kFH_NoResponseToOfferNoCode_msg, (draw)
	"The ISC's treacherous offer was reprehensable.  You should have formally rejected it" \
	"instead of leaving any doubt to your honor.  If there was any chance" \
	" we could have discovered the ISC shield codes, you should have attempted it." \
	"  I know you felt this was a truce situation, but they violated it.  You should have" \
	" boarded their vessel and taken the codes by force.",

	// non-Fed/Hydran Victory Messages.
	// kNoOffer_msg, (draw)
	"You were supposed to reach the ship and hear its offer." \
	"  You didn't show enough patience to do that." \
	"  Next time, try hailing the ship and see what it has to say." \
	"\n\nDismissed.",

	// kRefusedNoCode_msg, (devastating defeat)
	"Who the hell do you think you are?  This is not your little ethical playground, this is war," \
	" and in war there are two rules: win and survive!  How dare you mess up an opportunity that" \
	" would have given us such an extraordinary tactical advantage and weakened our enemy in the" \
	" next war!\n\nGet out of my sight!",

	// kAccepted_msg, (astounding victory)
	"Well done, soldier.  You managed to gather a vital piece of information in our war against the" \
	" ISC.  While they will probably change the codes, we now know enough about their basic structure" \
	" that our intelligence will be able to stay current with whatever changes they make." \
	"\n\nAnd hopefully, this contact in the ISC insurrection will continue to be useful to us." \
	"\n\nDismissed.",

	// kCode_msg, (victory)
	"Well done, soldier.  You managed to gather a vital piece of information in our war against the" \
	" ISC.  While they will probably change the codes, we now know enough about their basic structure" \
	" that our intelligence will be able to stay current with whatever changes they make." \
	"\n\nDismissed.",

	// kNoResponseToOfferNoCode_msg, (defeat)
	"What the hell is wrong with you?  How dare you mess up an opportunity that" \
	" would have given us such an extraordinary tactical advantage and weakened our enemy in the" \
	" next war!\n\nIf you can't make the difficult decisions, I'll send somebody else who can!",

	//
	//	Comm buttons
	//
	// kHail_btn,
	"Hail",

	// kAccept_btn,
	"Accept Offer",

	// kReject_btn,
	"Reject Offer",

	// kDemandSurrender_btn,
	"Demand Surrender",

	// kRatOutTraitor_btn,
	"Rat out Traitor",

	// kHail_CS2_btn,
	"Hail",

	// kHail_CS3_btn,
	"Request Details",

	// kAboutOffer_btn,
	"About that Offer...",

	// kRespond_btn,
	"Respond to Offer",

	// kRequestInfo_btn,
	"Request Information",

	// kRepeat_btn,
	"Repeat Details",

	// kMoreInfo_btn,
	"More Info",

	//
	//	Comm messages
	//
	// kBlank_msg,
	"",

	// kNoResponseDistance_msg,
	"No response.  They want to talk on a secure channel.  We'll need to get within 20,000 kilometers" \
	" for that.",

	// kNoResponse_msg,
	"No response.",

	// kContact_msg,
	"This is [PLAYER_RANK] [PLAYER_NAME] of the [PLAYER_RACE] ship [PLAYER_SHIP_NAME]." \
	"  On behalf of the [PLAYER_RACE]...[3]" \
	"ISC Captain: We are Qori.  We know who you are.  Let us get to specifics." \
	"  My race is dying, [PLAYER_RANK].  Dying of the poison of violence." \
	"The young commanders of our race have no loyalty to the cause of peace." \
	"  They only seek glory and destruction.[5]" \
	"[PLAYER_NAME]: We've contaminated you?[2]" \
	"ISC Captain: Exactly!  The only hope for our people is to lose this war and return" \
	" to our home space!  But if we lose the war without attaining some glory...[5]" \
	"[PLAYER_NAME]: I'm not sure I like the sounds of this.[2]" \
	"ISC Captain: Our career will be in ruins.  Wait, we're receiving another transmission." \
	"  Hail us again if you wish to talk again.",


	// kGloryContact_msg,
	"This is [PLAYER_RANK] [PLAYER_NAME] of the [PLAYER_RACE] ship [PLAYER_SHIP_NAME]." \
	"  On behalf of the [PLAYER_RACE]...[3]" \
	"ISC Captain: We are Qori.  We know who you are.  Let us get to specifics. " \
	"My race is dying, [PLAYER_RANK].  Dying of the poison of violence. " \
	"The young commanders of our race have no loyalty to the cause of peace." \
	"  They only seek glory and destruction.[7]" \
	"[PLAYER_NAME]: Glory and destruction are what we value most.[2]" \
	"ISC Captain: Exactly!  The only hope for our people is to lose this war and return" \
	" to our home space!  But if we lose the war without attaining some glory...[5]" \
	"[PLAYER_NAME]: I'm not sure I like the sounds of this.[2]" \
	"ISC Captain: Our career will be in ruins.  Wait, we're receiving another transmission." \
	"  Hail us again if you wish to talk again.",

	// kDetails_msg,
	"ISC Captain: We had better hurry.  Seven ISC cruisers will be here very soon, " \
	" and if we want to maintain our credibility we'll have to attack you.[3]" \
	"[PLAYER_NAME]: Let's see.  You want to save your race AND your career at the same time?" \
	"  I am soooo inspired by you.[3]" \
	"ISC Captain: We can recognize sarcasm, [PLAYER_RANK].  Let's cut to \"the chase\".[2]" \
	"[PLAYER_NAME]: Fine.  What do you want?[2]" \
	"ISC Captain: Battle plans for one of this quadrant's other races." \
	"  You have intelligence on your allies - allies who will turn on you" \
	" the second this war is over." \
	"In exchange, you'll receive the access codes to the main ISC base." \
	"  We get a major victory - you get to lower our base's shields and" \
	" win the war.  Think about it, [PLAYER_RANK].  But not too long.",

	// kAboutOffer_msg,
	"[PLAYER_NAME]: About that offer...",

	// kRequestInfo_msg,
	"ISC Captain: What is it?  We haven't got all day.",

	// kRepeatOffer_msg,
	"[PLAYER_NAME]: I didn't catch all of it.  Could you repeat it?" \
	"ISC Captain: *sighs*  You give us information about the fleet composition of" \
	" one of your allies" \
	" - allies who will most assuredly turn on you when we're gone.  In return," \
	" we give you the shield codes to our main base in the area.",

	// 	kMoreInfo_msg,
	"[PLAYER_NAME]: I have more questions." \
	"ISC Captain: Accept or reject.  If the strengths of our case aren't obvious," \
	" there's not a lot more we can say.",

	// kGetOut_msg,
	"ISC Captain: You've you've made your decision, [PLAYER_RANK].  You'd better get out before the task force arrives.",

	// kOfferRepsonse_msg,
	"ISC Captain: Well, what have you decided?",

	// Accept Responses

	// kFAccept_msg,
	"[PLAYER_NAME]: You're a temporary nuisance.  The Klingon Empire is an untrustworthy, " \
	" long-term threat." \
	"In the words of Admiral Cartwright: \"Klingons cannot be trusted.  Kill them all.\"[7]" \
	"ISC Captain: Was not your Admiral Cartwright court martialed?[3]" \
	"[PLAYER_NAME]: It's the price patriots sometimes pay.  Here's the data.[3]" \
	"ISC Captain: And yours.  It has not been a pleasure, but it's certainly been interesting.",

	// kKAccept_msg,
	"[PLAYER_NAME]: The Klingon Empire is glad to give you whatever data you require on the" \
	" Federation - unofficially, of course.[5]" \
	"ISC Captain: The people of this quadrant do enjoy smiling, don't they?[3]" \
	"[PLAYER_NAME]: Klingons believe the best way to bare one's fangs is with a grin.[3]" \
	"ISC Captain: You believe a lot of things.  Let's just end the deal.  Sending data.[3]" \
	"[PLAYER_NAME]: Sending data.  It is a pleasure doing business with the moral giants of the ISC.",


	// kRAccept_msg,
	"[PLAYER_NAME]: We of course, refuse such an offer. " \
	"The data you are receiving now about" \
	" the Federation and the Klingons must have been taken from some other operative.[7]" \
	"ISC Captain: And clearly the data you are receiving did not come from us.[3]" \
	"[PLAYER_NAME]: I do not know why this quadrant considers espionage to be a dramatic form." \
	"  It is clearly farce.",

	// kLAccept_msg,
	"[PLAYER_NAME]: Death to the Mir... to the ones we do not name aloud." \
	"  Take these misbegotten patriarchs and burn their planets to cinders." \
	"Fill the universe with their cries, then silence them![5]" \
	"ISC Captain: You disgust us.[2]" \
	"[PLAYER_NAME]: I can clearly tell that you have never met them, otherwise" \
	" you would not have made such a stupid statement.  We are sending our data." \
	"ISC Captain: And we are sending ours. Good bye.",

	// kHAccept_msg,
	"[PLAYER_NAME]: We suffered greatly, a century ago, when the Klingons and the" \
	" Lyrans occupied Hydran space." \
	"Now I have the ability to do them the same injuries" \
	" they did my forefathers.  If I say yes, I will be no better than they.  But their" \
	" ghosts cry vengeance.  I will not shut my ears to them.  Here is your data.[7]" \
	"ISC Captain: And here is your vengeance.[2]" \
	"[PLAYER_NAME]: Vengeance. Very good. It's done.",

	// kGAccept_msg,
	"[PLAYER_NAME]: Here's the best data we have on Romulan military strength and operations." \
	"As well as Federation activities along their neutral zone.[4]" \
	"ISC Captain: Very efficient.[2]" \
	"[PLAYER_NAME]: The deed demands efficiency.[2]" \
	"ISC Captain: We suppose.  And here are the codes to our main base's shield controls.[3]" \
	"[PLAYER_NAME]: Then the matter is concluded.",

	// kMAccept_msg,
	"[PLAYER_NAME]: We do not need these codes, of course." \
	"But our hatred of the Lyrans is great enough that we'll gladly" \
	" give you whatever information you need to weaken them." \
	"  The codes to your base are merely a bonus.[8]" \
	"ISC Captain: Transmitting codes.[1]" \
	"[PLAYER_NAME]: As are we.  All in all, a profitable exchange.",


	// Reject Responses.

	// kFReject_msg,
	"[PLAYER_NAME]: The Federation does not betray its allies." \
	"  I'm surprised your four \"Peace-loving\" intellects couldn't get together" \
	" and realize that before you gave us your petty little offer.[7]" \
	"ISC Captain: You insult your betters.[2]" \
	"[PLAYER_NAME]: You don't have the right to call me that and you know it.  We contaminated you?" \
	"  You're the contaminant!  And I won't rest until we've removed you from this quadrant.",

	// kKReject_msg,
	"[PLAYER_NAME]: The Klingon Empire needs no one to help conduct its campaigns. " \
	"We have slaughtered our enemies for centuries, and we shall continue to do so long" \
	" after we've added your race to the list of the dead.[8]" \
	"ISC Captain: Barbarian! Butcher![1]" \
	"[PLAYER_NAME]: Realist!  Survivor!  And not a hypocrite, unlike you, who would see their own kind" \
	" die just to advance their career, while still maintaining a righteous face. " \
	"When you came to this quadrant, I thought you as bad as the Federation.  I was wrong." \
	"  You're far worse.",

	// kRReject_msg,
	"[PLAYER_NAME]: We reject your offer.  The value of our allies is not commensurate with your offer;" \
	" the ISC effort in this quadrant is already doomed, and I gain nothing by helping you that" \
	" I cannot accomplish on my own.  And it is irksome to deal with traitors.[7]" \
	"ISC Captain: We are no traitors![1]" \
	"[PLAYER_NAME]: Then there is no such thing as treason, for who willingly wears a traitor's badge?" \
	"But I do not judge you.  I merely refuse you.  When you have a better offer, the Romulan" \
	" Empire will listen.",

	// kLReject_msg,
	"[PLAYER_NAME]: As much as I wish our enemies slaughtered, I think your star is falling." \
	"Even if I were to give you the information, you are not in a position to use it to its" \
	" best advantage." \
	"And if it were to become known that we gave it to you, even our friends would shun us." \
	"  The answer must be no.[8]" \
	"ISC Captain: You're making a big mistake.[2]" \
	"[PLAYER_NAME]: I do not think so.",

	// kHReject_msg,
	"[PLAYER_NAME]: We suffered greatly, a century ago, when the Klingons and the Lyrans occupied" \
	" Hydran space. " \
	"Now I have the ability to do them the same injuries they did my forefathers." \
	"  If I say yes, I will be no better than they.  But their ghosts cry vengeance." \
	"  And how can I deny them?[7]" \
	"ISC Captain: Be true to them!  Do not deny their voices![3]" \
	"[PLAYER_NAME]: No.  I will not let the dead rule my life." \
	"  I must be true to myself, and if the dead wish to reproach me, they may do so after I'm dead." \
	" So that's that.  The answer is no.",

	// kGReject_msg,
	"[PLAYER_NAME]: The Gorn Confederation is not built upon a foundation of treachery and murder.[3]"\
	"ISC Captain: Are you so naive to still believe that?  Think of your own career![3]" \
	"[PLAYER_NAME]: I'm not so ignorant of our past that I haven't learned from it.  Take your offer" \
	" elsewhere.[3]" \
	"ISC Captain: You'll regret this decision.[2]" \
	"[PLAYER_NAME]: Not so much as you, I think.",

	// kMReject_msg,
	"[PLAYER_NAME]: This offer stinks of betrayal, cowardice, and pettiness, in such a measure that I" \
	" would be stained forever by it." \
	"Take your offer and choke on it!  Go back to your people and" \
	" watch us destroy them, and your career with it![8]" \
	"ISC Captain: You stinking, primitive beast![2]" \
	"[PLAYER_NAME]: [Laughs]. On second thought, perhaps you will not survive to see your empire fall.",


	// kTraitorSurrenderResponse_msg,
	"ISC Captain: No, we must decline.",

	// kHailFleet1_msg,
	"[PLAYER_NAME]: This is [PLAYER_NAME] of the [PLAYER_SHIP_NAME].  What is your business here?[3]" \
	"ISC Captain: We are coming to the aid of a comrade.  I'm sorry if we spoiled your fun." \
	"  But now it's our turn.",

	// kHailFleet2_msg,
	"[PLAYER_NAME]: This is [PLAYER_NAME] of the [PLAYER_SHIP_NAME].  What is your business here?[3]" \
	"ISC Captain: I would think that was obvious.  If you can't figure it out, lower your shields" \
	" and we'll make it easy.",

	// kHailFleet3_msg,
	"[PLAYER_NAME]: This is [PLAYER_NAME] of the [PLAYER_SHIP_NAME].  What is your business here?[3]" \
	"ISC Captain: A routine patrol, with one minor complication that we're about to deal with.",

	// kRat1_msg,
	"[PLAYER_NAME]: Are you aware that the commander of the ship we met attempted to give us the shield" \
	" codes for your main base?[4]" \
	"ISC Captain: Don't be absurd.",

	// kRat2_msg,
	"[PLAYER_NAME]: Are you aware that the commander of the ship we met attempted to give us the shield" \
	" codes for your main base?[4]" \
	"ISC Captain: How dare you accuse one of our most honored officers of treason!",

	// kRat3_msg,
	"[PLAYER_NAME]: Are you aware that the commander of the ship we met attempted to give us the shield" \
	" codes for your main base?[4]" \
	"ISC Captain: He's my superior officer. It's not my place to question him.",

	// kRat_Response_msg,
	"Traitorous ISC Captain (on closed channel): That was a mistake.  My allies will now make" \
	" sure the information is useless to you.",

	//
	//	Victory rating
	//

	//	kAstoundingVictory_msg,
	"Astounding Victory!\n",

	//	kVictory_msg,
	"Victory!\n",

	//	kDraw_msg,
	"Draw.\n",

	//	kDefeat_msg,
	"Defeat.\n",

	//	kDevastatingDefeat_msg,
	"Devastating Defeat!\n",

	//
	//	Random chatter
	//

	//	kRandChat1_msg,
	"Helm: Approaching [SYSTEM_NAME] Prime.",

	//	kRandChat2_msg,
	"Engineer: I wonder what the ISC have that's so important?",

	//	kRandChat3_msg,
	"Security Officer: Just give us the word; Security forces at your command.",

	//	kRandChat4_msg,
	"Navigation: I managed to trim 75 seconds from our projected transit to [SYSTEM_NAME].",

	//	kRandChat5_msg,
	"Weapons Officer: I've had the Phaser crews performing defensive fire drills for the past week.",

	//	kRandChat6_msg,
	"Science Officer: I'll take this opportunity to update our scientific logs with information from the planet.",

	//
	//	Titles (or names) of ships and objects
	//

	// kPlanet_name,
	"[SYSTEM_NAME] Prime",

	// kTraitorShip1_name,
	"Vidkun",
	// kTraitorShip2_name,
	"Alcibiades",
	// kTraitorShip3_name,
	"Cassius",
	// kTraitorShip4_name,
	"Iscariot",
	// kTraitorShip5_name,
	"Benedict",

	//
	//	Event dialog
	//

	//
	//	Event 1: Starting messages
	//

	// kFStart_msg,
	"[PLAYER_NAME]: Captain's Log, Stardate, Classified.  We are headed for [SYSTEM_NAME]" \
	" to rendezvous with a rogue ISC admiral.  Our job is to get privileged information from" \
	" him on ISC activities. " \
	"We've been told to offer him anything that doesn't compromise" \
	" Federation principles and honor.[7]" \
	"Communications Officer: [PLAYER_RANK], I'm receiving reports of a large ISC task force combing this" \
	" area of space.  Let's hope we can finish this mission quickly.",

	// kKStart_msg,
	"[PLAYER_NAME]: War Record, Classifed.  We are headed for [SYSTEM_NAME] to rendezvous" \
	" with a rogue ISC admiral.  Our job is to get privileged information from him on ISC" \
	" activities. " \
	"The information is allegedly so valuable that we've been authorized to" \
	" offer him nearly anything he wants.[7]" \
	"Communications Officer: [PLAYER_RANK], I'm receiving reports of a large ISC task force combing this" \
	" area of space.  At least we should have plenty of battle.",

	// kRStart_msg,
	"[PLAYER_NAME]: Record of the [TEAM1_EMPIRE], [STARDATE].  We are headed for [SYSTEM_NAME]" \
	" to rendezvous with a rogue ISC admiral.  Our job is to get privileged information from him" \
	" on ISC activities. " \
	"The information is allegedly so valuable that we have been authorized" \
	" to offer him nearly anything he wants.[7]" \
	"Communications Officer: [PLAYER_RANK], I am receiving reports of a large ISC task force combing this" \
	" area of space.  Our cloaking device should get a thorough testing.",

	// kLStart_msg,
	"[PLAYER_NAME]: Commander's journal, House of [TEAM1_EMPIRE], [STARDATE].  We are headed for" \
	" [SYSTEM_NAME] to rendezvous with a rogue ISC admiral.  Our job is to get privileged information" \
	" from him on ISC activities. " \
	"The information is allegedly so valuable that we've been authorized" \
	" to offer him anything he wants that does not compromise Lyran interests.[7]" \
	"Communications Officer: [PLAYER_RANK], I'm receiving reports of a large ISC task force combing this" \
	" area of space.  At least we should have plenty of battle.",

	// kHStart_msg,
	"[PLAYER_NAME]: Commander's journal, [STARDATE].  We are headed for [SYSTEM_NAME] to rendezvous" \
	" with a rogue ISC admiral.  Our job is to get privileged information from him on ISC" \
	" activities. " \
	"We've been told to offer him anything that doesn't compromise Hydran principles" \
	" and honor.[7]" \
	"Communications Officer: [PLAYER_RANK], I'm receiving reports of a large ISC task force combing this" \
	" area of space.  Let's hope we can finish this mission quickly.",

	// kGStart_msg,
	"[PLAYER_NAME]: Commander's log, [STARDATE].  We are headed for [SYSTEM_NAME] to rendezvous" \
	" with a rogue ISC admiral.  Our job is to get privileged information from him on ISC" \
	" activities. " \
	"We've been told to offer him anything he wants - within reason, of course." \
	"  But war rarely affords the luxury of reason.[7]"\
	"Communications Officer: [PLAYER_RANK], I'm receiving reports of a large ISC task force combing this" \
	" area of space.  Let's hope we can finish this mission quickly.",

	// kMStart_msg,
	"[PLAYER_NAME]: Hunt record, [STARDATE].  We are headed for [SYSTEM_NAME] to rendezvous with a rogue" \
	" ISC admiral.  Our job is to get privileged information from him on ISC activities. "\
	"The information is allegedly so valuable that we've been authorized to offer him nearly anything he wants in" \
	" exchange for it.  Blanket promises make me nervous.[8]" \
	"Communications Officer: [PLAYER_RANK], I'm receiving reports of a large ISC task force combing this" \
	" area of space.  At least we should have plenty of battle.",

	//
	// Event 2 Boarding The Traitor
	//

	// kCaptureNoOffer_msg,
	"Security Officer: We've captured the traitor's ship.  We found something very interesting -" \
	" codes for the main ISC base.",

	// kCapture_msg,
	"Security Officer: We've captured the traitor's ship.  We've taken the shield codes from him." \
	"  Everything is secure.",

	// kCaptureAccepted_msg,
	"Security Officer: We've captured the traitor's ship.  We've found the original copy of the shield codes." \
	"  Everything is secure.",

	//
	// Event 3 Killing The Defector
	//

	// kDestroyedNoCodes_msg,
	"Science Officer: ISC Heavy Cruiser destroyed. There goes our chance at getting what we wanted.",

	// kDestroyedNoDecisionWithCodesNoFleet_msg,
	"Science Officer: ISC Heavy Cruiser has been destroyed.  Seven more ISC cruisers are closing" \
	" rapidly on the system.  It looks like they're surrounding us.[7]" \
	"Communications Officer: Command is advising us to leave the system immediately, [PLAYER_RANK].",

	// kDestroyedAgreed1_msg,
	"Science Officer: ISC Heavy Cruiser has been destroyed.[2]" \
	"First Officer: So much for our agreement.  Undoubtedly the commander took some precautions." \
	"  I suspect now that the shield codes are worthless.\n\n",

	//	kCapturedTraitorDestroyed_msg,
	"Science Officer: The Traitor's ship was destroyed, along with our security team." \
  "  Fortunately, they had enough time to transmit the codes to us before they died.",

	// kDestroyedOther_msg,
	"Science Officer: ISC Heavy Cruiser has been destroyed.",

	//
	// Event 4 The Fleet Arrives
	//

	// kFleetArrives_msg,
	"Science Officer: [PLAYER_RANK], Seven ISC heavy cruisers have just entered the system." \
	"  They're surrounding us.",

	// kFleetArrivesAgreed_msg,
	"Helmsman: The other ISC ship is attacking us, at half strength.  Looks like they're trying" \
	" to put on a show.",

	// kFleetArrivesHaveCodes_msg,
	"First Officer: We got what we came for. Let's get out of here.",

	// kTooLate_msg,
	"First ISC Captain (on closed channel): You took too long, [PLAYER_RANK].  Now I'll have to kill you.\n[3]" \
	"First ISC Captain (on open frequency): ...so if you won't submit peacefully, then it's Death!",

	//
	// Event 5 Attacking the Defector's Ship
	//

	// No messages.

	//
	// Event 6 Destroying an  ISC (non-traitor) ship
	//

	// kDestroyedFleetShip_msg,
	"Science Officer: ISC heavy cruiser destroyed.",

	// kCapturedFleetShip_msg,
	"Security Officer: ISC heavy cruiser captured, [PLAYER_RANK].",

	// kFleetDestroyed_msg,
	"Weapons Officer: That was the last of them.",

	// kFleetDestroyedTraitor_msg,
	"Weapons Officer: That was the last of them... except for the traitor, of course.[2]" \
	"Traitorous ISC Captain (on closed channel): Let's go our seperate ways before reinforcements arrive.",

	//
	// Event 7 ISC Reached Planet
	//

	// kTraitorAtPlanet_msg,
	"Science Officer: The ISC ship has arrived at the planet.",

	// kBothAtPlanet_msg,
	"Communications Officer: We can now hail the ISC on a secure channel.",

	//
	// Event 8 You Reached Planet
	//

	// kReachedPlanetFirst_msg,
	"Science Officer: We've reached the planet. Now we have to wait for the ISC to arrive.",

	// kReachedPlanet_msg,
	"Science Officer: We've reached the planet.",

	//
	// Event 9: Approaching The Edge of the Map
	//

	// kLeavingSystem_msg,
	"Science Officer: Leaving the system, [PLAYER_RANK].",

	//	kCapturedTraitorLeftSystem_msg,
	"Security Officer (On captured Traitor's Ship): Leaving System, [PLAYER_RANK]." \
	"  We'll rendezvous back at base.",

	//
	// Event 10: Reaching The Edge of the Map
	//

	// kLeftSystem_msg,
	"Science Officer: We've left the system.",

	//
	//	Custom messages
	//

	//
	//	Not localized as of 10/8/00
	//
	
	//	kPlayerTeamTitle_msg,
	"All Doors Must Open",

	//	kPlayerTeamBriefing_msg,
	"",

	//
	//	Not localized as of 10/17/00
	//
	
	//	kStart_msg,
	"",

	//	kStartFederation_msg,
	"[PLAYER_NAME]: Captain's log, Stardate Classfied. We are headed for [SYSTEM_NAME] to rendez-vous with a " \
	"rogue ISC admiral. Our job is to get privileged information from him on ISC activities. We've been told to " \
	"offer him anything that doesn't compromise Federation principles and honor.[3]" \
	"Communications Officer: [PLAYER_RANK], I'm receiving reports of a large ISC task force combing this " \
	"area of space. Let's hope we can finish this mission quickly.",
	
	//	kStartKlingon_msg,
	"[PLAYER_NAME]: Captain's log, Stardate Classfied. We are headed for [SYSTEM_NAME] to rendez-vous with a " \
	"rogue ISC admiral. Our job is to get privileged information from him on ISC activities. The information " \
	"is allegedly so valuable that we have been authorized to offer him nearly anything he wants.[3]" \
	"Communications Officer: [PLAYER_RANK], I'm receiving reports of a large ISC task force combing this " \
	"area of space. Let's hope we can finish this mission quickly.",
	
	//	kStartRomulan_msg,
	"[PLAYER_NAME]: War Record, Classfied. We are headed for [SYSTEM_NAME] to rendez-vous with a " \
	"rogue ISC admiral. Our job is to get privileged information from him on ISC activities. The information " \
	"is allegedly so valuable that we have been authorized to offer him nearly anything he wants.[3]" \
	"Communications Officer: [PLAYER_RANK], I'm receiving reports of a large ISC task force combing this " \
	"area of space. Our cloaking device should get a thorough testing.\n\n",
	
	//	kStartLyran_msg,
	"[PLAYER_NAME]: Commander's journal, House of [TEAM1_EMPIRE], [STARDATE]. We are headed for [SYSTEM_NAME] to rendez-vous with a " \
	"rogue ISC admiral. Our job is to get privileged information from him on ISC activities. The information is " \
	"allegedly so valuable that we've been authorized to offer him anything he wants that does not compromise Lyran interests.[3]" \
	"Communications Officer: [PLAYER_RANK], I'm receiving reports of a large ISC task force combing this " \
	"area of space. At least we should have plenty of battle.",
	
	//	kStartGorn_msg,
	"[PLAYER_NAME]: Commander's log, [STARDATE]. We are headed for [SYSTEM_NAME] to rendez-vous with a " \
	"rogue ISC admiral. Our job is to get privileged information from him on ISC activities. We've been told to " \
	"offer him anything he wants -- within reason, of course. But war rarely affords the luxury of reason.[3]" \
	"Communications Officer: [PLAYER_RANK], I'm receiving reports of a large ISC task force combing this " \
	"area of space. Let's hope we can finish the mission quickly.",
	
	//	kStartHydran_msg,
	"[PLAYER_NAME]: Commander's journal, [STARDATE]. We are headed for [SYSTEM_NAME] to rendez-vous with a " \
	"rogue ISC admiral. Our job is to get privileged information from him on ISC activities. We've been told to " \
	"offer him anything that doesn't compromise Hydran principles and honor.[3]" \
	"Communications Officer: [PLAYER_RANK], I'm receiving reports of a large ISC task force combing this " \
	"area of space. Let's hope we can finish the mission quickly.",
	
	//	kStartMirak_msg,
	"[PLAYER_NAME]: Hunt record, [STARDATE]. We are headed for [SYSTEM_NAME] to rendez-vous with a " \
	"rogue ISC admiral. Our job is to get privileged information from him on ISC activities. The information is " \
	"allegedly so valuable that we've been authorized to offer him nearly anything he wants in exchange for " \
	"it. Blanket promises make me nervous.[3]" \
	"Communications Officer: [PLAYER_RANK], I'm receiving reports of a large ISC task force combing this " \
	"area of space. At least we should have plenty of battle.",

	//
	//	Not localized as of 10/17/00
	//

	//	kScanning_msg,
	"Science Officer: Scanning...",

	//
	//	Not localized as of 11/5/00
	//

	//	kDisconnect_msg,
	"Forfeit",
};

#endif