/********************************************************************************************************\

	File Name:	Uni_X4M3ADoors.h
	Descript:	Meet with an ISC Traitor and listen to his offer.

\********************************************************************************************************/

#if !defined( Uni_X4M3ADoors_h )
#define Uni_X4M3ADoors_h

#include "ScriptInterface.h"

//---------------------------------------------------------------------------------------------
// the following enum is used to identify all non-player teams in the script
// (use kPlayerTeam to access the current players team.)
enum eTeamTypes
{
	kPlayerTeam = kTeam1,
	kTraitorTeam,
	kFleetTeam,
	kPlanetTeam,
	kDraft1Team,
    kDraft2Team,
};

class tVictoryCondition;

class tUni_X4M3ADoors : public tScript
{
public:

	tUni_X4M3ADoors();

	virtual void	mStartMission();
	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual int32	mInitializeFinished();
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual void	mASCIIOverrides( tMapOverrides* Map );
	virtual void	mInitializeDraw( const int32 MapPicked );
	virtual void	mDefineBriefings( void );
	virtual void	mDefineTeamShipStrengths( void );
};

#endif