/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_X5M1AMoon",

	//kTitle2
	"Orionischer Mond",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"Den Hauptknackpunkt in diesem Konflikt mit dem ISK stellen unsere alten Kolonien der " \
	"Neutralen Zone dar; Welten, die uns vertraglich zustehen und die jeder auer dem ISK akzeptiert. Nun " \
	"sind die Orionen in der Neutralen Zone aktiv geworden. Dafr hatten sie zweifelsohne die Erlaubnis vom " \
	"ISK. Mit ihrem Angriff auf die Kolonien haben sie fr das ISK die Drecksarbeit erledigt.\n" \
	
	"Das aktuelle Ziel ist nun [SYSTEM_NAME], eine ehemalige Strflingskolonie, die mittlerweile zu einer " \
	"der wohlhabendsten Welten in diesem Sektor geworden ist. Die Orionen blockieren diesen Planeten und haben " \
	"den Mond des Systems in ihre Gewalt gebracht. Nun senden sie einen ganzen Trupp Soldaten aus, um den Planeten zu erobern.\n" \
	
	"Sie mssen zwei verschiedene Aufgaben erfllen: die Anlagen der Orionen auf dem Mond des Planeten zu vernichten " \
	"und die Schiffsblockade der Orionen rund um den Planeten zu durchbrechen. Sollten Sie dabei versagen, " \
	"so hat dies verheerende Folgen. Wir knnten den ganzen Sektor verlieren... und auch angrenzende " \
	"Sektoren knnten fallen.\n\nViel Glck.\n",

	//
	//	Starting message
	//
	
	//kCaptainsLog_msg,
	"Logbuch des [PLAYER_RANK], Sternendatum [STARDATE]: Wir sind auf dem Weg nach [SYSTEM_NAME], um " \
	"die feindlichen Truppen der Orionen zu vertreiben.\n\n",

	//kSitrep_msg,
	"Erster Offizier: Wir sind im System angekommen.\n" \

	"Wissenschaftsoffizier: Die Sensoren registrieren Orionen-Truppen auf dem Planeten und in der Umlaufbahn des Planeten.\n" \

	"Erster Offizier: Alarmstufe Rot. Alle Mann auf die Kampfstationen.\n\n",

	//
	//	Debriefing messages
	//
	
	//kDeb_BaseAndOrions_msg
	"Gute Arbeit! Sie konnten die Blockade der Orionen um [SYSTEM_NAME] vollstndig zerschlagen." \
	"Ich bin sicher, dass die Orionen darber nicht entzckt sein werden - und auch das ISK nicht.\n" \

	"Aber nach wie vor sind Piraten in diesem Gebiet aktiv, und es " \
	"bedarf einer greren Anstrengung, um sie vollstndig zurckzudrngen. Es ist noch nicht vorbei.\n\nWegtreten.",

	//kDeb_BaseNotOrions_msg
	"Sie haben sich zwar um die Basis gekmmert, aber es befinden sich nach wie vor orionische Truppen im Gebiet.\n" \

	"Piraten sind nach wie vor in diesem Gebiet aktiv, und es " \
	"bedarf einer greren Anstrengung, um sie vollstndig zurckzudrngen. Durch Sie konnten die Piraten " \
	"in unserem Territorium Fu fassen.\n\nWegtreten.\n",

	//kDeb_BaseLived_msg
	"Sie sind an der Zerstrung der orionischen Basis auf dem Mond des Systems gescheitert. Das bedeutet, dass die Orionen " \
	"eine Basis fr Operationen haben und so Einfluss auf all unsere Operationen in diesem und smtlichen angrenzenden Sektoren " \
	"nehmen knnen. Wissen Sie berhaupt, wie man \"Katastrophe\"? schreibt? Gut.\n\n",

	//kDeb_PlayerDied_msg,
	"Ihre Einheiten sind vernichtet worden.\n\n",

	//
	//	Comm buttons
	//
	
	//kButton_Hail,
	"RUFEN",

	//
	//	Comm messages
	//
	
	//kHail_Orions_msg,
	"[PLAYER_NAME]: Geben Sie auf, und zwar sofort.\n" \

	"Orionischer Captain: Ich habe da eine bessere Idee... SIE geben auf, und zwar sofort.\n\n",

	//kHail_Base_msg,
	"[PLAYER_NAME]: Hier spricht [PLAYER_RANK] [PLAYER_NAME] vom Raumschiff [PLAYER_SHIP_NAME]. Sie wurden " \
	"von der Regierung der [PLAYER_RACE] angewiesen, dieses System unverzglich zu verlassen.\n" \

	"Basis der Orionen: Die Regierung des ISKs hat uns erlaubt, hier zu sein. Da mssen Sie schon mit denen sprechen. " \
	"Mich interessiert nicht, was Sie zu sagen haben.\n\n",

	//
	//	Victory rating
	//

	//	kAstoundingVictory_msg,
	"Groartiger Sieg!\n\n",

	//	kVictory_msg,
	"Sieg!\n\n",

	//	kDraw_msg,
	"Unentschieden\n\n",

	//	kDefeat_msg,
	"Niederlage\n\n",

	//	kDevastatingDefeat_msg,
	"Vernichtende Niederlage\n\n",

	//	kLeftEarly_msg,
	"Mission eingebt\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	
	//kLaunch_msg
	"Wissenschaftsoffizier: [PLAYER_RANK], die Mondbasis hat gerade ein Schiff ausgesendet.\n\n",

	//kBaseDestroyed_msg
	"Erster Offizier: Die Mondbasis wurde zerstrt.\n\n",

	//kScannedPlanet_msg
	"Wissenschaftsoffizier: [PLAYER_RANK], ich glaube, ich habe da etwas gefunden. Die Mondbasis ist gut " \
	"abgeschirmt. Nichtsdestotrotz zeigt sie Schwachstellen auf, wenn ein Schiff ausgesendet wird. Es ist nur eine " \
	"winzige Mglichkeit, aber wenn wir den Angriff genau in dieser Zeit starten, knnten wir " \
	"die Basis zerstren.\n\n",

	//kAllSatsDestroyed_msg,
	"Erster Offizier: Alle orbitalen Waffen wurden zerstrt.\n\n",

	//kSatDestroyed_msg,
	"Erster Offizier: Eine orbitale Waffenplattform wurde zerstrt.\n\n",

	//
	//	Custom messages
	//

	//kScanning_msg
	"Wissenschaftsoffizier: Wir scannen...\n\n",

#else
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_X5M1AMoon",

	//kTitle2
	"Orion Moon",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"The main sticking point in the conflict with the ISC are our old Neutral Zone " \
	"colonies; treaty worlds whose existence is accepted by everyone but the ISC. Now, " \
	"the Orions have been active in the Neutral Zone, undoubtedly with the permission " \
	"of the ISC, and they've been doing the ISC's dirty work by attacking the colonies.\n" \
	
	"Their latest target is [SYSTEM_NAME], an old penal colony that has become one of the " \
	"most thriving worlds in the sector. The Orions have blockaded the planet, seized " \
	"control of the system's moon, and are sending a squad of marines to take the planet.\n" \
	
	"You have two tasks: destroy the Orion installation on the planet's moon, " \
	"and defeat the force of Orion ships blockading the planet. Failure to achieve " \
	"these objectives will be disastrous. We could lose the sector... even some adjacent " \
	"sectors could fall.\n\nGood luck.\n",

	//
	//	Starting message
	//
	
	//kCaptainsLog_msg,
	"[PLAYER_RANK]'s Log, stardate [STARDATE]: We're enroute to [SYSTEM_NAME] to drive out " \
	"hostile Orion forces.\n\n",

	//kSitrep_msg,
	"First Officer: Now entering the system.\n" \

	"Science Officer: Sensors show Orion forces on the planet and in orbit around it.\n" \

	"First Officer: Red Alert. All hands to battlestations.\n\n",

	//
	//	Debriefing messages
	//
	
	//kDeb_BaseAndOrions_msg
	"Well done! You completely smashed the Orion blockade around [SYSTEM_NAME]. " \
	"I'm sure the Orions aren't very happy - and neither are the ISC.\n" \

	"But pirate activities continue to center in this area, and it's " \
	"going to take a major push to completely dislodge them. It isn't over yet.\n\nDismissed.",

	//kDeb_BaseNotOrions_msg
	"You took care of the base, but there are still Orion forces in the area.\n" \

	"Pirate activities continue to expand in this area, and it's " \
	"going to take a major push to completely dislodge them. You just handed them a foothold " \
	"in our territory.\n\nDismissed.\n",

	//kDeb_BaseLived_msg
	"You failed to destroy the Orion base on the system's moon. This means that the Orions " \
	"have a base of operations to affect all of our operations in the sector, and in all " \
	"adjacent sectors. Do you know how to say \"disaster\"? Good.\n\n",

	//kDeb_PlayerDied_msg,
	"Your forces have been destroyed.\n\n",

	//
	//	Comm buttons
	//
	
	//kButton_Hail,
	"HAIL",

	//
	//	Comm messages
	//
	
	//kHail_Orions_msg,
	"[PLAYER_NAME]: Stand down at once.\n" \

	"Orion Captain: I have a better idea... YOU stand down.\n\n",

	//kHail_Base_msg,
	"[PLAYER_NAME]: This is [PLAYER_RANK] [PLAYER_NAME] of the starship [PLAYER_SHIP_NAME]. You are " \
	"ordered by the [PLAYER_RACE] government to leave this system at once.\n" \

	"Orion Base: The ISC government has given us permission to be here. You'll have to speak to " \
	"them, because I've no interest in listening to you.\n\n",

	//
	//	Victory rating
	//

	//	kAstoundingVictory_msg,
	"Astounding Victory!\n\n",

	//	kVictory_msg,
	"Victory!\n\n",

	//	kDraw_msg,
	"Draw\n\n",

	//	kDefeat_msg,
	"Defeat\n\n",

	//	kDevastatingDefeat_msg,
	"Devastating Defeat\n\n",

	//	kLeftEarly_msg,
	"Forfeit",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	
	//kLaunch_msg
	"Science Officer: [PLAYER_RANK], the moon base just launched a vessel.\n\n",

	//kBaseDestroyed_msg
	"First Officer: The moon base has been destroyed.\n\n",

	//kScannedPlanet_msg
	"Science Officer: [PLAYER_RANK], I think I've found something. The moon base is heavily " \
	"shielded. However, it is vulnerable while it launches a ship. It's a very small " \
	"window of opportunity, but if we attack during this time then we should be able to " \
	"destroy the base.\n\n",

	//kAllSatsDestroyed_msg,
	"First Officer: All orbital weapons have been destroyed.\n\n",

	//kSatDestroyed_msg,
	"First Officer: An orbital weapons platform has been destroyed.\n\n",

	//
	//	Custom messages
	//

	//kScanning_msg
	"Science Officer: Scanning...\n\n",
#endif
};



