/********************************************************************************************************\

	File Name:	OrionMoonBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "OrionMoonBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tOrionMoonBaseState::mBeginState()
{}
void tOrionMoonBaseState::mEndState()
{}

void tOrionMoonBaseState::mOnDeath( tShipInfo* ship )
{}
void tOrionMoonBaseState::mOnCapture( tShipInfo* ship )
{}
void tOrionMoonBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tOrionMoonBaseState::mAtDistance( tShipInfo* ship )
{}
void tOrionMoonBaseState::mAtDestination( tShipInfo* ship )
{}
void tOrionMoonBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tOrionMoonBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tOrionMoonBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tOrionMoonBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tOrionMoonBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tOrionMoonBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tOrionMoonBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tOrionMoonBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tOrionMoonBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tOrionMoonBaseState::mOnFlashingButtonPressed()
{}
void tOrionMoonBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tOrionMoonBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tOrionMoonBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tOrionMoonBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tOrionMoonBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tOrionMoonBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tOrionMoonBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tOrionMoonBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tOrionMoonBaseState::mOnHostChanged()
{}
void tOrionMoonBaseState::mOnTimedInterval( int32 timerID )
{}
void tOrionMoonBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tOrionMoonBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

