/********************************************************************************************************\

	File Name:	OrionTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( OrionTeam_h )
#define OrionTeam_h

#include "TeamInfo.h"


class tOrionTeam : public tTeamInfo
{
public:
	
	tOrionTeam();

	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );

	virtual void mOldCreateShipsForTeam();
	virtual void mCreateDefSats();
	virtual void mOldCreateDefSats();
	virtual void mCreateMoon();
	virtual void mLaunchShip();
	virtual void mOldLaunchShip();
	virtual void mChooseSacrificialLamb();

	enum eCustomIDs
	{
		kMoon = 200,
		kSat1,
		kSat2,
		kSat3,
		kReusableShip,
		kShip1,
		kShip2,
		kShip3,
	};

	
	iTruth	mIsVulnerable()					{ return fVulnerable; }
	void	mSetVulnerable( iTruth x )		{ fVulnerable = x; }
	void	mDestroyBase();
	std::string pyro_sacrificial_lamb;
protected:
	iTruth	fVulnerable;
};

#endif
