/********************************************************************************************************\

	File Name:	MissionText.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( MissionText_h )
#define MissionText_h

#include "tstring.h"


enum TextMessages
{
	//
	//	Mission Title
	//
	kMissionTitle_msg,
	kTitle2,

	//
	//	Briefing message
	//
	kBriefing_msg,

	//
	//	Starting message
	//
	kCaptainsLog_msg,
	kSitrep_msg,

	//
	//	Debriefing messages
	//
	kDeb_KilledBase_msg,
	kDeb_Failed_msg,
	kDeb_PlayerDied_msg,

	//
	//	Comm buttons
	//
	kButton_Hail,

	//
	//	Comm messages
	//
	kHailMoon_msg,
	kHailShip_msg,

	//
	//	Victory rating
	//
	kAstoundingVictory_msg,
	kVictory_msg,
	kDraw_msg,
	kDefeat_msg,
	kDevastatingDefeat_msg,
	kLeftEarly_msg,

	//
	//	Event dialog
	//
	kBaseDead_msg,
	kBombedWithoutScan_msg,
	kBeamedNowhere_msg,
	kScannedPlanet_msg,
	kGroup1ShipsDead_msg,
	kGroup2ShipsDead_msg,
	kOrionShipDead_msg,
	kAllSatsDead_msg,
	kSatDead_msg,
	kReinforcementsArrive_msg,

	//
	//	Custom messages
	//
	kScanning_msg,
	kScanRange_msg,

	//
	//	Number of messages
	//
	kMsg_num,
};

extern std::string Messages[];


#endif

