/********************************************************************************************************\

	File Name:	Moon.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "Moon.h"
#include "MoonBaseState.h"
#include "Uni_X5M1FPyre.h"
#include "MissionText.h"

tClassAllocator<tMoon> gMoonAllocator;

void tMoon::mSetupState()
{
	mRegisterState( new tMoonBaseState() );
	mGotoState( typeid( tMoonBaseState ) );
}

void tMoon::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	if( !playerTeam )
			return;

	playerTeam->mRegisterCommMessage( kCommState_1,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail,
									  kHailMoon_msg );

	playerTeam->mGotoCommState( mGetShipID(), kCommState_1 );
}

void tMoon::mSetupShip()
{}
