/********************************************************************************************************\

	File Name:	OrionShip.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "OrionShip.h"
#include "OrionShipBaseState.h"
#include "Uni_X5M1FPyre.h"
#include "MissionText.h"

tClassAllocator<tOrionShip> gOrionShipAllocator;

void tOrionShip::mSetupState()
{
	mRegisterState( new tOrionShipBaseState() );
	mGotoState( typeid( tOrionShipBaseState ) );
}

void tOrionShip::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	if( !playerTeam )
			return;

	playerTeam->mRegisterCommMessage( kCommState_1,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail,
									  kHailShip_msg );

	playerTeam->mGotoCommState( mGetShipID(), kCommState_1 );
}

void tOrionShip::mSetupShip()
{}
