/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_X5M2Sake",

	//kTitle2
	"Fr Enyl",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"Die Orionen ziehen eine groe Flotte bei [SYSTEM_NAME] auf, aber sie haben noch nicht zum " \
	"Angriff geblasen. Wir wissen nicht, warum sie das noch nicht getan haben. Sie sollen es herausfinden. Wenn sie eine " \
	"Gefahr darstellen, dann schalten Sie sie aus. [SYSTEM_NAME] verfgt ber eine kleine Verteidigungsflotte, " \
	"die Ihnen gerne zu Hilfe eilt. Vielleicht sogar zu gerne. Einige der Piloten dieser Grenzwelten " \
	"sind fr ihre Rcksichtslosigkeit und ihren Mangel an Diplomatie bekannt. Behalten Sie sie gut " \
	"im Auge.\nWegtreten.\n\n",

	//
	//	Starting message
	//
	
	//kCaptainsLog_msg
	"Logbuch des [PLAYER_RANK], Sternendatum [STARDATE]: Wir sind auf dem Weg nach [SYSTEM_NAME], um " \
	"herauszufinden, was die Orionen vorhaben.\n\n",

	//kSitrep_msg
	"Erster Offizier: Wir sind im System angekommen.\n" \

	"Wissenschaftsoffizier: Die Sensoren registrieren etliche orionische Schiffe in dem Gebiet. Auerdem erkenne ich " \
	"lokale Verteidigungsstreitkrfte in der Umlaufbahn des Planeten. Es scheint jedoch keine Schieerei im Gange zu sein.\n" \

	"Erster Offizier: So weit, so gut.\n\n",

	//
	//	Debriefing messages
	//

	//kDeb_Peacefully_msg,
	"Herzlichen Glckwunsch. Sie haben uns gerade einen groen Schritt vorangebracht - Sie haben uns einen Vorteil gegenber " \
	"dem ISK verschafft. Hoffentlich knnen wir die Allianz zwischen den Orionen und dem ISK zerschlagen.\n\n",

	//kDeb_WonFight_msg,
	"Herzlichen Glckwunsch... sage ich einfach mal. Laut Analyse der Situation htte die Lsung " \
	"auch auf anderem Wege herbeigefhrt werden knnen.\n\nWegtreten.\n",

	//kDeb_WonFightAlliesDead_msg,
	"Herzlichen Glckwunsch... sage ich einfach mal. Laut Analyse der Situation htte die Lsung " \
	"auch auf anderem Wege herbeigefhrt werden knnen. Der Verlust der planetaren Verteidigungsflotte versetzt mich nicht gerade in Hochstimmung.\n\nWegtreten.\n",

	//kDeb_Lost_msg,
	"Diese Mission war ja wohl der absolute Reinfall. Ich kann nicht einmal sagen, was genau eigentlich da drauen passiert ist... Wissen Sie es?\n\nWegtreten.\n",
	
	//kDeb_PlayerDied_msg,
	"Ihre Truppen wurden vernichtet.\n\n",

	//
	//	Comm buttons
	//

	//kButton_Hail,
	"RUFEN",

	//kButton_Permission1,
	"ERLAUBNIS EINHOLEN",

	//kButton_Permission2,
	"ERLAUBNIS EINHOLEN",

	//kButton_HailOrion1
	"RUFEN",

	//kButton_HailOrion1
	"RUFEN",

	//kButton_HailOrion1
	"RUFEN",

	//kButton_Yes,
	"JA",

	//kButton_No,
	"NEIN",

	//
	//	Comm messages
	//
	
	//kHailPlanetBeforeScan_msg,
	"Planetenkontrolle: Zum Glck sind Sie da! Vertreiben Sie die Piraten aus dem System!\n\n",

	//kHailPlanetAfterScan_msg,
	"Planetenkontrolle: Informieren Sie die Orionen,... dass ihre Kranken zu unserer " \
	"Krankenstation transportiert werden drfen.\n",

	//kHailPlanetWar_msg,
	"Planetenkontrolle: Nun reden Sie doch nicht lange herum! Schnappen Sie sich die Orionen!\n\n",

	//kHailOrionBeforeScan_msg
	"[PLAYER_NAME]: Hier spricht [PLAYER_RANK] [PLAYER_NAME] vom [PLAYER_RACE]-Raumschiff [PLAYER_SHIP_NAME]. " \
	"Warum sind Sie in diesem System?\n" \

	"Orionischer Captain: [PLAYER_SHIP_NAME]... Ich mchte Sie um Hilfe bitten. Viele Mitglieder meiner Crew " \
	"liegen mit Rigellianischem Fieber darnieder, auch meine Frau Enyl. Wir haben keine Mglichkeit, " \
	"die Krankheit zu behandeln. Enyl zuliebe... und uns allen zuliebe... bitte, helfen Sie uns.\n\n",

	//kHailOrionBeforeScan2_msg
	"Orionischer Captain: Schauen Sie, Sie mssen uns nur scannen, um herauszufinden, dass ich Ihnen die Wahrheit sage.",

	//kHailOrionAfterScan_msg
	"Orionischer Captain: Drfen wir unsere Kranken zur Behandlung zum Planeten schicken?",

	//kYesOrion_msg,
	"Orionischer Captain: [PLAYER_SHIP_NAME]... Ich werde Sie und die [PLAYER_RACE] fr alles " \
	"entschdigen, was Sie fr uns getan haben. Und nun muss ich Enyl die gute Nachricht berbringen. Ich danke Ihnen, [PLAYER_RANK] " \
	"[PLAYER_NAME].\n\n",

	//kNoOrion_msg,
	"Orionischer Captain: Ich htte es wissen und die [PLAYER_RACE] nicht um Hilfe bitten sollen!\n\n",

	//kHailOrionAtWar_msg,
	"Orionischer Captain: Wenn Sie Streit wollen, dann bitte!\n\n",

	//kHailOrionAtWar2_msg
	"Orionischer Captain: Wenn Sie Streit wollen, dann bitte!\n\n",
	
	//
	//	Victory rating
	//

	//	kAstoundingVictory_msg,
	"Groartiger Sieg!\n\n",

	//	kVictory_msg,
	"Sieg!\n\n",

	//	kDraw_msg,
	"Unentschieden\n\n",

	//	kDefeat_msg,
	"Niederlage\n\n",

	//	kDevastatingDefeat_msg,
	"Vernichtende Niederlage\n\n",

	//	kLeftEarly_msg,
	"Mission eingebt\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//

	//kAlliesDead_msg,
	"Erster Offizier: Alle planetaren Verteidigungsstreitkrfte wurden vernichtet.\n\n",

	//kFlagshipDead_msg,
	"Erster Offizier: Das orionische Flaggschiff wurde zerstrt.\n\n",

	//kAllOrionsDead_msg,
	"Erster Offizier: Smtliche orionischen Einheiten sind vernichtet worden.\n\n",

	//kAlliesCapped_msg,
	"Erster Offizier: Alle planetaren Verteidigungsstreitkrfte wurden besiegt.\n\n",

	//kFlagshipCapped_msg,
	"Erster Offizier: Wir haben das orionische Flaggschiff gekapert.\n\n",

	//kScanRange_msg,
	"Wissenschaftsoffizier: Wir mssen innerhalb der Reichweite 15 sein, um scannen zu knnen.\n\n",

	//kScannedOrion_msg,
	"Leiter der Krankenstation: [PLAYER_RANK], die ermittelten Werte lassen auf das " \
	"Rigellianische Fieber schlieen. Auf dem Schiff haben wir in der Tat schon einige Flle in stark fortgeschrittenem Stadium. Wir sollten uns " \
	"sofort um sie kmmern.\n",

	//kOrionsGoToWar_msg
	"Orionischer Captain: Ich htte es wissen und die [PLAYER_RACE] nicht um Hilfe bitten sollen!\n\n",

	//
	//	Custom messages
	//
	
	//kScanning_msg
	"Wissenschaftsoffizier: Wir scannen...\n\n",

#else
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_X5M2Sake",

	//kTitle2
	"For Enyl's Sake",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"The Orions are building up a large fleet at [SYSTEM_NAME], but they haven't " \
	"attacked yet. We're not sure why, and we'd like you to find out. If they present " \
	"a threat, eliminate them. [SYSTEM_NAME] has a small fleet of defending ships " \
	"who will be glad to help you. Perhaps too glad. Some of the pilots on these frontier " \
	"worlds are known for recklessness and a lack of regard for diplomacy. Keep an eye on " \
	"them.\n\nDismissed.\n",

	//
	//	Starting message
	//
	
	//kCaptainsLog_msg
	"[PLAYER_RANK]'s log, stardate [STARDATE]: We're enroute to [SYSTEM_NAME] to determine what " \
	"the Orions are up.\n\n",

	//kSitrep_msg
	"First Officer: Now entering the system.\n" \

	"Science Offcier: Sensors show several Orion vessels in the area. I'm also reading " \
	"local defense forces in orbit around the planet. No one appears to be shooting.\n" \

	"First Officer: So far so good.\n\n",

	//
	//	Debriefing messages
	//

	//kDeb_Peacefully_msg,
	"Congratulations. You have just won us a very valuable prize - an edge against " \
	"the ISC. Hopefully we can take the Orion-ISC alliance and blow it wide open.\n\n",

	//kDeb_WonFight_msg,
	"Congratulations... I think. Our analysis of the situation suggests that it might have " \
	"been resolved differently.\n\nDismissed.\n",

	//kDeb_WonFightAlliesDead_msg,
	"Congratulations... I think. Our analysis of the situation suggests that it might have " \
	"been resolved differently. The loss of the planetary defense fleet doesn't help my mood.\n\nDismissed.\n",

	//kDeb_Lost_msg,
	"This mission was a total failure. I'm not even sure what happened out there...are you?\n\nDismissed.\n",
	
	//kDeb_PlayerDied_msg,
	"Your forces were destroyed.\n\n",

	//
	//	Comm buttons
	//

	//kButton_Hail,
	"HAIL",

	//kButton_Permission1,
	"REQUEST PERMISSION",

	//kButton_Permission2,
	"REQUEST PERMISSION",

	//kButton_HailOrion1
	"HAIL",

	//kButton_HailOrion1
	"HAIL",

	//kButton_HailOrion1
	"HAIL",

	//kButton_Yes,
	"YES",

	//kButton_No,
	"NO",

	//
	//	Comm messages
	//
	
	//kHailPlanetBeforeScan_msg,
	"Planetary Control: Thank goodness you're here! Get those pirates out of this system!\n\n",

	//kHailPlanetAfterScan_msg,
	"Planetary Control: Tell the Orions... permission granted to transport their sick to " \
	"our medical facilities.\n",

	//kHailPlanetWar_msg,
	"Planetary Control: What are you talking to us for? Get the Orions!\n\n",

	//kHailOrionBeforeScan_msg
	"[PLAYER_NAME]: This is [PLAYER_RANK] [PLAYER_NAME] of the [PLAYER_RACE] starship [PLAYER_SHIP_NAME]. " \
	"What is the purpose of your presence in this system?\n" \

	"Orion Captain: [PLAYER_SHIP_NAME]... I've come to ask for your help. Many of my crew are " \
	"stricken with Rigellian Fever, including my wife, Enyl. We don't have the facilities " \
	"to treat the disease. For Enyl's sake... for all our sakes... please, help us.\n\n",

	//kHailOrionBeforeScan2_msg
	"Orion Captain: Look, if you just scan us you'll see I'm telling the truth.",

	//kHailOrionAfterScan_msg
	"Orion Captain: Will you allow us to send our sick to the planet for treatment?",

	//kYesOrion_msg,
	"Orion Captain: [PLAYER_SHIP_NAME]... I will repay you and the [PLAYER_RACE] for " \
	"what you've done here today. I must go now and tell Enyl the good news. Thank you, [PLAYER_RANK] " \
	"[PLAYER_NAME].\n\n",

	//kNoOrion_msg,
	"Orion Captain: I should have known better than to ask the [PLAYER_RACE] for help!\n\n",

	//kHailOrionAtWar_msg,
	"Orion Captain: If it's a fight you want, you've got one mister!\n\n",

	//kHailOrionAtWar2_msg
	"Orion Captain: If it's a fight you want, you've got one mister!\n\n",
	
	//
	//	Victory rating
	//

	//	kAstoundingVictory_msg,
	"Astounding Victory!\n\n",

	//	kVictory_msg,
	"Victory!\n\n",

	//	kDraw_msg,
	"Draw\n\n",

	//	kDefeat_msg,
	"Defeat\n\n",

	//	kDevastatingDefeat_msg,
	"Devastating Defeat\n\n",

	//	kLeftEarly_msg,
	"Forfeit",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//

	//kAlliesDead_msg,
	"First Officer: All planetary defense forces have been destroyed.\n\n",

	//kFlagshipDead_msg,
	"First Officer: The Orion flagship has been destroyed.\n\n",

	//kAllOrionsDead_msg,
	"First Officer: All Orion forces have been destroyed.\n\n",

	//kAlliesCapped_msg,
	"First Officer: All planetary defense forces have been defeated.\n\n",

	//kFlagshipCapped_msg,
	"First Officer: We have captured the Orion flagship.\n\n",

	//kScanRange_msg,
	"Science Officer: We'll need to be within range 15 to conduct the scan.\n\n",

	//kScannedOrion_msg,
	"Chief Medical Officer: [PLAYER_RANK], the readings I'm getting here are consistent with " \
	"Rigellian Fever. In fact, I'd say there are several advanced cases on that ship which " \
	"require immediate attention.\n",

	//kOrionsGoToWar_msg
	"Orion Captain: I should have known better than to ask the [PLAYER_RACE] for help!\n\n",

	//
	//	Custom messages
	//
	
	//kScanning_msg
	"Science Officer: Scanning...\n\n",
#endif
};



