/********************************************************************************************************\

	File Name:	MissionText.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( MissionText_h )
#define MissionText_h

#include "tstring.h"


enum TextMessages
{
	//
	//	Mission Title
	//
	kMissionTitle_msg,
	kTitle2,

	//
	//	Briefing message
	//
	kBriefing_msg,

	//
	//	Starting message
	//
	kCaptainsLog_msg,
	kSitrep_msg,

	//
	//	Debriefing messages
	//
	kDeb_Peacefully_msg,
	kDeb_WonFight_msg,
	kDeb_WonFightAlliesDead_msg,
	kDeb_Lost_msg,
	kDeb_PlayerDied_msg,

	//
	//	Comm buttons
	//
	kButton_Hail,
	kButton_Permission1,
	kButton_Permission2,
	kButton_HailOrion1,
	kButton_HailOrion2,
	kButton_HailOrion3,
	kButton_Yes,
	kButton_No,

	//
	//	Comm messages
	//
	kHailPlanetBeforeScan_msg,
	kHailPlanetAfterScan_msg,
	kHailPlanetWar_msg,
	kHailOrionBeforeScan_msg,
	kHailOrionBeforeScan2_msg,
	kHailOrionAfterScan_msg,
	kYesOrion_msg,
	kNoOrion_msg,
	kHailOrionAtWar_msg,
	kHailOrionAtWar2_msg,
	

	//
	//	Victory rating
	//
	kAstoundingVictory_msg,
	kVictory_msg,
	kDraw_msg,
	kDefeat_msg,
	kDevastatingDefeat_msg,
	kLeftEarly_msg,

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	kAlliesDead_msg,
	kFlagshipDead_msg,
	kAllOrionsDead_msg,
	kAlliesCapped_msg,
	kFlagshipCapped_msg,
	kScanRange_msg,
	kScannedOrion_msg,
	kOrionsGoToWar_msg,

	//
	//	Custom messages
	//
	kScanning_msg,

	//
	//	Number of messages
	//
	kMsg_num,
};

extern std::string Messages[];


#endif

