//	<Legal>	Copyright (c)  by Taldren, Inc. ALL RIGHTS RESERVED.
//	This document contains CONFIDENTIAL, PROPRIETARY, TRADE SECRET information
//	belonging to Taldren, Inc. and may not be reproduced, in whole
//	or in part, without prior written permission from Taldren, Inc.

#include "Precompiled.h"
#include <FunctionWrapper.h>

#include "SFCThreadState.h"

#include <BaseTypes.h>
#include <Validate.h>
#include <InvalidAccess.h>


////////////////////////////////////////////////////////////////////////////////
// tSFCThreadState
// 
////////////////////////////////////////////////////////////////////////////////


tSFCThreadState::iAutoSFCThreadStatePtr tSFCThreadState::fSFCThreadState;

tSFCThreadState* tSFCThreadState::Instance()
{
	_func_start( tSFCThreadState::Instance );
	if( fSFCThreadState.get() == NULL )
	{
		fSFCThreadState = iAutoSFCThreadStatePtr( new tSFCThreadState );				
	} 

	return fSFCThreadState.get();
	_func_end;
}

tSFCThreadState::tSFCThreadState()
#if defined( SERVERPLATFORM )
	: tThreadState( kUseThreadObject )
#else
	: tThreadState( kIgnoreThreadObject )
#endif
{_func_start( tSFCThreadState::tSFCThreadState );_func_end;}

tSFCThreadState::~tSFCThreadState()
{_func_start( tSFCThreadState::~tSFCThreadState );_func_end;}


