// TeamScriptDescription.h: interface for the tTeamScriptDescription class.
//
//////////////////////////////////////////////////////////////////////
#pragma once

#if !defined(AFX_TEAMSCRIPTDESCRIPTION_H__BEDB8861_0583_11D4_BABB_0050DACFBB08__INCLUDED_)
#define AFX_TEAMSCRIPTDESCRIPTION_H__BEDB8861_0583_11D4_BABB_0050DACFBB08__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "scriptstructs.h"
#include "tstring.h"

class tTeamScriptDescription
{
public:
	tTeamScriptDescription();
	tTeamScriptDescription( eTeamID team, eRaceName race, iTruth humanControled, iAllocatorID teamActorID, eTeamTag TeamTag = kNoTeamTag );

	eTeamID fTeam;
	eRaceName fRace;
	iTruth fHumanControlled;
	iAllocatorID fTeamActorID;
	eTeamTag fTeamTag;
};


#endif // !defined(AFX_TEAMSCRIPTDESCRIPTION_H__BEDB8861_0583_11D4_BABB_0050DACFBB08__INCLUDED_)
