//	<Name>	raceenums.h
//
//	<Legal>	Copyright (c)  by Taldren, Inc. ALL RIGHTS RESERVED.
//	This document contains CONFIDENTIAL, PROPRIETARY, TRADE SECRET information
//	belonging to Taldren, Inc. and may not be reproduced, in whole
//	or in part, without prior written permission from Taldren, Inc.
//
//	<Info>	enums for races
//
#pragma once

#ifndef raceenums_h
#define raceenums_h

#include "race.h"

enum eRaceTendency { kCautious, kParanoid, kXenophobic, kPeaceful, kCurious, kCoopType,
					 kTerritorial, kMercantile, kMilitaristic, kVengeful, kReligious };

enum eGovPolicy1 { kNoPolicy1 = 0, kScorchedEarth, kSubjugation, kBelligerent, kAggressive,
				   kProvocative, kTerritorialPol, kIsolationist, kNumPolicy1 };
				   
enum eGovPolicy2 { kNoPolicy2 = 0, kGloryBattle, kDestabilize, kSkullduggery, kNegotiate,
				   kStudy, kStabilize, kAvoidLosses, kNumPolicy2 };
				  
enum eGovType { kMartialLaw, kFederatedRep, kHeredMonarch, kHeredEmperor, kConfedSystems,
				kOligarchy, kConstMonarch, kFeudal, kDictator, kGeriocracy, kPsiocracy,
				kCorporate, kPlutocracy };


enum eEconomicStrength { kRuin = 1, kCollapse, kDecay, kDecline, kUpheaval,
						 kStagnation, kSlowGrowth, kSteadyGrowth, kRapidGrowth, kThriving };
						 
enum eGovernmentStability { kCivilWar = 1, kCollapsing, kUnstable, kContentious,
							kFactionalized, kMuddling, kSound, kStable, kUnited, kInspired };

enum ePoliticalRelation { kFirstContact = 0, kTotalWar, kLimitedWar, kIncidents, kHostile,
  						  kUnfriendly1, kUnfriendly2, kNeutral1, kNeutral2, kFriendly,
  						  kCooperative, kTreatied, kAlliance, kSelfRelation };

enum eWarProgression { kNoWar, kUnconditionalSurrender = 1, kImpendingDefeat, kStrategicLoss,
					   kTacticalReverse, kStalemate1, kStalemate2, kLimitedSuccess,
					   kTideTurning, kRoadVictory, kTotalVictory };

enum eTableType { kEconomy, kGovStability, kFirstPolicy, kSecondPolicy, kPiratePolicy, 
				  kForeignRelation, kWarProgression };


#endif
//	<History>
//	29Jan98	sroney		Started.
//	26Aug98	sroney		Dynaverse integration