//	<Name>	soundnums.h
//
//	<Legal>	Copyright (c)  by Taldren, Inc. ALL RIGHTS RESERVED.
//	This document contains CONFIDENTIAL, PROPRIETARY, TRADE SECRET information
//	belonging to Taldren, Inc. and may not be reproduced, in whole
//	or in part, without prior written permission from Taldren, Inc.
//
//	<Info>
//
#pragma once



/////////////////////////////////////////////
// Jun01 - Sbruno
// Changed this to work on an enum instead of a million #defines
// SoundFX go from 1 to 999
// Voices start at 1000
// Make sure you match up 1:1 with SOUNDS.TXT
////

enum eGameSounds
{
		kSndPhaser1Fire = 1,				
		kSndPhaser2Fire	,				
		kSndPhaser3Fire	,				
		kSndPhaser4Fire	,				
		kSndDisruptorFire,				
		kSndPhotonFire	,				
		kSndPlasmaFire	,				
		kSndMissLaunch	,				
		kSndPhaserGFire	,				
		kSndESG0Start	,				
		kSndESG0Loop	,				
		kSndESG0End	,				
		kSndESG1Start	,				
		kSndESG1Loop	,				
		kSndESG1End	,				
		kSndESG2Start	,				
		kSndESG2Loop	,				
		kSndESG2End	,				
		kSndESG3Start	,				
		kSndESG3Loop	,				
		kSndESG3End	,				
		kSndFusionFire	,				
		kSndHellboreFire	,				
		kSndHellboreImpact	,				
		kSndPhotonOverloadFire	,				
		kSndDisruptorOverloadFire	,				
		kSndPPDSeek	,				
		kSndPPDPulse	,				
		kSndPPDImpact	,				
		kSndESGWarmup	,				
		kSndADDFire	,				
		kSndRaiseShield	,				
		kSndLowerShield	,				
		kSndKliRaiseShield	,				
		kSndKliLowerShield	,				
		kSndRomRaiseShield	,				
		kSndRomLowerShield	,				
		kSndHydRaiseShield	,				
		kSndHydLowerShield	,				
		kSndLyrRaiseShield	,				
		kSndLyrLowerShield	,				
		kSndGorRaiseShield	,				
		kSndGorLowerShield	,				
		kSndTractorBeamEngage	,				
		kSndTractorBeamSustain	,				
		kSndTractorBeamTurnOff	,				
		kSndBoardingPartySuccess	,				
		kSndMineDrop	,				
		kSndCloak	,				
		kSndDecloak	,				
		kSndJamming	,				
		kSndTBomb	,				
		kSndTransport	,				
		kSndTractorBeamRepel	,				
		kSndHETWarmup	,				
		kSndHETTurn	,				
		kSndEmergcyStop	,				
		kSndSysBreakdown	,				
		kSndSysRepaired	,				
		kSndTargeting	,				
		kSndShuttleLaunch	,				
		kSndScatterpack	,				
		kSndFighterLaunch	,				
		kSndWarpOut	,				
		kSndWarpIn	,				
		kSndISCRaiseShield	,				
		kSndISCLowerShield	,				
		kSndMirRaiseShield	,				
		kSndMirLowerShield	,				
		kSndFighterLand	,				
		kSndSmallShipExplosion	,				
		kSndMediumShipExplosion	,				
		kSndLargeShipExplosion	,				
		kSndShieldHitLight	,				
		kSndShieldHitHeavy	,				
		kSndAsteroidCollision	,				
		kSndHullHitLight	,				
		KSndHullHitHeavy	,				
		kSndPlasmaLeak	,				
		kSndMissileExplode	,				
		kSndMineExplode	,				
		kSndPlanetCollision	,				
		kSndStarCollision	,				
		kSndStarbaseExplosion	,				
		kSndExtraLargeShipExplosion	,				
		kSndExtraMedShipExplosion	,				
		kSndExtraSmallShipExplosion	,				
		kSndMissileExplodeTwo	,				
		kSndEngineAmbianceFed	,				
		kSndEngineAmbianceKli	,				
		kSndEngineAmbianceRom	,				
		kSndEngineAmbianceHyd	,				
		kSndEngineAmbianceLyr	,				
		kSndEngineAmbianceGor	,				
		kSndEngineAmbianceISC	,				
		kSndEngineAmbianceMir	,				
		kSndRedAlert	,				
		kSndYellowAlert	,				
		kSndKliRedAlert	,				
		kSndKliYellowAlert	,				
		kSndRomRedAlert	,				
		kSndRomYellowAlert	,				
		kSndHydRedAlert	,				
		kSndHydYellowAlert	,				
		kSndLyrRedAlert	,				
		kSndLyrYellowAlert	,				
		kSndGorRedAlert	,				
		kSndGorYellowAlert	,				
		kSndSelfDestruct	,				
		kSndISCRedAlert	,				
		kSndISCYellowAlert	,				
		kSndMirRedAlert	,				
		kSndMirYellowAlert	,				
		kSndCompBeepClickHigh	,				
		kSndCompBeepBuzz	,				
		kSndCompBeepLow	,				
		kSndCompBeepHvyClick	,				
		kSndCompBeepSetCourse	,				
		kSndCompBeepLaunch	,				
		kSndCompBeepTriple	,				
		kSndCompBeepHiLo	,				
		kSndCompBeepBuzSwitch	,				
		kSndCompBeepLoHi	,				
		kSndCompBeepHiTriLow	,				
		kSndCompBeepSwitch	,				
		kSndCompBeepTriHi	,				
		kSndCompBeepHiMed	,				
		kSndCompBeepHiClicks	,				
		kSndCompBeepComm	,				
		kSndComputerBeep	,				
		kSndCompBeepData	,				
		kSndCompBeepHail	,				
		kSndCompBeepWarn	,				
		kSndCompBeepRand	,				
		kSndCompBeepMouseover	,				
						
		////////////////////////////
		// SFC:Orion Pirates Sounds
		
		kSndMaulerFire,
		kSndPhaserAFire,
		kSndPhaserBFire,
		kSndHeavyPhotonFire,
		kSndHeavyDisruptorFire,
		kSndESGLanceFire,
		kSndRedAlertPirate,
		kSndYelAlertPirate,
		kSndShieldUpPirate,
		kSndShieldDownPirate,
		kSndEngineDoubleStart,
		kSndEngineDoubleEnd,
		kSndPhaserXFire,
		kSndPhaserG2Fire,
		kSndPlasmaSnareFire,
		kSndPlasmaSnareHit,
		kSndPlasmaXFire,
		kSndProbeFire,

		//--------------------					
		// Voices					
						
		kVoice_RedAlert_Fed_1	= 1000,				
		kVoice_RedAlert_Fed_2	,				
		kVoice_RedAlert_Kli_1	,				
		kVoice_RedAlert_Kli_2	,				
		kVoice_RedAlert_Rom_1	,				
		kVoice_RedAlert_Rom_2	,				
		kVoice_RedAlert_Gor_1	,				
		kVoice_RedAlert_Gor_2	,				
		kVoice_RedAlert_Hyd_1	,				
		kVoice_RedAlert_Hyd_2	,				
		kVoice_RedAlert_Lyr_1	,				
		kVoice_RedAlert_Lyr_2	,				
		kVoice_RedAlert_Mir_1	,				
		kVoice_RedAlert_Mir_2	,				
		kVoice_RedAlert_ISC_1	,				
		kVoice_RedAlert_ISC_2	,				
					
		kVoice_YelAlert_Fed_1	,				
		kVoice_YelAlert_Fed_2	,				
		kVoice_YelAlert_Kli_1	,				
		kVoice_YelAlert_Kli_2	,				
		kVoice_YelAlert_Rom_1	,				
		kVoice_YelAlert_Rom_2	,				
		kVoice_YelAlert_Gor_1	,				
		kVoice_YelAlert_Gor_2	,				
		kVoice_YelAlert_Hyd_1	,				
		kVoice_YelAlert_Hyd_2	,				
		kVoice_YelAlert_Lyr_1	,				
		kVoice_YelAlert_Lyr_2	,				
		kVoice_YelAlert_Mir_1	,				
		kVoice_YelAlert_Mir_2	,				
		kVoice_YelAlert_ISC_1	,				
		kVoice_YelAlert_ISC_2	,				
					
		kVoice_WWReady_Fed_1	,				
		kVoice_WWReady_Fed_2	,				
		kVoice_WWReady_Kli_1	,				
		kVoice_WWReady_Kli_2	,				
		kVoice_WWReady_Rom_1	,				
		kVoice_WWReady_Rom_2	,				
		kVoice_WWReady_Gor_1	,				
		kVoice_WWReady_Gor_2	,				
		kVoice_WWReady_Hyd_1	,				
		kVoice_WWReady_Hyd_2	,				
		kVoice_WWReady_Lyr_1	,				
		kVoice_WWReady_Lyr_2	,				
		kVoice_WWReady_Mir_1	,				
		kVoice_WWReady_Mir_2	,				
		kVoice_WWReady_ISC_1	,				
		kVoice_WWReady_ISC_2	,				
					
		kVoice_SSReady_Fed_1	,				
		kVoice_SSReady_Fed_2	,				
		kVoice_SSReady_Kli_1	,				
		kVoice_SSReady_Kli_2	,				
		kVoice_SSReady_Rom_1	,				
		kVoice_SSReady_Rom_2	,				
		kVoice_SSReady_Gor_1	,				
		kVoice_SSReady_Gor_2	,				
		kVoice_SSReady_Hyd_1	,				
		kVoice_SSReady_Hyd_2	,				
		kVoice_SSReady_Lyr_1	,				
		kVoice_SSReady_Lyr_2	,				
		kVoice_SSReady_Mir_1	,				
		kVoice_SSReady_Mir_2	,				
		kVoice_SSReady_ISC_1	,				
		kVoice_SSReady_ISC_2	,				
					
		kVoice_SPReady_Fed_1	,				
		kVoice_SPReady_Fed_2	,				
		kVoice_SPReady_Kli_1	,				
		kVoice_SPReady_Kli_2	,				
		kVoice_SPReady_Rom_1	,				
		kVoice_SPReady_Rom_2	,				
		kVoice_SPReady_Gor_1	,				
		kVoice_SPReady_Gor_2	,				
		kVoice_SPReady_Hyd_1	,				
		kVoice_SPReady_Hyd_2	,				
		kVoice_SPReady_Lyr_1	,				
		kVoice_SPReady_Lyr_2	,				
		kVoice_SPReady_Mir_1	,				
		kVoice_SPReady_Mir_2	,				
		kVoice_SPReady_ISC_1	,				
		kVoice_SPReady_ISC_2	,				
					
		kVoice_GASReady_Fed_1	,				
		kVoice_GASReady_Fed_2	,				
		kVoice_GASReady_Kli_1	,				
		kVoice_GASReady_Kli_2	,				
		kVoice_GASReady_Rom_1	,				
		kVoice_GASReady_Rom_2	,				
		kVoice_GASReady_Gor_1	,				
		kVoice_GASReady_Gor_2	,				
		kVoice_GASReady_Hyd_1	,				
		kVoice_GASReady_Hyd_2	,				
		kVoice_GASReady_Lyr_1	,				
		kVoice_GASReady_Lyr_2	,				
		kVoice_GASReady_Mir_1	,				
		kVoice_GASReady_Mir_2	,				
		kVoice_GASReady_ISC_1	,				
		kVoice_GASReady_ISC_2	,				
					
		kVoice_SelfDestruct_Fed_1	,				
		kVoice_SelfDestruct_Fed_2	,				
		kVoice_SelfDestruct_Kli_1	,				
		kVoice_SelfDestruct_Kli_2	,				
		kVoice_SelfDestruct_Rom_1	,				
		kVoice_SelfDestruct_Rom_2	,				
		kVoice_SelfDestruct_Gor_1	,				
		kVoice_SelfDestruct_Gor_2	,				
		kVoice_SelfDestruct_Hyd_1	,				
		kVoice_SelfDestruct_Hyd_2	,				
		kVoice_SelfDestruct_Lyr_1	,				
		kVoice_SelfDestruct_Lyr_2	,				
		kVoice_SelfDestruct_Mir_1	,				
		kVoice_SelfDestruct_Mir_2	,				
		kVoice_SelfDestruct_ISC_1	,				
		kVoice_SelfDestruct_ISC_2	,				
					
		kVoice_MineDeployed_Fed_1	,				
		kVoice_MineDeployed_Fed_2	,				
		kVoice_MineDeployed_Kli_1	,				
		kVoice_MineDeployed_Kli_2	,				
		kVoice_MineDeployed_Rom_1	,				
		kVoice_MineDeployed_Rom_2	,				
		kVoice_MineDeployed_Gor_1	,				
		kVoice_MineDeployed_Gor_2	,				
		kVoice_MineDeployed_Hyd_1	,				
		kVoice_MineDeployed_Hyd_2	,				
		kVoice_MineDeployed_Lyr_1	,				
		kVoice_MineDeployed_Lyr_2	,				
		kVoice_MineDeployed_Mir_1	,				
		kVoice_MineDeployed_Mir_2	,				
		kVoice_MineDeployed_ISC_1	,				
		kVoice_MineDeployed_ISC_2	,				
					
		kVoice_FleetLoose_Fed_1	,				
		kVoice_FleetLoose_Fed_2	,				
		kVoice_FleetLoose_Kli_1	,				
		kVoice_FleetLoose_Kli_2	,				
		kVoice_FleetLoose_Rom_1	,				
		kVoice_FleetLoose_Rom_2	,				
		kVoice_FleetLoose_Gor_1	,				
		kVoice_FleetLoose_Gor_2	,				
		kVoice_FleetLoose_Hyd_1	,				
		kVoice_FleetLoose_Hyd_2	,				
		kVoice_FleetLoose_Lyr_1	,				
		kVoice_FleetLoose_Lyr_2	,				
		kVoice_FleetLoose_Mir_1	,				
		kVoice_FleetLoose_Mir_2	,				
		kVoice_FleetLoose_ISC_1	,				
		kVoice_FleetLoose_ISC_2	,				
					
		kVoice_FleetMedium_Fed_1	,				
		kVoice_FleetMedium_Fed_2	,				
		kVoice_FleetMedium_Kli_1	,				
		kVoice_FleetMedium_Kli_2	,				
		kVoice_FleetMedium_Rom_1	,				
		kVoice_FleetMedium_Rom_2	,				
		kVoice_FleetMedium_Gor_1	,				
		kVoice_FleetMedium_Gor_2	,				
		kVoice_FleetMedium_Hyd_1	,				
		kVoice_FleetMedium_Hyd_2	,				
		kVoice_FleetMedium_Lyr_1	,				
		kVoice_FleetMedium_Lyr_2	,				
		kVoice_FleetMedium_Mir_1	,				
		kVoice_FleetMedium_Mir_2	,				
		kVoice_FleetMedium_ISC_1	,				
		kVoice_FleetMedium_ISC_2	,				
					
		kVoice_FleetTight_Fed_1	,				
		kVoice_FleetTight_Fed_2	,				
		kVoice_FleetTight_Kli_1	,				
		kVoice_FleetTight_Kli_2	,				
		kVoice_FleetTight_Rom_1	,				
		kVoice_FleetTight_Rom_2	,				
		kVoice_FleetTight_Gor_1	,				
		kVoice_FleetTight_Gor_2	,				
		kVoice_FleetTight_Hyd_1	,				
		kVoice_FleetTight_Hyd_2	,				
		kVoice_FleetTight_Lyr_1	,				
		kVoice_FleetTight_Lyr_2	,				
		kVoice_FleetTight_Mir_1	,				
		kVoice_FleetTight_Mir_2	,				
		kVoice_FleetTight_ISC_1	,				
		kVoice_FleetTight_ISC_2	,				
					
		kVoice_ProbeLaunch_Fed_1	,				
		kVoice_ProbeLaunch_Fed_2	,				
		kVoice_ProbeLaunch_Kli_1	,				
		kVoice_ProbeLaunch_Kli_2	,				
		kVoice_ProbeLaunch_Rom_1	,				
		kVoice_ProbeLaunch_Rom_2	,				
		kVoice_ProbeLaunch_Gor_1	,				
		kVoice_ProbeLaunch_Gor_2	,				
		kVoice_ProbeLaunch_Hyd_1	,				
		kVoice_ProbeLaunch_Hyd_2	,				
		kVoice_ProbeLaunch_Lyr_1	,				
		kVoice_ProbeLaunch_Lyr_2	,				
		kVoice_ProbeLaunch_Mir_1	,				
		kVoice_ProbeLaunch_Mir_2	,				
		kVoice_ProbeLaunch_ISC_1	,				
		kVoice_ProbeLaunch_ISC_2	,				
					
		kVoice_EMStart_Fed_1	,				
		kVoice_EMStart_Fed_2	,				
		kVoice_EMStart_Kli_1	,				
		kVoice_EMStart_Kli_2	,				
		kVoice_EMStart_Rom_1	,				
		kVoice_EMStart_Rom_2	,				
		kVoice_EMStart_Gor_1	,				
		kVoice_EMStart_Gor_2	,				
		kVoice_EMStart_Hyd_1	,				
		kVoice_EMStart_Hyd_2	,				
		kVoice_EMStart_Lyr_1	,				
		kVoice_EMStart_Lyr_2	,				
		kVoice_EMStart_Mir_1	,				
		kVoice_EMStart_Mir_2	,				
		kVoice_EMStart_ISC_1	,				
		kVoice_EMStart_ISC_2	,				
						
		kVoice_EDecel_Fed_1	,				
		kVoice_EDecel_Fed_2	,				
		kVoice_EDecel_Kli_1	,				
		kVoice_EDecel_Kli_2	,				
		kVoice_EDecel_Rom_1	,				
		kVoice_EDecel_Rom_2	,				
		kVoice_EDecel_Gor_1	,				
		kVoice_EDecel_Gor_2	,				
		kVoice_EDecel_Hyd_1	,				
		kVoice_EDecel_Hyd_2	,				
		kVoice_EDecel_Lyr_1	,				
		kVoice_EDecel_Lyr_2	,				
		kVoice_EDecel_Mir_1	,				
		kVoice_EDecel_Mir_2	,				
		kVoice_EDecel_ISC_1	,				
		kVoice_EDecel_ISC_2	,				
					
		kVoice_DeepScan_Fed_1	,				
		kVoice_DeepScan_Fed_2	,				
		kVoice_DeepScan_Kli_1	,				
		kVoice_DeepScan_Kli_2	,				
		kVoice_DeepScan_Rom_1	,				
		kVoice_DeepScan_Rom_2	,				
		kVoice_DeepScan_Gor_1	,				
		kVoice_DeepScan_Gor_2	,				
		kVoice_DeepScan_Hyd_1	,				
		kVoice_DeepScan_Hyd_2	,				
		kVoice_DeepScan_Lyr_1	,				
		kVoice_DeepScan_Lyr_2	,				
		kVoice_DeepScan_Mir_1	,				
		kVoice_DeepScan_Mir_2	,				
		kVoice_DeepScan_ISC_1	,				
		kVoice_DeepScan_ISC_2	,				
					
		kVoice_HET_Fed_1	,				
		kVoice_HET_Fed_2	,				
		kVoice_HET_Kli_1	,				
		kVoice_HET_Kli_2	,				
		kVoice_HET_Rom_1	,				
		kVoice_HET_Rom_2	,				
		kVoice_HET_Gor_1	,				
		kVoice_HET_Gor_2	,				
		kVoice_HET_Hyd_1	,				
		kVoice_HET_Hyd_2	,				
		kVoice_HET_Lyr_1	,				
		kVoice_HET_Lyr_2	,				
		kVoice_HET_Mir_1	,				
		kVoice_HET_Mir_2	,				
		kVoice_HET_ISC_1	,				
		kVoice_HET_ISC_2	,				
		
		kVoice_HNRSuccess_Fed_1,
		kVoice_HNRSuccess_Fed_2,
		kVoice_HNRSuccess_Kli_1,
		kVoice_HNRSuccess_Kli_2,
		kVoice_HNRSuccess_Rom_1,
		kVoice_HNRSuccess_Rom_2,
		kVoice_HNRSuccess_Gor_1,
		kVoice_HNRSuccess_Gor_2,
		kVoice_HNRSuccess_Hyd_1,
		kVoice_HNRSuccess_Hyd_2,
		kVoice_HNRSuccess_Lyr_1,
		kVoice_HNRSuccess_Lyr_2,
		kVoice_HNRSuccess_Mir_1,
		kVoice_HNRSuccess_Mir_2,
		kVoice_HNRSuccess_ISC_1,
		kVoice_HNRSuccess_ISC_2,

		
		kVoice_FtrAttack_Fed_1	,				
		kVoice_FtrAttack_Fed_2	,				
		kVoice_FtrAttack_Kli_1	,				
		kVoice_FtrAttack_Kli_2	,				
		kVoice_FtrAttack_Rom_1	,				
		kVoice_FtrAttack_Rom_2	,				
		kVoice_FtrAttack_Gor_1	,				
		kVoice_FtrAttack_Gor_2	,				
		kVoice_FtrAttack_Hyd_1	,				
		kVoice_FtrAttack_Hyd_2	,				
		kVoice_FtrAttack_Lyr_1	,				
		kVoice_FtrAttack_Lyr_2	,				
		kVoice_FtrAttack_Mir_1	,				
		kVoice_FtrAttack_Mir_2	,				
		kVoice_FtrAttack_ISC_1	,				
		kVoice_FtrAttack_ISC_2	,				
		
		kVoice_FtrHarrass_Fed_1	,				
		kVoice_FtrHarrass_Fed_2	,				
		kVoice_FtrHarrass_Kli_1	,				
		kVoice_FtrHarrass_Kli_2	,				
		kVoice_FtrHarrass_Rom_1	,				
		kVoice_FtrHarrass_Rom_2	,				
		kVoice_FtrHarrass_Gor_1	,				
		kVoice_FtrHarrass_Gor_2	,				
		kVoice_FtrHarrass_Hyd_1	,				
		kVoice_FtrHarrass_Hyd_2	,				
		kVoice_FtrHarrass_Lyr_1	,				
		kVoice_FtrHarrass_Lyr_2	,				
		kVoice_FtrHarrass_Mir_1	,				
		kVoice_FtrHarrass_Mir_2	,				
		kVoice_FtrHarrass_ISC_1	,				
		kVoice_FtrHarrass_ISC_2	,				
		
		kVoice_FtrDefend_Fed_1	,				
		kVoice_FtrDefend_Fed_2	,				
		kVoice_FtrDefend_Kli_1	,				
		kVoice_FtrDefend_Kli_2	,				
		kVoice_FtrDefend_Rom_1	,				
		kVoice_FtrDefend_Rom_2	,				
		kVoice_FtrDefend_Gor_1	,				
		kVoice_FtrDefend_Gor_2	,				
		kVoice_FtrDefend_Hyd_1	,				
		kVoice_FtrDefend_Hyd_2	,				
		kVoice_FtrDefend_Lyr_1	,				
		kVoice_FtrDefend_Lyr_2	,				
		kVoice_FtrDefend_Mir_1	,				
		kVoice_FtrDefend_Mir_2	,				
		kVoice_FtrDefend_ISC_1	,				
		kVoice_FtrDefend_ISC_2	,				
		
		kVoice_FtrDefendMe_Fed_1	,				
		kVoice_FtrDefendMe_Fed_2	,				
		kVoice_FtrDefendMe_Kli_1	,				
		kVoice_FtrDefendMe_Kli_2	,				
		kVoice_FtrDefendMe_Rom_1	,				
		kVoice_FtrDefendMe_Rom_2	,				
		kVoice_FtrDefendMe_Gor_1	,				
		kVoice_FtrDefendMe_Gor_2	,				
		kVoice_FtrDefendMe_Hyd_1	,				
		kVoice_FtrDefendMe_Hyd_2	,				
		kVoice_FtrDefendMe_Lyr_1	,				
		kVoice_FtrDefendMe_Lyr_2	,				
		kVoice_FtrDefendMe_Mir_1	,				
		kVoice_FtrDefendMe_Mir_2	,				
		kVoice_FtrDefendMe_ISC_1	,				
		kVoice_FtrDefendMe_ISC_2	,				
		
		kVoice_FtrReturn_Fed_1	,				
		kVoice_FtrReturn_Fed_2	,				
		kVoice_FtrReturn_Kli_1	,				
		kVoice_FtrReturn_Kli_2	,				
		kVoice_FtrReturn_Rom_1	,				
		kVoice_FtrReturn_Rom_2	,				
		kVoice_FtrReturn_Gor_1	,				
		kVoice_FtrReturn_Gor_2	,				
		kVoice_FtrReturn_Hyd_1	,				
		kVoice_FtrReturn_Hyd_2	,				
		kVoice_FtrReturn_Lyr_1	,				
		kVoice_FtrReturn_Lyr_2	,				
		kVoice_FtrReturn_Mir_1	,				
		kVoice_FtrReturn_Mir_2	,				
		kVoice_FtrReturn_ISC_1	,				
		kVoice_FtrReturn_ISC_2	,				
		
		kVoice_Warp_Fed_1	,				
		kVoice_Warp_Fed_2	,				
		kVoice_Warp_Kli_1	,				
		kVoice_Warp_Kli_2	,				
		kVoice_Warp_Rom_1	,				
		kVoice_Warp_Rom_2	,				
		kVoice_Warp_Gor_1	,				
		kVoice_Warp_Gor_2	,				
		kVoice_Warp_Hyd_1	,				
		kVoice_Warp_Hyd_2	,				
		kVoice_Warp_Lyr_1	,				
		kVoice_Warp_Lyr_2	,				
		kVoice_Warp_Mir_1	,				
		kVoice_Warp_Mir_2	,				
		kVoice_Warp_ISC_1	,				
		kVoice_Warp_ISC_2	,				
		
		kVoice_MissileControl_Fed_1	,				
		kVoice_MissileControl_Fed_2	,				
		kVoice_MissileControl_Kli_1	,				
		kVoice_MissileControl_Kli_2	,				
		kVoice_MissileControl_Mir_1	,				
		kVoice_MissileControl_Mir_2	,				
		
		kVoice_PDWeps_Fed_1	,				
		kVoice_PDWeps_Fed_2	,				
		kVoice_PDWeps_Kli_1	,				
		kVoice_PDWeps_Kli_2	,				
		kVoice_PDWeps_Rom_1	,				
		kVoice_PDWeps_Rom_2	,				
		kVoice_PDWeps_Gor_1	,				
		kVoice_PDWeps_Gor_2	,				
		kVoice_PDWeps_Hyd_1	,				
		kVoice_PDWeps_Hyd_2	,				
		kVoice_PDWeps_Lyr_1	,				
		kVoice_PDWeps_Lyr_2	,				
		kVoice_PDWeps_Mir_1	,				
		kVoice_PDWeps_Mir_2	,				
		kVoice_PDWeps_ISC_1	,				
		kVoice_PDWeps_ISC_2	,				
		
		kVoice_PDTractor_Fed_1	,				
		kVoice_PDTractor_Fed_2	,				
		kVoice_PDTractor_Kli_1	,				
		kVoice_PDTractor_Kli_2	,				
		kVoice_PDTractor_Rom_1	,				
		kVoice_PDTractor_Rom_2	,				
		kVoice_PDTractor_Gor_1	,				
		kVoice_PDTractor_Gor_2	,				
		kVoice_PDTractor_Hyd_1	,				
		kVoice_PDTractor_Hyd_2	,				
		kVoice_PDTractor_Lyr_1	,				
		kVoice_PDTractor_Lyr_2	,				
		kVoice_PDTractor_Mir_1	,				
		kVoice_PDTractor_Mir_2	,				
		kVoice_PDTractor_ISC_1	,				
		kVoice_PDTractor_ISC_2	,				
		
		kVoice_DamageMe1_Fed_1	,				
		kVoice_DamageMe1_Fed_2	,				
		kVoice_DamageMe1_Kli_1	,				
		kVoice_DamageMe1_Kli_2	,				
		kVoice_DamageMe1_Rom_1	,				
		kVoice_DamageMe1_Rom_2	,				
		kVoice_DamageMe1_Gor_1	,				
		kVoice_DamageMe1_Gor_2	,				
		kVoice_DamageMe1_Hyd_1	,				
		kVoice_DamageMe1_Hyd_2	,				
		kVoice_DamageMe1_Lyr_1	,				
		kVoice_DamageMe1_Lyr_2	,				
		kVoice_DamageMe1_Mir_1	,				
		kVoice_DamageMe1_Mir_2	,				
		kVoice_DamageMe1_ISC_1	,				
		kVoice_DamageMe1_ISC_2	,				
		
		kVoice_DamageMe2_Fed_1	,				
		kVoice_DamageMe2_Fed_2	,				
		kVoice_DamageMe2_Kli_1	,				
		kVoice_DamageMe2_Kli_2	,				
		kVoice_DamageMe2_Rom_1	,				
		kVoice_DamageMe2_Rom_2	,				
		kVoice_DamageMe2_Gor_1	,				
		kVoice_DamageMe2_Gor_2	,				
		kVoice_DamageMe2_Hyd_1	,				
		kVoice_DamageMe2_Hyd_2	,				
		kVoice_DamageMe2_Lyr_1	,				
		kVoice_DamageMe2_Lyr_2	,				
		kVoice_DamageMe2_Mir_1	,				
		kVoice_DamageMe2_Mir_2	,				
		kVoice_DamageMe2_ISC_1	,				
		kVoice_DamageMe2_ISC_2	,				
		
		kVoice_DamageMe3_Fed_1	,				
		kVoice_DamageMe3_Fed_2	,				
		kVoice_DamageMe3_Kli_1	,				
		kVoice_DamageMe3_Kli_2	,				
		kVoice_DamageMe3_Rom_1	,				
		kVoice_DamageMe3_Rom_2	,				
		kVoice_DamageMe3_Gor_1	,				
		kVoice_DamageMe3_Gor_2	,				
		kVoice_DamageMe3_Hyd_1	,				
		kVoice_DamageMe3_Hyd_2	,				
		kVoice_DamageMe3_Lyr_1	,				
		kVoice_DamageMe3_Lyr_2	,				
		kVoice_DamageMe3_Mir_1	,				
		kVoice_DamageMe3_Mir_2	,				
		kVoice_DamageMe3_ISC_1	,				
		kVoice_DamageMe3_ISC_2	,				
		
		kVoice_DamageMe4_Fed_1	,				
		kVoice_DamageMe4_Fed_2	,				
		kVoice_DamageMe4_Kli_1	,				
		kVoice_DamageMe4_Kli_2	,				
		kVoice_DamageMe4_Rom_1	,				
		kVoice_DamageMe4_Rom_2	,				
		kVoice_DamageMe4_Gor_1	,				
		kVoice_DamageMe4_Gor_2	,				
		kVoice_DamageMe4_Hyd_1	,				
		kVoice_DamageMe4_Hyd_2	,				
		kVoice_DamageMe4_Lyr_1	,				
		kVoice_DamageMe4_Lyr_2	,				
		kVoice_DamageMe4_Mir_1	,				
		kVoice_DamageMe4_Mir_2	,				
		kVoice_DamageMe4_ISC_1	,				
		kVoice_DamageMe4_ISC_2	,				
		
		kVoice_Orbit_Fed_1	,				
		kVoice_Orbit_Fed_2	,				
		kVoice_Orbit_Kli_1	,				
		kVoice_Orbit_Kli_2	,				
		kVoice_Orbit_Rom_1	,				
		kVoice_Orbit_Rom_2	,				
		kVoice_Orbit_Gor_1	,				
		kVoice_Orbit_Gor_2	,				
		kVoice_Orbit_Hyd_1	,				
		kVoice_Orbit_Hyd_2	,				
		kVoice_Orbit_Lyr_1	,				
		kVoice_Orbit_Lyr_2	,				
		kVoice_Orbit_Mir_1	,				
		kVoice_Orbit_Mir_2	,				
		kVoice_Orbit_ISC_1	,				
		kVoice_Orbit_ISC_2	,				
		
		kVoice_RepairEngines_Fed_1	,				
		kVoice_RepairEngines_Fed_2	,				
		kVoice_RepairEngines_Kli_1	,				
		kVoice_RepairEngines_Kli_2	,				
		kVoice_RepairEngines_Rom_1	,				
		kVoice_RepairEngines_Rom_2	,				
		kVoice_RepairEngines_Gor_1	,				
		kVoice_RepairEngines_Gor_2	,				
		kVoice_RepairEngines_Hyd_1	,				
		kVoice_RepairEngines_Hyd_2	,				
		kVoice_RepairEngines_Lyr_1	,				
		kVoice_RepairEngines_Lyr_2	,				
		kVoice_RepairEngines_Mir_1	,				
		kVoice_RepairEngines_Mir_2	,				
		kVoice_RepairEngines_ISC_1	,				
		kVoice_RepairEngines_ISC_2	,				
		
		kVoice_DamageTarget1_Fed_1	,				
		kVoice_DamageTarget1_Fed_2	,				
		kVoice_DamageTarget1_Kli_1	,				
		kVoice_DamageTarget1_Kli_2	,				
		kVoice_DamageTarget1_Rom_1	,				
		kVoice_DamageTarget1_Rom_2	,				
		kVoice_DamageTarget1_Gor_1	,				
		kVoice_DamageTarget1_Gor_2	,				
		kVoice_DamageTarget1_Hyd_1	,				
		kVoice_DamageTarget1_Hyd_2	,				
		kVoice_DamageTarget1_Lyr_1	,				
		kVoice_DamageTarget1_Lyr_2	,				
		kVoice_DamageTarget1_Mir_1	,				
		kVoice_DamageTarget1_Mir_2	,				
		kVoice_DamageTarget1_ISC_1	,				
		kVoice_DamageTarget1_ISC_2	,				
		
		kVoice_DamageTarget2_Fed_1	,				
		kVoice_DamageTarget2_Fed_2	,				
		kVoice_DamageTarget2_Kli_1	,				
		kVoice_DamageTarget2_Kli_2	,				
		kVoice_DamageTarget2_Rom_1	,				
		kVoice_DamageTarget2_Rom_2	,				
		kVoice_DamageTarget2_Gor_1	,				
		kVoice_DamageTarget2_Gor_2	,				
		kVoice_DamageTarget2_Hyd_1	,				
		kVoice_DamageTarget2_Hyd_2	,				
		kVoice_DamageTarget2_Lyr_1	,				
		kVoice_DamageTarget2_Lyr_2	,				
		kVoice_DamageTarget2_Mir_1	,				
		kVoice_DamageTarget2_Mir_2	,				
		kVoice_DamageTarget2_ISC_1	,				
		kVoice_DamageTarget2_ISC_2	,				
		
		kVoice_DamageTarget3_Fed_1	,				
		kVoice_DamageTarget3_Fed_2	,				
		kVoice_DamageTarget3_Kli_1	,				
		kVoice_DamageTarget3_Kli_2	,				
		kVoice_DamageTarget3_Rom_1	,				
		kVoice_DamageTarget3_Rom_2	,				
		kVoice_DamageTarget3_Gor_1	,				
		kVoice_DamageTarget3_Gor_2	,				
		kVoice_DamageTarget3_Hyd_1	,				
		kVoice_DamageTarget3_Hyd_2	,				
		kVoice_DamageTarget3_Lyr_1	,				
		kVoice_DamageTarget3_Lyr_2	,				
		kVoice_DamageTarget3_Mir_1	,				
		kVoice_DamageTarget3_Mir_2	,				
		kVoice_DamageTarget3_ISC_1	,				
		kVoice_DamageTarget3_ISC_2	,				
		
		kVoice_DamageTarget4_Fed_1	,				
		kVoice_DamageTarget4_Fed_2	,				
		kVoice_DamageTarget4_Kli_1	,				
		kVoice_DamageTarget4_Kli_2	,				
		kVoice_DamageTarget4_Rom_1	,				
		kVoice_DamageTarget4_Rom_2	,				
		kVoice_DamageTarget4_Gor_1	,				
		kVoice_DamageTarget4_Gor_2	,				
		kVoice_DamageTarget4_Hyd_1	,				
		kVoice_DamageTarget4_Hyd_2	,				
		kVoice_DamageTarget4_Lyr_1	,				
		kVoice_DamageTarget4_Lyr_2	,				
		kVoice_DamageTarget4_Mir_1	,				
		kVoice_DamageTarget4_Mir_2	,				
		kVoice_DamageTarget4_ISC_1	,				
		kVoice_DamageTarget4_ISC_2	,				
		
		kVoice_WeWereCaptured_Fed_1	,				
		kVoice_WeWereCaptured_Fed_2	,				
		kVoice_WeWereCaptured_Kli_1	,				
		kVoice_WeWereCaptured_Kli_2	,				
		kVoice_WeWereCaptured_Rom_1	,				
		kVoice_WeWereCaptured_Rom_2	,				
		kVoice_WeWereCaptured_Gor_1	,				
		kVoice_WeWereCaptured_Gor_2	,				
		kVoice_WeWereCaptured_Hyd_1	,				
		kVoice_WeWereCaptured_Hyd_2	,				
		kVoice_WeWereCaptured_Lyr_1	,				
		kVoice_WeWereCaptured_Lyr_2	,				
		kVoice_WeWereCaptured_Mir_1	,				
		kVoice_WeWereCaptured_Mir_2	,				
		kVoice_WeWereCaptured_ISC_1	,				
		kVoice_WeWereCaptured_ISC_2	,				
		
		kVoice_EnemyCaptured_Fed_1	,				
		kVoice_EnemyCaptured_Fed_2	,				
		kVoice_EnemyCaptured_Kli_1	,				
		kVoice_EnemyCaptured_Kli_2	,				
		kVoice_EnemyCaptured_Rom_1	,				
		kVoice_EnemyCaptured_Rom_2	,				
		kVoice_EnemyCaptured_Gor_1	,				
		kVoice_EnemyCaptured_Gor_2	,				
		kVoice_EnemyCaptured_Hyd_1	,				
		kVoice_EnemyCaptured_Hyd_2	,				
		kVoice_EnemyCaptured_Lyr_1	,				
		kVoice_EnemyCaptured_Lyr_2	,				
		kVoice_EnemyCaptured_Mir_1	,				
		kVoice_EnemyCaptured_Mir_2	,				
		kVoice_EnemyCaptured_ISC_1	,				
		kVoice_EnemyCaptured_ISC_2	,				
		
		kVoice_Shield1Down_Fed_1	,				
		kVoice_Shield1Down_Fed_2	,				
		kVoice_Shield1Down_Kli_1	,				
		kVoice_Shield1Down_Kli_2	,				
		kVoice_Shield1Down_Rom_1	,				
		kVoice_Shield1Down_Rom_2	,				
		kVoice_Shield1Down_Gor_1	,				
		kVoice_Shield1Down_Gor_2	,				
		kVoice_Shield1Down_Hyd_1	,				
		kVoice_Shield1Down_Hyd_2	,				
		kVoice_Shield1Down_Lyr_1	,				
		kVoice_Shield1Down_Lyr_2	,				
		kVoice_Shield1Down_Mir_1	,				
		kVoice_Shield1Down_Mir_2	,				
		kVoice_Shield1Down_ISC_1	,				
		kVoice_Shield1Down_ISC_2	,				
		
		kVoice_Shield2Down_Fed_1	,				
		kVoice_Shield2Down_Fed_2	,				
		kVoice_Shield2Down_Kli_1	,				
		kVoice_Shield2Down_Kli_2	,				
		kVoice_Shield2Down_Rom_1	,				
		kVoice_Shield2Down_Rom_2	,				
		kVoice_Shield2Down_Gor_1	,				
		kVoice_Shield2Down_Gor_2	,				
		kVoice_Shield2Down_Hyd_1	,				
		kVoice_Shield2Down_Hyd_2	,				
		kVoice_Shield2Down_Lyr_1	,				
		kVoice_Shield2Down_Lyr_2	,				
		kVoice_Shield2Down_Mir_1	,				
		kVoice_Shield2Down_Mir_2	,				
		kVoice_Shield2Down_ISC_1	,				
		kVoice_Shield2Down_ISC_2	,				
		
		kVoice_Shield3Down_Fed_1	,				
		kVoice_Shield3Down_Fed_2	,				
		kVoice_Shield3Down_Kli_1	,				
		kVoice_Shield3Down_Kli_2	,				
		kVoice_Shield3Down_Rom_1	,				
		kVoice_Shield3Down_Rom_2	,				
		kVoice_Shield3Down_Gor_1	,				
		kVoice_Shield3Down_Gor_2	,				
		kVoice_Shield3Down_Hyd_1	,				
		kVoice_Shield3Down_Hyd_2	,				
		kVoice_Shield3Down_Lyr_1	,				
		kVoice_Shield3Down_Lyr_2	,				
		kVoice_Shield3Down_Mir_1	,				
		kVoice_Shield3Down_Mir_2	,				
		kVoice_Shield3Down_ISC_1	,				
		kVoice_Shield3Down_ISC_2	,				
		
		kVoice_Shield4Down_Fed_1	,				
		kVoice_Shield4Down_Fed_2	,				
		kVoice_Shield4Down_Kli_1	,				
		kVoice_Shield4Down_Kli_2	,				
		kVoice_Shield4Down_Rom_1	,				
		kVoice_Shield4Down_Rom_2	,				
		kVoice_Shield4Down_Gor_1	,				
		kVoice_Shield4Down_Gor_2	,				
		kVoice_Shield4Down_Hyd_1	,				
		kVoice_Shield4Down_Hyd_2	,				
		kVoice_Shield4Down_Lyr_1	,				
		kVoice_Shield4Down_Lyr_2	,				
		kVoice_Shield4Down_Mir_1	,				
		kVoice_Shield4Down_Mir_2	,				
		kVoice_Shield4Down_ISC_1	,				
		kVoice_Shield4Down_ISC_2	,				
		
		kVoice_Shield5Down_Fed_1	,				
		kVoice_Shield5Down_Fed_2	,				
		kVoice_Shield5Down_Kli_1	,				
		kVoice_Shield5Down_Kli_2	,				
		kVoice_Shield5Down_Rom_1	,				
		kVoice_Shield5Down_Rom_2	,				
		kVoice_Shield5Down_Gor_1	,				
		kVoice_Shield5Down_Gor_2	,				
		kVoice_Shield5Down_Hyd_1	,				
		kVoice_Shield5Down_Hyd_2	,				
		kVoice_Shield5Down_Lyr_1	,				
		kVoice_Shield5Down_Lyr_2	,				
		kVoice_Shield5Down_Mir_1	,				
		kVoice_Shield5Down_Mir_2	,				
		kVoice_Shield5Down_ISC_1	,				
		kVoice_Shield5Down_ISC_2	,				
		
		kVoice_Shield6Down_Fed_1	,				
		kVoice_Shield6Down_Fed_2	,				
		kVoice_Shield6Down_Kli_1	,				
		kVoice_Shield6Down_Kli_2	,				
		kVoice_Shield6Down_Rom_1	,				
		kVoice_Shield6Down_Rom_2	,				
		kVoice_Shield6Down_Gor_1	,				
		kVoice_Shield6Down_Gor_2	,				
		kVoice_Shield6Down_Hyd_1	,				
		kVoice_Shield6Down_Hyd_2	,				
		kVoice_Shield6Down_Lyr_1	,				
		kVoice_Shield6Down_Lyr_2	,				
		kVoice_Shield6Down_Mir_1	,				
		kVoice_Shield6Down_Mir_2	,				
		kVoice_Shield6Down_ISC_1	,				
		kVoice_Shield6Down_ISC_2	,				
		
		kVoice_Taunt1_Fed	,				
		kVoice_Taunt1_Kli	,				
		kVoice_Taunt1_Rom	,				
		kVoice_Taunt1_Gor	,				
		kVoice_Taunt1_Hyd	,				
		kVoice_Taunt1_Lyr	,				
		kVoice_Taunt1_Mir	,				
		kVoice_Taunt1_ISC	,				
		
		kVoice_Taunt2_Fed	,				
		kVoice_Taunt2_Kli	,				
		kVoice_Taunt2_Rom	,				
		kVoice_Taunt2_Gor	,				
		kVoice_Taunt2_Hyd	,				
		kVoice_Taunt2_Lyr	,				
		kVoice_Taunt2_Mir	,				
		kVoice_Taunt2_ISC	,				
		
		kVoice_Taunt3_Fed	,				
		kVoice_Taunt3_Kli	,				
		kVoice_Taunt3_Rom	,				
		kVoice_Taunt3_Gor	,				
		kVoice_Taunt3_Hyd	,				
		kVoice_Taunt3_Lyr	,				
		kVoice_Taunt3_Mir	,				
		kVoice_Taunt3_ISC	,				
		
		kVoice_Taunt4_Fed	,				
		kVoice_Taunt4_Kli	,				
		kVoice_Taunt4_Rom	,				
		kVoice_Taunt4_Gor	,				
		kVoice_Taunt4_Hyd	,				
		kVoice_Taunt4_Lyr	,				
		kVoice_Taunt4_Mir	,				
		kVoice_Taunt4_ISC	,				
		
		kVoice_Taunt5_Fed	,				
		kVoice_Taunt5_Kli	,				
		kVoice_Taunt5_Rom	,				
		kVoice_Taunt5_Gor	,				
		kVoice_Taunt5_Hyd	,				
		kVoice_Taunt5_Lyr	,				
		kVoice_Taunt5_Mir	,				
		kVoice_Taunt5_ISC	,				
		
		kVoice_Taunt6_Fed	,				
		kVoice_Taunt6_Kli	,				
		kVoice_Taunt6_Rom	,				
		kVoice_Taunt6_Gor	,				
		kVoice_Taunt6_Hyd	,				
		kVoice_Taunt6_Lyr	,				
		kVoice_Taunt6_Mir	,				
		kVoice_Taunt6_ISC	,				
		
		kVoice_Taunt7_Fed	,				
		kVoice_Taunt7_Kli	,				
		kVoice_Taunt7_Rom	,				
		kVoice_Taunt7_Gor	,				
		kVoice_Taunt7_Hyd	,				
		kVoice_Taunt7_Lyr	,				
		kVoice_Taunt7_Mir	,				
		kVoice_Taunt7_ISC	,				
		
		kVoice_Taunt8_Fed	,				
		kVoice_Taunt8_Kli	,				
		kVoice_Taunt8_Rom	,				
		kVoice_Taunt8_Gor	,				
		kVoice_Taunt8_Hyd	,				
		kVoice_Taunt8_Lyr	,				
		kVoice_Taunt8_Mir	,				
		kVoice_Taunt8_ISC	,				
		
		kVoice_Taunt9_Fed	,				
		kVoice_Taunt9_Kli	,				
		kVoice_Taunt9_Rom	,				
		kVoice_Taunt9_Gor	,				
		kVoice_Taunt9_Hyd	,				
		kVoice_Taunt9_Lyr	,				
		kVoice_Taunt9_Mir	,				
		kVoice_Taunt9_ISC	,				
		
		kVoice_Taunt10_Fed	,				
		kVoice_Taunt10_Kli	,				
		kVoice_Taunt10_Rom	,				
		kVoice_Taunt10_Gor	,				
		kVoice_Taunt10_Hyd	,				
		kVoice_Taunt10_Lyr	,				
		kVoice_Taunt10_Mir	,				
		kVoice_Taunt10_ISC	,				
		
		kVoice_Taunt11_Fed	,				
		kVoice_Taunt11_Kli	,				
		kVoice_Taunt11_Rom	,				
		kVoice_Taunt11_Gor	,				
		kVoice_Taunt11_Hyd	,				
		kVoice_Taunt11_Lyr	,				
		kVoice_Taunt11_Mir	,				
		kVoice_Taunt11_ISC	,
		
		////////////////////
		// 2.5 Voices

		kVoice_RedAlert_Ori_1	,				
		kVoice_RedAlert_Ori_2	,				
		kVoice_RedAlert_Kor_1	,				
		kVoice_RedAlert_Kor_2	,				
		kVoice_RedAlert_Pri_1	,				
		kVoice_RedAlert_Pri_2	,				
		kVoice_RedAlert_Tig_1	,				
		kVoice_RedAlert_Tig_2	,				
		kVoice_RedAlert_Bst_1	,				
		kVoice_RedAlert_Bst_2	,				
		kVoice_RedAlert_Syn_1	,				
		kVoice_RedAlert_Syn_2	,				
		kVoice_RedAlert_Wyl_1	,				
		kVoice_RedAlert_Wyl_2	,				
		kVoice_RedAlert_Cam_1	,				
		kVoice_RedAlert_Cam_2	,				
					
		kVoice_YelAlert_Ori_1	,				
		kVoice_YelAlert_Ori_2	,				
		kVoice_YelAlert_Kor_1	,				
		kVoice_YelAlert_Kor_2	,				
		kVoice_YelAlert_Pri_1	,				
		kVoice_YelAlert_Pri_2	,				
		kVoice_YelAlert_Tig_1	,				
		kVoice_YelAlert_Tig_2	,				
		kVoice_YelAlert_Bst_1	,				
		kVoice_YelAlert_Bst_2	,				
		kVoice_YelAlert_Syn_1	,				
		kVoice_YelAlert_Syn_2	,				
		kVoice_YelAlert_Wyl_1	,				
		kVoice_YelAlert_Wyl_2	,				
		kVoice_YelAlert_Cam_1	,				
		kVoice_YelAlert_Cam_2	,				
					
		kVoice_WWReady_Ori_1	,				
		kVoice_WWReady_Ori_2	,				
		kVoice_WWReady_Kor_1	,				
		kVoice_WWReady_Kor_2	,				
		kVoice_WWReady_Pri_1	,				
		kVoice_WWReady_Pri_2	,				
		kVoice_WWReady_Tig_1	,				
		kVoice_WWReady_Tig_2	,				
		kVoice_WWReady_Bst_1	,				
		kVoice_WWReady_Bst_2	,				
		kVoice_WWReady_Syn_1	,				
		kVoice_WWReady_Syn_2	,				
		kVoice_WWReady_Wyl_1	,				
		kVoice_WWReady_Wyl_2	,				
		kVoice_WWReady_Cam_1	,				
		kVoice_WWReady_Cam_2	,				
					
		kVoice_SSReady_Ori_1	,				
		kVoice_SSReady_Ori_2	,				
		kVoice_SSReady_Kor_1	,				
		kVoice_SSReady_Kor_2	,				
		kVoice_SSReady_Pri_1	,				
		kVoice_SSReady_Pri_2	,				
		kVoice_SSReady_Tig_1	,				
		kVoice_SSReady_Tig_2	,				
		kVoice_SSReady_Bst_1	,				
		kVoice_SSReady_Bst_2	,				
		kVoice_SSReady_Syn_1	,				
		kVoice_SSReady_Syn_2	,				
		kVoice_SSReady_Wyl_1	,				
		kVoice_SSReady_Wyl_2	,				
		kVoice_SSReady_Cam_1	,				
		kVoice_SSReady_Cam_2	,				
					
		kVoice_SPReady_Ori_1	,				
		kVoice_SPReady_Ori_2	,				
		kVoice_SPReady_Kor_1	,				
		kVoice_SPReady_Kor_2	,				
		kVoice_SPReady_Pri_1	,				
		kVoice_SPReady_Pri_2	,				
		kVoice_SPReady_Tig_1	,				
		kVoice_SPReady_Tig_2	,				
		kVoice_SPReady_Bst_1	,				
		kVoice_SPReady_Bst_2	,				
		kVoice_SPReady_Syn_1	,				
		kVoice_SPReady_Syn_2	,				
		kVoice_SPReady_Wyl_1	,				
		kVoice_SPReady_Wyl_2	,				
		kVoice_SPReady_Cam_1	,				
		kVoice_SPReady_Cam_2	,				
					
		kVoice_GASReady_Ori_1	,				
		kVoice_GASReady_Ori_2	,				
		kVoice_GASReady_Kor_1	,				
		kVoice_GASReady_Kor_2	,				
		kVoice_GASReady_Pri_1	,				
		kVoice_GASReady_Pri_2	,				
		kVoice_GASReady_Tig_1	,				
		kVoice_GASReady_Tig_2	,				
		kVoice_GASReady_Bst_1	,				
		kVoice_GASReady_Bst_2	,				
		kVoice_GASReady_Syn_1	,				
		kVoice_GASReady_Syn_2	,				
		kVoice_GASReady_Wyl_1	,				
		kVoice_GASReady_Wyl_2	,				
		kVoice_GASReady_Cam_1	,				
		kVoice_GASReady_Cam_2	,				
					
		kVoice_SelfDestruct_Ori_1	,				
		kVoice_SelfDestruct_Ori_2	,				
		kVoice_SelfDestruct_Kor_1	,				
		kVoice_SelfDestruct_Kor_2	,				
		kVoice_SelfDestruct_Pri_1	,				
		kVoice_SelfDestruct_Pri_2	,				
		kVoice_SelfDestruct_Tig_1	,				
		kVoice_SelfDestruct_Tig_2	,				
		kVoice_SelfDestruct_Bst_1	,				
		kVoice_SelfDestruct_Bst_2	,				
		kVoice_SelfDestruct_Syn_1	,				
		kVoice_SelfDestruct_Syn_2	,				
		kVoice_SelfDestruct_Wyl_1	,				
		kVoice_SelfDestruct_Wyl_2	,				
		kVoice_SelfDestruct_Cam_1	,				
		kVoice_SelfDestruct_Cam_2	,				
					
		kVoice_MineDeployed_Ori_1	,				
		kVoice_MineDeployed_Ori_2	,				
		kVoice_MineDeployed_Kor_1	,				
		kVoice_MineDeployed_Kor_2	,				
		kVoice_MineDeployed_Pri_1	,				
		kVoice_MineDeployed_Pri_2	,				
		kVoice_MineDeployed_Tig_1	,				
		kVoice_MineDeployed_Tig_2	,				
		kVoice_MineDeployed_Bst_1	,				
		kVoice_MineDeployed_Bst_2	,				
		kVoice_MineDeployed_Syn_1	,				
		kVoice_MineDeployed_Syn_2	,				
		kVoice_MineDeployed_Wyl_1	,				
		kVoice_MineDeployed_Wyl_2	,				
		kVoice_MineDeployed_Cam_1	,				
		kVoice_MineDeployed_Cam_2	,				
					
		kVoice_FleetLoose_Ori_1	,				
		kVoice_FleetLoose_Ori_2	,				
		kVoice_FleetLoose_Kor_1	,				
		kVoice_FleetLoose_Kor_2	,				
		kVoice_FleetLoose_Pri_1	,				
		kVoice_FleetLoose_Pri_2	,				
		kVoice_FleetLoose_Tig_1	,				
		kVoice_FleetLoose_Tig_2	,				
		kVoice_FleetLoose_Bst_1	,				
		kVoice_FleetLoose_Bst_2	,				
		kVoice_FleetLoose_Syn_1	,				
		kVoice_FleetLoose_Syn_2	,				
		kVoice_FleetLoose_Wyl_1	,				
		kVoice_FleetLoose_Wyl_2	,				
		kVoice_FleetLoose_Cam_1	,				
		kVoice_FleetLoose_Cam_2	,				
					
		kVoice_FleetMedium_Ori_1	,				
		kVoice_FleetMedium_Ori_2	,				
		kVoice_FleetMedium_Kor_1	,				
		kVoice_FleetMedium_Kor_2	,				
		kVoice_FleetMedium_Pri_1	,				
		kVoice_FleetMedium_Pri_2	,				
		kVoice_FleetMedium_Tig_1	,				
		kVoice_FleetMedium_Tig_2	,				
		kVoice_FleetMedium_Bst_1	,				
		kVoice_FleetMedium_Bst_2	,				
		kVoice_FleetMedium_Syn_1	,				
		kVoice_FleetMedium_Syn_2	,				
		kVoice_FleetMedium_Wyl_1	,				
		kVoice_FleetMedium_Wyl_2	,				
		kVoice_FleetMedium_Cam_1	,				
		kVoice_FleetMedium_Cam_2	,				
					
		kVoice_FleetTight_Ori_1	,				
		kVoice_FleetTight_Ori_2	,				
		kVoice_FleetTight_Kor_1	,				
		kVoice_FleetTight_Kor_2	,				
		kVoice_FleetTight_Pri_1	,				
		kVoice_FleetTight_Pri_2	,				
		kVoice_FleetTight_Tig_1	,				
		kVoice_FleetTight_Tig_2	,				
		kVoice_FleetTight_Bst_1	,				
		kVoice_FleetTight_Bst_2	,				
		kVoice_FleetTight_Syn_1	,				
		kVoice_FleetTight_Syn_2	,				
		kVoice_FleetTight_Wyl_1	,				
		kVoice_FleetTight_Wyl_2	,				
		kVoice_FleetTight_Cam_1	,				
		kVoice_FleetTight_Cam_2	,				
					
		kVoice_ProbeLaunch_Ori_1	,				
		kVoice_ProbeLaunch_Ori_2	,				
		kVoice_ProbeLaunch_Kor_1	,				
		kVoice_ProbeLaunch_Kor_2	,				
		kVoice_ProbeLaunch_Pri_1	,				
		kVoice_ProbeLaunch_Pri_2	,				
		kVoice_ProbeLaunch_Tig_1	,				
		kVoice_ProbeLaunch_Tig_2	,				
		kVoice_ProbeLaunch_Bst_1	,				
		kVoice_ProbeLaunch_Bst_2	,				
		kVoice_ProbeLaunch_Syn_1	,				
		kVoice_ProbeLaunch_Syn_2	,				
		kVoice_ProbeLaunch_Wyl_1	,				
		kVoice_ProbeLaunch_Wyl_2	,				
		kVoice_ProbeLaunch_Cam_1	,				
		kVoice_ProbeLaunch_Cam_2	,				
					
		kVoice_EMStart_Ori_1	,				
		kVoice_EMStart_Ori_2	,				
		kVoice_EMStart_Kor_1	,				
		kVoice_EMStart_Kor_2	,				
		kVoice_EMStart_Pri_1	,				
		kVoice_EMStart_Pri_2	,				
		kVoice_EMStart_Tig_1	,				
		kVoice_EMStart_Tig_2	,				
		kVoice_EMStart_Bst_1	,				
		kVoice_EMStart_Bst_2	,				
		kVoice_EMStart_Syn_1	,				
		kVoice_EMStart_Syn_2	,				
		kVoice_EMStart_Wyl_1	,				
		kVoice_EMStart_Wyl_2	,				
		kVoice_EMStart_Cam_1	,				
		kVoice_EMStart_Cam_2	,				
						
		kVoice_EDecel_Ori_1	,				
		kVoice_EDecel_Ori_2	,				
		kVoice_EDecel_Kor_1	,				
		kVoice_EDecel_Kor_2	,				
		kVoice_EDecel_Pri_1	,				
		kVoice_EDecel_Pri_2	,				
		kVoice_EDecel_Tig_1	,				
		kVoice_EDecel_Tig_2	,				
		kVoice_EDecel_Bst_1	,				
		kVoice_EDecel_Bst_2	,				
		kVoice_EDecel_Syn_1	,				
		kVoice_EDecel_Syn_2	,				
		kVoice_EDecel_Wyl_1	,				
		kVoice_EDecel_Wyl_2	,				
		kVoice_EDecel_Cam_1	,				
		kVoice_EDecel_Cam_2	,				
					
		kVoice_DeepScan_Ori_1	,				
		kVoice_DeepScan_Ori_2	,				
		kVoice_DeepScan_Kor_1	,				
		kVoice_DeepScan_Kor_2	,				
		kVoice_DeepScan_Pri_1	,				
		kVoice_DeepScan_Pri_2	,				
		kVoice_DeepScan_Tig_1	,				
		kVoice_DeepScan_Tig_2	,				
		kVoice_DeepScan_Bst_1	,				
		kVoice_DeepScan_Bst_2	,				
		kVoice_DeepScan_Syn_1	,				
		kVoice_DeepScan_Syn_2	,				
		kVoice_DeepScan_Wyl_1	,				
		kVoice_DeepScan_Wyl_2	,				
		kVoice_DeepScan_Cam_1	,				
		kVoice_DeepScan_Cam_2	,				
					
		kVoice_HET_Ori_1	,				
		kVoice_HET_Ori_2	,				
		kVoice_HET_Kor_1	,				
		kVoice_HET_Kor_2	,				
		kVoice_HET_Pri_1	,				
		kVoice_HET_Pri_2	,				
		kVoice_HET_Tig_1	,				
		kVoice_HET_Tig_2	,				
		kVoice_HET_Bst_1	,				
		kVoice_HET_Bst_2	,				
		kVoice_HET_Syn_1	,				
		kVoice_HET_Syn_2	,				
		kVoice_HET_Wyl_1	,				
		kVoice_HET_Wyl_2	,				
		kVoice_HET_Cam_1	,				
		kVoice_HET_Cam_2	,				
		
		kVoice_HNRSuccess_Ori_1,
		kVoice_HNRSuccess_Ori_2,
		kVoice_HNRSuccess_Kor_1,
		kVoice_HNRSuccess_Kor_2,
		kVoice_HNRSuccess_Pri_1,
		kVoice_HNRSuccess_Pri_2,
		kVoice_HNRSuccess_Tig_1,
		kVoice_HNRSuccess_Tig_2,
		kVoice_HNRSuccess_Bst_1,
		kVoice_HNRSuccess_Bst_2,
		kVoice_HNRSuccess_Syn_1,
		kVoice_HNRSuccess_Syn_2,
		kVoice_HNRSuccess_Wyl_1,
		kVoice_HNRSuccess_Wyl_2,
		kVoice_HNRSuccess_Cam_1,
		kVoice_HNRSuccess_Cam_2,

		
		kVoice_FtrAttack_Ori_1	,				
		kVoice_FtrAttack_Ori_2	,				
		kVoice_FtrAttack_Kor_1	,				
		kVoice_FtrAttack_Kor_2	,				
		kVoice_FtrAttack_Pri_1	,				
		kVoice_FtrAttack_Pri_2	,				
		kVoice_FtrAttack_Tig_1	,				
		kVoice_FtrAttack_Tig_2	,				
		kVoice_FtrAttack_Bst_1	,				
		kVoice_FtrAttack_Bst_2	,				
		kVoice_FtrAttack_Syn_1	,				
		kVoice_FtrAttack_Syn_2	,				
		kVoice_FtrAttack_Wyl_1	,				
		kVoice_FtrAttack_Wyl_2	,				
		kVoice_FtrAttack_Cam_1	,				
		kVoice_FtrAttack_Cam_2	,				
		
		kVoice_FtrHarrass_Ori_1	,				
		kVoice_FtrHarrass_Ori_2	,				
		kVoice_FtrHarrass_Kor_1	,				
		kVoice_FtrHarrass_Kor_2	,				
		kVoice_FtrHarrass_Pri_1	,				
		kVoice_FtrHarrass_Pri_2	,				
		kVoice_FtrHarrass_Tig_1	,				
		kVoice_FtrHarrass_Tig_2	,				
		kVoice_FtrHarrass_Bst_1	,				
		kVoice_FtrHarrass_Bst_2	,				
		kVoice_FtrHarrass_Syn_1	,				
		kVoice_FtrHarrass_Syn_2	,				
		kVoice_FtrHarrass_Wyl_1	,				
		kVoice_FtrHarrass_Wyl_2	,				
		kVoice_FtrHarrass_Cam_1	,				
		kVoice_FtrHarrass_Cam_2	,				
		
		kVoice_FtrDefend_Ori_1	,				
		kVoice_FtrDefend_Ori_2	,				
		kVoice_FtrDefend_Kor_1	,				
		kVoice_FtrDefend_Kor_2	,				
		kVoice_FtrDefend_Pri_1	,				
		kVoice_FtrDefend_Pri_2	,				
		kVoice_FtrDefend_Tig_1	,				
		kVoice_FtrDefend_Tig_2	,				
		kVoice_FtrDefend_Bst_1	,				
		kVoice_FtrDefend_Bst_2	,				
		kVoice_FtrDefend_Syn_1	,				
		kVoice_FtrDefend_Syn_2	,				
		kVoice_FtrDefend_Wyl_1	,				
		kVoice_FtrDefend_Wyl_2	,				
		kVoice_FtrDefend_Cam_1	,				
		kVoice_FtrDefend_Cam_2	,				
		
		kVoice_FtrDefendMe_Ori_1	,				
		kVoice_FtrDefendMe_Ori_2	,				
		kVoice_FtrDefendMe_Kor_1	,				
		kVoice_FtrDefendMe_Kor_2	,				
		kVoice_FtrDefendMe_Pri_1	,				
		kVoice_FtrDefendMe_Pri_2	,				
		kVoice_FtrDefendMe_Tig_1	,				
		kVoice_FtrDefendMe_Tig_2	,				
		kVoice_FtrDefendMe_Bst_1	,				
		kVoice_FtrDefendMe_Bst_2	,				
		kVoice_FtrDefendMe_Syn_1	,				
		kVoice_FtrDefendMe_Syn_2	,				
		kVoice_FtrDefendMe_Wyl_1	,				
		kVoice_FtrDefendMe_Wyl_2	,				
		kVoice_FtrDefendMe_Cam_1	,				
		kVoice_FtrDefendMe_Cam_2	,				
		
		kVoice_FtrReturn_Ori_1	,				
		kVoice_FtrReturn_Ori_2	,				
		kVoice_FtrReturn_Kor_1	,				
		kVoice_FtrReturn_Kor_2	,				
		kVoice_FtrReturn_Pri_1	,				
		kVoice_FtrReturn_Pri_2	,				
		kVoice_FtrReturn_Tig_1	,				
		kVoice_FtrReturn_Tig_2	,				
		kVoice_FtrReturn_Bst_1	,				
		kVoice_FtrReturn_Bst_2	,				
		kVoice_FtrReturn_Syn_1	,				
		kVoice_FtrReturn_Syn_2	,				
		kVoice_FtrReturn_Wyl_1	,				
		kVoice_FtrReturn_Wyl_2	,				
		kVoice_FtrReturn_Cam_1	,				
		kVoice_FtrReturn_Cam_2	,				
		
		kVoice_Warp_Ori_1	,				
		kVoice_Warp_Ori_2	,				
		kVoice_Warp_Kor_1	,				
		kVoice_Warp_Kor_2	,				
		kVoice_Warp_Pri_1	,				
		kVoice_Warp_Pri_2	,				
		kVoice_Warp_Tig_1	,				
		kVoice_Warp_Tig_2	,				
		kVoice_Warp_Bst_1	,				
		kVoice_Warp_Bst_2	,				
		kVoice_Warp_Syn_1	,				
		kVoice_Warp_Syn_2	,				
		kVoice_Warp_Wyl_1	,				
		kVoice_Warp_Wyl_2	,				
		kVoice_Warp_Cam_1	,				
		kVoice_Warp_Cam_2	,				
		
		kVoice_PDWeps_Ori_1,			
		kVoice_PDWeps_Ori_2	,				
		kVoice_PDWeps_Kor_1	,				
		kVoice_PDWeps_Kor_2	,				
		kVoice_PDWeps_Pri_1	,				
		kVoice_PDWeps_Pri_2	,				
		kVoice_PDWeps_Tig_1	,				
		kVoice_PDWeps_Tig_2	,				
		kVoice_PDWeps_Bst_1	,				
		kVoice_PDWeps_Bst_2	,				
		kVoice_PDWeps_Syn_1	,				
		kVoice_PDWeps_Syn_2	,				
		kVoice_PDWeps_Wyl_1	,				
		kVoice_PDWeps_Wyl_2	,				
		kVoice_PDWeps_Cam_1	,				
		kVoice_PDWeps_Cam_2	,				
		
		kVoice_PDTractor_Ori_1	,				
		kVoice_PDTractor_Ori_2	,				
		kVoice_PDTractor_Kor_1	,				
		kVoice_PDTractor_Kor_2	,				
		kVoice_PDTractor_Pri_1	,				
		kVoice_PDTractor_Pri_2	,				
		kVoice_PDTractor_Tig_1	,				
		kVoice_PDTractor_Tig_2	,				
		kVoice_PDTractor_Bst_1	,				
		kVoice_PDTractor_Bst_2	,				
		kVoice_PDTractor_Syn_1	,				
		kVoice_PDTractor_Syn_2	,				
		kVoice_PDTractor_Wyl_1	,				
		kVoice_PDTractor_Wyl_2	,				
		kVoice_PDTractor_Cam_1	,				
		kVoice_PDTractor_Cam_2	,				
		
		kVoice_DamageMe1_Ori_1	,				
		kVoice_DamageMe1_Ori_2	,				
		kVoice_DamageMe1_Kor_1	,				
		kVoice_DamageMe1_Kor_2	,				
		kVoice_DamageMe1_Pri_1	,				
		kVoice_DamageMe1_Pri_2	,				
		kVoice_DamageMe1_Tig_1	,				
		kVoice_DamageMe1_Tig_2	,				
		kVoice_DamageMe1_Bst_1	,				
		kVoice_DamageMe1_Bst_2	,				
		kVoice_DamageMe1_Syn_1	,				
		kVoice_DamageMe1_Syn_2	,				
		kVoice_DamageMe1_Wyl_1	,				
		kVoice_DamageMe1_Wyl_2	,				
		kVoice_DamageMe1_Cam_1	,				
		kVoice_DamageMe1_Cam_2	,				
		
		kVoice_DamageMe2_Ori_1	,				
		kVoice_DamageMe2_Ori_2	,				
		kVoice_DamageMe2_Kor_1	,				
		kVoice_DamageMe2_Kor_2	,				
		kVoice_DamageMe2_Pri_1	,				
		kVoice_DamageMe2_Pri_2	,				
		kVoice_DamageMe2_Tig_1	,				
		kVoice_DamageMe2_Tig_2	,				
		kVoice_DamageMe2_Bst_1	,				
		kVoice_DamageMe2_Bst_2	,				
		kVoice_DamageMe2_Syn_1	,				
		kVoice_DamageMe2_Syn_2	,				
		kVoice_DamageMe2_Wyl_1	,				
		kVoice_DamageMe2_Wyl_2	,				
		kVoice_DamageMe2_Cam_1	,				
		kVoice_DamageMe2_Cam_2	,				
		
		kVoice_DamageMe3_Ori_1	,				
		kVoice_DamageMe3_Ori_2	,				
		kVoice_DamageMe3_Kor_1	,				
		kVoice_DamageMe3_Kor_2	,				
		kVoice_DamageMe3_Pri_1	,				
		kVoice_DamageMe3_Pri_2	,				
		kVoice_DamageMe3_Tig_1	,				
		kVoice_DamageMe3_Tig_2	,				
		kVoice_DamageMe3_Bst_1	,				
		kVoice_DamageMe3_Bst_2	,				
		kVoice_DamageMe3_Syn_1	,				
		kVoice_DamageMe3_Syn_2	,				
		kVoice_DamageMe3_Wyl_1	,				
		kVoice_DamageMe3_Wyl_2	,				
		kVoice_DamageMe3_Cam_1	,				
		kVoice_DamageMe3_Cam_2	,				
		
		kVoice_DamageMe4_Ori_1	,				
		kVoice_DamageMe4_Ori_2	,				
		kVoice_DamageMe4_Kor_1	,				
		kVoice_DamageMe4_Kor_2	,				
		kVoice_DamageMe4_Pri_1	,				
		kVoice_DamageMe4_Pri_2	,				
		kVoice_DamageMe4_Tig_1	,				
		kVoice_DamageMe4_Tig_2	,				
		kVoice_DamageMe4_Bst_1	,				
		kVoice_DamageMe4_Bst_2	,				
		kVoice_DamageMe4_Syn_1	,				
		kVoice_DamageMe4_Syn_2	,				
		kVoice_DamageMe4_Wyl_1	,				
		kVoice_DamageMe4_Wyl_2	,				
		kVoice_DamageMe4_Cam_1	,				
		kVoice_DamageMe4_Cam_2	,				
		
		kVoice_Orbit_Ori_1	,				
		kVoice_Orbit_Ori_2	,				
		kVoice_Orbit_Kor_1	,				
		kVoice_Orbit_Kor_2	,				
		kVoice_Orbit_Pri_1	,				
		kVoice_Orbit_Pri_2	,				
		kVoice_Orbit_Tig_1	,				
		kVoice_Orbit_Tig_2	,				
		kVoice_Orbit_Bst_1	,				
		kVoice_Orbit_Bst_2	,				
		kVoice_Orbit_Syn_1	,				
		kVoice_Orbit_Syn_2	,				
		kVoice_Orbit_Wyl_1	,				
		kVoice_Orbit_Wyl_2	,				
		kVoice_Orbit_Cam_1	,				
		kVoice_Orbit_Cam_2	,				
		
		kVoice_RepairEngines_Ori_1	,				
		kVoice_RepairEngines_Ori_2	,				
		kVoice_RepairEngines_Kor_1	,				
		kVoice_RepairEngines_Kor_2	,				
		kVoice_RepairEngines_Pri_1	,				
		kVoice_RepairEngines_Pri_2	,				
		kVoice_RepairEngines_Tig_1	,				
		kVoice_RepairEngines_Tig_2	,				
		kVoice_RepairEngines_Bst_1	,				
		kVoice_RepairEngines_Bst_2	,				
		kVoice_RepairEngines_Syn_1	,				
		kVoice_RepairEngines_Syn_2	,				
		kVoice_RepairEngines_Wyl_1	,				
		kVoice_RepairEngines_Wyl_2	,				
		kVoice_RepairEngines_Cam_1	,				
		kVoice_RepairEngines_Cam_2	,				
		
		kVoice_DamageTarget1_Ori_1	,				
		kVoice_DamageTarget1_Ori_2	,				
		kVoice_DamageTarget1_Kor_1	,				
		kVoice_DamageTarget1_Kor_2	,				
		kVoice_DamageTarget1_Pri_1	,				
		kVoice_DamageTarget1_Pri_2	,				
		kVoice_DamageTarget1_Tig_1	,				
		kVoice_DamageTarget1_Tig_2	,				
		kVoice_DamageTarget1_Bst_1	,				
		kVoice_DamageTarget1_Bst_2	,				
		kVoice_DamageTarget1_Syn_1	,				
		kVoice_DamageTarget1_Syn_2	,				
		kVoice_DamageTarget1_Wyl_1	,				
		kVoice_DamageTarget1_Wyl_2	,				
		kVoice_DamageTarget1_Cam_1	,				
		kVoice_DamageTarget1_Cam_2	,				
		
		kVoice_DamageTarget2_Ori_1	,				
		kVoice_DamageTarget2_Ori_2	,				
		kVoice_DamageTarget2_Kor_1	,				
		kVoice_DamageTarget2_Kor_2	,				
		kVoice_DamageTarget2_Pri_1	,				
		kVoice_DamageTarget2_Pri_2	,				
		kVoice_DamageTarget2_Tig_1	,				
		kVoice_DamageTarget2_Tig_2	,				
		kVoice_DamageTarget2_Bst_1	,				
		kVoice_DamageTarget2_Bst_2	,				
		kVoice_DamageTarget2_Syn_1	,				
		kVoice_DamageTarget2_Syn_2	,				
		kVoice_DamageTarget2_Wyl_1	,				
		kVoice_DamageTarget2_Wyl_2	,				
		kVoice_DamageTarget2_Cam_1	,				
		kVoice_DamageTarget2_Cam_2	,				
		
		kVoice_DamageTarget3_Ori_1	,				
		kVoice_DamageTarget3_Ori_2	,				
		kVoice_DamageTarget3_Kor_1	,				
		kVoice_DamageTarget3_Kor_2	,				
		kVoice_DamageTarget3_Pri_1	,				
		kVoice_DamageTarget3_Pri_2	,				
		kVoice_DamageTarget3_Tig_1	,				
		kVoice_DamageTarget3_Tig_2	,				
		kVoice_DamageTarget3_Bst_1	,				
		kVoice_DamageTarget3_Bst_2	,				
		kVoice_DamageTarget3_Syn_1	,				
		kVoice_DamageTarget3_Syn_2	,				
		kVoice_DamageTarget3_Wyl_1	,				
		kVoice_DamageTarget3_Wyl_2	,				
		kVoice_DamageTarget3_Cam_1	,				
		kVoice_DamageTarget3_Cam_2	,				
		
		kVoice_DamageTarget4_Ori_1	,				
		kVoice_DamageTarget4_Ori_2	,				
		kVoice_DamageTarget4_Kor_1	,				
		kVoice_DamageTarget4_Kor_2	,				
		kVoice_DamageTarget4_Pri_1	,				
		kVoice_DamageTarget4_Pri_2	,				
		kVoice_DamageTarget4_Tig_1	,				
		kVoice_DamageTarget4_Tig_2	,				
		kVoice_DamageTarget4_Bst_1	,				
		kVoice_DamageTarget4_Bst_2	,				
		kVoice_DamageTarget4_Syn_1	,				
		kVoice_DamageTarget4_Syn_2	,				
		kVoice_DamageTarget4_Wyl_1	,				
		kVoice_DamageTarget4_Wyl_2	,				
		kVoice_DamageTarget4_Cam_1	,				
		kVoice_DamageTarget4_Cam_2	,				
		
		kVoice_WeWereCaptured_Ori_1	,				
		kVoice_WeWereCaptured_Ori_2	,				
		kVoice_WeWereCaptured_Kor_1	,				
		kVoice_WeWereCaptured_Kor_2	,				
		kVoice_WeWereCaptured_Pri_1	,				
		kVoice_WeWereCaptured_Pri_2	,				
		kVoice_WeWereCaptured_Tig_1	,				
		kVoice_WeWereCaptured_Tig_2	,				
		kVoice_WeWereCaptured_Bst_1	,				
		kVoice_WeWereCaptured_Bst_2	,				
		kVoice_WeWereCaptured_Syn_1	,				
		kVoice_WeWereCaptured_Syn_2	,				
		kVoice_WeWereCaptured_Wyl_1	,				
		kVoice_WeWereCaptured_Wyl_2	,				
		kVoice_WeWereCaptured_Cam_1	,				
		kVoice_WeWereCaptured_Cam_2	,				
		
		kVoice_EnemyCaptured_Ori_1	,				
		kVoice_EnemyCaptured_Ori_2	,				
		kVoice_EnemyCaptured_Kor_1	,				
		kVoice_EnemyCaptured_Kor_2	,				
		kVoice_EnemyCaptured_Pri_1	,				
		kVoice_EnemyCaptured_Pri_2	,				
		kVoice_EnemyCaptured_Tig_1	,				
		kVoice_EnemyCaptured_Tig_2	,				
		kVoice_EnemyCaptured_Bst_1	,				
		kVoice_EnemyCaptured_Bst_2	,				
		kVoice_EnemyCaptured_Syn_1	,				
		kVoice_EnemyCaptured_Syn_2	,				
		kVoice_EnemyCaptured_Wyl_1	,				
		kVoice_EnemyCaptured_Wyl_2	,				
		kVoice_EnemyCaptured_Cam_1	,				
		kVoice_EnemyCaptured_Cam_2	,				
		
		kVoice_Shield1Down_Ori_1	,				
		kVoice_Shield1Down_Ori_2	,				
		kVoice_Shield1Down_Kor_1	,				
		kVoice_Shield1Down_Kor_2	,				
		kVoice_Shield1Down_Pri_1	,				
		kVoice_Shield1Down_Pri_2	,				
		kVoice_Shield1Down_Tig_1	,				
		kVoice_Shield1Down_Tig_2	,				
		kVoice_Shield1Down_Bst_1	,				
		kVoice_Shield1Down_Bst_2	,				
		kVoice_Shield1Down_Syn_1	,				
		kVoice_Shield1Down_Syn_2	,				
		kVoice_Shield1Down_Wyl_1	,				
		kVoice_Shield1Down_Wyl_2	,				
		kVoice_Shield1Down_Cam_1	,				
		kVoice_Shield1Down_Cam_2	,				
		
		kVoice_Shield2Down_Ori_1	,				
		kVoice_Shield2Down_Ori_2	,				
		kVoice_Shield2Down_Kor_1	,				
		kVoice_Shield2Down_Kor_2	,				
		kVoice_Shield2Down_Pri_1	,				
		kVoice_Shield2Down_Pri_2	,				
		kVoice_Shield2Down_Tig_1	,				
		kVoice_Shield2Down_Tig_2	,				
		kVoice_Shield2Down_Bst_1	,				
		kVoice_Shield2Down_Bst_2	,				
		kVoice_Shield2Down_Syn_1	,				
		kVoice_Shield2Down_Syn_2	,				
		kVoice_Shield2Down_Wyl_1	,				
		kVoice_Shield2Down_Wyl_2	,				
		kVoice_Shield2Down_Cam_1	,				
		kVoice_Shield2Down_Cam_2	,				
		
		kVoice_Shield3Down_Ori_1	,				
		kVoice_Shield3Down_Ori_2	,				
		kVoice_Shield3Down_Kor_1	,				
		kVoice_Shield3Down_Kor_2	,				
		kVoice_Shield3Down_Pri_1	,				
		kVoice_Shield3Down_Pri_2	,				
		kVoice_Shield3Down_Tig_1	,				
		kVoice_Shield3Down_Tig_2	,				
		kVoice_Shield3Down_Bst_1	,				
		kVoice_Shield3Down_Bst_2	,				
		kVoice_Shield3Down_Syn_1	,				
		kVoice_Shield3Down_Syn_2	,				
		kVoice_Shield3Down_Wyl_1	,				
		kVoice_Shield3Down_Wyl_2	,				
		kVoice_Shield3Down_Cam_1	,				
		kVoice_Shield3Down_Cam_2	,				
		
		kVoice_Shield4Down_Ori_1	,				
		kVoice_Shield4Down_Ori_2	,				
		kVoice_Shield4Down_Kor_1	,				
		kVoice_Shield4Down_Kor_2	,				
		kVoice_Shield4Down_Pri_1	,				
		kVoice_Shield4Down_Pri_2	,				
		kVoice_Shield4Down_Tig_1	,				
		kVoice_Shield4Down_Tig_2	,				
		kVoice_Shield4Down_Bst_1	,				
		kVoice_Shield4Down_Bst_2	,				
		kVoice_Shield4Down_Syn_1	,				
		kVoice_Shield4Down_Syn_2	,				
		kVoice_Shield4Down_Wyl_1	,				
		kVoice_Shield4Down_Wyl_2	,				
		kVoice_Shield4Down_Cam_1	,				
		kVoice_Shield4Down_Cam_2	,				
		
		kVoice_Shield5Down_Ori_1	,				
		kVoice_Shield5Down_Ori_2	,				
		kVoice_Shield5Down_Kor_1	,				
		kVoice_Shield5Down_Kor_2	,				
		kVoice_Shield5Down_Pri_1	,				
		kVoice_Shield5Down_Pri_2	,				
		kVoice_Shield5Down_Tig_1	,				
		kVoice_Shield5Down_Tig_2	,				
		kVoice_Shield5Down_Bst_1	,				
		kVoice_Shield5Down_Bst_2	,				
		kVoice_Shield5Down_Syn_1	,				
		kVoice_Shield5Down_Syn_2	,				
		kVoice_Shield5Down_Wyl_1	,				
		kVoice_Shield5Down_Wyl_2	,				
		kVoice_Shield5Down_Cam_1	,				
		kVoice_Shield5Down_Cam_2	,				
		
		kVoice_Shield6Down_Ori_1	,				
		kVoice_Shield6Down_Ori_2	,				
		kVoice_Shield6Down_Kor_1	,				
		kVoice_Shield6Down_Kor_2	,				
		kVoice_Shield6Down_Pri_1	,				
		kVoice_Shield6Down_Pri_2	,				
		kVoice_Shield6Down_Tig_1	,				
		kVoice_Shield6Down_Tig_2	,				
		kVoice_Shield6Down_Bst_1	,				
		kVoice_Shield6Down_Bst_2	,				
		kVoice_Shield6Down_Syn_1	,				
		kVoice_Shield6Down_Syn_2	,				
		kVoice_Shield6Down_Wyl_1	,				
		kVoice_Shield6Down_Wyl_2	,				
		kVoice_Shield6Down_Cam_1	,				
		kVoice_Shield6Down_Cam_2	,				
		
		kVoice_Taunt1_Ori	,				
		kVoice_Taunt1_Kor	,				
		kVoice_Taunt1_Pri	,				
		kVoice_Taunt1_Tig	,				
		kVoice_Taunt1_Bst	,				
		kVoice_Taunt1_Syn	,				
		kVoice_Taunt1_Wyl	,				
		kVoice_Taunt1_Cam	,				
		
		kVoice_Taunt2_Ori	,				
		kVoice_Taunt2_Kor	,				
		kVoice_Taunt2_Pri	,				
		kVoice_Taunt2_Tig	,				
		kVoice_Taunt2_Bst	,				
		kVoice_Taunt2_Syn	,				
		kVoice_Taunt2_Wyl	,				
		kVoice_Taunt2_Cam	,				
		
		kVoice_Taunt3_Ori	,				
		kVoice_Taunt3_Kor	,				
		kVoice_Taunt3_Pri	,				
		kVoice_Taunt3_Tig	,				
		kVoice_Taunt3_Bst	,				
		kVoice_Taunt3_Syn	,				
		kVoice_Taunt3_Wyl	,				
		kVoice_Taunt3_Cam	,				
		
		kVoice_Taunt4_Ori	,				
		kVoice_Taunt4_Kor	,				
		kVoice_Taunt4_Pri	,				
		kVoice_Taunt4_Tig	,				
		kVoice_Taunt4_Bst	,				
		kVoice_Taunt4_Syn	,				
		kVoice_Taunt4_Wyl	,				
		kVoice_Taunt4_Cam	,				
		
		kVoice_Taunt5_Ori	,				
		kVoice_Taunt5_Kor	,				
		kVoice_Taunt5_Pri	,				
		kVoice_Taunt5_Tig	,				
		kVoice_Taunt5_Bst	,				
		kVoice_Taunt5_Syn	,				
		kVoice_Taunt5_Wyl	,				
		kVoice_Taunt5_Cam	,				
		
		kVoice_Taunt6_Ori	,				
		kVoice_Taunt6_Kor	,				
		kVoice_Taunt6_Pri	,				
		kVoice_Taunt6_Tig	,				
		kVoice_Taunt6_Bst	,				
		kVoice_Taunt6_Syn	,				
		kVoice_Taunt6_Wyl	,				
		kVoice_Taunt6_Cam	,				
		
		kVoice_Taunt7_Ori	,				
		kVoice_Taunt7_Kor	,				
		kVoice_Taunt7_Pri	,				
		kVoice_Taunt7_Tig	,				
		kVoice_Taunt7_Bst	,				
		kVoice_Taunt7_Syn	,				
		kVoice_Taunt7_Wyl	,				
		kVoice_Taunt7_Cam	,				
		
		kVoice_Taunt8_Ori	,				
		kVoice_Taunt8_Kor	,				
		kVoice_Taunt8_Pri	,				
		kVoice_Taunt8_Tig	,				
		kVoice_Taunt8_Bst	,				
		kVoice_Taunt8_Syn	,				
		kVoice_Taunt8_Wyl	,				
		kVoice_Taunt8_Cam	,				
		
		kVoice_Taunt9_Ori	,				
		kVoice_Taunt9_Kor	,				
		kVoice_Taunt9_Pri	,				
		kVoice_Taunt9_Tig	,				
		kVoice_Taunt9_Bst	,				
		kVoice_Taunt9_Syn	,				
		kVoice_Taunt9_Wyl	,				
		kVoice_Taunt9_Cam	,				
		
		kVoice_Taunt10_Ori	,				
		kVoice_Taunt10_Kor	,				
		kVoice_Taunt10_Pri	,				
		kVoice_Taunt10_Tig	,				
		kVoice_Taunt10_Bst	,				
		kVoice_Taunt10_Syn	,				
		kVoice_Taunt10_Wyl	,				
		kVoice_Taunt10_Cam	,				
		
		kVoice_Taunt11_Ori	,				
		kVoice_Taunt11_Kor	,				
		kVoice_Taunt11_Pri	,				
		kVoice_Taunt11_Tig	,				
		kVoice_Taunt11_Bst	,				
		kVoice_Taunt11_Syn	,				
		kVoice_Taunt11_Wyl	,				
		kVoice_Taunt11_Cam	,
		
		kVoice_MissileControl_Ori_1	,				
		kVoice_MissileControl_Ori_2	,				
		kVoice_MissileControl_Kor_1	,				
		kVoice_MissileControl_Kor_2	,				
		kVoice_MissileControl_Pri_1	,				
		kVoice_MissileControl_Pri_2	,				
		kVoice_MissileControl_Tig_1	,				
		kVoice_MissileControl_Tig_2	,				
		kVoice_MissileControl_Bst_1	,				
		kVoice_MissileControl_Bst_2	,				
		kVoice_MissileControl_Syn_1	,				
		kVoice_MissileControl_Syn_2	,				
		kVoice_MissileControl_Wyl_1	,				
		kVoice_MissileControl_Wyl_2	,				
		kVoice_MissileControl_Cam_1	,				
		kVoice_MissileControl_Cam_2	,			
	
		
};