//	<Legal>	Copyright (c)  by Taldren, Inc. ALL RIGHTS RESERVED.
//	This document contains CONFIDENTIAL, PROPRIETARY, TRADE SECRET information
//	belonging to Taldren, Inc. and may not be reproduced, in whole
//	or in part, without prior written permission from Taldren, Inc.
#pragma once

#if !defined( texttoken_h )
#define texttoken_h

enum eTextToken
{
	kPlayerName,
	kPlayerRank,
	kPlayerRace,
	kPlayerRacePlural,
	kPlayerShipName,
	kPlayerShipHull,
	
	kPlayerWeaponsOfficer,
	kPlayerEngineeringOfficer,
	kPlayerScienceOfficer,
	kPlayerCommOfficer,
	kPlayerHelmOfficer,
	kPlayerSecurityOfficer,

	kTeam1Race,
	kTeam1RacePlural,
	kTeam1Empire,
	kTeam2Race,
	kTeam2RacePlural,
	kTeam2Empire,
	kTeam3Race,
	kTeam3RacePlural,
	kTeam3Empire,
	kTeam4Race,
	kTeam4RacePlural,
	kTeam4Empire,
	kTeam5Race,
	kTeam5RacePlural,
	kTeam5Empire,
	kTeam6Race,
	kTeam6RacePlural,
	kTeam6Empire,
	kTeam7Race,
	kTeam7RacePlural,
	kTeam7Empire,
	kTeam8Race,
	kTeam8RacePlural,
	kTeam8Empire,
	kTeam9Race,
	kTeam9RacePlural,
	kTeam9Empire,
	kTeam10Race,
	kTeam10RacePlural,
	kTeam10Empire,
	kTeam11Race,
	kTeam11RacePlural,
	kTeam11Empire,
	kTeam12Race,
	kTeam12RacePlural,
	kTeam12Empire,
	kTeam13Race,
	kTeam13RacePlural,
	kTeam13Empire,
	kTeam14Race,
	kTeam14RacePlural,
	kTeam14Empire,
	kTeam15Race,
	kTeam15RacePlural,
	kTeam15Empire,
	kTeam16Race,
	kTeam16RacePlural,
	kTeam16Empire,
	kTeam17Race,
	kTeam17RacePlural,
	kTeam17Empire,
	kTeam18Race,
	kTeam18RacePlural,
	kTeam18Empire,
	kTeam19Race,
	kTeam19RacePlural,
	kTeam19Empire,
	kTeam20Race,
	kTeam20RacePlural,
	kTeam20Empire,

	kSystemName,
	kPreviousSystemName,
	kStardate,

	kMaxTextTokens,
};

enum eTextTokenRace
{
	kTTFederation,
	kTTKlingon,
	kTTRomulan,
	kTTLyran,
	kTTHydran,
	kTTGorn,
	kTTISC,
	kTTMirak,
	kTTOrion,
	kTTRaceDefault,
};

enum eTextTokenRank
{
	kTTRank0,
	kTTRank1,
	kTTRank2,
	kTTRank3,
	kTTRank4,
	kTTRankDefault,
};


extern char* gTextTokens[kMaxTextTokens];

#endif