//	<Name>	MapObject.cpp
//
//
//	<Info>	DESCRIPTION
//

// Primary Precompiled Header
#include "Precompiled.h"
#include <FunctionWrapper.h>

#include "MapObject.h"
				   
tMapObjectPoint::tMapObjectPoint() :
	fX(0),
	fY(0)	
{_func_start( tMapObjectPoint::tMapObjectPoint );_func_end;}

tMapObjectPoint::tMapObjectPoint( int32 x, int32 y ) :
	fX( x ),
	fY( y )
{_func_start( tMapObjectPoint::tMapObjectPoint );_func_end;}

tMapObjectType::tMapObjectType() :
	fObjectType( kObjectEmptySpace ),
	fSubType( -1 )
{_func_start( tMapObjectType::tMapObjectType );_func_end;}

	tMapObjectType::tMapObjectType( eMapObjectType objectType, int32 subType, eMapObjectType mapIcon, std::string specRecord ) :
	fObjectType( objectType ),
	fSubType( subType ),
	fTacticalMapIcon( mapIcon ),
	fSpecRecord( specRecord )
{_func_start( tMapObjectType::tMapObjectType );_func_end;}	

bool tMapObjectType::operator==( const tMapObjectType& type )
{
	_func_start( tMapObjectType::operator == );
	if( fObjectType == type.fObjectType &&
		fSubType == type.fSubType )//&&
//		fTacticalMapIcon == type.fTacticalMapIcon &&
//		!fSpecRecord.compare( type.fSpecRecord ) )
	{
		return true;
	}
	else
	{
		return false;
	}
	_func_end;
}

tMapObject::tMapObject() :
	fVisible( false )
{_func_start( tMapObject::tMapObject );_func_end;}

	tMapObject::tMapObject( eMapObjectType Type, int32 GridX, int32 GridY, bool Visible, int32 subType, eMapObjectType mapIcon, std::string specRecord ) :
	fType( Type, subType, mapIcon, specRecord ),
	fVisible( Visible )
{
	_func_start( tMapObject::tMapObject );
	fGridPos.fX = GridX;
	fGridPos.fY = GridY;
	_func_end;
}

tMapObject::~tMapObject()
{_func_start( tMapObject::~tMapObject );_func_end;}

// 6Apr00	zdrummond	Added Comment Header and Footer's

