// ScriptMapData.cpp: implementation of the tScriptMapData class.
//
//////////////////////////////////////////////////////////////////////

// Primary Precompiled Header
#include "Precompiled.h"

#include "missionspec.h"

tMapOverrides::tMapOverrides( void )
{
	_func_start( tMapOverrides::tMapOverrides );
	//
	//	Tactical map icon association.
	//
	fTacticalMapIcon[static_cast< char >( kMapObject_Start1 )] = kObjectEmptySpace;
	fTacticalMapIcon[static_cast< char >( kMapObject_Start2 )] = kObjectEmptySpace;
	fTacticalMapIcon[static_cast< char >( kMapObject_Start3 )] = kObjectEmptySpace;
	fTacticalMapIcon[static_cast< char >( kMapObject_Start4 )] = kObjectEmptySpace;
	fTacticalMapIcon[static_cast< char >( kMapObject_Start5 )] = kObjectEmptySpace;
	fTacticalMapIcon[static_cast< char >( kMapObject_Start6 )] = kObjectEmptySpace;
	fTacticalMapIcon[static_cast< char >( kMapObject_Start7 )] = kObjectEmptySpace;
	fTacticalMapIcon[static_cast< char >( kMapObject_Start8 )] = kObjectEmptySpace;
	fTacticalMapIcon[static_cast< char >( kMapObject_Start9 )] = kObjectEmptySpace;
	fTacticalMapIcon[static_cast< char >( kMapObject_Start10 )] = kObjectEmptySpace;
	fTacticalMapIcon[static_cast< char >( kMapObject_Start11 )] = kObjectEmptySpace;
	fTacticalMapIcon[static_cast< char >( kMapObject_Start12 )] = kObjectEmptySpace;
	fTacticalMapIcon[static_cast< char >( kMapObject_Start13 )] = kObjectEmptySpace;
	fTacticalMapIcon[static_cast< char >( kMapObject_Start14 )] = kObjectEmptySpace;
	fTacticalMapIcon[static_cast< char >( kMapObject_Start15 )] = kObjectEmptySpace;
	fTacticalMapIcon[static_cast< char >( kMapObject_Start16 )] = kObjectEmptySpace;
	fTacticalMapIcon[static_cast< char >( kMapObject_Start17 )] = kObjectEmptySpace;
	fTacticalMapIcon[static_cast< char >( kMapObject_Start18 )] = kObjectEmptySpace;
	fTacticalMapIcon[static_cast< char >( kMapObject_Start19 )] = kObjectEmptySpace;
	fTacticalMapIcon[static_cast< char >( kMapObject_Start20 )] = kObjectEmptySpace;

	fTacticalMapIcon[static_cast< char >( kMapObject_End1 )] = kObjectEmptySpace;
	fTacticalMapIcon[static_cast< char >( kMapObject_End2 )] = kObjectEmptySpace;
	fTacticalMapIcon[static_cast< char >( kMapObject_End3 )] = kObjectEmptySpace;
	fTacticalMapIcon[static_cast< char >( kMapObject_End4 )] = kObjectEmptySpace;
	fTacticalMapIcon[static_cast< char >( kMapObject_End5 )] = kObjectEmptySpace;
	fTacticalMapIcon[static_cast< char >( kMapObject_End6 )] = kObjectEmptySpace;
	fTacticalMapIcon[static_cast< char >( kMapObject_End7 )] = kObjectEmptySpace;
	fTacticalMapIcon[static_cast< char >( kMapObject_End8 )] = kObjectEmptySpace;
	fTacticalMapIcon[static_cast< char >( kMapObject_End9 )] = kObjectEmptySpace;
	fTacticalMapIcon[static_cast< char >( kMapObject_End10 )] = kObjectEmptySpace;
	fTacticalMapIcon[static_cast< char >( kMapObject_End11 )] = kObjectEmptySpace;
	fTacticalMapIcon[static_cast< char >( kMapObject_End12 )] = kObjectEmptySpace;
	fTacticalMapIcon[static_cast< char >( kMapObject_End13 )] = kObjectEmptySpace;
	fTacticalMapIcon[static_cast< char >( kMapObject_End14 )] = kObjectEmptySpace;
	fTacticalMapIcon[static_cast< char >( kMapObject_End15 )] = kObjectEmptySpace;
	fTacticalMapIcon[static_cast< char >( kMapObject_End16 )] = kObjectEmptySpace;
	fTacticalMapIcon[static_cast< char >( kMapObject_End17 )] = kObjectEmptySpace;
	fTacticalMapIcon[static_cast< char >( kMapObject_End18 )] = kObjectEmptySpace;
	fTacticalMapIcon[static_cast< char >( kMapObject_End19 )] = kObjectEmptySpace;
	fTacticalMapIcon[static_cast< char >( kMapObject_End20 )] = kObjectEmptySpace;

	fTacticalMapIcon[static_cast< char >( kMapObject_Assigned0 )] = kObjectPlanet;
	fTacticalMapIcon[static_cast< char >( kMapObject_Assigned1 )] = kObjectPlanet;
	fTacticalMapIcon[static_cast< char >( kMapObject_Assigned2 )] = kObjectPlanet;
	fTacticalMapIcon[static_cast< char >( kMapObject_Assigned3 )] = kObjectPlanet;
	fTacticalMapIcon[static_cast< char >( kMapObject_Assigned4 )] = kObjectPlanet;
	fTacticalMapIcon[static_cast< char >( kMapObject_Assigned5 )] = kObjectPlanet;
	fTacticalMapIcon[static_cast< char >( kMapObject_Assigned6 )] = kObjectPlanet;
	fTacticalMapIcon[static_cast< char >( kMapObject_Assigned7 )] = kObjectPlanet;
	fTacticalMapIcon[static_cast< char >( kMapObject_Assigned8 )] = kObjectPlanet;
	fTacticalMapIcon[static_cast< char >( kMapObject_Assigned9 )] = kObjectPlanet;

	fTacticalMapIcon[static_cast< char >( kMapObject_Moon )] = kObjectPlanet;
	fTacticalMapIcon[static_cast< char >( kMapObject_Sun1 )] = kObjectSun;
	fTacticalMapIcon[static_cast< char >( kMapObject_Sun2 )] = kObjectSun;
	fTacticalMapIcon[static_cast< char >( kMapObject_Sun3 )] = kObjectSun;

	fTacticalMapIcon[static_cast< char >( kMapObject_SmallAsteroid )] = kObjectAsteroid;
	fTacticalMapIcon[static_cast< char >( kMapObject_LargeAsteroid )] = kObjectAsteroid;
	fTacticalMapIcon[static_cast< char >( kMapObject_IceAsteroid )] = kObjectAsteroid;

	fTacticalMapIcon[static_cast< char >( kMapObject_BlackHole1 )] = kObjectBlackHole;
	fTacticalMapIcon[static_cast< char >( kMapObject_BlackHole2 )] = kObjectBlackHole;

	fTacticalMapIcon[static_cast< char >( kMapObject_Nebula1 )] = kObjectNebula;
	fTacticalMapIcon[static_cast< char >( kMapObject_Nebula2 )] = kObjectNebula;

	fTacticalMapIcon[static_cast< char >( kMapObject_DustCloud1 )] = kObjectDustCloud;
	fTacticalMapIcon[static_cast< char >( kMapObject_DustCloud2 )] = kObjectDustCloud;

	fTacticalMapIcon[static_cast< char >( kMapObject_WormHole )] = kObjectWormHole;
	fTacticalMapIcon[static_cast< char >( kMapObject_Fissure )] = kObjectFissure;
	fTacticalMapIcon[static_cast< char >( kMapObject_Organian )] = kObjectOrganian;
	fTacticalMapIcon[static_cast< char >( kMapObject_Corpse )] = kObjectCorpse;
	fTacticalMapIcon[static_cast< char >( kMapObject_Pulsar )] = kObjectPulsar;

	fTacticalMapIcon[static_cast< char >( kMapObject_IonStorm )] = kObjectIonStorm;

	fTacticalMapIcon[static_cast< char >( kMapObjectAlt_SmallAsteroid )] = kObjectAsteroid;
	fTacticalMapIcon[static_cast< char >( kMapObjectAlt_LargeAsteroid )] = kObjectAsteroid;
	fTacticalMapIcon[static_cast< char >( kMapObjectAlt_BlackHole1 )] = kObjectBlackHole;
	fTacticalMapIcon[static_cast< char >( kMapObjectAlt_BlackHole2 )] = kObjectBlackHole;
	fTacticalMapIcon[static_cast< char >( kMapObjectAlt_Nebula1 )] = kObjectNebula;
	fTacticalMapIcon[static_cast< char >( kMapObjectAlt_Nebula2 )] = kObjectNebula;
	fTacticalMapIcon[static_cast< char >( kMapObjectAlt_DustCloud1 )] = kObjectDustCloud;
	fTacticalMapIcon[static_cast< char >( kMapObjectAlt_DustCloud2 )] = kObjectDustCloud;
	fTacticalMapIcon[static_cast< char >( kMapObjectAlt_Fissure )] = kObjectFissure;
	fTacticalMapIcon[static_cast< char >( kMapObjectAlt_Wormhole )] = kObjectWormHole;
	fTacticalMapIcon[static_cast< char >( kMapObjectAlt_Organian )] = kObjectOrganian;

	//
	//	Model association.
	//
	fModelFilename[static_cast< char >( kMapObject_Assigned0 )] = "PL10";
	fModelFilename[static_cast< char >( kMapObject_Assigned1 )] = "PL1";
	fModelFilename[static_cast< char >( kMapObject_Assigned2 )] = "PL2";
	fModelFilename[static_cast< char >( kMapObject_Assigned3 )] = "PL3";
	fModelFilename[static_cast< char >( kMapObject_Assigned4 )] = "PL4";
	fModelFilename[static_cast< char >( kMapObject_Assigned5 )] = "PL5";
	fModelFilename[static_cast< char >( kMapObject_Assigned6 )] = "PL6";
	fModelFilename[static_cast< char >( kMapObject_Assigned7 )] = "PL7";
	fModelFilename[static_cast< char >( kMapObject_Assigned8 )] = "PL8";
	fModelFilename[static_cast< char >( kMapObject_Assigned9 )] = "PL9";
	_func_end;
}

tMapOverrides::operator=( tMapOverrides rhs )
{
	_func_start( tMapOverrides::operator = );
	//
	//	Tactical map icon association.
	//
	fTacticalMapIcon[static_cast< char >( kMapObject_Start1 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Start1 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_Start2 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Start2 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_Start3 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Start3 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_Start4 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Start4 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_Start5 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Start5 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_Start6 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Start6 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_Start7 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Start7 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_Start8 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Start8 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_Start9 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Start9 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_Start10 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Start10 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_Start11 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Start11 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_Start12 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Start12 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_Start13 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Start13 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_Start14 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Start14 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_Start15 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Start15 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_Start16 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Start16 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_Start17 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Start17 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_Start18 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Start18 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_Start19 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Start19 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_Start20 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Start20 )];

	fTacticalMapIcon[static_cast< char >( kMapObject_End1 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Start1 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_End2 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Start2 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_End3 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Start3 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_End4 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Start4 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_End5 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Start5 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_End6 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Start6 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_End7 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Start7 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_End8 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Start8 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_End9 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Start9 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_End10 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Start10 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_End11 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Start11 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_End12 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Start12 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_End13 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Start13 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_End14 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Start14 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_End15 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Start15 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_End16 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Start16 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_End17 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Start17 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_End18 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Start18 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_End19 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Start19 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_End20 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Start20 )];

	fTacticalMapIcon[static_cast< char >( kMapObject_Assigned0 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Assigned0 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_Assigned1 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Assigned1 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_Assigned2 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Assigned2 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_Assigned3 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Assigned3 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_Assigned4 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Assigned4 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_Assigned5 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Assigned5 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_Assigned6 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Assigned6 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_Assigned7 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Assigned7 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_Assigned8 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Assigned8 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_Assigned9 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Assigned9 )];

	fTacticalMapIcon[static_cast< char >( kMapObject_Moon )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Moon )];
	fTacticalMapIcon[static_cast< char >( kMapObject_Sun1 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Sun1 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_Sun2 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Sun2 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_Sun3 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Sun3 )];

	fTacticalMapIcon[static_cast< char >( kMapObject_SmallAsteroid )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_SmallAsteroid )];
	fTacticalMapIcon[static_cast< char >( kMapObject_LargeAsteroid )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_LargeAsteroid )];
	fTacticalMapIcon[static_cast< char >( kMapObject_IceAsteroid )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_IceAsteroid )];

	fTacticalMapIcon[static_cast< char >( kMapObject_BlackHole1 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_BlackHole1 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_BlackHole2 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_BlackHole2 )];

	fTacticalMapIcon[static_cast< char >( kMapObject_Nebula1 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Nebula1 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_Nebula2 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Nebula2 )];

	fTacticalMapIcon[static_cast< char >( kMapObject_DustCloud1 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_DustCloud1 )];
	fTacticalMapIcon[static_cast< char >( kMapObject_DustCloud2 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_DustCloud2 )];

	fTacticalMapIcon[static_cast< char >( kMapObject_WormHole )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_WormHole )];
	fTacticalMapIcon[static_cast< char >( kMapObject_Fissure )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Fissure )];
	fTacticalMapIcon[static_cast< char >( kMapObject_Organian )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Organian )];
	fTacticalMapIcon[static_cast< char >( kMapObject_Corpse )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Corpse )];
	fTacticalMapIcon[static_cast< char >( kMapObject_Pulsar )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObject_Pulsar )];

	fTacticalMapIcon[static_cast< char >( kMapObjectAlt_SmallAsteroid )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObjectAlt_SmallAsteroid )];
	fTacticalMapIcon[static_cast< char >( kMapObjectAlt_LargeAsteroid )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObjectAlt_LargeAsteroid )];
	fTacticalMapIcon[static_cast< char >( kMapObjectAlt_BlackHole1 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObjectAlt_BlackHole1 )];
	fTacticalMapIcon[static_cast< char >( kMapObjectAlt_BlackHole2 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObjectAlt_BlackHole2 )];
	fTacticalMapIcon[static_cast< char >( kMapObjectAlt_Nebula1 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObjectAlt_Nebula1 )];
	fTacticalMapIcon[static_cast< char >( kMapObjectAlt_Nebula2 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObjectAlt_Nebula2 )];
	fTacticalMapIcon[static_cast< char >( kMapObjectAlt_DustCloud1 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObjectAlt_DustCloud1 )];
	fTacticalMapIcon[static_cast< char >( kMapObjectAlt_DustCloud2 )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObjectAlt_DustCloud2 )];
	fTacticalMapIcon[static_cast< char >( kMapObjectAlt_Fissure )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObjectAlt_Fissure )];
	fTacticalMapIcon[static_cast< char >( kMapObjectAlt_Wormhole )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObjectAlt_Wormhole )];
	fTacticalMapIcon[static_cast< char >( kMapObjectAlt_Organian )] = rhs.fTacticalMapIcon[static_cast< char >( kMapObjectAlt_Organian )];

	//
	//	Model association.
	//
	fModelFilename[static_cast< char >( kMapObject_Start1 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Start1 )];
	fModelFilename[static_cast< char >( kMapObject_Start2 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Start2 )];
	fModelFilename[static_cast< char >( kMapObject_Start3 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Start3 )];
	fModelFilename[static_cast< char >( kMapObject_Start4 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Start4 )];
	fModelFilename[static_cast< char >( kMapObject_Start5 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Start5 )];
	fModelFilename[static_cast< char >( kMapObject_Start6 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Start6 )];
	fModelFilename[static_cast< char >( kMapObject_Start7 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Start7 )];
	fModelFilename[static_cast< char >( kMapObject_Start8 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Start8 )];
	fModelFilename[static_cast< char >( kMapObject_Start9 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Start9 )];
	fModelFilename[static_cast< char >( kMapObject_Start10 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Start10 )];
	fModelFilename[static_cast< char >( kMapObject_Start11 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Start11 )];
	fModelFilename[static_cast< char >( kMapObject_Start12 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Start12 )];
	fModelFilename[static_cast< char >( kMapObject_Start13 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Start13 )];
	fModelFilename[static_cast< char >( kMapObject_Start14 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Start14 )];
	fModelFilename[static_cast< char >( kMapObject_Start15 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Start15 )];
	fModelFilename[static_cast< char >( kMapObject_Start16 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Start16 )];
	fModelFilename[static_cast< char >( kMapObject_Start17 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Start17 )];
	fModelFilename[static_cast< char >( kMapObject_Start18 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Start18 )];
	fModelFilename[static_cast< char >( kMapObject_Start19 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Start19 )];
	fModelFilename[static_cast< char >( kMapObject_Start20 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Start20 )];

	fModelFilename[static_cast< char >( kMapObject_End1 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Start1 )];
	fModelFilename[static_cast< char >( kMapObject_End2 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Start2 )];
	fModelFilename[static_cast< char >( kMapObject_End3 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Start3 )];
	fModelFilename[static_cast< char >( kMapObject_End4 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Start4 )];
	fModelFilename[static_cast< char >( kMapObject_End5 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Start5 )];
	fModelFilename[static_cast< char >( kMapObject_End6 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Start6 )];
	fModelFilename[static_cast< char >( kMapObject_End7 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Start7 )];
	fModelFilename[static_cast< char >( kMapObject_End8 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Start8 )];
	fModelFilename[static_cast< char >( kMapObject_End9 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Start9 )];
	fModelFilename[static_cast< char >( kMapObject_End10 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Start10 )];
	fModelFilename[static_cast< char >( kMapObject_End11 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Start11 )];
	fModelFilename[static_cast< char >( kMapObject_End12 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Start12 )];
	fModelFilename[static_cast< char >( kMapObject_End13 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Start13 )];
	fModelFilename[static_cast< char >( kMapObject_End14 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Start14 )];
	fModelFilename[static_cast< char >( kMapObject_End15 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Start15 )];
	fModelFilename[static_cast< char >( kMapObject_End16 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Start16 )];
	fModelFilename[static_cast< char >( kMapObject_End17 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Start17 )];
	fModelFilename[static_cast< char >( kMapObject_End18 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Start18 )];
	fModelFilename[static_cast< char >( kMapObject_End19 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Start19 )];
	fModelFilename[static_cast< char >( kMapObject_End20 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Start20 )];

	fModelFilename[static_cast< char >( kMapObject_Assigned0 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Assigned0 )];
	fModelFilename[static_cast< char >( kMapObject_Assigned1 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Assigned1 )];
	fModelFilename[static_cast< char >( kMapObject_Assigned2 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Assigned2 )];
	fModelFilename[static_cast< char >( kMapObject_Assigned3 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Assigned3 )];
	fModelFilename[static_cast< char >( kMapObject_Assigned4 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Assigned4 )];
	fModelFilename[static_cast< char >( kMapObject_Assigned5 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Assigned5 )];
	fModelFilename[static_cast< char >( kMapObject_Assigned6 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Assigned6 )];
	fModelFilename[static_cast< char >( kMapObject_Assigned7 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Assigned7 )];
	fModelFilename[static_cast< char >( kMapObject_Assigned8 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Assigned8 )];
	fModelFilename[static_cast< char >( kMapObject_Assigned9 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Assigned9 )];

	fModelFilename[static_cast< char >( kMapObject_Moon )] = rhs.fModelFilename[static_cast< char >( kMapObject_Moon )];
	fModelFilename[static_cast< char >( kMapObject_Sun1 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Sun1 )];
	fModelFilename[static_cast< char >( kMapObject_Sun2 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Sun2 )];
	fModelFilename[static_cast< char >( kMapObject_Sun3 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Sun3 )];

	fModelFilename[static_cast< char >( kMapObject_SmallAsteroid )] = rhs.fModelFilename[static_cast< char >( kMapObject_SmallAsteroid )];
	fModelFilename[static_cast< char >( kMapObject_LargeAsteroid )] = rhs.fModelFilename[static_cast< char >( kMapObject_LargeAsteroid )];
	fModelFilename[static_cast< char >( kMapObject_IceAsteroid )] = rhs.fModelFilename[static_cast< char >( kMapObject_IceAsteroid )];

	fModelFilename[static_cast< char >( kMapObject_BlackHole1 )] = rhs.fModelFilename[static_cast< char >( kMapObject_BlackHole1 )];
	fModelFilename[static_cast< char >( kMapObject_BlackHole2 )] = rhs.fModelFilename[static_cast< char >( kMapObject_BlackHole2 )];

	fModelFilename[static_cast< char >( kMapObject_Nebula1 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Nebula1 )];
	fModelFilename[static_cast< char >( kMapObject_Nebula2 )] = rhs.fModelFilename[static_cast< char >( kMapObject_Nebula2 )];

	fModelFilename[static_cast< char >( kMapObject_DustCloud1 )] = rhs.fModelFilename[static_cast< char >( kMapObject_DustCloud1 )];
	fModelFilename[static_cast< char >( kMapObject_DustCloud2 )] = rhs.fModelFilename[static_cast< char >( kMapObject_DustCloud2 )];

	fModelFilename[static_cast< char >( kMapObject_WormHole )] = rhs.fModelFilename[static_cast< char >( kMapObject_WormHole )];
	fModelFilename[static_cast< char >( kMapObject_Fissure )] = rhs.fModelFilename[static_cast< char >( kMapObject_Fissure )];
	fModelFilename[static_cast< char >( kMapObject_Organian )] = rhs.fModelFilename[static_cast< char >( kMapObject_Organian )];
	fModelFilename[static_cast< char >( kMapObject_Corpse )] = rhs.fModelFilename[static_cast< char >( kMapObject_Corpse )];
	fModelFilename[static_cast< char >( kMapObject_Pulsar )] = rhs.fModelFilename[static_cast< char >( kMapObject_Pulsar )];

	fModelFilename[static_cast< char >( kMapObjectAlt_SmallAsteroid )] = rhs.fModelFilename[static_cast< char >( kMapObjectAlt_SmallAsteroid )];
	fModelFilename[static_cast< char >( kMapObjectAlt_LargeAsteroid )] = rhs.fModelFilename[static_cast< char >( kMapObjectAlt_LargeAsteroid )];
	fModelFilename[static_cast< char >( kMapObjectAlt_BlackHole1 )] = rhs.fModelFilename[static_cast< char >( kMapObjectAlt_BlackHole1 )];
	fModelFilename[static_cast< char >( kMapObjectAlt_BlackHole2 )] = rhs.fModelFilename[static_cast< char >( kMapObjectAlt_BlackHole2 )];
	fModelFilename[static_cast< char >( kMapObjectAlt_Nebula1 )] = rhs.fModelFilename[static_cast< char >( kMapObjectAlt_Nebula1 )];
	fModelFilename[static_cast< char >( kMapObjectAlt_Nebula2 )] = rhs.fModelFilename[static_cast< char >( kMapObjectAlt_Nebula2 )];
	fModelFilename[static_cast< char >( kMapObjectAlt_DustCloud1 )] = rhs.fModelFilename[static_cast< char >( kMapObjectAlt_DustCloud1 )];
	fModelFilename[static_cast< char >( kMapObjectAlt_DustCloud2 )] = rhs.fModelFilename[static_cast< char >( kMapObjectAlt_DustCloud2 )];
	fModelFilename[static_cast< char >( kMapObjectAlt_Fissure )] = rhs.fModelFilename[static_cast< char >( kMapObjectAlt_Fissure )];
	fModelFilename[static_cast< char >( kMapObjectAlt_Wormhole )] = rhs.fModelFilename[static_cast< char >( kMapObjectAlt_Wormhole )];
	fModelFilename[static_cast< char >( kMapObjectAlt_Organian )] = rhs.fModelFilename[static_cast< char >( kMapObjectAlt_Organian )];


	//
	//	Whew!  This is one long function.
	//
	_func_end;
}

tMapTerrain::tMapTerrain(	iTerrainTypes TerrainType,
							iPlanetTypes PlanetType,
							iBaseTypes BaseType )
{
	_func_start( tMapTerrain::tMapTerrain );
	fTerrainType = TerrainType;
	fPlanetType = PlanetType;
	fBaseType = BaseType;
	_func_end;
}

tMapTerrain::tMapTerrain( const tMapTerrain& rhs )
{
	_func_start( tMapTerrain::tMapTerrain );
	fTerrainType = rhs.fTerrainType;
	fPlanetType = rhs.fPlanetType;
	fBaseType = rhs.fBaseType;
	_func_end;
}

tMapTerrain::operator =( tMapTerrain rhs )
{
	_func_start( tMapTerrain::operator = );
	fTerrainType = rhs.fTerrainType;
	fPlanetType = rhs.fPlanetType;
	fBaseType = rhs.fBaseType;
	_func_end;
}

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

tScriptMapData::tScriptMapData( const char* mapName, const char* mapLines[], tMapOverrides* mapOverrides )
{
	_func_start( tScriptMapData::tScriptMapData );
	mLoadMap( mapName, mapLines, mapOverrides );
	_func_end;
}

tScriptMapData::tScriptMapData()
{_func_start( tScriptMapData::tScriptMapData );_func_end;}

int32 tScriptMapData::operator==( const std::string& mapName )
{
	_func_start( tScriptMapData::operator == );
	return fMapName == mapName;
	_func_end;
}

const tMapItemList& tScriptMapData::mGetItemList() const
{
	_func_start( tScriptMapData::mGetItemList );
	return fMapItemList;
	_func_end;
}

tMapObjectPoint tScriptMapData::mGetMapDimension() const
{
	_func_start( tScriptMapData::mGetMapDimension );
	return fMapDimension;
	_func_end;
}

const std::string& tScriptMapData::mGetMapName() const
{
	_func_start( tScriptMapData::mGetMapName );
	return fMapName;
	_func_end;
}

void tScriptMapData::mLoadMap( const char* mapName, const char* mapLines[], tMapOverrides* mapOverrides )
{
	_func_start( tScriptMapData::mLoadMap );
	fMapName = mapName;
	fMapLines = mapLines;
	int32 mapStartLine = mFindMapStart( mapName );
	if( mapStartLine < 0 )
	{
		return;
	}

	fMapDimension = mFindMapDimension( mapStartLine );
	Assert( fMapDimension.fX > 0 && fMapDimension.fY > 0 );
	if( fMapDimension.fX <= 0 && fMapDimension.fY <= 0 )
	{
		return;
	}

	//Read map
	int32 row = 0;
	int32 curLine = mapStartLine;
	while( row < fMapDimension.fY )
	{
		const char* mapLine = fMapLines[curLine++];
		if( mapLine == NULL )
		{
			return;		// Map too short
		}
		if(  *mapLine == '/'  )
		{
			return;		// Map too short
		}
		while(  *mapLine == ' '  )
		{
			mapLine++;
		}
		if(  *mapLine != '+'  )
		{
			while(  *mapLine != '|'  )
			{
				if(  *mapLine == '\0'  )
				{
					return;		// Bad map line - missing '|'
				}
				mapLine++;
			}
			mapLine++;
			for( int16u col = 0; col < fMapDimension.fX; col++ )
			{
				int32 item = mapLine[col];

				if( item != '.' && item != ' ' )
				{
					int subType = 0;
					eMapObjectType mapIcon = kObjectPlayerShip;

					eMapObjectType object = mGetMapItemType( item, &subType );
					std::string modelFile = "";

					if ( item >= kMapObject_Assigned0 && item <= kMapObject_Assigned9 )
					{
						object = kObjectAssigned;
						subType = kObjectAssigned;
						modelFile = mapOverrides->fModelFilename[static_cast< eMapObjects >( item )];
					}
					mapIcon = mapOverrides->fTacticalMapIcon[static_cast< eMapObjects >( item )];

					tMapObject item( object, col, row, true, subType, mapIcon, modelFile );
					fMapItemList.push_back( item );
				}
			}
			if(  mapLine[fMapDimension.fX] != '|'  )
			{
				return;		// Map line too long
			}
			row++;
		}
	}

	fMapLines = NULL;
	_func_end;
}

int32 tScriptMapData::mFindMapStart( const char* mapName ) const
{
	_func_start( tScriptMapData::mFindMapStart );
	int32 line = 0;
	for( ;; )
	{
		const char* mapLine = fMapLines[ line++ ];
		if( mapLine == NULL )
		{
			break;		// No matching map found
		}

		std::string CurLine = mapLine;
		if( CurLine.substr(0,2) == "//" )
		{
			// find returns a negative one in int32u form if no match was found.
			int32u Location_WithinLine = CurLine.find( mapName );
			if( Location_WithinLine >= 0 && Location_WithinLine != int32u(-1) )
			{
				return line;
			}
		}
	}

	Assert( 0 );				// map name not found in script
	return -1;
	_func_end;
}

tMapObjectPoint tScriptMapData::mFindMapDimension( int32 startLine ) const
{
	_func_start( tScriptMapData::mFindMapDimension );
	int32 curLine = startLine;
	tMapObjectPoint dimension;
	dimension.fX = dimension.fY = 0;

	// first find the width
	const char* mapLine = fMapLines[curLine++];
	if( mapLine != NULL )
	{
		while(  *mapLine == ' '  ) mapLine++;
		if(  *mapLine == '+'  )
		{
			dimension.fX = strlen(mapLine) - 2;
		}
	}

	// now find the height
	dimension.fY = 0;
	for( ;; )
	{
		mapLine = fMapLines[curLine++];
		if( mapLine == NULL )
		{
			break;
		}
		while(  *mapLine == ' '  ) mapLine++;
		if(  *mapLine == '+'  )
		{
			break;
		}
		dimension.fY++;
	}

	return dimension;
	_func_end;
}



eMapObjectType tScriptMapData::mGetMapItemType( char id, int* subType )
{
	_func_start( tScriptMapData::mGetMapItemType );
	eMapObjectType object = kObjectEmptySpace;
	int32 value = -1;

	switch( id )
	{
	case kMapObject_Assigned0:
	case kMapObject_Assigned1:
	case kMapObject_Assigned2:
	case kMapObject_Assigned3:
	case kMapObject_Assigned4:
	case kMapObject_Assigned5:
	case kMapObject_Assigned6:
	case kMapObject_Assigned7:
	case kMapObject_Assigned8:
	case kMapObject_Assigned9:
		{
			value = id - kMapObject_Assigned0;
			object = kObjectPlanet;
		}
		break;

	case kMapObject_Moon:
		{
			value = 10;
			object = kObjectPlanet;
		}
		break;

	case kMapObject_Sun1:
		{
			value++;
		}
	case kMapObject_Sun2:
		{
			value++;
		}
	case kMapObject_Sun3:
		{
			value++;
			object = kObjectSun;
		}
		break;
	
	case kMapObject_IceAsteroid:
		{
			value++;
		}
	case kMapObjectAlt_LargeAsteroid:
	case kMapObject_LargeAsteroid:
		{
			value++;
		}
	case kMapObjectAlt_SmallAsteroid:
	case kMapObject_SmallAsteroid:
		{
			value++;
			object = kObjectAsteroid;
		}
		break;

	case kMapObjectAlt_BlackHole1:
	case kMapObject_BlackHole1:
		{
			value++;
		}
	case kMapObjectAlt_BlackHole2:
	case kMapObject_BlackHole2:
		{
			value++;
			object = kObjectBlackHole;
		}
		break;
		
	case kMapObjectAlt_Nebula1:
	case kMapObject_Nebula1:
		{
			value++;
		}
	case kMapObjectAlt_Nebula2:
	case kMapObject_Nebula2:
		{
			value++;
			object = kObjectNebula;
		}
		break;

	case kMapObjectAlt_DustCloud1:
	case kMapObject_DustCloud1:
		{
			value++;
		}
	case kMapObjectAlt_DustCloud2:
	case kMapObject_DustCloud2:
		{
			value++;
			object = kObjectDustCloud;
		}
		break;

	case kMapObjectAlt_Wormhole:
	case kMapObject_WormHole:
		{
			value = 0;
			object = kObjectWormHole;
		}
		break;
		
	case kMapObjectAlt_Fissure:
	case kMapObject_Fissure:
		{
			value = 0;
			object = kObjectFissure;
		}
		break;
	case kMapObjectAlt_Organian:
	case kMapObject_Organian:
		{
			value = 0;
			object = kObjectOrganian;
		}
		break;
	case kMapObject_Pulsar:
		{
			value = 0;
			object = kObjectPulsar;
		}
		break;

	case kMapObject_Corpse:
		{
			value = 0;
			object = kObjectCorpse;
		}
		break;

	case kMapObject_IonStorm:
		{
			value = 0;
			object = kObjectIonStorm;
		}
		break;

	case kMapObject_Start1:
	case kMapObject_Start2:
	case kMapObject_Start3:
	case kMapObject_Start4:
	case kMapObject_Start5:
	case kMapObject_Start6:
	case kMapObject_Start7:
	case kMapObject_Start8:
	case kMapObject_Start9:
	case kMapObject_Start10:
	case kMapObject_Start11:
	case kMapObject_Start12:
	case kMapObject_Start13:
	case kMapObject_Start14:
	case kMapObject_Start15:
	case kMapObject_Start16:
	case kMapObject_Start17:
	case kMapObject_Start18:
	case kMapObject_Start19:
	case kMapObject_Start20:
		{
			value = id - kMapObject_Start1;	//	sequential
			object = kObjectShipStart;
		}
		break;

	case kMapObject_End1:
	case kMapObject_End2:
	case kMapObject_End3:
	case kMapObject_End4:
	case kMapObject_End5:
	case kMapObject_End6:
	case kMapObject_End7:
	case kMapObject_End8:
	case kMapObject_End9:
	case kMapObject_End10:
	case kMapObject_End11:
	case kMapObject_End12:
	case kMapObject_End13:
	case kMapObject_End14:
	case kMapObject_End15:
	case kMapObject_End16:
	case kMapObject_End17:
	case kMapObject_End18:
	case kMapObject_End19:
	case kMapObject_End20:
		{
			value = id - kMapObject_Start1;	//	sequential
			object = kObjectShipEnd;
		}
		break;

	default:
		{
			Assert( false );
		}
		break;
	}

	Assert( value > -1 );
	*subType = value;

	return object;
	_func_end;
}



