//	<Legal>	Copyright (c)  by Taldren, Inc. ALL RIGHTS RESERVED.
//	This document contains CONFIDENTIAL, PROPRIETARY, TRADE SECRET information
//	belonging to Taldren, Inc. and may not be reproduced, in whole
//	or in part, without prior written permission from Taldren, Inc.

#if !defined( DatabaseExceptions_h )
#define DatabaseExceptions_h

#include <BaseTypes.h>
#include <Exceptions\BaseException.h>

namespace nDatabase
{

// CLASS PURPOSE: This exception is thrown if a object that was not 
// locked it updated
class tAccessViolationOnNonLockedObject : public except::tBaseException
{
public:
	tAccessViolationOnNonLockedObject( const char* object, const char* file, int32 lineNumber );
	
	const char* fObject;
};

};
namespace db = nDatabase;

#endif

