//	<Legal>	Copyright (c)  by Taldren, Inc. ALL RIGHTS RESERVED.
//	This document contains CONFIDENTIAL, PROPRIETARY, TRADE SECRET information
//	belonging to Taldren, Inc. and may not be reproduced, in whole
//	or in part, without prior written permission from Taldren, Inc.

#if !defined( Evaluator_h )
#define Evaluator_h

#include <BaseTypes.h>
#include <functional>

namespace nDatabase
{

// CLASS PURPOSE: A interface to unary predicates that evalute the pointer to tClass
template< class tClass >
class tEval : public std::unary_function< tClass*, bool > 
{
public:
	virtual bool operator()( const tClass* value ) const = 0; 
};

};
namespace db = nDatabase;

#endif

