//	<Legal>	Copyright (c)  by Taldren, Inc. ALL RIGHTS RESERVED.
//	This document contains CONFIDENTIAL, PROPRIETARY, TRADE SECRET information
//	belonging to Taldren, Inc. and may not be reproduced, in whole
//	or in part, without prior written permission from Taldren, Inc.

#if !defined( ThreadEvent_h )
#define ThreadEvent_h

#include <BaseTypes.h>

#if !defined( USE_PCH )

#include <string>

#endif

#include "ThreadState.h"

// CLASS PURPOSE: Used for thread syncronizing.
class tThreadEvent
{
public:
// Setup
	tThreadEvent( bool initialState = false, bool manualReset = false, const std::string& name = "", tThreadState::eUse use = tThreadState::kUseThreadObject );
	tThreadEvent( const tThreadEvent& copy );
	tThreadEvent& operator=( const tThreadEvent& copy );
	virtual ~tThreadEvent();

// Operations
	operator void*();

	void Signal();
	void Reset();

protected:
// Fields
	void* fHandleToEvent;	
	tThreadState::eUse fUse;
};

#endif

