//	<Name>	ExcelsiorInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Bon_1Sulu.h"
#include "ShipInfo.h"
#include "Excelsior.h"
#include "ExcelsiorInitialState.h"
#include "MissionText.h"
#include "ScriptInterface.h"

tExcelsiorInitialState::tExcelsiorInitialState( )
{

}

void tExcelsiorInitialState::mBeginState()
{
}

void tExcelsiorInitialState::mEndState()
{
}

void tExcelsiorInitialState::mOnTimedInterval( int32 timerID )
{
	
	if( timerID == kDistressSignalID )
	{
		fChildActor->mClearCommands();
		fChildActor->mSetShipMaxSpeed( 31 );
		fChildActor->mDisengage( kByMapEdge, kAbsolutePriority );
	}
}
void tExcelsiorInitialState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{

}
void tExcelsiorInitialState::mOnDeath( tShipInfo* ship )
{
}
void tExcelsiorInitialState::mAtDestination( tShipInfo* ship )
{
}
void tExcelsiorInitialState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{

}
void tExcelsiorInitialState::mAtDistance( tShipInfo* ship )
{
	eTeamID team = ship->mGetTeam();
//	tTeamInfo* thisTeam = fMissionInfo->mGetTeamHandle( team );
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );

	if( team == playerTeam->mGetTeam() )
	{
		mSetTimedInterval( kTimerSecondsSet, kDistressSignalID, 10.0f );
	}
}
