//	<Name>	ExcelsiorInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Bon_2Sulu.h"
#include "ShipInfo.h"
#include "Excelsior.h"
#include "ExcelsiorInitialState.h"
#include "MissionText.h"
#include "ScriptInterface.h"

tExcelsiorInitialState::tExcelsiorInitialState( )
{

}

void tExcelsiorInitialState::mBeginState()
{
	mSetTimedInterval( kTimerTurnsSet, kExcelsiorBreaksDownID, 4.9f );//must change in PlayerTeamInitialState if changed here
}
void tExcelsiorInitialState::mEndState()
{
}

void tExcelsiorInitialState::mOnTimedInterval( int32 timerID )
{
	
	if( timerID == kExcelsiorBreaksDownID )
	{
		fChildActor->mClearCommands();
		fChildActor->mSetSystemHealthFromOrig( kAllEnginesHardPoint, 0.0, kFalse );
		mSetTimedInterval( kTimerTurnsSet, kExcelsiorFixedID, 8.0f );//must change in PlayerTeamInitialState if changed here
		fChildActor->mDisengage( kByMapEdge, kAbsolutePriority );
	}
	else if( timerID == kExcelsiorFixedID )
	{
		fChildActor->mClearCommands();
		fChildActor->mSetSystemHealthFromOrig( kAllEnginesHardPoint, 100.0, kTrue );
		fChildActor->mDisengage( kByMapEdge, kAbsolutePriority );
	}
}
void tExcelsiorInitialState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{

}
void tExcelsiorInitialState::mOnDeath( tShipInfo* ship )
{
}
void tExcelsiorInitialState::mAtDestination( tShipInfo* ship )
{
}
void tExcelsiorInitialState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{

}
void tExcelsiorInitialState::mAtDistance( tShipInfo* ship )
{
}
