//	<Name>	ExcelsiorTeamInitialState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( ExcelsiorTeamInitialState_h )
#define ExcelsiorTeamInitialState_h

#include "ExcelsiorTeam.h"
#include "ChildActorState.h"

class tExcelsiorTeamInitialState : public tChildActorState<tExcelsiorTeam>
{
public:
	enum eTimerID
	{
		kPlayerDisengagedID,
		kDetectedID,
		kExcelsiorBreaksDownID,
		kExcelsiorFixedID,
		kDisplayMessageID,
		kCheckVoicePlayingID,
		kDeepScanONID,
		kCheckDeepScanID,
	};

	virtual void mBeginState();

	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType );
	virtual void mOnDisengaged( tShipInfo* ship );
	virtual void mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip );

protected:

	bool fExcelsiorReturning;
};
#endif
