//	<Name>	KlingonTeamInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "KlingonTeamInitialState.h"
#include "KlingonTeamCruiser.h"
#include "KlingonTeam.h"

#include "ScriptInterface.h"
#include "MissionInfo.h"
#include "TeamInfo.h"
#include "PlayerTeamShipInitialState.h"
#include "Bon_2Sulu.h"

void tKlingonTeamInitialState::mBeginState()
{
	mSetTimedInterval( kTimerTurnsSet, kDetectedID, 4.3f );
}

void tKlingonTeamInitialState::mOnTimedInterval( int32 timerID )
{
	if( timerID == kDetectedID )
	{
		fChildActor->mCreateShip( typeid( tKlingonTeamCruiser ), "K-D7T", kStartPosition_Z, tTeamInfo::kNoMetaShipID, kCruiserID, 0, 0, -1, -1, NULL, kDefaultShipOptions );
		fMissionInfo->mSetTeamRelations( static_cast< eTeamID>( kKlingonTeam ), static_cast< eTeamID>( kPlayerTeam ), kTeamAtWar, kGoalDestroy, 1.0, kTrue );
		fMissionInfo->mSetTeamRelations( static_cast< eTeamID>( kKlingonTeam ), static_cast< eTeamID>( kExcelsiorTeam ), kTeamAtWar, kGoalDestroy, 1.0, kTrue );
	}
}
void tKlingonTeamInitialState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{

}
void tKlingonTeamInitialState::mOnDisengaged( tShipInfo* ship )
{

}