//	<Name>	KlingonTeamInitialState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( KlingonTeamInitialState_h )
#define KlingonTeamInitialState_h

#include "KlingonTeam.h"
#include "ChildActorState.h"

class tKlingonTeamInitialState : public tChildActorState<tKlingonTeam>
{
public:
	enum eTimerID
	{
		kPlayerDisengagedID,
		kDetectedID,
		kExcelsiorBreaksDownID,
		kExcelsiorFixedID,
		kDisplayMessageID,
		kCheckVoicePlayingID,
		kDeepScanONID,
		kCheckDeepScanID,
	};

	enum eCustomIDs
	{
		kF5ID,
		kE3ID,
		kCruiserID,
	};

	virtual void mBeginState();

	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType );
	virtual void mOnDisengaged( tShipInfo* ship );

};

#endif
