/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------

#if defined ( _GERMAN )

std::string Messages[] =
{

	//kMissionTitle_msg,
	"Sulu 2: Auf Biegen und Brechen",

	//kShortBriefing_msg,
	"Die von der Situation auf Terajun verursachten Spannungen verschrfen sich zunehmend. Einer der Vertreter der Terajuni wnscht ein geheimes " \
	"Treffen mit der Fderation, um deren Standpunkt darzulegen, und wir wurden fr diese Mission ausgewhlt. Wir begeben uns gerade in das " \
	"Astkel-System, wo der Reprsentant auf Astkel 6 auf uns wartet. Wir werden uns in der Nhe des Asteroidengrtels halten, um " \
	"zu vermeiden, dass wir frhzeitig entdeckt werden, und wir werden die Kommunikation erst erffnen, wenn wir innerhalb einer Reichweite von 5.000 km um Astkel 6 sind.\n\n" \
	"Wir operieren innerhalb der neutralen Zone unter einer dubiosen Rechtslage. Daher drfen wir nicht entdeckt werden. Hiermit " \
	"ist die Einsatzbesprechung beendet.\n\n" \
	"Auf geht's.",


	//kBriefing_msg,
	"><"
	"Die von der Situation auf Terajun verursachten Spannungen verschrfen sich zunehmend. Einer der Vertreter der Terajuni wnscht ein geheimes " \
	"Treffen mit der Fderation, um deren Standpunkt darzulegen, und wir wurden fr diese Mission ausgewhlt. Wir begeben uns gerade in das " \
	"Astkel-System, wo der Reprsentant auf Astkel 6 auf uns wartet. Wir werden uns in der Nhe des Asteroidengrtels halten, um " \
	"zu vermeiden, dass wir frhzeitig entdeckt werden, und wir werden die Kommunikation erst erffnen, wenn wir innerhalb einer Reichweite von 5.000 km um Astkel 6 sind.\n\n" \
	"Wir operieren innerhalb der neutralen Zone unter einer dubiosen Rechtslage. Daher drfen wir nicht entdeckt werden. Hiermit " \
	"ist die Einsatzbesprechung beendet.\n\n" \
	"Auf geht's.",

	//kExcelsior_name,
	"Excelsior NCC-2000",

	//kAsteroidStation_name,
	"Astkel 6",

	//kStart1_msg,	12 sec
	"[PLAYER_NAME]: Logbuch des Captains, Sternenzeit 9702,16. Wir begleiten die USS Excelsior in das Astkel-System, wo wir einen " \
	"Diplomaten der in groen Schwierigkeiten befindlichen klingonischen Welt Terajun treffen sollen.",
	//kStart2_msg	10 sec
	"Wissenschaftsoffizier: Die Langstreckensensoren zeigen zwei klingonische Schiffe, die auf der entfernten Seite des Systems stationiert sind. Sie " \
	"scheinen uns noch nicht entdeckt zu haben. Wenn wir im Schatten der Asteroiden bleiben, sollten wir eigentlich abgeschirmt sein.",
	//kStart3_msg,	3 secs
	"Kommunikationsoffizier: Die Excelsior ruft uns, Captain.",
	//kStart4_msg,	2 secs
	"[PLAYER_NAME]: Stellen Sie sie durch.", 
	//kStart5_msg,	5 secs
	"Captain Sulu: Wenn ich das richtig sehe, wissen Sie, dass wir nicht alleine sind. Wir sollten mglichst vermeiden, sie zu stren.",
	//kStart6_msg,	2 secs
	"[PLAYER_NAME]: Es knnte eine Falle sein.",
	//kStart7_msg,	9 secs
	"Captain Sulu: Das ist sicherlich mglich. Aber solange wir keine greifbaren Beweise fr einen Hinterhalt haben, " \
	"setzen wir die Mission fort. Sulu Ende.",

	//kHail_btn,
	"Rufen",
	//kHailEarly_btn,
	"Rufen",
	//kHailBroke_btn,
	"Rufen",
	//kHailKlingon_btn,
	"Rufen",
	//kHailTauntKlingon_btn,
	"Rufen",

	//kHailEarly_msg,
	"Captain Sulu: Hier sollten wir vorsichtig vorgehen. Halten Sie sich nahe an den Asteroiden. Melden Sie sich, wenn Sie Probleme haben.",

	//kHailBroke1_msg,	3 secs.
	"Captain Sulu: Brechen Sie die Mission ab. Sehen Sie zu, dass Sie da wegkommen.",
	//kHailBroke2_msg,	7 secs
	"[PLAYER_NAME]: Ich verlasse das System nicht ohne Sie. Wissen Sie eigentlich, wie viele Formulare ich ausfllen muss, wenn ich " \
	"Sie hier sterben lasse?",
	//kHailBroke3_msg,	6 secs
	"Captain Sulu: Ich bin nicht begeistert, Captain, ... wir werden uns spter noch mit dieser Insubordination befassen.",

	//kAsteroidScanned_msg,
	"Wissenschaftsoffizier: Ich registriere zwei terajunische Krper am Treffpunkt. Es scheint, als seien sie " \
	"schon seit Stunden tot.",

	//kSuluBeenDetected_msg,
	"Captain Sulu: Wir sind entdeckt, Captain. Wir knnen das System nicht verlassen, bevor wir Kontakt zu den " \
	"Terajuni aufgenommen haben. Wir werden versuchen, sie in Schach zu halten, bis wir zu dem Asteroiden gelangen knnen. Wenn mglich, nehmen Sie den Botschafter der " \
	"Terajuni an Bord, und bringen Sie ihn in den von der Fderation beherrschten Raum.",

	//kSuluExcelsiorSabot_msg,
	"Captain Sulu: Captain, es scheint, als sei die Excelsior Opfer einer Sabotage geworden. Unsere Warptriebwerke sind abgeschaltet, und " \
	"es wird eine Weile dauern, bis mein Ingenieur sie wieder in Betrieb setzen kann.",

	//kHailKlingon1_msg,
	"Klingonischer Captain: Hier spricht Captain Khalot. Sie sind entgegen dem Abkommen in unsere Zone eingedrungen und werden zerstrt.\n[5]"
	"[PLAYER_NAME]: Dieser Konflikt ist ganz und gar unntig. Wir knnen das Ganze friedlich beenden.\n[4]"
	"Klingonischer Captain: Ein friedliches Ende ist in meiner Mission nicht vorgesehen.",

	//kSuluExcelFixed_msg,
	"Captain Sulu: Die Hauptleitungen der Excelsior sind wieder funktionstchtig, Captain. Wir wrden es sehr zu schtzen wissen, wenn Sie uns ein wenig Deckung geben knnten. " \
	"Wir sind hier ganz schn durchgeschttelt worden.",

	//kTauntKlingon1_msg,
	"[PLAYER_NAME]: Captain der Klingonen, als Verrter sind Sie wirklich Spitze, aber wenn Sie sich beweisen wollen, mssen Sie mich tten, " \
	"bevor Sie die Excelsior zerstren knnen.\n[8]" \
	"Klingonischer Captain: Ich nehme Ihre Herausforderung an, Captain.",

	//kBeginningScan_msg,
	"Wissenschaftsoffizier: Wir beginnen mit dem Scannen...",

	//kNoResponse_msg,
	"Kommunikationsoffizier: Keine Reaktion, Sir.",


	//kAstoundingVictory_msg,
	"Groartiger Sieg\n\n" \
	"Willkommen daheim. Ich hatte whrend dieser Mission groe Hoffnungen in Sie gesetzt. Ich befrchte, es lief nicht alles nach Plan, aber ich bin froh, dass" \
	"wir beide mit heiler Haut zurckkehren konnten.\n\n" \
	"Unser Treffen mit dem Terajuni-Diplomaten war ein Fehlschlag, und stattdessen sind wir in eine Falle geraten. Die Beziehungen zwischen der Fderation und den Klingonen " \
	"haben sich zum Schlechten gewendet, daher knnen wir alles in allem mit dem Ergebnis zufrieden sein.\n\n" \
	"Auf der anderen Seite konnten wir der Falle entkommen - und es war eine Falle, von den Klingonen absichtlich gestellt, um die " \
	"Fderation in Misskredit zu bringen und die Excelsior zu zerstren. Also verschwenden Sie nicht allzu viele Gedanken daran.\n\n" \
	"Sie haben gute Arbeit geleistet. Sie knnen stolz auf sich sein.\n\n" \
	"Wir haben gehrt, dass die Klingonen gezwungen wurden, ihre Flotte aus dem Terajun-Sektor zurckzuziehen, um sich " \
	"einem Problem an den Grenzen zu den Hydranern und Mirakern zu widmen. Die Terajuni haben auf diese Situation reagiert, indem sie ihre " \
	"Unabhngigkeit vom klingonischen Imperium erklrt haben. Wir haben soeben eine Anfrage von den Terajuni betreffend die Mitgliedschaft in der Fderation erhalten. " \
	"Die Klingonen werden nicht sehr erbaut sein, wenn sie davon Wind bekommen.\n\n" \
	"Wegtreten.",

	//kVictory_msg,
	"Sieg\n\n" \
	"Willkommen daheim. Ich hatte whrend dieser Mission groe Hoffnungen in Sie gesetzt. Ich befrchte, es lief nicht alles nach Plan, aber ich bin froh, dass" \
	"wir beide mit heiler Haut zurckkehren konnten.\n\n" \
	"Wir haben gehrt, dass die Klingonen gezwungen wurden, ihre Flotte aus dem Terajun-Sektor zurckzuziehen, um sich " \
	"einem Problem an den Grenzen zu den Hydranern und Mirakern zu widmen. Die Terajuni haben auf diese Situation reagiert, indem sie ihre " \
	"Unabhngigkeit vom klingonischen Imperium erklrt haben. Wir haben soeben eine Anfrage von den Terajuni betreffend die Mitgliedschaft in der Fderation erhalten. " \
	"Die Klingonen werden nicht sehr erbaut sein, wenn sie davon Wind bekommen.\n\n" \
	"Wegtreten.",

	//kDraw_msg,
	"Unentschieden\n\n" \
	"Willkommen daheim. Ich hatte whrend dieser Mission groe Hoffnungen in Sie gesetzt. Ich befrchte, es lief nicht alles nach Plan, aber ich bin froh, dass " \
	"wir beide mit heiler Haut zurckkehren konnten.\n\n" \
	"Unglcklicherweise konnten wir keinen Kontakt zu dem Botschafter der Terajuni herstellen. Wie sollen wir die groen Schlachten gewinnen, wenn wir uns noch nicht " \
	"einmal an Einsatzplne halten knnen? Es gab keinen Grund, das System zu verlassen, bevor wir unser Ziel erreicht hatten.\n\n" \
	"Wegtreten.",

	//kDefeat_msg,
	"Niederlage\n\n" \
	"Willkommen daheim. Wenn Sie diese Nachricht erhalten, weile ich bereits nicht mehr unter den Lebenden. Ich hoffe, ich hatte einen angenehmen Tod im Dienste der Sternenflotte und " \
	"im Dienste der Prinzipien, die ich geschworen habe, mit meinem Leben zu verteidigen. Ich hatte Sie als Begleitung auserwhlt, und ich wei, dass Sie " \
	"sich meines Vertrauens wrdig erweisen werden. Die nchsten Monate werden schwierig. Sie aber verfgen ber die innere Strke, die ich " \
	"respektiere. Ich erwarte nicht nur, dass Sie berleben, sondern ich erwarte auch, dass Sie eine groe Karriere machen und einer der am meisten verehrten Offiziere " \
	"in der Geschichte der Sternenflotte werden.\n\n" \
	"Sie knnen wegtreten, Captain.",

	//kDevastatingDefeat_msg,
	"Vernichtende Niederlage\n\n" \
	"Der Captain wird vermisst.",
};

#else

std::string Messages[] =
{

	//kMissionTitle_msg,
	"Sulu 2: Unto the breach",

	//kShortBriefing_msg,
	"Tension over the Terajun situation continues to increase. One of the Terajun representatives wishes to secretly " \
	"meet with the Federation and present their viewpoint, and we've been elected to go. We're heading into the " \
	"Astkel system, where the representative waits for us at Astkel 6. We will stay close to the asteroid belt to " \
	"help us avoid detection, and open communications when we're within 5000 kilometers of Astkel 6.\n\n" \
	"We will be operating inside of the neutral zone under dubious legal authority.  We must not be detected.  That " \
	"concludes the briefing.\n\n" \
	"Let's go.",


	//kBriefing_msg,
	">Retrieve the Terajun representatives from the asteroid Astkel 6<"
	"Tension over the Terajun situation continues to increase. One of the Terajun representatives wishes to secretly " \
	"meet with the Federation and present their viewpoint, and we've been elected to go. We're heading into the " \
	"Astkel system, where the representative waits for us at Astkel 6. We will stay close to the asteroid belt to " \
	"help us avoid detection, and open communications when we're within 5000 kilometers of Astkel 6.\n\n" \
	"We will be operating inside of the neutral zone under dubious legal authority.  We must not be detected.  That " \
	"concludes the briefing.\n\n" \
	"Let's go.",

	//kExcelsior_name,
	"Excelsior NCC-2000",

	//kAsteroidStation_name,
	"Astkel 6",

	//kStart1_msg,	12 sec
	"[PLAYER_NAME]: Captain's log, 9702.16. We're accompanying USS Excelsior to the Astkel system, where we are " \
	"to meet a diplomat from the troubled Klingon world of Terajun.",
	//kStart2_msg	10 sec
	"Science Officer: Long range sensors show two Klingon vessels stationed on the far side of the system. They " \
	"don't seem to have detected us. If we stay in the shadow of the asteroids, we should be shielded.",
	//kStart3_msg,	3 secs
	"Communications Officer: Excelsior is hailing us, captain.",
	//kStart4_msg,	2 secs
	"[PLAYER_NAME]: Put him through.", 
	//kStart5_msg,	5 secs
	"Captain Sulu: I take it that you see we're not alone. Let's try to avoid disturbing them.",
	//kStart6_msg,	2 secs
	"[PLAYER_NAME]: It could be a trap.",
	//kStart7_msg,	9 secs
	"Captain Sulu: That's a distinct possibility. But until we have more solid evidence of subterfuge, we're going " \
	"to proceed with the mission. Sulu out.",

	//kHail_btn,
	"Hail",
	//kHailEarly_btn,
	"Hail",
	//kHailBroke_btn,
	"Hail",
	//kHailKlingon_btn,
	"Hail",
	//kHailTauntKlingon_btn,
	"Hail",

	//kHailEarly_msg,
	"Captain Sulu: Let's play this one carefully. Stick close to the asteroids. Let me know if you have any problems.",

	//kHailBroke1_msg,	3 secs.
	"Captain Sulu: Abort the mission. Get out of here.",
	//kHailBroke2_msg,	7 secs
	"[PLAYER_NAME]: I'm not leaving this system without you.  Do you know how many forms I'd have to fill out if I " \
	"left you here to die?",
	//kHailBroke3_msg,	6 secs
	"Captain Sulu: I am not amused Captain...however we'll discuss your insubordination later.",

	//kAsteroidScanned_msg,
	"Science Officer: I am reading two Terajuni bodies at the rendezvous point.  They appear to have been dead " \
	"for several hours.",

	//kSuluBeenDetected_msg,
	"Captain Sulu: We have been detected Captain.  We cannot leave the system until we have made contact with the " \
	"Terajuni. We'll try to hold them off until we can get to the asteroid. If possible pick up the Terajuni " \
	"ambassador and bring him to Federation space.",

	//kSuluExcelsiorSabot_msg,
	"Captain Sulu: Captain, it seems Excelsior has been the victim of sabotage.  Our warp engines are offline and " \
	"it will be awhile until my Engineer can get them back on-line.",

	//kHailKlingon1_msg,
	"Klingon Captain: This is Captain Khalot you have violated the treaty zone and will be destroyed.\n[5]"
	"[PLAYER_NAME]: This conflict is unnecessary. We can end this peacefully.\n[4]"
	"Klingon Captain: My mission does not involve ending this peacefully",

	//kSuluExcelFixed_msg,
	"Captain Sulu: Excelsior's mains are back on line Captain.  If you can give us some cover it would be greatly appreciated " \
	"we've been badly shaken over here.",

	//kTauntKlingon1_msg,
	"[PLAYER_NAME]: Klingon Captain your treachery is great but if you want to prove yourself, you must kill me " \
	"before you can destroy Excelsior.\n[8]" \
	"Klingon Captain: I accept your challenge Captain.",

	//kBeginningScan_msg,
	"Science Officer: Beginning scan...",

	//kNoResponse_msg,
	"Communications Officer: No respone Sir.",


	//kAstoundingVictory_msg,
	"Astounding Victory\n\n" \
	"Welcome back. I placed a lot of trust in you during this mission. I'm afraid it didn't go as we planned, but I am glad we " \
	"both made it back in one piece.\n\n" \
	"We failed to meet with the Terajuni diplomat, and instead we fell into a trap. Federation-Klingon relations have " \
	"taken a turn for the worse, so all in all, we can't be very happy about the outcome.\n\n" \
	"On the other hand, we avoided their trap - and it was a trap, deliberately set by the Klingons to disgrace the " \
	"Federation and destroy the Excelsior. So don't feel too bad about that.\n\n" \
	"You did well. Be proud of yourself.\n\n" \
	"We've heard that the Klingons have been forced to pull their fleet from the Terajun sector to deal with some " \
	"trouble on the Hydran and Mirak borders. The Terajuni have responded to this situation by declaring their " \
	"independence from the Klingon Empire. We've just received a request from the Terajuni for Federation membership. " \
	"The Klingons aren't going to be very happy when they hear about this.\n\n" \
	"Dismissed.",

	//kVictory_msg,
	"Victory\n\n" \
	"Welcome back. I placed a lot of trust in you during this mission. I'm afraid it didn't go as we planned, but I am glad we " \
	"both made it back in one piece.\n\n" \
	"We've heard that the Klingons have been forced to pull their fleet from the Terajun sector to deal with some " \
	"trouble on the Hydran and Mirak borders. The Terajuni have responded to this situation by declaring their " \
	"independence from the Klingon Empire. We've just received a request from the Terajuni for Federation membership. " \
	"The Klingons aren't going to be very happy when they hear about this.\n\n" \
	"Dismissed.",

	//kDraw_msg,
	"Draw\n\n" \
	"Welcome back. I placed a lot of trust in you during this mission. I'm afraid it didn't go as we planned, but I am glad we " \
	"both made it back in one piece.\n\n" \
	"Unfortunately, we never made contact with the Terjun ambassador. We can't win the big battles if we can't follow " \
	"the mission plan.  There was no need to leave the system before we reached our objective. \n\n" \
	"Dismissed.",

	//kDefeat_msg,
	"Defeat\n\n" \
	"Welcome back. If you're receiving this message, then I am dead. I hope I died well, in the service of Starfleet, " \
	"and those principles which I vowed to defend with my life. I choose you to accompany me, and I know that you " \
	"will live up to my faith in you. The next months will be difficult. But you have an inner strength that I " \
	"respect. I expect you not just to survive, but to push your career and become one of the most honored officers " \
	"in Starfleet history.\n\n" \
	"You're dismissed, Captain.",

	//kDevastatingDefeat_msg,
	"Devastating Defeat\n\n" \
	"You will be missed.",
};

#endif