//	<Name>	PlayerTeamInitialState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( PlayerTeamInitialState_h )
#define PlayerTeamInitialState_h

#include "ChildActorState.h"
#include "teamInfo.h"
#include "PlayerTeam.h"

class tPlayerTeamInitialState : public tChildActorState<tPlayerTeam>
{
public:
	enum eTimeIDs
	{
		kPlayerDisengagedID,
		kDetectedID,
		kExcelsiorBreaksDownID,
		kExcelsiorFixedID,
		kDisplayMessageID,
		kCheckVoicePlayingID,
		kDeepScanONID,
		kCheckDeepScanID,
	};

	tPlayerTeamInitialState( );

	virtual void mBeginState();
	virtual void mEndState();
	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip );
	virtual void mAtDistance( tShipInfo* ship );
	virtual void mOnDisengaged( tShipInfo* ship );
	virtual void mOnDeepScan( tShipInfo* ship, iTruth deepScanOn );
	virtual void mOnDeath( tShipInfo* ship );

protected:

	int32 fChapter;
	bool	fDeepScanON;
	bool	fAsteroidScanned;

	bool	fKlingonsHostile;
	bool	fExcelsiorBrokeDown;

};

#endif

