//	<Name>	KlingonFireShipInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Bon_3Sulu.h"
#include "ShipInfo.h"
#include "KlingonTeam.h"
#include "KlingonTeamFireShip.h"
#include "KlingonFireShipInitialState.h"
#include "MissionText.h"
#include "ScriptInterface.h"

tKlingonFireShipInitialState::tKlingonFireShipInitialState( )
{

}

void tKlingonFireShipInitialState::mBeginState()
{
}

void tKlingonFireShipInitialState::mEndState()
{
}

void tKlingonFireShipInitialState::mOnTimedInterval( int32 timerID )
{
	tKlingonTeam* klingonTeam = dynamic_cast<tKlingonTeam*>( fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kKlingonTeam ) ) );
	tTeamInfo* planetTeam = fMissionInfo->mGetTeamHandle(  static_cast< eTeamID>( kPlanetTeam ) );
	tShipIterator ship = planetTeam->mGetFirstShip();
	tShipInfo* planet = *ship;
	int32 freightersReachedPlanet = klingonTeam->mGetTotalFireshipsReachedPlanet();

	if( timerID == kTrackDistanceID )
	{
		if( 1 )//fChildActor->mGetTacticalDistance( planet )  < 12  )
		{
			klingonTeam->mSetFireShipReachedPlanet();

			freightersReachedPlanet = klingonTeam->mGetTotalFireshipsReachedPlanet();

			if( freightersReachedPlanet == 1 )
			{
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kBoom_msg );
			}
			else if( freightersReachedPlanet == 2 )
			{
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kBoom2_msg );
			}
			else if( freightersReachedPlanet == 3 )
			{
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kBoom3_msg );
			}


//			fChildActor->mSetSystemHealthFromOrig( kNoWeaponHardPoint, 0.0f, kFalse );
			fChildActor->mDestroyShipSilently();
		}
		else
		{
			mSetTimedInterval( kTimerSecondsSet, kTrackDistanceID, 0.5f );
		}
	}
}
void tKlingonFireShipInitialState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{

}
void tKlingonFireShipInitialState::mOnDeath( tShipInfo* ship )
{
}
void tKlingonFireShipInitialState::mAtDestination( tShipInfo* ship )
{
}
void tKlingonFireShipInitialState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{

}
void tKlingonFireShipInitialState::mAtDistance( tShipInfo* ship )
{
	if( ship == fChildActor )
	{
		mSetTimedInterval( kTimerSecondsSet, kTrackDistanceID, 0.5f );
	}
}
