//	<Name>	KlingonFireShipInitialState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( KlingonFireShipInitialState_h )
#define KlingonFireShipInitialState_h

#include "ChildActorState.h"
#include "teamInfo.h"
#include "KlingonTeamFireShip.h"

class tKlingonFireShipInitialState : public tChildActorState<tKlingonTeamFireShip>
{
public:
	enum eTimerIDs
	{
		kGameOverID,
 	    kPlayerDisengagedID,
		kTrackDistanceID,
		kFirstWaveID,
		kSecondWaveID,
		kThirdWaveID,
		kDisplayMessageID,
		kCheckVoicePlayingID,
		kDeepScanONID,
		kCheckDeepScanID,
	};

	tKlingonFireShipInitialState( );

	virtual void mBeginState();
	virtual void mEndState();
	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType );
	virtual void mOnDeath( tShipInfo* ship );
	virtual void mAtDestination( tShipInfo* ship );
	virtual void mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item );
	virtual void mAtDistance( tShipInfo* ship );

protected:

};

#endif

