/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------

#if defined ( _GERMAN )

std::string Messages[] =
{
	//kMissionTitle_msg,
	"Sulu 3: Vergeltung",

	//kShortBriefing_msg,
	"Terajun hat seine Unabhngigkeit vom klingonischen Imperium erklrt. Wie zu erwarten war, nehmen die Klingonen das nicht so ohne Weiteres " \
	"hin - sie wenden eine Politik der verbrannten Erde an. Whrend der Groteil ihrer Flotte an der mirakischen " \
	"und hydranischen Grenze kmpft, hat der Hohe Rat der Klingonen entschieden, dass die Zerstrung von Terajun der einzige Weg ist, um andere " \
	"klingonische Welten davon abzuhalten, sich ebenfalls abzuspalten. Unsere Mission besteht darin, sie aufzuhalten.\n" \
	"Mit seiner sauerstoffreichen Atmosphre ist Terajun auerordentlich verwundbar fr Tri-Ox-Bomben, die auf Frachter oder Feuerschiffe geladen werden. Wenn " \
	"die Frachter sich innerhalb einer Reichweite von 120.000 km befinden, explodieren sie und speien ihre tdliche Fracht in die obere Atmosphre. Die " \
	"Bomben explodieren dann und verursachen eine Massenzerstrung. Wenn ein Feuerschiff auf den Planeten auftrifft, wird es Verwstungen auf " \
	"breitester Ebene geben. Zwei Feuerschiffe, die auf den Planeten auftreffen, werden mit Sicherheit alles Leben auslschen.\n" \
	"Die Klingonen haben drei Angriffsgruppen gebildet, von denen jede den Planeten in einem anderen Vektor angreift und " \
	"versucht, die Feuerschiffe bei ihrer Annherung zu schtzen.\n" \
	"Hiermit ist die Einsatzbesprechung beendet.",
	
	
	//kBriefing_msg,
	">Stoppen Sie die Frachter, bevor sie den Planeten erreichen.<" \
	"Terajun hat seine Unabhngigkeit vom klingonischen Imperium erklrt. Wie zu erwarten war, nehmen die Klingonen das nicht so ohne Weiteres " \
	"hin - sie haben sich entschlossen, eine Politik der verbrannten Erde anzuwenden. Whrend der Groteil ihrer Flotte an der mirakischen " \
	"und hydranischen Grenze kmpft, hat der Hohe Rat der Klingonen entschieden, dass die Zerstrung von Terajun der einzige Weg ist, um andere " \
	"klingonische Welten davon abzuhalten, sich ebenfalls abzuspalten. Unsere Mission besteht darin, sie aufzuhalten.\n" \
	"Mit seiner sauerstoffreichen Atmosphre ist Terajun auerordentlich verwundbar fr Tri-Ox-Bomben, die auf Frachter oder Feuerschiffe geladen werden. Wenn " \
	"die Frachter sich innerhalb einer Reichweite von 120.000 km befinden, explodieren sie und speien ihre tdliche Fracht in die obere Atmosphre. Die " \
	"Bomben explodieren dann und verursachen eine Massenzerstrung. . Wenn ein Feuerschiff auf den Planeten auftrifft, wird es Verwstungen auf " \
	"breitester Ebene anrichten. Zwei Feuerschiffe, die auf den Planeten auftreffen, werden mit Sicherheit alles Leben auslschen.\n" \
	"Die Klingonen haben drei Angriffsgruppen gebildet, von denen jede den Planeten in einem anderen Vektor angreift und " \
	"versucht, die Feuerschiffe bei ihrer Annherung zu schtzen.\n" \
	"Hiermit ist die Einsatzbesprechung beendet.",

	//kExcelsior_name,
	"Excelsior NCC-2000",

	//kPlanet_name,
	"Terajun",

	//kHail_btn,
	"Rufen",
	//kHailEarly_btn,
	"Rufen",
	//kHailStory_btn,
	"Rufen",
	//kHailSuluFight_btn,
	"Rufen",

	//kStart1_msg,
	"[PLAYER_NAME]: Logbuch des Captains, Sternenzeit 9703,2. Wir begleiten die USS Excelsior nach Terajun, um den Planeten gegen klingonische " \
	"Feuerschiffe zu verteidigen, die ihn zerstren wollen.", 
	//kStart2_msg,
	"Wissenschaftsoffizier: Wir sind gerade noch rechtzeitig angekommen. Die Langstreckensensoren zeigen, dass sich die erste Welle klingonischer Schiffe " \
	"dem System nhert.",
	//kStart3_msg,
	"Kommunikationsoffizier: Die Excelsior ruft uns, Captain.",
	//kStart4_msg,
	"[PLAYER_NAME]: Stellen Sie sie durch.",
	//kStart5_msg,
	"Captain Sulu: Wir sollten ein wenig nher an Terajun herangehen. Ich schlage eine Entfernung von 80.000 km vom Planeten vor.",

	//kHailEarly_msg,
	"Captain Sulu: Es sollten uns noch ein paar Momente bleiben, bevor die Klingonen eintreffen. Denken Sie daran, auf die Frachter zu zielen, diese "
	"sind die wahre Bedrohung.",

	//kStory1_msg,  4 secs
	"[PLAYER_NAME]: Ich kann nicht glauben, dass die Klingonen ihre eigene Welt zerstren wrden.",
	//kStory2_msg,  6 secs
	"Captain Sulu: Das klingonische Imperium ist in den letzten Jahren immer lchriger geworden, und sie haben schwere Verluste hinnehmen mssen.",
	//kStory3_msg,  3 secs
	"[PLAYER_NAME]: Die Schwarze Flotte hat zurzeit ziemlichen Zulauf.",
	//kStory4_msg,  8 secs
	"Captain Sulu: Genau. Und wenn man mit dem Rcken zur Wand steht, kann die Sachlage ziemlich gemein werden. Man mchte eine schnelle Antwort " \
	"und einen einfachen Sieg.",
	//kStory5_msg,	3 secs
	"[PLAYER_NAME]: Nach meiner Erfahrung gibt es keine einfachen Siege.",
	//kStory6_msg,	15 secs
	"Captain Sulu: Und doch gibt es sie. Sie passieren gerade so oft, dass die Leute zu der berzeugung gelangen, dass jeder Sieg " \
	"ein leichter sein sollte. Du hrst auf, dir ber die Folgen Deiner Aktionen Gedanken zu machen. Du mchtest nur, dass der Konflikt " \
	"beendet wird, und das zu deinen Bedingungen.",
	//kStory7_msg,	2 secs
	"[PLAYER_NAME]: Und Sie glauben, dass genau das hier passiert?",
	//kStory8_msg,	12 secs
	"Captain Sulu: Es gibt keine grere Beleidigung fr ein Imperium als die, von einem der eigenen Mitglieder zurckgewiesen zu werden. Die klingonischen " \
	"Streitkrfte sind ausgednnt und fhlen sich verunsichert. Ich kann mir kein besseres Rezept fr Schwierigkeiten vorstellen.",

	//kKlingonsPortBow,
	"Captain Sulu: Unsere Langstreckensensoren registrieren die erste Gruppe der Klingonen direkt an steuerbord. Wenn Sie " \
	"uns bitte begleiten wrden, Captain.",

	//kTakeCareOfFreighters_msg,
	"Captain Sulu: Achten Sie auf die Frachter, Captain. Wir werden uns um die Kreuzer kmmern.",

	//kBoom_msg,
	"Wissenschaftsoffizier: Einer der Frachter ist explodiert, und seine tdliche Fracht ergiet sich ber den Planeten.",

	//kBoom2_msg,
	"Wissenschaftsoffizier: Ein weiterer Frachter hat den Planeten erreicht. Wir erhalten breit gestreute Berichte ber die Zerstrungen " \
	"von dem Planeten.",

	//kBoom3_msg,
	"Wissenschaftsoffizier: Alle drei Frachter haben den Planeten erreicht. Der Planet steht in Flammen, Captain.",

	//kBeginningScan_msg,
	"Wissenschaftsoffizier: Wir beginnen mit dem Scannen...",

	//kNoResponse_msg,
	"Kommunikationsoffizier: Keine Reaktion, Sir.",

	//kExcelsiorDestroyed_msg,
	"Willkommen daheim. Wenn Sie diese Nachricht erhalten, weile ich bereits nicht mehr unter den Lebenden. Ich hoffe, ich hatte einen angenehmen Tod im Dienste " \
	"der Sternenflotte und im Dienste der Prinzipien, die ich geschworen habe, mit meinem Leben zu verteidigen. Ich hatte Sie als Begleitung auserwhlt, und ich " \
	"wei, dass Sie sich meines Vertrauens wrdig erweisen werden. Die nchsten Monate werden schwierig. Aber Sie verfgen ber eine innere " \
	"Strke, die ich respektiere. Ich erwarte nicht nur, dass Sie berleben, sondern ich erwarte auch, dass Sie eine groe Karriere machen und einer der " \
	"am meisten verehrten Offiziere in der Geschichte der Sternenflotte werden.\n\n" \
	"Sie knnen wegtreten, Captain.",

	//kAstoundingVictory_msg,
	"Groartiger Sieg\n\n" \
	"Willkommen daheim. Terajun ist noch intakt. Wir haben es geschafft zu verhindern, dass die Frachter ihre Ladung lschen. Die " \
	"Terajuni sind Ihnen zu groem Dank verpflichtet, das war exzellente Arbeit!\n\n" \
	"Der Abgeordnetenrat der Fderation tritt in Krze zusammen, um zu entscheiden, ob Terajun der Beitritt zur Fderation gestattet werden soll. Die " \
	"Klingonen sind davon natrlich nicht sehr erbaut. Ich glaube, man kann mit Sicherheit davon ausgehen, dass noch mehr rger ins Haus steht.\n\n"
	"Sie knnen wegtreten, Captain.",

	//kVictory_msg,
	"Sieg\n\n" \
	"Willkommen daheim. Terajun ist noch intakt, obwohl die Klingonen eine groe Zerstrung auf dem Planeten anrichten konnten. Die " \
	"berlebenden Terajuni mchten Ihnen fr Ihre Bemhungen danken.\n\n" \
	"Der Abgeordnetenrat der Fderation tritt in Krze zusammen, um zu entscheiden, ob Terajun der Beitritt zur Fderation gestattet werden soll. Die " \
	"Klingonen sind davon natrlich nicht sehr erbaut. Ich glaube, man kann mit Sicherheit davon ausgehen, dass noch mehr rger ins Haus steht.\n\n" \
	"Sie knnen wegtreten, Captain.",

	//kDraw_msg,
	"Unentschieden\n\n" \
	"Willkommen daheim. Terajun ist tot. Trotz all Ihrer Anstrengungen hat das klingonische Bombardement diese Welt zerstrt. Ich wei nicht, " \
	"was ich Ihnen noch sagen soll.\n\n" \
	"Sie knnen wegtreten, Captain.",

	//kDefeat_msg,
	"Niederlage\n\n" \
	"Sie haben das System vor dem Ende der Schlacht verlassen, und als Ergebnis haben wir Terajun verloren. Das war keine glckliche Entscheidung. Die " \
	"Fderation hatte versprochen, die Terajuni zu schtzen, und hoffte auf eine diplomatische Lsung. Nun werden wir als schwach betrachtet, und " \
	"Sie knnen sicher sein, dass dies Auswirkungen auf andere Zwistigkeiten haben wird, die wir noch mit den Klingonen auszufechten haben.\n\n" \
	"Wegtreten.",

	//kDevastatingDefeat_msg,
	"Vernichtende Niederlage\n\n" \
	"Der Captain wird vermisst.",
};

#else

std::string Messages[] =
{
	//kMissionTitle_msg,
	"Sulu 3: Vengeance",

	//kShortBriefing_msg,
	"Terajun has seceded from the Klingon Empire. As we anticipated, the Klingons are not standing still for " \
	"this - they've decided to employ a scorched planet policy. With most of their fleet fighting on the Mirak " \
	"and Hydran borders, the Klingon High Council has decided that destroying Terajun is the only way to keep other " \
	"Klingon worlds from seceding. Our job is to stop them.\n\n" \
	"Terajun's oxygen-rich atmosphere makes it vulnerable to tri-ox bombs, loaded in freighters, or fireships.  When " \
	"the freighter gets within 120,000km it will explode, spewing its deadly cargo into the upper atmosphere.  The " \
	"bombs will then detonate causing a mass destruction.  If one fireship hits the planet it will cause widespread " \
	"devastation. Two fireships hitting the planet will certainly destroy all life.\n\n" \
	"The Klingons have gathered three attack groups, each group will attack the planet at different vectors and " \
	"attempt to shield the fireships on their approach.\n\n" \
	"This concludes the briefing.",
	
	
	//kBriefing_msg,
	">Stop the freighters before they reach the planet.<" \
	"Terajun has seceded from the Klingon Empire. As we anticipated, the Klingons are not standing still for " \
	"this - they've decided to employ a scorched planet policy. With most of their fleet fighting on the Mirak " \
	"and Hydran borders, the Klingon High Council has decided that destroying Terajun is the only way to keep other " \
	"Klingon worlds from seceding. Our job is to stop them.\n\n" \
	"Terajun's oxygen-rich atmosphere makes it vulnerable to tri-ox bombs, loaded in freighters, or fireships.  When " \
	"the freighter gets within 120,000km it will explode, spewing its deadly cargo into the upper atmosphere.  The " \
	"bombs will then detonate causing a mass destruction.  If one fireship hits the planet it will cause widespread " \
	"devastation. Two fireships hitting the planet will certainly destroy all life.\n\n" \
	"The Klingons have gathered three attack groups, each group will attack the planet at different vectors and " \
	"attempt to shield the fireships on their approach.\n\n" \
	"This concludes the briefing.",

	//kExcelsior_name,
	"Excelsior NCC-2000",

	//kPlanet_name,
	"Terajun",

	//kHail_btn,
	"Hail",
	//kHailEarly_btn,
	"Hail",
	//kHailStory_btn,
	"Hail",
	//kHailSuluFight_btn,
	"Hail",

	//kStart1_msg,
	"[PLAYER_NAME]: Captain's log, 9703.2. We're accompanying USS Excelsior to Terajun, to defend against Klingon " \
	"fireships which are planning to destroy the planet.", 
	//kStart2_msg,
	"Science Officer: We arrived just in time. Long range sensors show the first wave of Klingon vessels is " \
	"approaching the system.",
	//kStart3_msg,
	"Communications Officer: Excelsior is hailing us, captain.",
	//kStart4_msg,
	"[PLAYER_NAME]: Put him through.",
	//kStart5_msg,
	"Captain Sulu: Let's get a little closer to Terajun. I suggest a distance of 80,000km from the planet.",

	//kHailEarly_msg,
	"Captain Sulu: We should have a few moments before the Klingons arrive.  Remember, target their freighters, they "
	"are the real threat.",

	//kStory1_msg,  4 secs
	"[PLAYER_NAME]: I can't believe the Klingons would destroy their own world.",
	//kStory2_msg,  6 secs
	"Captain Sulu: The Klingon Empire has been spread thin the last few years and they have suffered heavy casualties.",
	//kStory3_msg,  3 secs
	"[PLAYER_NAME]: The Black Fleet is getting crowded these days.",
	//kStory4_msg,  8 secs
	"Captain Sulu: Exactly. When your back is against the wall things can get really ugly.  You want a quick answer, " \
	"and an easy victory.",
	//kStory5_msg,	3 secs
	"[PLAYER_NAME]: In my experience there are no easy victories.",
	//kStory6_msg,	15 secs
	"Captain Sulu: Actually, there are. They happen just often enough that people become convinced that every victory " \
	"should be a easy one. You stop caring about the ramifications of your actions.  You just want the conflict to " \
	"end and on your terms.",
	//kStory7_msg,	2 secs
	"[PLAYER_NAME]: You think that's what's happening here?",
	//kStory8_msg,	12 secs
	"Captain Sulu: There's no greater insult for an empire than to be rejected by one of your members. Klingon " \
	"forces are spread thin and they're feeling insecure. I can't think of a better recipe for trouble.",

	//kKlingonsPortBow,
	"Captain Sulu: Our long-range sensors have picked up the first group of Klingons directly to port.  If you would " \
	"join us Captain.",

	//kTakeCareOfFreighters_msg,
	"Captain Sulu: Take care of those freighters Captain; we'll handle the cruisers.",

	//kBoom_msg,
	"Science Officer: One of the freighters has exploded and it's contents are raining down on the planet.",

	//kBoom2_msg,
	"Science Officer: Another of the freighters has reached the planet.  We are receiving wide spread reports of destruction " \
	"from the planet.",

	//kBoom3_msg,
	"Science Officer: All three of the freighters have reached the planet.  The planet is in flames Captain.",

	//kBeginningScan_msg,
	"Science Officer: Beginning scan...",

	//kNoResponse_msg,
	"Communications Officer: No respone Sir.",

	//kExcelsiorDestroyed_msg,
	"Welcome back. If you're receiving this message, then I am dead. I hope I died well, in the service of " \
	"Starfleet, and those principles which I vowed to defend with my life. I choose you to accompany me, and I " \
	"know that you will live up to my faith in you. The next months will be difficult. But you have an inner " \
	"strength that I respect. I expect you not just to survive, but to push your career and become one of the " \
	"most honored officers in Starfleet history.\n\n" \
	"You're dismissed, Captain.",

	//kAstoundingVictory_msg,
	"Welcome back. Terajun is still intact; we managed to prevent any freighters from unloading their cargo. The " \
	"Terajuni have you to thank for that, that was excellent work!\n\n" \
	"The Federation council is meeting soon to decide whether Terajun should be admitted into the Federation. The " \
	"Klingons are very unhappy about this. I think it's safe to say we're in for more trouble ahead.\n\n"
	"You're dismissed, Captain.",

	//kVictory_msg,
	"Welcome back. Terajun is still intact, although the Klingons inflicted major damage on the planet. The " \
	"surviving Terajuni wish to thank you for your efforts.\n\n" \
	"The Federation council is meeting soon to decide whether Terajun should be admitted into the Federation. The " \
	"Klingons are very unhappy about this. I think it's safe to say we're in for more trouble ahead.\n\n" \
	"You're dismissed, Captain.",

	//kDraw_msg,
	"Welcome back. Terajun is dead. Despite our best efforts, the Klingons bombardment destroyed that world. I'm not " \
	"sure what else to tell you.\n\n" \
	"You're dismissed, Captain.",

	//kDefeat_msg,
	"You left the system before the end of the battle, and as a result we lost Terajun. This was unfortunate. The " \
	"Federation had promised to protect the Terajuni and hope for a diplomatic solution. Now, we're seen as weak, and " \
	"you can be sure this will effect our other dealings with the Klingons.\n\n" \
	"Dismissed.",

	//kDevastatingDefeat_msg,
	"You will be missed.",
};

#endif