/********************************************************************************************************\

	File Name:	KlingonTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( KlingonTeam_h )
#define KlingonTeam_h

#include "TeamInfo.h"


class tKlingonTeam : public tTeamInfo
{
public:
	tKlingonTeam();
	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mSetFireShipReachedPlanet();
	virtual int32 mGetTotalFireshipsReachedPlanet();
	virtual void mIncWave();
	virtual int32 mGetWaveCount();

	enum eCustomIDs
	{
		kEscortID,
		kDestroyerID,
		kCruiserID,
	};
protected:
	int32	fFireshipsReachedPlanet;
	int32	fWave;
};
#endif



