//	<Name>	KlingonTeamInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "KlingonTeamInitialState.h"
#include "KlingonTeamShip.h"
#include "KlingonTeamCruiser.h"
#include "KlingonTeamHeavyCruiser.h"
#include "KlingonTeam.h"
//#include "KlingonTeamFireShip.h"
#include "ScriptInterface.h"
#include "MissionInfo.h"
#include "TeamInfo.h"
#include "Bon_4Sulu.h"

void tKlingonTeamInitialState::mBeginState()
{
	mSetTimedInterval( kTimerTurnsSet, kKlingonsArriveID, 9.0f );	//if you change here must change in playerteaminitialstate first wave
}

void tKlingonTeamInitialState::mOnTimedInterval( int32 timerID )
{
	tKlingonTeam* klingonTeam = dynamic_cast<tKlingonTeam*>( fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kKlingonTeam ) ) );

	if( timerID == kKlingonsArriveID )
	{
		fChildActor->mCreateShip( typeid( tKlingonTeamCruiser ), "K-D7B", kStartPosition_Z, tTeamInfo::kNoMetaShipID, kCruiserID, 0, 0, -1, -1, NULL, kStartPositionOffsetW );
		fChildActor->mCreateShip( typeid( tKlingonTeamCruiser ), "K-D5", kStartPosition_Z, tTeamInfo::kNoMetaShipID, kDestroyerID, 0, 0, -1, -1, NULL, kStartPositionOffsetE );
		fChildActor->mCreateShip( typeid( tKlingonTeamCruiser ), "K-E4", kStartPosition_Z, tTeamInfo::kNoMetaShipID, kEscortID, 0, 0, -1, -1, NULL, kStartPositionOffsetE );
	}

}
void tKlingonTeamInitialState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{

}
void tKlingonTeamInitialState::mOnDisengaged( tShipInfo* ship )
{

}