//	<Name>	KlingonTeamInitialState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( KlingonTeamInitialState_h )
#define KlingonTeamInitialState_h

#include "KlingonTeam.h"
#include "ChildActorState.h"

class tKlingonTeamInitialState : public tChildActorState<tKlingonTeam>
{
public:
	enum eTimerIDs
	{
		kSuluInCommandID,
		kRebelMutinyID,
		kKlingonsArriveID,
		kPresidentID,
		kPlayerDisengagedID,
		kDisplayMessageID,
		kCheckVoicePlayingID,
		kDeepScanONID,
		kCheckDeepScanID,
		kGameOverID,
	};

	enum eCustomIDs
	{
		kEscortID,
		kDestroyerID,
		kCruiserID,
	};

	virtual void mBeginState();

	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType );
	virtual void mOnDisengaged( tShipInfo* ship );

};

#endif
