//	<Name>	PresidentialYachtInitialState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( PresidentialYachtInitialState_h )
#define PresidentialYachtInitialState_h

#include "ChildActorState.h"
#include "teamInfo.h"
#include "PresidentialYacht.h"

class tPresidentialYachtInitialState : public tChildActorState<tPresidentialYacht>
{
public:
	tPresidentialYachtInitialState( );

	enum eTimerIDs
	{
		kSuluInCommandID,
		kRebelMutinyID,
		kKlingonsArriveID,
		kPresidentID,
		kPlayerDisengagedID,
		kDisplayMessageID,
		kCheckVoicePlayingID,
		kDeepScanONID,
		kCheckDeepScanID,
		kGameOverID,
	};

	virtual void mBeginState();
	virtual void mEndState();
	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType );
	virtual void mOnDeath( tShipInfo* ship );
	virtual void mAtDestination( tShipInfo* ship );
	virtual void mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item );
	virtual void mAtDistance( tShipInfo* ship );

protected:

};

#endif

