/********************************************************************************************************\

	File Name:	CommonShip2.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/


#include "MissionText.h"
#include "CommonShip2.h"
#include "CommonShip2BaseState.h"
#include "TeamInfo.h"
#include "CommonDefs.h"

tClassAllocator<tCommonShip2> gCommonShip2Allocator;

void tCommonShip2::mSetupState()
{
	mRegisterState( new tCommonShip2BaseState() );
	mGotoState( typeid( tCommonShip2BaseState ) );
}
void tCommonShip2::mSetupCommState()
{}
void tCommonShip2::mSetupShip()
{
	mSetShipCallbackEvents( kNotifyDamage );

	tTeamInfo*	CommonTeam = fMissionInfo->mGetTeamHandle( mGetTeam() );
	Assert( CommonTeam );
	if ( !CommonTeam )
		return;

	if ( CommonTeam->mIsTeamHumanControlled() )
		mSetShipPlayerControlled();

///??DAN -- remove this if marc gets it working in source
#if 0
//	mRemoveTargets();
#endif
	mSetTargetable( kFalse );
	mSetTimedInterval( kTimerTurnsSet, kInvincibility_TID, 0.5f );
}