/********************************************************************************************************\

	File Name:	CommonShip3.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/


#include "MissionText.h"
#include "CommonShip3.h"
#include "CommonShip3BaseState.h"
#include "TeamInfo.h"
#include "CommonDefs.h"

tClassAllocator<tCommonShip3> gCommonShip3Allocator;

void tCommonShip3::mSetupState()
{
	mRegisterState( new tCommonShip3BaseState() );
	mGotoState( typeid( tCommonShip3BaseState ) );
}
void tCommonShip3::mSetupCommState()
{}
void tCommonShip3::mSetupShip()
{
	mSetShipCallbackEvents( kNotifyDamage );

	tTeamInfo*	CommonTeam = fMissionInfo->mGetTeamHandle( mGetTeam() );
	Assert( CommonTeam );
	if ( !CommonTeam )
		return;

	if ( CommonTeam->mIsTeamHumanControlled() )
		mSetShipPlayerControlled();

///??DAN -- remove this if marc gets it working in source
#if 0
//	mRemoveTargets();
#endif
	mSetTargetable( kFalse );
	mSetTimedInterval( kTimerTurnsSet, kInvincibility_TID, 0.5f );
}