/********************************************************************************************************\

	File Name:	Dem_Fest.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/


#if !defined( Dem_Fest_h )
#define Dem_Fest_h

#include "ScriptInterface.h"

//---------------------------------------------------------------------------------------------
// the following enum is used to identify all non-player teams in the script
// (use kPlayerTeam to access the current players team.)
enum eTeamTypes
{};

class tVictoryCondition;

class tDem_Fest : public tScript
{
public:
	enum eCommStates
	{};

	tDem_Fest();

	virtual void mSetupState();
	virtual void mSetupCommState();

	virtual void	mStartMission();
	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual int32	mInitializeFinished();
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mGetDebriefingList( eVictoryLevels VictoryLevel );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual int32	mGetTechnicalSuccessLevel( tDynaverseScriptInfo& info );
	virtual int32	mGetEnemyTeamID();
	virtual void	mNewTeam( const tTeamScriptDescription& teamScriptDescription );
	virtual void	mASCIIOverrides( tMapOverrides* Map );

	tVictoryCondition* mSetupVictoryCondition();

protected:
	tVictoryCondition* fVictoryCondition;
};

#endif

