/********************************************************************************************************\

	File Name:	NPCTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "NPCTeamBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tNPCTeamBaseState::mBeginState()
{}
void tNPCTeamBaseState::mEndState()
{}

void tNPCTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tNPCTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tNPCTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tNPCTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tNPCTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tNPCTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tNPCTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tNPCTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tNPCTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tNPCTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tNPCTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tNPCTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tNPCTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tNPCTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tNPCTeamBaseState::mOnFlashingButtonPressed()
{}
void tNPCTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tNPCTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tNPCTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tNPCTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tNPCTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tNPCTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tNPCTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tNPCTeamBaseState::mOnPlayerLeaving( int playerNumber )
{}
void tNPCTeamBaseState::mOnHostChanged()
{}
void tNPCTeamBaseState::mOnTimedInterval( int32 timerID )
{}
void tNPCTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tNPCTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

