//	<Name>	EnemyTeam.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "ScriptInterface.h"

#include "Dem_Press1.h"
#include "EnemyTeam.h"
#include "EnemyTeamCruiser.h"
#include "FreighterTeamShip.h"

//#include "EnemyTeamShip.h"

tClassAllocator<tEnemyTeam> gEnemyTeamAllocator;

tEnemyTeam::tEnemyTeam() : tTeamInfo()
{
}

void tEnemyTeam::mSetupState()
{

}

void tEnemyTeam::mSetupCommState()
{
}

void tEnemyTeam::mCreateShipsForTeam()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( kPlayerTeam );
	int32 diffLevel = fMissionInfo->mGetDifficultyLevel();
	int32 playerBPV = playerTeam->mGetCombatBPV();

	int32 freighterBPV; 
	int32 enemyBPV; 
	if( diffLevel == 0 )
	{
		enemyBPV = playerBPV * 0.4;
		freighterBPV = 0;
	}
	else if( diffLevel == 1 )
	{
		enemyBPV = playerBPV * 0.6;
		freighterBPV = 65;
	}
	else if( diffLevel == 2 )
	{
		enemyBPV = playerBPV * 0.8;
		freighterBPV = kMaxBPV;
	}

mCreateShip( typeid( tEnemyTeamCruiser ), "F-CA", kStartPosition_S, kEnemyOneID );
mCreateShip( typeid( tEnemyTeamCruiser ), "F-DD", kStartPosition_S, kEnemyTwoID );
mCreateShip( typeid( tFreighterTeamShip ), "F-FLPh", kStartPosition_T, kFreighterID );
}


