//	<Name>	EnemyTeamCruiserInitialState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( EnemyTeamCruiserInitialState_h )
#define EnemyTeamCruiserInitialState_h

#include "ChildActorState.h"
#include "teamInfo.h"
#include "EnemyTeamCruiser.h"

class tEnemyTeamCruiserInitialState : public tChildActorState<tEnemyTeamCruiser>
{
public:
	enum eTimeIDs
	{
		kFreighterDestroyed
	};

	tEnemyTeamCruiserInitialState( );

	virtual void mBeginState();
	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnDeath( tShipInfo* ship );
	virtual void mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType );


protected:

};

#endif

