//	<Name>	PlayerTeamInitialState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( PlayerTeamInitialState_h )
#define PlayerTeamInitialState_h

#include "ChildActorState.h"
#include "teamInfo.h"
#include "PlayerTeam.h"

class tPlayerTeamInitialState : public tChildActorState<tPlayerTeam>
{
public:
	enum eTimeIDs
	{
		kStartingID,
		kStarting2ID,
		kCheckDistanceID,
		kChatterID
	};

	tPlayerTeamInitialState( );

	virtual void mBeginState();
	virtual void mOnTimedInterval( int32 timerID );

protected:

	bool fDeepScanON;
	bool fFreighterScanned;
	bool fCruiser1Scanned;
	bool fCruiser2Scanned;
	int32 fRandomMessage;
};

#endif

