/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Mirak 1\n\n",

	//
	//	Briefing message
	//

	//	kBriefing_msg,
	"><Make contact with the Organians.\n\n",

	//	kBriefingFederation_msg,
	"We cannot believe the Organians are sanctioning the abuses of the ISC.  So we're sending you on an " \
	"expedition to Organia to inform them of the ISC's misdeeds and petition them to rescind their " \
	"blessing.\n\n" \
	"We've tried to talk to the Organians before, but an ISC Task Force surrounds Organia and has " \
	"pushed our expeditions back.  This time, we're not going alone.  You'll be accompanied by a " \
	"Klingon ship.  It's our belief that two traditional enemies, working together, will be more effective " \
	"spokesmen than a single race.  As such, it's important to maintain trust and cooperation with the " \
	"Klingons on this mission.\n\n" \
	"Your goal is to get through the ISC blockade, remove whatever jamming devices they've placed in the " \
	"system, and talk to the Organians.  That's all.\n\n" \
	"Dismissed.  And good luck.\n\n",
	
	//	kBriefingKlingon_msg,
	"We cannot believe the Organians are sanctioning the abuses of the ISC.  So we're sending you on an " \
	"expedition to Organia to inform them of the ISC's misdeeds and petition them to rescind their " \
	"blessing.\n\n" \
	"We've tried to talk to the Organians before, but an ISC Task Force surrounds Organia and has " \
	"pushed our expeditions back.  This time, we're not going alone.  You'll be accompanied by a " \
	"Klingon ship.  It's our belief that two traditional enemies, working together, will be more effective " \
	"spokesmen than a single race.  As such, it's important to maintain trust and cooperation with the " \
	"Klingons on this mission.\n\n" \
	"Your goal is to get through the ISC blockade, remove whatever jamming devices they've placed in the " \
	"system, and talk to the Organians.  That's all.\n\n" \
	"Dismissed.  And good luck.\n\n",
	
	//	kBriefingRomulan_msg,
	"We cannot believe the Organians are sanctioning the abuses of the ISC.  So we're sending you on an " \
	"expedition to Organia to inform them of the ISC's misdeeds and petition them to rescind their " \
	"blessing.\n\n" \
	"We've tried to talk to the Organians before, but an ISC Task Force surrounds Organia and has " \
	"pushed our expeditions back.  This time, we're not going alone.  You'll be accompanied by a " \
	"Klingon ship.  It's our belief that two traditional enemies, working together, will be more effective " \
	"spokesmen than a single race.  As such, it's important to maintain trust and cooperation with the " \
	"Klingons on this mission.\n\n" \
	"Your goal is to get through the ISC blockade, remove whatever jamming devices they've placed in the " \
	"system, and talk to the Organians.  That's all.\n\n" \
	"Dismissed.  And good luck.\n\n",
	
	//	kBriefingLyran_msg,
	"We cannot believe the Organians are sanctioning the abuses of the ISC.  So we're sending you on an " \
	"expedition to Organia to inform them of the ISC's misdeeds and petition them to rescind their " \
	"blessing.\n\n" \
	"We've tried to talk to the Organians before, but an ISC Task Force surrounds Organia and has " \
	"pushed our expeditions back.  This time, we're not going alone.  You'll be accompanied by a " \
	"Klingon ship.  It's our belief that two traditional enemies, working together, will be more effective " \
	"spokesmen than a single race.  As such, it's important to maintain trust and cooperation with the " \
	"Klingons on this mission.\n\n" \
	"Your goal is to get through the ISC blockade, remove whatever jamming devices they've placed in the " \
	"system, and talk to the Organians.  That's all.\n\n" \
	"Dismissed.  And good luck.\n\n",
	
	//	kBriefingMirak_msg,
	"We cannot believe the Organians are sanctioning the abuses of the ISC.  So we're sending you on an " \
	"expedition to Organia to inform them of the ISC's misdeeds and petition them to rescind their " \
	"blessing.\n\n" \
	"We've tried to talk to the Organians before, but an ISC Task Force surrounds Organia and has " \
	"pushed our expeditions back.  This time, we're not going alone.  You'll be accompanied by a " \
	"Klingon ship.  It's our belief that two traditional enemies, working together, will be more effective " \
	"spokesmen than a single race.  As such, it's important to maintain trust and cooperation with the " \
	"Klingons on this mission.\n\n" \
	"Your goal is to get through the ISC blockade, remove whatever jamming devices they've placed in the " \
	"system, and talk to the Organians.  That's all.\n\n" \
	"Dismissed.  And good luck.\n\n",

	//	kBriefingHydran_msg,
	"We cannot believe the Organians are sanctioning the abuses of the ISC.  So we're sending you on an " \
	"expedition to Organia to inform them of the ISC's misdeeds and petition them to rescind their " \
	"blessing.\n\n" \
	"We've tried to talk to the Organians before, but an ISC Task Force surrounds Organia and has " \
	"pushed our expeditions back.  This time, we're not going alone.  You'll be accompanied by a " \
	"Klingon ship.  It's our belief that two traditional enemies, working together, will be more effective " \
	"spokesmen than a single race.  As such, it's important to maintain trust and cooperation with the " \
	"Klingons on this mission.\n\n" \
	"Your goal is to get through the ISC blockade, remove whatever jamming devices they've placed in the " \
	"system, and talk to the Organians.  That's all.\n\n" \
	"Dismissed.  And good luck.\n\n",
	
	//	kBriefingGorn_msg,
	"We cannot believe the Organians are sanctioning the abuses of the ISC.  So we're sending you on an " \
	"expedition to Organia to inform them of the ISC's misdeeds and petition them to rescind their " \
	"blessing.\n\n" \
	"We've tried to talk to the Organians before, but an ISC Task Force surrounds Organia and has " \
	"pushed our expeditions back.  This time, we're not going alone.  You'll be accompanied by a " \
	"Klingon ship.  It's our belief that two traditional enemies, working together, will be more effective " \
	"spokesmen than a single race.  As such, it's important to maintain trust and cooperation with the " \
	"Klingons on this mission.\n\n" \
	"Your goal is to get through the ISC blockade, remove whatever jamming devices they've placed in the " \
	"system, and talk to the Organians.  That's all.\n\n" \
	"Dismissed.  And good luck.\n\n",

	//
	//	Starting message
	//
	
	//	kStartFederation_msg,
	"[PLAYER_RACE_COMMAND]: Hunt record, [STARDATE].  We are entering Organian space.  Our primary mission is to join with " \
	"the Klingons and reach the planet, which has been strangely silent since the arrival of the ISC.\n\n[3]" \
	"Science Officer: ISC cruisers, dead ahead!\n\n[1]" \
	"[PLAYER_RACE_COMMAND]: Good.  It will do my heart good to crush them in the bargain.\n\n[1]",
	
	//	kStartKlingon_msg,
	"[PLAYER_RACE_COMMAND]: Hunt record, [STARDATE].  We are entering Organian space.  Our primary mission is to join with " \
	"the Klingons and reach the planet, which has been strangely silent since the arrival of the ISC.\n\n[3]" \
	"Science Officer: ISC cruisers, dead ahead!\n\n[1]" \
	"[PLAYER_RACE_COMMAND]: Good.  It will do my heart good to crush them in the bargain.\n\n[1]",
	
	//	kStartRomulan_msg,
	"[PLAYER_RACE_COMMAND]: Hunt record, [STARDATE].  We are entering Organian space.  Our primary mission is to join with " \
	"the Klingons and reach the planet, which has been strangely silent since the arrival of the ISC.\n\n[3]" \
	"Science Officer: ISC cruisers, dead ahead!\n\n[1]" \
	"[PLAYER_RACE_COMMAND]: Good.  It will do my heart good to crush them in the bargain.\n\n[1]",
	
	//	kStartLyran_msg,
	"[PLAYER_RACE_COMMAND]: Hunt record, [STARDATE].  We are entering Organian space.  Our primary mission is to join with " \
	"the Klingons and reach the planet, which has been strangely silent since the arrival of the ISC.\n\n[3]" \
	"Science Officer: ISC cruisers, dead ahead!\n\n[1]" \
	"[PLAYER_RACE_COMMAND]: Good.  It will do my heart good to crush them in the bargain.\n\n[1]",
	
	//	kStartMirak_msg,
	"[PLAYER_RACE_COMMAND]: Hunt record, [STARDATE].  We are entering Organian space.  Our primary mission is to join with " \
	"the Klingons and reach the planet, which has been strangely silent since the arrival of the ISC.\n\n[3]" \
	"Science Officer: ISC cruisers, dead ahead!\n\n[1]" \
	"[PLAYER_RACE_COMMAND]: Good.  It will do my heart good to crush them in the bargain.\n\n[1]",
	
	//	kStartHydran_msg,
	"[PLAYER_RACE_COMMAND]: Hunt record, [STARDATE].  We are entering Organian space.  Our primary mission is to join with " \
	"the Klingons and reach the planet, which has been strangely silent since the arrival of the ISC.\n\n[3]" \
	"Science Officer: ISC cruisers, dead ahead!\n\n[1]" \
	"[PLAYER_RACE_COMMAND]: Good.  It will do my heart good to crush them in the bargain.\n\n[1]",
	
	//	kStartGorn_msg,
	"[PLAYER_RACE_COMMAND]: Hunt record, [STARDATE].  We are entering Organian space.  Our primary mission is to join with " \
	"the Klingons and reach the planet, which has been strangely silent since the arrival of the ISC.\n\n[3]" \
	"Science Officer: ISC cruisers, dead ahead!\n\n[1]" \
	"[PLAYER_RACE_COMMAND]: Good.  It will do my heart good to crush them in the bargain.\n\n[1]",

	//
	//	Debriefing messages
	//
	
	//	kDebAstoundingVictoryFederationRomulanHydran_msg,
	"Congratulation on your work in Organia.  Impressive work.  I do not understand their response, but the " \
	"Organians were always beyond comprehension.  It's annoying to share our galaxy with such creatures.\n\n" \
	"Well, we'll find some other way to defeat the ISC -- and the Organians themselves, if necessary.  We " \
	"managed to push back the ISC fleet that was threatening [SYSTEM_NAME], so you made the correct " \
	"choice.  Never give in to terrorists.\n\n" \
	"Dismissed.\n\n",
	
	//	kDebVictoryFederationRomulanHydran_msg,
	"You talked to the Organians.  Good.  However, you were ordered to destroy all traces of the ISC in " \
	"the Organian system.  Your failure, in front of an enemy turned ally, does not inspire confidence.\n\n" \
	"Dismissed.\n\n",
	
	//	kDebDefeatFederationRomulanHydran_msg,
	"Even though you destroyed the ISC fleet, you somehow failed in the main objective.  We don't know what " \
	"the Organians are thinking but we do know the ISC continues to receive their good graces.  This is " \
	"awful!\n\n" \
	"Dismissed.\n\n",
		
	//	kDebDevastatingDefeatFederationRomulanHydran_msg,
	"You failed in the main objective.  We don't know what the Organians are thinking but we do know the " \
	"ISC continues to receive their good graces.  This is an embarrassment!\n\n" \
	"Dismissed.\n\n",

	//	kDebAstoundingVictoryKlingonGornLyranMirak_msg,
	"Congratulation on your work in Organia.  Impressive work.  I do not understand their response, but the " \
	"Organians were always beyond comprehension.  It's annoying to share our galaxy with such creatures.\n\n" \
	"Well, we'll find some other way to defeat the ISC -- and the Organians themselves, if necessary.  We " \
	"managed to push back the ISC fleet that was threatening [SYSTEM_NAME], so you made the correct " \
	"choice.  Never give in to terrorists.\n\n" \
	"Dismissed.\n\n",
	
	//	kDebVictoryKlingonGornLyranMirak_msg,
	"You talked to the Organians.  Good.  However, you were ordered to destroy all traces of the ISC in " \
	"the Organian system.  Your failure, in front of an enemy turned ally, does not inspire confidence.\n\n" \
	"Dismissed.\n\n",
	
	//	kDebDefeatKlingonGornLyranMirak_msg,
	"Even though you destroyed the ISC fleet, you somehow failed in the main objective.  We don't know what " \
	"the Organians are thinking but we do know the ISC continues to receive their good graces.  This is " \
	"awful!\n\n" \
	"Dismissed.\n\n",
	
	//	kDebDevastatingDefeatKlingonGornLyranMirak_msg,
	"You failed in the main objective.  We don't know what the Organians are thinking but we do know the " \
	"ISC continues to receive their good graces.  This is an embarrassment!\n\n" \
	"Dismissed.\n\n",
	
	//	kDebDraw_msg,
	"\n\n",

	//
	//	Comm buttons
	//

	//	k_HAIL_Ally_btn,
	"HAIL",
	
	//	k_REINFORCEALLIANCE_Ally_btn,
	"REINFORCE ALLIANCE",
	
	//	k_REQUESTASSISTANCE_Ally_btn,
	"REQUEST ASSISTANCE",
	
	//	k_HAIL_ISC_btn,
	"HAIL",
	
	//	k_DEMANDSURRENDER_ISC_btn,
	"DEMAND SURRENDER",
	
	//	k_HAIL_Organia_btn,
	"HAIL",

	//
	//	Comm messages
	//
	
	//	k_HAIL_Ally1_msg,
	"Communications Officer: They aren't answering our hails.\n\n",
	
	//	k_HAIL_Ally2_msg,
	"Allied Captain: We're watching your back [PLAYER_RACE], watching it very carefully.\n\n",
	
	//	k_HAIL_Ally3_msg,
	"Allied Captain: Let's just get this mission over with.  Scan any object that looks like it might be " \
	"generating a dampening field.  You do know how to use sensors, don't you?\n\n",
	
	//	k_HAIL_Ally4_msg,
	"Allied Captain: Give me a reason to ignore what they're saying...and I'll consider it.\n\n",
	
	//	k_HAIL_Ally5_msg,
	"Allied Captain: We're in decent shape.  Just hold up your part of the bargain.\n\n",
	
	//	k_HAIL_Ally6_msg,
	"Allied Captain: We're badly damaged.  Requesting assistance.\n\n",
	
	//	k_REINFORCEALLIANCE_Ally1_msg,
	"[PLAYER_NAME]: We can't let the ISC come between us.  One demand, and our alliance falls apart?  What " \
	"kind of alliance is that?  That won't impress the Organians.\n\n",
	
	//	k_REINFORCEALLIANCE_Ally2_1_msg,
	"Allied Captain: You're right.  We'll have to stick together.\n\n",
	
	//	k_REINFORCEALLIANCE_Ally2_2_msg,
	"Allied Captain: Agreed.  We must be prepared to sacrfice for the greater good.\n\n",
	
	//	k_REINFORCEALLIANCE_Ally2_3_msg,
	"Allied Captain: Agreed.  Our people are not given to betrayal.\n\n",
	
	//	k_REINFORCEALLIANCE_Ally2_4_msg,
	"Allied Captain: Agreed.  As bad as your race can be, they're far worse.\n\n",
	
	//	k_REINFORCEALLIANCE_Ally3_msg,
	"Allied Captain: We're not going anywhere, [PLAYER_RANK].  They won't be able to break us apart.\n\n",
	
	//	k_REINFORCEALLIANCE_Ally4_msg,
	"Allied Captain: You talk of an alliance after you attacked us?  I should have known you couldn't be " \
	"trusted.\n\n",
	
	//	k_REQUESTASSISTANCE_Ally1_msg,
	"Communications Officer: No response, [PLAYER_RANK].\n\n",
	
	//	k_REQUESTASSISTANCE_Ally2_msg,
	"Communications Officer: They're coming as soon as possible.\n\n",
	
	//	k_HAIL_ISC1_1_msg,
	"ISC Commander: I have nothing to say to primitives.\n\n",
	
	//	k_HAIL_ISC1_2_msg,
	"ISC Commander: We will not allow you to disturb the Organians.\n\n",
	
	//	k_HAIL_ISC1_3_msg,
	"ISC Commander: Who would have thought it possible to have an alliance between these two races?\n\n",
	
	//	k_HAIL_ISC1_4_msg,
	"ISC Commander: You come to Organia to do violence to us?  Is there no end to your barbarism?\n\n",
	
	//	k_DEMANDSURRENDER_ISC1_1_msg,
	"ISC Commander: We will protect the Organians to our last breath.\n\n",
	
	//	k_DEMANDSURRENDER_ISC1_2_msg,
	"ISC Commander: I hate to disappoint you, [PLAYER_RANK], but the answer must be no.\n\n",
	
	//	k_DEMANDSURRENDER_ISC1_3_msg,
	"ISC Commander: I've seen the carnage you've created: death, destruction, you've done very well for " \
	"yourself.  But not enough to force our surrender.\n\n",
	
	//	k_DEMANDSURRENDER_ISC1_4_msg,
	"ISC Commander: Surrender?  To a madman?  Never!\n\n",
	
	//	k_HAIL_Organia1_msg,
	"Communications Officer: Something is causing interference, [PLAYER_RANK].\n\n",

	//	k_HAIL_Organia2_msg,
	"Organian: We understand you are distressed.\n\n" \
	"[PLAYER_NAME]: Border violations, invasions, drug programs, forced reeducation -- is this your idea of " \
	"peace?  Or do the ends justify the means, and all this talk of Organian nobility is just a sham?\n\n" \
	"Organian: Your anger distresses us...but it is justified.  We know what is happening.  We have reasons " \
	"for what we have done -- but cannot share them yet.  We will not interfere -- for reasons you will " \
	"understand all too soon.\n\n[3]" \
	"[PLAYER_NAME]: Let me guess, we're too stupid to understand...\n\n[1]" \
	"Organian: Unlike some evils, the ISC can be understood, you can negotiate with them.  Make the attempt, " \
	"as the Federation did with the Klingons.  Learn that there are greater challenges than violence.  And " \
	"cherish reason in the mind of your enemy, for you will not always have that luxury.\n\n",

	//
	//	Victory rating
	//

	// kAstoundingVictory_msg,
	"Astounding Victory!\n",

	// kVictory_msg,
	"Victory!\n",

	// kDraw_msg,
	"Draw.\n",

	// kDefeat_msg,
	"Defeat\n",

	// kDevastatingDefeat_msg,
	"Devastating Defeat\n",

	//
	//	Random chatter
	//

	//	kRandChat1_msg,
	"Helm: I can't believe we're actually allying with them.\n\n",
	
	//	kRandChat2_msg,
	"Engineer: Organia's supposed to be a beautiful planet.  It's said to have an almost desert rustic " \
	"quality about it.\n\n",
		
	//	kRandChat3_msg,
	"Security Officer: I have the boarding parties drilling constantly.  We'll be ready whenever you " \
	"want to put us into action.\n\n",
	
	//	kRandChat4_msg,
	"Communications Officer: No response from Organia.\n\n",
		
	//	kRandChat5_msg,
	"Weapons Officer: The ISC has heavily defended this system.  They obviously see its strategic advantage.\n\n",
	
	//	kRandChat6_msg,
	"Science Officer: I wonder what the Organians will do to the ISC when they learn what they've been up to.\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//	kOrgania_nam,
	"Organia",

	//
	//	Event dialog
	//
	
	//	kEvent3_1_msg,
	"Communications Officer: We're being hailed by the ISC.\n\n" \
	"[PLAYER_RACE_COMMAND]: Onscreen.\n\n" \
	"ISC Commander: I know you warmongers really wish to kill each other, so let's make it easy for " \
	"you.  We have a fleet orbiting one of each of your worlds.  Unless you fight each other, that planet " \
	"will be destroyed.\n\n",
	
	//	kEvent4_1_msg,
	"Science Officer: [PLAYER_RANK], we are being targetted by our allies.  It appears they're giving into " \
	"the ISC demands.\n\n",
	
	//	kEvent5_1_msg,
	"Communications Officer: We're being hailed by the ISC.\n\n" \
	"[PLAYER_RACE_COMMAND]: Onscreen.\n\n" \
	"ISC Commander: Perhaps you warmongers didn't believe our threat.  I am broadcasting footage that shows " \
	"our fleet over your planets.  So go ahead, kill each other.  It will save countless lives -- and it's " \
	"what you want to do.  Show me that warrior spirit.\n\n",
	
	//	kEvent6_1_msg,
	"Science Officer: [PLAYER_RANK], we are being targetted by our allies.  It appears they're giving into " \
	"the ISC demands.\n\n",
	
	//	kEvent7_1_msg,
	"Science Officer: The ISC fleet has been neutralized.\n\n",
	
	//	kEvent7_2_msg,
	"First Officer: Secondary objective achieved, [PLAYER_RANK].\n\n",
	
	//	kEvent8_1_msg,
	"Science Officer: The ISC fleet has been neutralized.  It's clear sailing from here to Organia -- or " \
	"anywhere else in this system that we might want to go.\n\n",
	
	//	kEvent8_2_msg,
	"First Officer: Secondary objective achieved, [PLAYER_RANK].\n\n",

	//	kEvent9_1_msg,
	"Science Officer: The ISC fleet has been neutralized.  It's clear sailing from here to Organia -- or " \
	"anywhere else in this system that we might want to go.\n\n",
	
	//	kEvent9_2_msg,
	"First Officer: Secondary objective achieved, [PLAYER_RANK].\n\n",
	
	//	kEvent10_1_msg,
	"Science Officer: We've reached Organia.\n\n" \
	"Communications Officer: No response from the planet, [PLAYER_NAME].  Transmissions are being jammed.\n\n" \
	"Science Officer: We'll need to eliminate the jamming to complete our mission.\n\n",
	
	//	kEvent10_2_msg,
	"Science Officer: We've reached Organia.  All clear.\n\n",
	
	//	kEvent11_1_msg,
	"Science Officer: An ISC defense platform.  Includes a jammer.  This is what is keeping the Organians " \
	"from hearing any communications.\n\n",
	
	//	kEvent12_1_msg,
	"Communications Officer: Jamming field destroyed, [PLAYER_RANK].  We can now contact Organia.\n\n",
	
	//	kEvent13_1_msg,
	"Science Officer: Leaving the system, Captain.\n\n",
	
	//	kEvent14_1_msg,
	"Science OFficer: We have left the system.\n\n",

	//
	//	Custom messages
	//

	//	kCustom1_msg,
	"First Officer: ISC ship destroyed.\n\n",

	//	kCustom2_msg,
	"First Officer: ISC ship captured.\n\n",

	//	kCustom3_msg,
	"First Officer: ISC Defense Platform is down.\n\n",

	//	kCustom4_msg,
	"Allied Captain: I'm tired of the ISC tricks.  Let's destroy the ISC together!\n\n",
};


