//	<Name>	FreighterTeamShip.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "ScriptInterface.h"

#include "FreighterTeamShip.h"
#include "AttackTeam.h"
#include "MissionText.h"
#include "WorldConditions.h"

#include "FreighterTeamShipInitialState.h"

tClassAllocator<tFreighterTeamShip> gFreighterTeamShipAllocator;

void tFreighterTeamShip::mSetupState()
{
	mRegisterState( new tFreighterTeamShipInitialState( ) );

	mGotoState( typeid( tFreighterTeamShipInitialState ) );
}

void tFreighterTeamShip::mSetupCommState()
{
}

void tFreighterTeamShip::mSetupShip()
{
	mSetShipMaxSpeed( 12 );
	mSetFinalDestination();
	mSetShipCallbackEvents(  kNotifyDamage );
	mSetShipCallbackEvents(  kNotifyAtDestination );
}
