//	<Name>	Freighter.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( Freighter_h )
#define Freighter_h

#include "ShipInfo.h"

class tFreighter : public tShipInfo
{
public:

	tFreighter();

	virtual	void mSetupState();
	virtual void mSetupCommState();
	virtual void mSetupShip();

	enum eCommStates
	{
		kCommState1,
		kCommState2,
		kCommState3,
		kCommState4,
		kCommState5,
		kCommState6,
			//
			//	- HAIL
			//

		kCommState7,
		kCommState8,
		kCommState9,
		kCommState10,
		kCommState11,
		kCommState12,
			//
			//	- HAIL
			//	- DROP SHIELDS
			//

		kBlankCommState,
	};

	bool	mAttackedAlly( void );
	bool	mDiplomatRescued( void );
	int32	mShipsDestroyed( void );

	void	mSetAttackedAlly( bool x );
	void	mSetDiplomatRescued( bool x );
	void	mIncreaseShipsDestroyed( void );

protected:

	bool	fAttackedAlly;
	bool	fDiplomatRescued;
	int32	fShipsDestroyed;
};

#endif

