/********************************************************************************************************\

	File Name:	MissionText.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tstring.h"


enum TextMessages
{
	//
	//	Mission Title
	//
	kMissionTitle_msg,

	//
	//	Briefing message
	//
	kBriefing_msg,

	//
	//	Starting message
	//
	kStart_msg,

	//
	//	Debriefing messages
	//
	kDebAstoundingVictory_msg,
	kDebVictory_msg,
	kDebDraw_msg,
	kDebDefeat_msg,
	kDebDevastatingDefeat_msg,

	//
	//	Comm buttons
	//
	k_HAIL_Freighter_btn,
	k_DROPSHIELDS_Freighter_btn,
	k_WESURRENDER_Player_btn,
	k_WESURRENDER_PlayerForReal_btn,
	k_YOUSURRENDER_Enemy_btn,
	k_YOUSURRENDER_EnemyForReal_btn,

	//
	//	Comm messages
	//
	k_HAIL_Freighter1_msg,
	k_HAIL_Freighter2_msg,
	k_HAIL_Freighter3_msg,
	k_HAIL_Freighter4_msg,
	k_HAIL_Freighter5_msg,
	k_HAIL_Freighter6_msg,
	k_DROPSHIELDS_Freighter_msg,
	k_WESURRENDER_Player1_msg,
	k_WESURRENDER_Player2_msg,
	k_YOUSURRENDER_Enemy1_msg,
	k_YOUSURRENDER_Enemy2_msg,
	k_YOUSURRENDER_Enemy3_FederationLyranHydran_msg,
	k_YOUSURRENDER_Enemy3_KlingonRomulanGornMirak_msg,
	k_YOUSURRENDER_Enemy4_msg,
	k_YOUSURRENDER_Enemy5_msg,

	//
	//	Victory rating
	//
	kAstoundingVictory_msg,
	kVictory_msg,
	kDraw_msg,
	kDefeat_msg,
	kDevastatingDefeat_msg,

	//
	//	Random chatter
	//
	kRandChat1_msg,
	kRandChat2_msg,
	kRandChat3_msg,
	kRandChat4_msg,
	kRandChat5_msg,
	kRandChat6_msg,

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	kEvent4_1_msg,
	kEvent5_1_msg,
	kEvent5_2_msg,
	kEvent5_3_msg,
	kEvent6_1_msg,
	kEvent6_2_msg,
	kEvent7_1_msg,
	kEvent7_2_msg,
	kEvent8_1_msg,
	kEvent8_2_msg,
	kEvent10_1_msg,
	kEvent10_2_msg,
	kEvent11_1_msg,
	kEvent11_2_msg,
	kEvent11_3_msg,
	kEvent12_1_msg,
	kEvent13_1_msg,
	kEvent14_1_msg,

	//
	//	Custom messages
	//
	kCustom1_msg,
	kCustom2_msg,
	kCustom3_msg,
	kCustom4_msg,

	//
	//	Number of messages
	//
	kMsg_num,
};

extern std::string Messages[];



