/********************************************************************************************************\

	File Name:	AllyShipState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "AllyShipState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tAllyShipState::mBeginState()
{}
void tAllyShipState::mEndState()
{}

void tAllyShipState::mOnDeath( tShipInfo* ship )
{}
void tAllyShipState::mOnCapture( tShipInfo* ship )
{}
void tAllyShipState::mOnDisengaged( tShipInfo* ship )
{}
void tAllyShipState::mAtDistance( tShipInfo* ship )
{}
void tAllyShipState::mAtDestination( tShipInfo* ship )
{}
void tAllyShipState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tAllyShipState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tAllyShipState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tAllyShipState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tAllyShipState::mOnProbeLaunch( tShipInfo* ship )
{}
void tAllyShipState::mOnBeginOrbit( tShipInfo* ship )
{}
void tAllyShipState::mOnEndOrbit( tShipInfo* ship )
{}
void tAllyShipState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tAllyShipState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tAllyShipState::mOnFlashingButtonPressed()
{}
void tAllyShipState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tAllyShipState::mOnChangingShip( tShipInfo* ship )
{}
void tAllyShipState::mOnSpecialTransport( tShipInfo* ship )
{}
void tAllyShipState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tAllyShipState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tAllyShipState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tAllyShipState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tAllyShipState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tAllyShipState::mOnHostChanged()
{}
void tAllyShipState::mOnTimedInterval( int32 timerID )
{}
void tAllyShipState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tAllyShipState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

