//	<Name>	KhanTeamShip.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "ScriptInterface.h"
#include "His_WrathOfKhan.h"
#include "KhanTeamShip.h"
#include "sfcAssert.h"
#include "MissionText.h"
#include "KhanTeamShipBaseState.h"
#include "KhanTeamShipInitialState.h"
#include "KhanTeamShipAttackState.h"
#include "KhanTeamShipGenesisState.h"

tClassAllocator<tKhanTeamShip> gKhanTeamShipAllocator;

void tKhanTeamShip::mSetupState()
{
	mRegisterState( new tKhanTeamShipInitialState() );
	mRegisterState( new tKhanTeamShipAttackState() );
	mRegisterState( new tKhanTeamShipGenesisState() );

	mGotoState( typeid( tKhanTeamShipInitialState ) );
}

void tKhanTeamShip::mSetupCommState()
{

}


	// kButtonSurrender_text
//	"SURRENDER",


void tKhanTeamShip::mSetupShip()
{
	mChangeName( kReliant_name );
	mDamageSystem( kDamageWeaponsAndSystems, 25.0 );
	mDamageSystem( kDamageInternalsWithPointsSilently, 30 );
	mDamageSystem( kDamageHeavyWeapon7, 100.0 );
	mSetShipCallbackEvents( kNotifyDamage );
}
