//	<Name>	WoKVictoryState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( WoKVictoryState_h )
#define WoKVictoryState_h

#include "VictoryState.h"

#include "ChildActorVictoryState.h"
#include "teamInfo.h"
#include "WoKVictory.h"

class tWoKVictoryState : public tChildActorVictoryState<tWoKVictory>
{
public:

   tWoKVictoryState( int32 astoundingVictory, int32 victory, int32 draw, int32 defeat, int32 devastatingDefeat );

	virtual void mBeginState();
	virtual void mEndState();

	virtual eVictoryLevels mCalcVictoryStatus();

	virtual void mOnDeath( tShipInfo* ship );
	virtual void mOnDisengaged( tShipInfo* ship );


protected:
};

#endif

