/********************************************************************************************************\

	File Name:	MissionText.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( MissionText_h )
#define MissionText_h

#include "tstring.h"


enum TextMessages
{
	//
	//	Mission Title
	//
	kMissionTitle_msg,

	//
	//	Description message
	//
	kDescription_msg,

	//
	//	Briefing messages
	//
	kBriefing_msg,

	kLongBriefing_msg,

	//
	//	Starting message
	//
	kStart_msg,

	//
	//	Debriefing messages
	//
	kDebVictory_msg,
	kDebDefeat_msg,
	kDebCommon_msg,

	//
	//	Comm buttons
	//
	kHail_btn,

	//
	//	Comm messages
	//
	kNoResponse_msg,
	kHailEnemy_msg,
	kHailRand1_msg,
	kHailRand2_msg,
	kHailRand3_msg,


	//
	//	Victory rating
	//
	kAstoundingVictory_msg,
	kVictory_msg,
	kDraw_msg,
	kDefeat_msg,
	kDevastatingDefeat_msg,
	kLeftEarly_msg,

	//
	//	Random chatter
	//
	kChatter1_msg,
	kChatter2_msg,
	kChatter3_msg,
	kChatter4_msg,
	kChatter5_msg,
	kChatter6_msg,


	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	kFreighterDestroyed_msg,

	kFreighterReachesPlanet_msg,

	kOrganianSurrender1_msg,
	kOrganianSurrender2_msg,

	kScanningFreighter_msg,
	kOutOfScanRange_msg,
	kNothingAbnormal_msg,

	kLeavingSystem_msg,

	kLeftSystem_msg,

	//
	//	Custom messages
	//

	//
	//	Not localized as of 10/8/00
	//
	kPlayerTeamTitle_msg,
	kPlayerTeamBriefing_msg,

	//
	//	Not localized as of 10/17/00
	//
	kScanning_msg,

	//
	//	Not localized as of 11/5/00
	//
	kDisconnect_msg,

	//
	//	Not localized as of 11/19/00
	//
	kStartExtra_msg,
};

extern std::string Messages[];


#endif

