/********************************************************************************************************\

	File Name:	OrganiaBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "OrganiaBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tOrganiaBaseState::mBeginState()
{}
void tOrganiaBaseState::mEndState()
{}

void tOrganiaBaseState::mOnDeath( tShipInfo* ship )
{}
void tOrganiaBaseState::mOnCapture( tShipInfo* ship )
{}
void tOrganiaBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tOrganiaBaseState::mAtDistance( tShipInfo* ship )
{}
void tOrganiaBaseState::mAtDestination( tShipInfo* ship )
{}
void tOrganiaBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tOrganiaBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tOrganiaBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tOrganiaBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tOrganiaBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tOrganiaBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tOrganiaBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tOrganiaBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tOrganiaBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tOrganiaBaseState::mOnFlashingButtonPressed()
{}
void tOrganiaBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tOrganiaBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tOrganiaBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tOrganiaBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tOrganiaBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tOrganiaBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tOrganiaBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tOrganiaBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tOrganiaBaseState::mOnHostChanged()
{}
void tOrganiaBaseState::mOnTimedInterval( int32 timerID )
{}
void tOrganiaBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tOrganiaBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

