//	<Name>	EnemyTeamShipInitialState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( EnemyTeamShipInitialState_h )
#define EnemyTeamShipInitialState_h

#include "ChildActorState.h"
#include "teamInfo.h"
#include "EnemyTeamShip.h"

class tEnemyTeamShipInitialState : public tChildActorState<tEnemyTeamShip>
{
public:
	enum eTimeIDs
	{
		kStartingID,
		kOrganian1ID,
		kOrganian2ID,
		kUltimatumID,
		kNonCompliance,
		kDeepScanONID,
		kUpgradeFightersID,
	};

	tEnemyTeamShipInitialState( );

	virtual void mBeginState();
	virtual void mEndState();

	virtual void mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType );
	virtual void mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType );
	virtual void mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip );
	virtual void mOnTimedInterval( int32 timerID );

protected:

};

#endif

