//	<Name>	MissionText.cpp
//
//	<Info>	DESCRIPTION
//

#include "tclient.h"
#include "MissionText.h"

//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------

std::string Messages[] =
{
#ifdef _GERMAN

	// kMissionTitle_msg
	"ISC_1Peace",

	// kShortBriefing_msg
	"Diese Mission wurde kurzfristig anberaumt. Ein telepathisches Volk, die Organier, hat uns aufgefordert, " \
	"an einem Befriedungsfeldzug teilzunehmen, um die kleineren Vlker der Galaxis zu unterwerfen. Sie werden die Organier " \
	"in ihr System begleiten, von wo aus Sie den Vlkern unser Ultimatum stellen werden. Wenn sie sich widersetzen, " \
	"zerstren Sie eines ihrer Schiffe, um zu beweisen, dass wir es ernst meinen, und verlassen dann das System. \n\n" \
	"Wir haben bereits mit zweien dieser Vlker Bekanntschaft gemacht: mit den Gorn und den Romulanern, und wir waren von beiden nicht gerade " \
	"beeindruckt. Die Organier haben erwhnt, dass es bei einem Volk, der Fderation, mglicherweise lohnenswert sei, " \
	"sich diplomatisch zu zeigen. Sie tten gut daran, sie davon zu berzeugen, dass sie sich nicht auf einen Kampf einlassen sollten, whrend Sie sich auf das schwchste " \
	"der anderen Schiffe konzentrieren. \n\n" \
	"Wegtreten.",

	// kBriefing_msg
	">Zerstren Sie mindestens ein gegnerisches Schiff. berzeugen Sie die Fderation von einem Waffenstillstand. Wenn Sie einen Waffenstillstand " \
	"mit anderen Vlkern vereinbaren knnen, vernichten Sie den Rest<" \
	"Diese Mission wurde kurzfristig anberaumt. Ein telepathisches Volk, die Organier, haben uns aufgefordert, " \
	"an einem Befriedungsfeldzug teilzunehmen, um die kleineren Vlker der Galaxis zu unterwerfen. Sie werden die Organier " \
	"in ihr System begleiten, von wo aus Sie den Vlkern unser Ultimatum stellen werden. Wenn sie sich widersetzen, " \
	"zerstren Sie eines ihrer Schiffe, um zu beweisen, dass wir es ernst meinen, und verlassen dann das System. \n\n" \
	"Wir haben bereits mit zweien dieser Vlker Bekanntschaft gemacht: mit den Gorn und den Romulanern, und wir waren von beiden nicht gerade " \
	"beeindruckt. Die Organier haben erwhnt, dass es bei einem Volk, der Fderation, mglicherweise lohnenswert wre, " \
	"sich diplomatisch zu zeigen. Sie tten gut daran, sie davon zu berzeugen, dass sie sich nicht auf einen Kampf einlassen sollten, whrend Sie sich auf das schwchste " \
	"der anderen Schiffe konzentrieren. \n\n" \
	"Wegtreten.",

	//kOrgania_name,
	"Organia ",
	//kOrganiaShip_name,
	"Organier ",

	//kStarting_msg,
	"Wissenschaftsoffizier: Die Organier haben uns in ihr System gebracht. Und ich kann nicht genau sagen, wie. "
	"Kommunikationsoffizier: Es befinden sich vier unbekannte Schiffe da drauen. Die Organier rufen sie gerade.",

	//kOrganian1_msg,
	"Organier: Wir mischen uns nicht aus freien Stcken in Ihre Angelegenheiten ein, " \
	"aber nachdem wir einmal involviert sind, knnen wir uns nicht mehr entziehen.[8]Wir sind fortgegangen, um uns um eine unmittelbar bevorstehende Bedrohung fr " \
	"diese Galaxis zu kmmern, und was finden wir bei unserer Rckkehr vor? Endloses Geznk und Krieg, und das zu einer Zeit, die " \
	"Einigkeit und Vorbereitung angesichts des herannahenden Sturms fordert. ",
	//kOrganian2_msg,
	"Organier: Da ihr nicht die Strke besessen habt, euch selbst um Frieden zu bemhen, haben wir andere gefunden, die euch " \
	"Frieden bringen werden. Wir werden euch ihrer Obhut bergeben. ",

	//kISCUltimatum1_msg,
	"[PLAYER_NAME]: Hier spricht das interstellare Konkordium, galaktisches Befriedungskommando. Sie werden unverzglich Ihre bedingungslose Kapitulation verknden, " \
	"und uns den ungehinderten Zutritt zu Ihrem Schiff ermglichen. Jede Weigerung wird mit Ihrer sofortigen Zerstrung beantwortet. ",
	//kISCUltimatum2_msg
	"Dies ist in Ihrem ureigensten Interesse. Zwingen Sie uns nicht, Sie zu vernichten. Ergeben Sie sich auf der Stelle.",

	//kNonCompliance_msg
	"Kommunikationsoffizier: Alle Parteien geben Nachricht, dass sie sich keinesfalls ergeben werden.\n" \
	"Wissenschaftsoffizier: Die Schiffe der Klingonen und der Lyraner gehen in Angriffsposition.",

	//kHail_btn,
	"Gru ",
	//kHailRomReady_btn
	"Gru ",
	//kHailLyran_btn,
	"Gru ",

	//kOrganianHail_msg,
	"Organier: Es ist an euch, eine friedliche Lsung zu finden. Wir werden uns nicht mehr einmischen, zumindest so lange nicht, bis " \
	"die wahre Bedrohung bevorsteht. ",

	//kHailedFed_msg,
	"[PLAYER_NAME]: Wie ich hre, sind Sie etwas intelligenter als die anderen galaktischen Vlker. \n" \
	"Captain der Fderation: Unsere Prinzipien mgen den Ihren hnlich sein, aber unsere Methoden sind es nicht. Wir haben uns niemals in der Weise " \
	"in die Angelegenheiten anderer Vlker eingemischt, wie Sie das tun.",

	//kHailedKlingon_msg
	"[PLAYER_NAME]: Ich mchte mit Ihnen ber einen Waffenstillstand verhandeln. \n" \
	"Klingonischer Commander: Sprich schnell ber diesen Waffenstillstand, oder stirb. ",

	//kHailedRomulan_msg,
	"Romulanischer Commander: Ich sehe keinen Grund fr einen Waffenstillstand mit einem Gegner, dessen Strke nicht bewiesen ist. ",

	//kNoResponse_msg,
	"Keine Reaktion ",
	//kTruce_btn,
	"Waffenstillstand anbieten",
	//kPower_btn,
	"Macht anbieten",
	//kPowerTwiceKlingon_btn,
	"Macht anbieten",
	//kPowerTwiceToFed_btn,
	"Macht anbieten",
	//kPeace_btn,
	"Frieden anbieten",
	//kReassure_btn,
	"Absicht beteuern",
	//kReassureFed_btn,
	"Absicht beteuern",
	//kReassureKlingon_btn,
	"Absicht beteuern",
	//kPeaceAfterTruceKlingon_btn,
	"Frieden anbieten",
	//kPeaceTwiceKlingon_btn,
	"Frieden anbieten",

	//kPowerOfferedFed_msg,
	"[PLAYER_NAME]: Sollten Sie befrchten, dass wir versuchen, Ihr Volk zu unterwerfen, kann ich Ihnen versichern, dass " \
	"dies nicht in unserer Absicht liegt. Im Gegenteil, wir sind bereit, Ihnen Macht zu geben. Schlieen Sie sich uns an.\n" \
	"Captain der Fderation: Ich wrde niemals einem Fremden trauen, der so ganz beilufig verspricht, Macht zu geben. " \
	"Nennen Sie es Paranoia, wenn Sie wollen. Ich nenne es Erfahrung.",
	//kPeaceOfferedFed_msg,
	"[PLAYER_NAME]: Wir kommen in friedlicher Absicht. Wir wissen, dass die Fderation Frieden ber alles " \
	"stellt, und dennoch haben Sie Jahrzehnte mit sinnlosen Kriegen vertan. Wie dem auch sei, mit uns ist endlich Hilfe gekommen. Schlieen Sie sich uns an.\n" \
	"Captain der Fderation: Man sagt, dass der Teufel als ein Engel des Lichts erscheint. Aber manchmal ist ein Engel " \
	"auch wirklich ein Engel. Was haben Sie sonst noch zu bieten?",
	//kReassureOfferedFed_msg,
	"[PLAYER_NAME]: Sollten Sie befrchten, dass wir versuchen, Ihr Volk zu unterwerfen, kann ich Ihnen versichern, dass " \
	"dies nicht in unserer Absicht liegt.[9]Fr das ISK ist Frieden das hchste Gut. Sie knnen uns vertrauen.\n"  \
	"Captain der Fderation: Es scheint, als wre Ihnen an einem Frieden mit uns wirklich gelegen. Wir wollen einen Versuch wagen. Lassen Sie uns fr heute " \
	"einen Waffenstillstand ausrufen.\n" \
	"[PLAYER_NAME]: Einverstanden",
	//kPowerAfterTruceFed_msg,
	"[PLAYER_NAME]: Nachdem wir nun zu einer bereinkunft gekommen sind, mchte ich Ihnen ein Angebot unterbreiten. Auf Sie knnte eine schicksalhafte " \
	"Zukunft warten. Die Fderation knnte die wichtigste Macht in diesem Sektor werden...\n"  \
	"Captain der Fderation: ...wenn wir es verdienen. Ich mache keinen Handel um Schicksal und Geschichte, insbesondere " \
	"nicht mit Leuten, die wir noch nicht einmal kennen.",
	//kAllianceFed_msg,
	"[PLAYER_NAME]: Wir sollten besprechen, was fr die anderen Vlker der Galaxis das Beste ist. Vielleicht eine Allianz.\n" \
	"Captain der Fderation: Sie haben Ihren Waffenstillstand. Das ist alles, was ich heute fr Sie tun kann.",

	//kPowerOfferedOnceKlingon_msg,
	"[PLAYER_NAME]: Wenn Sie befrchten, dass wir versuchen werden, Ihr Volk zu unterwerfen, kann ich Ihnen versichern, dass " \
	"dies nicht in unserer Absicht liegt. Im Gegenteil, wir sind bereit, Ihnen Macht zu geben. Schlieen Sie sich uns an.\n" \
	"Klingonischer Commander: Interessant. Welche Art Macht?",
	//kPeaceOfferedKlingon_msg,
	"[PLAYER_NAME]: Wir kommen, um Ihnen ein Friedensangebot zu unterbreiten. Wir mssen keine Feinde sein.\n" \
	"Klingonischer Commander: Diese Worte habe ich schon einmal gehrt. Unsere Erfahrung zeigt, dass nur " \
	"Sklaven von solchen Dingen reden.",
	//kPowerOfferedTwiceKlingon_msg,
	"[PLAYER_NAME]: Wir knnten auf die Kooperation mit einer Militrmacht bauen, die sich in diesem Quadranten auskennt. Sie htten Zugang " \
	"zu unseren technischen Errungenschaften. Es wre eine gleichwertige Partnerschaft.\n" \
	"Klingonischer Commander: Ich sehe nichts Unehrenhaftes darin. Du sollst Deinen Waffenstillstand haben. Fr den Augenblick.",
	//kReassuranceOfferedKlingon_msg,
	"[PLAYER_NAME]: Wenn Sie befrchten, dass wir versuchen werden, Ihr Volk zu unterwerfen, kann ich Ihnen versichern, dass " \
	"dies nicht in unserer Absicht liegt. Fr das ISK ist Frieden das hchste Gut. Sie knnen uns vertrauen.\n" \
	"Klingonischer Commander: Kahless sagt, traue nie einem Fremden, der Dir mit Friedensangeboten kommt, denn als nchstes " \
	"kommt er mit einem Dolch in der Nacht.",
	//kPeaceAfterTruceKlingon_msg,
	"Klingonischer Commander: Du bietest uns Macht und sprichst dann von Frieden wie ein Sklave!  Schau Deinem Tod ins Auge, Sklave.",
	//kReassureAfterKlingon_msg,
	"[PLAYER_NAME]: Sollten Sie befrchten, dass wir versuchen, Ihr Volk zu unterwerfen, kann ich Ihnen versichern, dass " \
	"dies nicht in unserer Absicht liegt. Fr das ISK ist Frieden das hchste Gut. Sie knnen uns vertrauen.\n" \
	"Klingonischer Commander: Ich hoffe fr Dich, dass das ein Witz sein soll.",
	//kGross_msg,
	"Kommunikationsoffizier: Sie sagen, dass das Blut von Lgnern ein zwar bitterer aber dennoch krftiger Trank ist.",

	//kRomReady_msg,
	"Romulanischer Commander: Unter Bercksichtigung der Entscheidungen der Fderation und der Klingonen whlt das romulanische Imperium den Frieden ... fr heute.",
	//kRomulanDisengaging_msg,
	"Wissenschaftsoffizier: Das romulanische Schiff setzt sich ab",

	//kDiePig_msg,
	"[PLAYER_NAME]: Wir bieten Ihnen einen Waffenstillstand. Zwingen Sie uns nicht, Sie zu vernichten.\n"
	"Lyranischer Captain: Ich werde Dich von oben nach unten aufschlitzen und ein Festmahl mit Deinen Eingeweiden halten. ",

	//kFedAttack_msg,
	"Wissenschaft: Das Fderationsschiff aktiviert seine Waffen und geht auf Abfangkurs. ",
	//kKlingonAttack_msg,
	"Wissenschaft: Das klingonische Schiff hat seine Waffen aktiviert und bereitet sich auf einen Angriff vor. ",
	//kRomulanAttack_msg,
	"Wissenschaft: Das romulanische Schiff setzt zum Angriff an.",
	//kLyranAttack_msg,
	"Wissenschaft: Das lyranische Schiff greift an.",

	// kAstoundingVictory_msg
	"Groartiger Sieg\n\n" \
	"Gute Arbeit. Sie haben diese Aufgabe in bewundernswerter Weise erledigt. Wir haben diesen Wesen eine Demonstration " \
	"unserer berlegenheit gegeben. Ihr Verhandlungsgeschick zeigt, " \
	"dass in Ihnen mehr steckt als ein einfacher Soldat.\n\n" \
	"Wegtreten.",
	// kVictory_msg
	"Sieg\n\n" \
	"Sie haben Ihre Befehle ordnungsgem ausgefhrt. Ein Waffenstillstand mit der Fderation knnte von Nutzen sein. Die Gegner, die " \
	"vernichtet wurden, sollten ausreichend Beweis fr unsere Mglichkeiten sein.\n\n" \
	"Wegtreten.",
	// kDraw_msg
	"Unentschieden\n\n" \
	"Wir hatten vorgeschlagen, dass Sie versuchen, in friedlicher Weise mit der Fderation zu verhandeln. Sie haben diese " \
	"wichtige Aufgabe nicht erfllt. Die Fderation knnte von Nutzen fr uns sein. Aufgrund Ihrer Aktionen " \
	"wissen wir immer noch nicht mehr ber ihre Absichten.\n\n" \
	"Wegtreten.",
	// kDefeat_msg
	"Niederlage\n\n" \
	"Sie konnten zwar einen Waffenstillstand mit der Fderation vereinbaren, konnten unsere berlegenheit aber nicht " \
	"durch die Zerstrung eines ihrer Schiffe unter Beweis stellen. Das htte nur unwesentlich schlechter laufen knnen. " \
	"Wegtreten.",
	// kDevastatingDefeat_msg
	"Vernichtende Niederlage" \
	"Es wurde von Ihnen erwartet, eine Stellungnahme abzugeben. Es wurde von Ihnen erwartet, dass Sie eines ihrer Schiffe zerstren. " \
	"Es war eine unerfreuliche Aufgabe, aber dennoch war es gefordert. Befolgen Sie niemals Ihre Befehle? " \
	"Mglicherweise hilft Ihnen ein Auffrischungskurs in Befehlsgehorsam.\n\n"
	"Wegtreten.",

	//kLeftEarly_msg,
	"Mission eingebt",

	//kPlayerTeam1Title_msg,	
	"Friede sei mit uns",

	//kScanning_msg,
	"Wissenschaftsoffizier: Wir beginnen mit dem Scannen...",

#else		//////////////////////////////////////////////////////////////////////////////

	// kMissionTitle_msg
	"ISC_1Peace",

	// kShortBriefing_msg
	"This mission comes on short notice. A trans-sentient race, the Organians, has asked us to " \
	"engage in a pacification campaign to subdue the lesser races of the galaxy. The Organians will " \
	"take you to their system, where you will deliver your ultimatum to the races. If they resist, " \
	"destroy one ship to show them that we mean business, then leave the system. \n\n" \
	"We've already met two of the races: the Gorns and the Romulans, and were not been impressed with " \
	"either. The Organians have mentioned that one race, the Federation, may actually be worthy of " \
	"diplomacy. You would do well to persuade them not to fight while you concentrate on the weakest of " \
	"the other ships. \n\n" \
	"Dismissed.",

	// kBriefing_msg
	">Destroy at least one enemy ship.  Convince the Federation to enter a truce.  If you cannot enter a truce " \
	"with the other races, destroy them. <" \
	"This mission comes on short notice. A trans-sentient race, the Organians, has asked us to " \
	"engage in a pacification campaign to subdue the lesser races of the galaxy. The Organians will " \
	"take you to their system, where you will deliver your ultimatum to the races. If they resist, " \
	"destroy one ship to show them that we mean business, then leave the system. \n\n" \
	"We've already met two of the races: the Gorns and the Romulans, and were not been impressed with " \
	"either. The Organians have mentioned that one race, the Federation, may actually be worthy of " \
	"diplomacy. You would do well to persuade them not to fight while you concentrate on the weakest of " \
	"the other ships. \n\n" \
	"Dismissed.",

	//kOrgania_name,
	"Organia ",
	//kOrganiaShip_name,
	"Organian ",

	//kStarting_msg,
	"Science Officer: The Organians have brought us into their system. I'm not sure how. "
	"Communications Officer: Four alien ships are present. The Organians are about to address them.",

	//kOrganian1_msg,
	"Organian: We were not brought into your affairs of our own free will, " \
	"but once involved, we could not extract ourselves. We departed to deal with an imminent threat to " \
	"this galaxy, and when we return, what do we find?[9] Endless bickering and war, at a time which calls " \
	"for unity and preparation against the coming storm. ",
	//kOrganian2_msg,
	"Organian: Because you could not find the strength to look for peace yourself, we have found others to bring it " \
	"to you. We shall leave you in their care. ",
	//kISCUltimatum1_msg,
	"[PLAYER_NAME]: This is the Interstellar Concordium, Galactic Pacification Command. You will transmit a surrender message " \
	"immediately and permit our boarding action. Failure to comply will result in your destruction. ",
	//kISCUltimatum2_msg
	"This is in your own best interest. Do not force us to destroy you. Surrender now.",
	//kNonCompliance_msg
	"Communications Officer: All factions are sending messages of non-compliance.\n" \
	"Science Officer: The Klingon and Lyran ships are moving into attack.",

	//kHail_btn,
	"Hail ",
	//kHailRomReady_btn
	"Hail ",
	//kHailLyran_btn,
	"Hail ",

	//kOrganianHail_msg,
	"Organian: It is up to you to find a peaceful resolution. We shall not interfere again, at least until " \
	"the real threat presents itself. ",

	//kHailedFed_msg,
	"[PLAYER_NAME]: I hear you are more enlightened than the other galactic races. \n\n" \
	"Federation Captain: Our principles may be similar to yours, but our practices aren't. We'd never " \
	"interfere in other people's affairs in the way that you are doing.",

	//kHailedKlingon_msg
	"[PLAYER_NAME]: I wish to speak to you about a truce. \n\n" \
	"Klingon Commander: Speak quickly of this truce, or die. ",

	//kHailedRomulan_msg,
	"Romulan Commander: I see no reason to agree to a truce with an enemy whose strength is untested. ",

	//kNoResponse_msg,
	"No Response ",
	//kTruce_btn,
	"Offer Truce",
	//kPower_btn,
	"Offer Power",
	//kPowerTwiceKlingon_btn,
	"Offer Power",
	//kPowerTwiceToFed_btn,
	"Offer Power",
	//kPeace_btn,
	"Offer Peace",
	//kReassure_btn,
	"Reassure Intention",
	//kReassureFed_btn,
	"Reassure Intention",
	//kReassureKlingon_btn,
	"Reassure Intention",
	//kPeaceAfterTruceKlingon_btn,
	"Offer Peace",
	//kPeaceTwiceKlingon_btn,
	"Offer Peace",

	//kPowerOfferedFed_msg,
	"[PLAYER_NAME]: If you're worried that we're going to attempt to take over your race, I assure that's " \
	"not our intention. We're willing to give you power. Join us.\n\n" \
	"Federation Captain: I would never trust a stranger who casually offers to give away power. " \
	"Call it paranoia if you like. I call it experience.",
	//kPeaceOfferedFed_msg,
	"[PLAYER_NAME]: We're here for peaceful reasons. We know the Federation values peace above all " \
	"else, yet you've spent decades fighting useless wars. Well, help has finally arrived. Join us.\n" \
	"Federation Captain: They say that the devil appears as an angel of light. But sometimes, an angel " \
	"is an angel. What else do you bring to the table?",
	//kReassureOfferedFed_msg,
	"[PLAYER_NAME]: If you're worried that we're going to attempt to take over your race, I assure that's " \
	"not our intention. The ISC prizes peace above all. You can trust us.\n\n"  \
	"Federation Captain: You seem to want peace with us bad enough. We'll give it a try. Let's call a " \
	"truce, for today.\n" \
	"[PLAYER_NAME]: Agreed",
	//kPowerAfterTruceFed_msg,
	"[PLAYER_NAME]: Now that we've come to an understanding, let me make you an offer. You could have a great " \
	"destiny. The Federation can become the major power in this sector...\n\n"  \
	"Federation Captain: ...if we deserve it. I don't make bargains about 'destiny' and 'history', especially " \
	"with people we don't even know.",
	//kAllianceFed_msg,
	"[PLAYER_NAME]: We should discuss what's best for the other galactic peoples. Perhaps an alliance.\n\n" \
	"Federation Captain: You have a truce. That's the best I can do for you today.",

	//kPowerOfferedOnceKlingon_msg,
	"[PLAYER_NAME]: If you're worried that we're going to attempt to take over your race, I assure that's not " \
	"our intention. We're willing to give you power. Join us.\n\n" \
	"Klingon Commander: Interesting. What sort of power?",
	//kPeaceOfferedKlingon_msg,
	"[PLAYER_NAME]: We come with an offer of peace. We don't have to be enemies.\n\n" \
	"Klingon Commander: We have heard these words before. Our experience tells us only " \
	"slaves speak of such things.",
	//kPowerOfferedTwiceKlingon_msg,
	"[PLAYER_NAME]: We could use the cooperation of a military power that knows this quadrant. You could " \
	"use our technical expertise. It would be a naturally partnership.\n\n" \
	"Klingon Commander: I see no dishonor in this.  A truce you shall have.  For now.",
	//kReassuranceOfferedKlingon_msg,
	"[PLAYER_NAME]: If you're worried that we're going to attempt to take over your race, I assure " \
	"that's not our intention. The ISC prizes peace above all.  You can trust us.\n\n" \
	"Klingon Commander: Kahless said, trust not a stranger who comes with offers of peace, for next they " \
	"shall come with a dagger in the night.",
	//kPeaceAfterTruceKlingon_msg,
	"Klingon Commander: You offer us power, then talk of peace like a slave!  Prepare to die slave.",
	//kReassureAfterKlingon_msg,
	"[PLAYER_NAME]: If you're worried that we're going to attempt to take over your race, I assure that's " \
	"not our intention. The ISC prizes peace above all. You can trust us.\n\n" \
	"Klingon Commander: I hope for your sake you are making a joke.",
	//kGross_msg,
	"Communications: They say that the blood of liars is a bitter but hardy drink.",

	//kRomReady_msg,
	"Romulan Commander: Given the decisions of the Federation and the Klingons, the Romulan Empire chooses peace...today.",
	//kRomulanDisengaging_msg,
	"Science Officer: The Romulan ship is disengaging",
	//kDiePig_msg,
	"[PLAYER_NAME]: We offer you a truce.  Don't make us destroy you.\n\n"
	"Lyran Captain: I shall cut you end to end and feast on your entrails ",

	//kFedAttack_msg,
	"Science: The Federation ship is arming weapons and set an intercept course. ",
	//kKlingonAttack_msg,
	"Science: The Klingon ship has weapons armed and is preparing to attack. ",
	//kRomulanAttack_msg,
	"Science: The Romulan ship is coming arround to attack.",
	//kLyranAttack_msg,
	"Science: The Lyran ship is attacking.",

	// kAstoundingVictory_msg
	"Astounding Victory\n\n" \
	"Well done. You succeeded in this task admirably. We have demonstrated our superior power " \
	"to these beings.  Your ability to negotiate shows " \
	"you have skills beyond that of a simple warrior.\n\n" \
	"Dismissed",
	// kVictory_msg
	"Victory\n\n" \
	"You followed your orders well.  A truce with the Federation may be useful.  The enemies " \
	"destroyed should provide proof of our abilities.\n\n" \
	"Dismissed",
	// kDraw_msg
	"Draw\n\n" \
	"We suggested that you attempt to negotiate peacefully with the Federation. You did not " \
	"accomplish this important task.  The Federation may be useful to us.  Due to your actions " \
	"we do not have a better idea of their intentions.\n\n" \
	"Dismissed.",
	// kDefeat_msg
	"Defeat\n\n" \
	"You were able to strike a truce with the Federation but, failed to show our superiority by " \
	"destroying one of their ships.  This could have been handled worse but not much.\n\n" \
	"Dismissed.",
	// kDevastatingDefeat_msg
	"Devastating Defeat\n\n" \
	"You were supposed to make a statement. You were supposed to destroy one of their ships. " \
	"It's an unpleasant task, but it was necessary. Don't you listen to your orders? " \
	"Perhaps attention reeducation will help you.\n\n"
	"Dismissed.",
/////////////////////////////////////////Need to translate the following/////////////////////
	//kLeftEarly_msg,
	"Forfeit",

	//kPlayerTeam1Title_msg,	
	"Peace In Our Times",

	//kScanning_msg,
	"Science Officer: Beginning scan...",

#endif
};
