//	<Name>	PeaceVictory.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "ScriptInterface.h"
#include "tclient.h"
#include "PeaceVictory.h"
#include "PeaceVictoryState.h"
#include "NormalVictoryState.h"
#include "ISC_1Peace.h"

tPeaceVictory::tPeaceVictory()
{

	fPlayerDestroyed  = false;
	fFedTruce         = false;
	fKlingonTruce     = false;
	fRomulanTruce     = false;
}
tPeaceVictory::tPeaceVictory( tTeamInfo* team )
{
	fPlayerDestroyed  = false;
	fFedTruce         = false;
	fKlingonTruce     = false;
	fRomulanTruce     = false;
}
void tPeaceVictory::mSetupState()
{
	tPeaceVictoryState* PeaceVictoryState = new tPeaceVictoryState( 300, 225, 75, 0, -75 );

	mRegisterState( PeaceVictoryState );
	
	mGotoState( typeid( tPeaceVictoryState ) );	
}


void tPeaceVictory::mSetPlayerDestroyed(bool setValue)
{
	fPlayerDestroyed = setValue;
}
bool tPeaceVictory::mGetPlayerDestroyed()
{
	return fPlayerDestroyed;
}
void tPeaceVictory::mSetFedTruce(bool setValue)
{
	fFedTruce = setValue;
}
bool tPeaceVictory::mGetFedTruce()
{
	return fFedTruce;
}
void tPeaceVictory::mSetKlingonTruce(bool setValue)
{
	fKlingonTruce = setValue;
}
bool tPeaceVictory::mGetKlingonTruce()
{
	return fKlingonTruce;
}
void tPeaceVictory::mSetRomulanTruce(bool setValue)
{
	fRomulanTruce = setValue;
}
bool tPeaceVictory::mGetRomulanTruce()
{
	return fRomulanTruce;
}