//	<Name>	PlayerTeam.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( PlayerTeam_h )
#define PlayerTeam_h

#include "TeamInfo.h"
 
class tPlayerTeam : public tTeamInfo
{
public:
	virtual void mCreateShipsForTeam();
	virtual void mSetupState();
	virtual void mSetupVictoryCondition();
	virtual void mSetupDebriefingList( eVictoryLevels victoryLevel );
	virtual void mTeamSetupComplete();
	virtual void mCreateNewShip( const tShipScriptDescription& ship );
	virtual void mSetupCommState();
	virtual void	mScheduleNextMission( tVictoryCondition* VictoryCondition );

	enum eCommStates
	{
		kHailCommState,
		kPowerOrPeaceCommState,
		kPowerOrReassureCommState,
		kTruceCommState,
		kWarCommState,
		kBlankCommState,
	};

};

#endif


