//	<Name>	RomulanTeamShipInitialState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( RomulanTeamShipInitialState_h )
#define RomulanTeamShipInitialState_h

#include "ChildActorState.h"
#include "teamInfo.h"
#include "RomulanTeamShip.h"

class tRomulanTeamShipInitialState : public tChildActorState<tRomulanTeamShip>
{
public:
	enum eTimeIDs
	{
		kStartingID,
		kOrganian1ID,
		kOrganian2ID,
		kUltimatumID,
		kNonCompliance,
		kDeepScanONID,
		kUpgradeFightersID,
	};

	tRomulanTeamShipInitialState( );

	virtual void mBeginState();
	virtual void mEndState();

	virtual void mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType );
	virtual void mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType );
	virtual void mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip );
	virtual void mOnTimedInterval( int32 timerID );

protected:

	bool fISCAtWarWithFeds;
	bool fISCAtWarWithKlingons;
};

#endif

