//	<Name>	EnemyTeamInitialState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( EnemyTeamInitialState_h )
#define EnemyTeamInitialState_h

#include "ChildActorState.h"
#include "teamInfo.h"
#include "EnemyTeam.h"

class tEnemyTeamInitialState : public tChildActorState<tEnemyTeam>
{
public:
	enum eTimeIDs
	{
		kUpgradeFightersID,
	};

	tEnemyTeamInitialState( );

	virtual void mBeginState();
	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnDeath( tShipInfo* ship );
	virtual void mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType );

	
protected:
};

#endif

