//	<Name>	ISC_2Promises

#if !defined( ISC_2Promises_h )
#define ISC_2Promises_h

#include "ScriptInterface.h"

//---------------------------------------------------------------------------------------------
// the following enum is used to identify all non-player teams in the script
// (use kPlayerTeam to access the current players team.)
enum eTeamTypes
{
	// All Teams listed here
	kPlayerTeam = kTeam1,
	kEnemyTeam,
	kPlanetTeam,
	kDraftTeam1,
	kDraftTeam2,
	kDraftTeam3,
};

class tVictoryCondition;

class tISC_2Promises : public tScript
{
public:
	enum eCommStates
	{
		kCommSabotagedState,
		kCommRepairedState,
	};

	tISC_2Promises();

	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual iTruth	mUsePlayerShip( tShipInGame& Ship );
	virtual int32	mInitializeFinished();
	virtual void	mStartMission();
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mASCIIOverrides( tMapOverrides* Map );
	virtual void	mDefineTeamShipStrengths( void );
	virtual	void	mDefineBriefings( void );

protected:
	tVictoryCondition* fVictoryCondition;
};

#endif

