//	<Name>	PlayerTeamShipInitialState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( PlayerTeamShipInitialState_h )
#define PlayerTeamShipInitialState_h

#include "ChildActorState.h"
#include "teamInfo.h"
#include "PlayerTeamShip.h"

class tPlayerTeamShipInitialState : public tChildActorState<tPlayerTeamShip>
{
public:
	enum eTimeIDs
	{
		kStartingID,
		kStarting2ID,
		kCheckPlanetDistanceID,
		kCheckDistanceID,
		kChatterID,
		kDeepScanONID,
		kFreighterDestroyed,
	};

	tPlayerTeamShipInitialState( );

	virtual void mBeginState();
	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnDeepScan( tShipInfo* ship, iTruth deepScanOn );

protected:

	bool fDeepScanON;
	bool fFreighterScanned;
	bool fCruiser1Scanned;
	bool fCruiser2Scanned;
};

#endif

