//	<Name>	MissionText.cpp
//
//	<Info>	DESCRIPTION
//

#include "tclient.h"
#include "MissionText.h"

//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------

std::string Messages[] =
{
#ifdef _GERMAN

	//
	//	Mission Title
	//

	// kMissionTitle_msg
	"ISC_3IronCage",

	//
	//	Briefing message
	//

	// kBriefing_msg
	">Bringen Sie die Gefangenen auf den Planeten, bevor der Gegner eingreifen kann.<" \
	"Die Fhrer einer Kolonie der [TEAM2_RACE] waren an terroristischen Anschlgen gegen das ISK beteiligt. Wir haben " \
	"diese Terroristen und 600 ihrer Anhnger zusammengetrieben. Ihre Mission ist einfach, bringen Sie sie auf " \
	"unsere Basis im [SYSTEM_NAME]-System, damit sie dort vor Gericht gestellt werden knnen.\n\n" \
	"Wir sind sicher, dass die [TEAM2_RACE_PLURAL] versuchen werden, die Gefangenen zu befreien. Wir haben Ihre Streitmacht " \
	"mit einem extraleichten Kreuzer verstrkt; das wird sich hoffentlich als Vorteil erweisen.\n\n" \
	"Machen Sie sich nun auf im Namen des Friedens. Wegtreten.\n\n",

	//
	//	Starting message
	//
	"[PLAYER_NAME]: Bericht des Befriedungsfeldzugs, galaktisches Datum [STARDATE]. Wir bringen einen Frachter voller " \
	"[TEAM2_RACE_PLURAL] nach [SYSTEM_NAME] zur Gerichtsverhandlung. Unsere Befehle lauten sicherzustellen, dass die Gefangenen " \
	"wohlbehalten ankommen, koste es, was es wolle.\n\n" \
	"[3]Wissenschaftsoffizier: Ich erkenne drei Schiffe der [TEAM2_RACE] auf Abfangkurs.\n\n",

	//
	//	Debriefing messages
	//
	
	//	kDebAstoundingVictory_msg,
	"Dies war ein glorreicher Erfolg. Sie haben alle Ziele erreicht: die Terroristen wurden abgeliefert, " \
	"und der Befreiungstrupp wurde vernichtet. Jetzt werden es sich die kleineren Vlker zweimal berlegen, ob sie " \
	"an einer gewaltsamen Aktion gegen uns teilnehmen. Gute Arbeit.\n\n" \
	"[0]Wegtreten.\n\n",
	
	//	kDebVictory_msg,
	"Sie haben den ersten Teil Ihrer Mission, die bergabe der Gefangenen, erfolgreich abgeschlossen. Unglcklicherweise hatten Sie beim zweiten " \
	"Teil der Mission nicht so viel Erfolg. Mit der Zerstrung der Schiffe, die zur Befreiung der Terroristen in unseren Raum eingedrungen sind, " \
	"htten wir ein deutliches Fanal fr all die kleineren Vlker in der Galaxis gesetzt.\n\n" \
	"[0]Glckwunsch, [PLAYER_RANK]. Wegtreten.\n\n",
	
	//	kDebDraw_msg,
	"\n\n",
	
	//	kDebDefeat_msg,
	"wir hatten die Chance, den Terrorismus zu bestrafen, und haben sie verspielt wie ein Seltorianer, der in einem tholianischen " \
	"Netz gefangen ist. Der Frachter mit den Gefangenen ist nie auf dem Planeten angekommen. Dies ist ein groer Verlust.\n\n" \
	"Ihr Verlust.\n\n" \
	"[0]Wegtreten.\n\n",
	
	//	kDebDevastatingDefeat_msg,
	"Terrorismus ist das schlimmste Kapitalverbrechen, denn er ist ein Angriff gegen den Frieden selbst. Wenn Terroristen " \
	"die Flucht ermglicht wird, beschwrt man den Widerstand aller primitiven Vlker der Galaxis herauf. Es gibt " \
	"keine Entschuldigung fr Ihr Versagen.\n\n" \
	"[0]Ein ffentliches Gerichtsverfahren wre von groem symbolischen Wert gewesen. Es ist eine Schande, dass wir diese Chance verspielt haben.\n\n" \
	"[0]Wegtreten.\n\n",
	
	//
	//	Comm buttons
	//
	
	//	k_HAIL_NonISC_btn,
	"RUFEN",
	
	//	k_DEMANDSURRENDER_FederationHydran_btn,
	"KAPITULATION FORDERN",
	
	//	k_HAIL_Ally_btn,
	"RUFEN",
	
	//	k_INTERCEPTENEMY_Ally_btn,
	"GEGNER ABFANGEN",
	
	//	k_HAIL_Freighter_btn,
	"RUFEN",

	//
	//	Comm messages
	//
	
	//	k_HAIL_NonISC1_msg,
	"[PLAYER_NAME]: Dieses System untersteht der Gerichtsbarkeit des ISK. Verlassen Sie das System unverzglich.\n\n" \
	"[2]Captain der [TEAM2_RACE]: Sie haben unschuldige Brger der [TEAM2_RACE]-Kolonie gekidnappt und halten sie " \
	"zu Unrecht fest.\n\n" \
	"[2][PLAYER_NAME]: Die Brger werden beschuldigt, terroristische Anschlge gegen das ISK unternommen zu haben. Sie werden sich " \
	"vor Gericht verantworten mssen.\n\n",
	
	//	k_HAIL_NonISC2_msg,
	"[PLAYER_NAME]: Dieses System untersteht der Gerichtsbarkeit des ISK. Verlassen Sie das System unverzglich.\n\n" \
	"[2]Captain der [TEAM2_RACE]: Hatten Sie erwartet, dass die [TEAM2_RACE_PLURAL] zusehen wrden, whrend ihre Brger " \
	"zu Unrecht festgehalten werden?\n\n" \
	"[2][PLAYER_NAME]: Was Eurer kleines Imperium denkt, ist bedeutungslos. Allein der Versuch, so nichtige " \
	"Motivationen wie die Ihrigen zu verstehen, bereitet uns Kopfschmerzen.\n\n",

	//	k_HAIL_NonISC3_msg,
	"[PLAYER_NAME]: Dieses System untersteht der Gerichtsbarkeit des ISK. Verlassen Sie das System unverzglich.\n\n" \
	"[2]Captain der [TEAM2_RACE]: Sie halten Brger der [TEAM2_RACE] ohne vorherige Absprache gefangen. Sie werden " \
	"ein Menge Fragen zu beantworten haben!\n\n" \
	"[2][PLAYER_NAME]: Nachdem Ihr Volk die Galaxis jahrelang mit Mord, Krieg und Blutvergieen berzogen hat, besitzen Sie die Stirn, " \
	"uns eine Lektion ber Ethik erteilen zu wollen?  Das ist unerhrt!\n\n",
	
	//	k_DEMANDSURRENDER_FederationHydran1_msg,
	"[PLAYER_NAME]: Ergebt euch, oder seht eurer Vernichtung ins Auge.\n\n" \
	"[1]Captain der [TEAM2_RACE]: Das erscheint mit aber ein wenig voreilig, Commander. So schwer sind unsere Schden auch wieder nicht.\n\n",
	
	//	k_DEMANDSURRENDER_FederationHydran2_msg,
	"[PLAYER_NAME]: Ergebt euch, oder seht eurer Vernichtung ins Auge.\n\n" \
	"[1]Captain der [TEAM2_RACE]: Ich habe bessere Tage gesehen. Aber es ist noch nicht vorbei.\n\n",
	
	//	k_HAIL_Ally1_msg,
	"Kommunikationsoffizier: Sie antworten nicht auf unsere Rufe.\n\n",
	
	//	k_HAIL_Ally2_msg,
	"Captain: Wir haben freie Bahn auf den Planeten, Captain.\n\n",

	//	k_HAIL_Ally3_msg,
	"Captain: Unsere Sensoren konnten ein [TEAM2_RACE]-Schiff ausmachen. Wir haben Alarmstufe Rot ausgerufen und " \
	"die Kampfstationen bemannt.\n\n",
	
	//	k_HAIL_Ally4_1_msg,
	"Captain: Wir haben nur geringe Schden davongetragen. Bis jetzt sind wir noch gut in Form.\n\n",
	
	//	k_HAIL_Ally4_2_msg,
	"Captain: Bis jetzt haben wir uns gut gehalten.\n\n Ich schlage vor zu warten, bis einer von uns ihre Schilde geschwcht hat, " \
	"um dann den Angriff mit voller Kraft voranzutreiben.\n\n",
	
	//	k_HAIL_Ally4_3_msg,
	"Captain: Bis jetzt sind wir noch gut in Form, [PLAYER_RANK].\n\n",
	
	//	k_HAIL_Ally5_1_msg,
	"Captain: Sie haben uns verwundet, aber wir knnen noch kmpfen.\n\n",
	
	//	k_HAIL_Ally5_2_msg,
	"Captain: Wir sind angeschlagen, aber noch lange nicht auer Gefecht. Wir knnen den Kampf mit ihnen noch immer aufnehmen.\n\n",
	
	//	k_HAIL_Ally5_3_msg,
	"Captain: Wir haben schwere Schden erlitten, aber wir sind noch nicht erledigt.\n\n",
	
	//	k_HAIL_Ally6_1_msg,
	"Captain: Ich bin nicht sicher, was wir tun knnten. Wir stehen hier unter schwerem Beschuss!\n\n",
	
	//	k_HAIL_Ally6_2_msg,
	"Captain: Mayday, wir brauchen Verstrkung.\n\n",
	
	//	k_HAIL_Ally6_3_msg,
	"Captain: [PLAYER_RANK], vernichten Sie diese Bestien. Sehen Sie nur, was sie uns angetan haben.\n\n",
	
	//	k_INTERCEPTENEMY_Ally1_msg,
	"Kommunikationsoffizier: Sie sprechen nicht mit uns, [PLAYER_RANK].\n\n",
	
	//	k_INTERCEPTENEMY_Ally2_msg,
	"Kommunikationsoffizier: Sie sind zu schwach, um diesen Befehl ausfhren zu knnen.\n\n",
	
	//	k_INTERCEPTENEMY_Ally3_msg,
	"Kommunikationsoffizier: Unser extraleichter Kreuzer geht auf Abfangkurs.\n\n",
	
	//	k_HAIL_Freighter1_msg,
	"Sicherheitsoffizier: Das Schiff ist bereit fr den gegnerischen Angriff.\n\n",
	
	//	k_HAIL_Freighter2_msg,
	"Kommunikationsoffizier: Der Gegner antwortet nicht.\n\n",

	//
	//	Victory rating
	//

	// kAstoundingVictory_msg
	"Groartiger Sieg!\n",

	// kVictory_msg
	"Sieg!\n",

	// kDraw_msg
	"Unentschieden.\n",

	// kDefeat_msg
	"Niederlage.\n",

	// kDevastatingDefeat_msg
	"Vernichtende Niederlage.\n",

	//
	//	Random chatter
	//

	//	kRandChat1_msg,
	"Steuermann: Die Navigationssteuerung funktioniert normal.\n\n",
	
	//	kRandChat2_msg,
	"Ingenieur: Die Frachter verlangsamen unsere Geschwindigkeit. Wir werden einen Kampf kaum vermeiden knnen.\n\n",
		
	//	kRandChat3_msg,
	"Sicherheitsoffizier: Ich habe die Entertrupps in stndiger Bereitschaft gehalten. Wir sind bereit, wann immer Sie " \
	"den Einsatzbefehl geben.\n\n",
	
	//	kRandChat4_msg,
	"Navigation: Der Weg zum Planeten ist frei, vorausgesetzt, dass die [TEAM2_RACE_PLURAL] uns nicht ber den Weg laufen.\n\n",
		
	//	kRandChat5_msg,
	"Waffenoffizier: Die gegnerischen Streitkrfte knnten berlegen sein. Wir wissen nicht, was auerhalb der Scannerreichweite " \
	"auf uns wartet.\n\n",
	
	//	kRandChat6_msg,
	"Wissenschaftsoffizier: Wenn es eine Mglichkeit gegeben htte, sie aufzuhalten...\n\n",

	//
	//	Titles (or names) of ships and objects
	//
		
	//	kPlanet_nam,
	"[SYSTEM_NAME]",

	//	kPrisonShip_nam,
	"Gefngnisschiff",

	//	kSupplyShip_nam,
	"Versorgungsschiff",

	//
	//	Event dialog
	//
	
	//	kEvent2_1_msg,
	"Erster Offizier: Der Frachter wurde zerstrt. Die Gefangenen sind tot. Unsere Mission " \
	"war ein Fehlschlag\n\n",

	//	kEvent2A_1_msg,
	"Erster Offizier: Unsere Forschungssysteme wurden von diesen [TEAM2_RACE_PLURAL] zerstrt.\n\n",

	//	kEvent2B_1_msg,
	"Sicherheitsoffizier: Verteidigungsplattform senken.\n\n",
	
	//	kEvent3_1_msg,
	"Erster Offizier: Alle Kreuzer der [TEAM2_RACE] sind zerstrt. Sekundrziel erreicht. Wir mssen nun den Frachter " \
	"mit den Gefangenen wieder in unsere Gewalt bringen und ihn sicher auf dem Planeten abliefern.\n\n",
	
	//	kEvent3_2_msg,
	"Erster Offizier: Alle Kreuzer der [TEAM2_RACE] sind zerstrt. Sekundrziel erreicht. Wir mssen nun den Frachter " \
	"mit den Gefangenen sicher auf dem Planeten abliefern.\n\n",
	
	//	kEvent4_1_msg,
	"Sicherheitsoffizier: Der Gegner hat den Frachter erobert. Wir mssen ihn wieder in unsere Gewalt bringen.\n\n",
	
	//	kEvent5_1_msg,
	"Sicherheitsoffizier: Wir haben die Kontrolle ber den Frachter wiedererlangt. Er befindet sich wieder auf Kurs zu dem Planeten.\n\n",
	
	//	kEvent6_1_msg,
	"Erster Offizier: Die Gefangenen haben das System verlassen. Wir haben versagt.\n\n",
	
	//	kEvent7_1_msg,
	"Wissenschaftsoffizier: Die Gefangenen werden auf den Planeten transportiert. Primrmission erfllt.\n\n",
	
	//	kEvent8_1_msg,
	"Wissenschaftsoffizier: Wir verlassen das System, Captain.\n\n",
	
	//	kEvent9_1_msg,
	"Wissenschaftsoffizier: Wir haben das System verlassen.\n\n",

	//
	//	Custom messages
	//

	//	kCustom1_msg,
	"Sicherheitsoffizier: Unsere Forschungssysteme wurden erobert.\n\n" \
	"Erster Offizier: Das ist unwichtig, sehen Sie nur zu, dass Sie mit den Gefangenen weiterkommen.\n\n",

	//	kCustom2_msg,
	"Erster Offizier: Gegnerischer Kreuzer zerstrt.\n\n",

	//	kCustom3_msg,
	"Erster Offizier: Gegnerischer Kreuzer deaktiviert.\n\n",

	//	kCustom4_msg,
	"Kommunikationsoffizier:  Warten Sie!  Nehmen Sie den letzten Befehl zurck. Jede weitere Abfangaktion ist unntig.\n\n",

	//	kCustom5_msg,
	"Sicherheitsoffizier: Wir haben das Versorgungsschiff wieder unter Kontrolle.\n\n" \
	"Erster Offizier: Stellen Sie nur sicher, dass die Gefangenen erfolgreich nach [SYSTEM_NAME] eskortiert werden!\n\n",

	//
	//	Messages created after localization.
	//
	
	//	kEvent3_3_msg,
	"Erster Offizier: Alle Kreuzer der [TEAM2_RACE] sind zerstrt. Alle Einsatzziele wurden erreicht.\n\n",


	//
	//	Not localized as of 10/8/00
	//
	
	//	kPlayerTeamTitle_msg,
	"...noch Eisenstbe einen Kfig",

	//	kPlayerTeamBriefing_msg,
	"",

	//
	//	Not localized as of 10/17/00
	//

	//	kScanning_msg,
	"Wissenschaftsoffizier: Wir scannen...\n\n",

	
	//	kDisconnect_msg, Forfeit
	"Mission eingebt",

#else	/////////////////////////////////////////////////////////////////////////////////////////

	//
	//	Mission Title
	//

	// kMissionTitle_msg
	"ISC_3IronCage",

	//
	//	Briefing message
	//

	// kBriefing_msg
	">Get the prisoners to the planet before the enemy interferes.<" \
	"The leaders of a [TEAM2_RACE] colony were involved in terrorist acts against the ISC.  We have " \
	"gathered these terrorists, along with 600 sympathizers.  Your mission is simple, deliver them to " \
	"our base in the [SYSTEM_NAME] system for trial.\n\n" \
	"We're certain that the [TEAM2_RACE_PLURAL] will make an attempt to liberate them.  We've bolstered your " \
	"force with an extra light cruiser; hopefully this will make a difference.\n\n" \
	"Go now in the name of peace.  Dismissed.\n\n",

	//
	//	Starting message
	//
	"[PLAYER_NAME]: Pacification campaign record, Galactic Date [STARDATE].  We are delivering a freighter full " \
	"of [TEAM2_RACE_PLURAL] to [SYSTEM_NAME] for trial.  Our orders are to make sure the prisoners " \
	"arrive safely, regardless of the cost.\n\n" \
	"[3]Science Officer: I'm reading three [TEAM2_RACE] ships on an intercept course.\n\n",

	//
	//	Debriefing messages
	//
	
	//	kDebAstoundingVictory_msg,
	"This was a glorious success.  You achieved all of your objectives: the terrorists were delivered, " \
	"and the rescue party was obliterated.  Now the lesser races will think twice before encouraging a " \
	"campaign of violence against us.  Well done.\n\n" \
	"[0]Dismissed.\n\n",
	
	//	kDebVictory_msg,
	"You succeeded in the primary mission, the delivery.  Unfortunately, you didn't succeed in your " \
	"secondary assignment.  Destroying the ships that had invaded our space to rescue the terrorists " \
	"would have sent a clear signal to all the lesser peoples of the galaxy.\n\n" \
	"[0]Congratulations, [PLAYER_RANK] Dismissed.\n\n",
	
	//	kDebDraw_msg,
	"\n\n",
	
	//	kDebDefeat_msg,
	"We had an opportunity to punish terrorism, and we lost it like a Seltorian caught in a Tholian " \
	"web.  The freighter containing the prisoners never reached the planet.  This is a great loss.\n\n" \
	"Your loss.\n\n" \
	"[0]Dismissed.\n\n",
	
	//	kDebDevastatingDefeat_msg,
	"Terrorism is the most serious of crimes, because it is an attack against peace itself.  To allow " \
	"terrorists to escape is to invite defiance from all of the primitive peoples of the galaxy.  There " \
	"is no excuse for this.\n\n" \
	"[0]A public trial would have had a great symbolic value.  A pity we lost it.\n\n" \
	"[0]Dismissed.\n\n",
	
	//
	//	Comm buttons
	//
	
	//	k_HAIL_NonISC_btn,
	"HAIL",
	
	//	k_DEMANDSURRENDER_FederationHydran_btn,
	"DEMAND SURRENDER",
	
	//	k_HAIL_Ally_btn,
	"HAIL",
	
	//	k_INTERCEPTENEMY_Ally_btn,
	"INTERCEPT ENEMY",
	
	//	k_HAIL_Freighter_btn,
	"HAIL",

	//
	//	Comm messages
	//
	
	//	k_HAIL_NonISC1_msg,
	"[PLAYER_NAME]: This system is under ISC jurisdiction.  Leave this system at once.\n\n" \
	"[2][TEAM2_RACE] Captain: You have kidnapped innocent [TEAM2_RACE] citizens and are detaining them " \
	"unlawfully.\n\n" \
	"[2][PLAYER_NAME]: The citizens are accused of crimes of terror against the ISC.  They will stand " \
	"trial.\n\n",
	
	//	k_HAIL_NonISC2_msg,
	"[PLAYER_NAME]: This system is under ISC jurisdiction.  Leave this system at once.\n\n" \
	"[2][TEAM2_RACE] Captain: Did you expect the [TEAM2_RACE_PLURAL] to stand still while its citizens " \
	"are unlawfully detained.\n\n" \
	"[2][PLAYER_NAME]: What your little empire thinks is irrelevant.  Trying to understand such petty " \
	"motivations as yours makes our heads hurt.\n\n",

	//	k_HAIL_NonISC3_msg,
	"[PLAYER_NAME]: This system is under ISC jurisdiction.  Leave this system at once.\n\n" \
	"[2][TEAM2_RACE] Captain: You have kidnapped [TEAM2_RACE] citizens without proper consultation.  You " \
	"have much to answer for!\n\n" \
	"[2][PLAYER_NAME]: After your race has conducted years of murder, war, and bloodshed, you dare lecture " \
	"us about ethics?  Outrageous!\n\n",
	
	//	k_DEMANDSURRENDER_FederationHydran1_msg,
	"[PLAYER_NAME]: Surrender or be destroyed.\n\n" \
	"[1][TEAM2_RACE] Captain: It's a little premature, Commander.  We're not that badly damaged.\n\n",
	
	//	k_DEMANDSURRENDER_FederationHydran2_msg,
	"[PLAYER_NAME]: Surrender or be destroyed.\n\n" \
	"[1][TEAM2_RACE] Captain: I've had better days.  But it isn't over yet.\n\n",
	
	//	k_HAIL_Ally1_msg,
	"Communications Officer: They're not answering our hails.\n\n",
	
	//	k_HAIL_Ally2_msg,
	"Captain: We're all clear to the planet, Captain.\n\n",

	//	k_HAIL_Ally3_msg,
	"Captain: We've got a [TEAM2_RACE] ship on sensors.  We have gone to Red Alert and are at " \
	"full battle stations.\n\n",
	
	//	k_HAIL_Ally4_1_msg,
	"Captain: We have taken only minor damage.  We're in good shape so far.\n\n",
	
	//	k_HAIL_Ally4_2_msg,
	"Captain: We're holding our own so far.  I suggest waiting for one of us to weaken their shields, " \
	"and then pressing the attack.\n\n",
	
	//	k_HAIL_Ally4_3_msg,
	"Captain: We're in good shape, [PLAYER_RANK].\n\n",
	
	//	k_HAIL_Ally5_1_msg,
	"Captain: They've wounded us, but we're still in the fight.\n\n",
	
	//	k_HAIL_Ally5_2_msg,
	"Captain: We're hurt, but not too bad.  We can still take the fight to them.\n\n",
	
	//	k_HAIL_Ally5_3_msg,
	"Captain: We have taken serious damage but we are not finished yet.\n\n",
	
	//	k_HAIL_Ally6_1_msg,
	"Captain: I'm not sure what we can do.  We are taking a serious pounding here!\n\n",
	
	//	k_HAIL_Ally6_2_msg,
	"Captain: Mayday, requesting assistance.\n\n",
	
	//	k_HAIL_Ally6_3_msg,
	"Captain: [PLAYER_RANK] destroy those animals.  Look what they have done to us.\n\n",
	
	//	k_INTERCEPTENEMY_Ally1_msg,
	"Communications Officer: They aren't talking to us, [PLAYER_RANK].\n\n",
	
	//	k_INTERCEPTENEMY_Ally2_msg,
	"Communications Officer: They're too weak to comply with that order.\n\n",
	
	//	k_INTERCEPTENEMY_Ally3_msg,
	"Communications Officer: Our extra light cruiser is moving to intercept.\n\n",
	
	//	k_HAIL_Freighter1_msg,
	"Security Officer: The ship is ready for the enemy assault.\n\n",
	
	//	k_HAIL_Freighter2_msg,
	"Communications Officer: The enemy is not responding.\n\n",

	//
	//	Victory rating
	//

	// kAstoundingVictory_msg
	"Astounding Victory!\n",

	// kVictory_msg
	"Victory!\n",

	// kDraw_msg
	"Draw.\n",

	// kDefeat_msg
	"Defeat.\n",

	// kDevastatingDefeat_msg
	"Devastating Defeat.\n",

	//
	//	Random chatter
	//

	//	kRandChat1_msg,
	"Helm: Helm controls are functioning under normal perimeters.\n\n",
	
	//	kRandChat2_msg,
	"Engineer: We're slowed down by the speed of the freighters.  We won't be able to avoid a fight.\n\n",
		
	//	kRandChat3_msg,
	"Security Officer: I have the boarding parties drilling constantly.  We'll be ready whenever you " \
	"want to put us into action.\n\n",
	
	//	kRandChat4_msg,
	"Navigation: It's clear sailing to the planet, provided the [TEAM2_RACE_PLURAL] don't get in our way.\n\n",
		
	//	kRandChat5_msg,
	"Weapons Officer: The enemy forces may outnumber us.  We don't know what's lurking outside " \
	"scanner range.\n\n",
	
	//	kRandChat6_msg,
	"Science Officer: If there was some way to delay them...\n\n",

	//
	//	Titles (or names) of ships and objects
	//
		
	//	kPlanet_nam,
	"[SYSTEM_NAME]",

	//	kPrisonShip_nam,
	"Prison Ship",

	//	kSupplyShip_nam,
	"Supply Ship",

	//
	//	Event dialog
	//
	
	//	kEvent2_1_msg,
	"First Officer: The freighter has been destroyed.  The prisoners are dead.  We have failed our " \
	"mission\n\n",

	//	kEvent2A_1_msg,
	"First Officer: Our reseach technology has been destroyed by those [TEAM2_RACE_PLURAL].\n\n",

	//	kEvent2B_1_msg,
	"Security Officer: Defense platform down.\n\n",
	
	//	kEvent3_1_msg,
	"First Officer: All [TEAM2_RACE] cruisers destroyed.  Secondary objective achieved.\n\n",//  We now need to " \
//	"recapture the freighter containing the prisoners, and deliver it to the planet.\n\n",
	
	//	kEvent3_2_msg,
	"First Officer: All [TEAM2_RACE] cruisers destroyed.  Secondary objective achieved.  We now need to " \
	"deliver the freighter containing the prisoners to the planet.\n\n",
	
	//	kEvent4_1_msg,
	"Security Officer: The enemy has captured the freighter.  We must recapture it.\n\n",
	
	//	kEvent5_1_msg,
	"Security Officer: We have recaptured the freighter.  It's again on course for the planet.\n\n",
	
	//	kEvent6_1_msg,
	"First Officer: The prisoners have left the system.  We have failed.\n\n",
	
	//	kEvent7_1_msg,
	"Science Officer: The prisoners are transporting down to the planet.  Primary mission accomplished.\n\n",
	
	//	kEvent8_1_msg,
	"Science Officer: Leaving the system, Captain.\n\n",
	
	//	kEvent9_1_msg,
	"Science Officer: We have left the system.\n\n",

	//
	//	Custom messages
	//

	//	kCustom1_msg,
	"Security Officer: Our research technology has been captured.\n\n" \
	"First Officer: It is unimportant, just push ahead with the prisoners.\n\n",

	//	kCustom2_msg,
	"First Officer: Enemy cruiser destroyed.\n\n",

	//	kCustom3_msg,
	"First Officer: Enemy cruiser disengaged.\n\n",

	//	kCustom4_msg,
	"Communications Officer:  Wait!  Cancel that last order.  There is no need to intercept any longer.\n\n",

	//	kCustom5_msg,
	"Security Officer: We've taken back the supply ship.\n\n" \
	"First Officer: Just make certain those prisoners are escorted successfully to [SYSTEM_NAME]!\n\n",

	//
	//	Messages created after localization.
	//
	
	//	kEvent3_3_msg,
	"First Officer: All [TEAM2_RACE] cruisers destroyed.  All objectives achieved.\n\n",


	//
	//	Not localized as of 10/8/00
	//
	
	//	kPlayerTeamTitle_msg,
	"Nor Iron Bars A Cage",

	//	kPlayerTeamBriefing_msg,
	"",

	//
	//	Not localized as of 10/17/00
	//

	//	kScanning_msg,
	"Science Officer: Scanning...\n\n",

	//
	//	Not localized as of 11/5/00
	//

	//	kDisconnect_msg,
	"Forfeit",
#endif
};

