#include "tstring.h"

enum TextMessages
{
	//
	//	Mission title
	//
	kMissionTitle_msg,

	//
	//	Briefing message
	//
	kBriefing_msg,

	//
	//	Starting message
	//
	kStart_msg,

	//
	//	Debriefing messages
	//
	kDebAstoundingVictory_msg,
	kDebVictory_msg,
	kDebDraw_msg,
	kDebDefeat_msg,
	kDebDevastatingDefeat_msg,

	//
	//	Comm buttons
	//
	k_HAIL_NonISC_btn,
	k_DEMANDSURRENDER_FederationHydran_btn,
	k_HAIL_Ally_btn,
	k_INTERCEPTENEMY_Ally_btn,
	k_HAIL_Freighter_btn,

	//
	//	Comm messages
	//
	k_HAIL_NonISC1_msg,
	k_HAIL_NonISC2_msg,
	k_HAIL_NonISC3_msg,
	k_DEMANDSURRENDER_FederationHydran1_msg,
	k_DEMANDSURRENDER_FederationHydran2_msg,
	k_HAIL_Ally1_msg,
	k_HAIL_Ally2_msg,
	k_HAIL_Ally3_msg,
	k_HAIL_Ally4_1_msg,
	k_HAIL_Ally4_2_msg,
	k_HAIL_Ally4_3_msg,
	k_HAIL_Ally5_1_msg,
	k_HAIL_Ally5_2_msg,
	k_HAIL_Ally5_3_msg,
	k_HAIL_Ally6_1_msg,
	k_HAIL_Ally6_2_msg,
	k_HAIL_Ally6_3_msg,
	k_INTERCEPTENEMY_Ally1_msg,
	k_INTERCEPTENEMY_Ally2_msg,
	k_INTERCEPTENEMY_Ally3_msg,
	k_HAIL_Freighter1_msg,
	k_HAIL_Freighter2_msg,

	//
	//	Victory rating
	//
	kAstoundingVictory_msg,
	kVictory_msg,
	kDraw_msg,
	kDefeat_msg,
	kDevastatingDefeat_msg,

	//
	//	Random chatter
	//
	kRandChat1_msg,
	kRandChat2_msg,
	kRandChat3_msg,
	kRandChat4_msg,
	kRandChat5_msg,
	kRandChat6_msg,

	//
	//	Titles (or names) of ships and objects
	//
	kPlanet_nam,
	kPrisonShip_nam,
	kSupplyShip_nam,

	//
	//	Event dialog
	//
	kEvent2_1_msg,
	kEvent2A_1_msg,
	kEvent2B_1_msg,
	kEvent3_1_msg,
	kEvent3_2_msg,
	kEvent4_1_msg,
	kEvent5_1_msg,
	kEvent6_1_msg,
	kEvent7_1_msg,
	kEvent8_1_msg,
	kEvent9_1_msg,

	//
	//	Custom messages
	//
	kCustom1_msg,
	kCustom2_msg,
	kCustom3_msg,
	kCustom4_msg,
	kCustom5_msg,

	//
	//	Messages created after localization.
	//
	kEvent3_3_msg,

	//
	//	Not localized as of 10/8/00
	//
	kPlayerTeamTitle_msg,
	kPlayerTeamBriefing_msg,

	//
	//	Not localized as of 10/17/00
	//
	kScanning_msg,

	//
	//	Not localized as of 11/5/00
	//
	kDisconnect_msg,
};

extern std::string Messages[];


