//	<Name>	ExplosiveFreighterShipInitialState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( ExplosiveFreighterShipInitialState_h )
#define ExplosiveFreighterShipInitialState_h

#include "ChildActorState.h"
#include "teamInfo.h"
#include "ExplosiveFreighterShip.h"

class tExplosiveFreighterShipInitialState : public tChildActorState<tExplosiveFreighterShip>
{
public:
	enum eTimeIDs
	{
		kCheckDistanceID,
		kWaitedToLongID,
		kJobDoneID,
		kDeepScanONID,
		kEnemyArrivalID,
		kLastEnemyArrivalID,
		kSetTargetID,
		kStartingID,
		kStarting2ID,
		kChatterID,
		kUpgradeFightersID,
	};

	tExplosiveFreighterShipInitialState( );

	virtual void mBeginState();
	virtual void mEndState();

	virtual void mAtDestination( tShipInfo* ship );
	virtual void mDoesShipBlowUP( tTeamInfo* teamID );
	virtual void mOnTimedInterval( int32 timerID );

protected:


};

#endif
