//	<Name>	FreighterTeamShipInitialState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( FreighterTeamShipInitialState_h )
#define FreighterTeamShipInitialState_h

#include "ChildActorState.h"
#include "teamInfo.h"
#include "FreighterTeamShip.h"

class tFreighterTeamShipInitialState : public tChildActorState<tFreighterTeamShip>
{
public:
	enum eTimeIDs
	{
		kCheckDistanceID,
		kWaitedToLongID,
		kJobDoneID,
		kDeepScanONID,
		kEnemyArrivalID,
		kLastEnemyArrivalID,
		kSetTargetID,
		kStartingID,
		kStarting2ID,
		kChatterID,
		kUpgradeFightersID,
	};

	tFreighterTeamShipInitialState( );

	virtual void mBeginState();
	virtual void mEndState();
	virtual void mAtDestination( tShipInfo* ship );
	virtual void mOnTimedInterval( int32 timerID );

protected:


};

#endif
