//	<Name>	ISC_4Resolve

#if !defined( ISC_4Resolve_h )
#define ISC_4Resolve_h

#include "ScriptInterface.h"

//---------------------------------------------------------------------------------------------
// the following enum is used to identify all non-player teams in the script
// (use kPlayerTeam to access the current players team.)
enum eTeamTypes
{
	// list all teams
	kPlayerTeam = kTeam1,
	kEnemyTeam,
	kPlanetTeam,
	kFreighterTeam,
	kDryDockTeam,
	kExplosiveFreighterTeam
};

class tVictoryCondition;

class tISC_4Resolve : public tScript
{
public:
	enum eCommStates
	{
		kCommSabotagedState,
		kCommRepairedState,
	};

	tISC_4Resolve();

	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual iTruth	mUsePlayerShip( tShipInGame& Ship );
	virtual int32	mInitializeFinished();
	virtual void	mStartMission();
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual void	mASCIIOverrides( tMapOverrides* Map );
	virtual void	mDefineTeamShipStrengths( void );
	virtual	void	mDefineBriefings( void );

};

#endif

