//	<Name>	MissionText.cpp
//
//	<Info>	DESCRIPTION
//

#include "tclient.h"
#include "MissionText.h"

//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------

std::string Messages[] =
{
#ifdef _GERMAN

	// kMissionTitle_msg
	"ISC_4Resolve",

	//kShortBriefing_msg,
	"",

	// kBriefing_msg
	">Verteidigen Sie unsere Schiffswerften gegen einen mglichen gegnerischen Angriff.<" \
	"Angesichts ihres Widerstands gegenber unseren Friedenssicherungsmanahmen erwarten wir einen Vergeltungsschlag der " \
	"[TEAM2_RACE_PLURAL]. Da der Groteil unserer Flotte zur Zeit an den Kmpfen mit den aufstndischen Tholianern teilnimmt, sind unsere Schiffswerften " \
	"in [SYSTEM_NAME] ohne Verteidigung. Sie sind jedoch die Ziele, deren Angriff am wahrscheinlichsten ist.\n\n" \
	"Ihre Pflicht ist es, die Schiffstender zu beschtzen. Die einzigen Schiffe, die sich in dem System aufhalten drfen, sind Schiffe der Friedenssicherung und  " \
	"unbemannte Frachter. Der Gegner knnte versuchen, einen Frachter zu sabotieren, also halten Sie Ihre Augen offen.\n\n" \
	"Wenn der Gegner zum Angriff bergeht, halten Sie die Stellung, so gut Sie knnen. Wir wissen, dass sich eine Flotte mit sechs Schiffen der [TEAM2_RACE_PLURAL] " \
	"in diesem Gebiet aufhlt, aufgeteilt in Gruppen zu jeweils zwei Schiffen. Ausgehend von dieser Annahme erwarten wir, dass der Angriff in drei Wellen stattfinden wird, aber " \
	"der Geheimdienst hat sich auch in der Vergangenheit schon geirrt. Seien Sie auf alles vorbereitet.\n\n" \
	"Zum Wohle des Friedens. Wegtreten.",

	//kStarting1_msg,
	"[PLAYER_NAME]: Bericht des Befriedungsfeldzugs, galaktisches Datum [STARDATE]. Wir schtzen eine Schiffswerft " \
	"gegen einen gegnerischen Angriff. Wir sollten jedes Schiff misstrauisch beobachten, das sich in diesem System aufhlt.",
	//kStarting2_msg,
	"Wissenschaftsoffizier: Alles ruhig da drauen. Es gibt nur drei unbemannte Frachter und uns, die wir uns zur " \
	"Hauptsektion der Werft begeben.",

	//kPlanet_name,
	"[SYSTEM_NAME] III",

	//kSecurityChatter_msg,
	"Sicherheit: Befriedungsteams in hchster Alarmbereitschaft.",
	//kEngineerChatter_msg, change to science officer
	"Wissenschaft: Aus dieser Entfernung sehen die Frachter ganz normal aus.",
	//kNavigationChatter_msg,
	"Navigation: Die Langstreckensensoren zeigen, dass der Gegner auf dem Vormarsch in dieses System ist.",

	//kHail_btn,
	"Gru",
	//kDemand_btn
	"Kapitulation fordern",
	//kAOK_msg,
	"Basis-Commander: Hier unten ist alles ruhig. Wir werden Ihnen jede nur mgliche Untersttzung gewhren.",
	//kHail1_msg,
	"[PLAYER_NAME]: Dieses System untersteht der Gerichtsbarkeit des ISK. Macht euch davon, oder seht eurer Vernichtung ins Auge.\n" \
	"Captain der [TEAM2_RACE]: Wir werden erst gehen, wenn ihr keine Schiffe mehr bauen knnt, die unseren Raum mit Tod und Verderben berziehen.\n" \
	"[PLAYER_NAME]: Das ISK will nur Euer Bestes. Wenn ihr den Kampf einstellen wrdet, wrdet ihr das erkennen.",
	//kHail2_msg,
	"[PLAYER_NAME]: Dieses System untersteht der Gerichtsbarkeit des ISK. Macht euch davon, oder seht eurer Vernichtung ins Auge.\n" \
	"Captain der [TEAM2_RACE]: Ich glaube, ich bevorzuge die Mglichkeit 'der Vernichtung ins Auge zu sehen'.\n" \
	"[PLAYER_NAME]: Welch eine berraschung bei einer so gewaltsamen Spezies.",
	//kHail3_msg,
	"[PLAYER_NAME]: Dieses System untersteht der Gerichtsbarkeit des ISK. Macht euch davon, oder seht eurer Vernichtung ins Auge.\n" \
	"Captain der [TEAM2_RACE]: Wir gehen nirgendwo hin. Nicht, solange in Euren Schiffswerften noch ein Stein auf dem anderen steht.\n" \
	"[PLAYER_NAME]: Idiot...",
	//kHail4_msg,
	"[PLAYER_NAME]: Dieses System untersteht der Gerichtsbarkeit des ISK. Macht euch davon, oder seht eurer Vernichtung ins Auge.\n" \
	"Captain der [TEAM2_RACE]: Da drften Sie sich leider im Irrtum befinden. Ihr seid hier die Einzigen, die vernichtet werden.\n" \
	"[PLAYER_NAME]: Wie gewhnlich ist der Irrtum auf Ihrer Seite, Primitivling.",
	//kDemandEarly_msg,
	"[PLAYER_NAME]: Ergebt euch, oder seht eurer Vernichtung ins Auge.\n" \
	"Captain der [TEAM2_RACE]: Das erscheint mit aber ein wenig voreilig, Commander. So gravierend sind unsere Schden auch wieder nicht.",
	//kDemandLate_msg,
	"[PLAYER_NAME]: Ergebt euch, oder seht eurer Vernichtung ins Auge.\n" \
	"Captain der [TEAM2_RACE]: Ich habe bessere Tage gesehen. Aber es ist noch nicht vorbei.",

	//kScannedRegFreighter_msg,
	"Wissenschaft: Der Frachter befrdert Standardteile. Keine Anzeichen von Sabotage.",
	//kScannedExpFreighter_msg,
	"Wissenschaft: Der Frachter hat ... Tonnen mit eingedmmter Antimaterie geladen. Es ist eine Bombe, eine riesige Bombe.",
	//kUnexpectedBOOM_msg,
	"Wissenschaft: Unsere Sensoren registrieren eine groe Antimaterie-Explosion, hchstwahrscheinlich eine groe Bombe. Die Quelle ist ... einer der Frachter.",

	//kFirstTwoEnemyShipsArrive_msg,
	"Wissenschaft: Zwei Schiffe der [TEAM2_RACE] sind in das System eingedrungen.",
	//kSecondTwoEnemyShipsArrive_msg,
	"Wissenschaft: Weitere zwei Schiffe der [TEAM2_RACE] sind in das System eingedrungen.",

	// kAstoundingVictory_msg
	"Groartiger Sieg\n\n" \
	"Ich gratuliere, Sie haben unsere Schiffswerften erfolgreich vor dem Gegner geschtzt. Die [TEAM2_RACE_PLURAL] haben gezeigt, " \
	"dass sie eine echte Plage sind. Wir werden uns in Krze mit ihnen befassen mssen.\n\n" \
	"Wegtreten.",
	// kVictory_msg
	"Sieg\n\n" \
	"Wir haben whrend des Kampfes einige unserer Schiffstender verloren, aber das ist ein Verlust, mit dem wir leben knnen. Wir werden sie wieder aufbauen, und " \
	"wenn wir das tun, werden die Primitivlinge ihre feigen Methoden noch bereuen.\n\n" \
	"Wegtreten.",
	// kDefeat_msg
	"Niederlage\n\n" \
	"Die [TEAM2_RACE] haben es geschafft, einen Groteil unserer Schiffstender zu zerstren. Das muss in Zukunft besser " \
	"laufen, wenn wir unsere Prsenz in diesem Quadranten ausbauen wollen.\n\n" \
	"Wegtreten.",
	// kDevastatingDefeat_msg
	"Vernichtende Niederlage\n\n" \
	"Es ist Ihnen nicht gelungen, unsere Schiffswerften gegen den Angriff der [TEAM2_RACE] zu verteidigen. Unsere Prsenz in diesem Sektor wurde " \
	"empfindlich geschwcht.\n\n" \
	"Wegtreten.",

	//kLeftEarly_msg, forfeit
	"Mission eingebt",

	//kPlayerTeam1Title_msg,
	"Grimmige Entschlossenheit",

	//kScanning_msg,
	"Wissenschaftsoffizier: Wir beginnen mit dem Scannen...",

#else		////////////////////////////////////////////////////////////////////////////////////

	// kMissionTitle_msg
	"ISC_4Resolve",


	// kShortBriefing_msg,
	"Defend our shipyards against possible enemy attack.",
	
	// kBriefing_msg
	">Defend our shipyards against possible enemy attack..<" \
	"We're expecting retaliation from the [TEAM2_RACE_PLURAL], in light of their opposition to our Peacekeeping " \
	"efforts. Because most of our fleet is currently engaged in fighting the Tholian uprising, our shipyards " \
	"in [SYSTEM_NAME] are undefended. They're the most likely targets.\n\n" \
	"Your duty is to protect the ship tenders. The only ships allowed in the system are peacekeeping ships, and " \
	"unmanned freighters. The enemy may attempt to sabotage a freighter, so keep your eyes open.\n\n" \
	"When the enemy attack comes, resist it as best you can. We know there's a fleet of six [TEAM2_RACE_PLURAL] " \
	"in the area, split into groups of two. Based on this, we expect the assault to come in three waves, but " \
	"intelligence has been wrong before. Expect anything.\n\n" \
	"For the sake of peace. Dismissed.",

	//kStarting1_msg,
	"[PLAYER_NAME]: Pacification campaign record, Galactic Date [STARDATE] We are safeguarding a shipyard " \
	"against enemy attack. We should be suspicious of any ship active in this system.",
	//kStarting2_msg,
	"Science Officer: Things are quiet. There are only three unmanned freighters besides us heading into the " \
	"main part of the yard.",

	//kPlanet_name,
	"[SYSTEM_NAME] III",

	//kSecurityChatter_msg,
	"Security: Pacification teams are on high alert.",
	//kEngineerChatter_msg, change to science officer
	"Science: The three freighters appear normal at this range.",
	//kNavigationChatter_msg,
	"Navigation: Long range sensors indicate the enemy is closing in on this system.",

	//kHail_btn,
	"Hail",
	//kDemand_btn
	"Demand Surrender",
	//kAOK_msg,
	"Base Commander: It is quiet down here.  We will provide any assistance possible",
	//kHail1_msg,
	"[PLAYER_NAME]: This system is under ISC jurisdiction. Leave now or be destroyed.\n\n" \
	"[TEAM2_RACE] Captain: We're not leaving until you can no longer build ships that threaten our space.\n\n" \
	"[PLAYER_NAME]: The ISC only wants what's best for you. If you'd stop fighting you'd realize that.",
	//kHail2_msg,
	"[PLAYER_NAME]: This system is under ISC jurisdiction. Leave now or be destroyed.\n\n" \
	"[TEAM2_RACE] Captain: I think I prefer the 'or be destroyed' option.\n\n" \
	"[PLAYER_NAME]: What a surprise for such a violent species.",
	//kHail3_msg,
	"[PLAYER_NAME]: This system is under ISC jurisdiction. Leave now or be destroyed.\n\n" \
	"[TEAM2_RACE] Captain: We're not going anywhere. Not while one of your shipyards is still standing.\n\n" \
	"[PLAYER_NAME]: Fool...",
	//kHail4_msg,
	"[PLAYER_NAME]: This system is under ISC jurisdiction. Leave now or be destroyed.\n\n" \
	"[TEAM2_RACE] Captain: I'm afraid you're mistaken. You're the only ones here who are going to be destroyed.\n\n" \
	"[PLAYER_NAME]: As usual, primitive, you are mistaken.",
	//kDemandEarly_msg,
	"[PLAYER_NAME]: Surrender or be destroyed.\n\n" \
	"[TEAM2_RACE] Captain: It's a little premature, Commander. We're not that badly damaged.",
	//kDemandLate_msg,
	"[PLAYER_NAME]: Surrender or be destroyed.\n\n" \
	"[TEAM2_RACE] Captain: I've had better days. But it isn't over yet.",

	//kScannedRegFreighter_msg,
	"Science: The freighter is carrying standard parts. No sign of sabotage.",
	//kScannedExpFreighter_msg,
	"Science: The freighter is carrying...tons of contained anti-matter. It's a bomb, a huge bomb.",
	//kUnexpectedBOOM_msg,
	"Science: Detecting a large Anti-Matter explosion, most probably a large bomb.  The source...one of the freighters.",

	//kFirstTwoEnemyShipsArrive_msg,
	"Science: Two [TEAM2_RACE] ships have entered the system.",
	//kSecondTwoEnemyShipsArrive_msg,
	"Science: An additional two [TEAM2_RACE] ships have entered the system.",

	// kAstoundingVictory_msg
	"Astounding Victory\n\n" \
	"Congratulations, you succeeded in protecting our shipyards from the enemy. The [TEAM2_RACE_PLURAL] have " \
	"shown themselves to be a nuisance. We'll have to deal with them, soon.\n\n" \
	"Dismissed.",
	// kVictory_msg
	"Victory\n\n" \
	"We lost some of our ship tenders in the assault, but it's a loss we can live with. We'll rebuild, and " \
	"when we do, the primitives will learn to regret their treacherous ways.\n\n" \
	"Dismissed.",
	// kDefeat_msg
	"Defeat\n\n" \
	"The [TEAM2_RACE] attack managed to destroy the majority of our ship tenders. You'll have to do better " \
	"than that if we're going to establish a presence in this quadrant.\n\n" \
	"Dismissed.",
	// kDevastatingDefeat_msg
	"Devastating Defeat\n\n" \
	"You failed to protect the shipyards from the [TEAM2_RACE] attack. Our presence in the sector has " \
	"been greatly weakened.\n\n" \
	"Dismissed.",
///////////////////////////////Needs localization after this point//////////////////////////////////////
	//kLeftEarly_msg,
	"Forfeit",

	//kPlayerTeam1Title_msg,
	"The Grim Resolve",

	//kScanning_msg,
	"Science Officer: Beginning scan...",

#endif
};

