//	<Name>	PlanetTeam.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "tclient.h"
#include "ShipScriptDescription.h"
#include "PlanetTeam.h"
#include "Planet.h"
#include "ShipList_API.h"

tClassAllocator<tPlanetTeam> gPlanetTeamAllocator;

void tPlanetTeam::mSetupState()
{
}

void tPlanetTeam::mSetupCommState()
{
}

void tPlanetTeam::mCreateShipsForTeam()
{
	mCreateShip(	typeid( tPlanet ), "PL9", kStartPosition_Z, kNoMetaShipID,
					-1, 0, 0, -1, -1, NULL, kDefaultShipOptions );
}

void tPlanetTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
    gST.mDebug_fprintf("--- Entering: tPlanetTeam::mCreateNewShip: %s\n",
        shipScriptDescription.fClassName.c_str());
    gST.mInitializeSL();
    gST.mDraftedShipCensus( shipScriptDescription.fClassName.c_str() );

   // don't actually draft it. We're just collecting era data!
    gST.mDebug_fprintf("We don't actually draft ship %s. We're just collecting data!\n",
        shipScriptDescription.fClassName.c_str());

    gST.mDebug_fprintf("--- Finished: tPlanetTeam::mCreateNewShip: %s\n",
        shipScriptDescription.fClassName.c_str());
}