//	<Name>	PlayerTeamInitialState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( PlayerTeamInitialState_h )
#define PlayerTeamInitialState_h

#include "ChildActorState.h"
#include "teamInfo.h"
#include "PlayerTeam.h"

class tPlayerTeamInitialState : public tChildActorState<tPlayerTeam>
{
public:
	enum eTimeIDs
	{
		kCheckDistanceID,
		kWaitedToLongID,
		kJobDoneID,
		kDeepScanONID,
		kEnemyArrivalID,
		kLastEnemyArrivalID,
		kSetTargetID,
		kStartingID,
		kStarting2ID,
		kChatterID,
		kUpgradeFightersID,
	};

	tPlayerTeamInitialState( );

	virtual void mBeginState();
	virtual void mEndState();
	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnDeath( tShipInfo* ship );

protected:

	int32 fRandomMessage;

};

#endif

