//	<Name>	PlayerTeamShipInitialState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( PlayerTeamShipInitialState_h )
#define PlayerTeamShipInitialState_h

#include "ChildActorState.h"
#include "teamInfo.h"
#include "PlayerTeamShip.h"

class tPlayerTeamShipInitialState : public tChildActorState<tPlayerTeamShip>
{
public:
	enum eTimeIDs
	{
		kCheckDistanceID,
		kWaitedToLongID,
		kJobDoneID,
		kDeepScanONID,
		kEnemyArrivalID,
		kLastEnemyArrivalID,
		kSetTargetID,
		kStartingID,
		kStarting2ID,
		kChatterID,
	};

	tPlayerTeamShipInitialState( );

	virtual void mBeginState();
	virtual void mEndState();
	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnDeepScan( tShipInfo* ship, iTruth deepScanOn );
//	virtual void mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType );

protected:

	bool fDeepScanON;
	bool fFreighterOneScanned;
	bool fFreighterTwoScanned;
	bool fExplosiveFreighterScanned;

};

#endif

