/********************************************************************************************************\

	File Name:	BaseVictory.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( BaseVictory_h )
#define BaseVictory_h

#include "VictoryCondition.h"



class tBaseVictory : public tVictoryCondition
{
public:

	tBaseVictory( );
	tBaseVictory( tTeamInfo* team );
	void mSetupState( );

	//
	//	Accessors.
	//
	bool	mDeserted( void );
	bool	mApproachWarning( void );
	int32	mISCDefensePlatformsDestroyed( void );
	int32	mCruisersDestroyed( void );

	//
	//	Modifiers.
	//
	void	mSetDeserted( bool x );
	void	mSetApproachWarning( bool x );
	void	mIncreaseISCDefensePlatformsDestroyed( void );
	void	mIncreaseCruisersDestroyed( void );

private:

	//
	//	Victory attributes.
	//
	bool	fDeserted;
	bool	fApproachWarning;
	int32	fISCDefensePlatformsDestroyed;
	int32	fCruisersDestroyed;
};

#endif


