/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN

	//
	//	Mission Title
	//

	// kMissionTitle_msg
	"ISC_5Accuse",

	//
	//	Briefing message
	//

	///--DANC5
	
	// kBriefing_msg
	"Unser Geheimdienst hat herausgefunden, dass die kleineren Vlker glauben, sie knnten einen Sieg erringen, indem sie die Organier " \
	"gegen uns aufbringen. Sie schicken gerade eine Sondereinheit nach Organia, um den Kontakt herzustellen.\n\n" \
	"Eine der Pflichten, die wir zu Beginn dieses Befriedungsprogramms bernommen haben, ist, zu verhindern, " \
	"dass andere Vlker die Organier stren. Die kleineren Vlker verstehen nicht, dass hherstehende Wesen wie die " \
	"Organier nicht mit Angelegenheiten von auen belstigt werden wollen.\n\n" \
	"Wir konnten bereits im Vorfeld Informationen zu dieser Operation sammeln: Sie wird von zwei Vlkern durchgefhrt, die sich im Normalfall nicht sehr kooperativ zeigen, " \
	"von denen keines dem anderen viel Sympathie entgegenbringt. Sie werden es mit einer groen bermacht zu tun bekommen, aber " \
	"Sie verfgen ber einen speziellen Vorteil.\n\n" \
	"Wir konnten Agenten an Bord jedes Schiffes der Sondereinheit einschleusen. Verwenden Sie Ihr Kommunikationssystem, um Kontakt zu " \
	"den Agenten aufzunehmen. Der Agent kann das Schiff dann mit einem Sabotageakt lahmlegen, oder er kann den Computer mit Daten fttern, " \
	"die den Anschein erwecken, dass die andere Partei verrterische Absichten hegt. Wir gehen nicht davon aus, " \
	"dass diese Trick sehr lange funktionieren wird, also setzen Sie ihn umsichtig ein.\n\n" \
	"Das Ziel des Gegners werden zweifellos die beiden Verteidigungssatelliten sein, fr deren Installation im Orbit ihres Systems " \
	"die Organier dankenswerterweise ihre Zustimmung gegeben haben. Werden beide Satelliten zerstrt, ist der Gegner in der Lage, " \
	"Organia zu kontaktieren, und wir haben versagt. Schtzen Sie diese Satelliten um jeden Preis.\n\n" \
	"Tut mir leid, dass die Einsatzbesprechung so lange gedauert hat. Wegtreten.\n\n",

	// kBriefingFederationKlingon_msg
	"Unser Geheimdienst hat herausgefunden, dass die kleineren Vlker glauben, sie knnten einen Sieg erringen, indem sie die Organier " \
	"gegen uns aufbringen. Sie schicken gerade eine Sondereinheit nach Organia, um den Kontakt herzustellen.\n\n" \
	"Eine der Pflichten, die wir zu Beginn dieses Befriedungsprogramms bernommen haben, ist, zu verhindern, " \
	"dass andere Vlker die Organier stren. Die kleineren Vlker verstehen nicht, dass hherstehende Wesen wie die " \
	"Organier nicht mit Angelegenheiten von auen belstigt werden wollen.\n\n" \
	"Wir konnten bereits im Vorfeld Informationen zu dieser Operation sammeln: sie wird von der Fderation und den " \
	"Klingonen durchgefhrt, von denen keiner dem anderen viel Sympathie entgegenbringt. Sie werden es mit einer groen bermacht zu tun bekommen, aber " \
	"Sie verfgen ber einen speziellen Vorteil.\n\n" \
	"Wir konnten Agenten an Bord jedes Schiffes der Sondereinheit einschleusen. Verwenden Sie Ihr Kommunikationssystem, um Kontakt zu " \
	"den Agenten aufzunehmen. Der Agent kann das Schiff dann mit einem Sabotageakt lahmlegen, oder er kann den Computer mit Daten fttern, " \
	"die den Anschein erwecken, dass die andere Partei verrterische Absichten hegt. Wir gehen nicht davon aus, " \
	"dass diese Trick sehr lange funktionieren wird, also setzen Sie ihn umsichtig ein.\n\n" \
	"Das Ziel des Gegners werden zweifellos die beiden Verteidigungssatelliten sein, fr deren Installation im Orbit ihres Systems " \
	"die Organier dankenswerterweise ihre Zustimmung gegeben haben. Werden beide Satelliten zerstrt, ist der Gegner in der Lage, " \
	"Organia zu kontaktieren, und wir haben versagt. Schtzen Sie diese Satelliten um jeden Preis.\n\n" \
	"Tut mir leid, dass die Einsatzbesprechung so lange gedauert hat. Wegtreten.\n\n",

	// kBriefingRomulanGorn_msg
	"Unser Geheimdienst hat herausgefunden, dass die kleineren Vlker glauben, sie knnten einen Sieg erringen, indem sie die Organier " \
	"gegen uns aufbringen. Sie schicken gerade eine Sondereinheit nach Organia, um den Kontakt herzustellen.\n\n" \
	"Eine der Pflichten, die wir zu Beginn dieses Befriedungsprogramms bernommen haben, ist, zu verhindern, " \
	"dass andere Vlker die Organier stren. Die kleineren Vlker verstehen nicht, dass hherstehende Wesen wie die " \
	"Organier nicht mit Angelegenheiten von auen belstigt werden wollen.\n\n" \
	"Wir konnten bereits im Vorfeld Informationen zu dieser Operation sammeln: sie wird von den Romulanern und den " \
	"Gorn durchgefhrt, von denen keiner dem anderen viel Sympathie entgegenbringt. Sie werden es mit einer groen bermacht zu tun bekommen, aber " \
	"Sie verfgen ber einen speziellen Vorteil.\n\n" \
	"Wir konnten Agenten an Bord jedes Schiffes der Sondereinheit einschleusen. Verwenden Sie Ihr Kommunikationssystem, um Kontakt zu " \
	"den Agenten aufzunehmen. Der Agent kann das Schiff dann mit einem Sabotageakt lahmlegen, oder er kann den Computer mit Daten fttern, " \
	"die den Anschein erwecken, dass die andere Partei verrterische Absichten hegt. Wir gehen nicht davon aus, " \
	"dass diese Trick sehr lange funktionieren wird, also setzen Sie ihn umsichtig ein.\n\n" \
	"Das Ziel des Gegners werden zweifellos die beiden Verteidigungssatelliten sein, fr deren Installation im Orbit ihres Systems " \
	"die Organier dankenswerterweise ihre Zustimmung gegeben haben. Werden beide Satelliten zerstrt, ist der Gegner in der Lage, " \
	"Organia zu kontaktieren, und wir haben versagt. Schtzen Sie diese Satelliten um jeden Preis.\n\n" \
	"Tut mir leid, dass die Einsatzbesprechung so lange gedauert hat. Wegtreten.\n\n",

	// kBriefingLyranHydran_msg
	"Unser Geheimdienst hat herausgefunden, dass die kleineren Vlker glauben, sie knnten einen Sieg erringen, indem sie die Organier " \
	"gegen uns aufbringen. Sie schicken gerade eine Sondereinheit nach Organia, um den Kontakt herzustellen.\n\n" \
	"Eine der Pflichten, die wir zu Beginn dieses Befriedungsprogramms bernommen haben, ist, zu verhindern, " \
	"dass andere Vlker die Organier stren. Die kleineren Vlker verstehen nicht, dass hherstehende Wesen wie die " \
	"Organier nicht mit Angelegenheiten von auen belstigt werden wollen.\n\n" \
	"Wir konnten bereits im Vorfeld Informationen zu dieser Operation sammeln: sie wird von den Lyranern und den " \
	"Hydranern durchgefhrt, von denen keiner dem anderen viel Sympathie entgegenbringt. Sie werden es mit einer groen bermacht zu tun bekommen, aber " \
	"Sie verfgen ber einen speziellen Vorteil.\n\n" \
	"Wir konnten Agenten an Bord jedes Schiffes der Sondereinheit einschleusen. Verwenden Sie Ihr Kommunikationssystem, um Kontakt zu " \
	"den Agenten aufzunehmen. Der Agent kann das Schiff dann mit einem Sabotageakt lahmlegen, oder er kann den Computer mit Daten fttern, " \
	"die den Anschein erwecken, dass die andere Partei verrterische Absichten hegt. Wir gehen nicht davon aus, " \
	"dass diese Trick sehr lange funktionieren wird, also setzen Sie ihn umsichtig ein.\n\n" \
	"Das Ziel des Gegners werden zweifellos die beiden Verteidigungssatelliten sein, fr deren Installation im Orbit ihres Systems " \
	"die Organier dankenswerterweise ihre Zustimmung gegeben haben. Werden beide Satelliten zerstrt, ist der Gegner in der Lage, " \
	"Organia zu kontaktieren, und wir haben versagt. Schtzen Sie diese Satelliten um jeden Preis.\n\n" \
	"Tut mir leid, dass die Einsatzbesprechung so lange gedauert hat. Wegtreten.\n\n",

	// kBriefingLyranMirak_msg
	"Unser Geheimdienst hat herausgefunden, dass die kleineren Vlker glauben, sie knnten einen Sieg erringen, indem sie die Organier " \
	"gegen uns aufbringen. Sie schicken gerade eine Sondereinheit nach Organia, um den Kontakt herzustellen.\n\n" \
	"Eine der Pflichten, die wir zu Beginn dieses Befriedungsprogramms bernommen haben, ist, zu verhindern, " \
	"dass andere Vlker die Organier stren. Die kleineren Vlker verstehen nicht, dass hherstehende Wesen wie die " \
	"Organier nicht mit Angelegenheiten von auen belstigt werden wollen.\n\n" \
	"Wir konnten bereits im Vorfeld Informationen zu dieser Operation sammeln: sie wird von den Lyranern und den " \
	"Mirakern durchgefhrt, von denen keiner dem anderen viel Sympathie entgegenbringt. Sie werden es mit einer groen bermacht zu tun bekommen, aber " \
	"Sie verfgen ber einen speziellen Vorteil.\n\n" \
	"Wir konnten Agenten an Bord jedes Schiffes der Sondereinheit einschleusen. Verwenden Sie Ihr Kommunikationssystem, um Kontakt zu " \
	"den Agenten aufzunehmen. Der Agent kann das Schiff dann mit einem Sabotageakt lahmlegen, oder er kann den Computer mit Daten fttern, " \
	"die den Anschein erwecken, dass die andere Partei verrterische Absichten hegt. Wir gehen nicht davon aus, " \
	"dass diese Trick sehr lange funktionieren wird, also setzen Sie ihn umsichtig ein.\n\n" \
	"Das Ziel des Gegners werden zweifellos die beiden Verteidigungssatelliten sein, fr deren Installation im Orbit ihres Systems " \
	"die Organier dankenswerterweise ihre Zustimmung gegeben haben. Werden beide Satelliten zerstrt, ist der Gegner in der Lage, " \
	"Organia zu kontaktieren, und wir haben versagt. Schtzen Sie diese Satelliten um jeden Preis.\n\n" \
	"Tut mir leid, dass die Einsatzbesprechung so lange gedauert hat. Wegtreten.\n\n",

	//
	//	Starting message
	//
	
	//	kStart_msg,
	"[PLAYER_NAME]: Bericht des Befriedungsfeldzugs, galaktisches Datum [STARDATE]. Wir schtzen Organia gegen ein " \
	"Eindringen der geringeren Vlker in diesem Quadranten. Der Schlssel zum Erfolg wird der geschickte Einsatz unserer Agenten " \
	"und der Schutz der beiden Verteidigungsplattformen im Orbit des Planeten sein. Es sollte eine einfache Mission werden.\n\n",

	//
	//	Debriefing messages
	//
	
	//	kDebAstoundingVictory_msg,
	"Herzlichen Glckwunsch. Der organianische Sektor ist sicher. Wir haben nun die vollstndige Kontrolle ber dieses kritische " \
	"System bernommen.\n\n",
	
	//	kDebVictory_msg,
	"\n\n",
	
	//	kDebDraw_msg,
	"\n\n",
	
	//	kDebDefeat_msg,
	"\n\n",
	
	//	kDebDevastatingDefeat_msg,
	"Ihre Mission war es, Organia gegenber Strungen durch die geringeren Vlker abzuschirmen. Unglcklicherweise " \
	"haben Sie versagt. Ihre Niederlage in diesem Quadranten hat unserer Sache einen schweren Schlag versetzt.\n\n" \
	"Wegtreten.\n\n",

	//
	//	Comm buttons
	//
	
	//	k_HAIL_Cruiser_btn,
	"RUFEN",
	
	//	k_CREATEDISSENSION_Cruiser_btn,
	"MEINUNGSVERSCHIEDENHEITEN HERVORRUFEN",
	
	//	k_DROPSHIELDS_Cruiser_btn,
	"SCHILDE SENKEN",
	
	//	k_CRIPPLEWEAPONS_Cruiser_btn,
	"WAFFEN KAMPFUNFHIG MACHEN",
	
	//	k_SABOTAGEENGINES_Cruiser_btn,
	"TRIEBWERKE SABOTIEREN",
	
	//	k_HAIL_Organia_btn,
	"RUFEN",

	//
	//	Comm messages
	//
	
	//	k_HAIL_Cruiser_msg,
	"Kommunikationsoffizier: Sie antworten nicht auf unsere Rufe.\n\n",
	
	//	k_CREATEDISSENSION_Cruiser1_msg,
	"Kommunikationsoffizier: Wir bertragen die Daten jetzt. Das Schiff beginnt von selbst mit einer Wende.\n\n",
	
	//	k_CREATEDISSENSION_Cruiser2_msg,
	"Kommunikationsoffizier: Ich kann unseren Agenten nicht erreichen.\n\n",
	
	//	k_CREATEDISSENSION_Cruiser3_msg,
	"Kommunikationsoffizier: Ich kann unseren Agenten nicht erreichen.\n\n",
	
	//	k_DROPSHIELDS_Cruiser1_msg,
	"Kommunikationsoffizier: Unser Agent senkt die Schilde des Schiffes.\n\n",
	
	//	k_DROPSHIELDS_Cruiser2_msg,
	"Kommunikationsoffizier: Ich kann unseren Agenten nicht erreichen.\n\n",
	
	//	k_CRIPPLEWEAPONS_Cruiser1_msg,
	"Kommunikationsoffizier: Unser Agent macht die Waffen des Schiffes kampfunfhig.\n\n",
	
	//	k_CRIPPLEWEAPONS_Cruiser2_msg,
	"Kommunikationsoffizier: Ich kann unseren Agenten nicht erreichen.\n\n",
	
	//	k_SABOTAGEENGINES_Cruiser1_msg,
	"Kommunikationsoffizier: Unser Agent sabotiert die Triebwerke des Schiffes.\n\n",
	
	//	k_SABOTAGEENGINES_Cruiser2_msg,
	"Kommunikationsoffizier: Ich kann unseren Agenten nicht erreichen.\n\n",

	//	k_HAIL_Organia_msg,
	"Kommunikationsoffizier: Keine Reaktion.\n\n",

	//
	//	Victory rating
	//

	// kAstoundingVictory_msg
	"Groartiger Sieg!\n",

	// kVictory_msg
	"Sieg!\n",

	// kDraw_msg
	"Unentschieden.\n",

	// kDefeat_msg
	"Niederlage.\n",

	// kDevastatingDefeat_msg
	"Vernichtende Niederlage.\n",

	//
	//	Random chatter
	//

	//	kRandChat1_msg,
	"Steuermann: Wir sollten Ihnen entgegen fliegen und dann zurckfallen und die Plattformen verwenden, wenn es anfngt, " \
	"ungemtlich zu werden.\n\n",
	
	//	kRandChat2_msg,
	"Ingenieur: Triebwerke und Waffensysteme haben optimale Effizienz.\n\n",
		
	//	kRandChat3_msg,
	"Sicherheitsoffizier: Befriedungsteams in hchster Alarmbereitschaft.\n\n",
	
	//	kRandChat4_msg,
	"Navigation: Die Langstreckensensoren zeigen, dass der Gegner auf dem Vormarsch in dieses System ist.\n\n",
		
	//	kRandChat5_msg,
	"Waffenoffizier: Ich wnschte, wir htten mehr Feuerkraft...\n\n",
	
	//	kRandChat6_msg,
	"Wissenschaftsoffizier: Keine Nachricht aus Organia.\n\n",

	//
	//	Titles (or names) of ships and objects
	//
	
	//	kPlanet_nam,
	"Organia",

	//
	//	Event dialog
	//
	
	//	kEvent2_1_msg,
	"Wissenschaftsoffizier: Die gegnerischen Schiffe nhern sich Organia und versuchen, den Planeten zu rufen. Wenn " \
	"sie die Verteidigungsplattformen zerstren knnen, werden sie durchkommen.\n\n",
	
	//	kEvent3_1_msg,
	"Erster Offizier: Die gegnerische Flotte wurde gestoppt. Mission erfllt.\n\n",
	
	//	kEvent4_1_msg,
	"Wissenschaftsoffizier: Beide Verteidigungsplattformen sind ausgefallen. Sie knnen jetzt Kontakt mit Organia aufnehmen. Unsere " \
	"Mission ist fehlgeschlagen.\n\n",

	//	kEvent4_2_msg,
	"Wissenschaftsoffizier: Verteidigungsplattform ausgefallen.\n\n",
	
	//	kEvent5_1_msg,
	"Wissenschaftsoffizier: Wir verlassen das System, Captain.\n\n",
	
	//	kEvent6_1_msg,
	"Wissenschaftsoffizier: Wir haben das System verlassen.\n\n",

	//
	//	Custom messages
	//

	//	kCustom1_msg,
	"Navigation: Der Gegner nhert sich schnell.\n\n",

	//	kCustom2_msg,
	"Kommunikationsoffizier: Auf einem der gegnerischen Schiffe bemerkt man langsam, wer die Meinungsverschiedenheiten wirklich " \
	"verursacht hat.\n\n",

	//	kCustom3_msg,
	"Erster Offizier: Gegnerisches Schiff zerstrt.\n\n",

	//	kCustom4_msg,
	"Erster Offizier: Gegnerisches Schiff erobert. Nun mssen wir es deaktivieren.\n\n",

	//
	//	Not localized as of 10/8/00
	//
	
	//	kPlayerTeamTitle_msg,
	"Ich klage an",

	//	kPlayerTeamBriefing_msg,
	"",

	//
	//	Not localized as of 10/17/00
	//

	//	kScanning_msg,
	"Wissenschaftsoffizier: Wir scannen...\n\n",

	//	kDisconnect_msg, Forfeit
	"Mission eingebt",

#else		////////////////////////////////////////////////////////////////////////////////////////////////////

	//
	//	Mission Title
	//

	// kMissionTitle_msg
	"ISC_5Accuse",

	//
	//	Briefing message
	//

	// kBriefing_msg
	"Intelligence indicates the lesser races believe that they can achieve victory by turning the Organians " \
	"against us.  They're sending a task force to Organia to contact them.\n\n" \
	"One of the duties that we agreed to when we started this pacification program, was to keep the other " \
	"races from disturbing the Organians.  The lesser races do not understand how entities such as the " \
	"Organians do not like to be disturbed by outside matters.\n\n" \
	"We have had advance word on the operation: it's being conducted by two normally uncooperative races, " \
	"neither of whom have had much love for each other.  You'll be heavily outnumbered, but " \
	"you'll have one special advantage.\n\n" \
	"We have placed our operatives aboard each vessel in the task force.  Use your communications to contact " \
	"the operative.  The agent will be able to perform an act of sabotage, or he'll be able to input data into " \
	"the enemy's computer that will fool them into thinking the other faction has betrayed them.  We don't expect " \
	"such a trick to be effective for very long, so use it carefully.\n\n" \
	"The enemy's target will undoubtedly be the two defense satellites that the Organians have graciously " \
	"allowed us to place in orbit of their system.  Once both satellites are destroyed, they'll be able to " \
	"contact Organia and we'll have failed.  Protect them at all costs.\n\n" \
	"Sorry for the long briefing.  Dismissed.\n\n",

	// kBriefingFederationKlingon_msg
	"Intelligence indicates the lesser races believe that they can achieve victory by turning the Organians " \
	"against us.  They're sending a task force to Organia to contact them.\n\n" \
	"One of the duties that we agreed to when we started this pacification program, was to keep the other " \
	"races from disturbing the Organians.  The lesser races do not understand how entities such as the " \
	"Organians do not like to be disturbed by outside matters.\n\n" \
	"We have had advance word on the operation: it's being conducted by the Federation and the " \
	"Klingons, neither of whom have much love for each other.  You'll be heavily outnumbered, but " \
	"you'll have one special advantage.\n\n" \
	"We have placed our operatives aboard each vessel in the task force.  Use your communications to contact " \
	"the operative.  The agent will be able to perform an act of sabotage, or he'll be able to input data into " \
	"the enemy's computer that will fool them into thinking the other faction has betrayed them.  We don't expect " \
	"such a trick to be effective for very long, so use it carefully.\n\n" \
	"The enemy's target will undoubtedly be the two defense satellites that the Organians have graciously " \
	"allowed us to place in orbit of their system.  Once both satellites are destroyed, they'll be able to " \
	"contact Organia and we'll have failed.  Protect them at all costs.\n\n" \
	"Sorry for the long briefing.  Dismissed.\n\n",

	// kBriefingRomulanGorn_msg
	"Intelligence indicates the lesser races believe that they can achieve victory by turning the Organians " \
	"against us.  They're sending a task force to Organia to contact them.\n\n" \
	"One of the duties that we agreed to when we started this pacification program, was to keep the other " \
	"races from disturbing the Organians.  The lesser races do not understand how entities such as the " \
	"Organians do not like to be disturbed by outside matters.\n\n" \
	"We have had advance word on the operation: it's being conducted by the Romulans and the " \
	"Gorn, neither of whom have much love for each other.  You'll be heavily outnumbered, but " \
	"you'll have one special advantage.\n\n" \
	"We have placed our operatives aboard each vessel in the task force.  Use your communications to contact " \
	"the operative.  The agent will be able to perform an act of sabotage, or he'll be able to input data into " \
	"the enemy's computer that will fool them into thinking the other faction has betrayed them.  We don't expect " \
	"such a trick to be effective for very long, so use it carefully.\n\n" \
	"The enemy's target will undoubtedly be the two defense satellites that the Organians have graciously " \
	"allowed us to place in orbit of their system.  Once both satellites are destroyed, they'll be able to " \
	"contact Organia and we'll have failed.  Protect them at all costs.\n\n" \
	"Sorry for the long briefing.  Dismissed.\n\n",

	// kBriefingLyranHydran_msg
	"Intelligence indicates the lesser races believe that they can achieve victory by turning the Organians " \
	"against us.  They're sending a task force to Organia to contact them.\n\n" \
	"One of the duties that we agreed to when we started this pacification program, was to keep the other " \
	"races from disturbing the Organians.  The lesser races do not understand how entities such as the " \
	"Organians do not like to be disturbed by outside matters.\n\n" \
	"We have had advance word on the operation: it's being conducted by the Lyrans and the " \
	"Hydrans, neither of whom have much love for each other.  You'll be heavily outnumbered, but " \
	"you'll have one special advantage.\n\n" \
	"We have placed our operatives aboard each vessel in the task force.  Use your communications to contact " \
	"the operative.  The agent will be able to perform an act of sabotage, or he'll be able to input data into " \
	"the enemy's computer that will fool them into thinking the other faction has betrayed them.  We don't expect " \
	"such a trick to be effective for very long, so use it carefully.\n\n" \
	"The enemy's target will undoubtedly be the two defense satellites that the Organians have graciously " \
	"allowed us to place in orbit of their system.  Once both satellites are destroyed, they'll be able to " \
	"contact Organia and we'll have failed.  Protect them at all costs.\n\n" \
	"Sorry for the long briefing.  Dismissed.\n\n",

	// kBriefingLyranMirak_msg
	"Intelligence indicates the lesser races believe that they can achieve victory by turning the Organians " \
	"against us.  They're sending a task force to Organia to contact them.\n\n" \
	"One of the duties that we agreed to when we started this pacification program, was to keep the other " \
	"races from disturbing the Organians.  The lesser races do not understand how entities such as the " \
	"Organians do not like to be disturbed by outside matters.\n\n" \
	"We have had advance word on the operation: it's being conducted by the Lyrans and the " \
	"Mirak, neither of whom have much love for each other.  You'll be heavily outnumbered, but " \
	"you'll have one special advantage.\n\n" \
	"We have placed our operatives aboard each vessel in the task force.  Use your communications to contact " \
	"the operative.  The agent will be able to perform an act of sabotage, or he'll be able to input data into " \
	"the enemy's computer that will fool them into thinking the other faction has betrayed them.  We don't expect " \
	"such a trick to be effective for very long, so use it carefully.\n\n" \
	"The enemy's target will undoubtedly be the two defense satellites that the Organians have graciously " \
	"allowed us to place in orbit of their system.  Once both satellites are destroyed, they'll be able to " \
	"contact Organia and we'll have failed.  Protect them at all costs.\n\n" \
	"Sorry for the long briefing.  Dismissed.\n\n",

	//
	//	Starting message
	//
	
	//	kStart_msg,
	"[PLAYER_NAME]: Pacification campaign record, Galactic Date [STARDATE].  We are safeguarding Organia against an " \
	"intrusion from the minor races of this quadrant.  The keys to success will be using our operatives " \
	"wisely and defending two defense platforms in orbit of the planet.  It should be an easy mission.\n\n",

	//
	//	Debriefing messages
	//
	
	//	kDebAstoundingVictory_msg,
	"Congratulations. The Organian sector is secure.  We are now securely in control of this critical " \
	"system.\n\n",
	
	//	kDebVictory_msg,
	"\n\n",
	
	//	kDebDraw_msg,
	"\n\n",
	
	//	kDebDefeat_msg,
	"\n\n",
	
	//	kDebDevastatingDefeat_msg,
	"Your mission was to protect Organia from the interference of the minor races.  Unfortunately, " \
	"you failed.  Our stewardship of this quadrant has been dealt a serious blow.\n\n" \
	"Dismissed.\n\n",

	//
	//	Comm buttons
	//
	
	//	k_HAIL_Cruiser_btn,
	"HAIL",
	
	//	k_CREATEDISSENSION_Cruiser_btn,
	"CREATE DISSENSION",
	
	//	k_DROPSHIELDS_Cruiser_btn,
	"DROP SHIELDS",
	
	//	k_CRIPPLEWEAPONS_Cruiser_btn,
	"CRIPPLE WEAPONS",
	
	//	k_SABOTAGEENGINES_Cruiser_btn,
	"SABOTAGE ENGINES",
	
	//	k_HAIL_Organia_btn,
	"HAIL",

	//
	//	Comm messages
	//
	
	//	k_HAIL_Cruiser_msg,
	"Communications Officer: They aren't answering our hails.\n\n",
	
	//	k_CREATEDISSENSION_Cruiser1_msg,
	"Communications Officer: We're sending the data now.  That ship is starting to turn on its own.\n\n",
	
	//	k_CREATEDISSENSION_Cruiser2_msg,
	"Communications Officer: I am unable to raise our operative.\n\n",
	
	//	k_CREATEDISSENSION_Cruiser3_msg,
	"Communications Officer: I am unable to raise our operative.\n\n",
	
	//	k_DROPSHIELDS_Cruiser1_msg,
	"Communications Officer: Our agent is dropping that ship's shields.\n\n",
	
	//	k_DROPSHIELDS_Cruiser2_msg,
	"Communications Officer: I cannot raise our operative.\n\n",
	
	//	k_CRIPPLEWEAPONS_Cruiser1_msg,
	"Communications Officer: Our agent is crippling that ship's weapons.\n\n",
	
	//	k_CRIPPLEWEAPONS_Cruiser2_msg,
	"Communications Officer: I cannot raise our operative.\n\n",
	
	//	k_SABOTAGEENGINES_Cruiser1_msg,
	"Communications Officer: Our agent is sabotaging that ship's engines.\n\n",
	
	//	k_SABOTAGEENGINES_Cruiser2_msg,
	"Communications Officer: I cannot raise our operative.\n\n",

	//	k_HAIL_Organia_msg,
	"Communications Officer: No response.\n\n",

	//
	//	Victory rating
	//

	// kAstoundingVictory_msg
	"Astounding Victory!\n",

	// kVictory_msg
	"Victory!\n",

	// kDraw_msg
	"Draw.\n",

	// kDefeat_msg
	"Defeat.\n",

	// kDevastatingDefeat_msg
	"Devastating Defeat.\n",

	//
	//	Random chatter
	//

	//	kRandChat1_msg,
	"Helm: We should go out to meet them, then fall back and use the platforms when things start getting " \
	"rough.\n\n",
	
	//	kRandChat2_msg,
	"Engineer: Engines and weapons systems at optimal efficiency.\n\n",
		
	//	kRandChat3_msg,
	"Security Officer: Pacification teams are on high alert.\n\n",
	
	//	kRandChat4_msg,
	"Navigation: Long range sensors indicate the enemy is closing in on this system.\n\n",
		
	//	kRandChat5_msg,
	"Weapons Officer: I wish we had more firepower...\n\n",
	
	//	kRandChat6_msg,
	"Science Officer: No word from Organia.\n\n",

	//
	//	Titles (or names) of ships and objects
	//
	
	//	kPlanet_nam,
	"Organia",

	//
	//	Event dialog
	//
	
	//	kEvent2_1_msg,
	"Science Officer: The enemy ships are approaching Organia and are attempting to hail the planet.  If " \
	"they destroy the defense platforms, they'll succeed.\n\n",
	
	//	kEvent3_1_msg,
	"First Officer: The enemy fleet has been stopped.  Mission accomplished.\n\n",
	
	//	kEvent4_1_msg,
	"Science Officer: Both defense platforms down.  They are now able to contact Organia.  Our " \
	"mission has failed.\n\n",

	//	kEvent4_2_msg,
	"Science Officer: Defense platform down.\n\n",
	
	//	kEvent5_1_msg,
	"Science Officer: Leaving the system, Captain.\n\n",
	
	//	kEvent6_1_msg,
	"Science Officer: We have left the system.\n\n",

	//
	//	Custom messages
	//

	//	kCustom1_msg,
	"Navigation: The enemy is approaching quickly.\n\n",

	//	kCustom2_msg,
	"Communications Officer: One of the enemy ships is starting to realize who really caused the " \
	"dissension.\n\n",

	//	kCustom3_msg,
	"First Officer: Enemy ship destroyed.\n\n",

	//	kCustom4_msg,
	"First Officer: Enemy ship captured.  Now to have it disengage.\n\n",

	//
	//	Not localized as of 10/8/00
	//
	
	//	kPlayerTeamTitle_msg,
	"J'Accuse",

	//	kPlayerTeamBriefing_msg,
	"",

	//
	//	Not localized as of 10/17/00
	//

	//	kScanning_msg,
	"Science Officer: Scanning...\n\n",

	//
	//	Not localized as of 11/5/00
	//

	//	kDisconnect_msg,
	"Forfeit",

#endif
};

