/********************************************************************************************************\

	File Name:	NPCTeam1.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "ShipScriptDescription.h"
#include "ShipList_API.h"
#include "NPCTeam1.h"
#include "NPCTeam1BaseState.h"
#include "Planet.h"


tClassAllocator<tNPCTeam1> gNPCTeam1Allocator;

void tNPCTeam1::mSetupState()
{
	mRegisterState( new tNPCTeam1BaseState() );
	mGotoState( typeid( tNPCTeam1BaseState ) );
}

void tNPCTeam1::mSetupCommState()
{}

void tNPCTeam1::mCreateShipsForTeam()
{
	mCreateShip(	typeid( tPlanet ), "PL1" , kStartPosition_J, kNoMetaShipID, kPlanet,
					0, 0, -1, -1, NULL, kDefaultShipOptions );
}

void tNPCTeam1::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tNPCTeam1::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mDebug_fprintf("--- Entering: tNPCTeam1::mCreateNewShip: %s\n", 
		shipScriptDescription.fClassName.c_str());
	gST.mInitializeSL();
	gST.mDraftedShipCensus( shipScriptDescription.fClassName.c_str() );

   // don't actually draft it. We're just collecting era data!
   	gST.mDebug_fprintf("We don't actually draft ship %s. We're just collecting data!\n",
		shipScriptDescription.fClassName.c_str());

   	gST.mDebug_fprintf("--- Finished: tNPCTeam1::mCreateNewShip: %s\n", 
		shipScriptDescription.fClassName.c_str());
}