//	<Name>	AllianceShip.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "AllianceShip.h"
#include "AllianceShipBaseState.h"
#include "ISC_6Immunity.h"
#include "MissionText.h"
#include "TeamInfo.h"

tClassAllocator<tAllianceShip> gAllianceShipAllocator;

void tAllianceShip::mSetupState()
{
	mRegisterState( new tAllianceShipBaseState() );
	mGotoState( typeid( tAllianceShipBaseState ) );
}
void tAllianceShip::mSetupCommState()
{
	tTeamInfo*	playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
	Assert( playerTeam );
	if ( !playerTeam )
		return;

	playerTeam->mRegisterCommMessage( kBaseCommState, kNoStateChange, mGetShipID(), k_HAIL_btn, k_HAIL_msg, kNoRandomMsg );
	playerTeam->mGotoCommState( mGetShipID(), kBaseCommState );
}
void tAllianceShip::mSetupShip()
{
	mSetShipMaxSpeed( 5 );
	mSetSystemHealthFromOrig( kAllShieldsHardPoint, 0.0f );		//	damage shields
	mSetSystemHealthFromOrig( kAllEnginesHardPoint, 0.0f );		//	damage engines
	mSetSystemHealthFromOrig( kAllWeaponsHardPoint, 0.0f );		//	damage weapons
	mSetSystemHealthFromOrig( kRandomInternalsHardPoint, 0.0f );		//	damage weapons
}


