//	<Name>	AllianceShipGenerated.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "AllianceShipGenerated.h"
#include "AllianceShipGeneratedAfterState.h"
#include "AllianceShipGeneratedBaseState.h"
#include "ISC_6Immunity.h"
#include "MissionText.h"
#include "TeamInfo.h"

tClassAllocator<tAllianceShipGenerated> gAllianceShipGeneratedAllocator;

void tAllianceShipGenerated::mSetupState()
{
	mRegisterState( new tAllianceShipGeneratedBaseState() );
	mRegisterState( new tAllianceShipGeneratedAfterState() );

	mGotoState( typeid( tAllianceShipGeneratedBaseState ) );
}
void tAllianceShipGenerated::mSetupCommState()
{
	tTeamInfo*	playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
	Assert( playerTeam );
	if ( !playerTeam )
		return;

	playerTeam->mRegisterCommMessage( kBaseCommState, kNoStateChange, mGetShipID(), k_HAIL_btn, k_HAIL_msg, kNoRandomMsg );
	playerTeam->mGotoCommState( mGetShipID(), kBaseCommState );
}
void tAllianceShipGenerated::mSetupShip()
{
	mSetShipMaxSpeed( 10 );
}


