/********************************************************************************************************\

	File Name:	MissionText.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tstring.h"


enum TextMessages
{
	//
	//	Mission Title
	//
	kMissionTitle_msg,

	//
	//	Briefing message
	//
	kBriefing_msg,

	//
	//	Starting message
	//
	kStart_msg,

	//
	//	Debriefing messages
	//
	kDebAstoundingVictory_msg,
	kDebVictory_msg,
	kDebDraw_msg,
	kDebDefeat_msg,
	kDebDevastatingDefeat_msg,

	//
	//	Comm buttons
	//
	k_HAIL_btn,

	//
	//	Comm messages
	//
	k_HAIL_msg,

	//
	//	Victory rating
	//
	kAstoundingVictory_msg,
	kVictory_msg,
	kDraw_msg,
	kDefeat_msg,
	kDevastatingDefeat_msg,

	//
	//	Random chatter
	//
	kRandChat1_msg,
	kRandChat2_msg,
	kRandChat3_msg,
	kRandChat4_msg,
	kRandChat5_msg,
	kRandChat6_msg,

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	kEvent2_1_msg,
	kEvent3_1_msg,
	kEvent3_2_msg,
	kEvent3_3_msg,
	kEvent4_1_msg,
	kEvent4_2_msg,
	kEvent4_3_msg,
	kEvent4_4_msg,
	kEvent5_1_msg,
	kEvent5_2_msg,
	kEvent5_3_msg,
	kEvent6_1_msg,
	kEvent6_2_msg,
	kEvent6_3_msg,
	kEvent7_1_msg,
	kEvent8_1_msg,

	//
	//	Custom messages
	//
	kCustom1_msg,

	//
	//	Not localized as of 10/8/00
	//
	kPlayerTeamTitle_msg,
	kPlayerTeamBriefing_msg,

	//
	//	Not localized as of 10/17/00
	//
	kScanning_msg,

	//
	//	Not localized as of 11/5/00
	//
	kDisconnect_msg,
};

extern std::string Messages[];



