/********************************************************************************************************\

	File Name:	MissionText.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tstring.h"


enum TextMessages
{
	//
	//	Mission Title
	//
	kMissionTitle_msg,

	//
	//	Briefing message
	//
	kBriefing_msg,

	//
	//	Starting message
	//
	kStart_msg,

	//
	//	Debriefing messages
	//
	kDebAstoundingVictory_msg,
	kDebVictory_msg,
	kDebDraw_msg,
	kDebDefeat_msg,
	kDebDevastatingDefeat_msg,

	//
	//	Comm buttons
	//
	k_HAIL_Ally_btn,
	k_ATTACKTARGET_Ally_btn,
	k_HAIL_Enemy_btn,
	k_DEMANDSURRENDER_Enemy_btn,

	//
	//	Comm messages
	//
	k_HAIL_Ally1_msg,
	k_HAIL_Ally2_msg,
	k_HAIL_Ally3_msg,
	k_HAIL_Ally4_msg,
	k_HAIL_Ally5_msg,
	k_ATTACKTARGET_Ally1_msg,
	k_ATTACKTARGET_Ally2_msg,
	k_ATTACKTARGET_Ally3_msg,
	k_HAIL_Enemy1_1_msg,
	k_HAIL_Enemy1_2_msg,
	k_HAIL_Enemy1_3_msg,
	k_HAIL_Enemy1_4_msg,
	k_DEMANDSURRENDER_Enemy1_msg,
	k_DEMANDSURRENDER_Enemy2_msg,
	k_DEMANDSURRENDER_Enemy3_msg,

	//
	//	Victory rating
	//
	kAstoundingVictory_msg,
	kVictory_msg,
	kDraw_msg,
	kDefeat_msg,
	kDevastatingDefeat_msg,

	//
	//	Random chatter
	//
	kRandChat1_msg,
	kRandChat2_msg,
	kRandChat3_msg,
	kRandChat4_msg,
	kRandChat5_msg,
	kRandChat6_msg,

	//
	//	Titles (or names) of ships and objects
	//
	kTransponder_nam,

	//
	//	Event dialog
	//
	kEvent3_1_msg,
	kEvent3_2_msg,
	kEvent3_3_msg,
	kEvent5_1_msg,
	kEvent6_1_msg,
	kEvent6_2_msg,
	kEvent7_1_msg,
	kEvent7_2_msg,
	kEvent8_1_msg,
	kEvent8_2_msg,
	kEvent9_1_msg,
	kEvent10_1_msg,
	kEvent11_1_msg,

	//
	//	Custom messages
	//
	kCustom1_msg,

	//
	//	Not localized as of 10/8/00
	//
	kPlayerTeamTitle_msg,
	kPlayerTeamBriefing_msg,

	//
	//	Not localized as of 10/17/00
	//
	kScanning_msg,

	//
	//	Not localized as of 10/24/00
	//
	kTransponderCaptured_msg,
	kEnemyShipCaptured_msg,
	kEnemyShipsNeutralized_msg,

	//
	//	Not localized as of 11/5/00
	//
	kDisconnect_msg,
};

extern std::string Messages[];



