/********************************************************************************************************\

	File Name:	ISC_8Diplomacy.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( ISC_8Diplomacy_h )
#define ISC_8Diplomacy_h

#include "ScriptInterface.h"

//---------------------------------------------------------------------------------------------
// the following enum is used to identify all non-player teams in the script
// (use kPlayerTeam to access the current players team.)
enum eTeamTypes
{
/*

	HELPER NOTE:	This is where you will place other team constants if you so need them.  For instance, if
					you need a second enemy team (e.g. Enemy2Team), then you would put a constant of
					"kEnemy2Team" in here.

*/
	kPlayerTeam = kTeam1,
	kPlayerNPCTeam,
	kEnemyTeam,
	kEnemy2Team,
	kEnemy3Team,
	kNPC1Team,
};

class tVictoryCondition;

class tISC_8Diplomacy : public tScript
{
public:

	tISC_8Diplomacy();

	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual iTruth	mUsePlayerShip( tShipInGame& Ship );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual int32	mInitializeFinished();
	virtual void	mStartMission();
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual void	mASCIIOverrides( tMapOverrides* Map );
	virtual void	mDefineBriefings( void );
	virtual void	mDefineTeamShipStrengths( void );
};

#endif


