/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN

	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"ISC_8Diplomacy",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"Das ISK ist zu dem Entschluss gelangt, dass wir den Befriedungsfeldzug nicht allein " \
	"zu Ende bringen knnen. Wir haben beim Konkordium Miel Quad angefordert, unsere besten Diplomaten (oder unseren besten Diplomaten, " \
	"je nachdem, wie man ihre Symbiose betrachten mchte).\n\n" \
	"Sie werden sich nach [SYSTEM_NAME] begeben, wo Sie sich mit einem Transportschiff treffen, und Sie " \
	"werden den Diplomaten an Bord beamen. Nachdem er sich an Bord befindet, setzen Sie die Reise zur nchsten empfnglichen " \
	"Hauptwelt fort, wo Sie den Quad absetzen. Hoffentlich kann der Quad seine diplomatischen " \
	"Zauberknste erneut zur Wirkung bringen.\n\n" \
	"Wir haben die sicherste Transportroute fr Sie ausgearbeitet, jedoch ist sie nicht vollkommen sicher. Wenn Sie auf " \
	"gegnerische Schiffe treffen, steht nicht zu erwarten, dass die Primitivlinge in den Weiten des Raums die diplomatischen Protokolle respektieren. Zerstren " \
	"Sie sie. Und auch wenn Sie im System auf irgendetwas Ungewhnliches treffen, nehmen Sie es genau unter die Lupe.\n\n" \
	"Wegtreten.\n\n",

	//
	//	Starting message
	//
	
	//	kStart_msg,
	"[PLAYER_NAME]: Bericht des Befriedungsfeldzugs, galaktisches Datum [STARDATE]. Wir sind auf dem Weg nach " \
	"[SYSTEM_NAME], um einen diplomatischen Gesandten abzufangen. Wenn wir im System auf gegnerische Schiffe treffen, sind wir " \
	"angewiesen, diese zu zerstren, jedoch besteht unser Hauptziel im sicheren Geleit fr die Diplomaten.",

	//
	//	Debriefing messages
	//
	
	//	kDebAstoundingVictory_msg,
	///---DANI3
	"Herzlichen Glckwunsch. Sie haben den Botschafter. Nun beginnt der harte Teil.\n\n" \
	"Wir wnschen eine Allianz mit einer der drei Mchte: mit den Hydranern, der Fderation oder den Romulanern. Jedes " \
	"Volk hat seine Vorzge; es bleibt Ihnen berlassen zu ermitteln, welche Heimatwelt Ihre Crew wahrscheinlich " \
	"erreichen wird.\n\n" \
	"Wegtreten.\n\n",
	
	//	kDebVictory_msg,
	"Die Kapitulation Ihres Schiffes zieht automatisch ein Verfahren vor dem Kriegsgericht nach sich. Sie werden um einen Rang herabgestuft und verlieren " \
	"viel von dem Respekt und der Autoritt, die Sie sich jngst erworben haben.\n\n" \
	"Wegtreten.\n\n",
	
	//	kDebDraw_msg,
	"\n\n",
	
	//	kDebDefeat_msg,
	"Wir haben den Quad verloren - unsere beste Chance fr die Grndung einer Allianz mit einer der Mchte in diesem " \
	"Quadranten. Dies ist ein schwerer Schlag fr unsere Bemhungen. Ich kann den Schaden, den dieser Fehlschlag verursachen wird, nicht " \
	"herunterspielen. Aber zumindest waren Sie in der Lage, einige ihrer Schiffe zu bernehmen.\n\n" \
	"Sie werden aus der Sondereinheit entfernt, und es wird eine Untersuchung angesetzt.\n\n" \
	"Wegtreten.\n\n",
	
	//	kDebDevastatingDefeat_msg,
	"Wir haben den Quad verloren - unsere beste Chance fr die Grndung einer Allianz mit einer der Mchte in diesem " \
	"Quadranten. Dies ist ein schwerer Schlag fr unsere Bemhungen. Ich kann den Schaden, den dieser Fehlschlag verursachen wird, nicht herunterspielen.\n\n" \
	"Sie werden aus der Sondereinheit entfernt, und es wird eine Untersuchung angesetzt.\n\n" \
	"Wegtreten.\n\n",

	//
	//	Comm buttons
	//
	
	//	k_HAIL_Freighter_btn,
	"RUFEN",

	//	k_DROPSHIELDS_Freighter_btn,
	"SCHILDE SENKEN",
	
	//	k_WESURRENDER_Player_btn,
	"WIR ERGEBEN UNS",

	//	k_WESURRENDER_PlayerForReal_btn,
	"WIR ERGEBEN UNS",
	
	//	k_YOUSURRENDER_Enemy_btn,
	"IHR ERGEBT EUCH",
	
	//	k_YOUSURRENDER_EnemyForReal_btn,
	"IHR ERGEBT EUCH",

	//
	//	Comm messages
	//
	
	//	k_HAIL_Freighter1_msg,
	"Kommunikationsoffizier: Sie antworten nicht auf unsere Rufe.\n\n",
	
	//	k_HAIL_Freighter2_msg,
	"Captain: Die Diplomaten sind bereit zum Transport.\n\n",
	
	//	k_HAIL_Freighter3_msg,
	"Captain: Bis jetzt sind wir noch in guter Verfassung. Bitte helft uns, dass das so bleibt.\n\n",
	
	//	k_HAIL_Freighter4_msg,
	"Captain: Die Hlle wird schnell schwcher. Auf diese Weise werden wir nicht mehr lange durchhalten knnen.\n\n",
	
	//	k_HAIL_Freighter5_msg,
	"Captain: Wir mussten einige Schden hinnehmen. Wir brauchen Verstrkung.\n\n",
	
	//	k_HAIL_Freighter6_msg,
	"Captain: Mayday. Wir brauchen Verstrkung.\n\n",

	//	k_DROPSHIELDS_Freighter_msg,
	"[PLAYER_NAME]: Senkt die Schilde, sodass wir die Diplomaten auf unser Schiff beamen knnen.\n\n" \
	"Captain des Frachters: Selbstverstndlich, [PLAYER_RANK].\n\n",
	
	//	k_WESURRENDER_Player1_msg,
	"Kommunikationsoffizier: Keine Reaktion.\n\n",
	
	//	k_WESURRENDER_Player2_msg,
	"[PLAYER_NAME]: Wir ergeben uns. Wir befinden uns auf einer diplomatischen Mission. Unsere Kapitulation sollte Beweis genug sein...\n\n" \
	"Gegnerischer Captain: Eine sehr weise Entscheidung.\n\n",
	
	//	k_YOUSURRENDER_Enemy1_msg,
	"Kommunikationsoffizier: Keine Reaktion.\n\n",
	
	//	k_YOUSURRENDER_Enemy2_msg,
	"Gegnerischer Commander: Abgelehnt. Die Schlacht ist noch nicht vorbei.\n\n",
	
	//	k_YOUSURRENDER_Enemy3_FederationLyranHydran_msg,
	"Gegnerischer Commander: Sehr wohl. Wir ergeben uns.\n\n",
	
	//	k_YOUSURRENDER_Enemy3_KlingonRomulanGornMirak_msg,
	"Gegnerischer Commander: Wir werden euch niemals lebend in die Hnde fallen!\n\n" \
	"Waffenoffizier: Sie zerstren sich eher selbst, anstatt vor uns zu kapitulieren?!?!\n\n",
	
	//	k_YOUSURRENDER_Enemy4_msg,
	"Erster Offizier: Wir haben allen Gegnern eine Lektion erteilt. Jetzt mssen wir uns nur noch den Diplomaten greifen, und die Mission " \
	"ist abgeschlossen.\n\n",
	
	//	k_YOUSURRENDER_Enemy5_msg,
	"Erster Offizier: Wir haben allen gegnerischen Schiffen eine Lektion erteilt. Alle Missionsziele wurden erfllt.\n\n",

	//
	//	Victory rating
	//

	// kAstoundingVictory_msg,
	"Groartiger Sieg!\n",

	// kVictory_msg,
	"Sieg!\n",

	// kDraw_msg,
	"Unentschieden.\n",

	// kDefeat_msg,
	"Niederlage.\n",

	// kDevastatingDefeat_msg,
	"Vernichtende Niederlage.\n",

	//
	//	Random chatter
	//

	//	kRandChat1_msg,
	"Steuermann:\n\n",
	
	//	kRandChat2_msg,
	"Ingenieur:\n\n",
		
	//	kRandChat3_msg,
	"Sicherheitsoffizier:\n\n",
	
	//	kRandChat4_msg,
	"Navigation:\n\n",
		
	//	kRandChat5_msg,
	"Waffenoffizier:\n\n",
	
	//	kRandChat6_msg,
	"Wissenschaftsoffizier:\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	
	//	kEvent4_1_msg,
	"Wissenschaftsoffizier: Wir sind jetzt in Transporterreicheweite des Transportschiffs. Das Transportschiff muss seine" \
	"Schilde senken.\n\n",
	
	//	kEvent5_1_msg,
	"Wissenschaftsoffizier: Wir beamen das diplomatische Team herber.\n\n",
	
	//	kEvent5_2_msg,
	"Erster Offizier: Primrziel erreicht. Jetzt mssen wir nur noch alle gegnerischen Schiffe zerstren, dann " \
	"ist die Mission abgeschlossen.\n\n",
	
	//	kEvent5_3_msg,
	"Erster Offizier: Wir haben allen gegnerischen Schiffen eine Lektion erteilt. Alle Missionsziele wurden erfllt.\n\n",
	
	//	kEvent6_1_msg,
	"Erster Offizier: Wir haben allen Gegnern eine Lektion erteilt. Jetzt mssen wir uns nur noch den Diplomaten greifen, und die Mission " \
	"ist abgeschlossen.\n\n",
	
	//	kEvent6_2_msg,
	"Erster Offizier: Wir haben allen gegnerischen Schiffen eine Lektion erteilt. Alle Missionsziele wurden erfllt.\n\n",
	
	//	kEvent7_1_msg,
	"Wissenschaftsoffizier: Ich registriere eine verborgene gegnerische Basis tief unter der Oberflche des Planeten. Wahrscheinlich haben sie " \
	"die Flotte an der nicht einsehbaren Stelle am Magnetpol des Planeten versteckt -- er ist sehr stark.\n\n",
	
	//	kEvent7_2_msg,
	"Wissenschaftsoffizier: Ich registriere noch immer eine verborgene gegnerische Basis tief unter der Oberflche des Planeten. Sie " \
	"haben ein Kraftfeld errichtet, um unseren Angriff abzuwehren.\n\n",
	
	//	kEvent8_1_msg,
	"Wissenschaftsoffizier: Wir haben einen groen Teil der Planetenoberflche in Schutt und Asche gelegt. Kein Anzeichen von etwas " \
	"Auergewhnlichem, aber ich muss noch einen Tiefenscan machen.\n\n",
	
	//	kEvent8_2_msg,
	"Wissenschaftsoffizier: Sie haben eine Schild um ihre Einrichtung herum errichtet. Unsere Waffen knnen " \
	"das Schild nicht durchbrechen.\n\n",
	
	//	kEvent10_1_msg,
	"Erster Offizier: Wir haben allen Gegnern eine Lektion erteilt. Jetzt mssen wir uns nur noch den Diplomaten greifen, und die Mission " \
	"ist abgeschlossen.\n\n",
	
	//	kEvent10_2_msg,
	"Erster Offizier: Wir haben allen gegnerischen Schiffen eine Lektion erteilt. Alle Missionsziele wurden erfllt.\n\n",
	
	//	kEvent11_1_msg,
	"Sicherheitsoffizier: Enteraktion erfolgreich. Das Schiff ist unser. Sorgen wir dafr, dass es das System verlsst.\n\n",
	
	//	kEvent11_2_msg,
	"Erster Offizier: Wir haben allen Gegnern eine Lektion erteilt. Jetzt mssen wir uns nur noch den Diplomaten greifen, und die Mission " \
	"ist abgeschlossen.\n\n",
	
	//	kEvent11_3_msg,
	"Erster Offizier: Wir haben allen gegnerischen Schiffen eine Lektion erteilt. Alle Missionsziele wurden erfllt.\n\n",
	
	//	kEvent12_1_msg,
	"Wissenschaftsoffizier: Der Frachter wurde zerstrt. Mission abgebrochen.",
	
	//	kEvent13_1_msg,
	"Wissenschaftsoffizier: Wir verlassen das System, Captain.\n\n",
	
	//	kEvent14_1_msg,
	"Wissenschaftsoffizier: Wir haben das System verlassen.\n\n",

	//
	//	Custom messages
	//
	
	//	kCustom1_msg
	"Erster Offizier: Gegnerisches Schiff besiegt.\n\n",

	//	kCustom2_msg,
	"Gegnerischer Captain: War das jetzt die groe Inspiration?  Wir verlassen diesen Ort friedlich, und ihr nehmt uns unter Beschuss?  Ihr lasst " \
	"uns keine Wahl -- dafr werdet ihr bezahlen!\n\n",

	//	kCustom3_msg,
	"Erster Offizier: Transportschiff zerstrt. Kein Problem, wir haben die Diplomaten ja schon an Bord.\n\n",

	//	kCustom4_msg,
	"Chief Transporter: Es gibt noch keinen Grund, die Diplomaten von unserem Schiff zu bringen, [PLAYER_RANK].\n\n",

	//
	//	Not localized as of 10/8/00
	//
	
	//	kPlayerTeamTitle_msg,
	"Die feste Hand der Diplomatie",

	//	kPlayerTeamBriefing_msg,
	"",

	//
	//	Not localized as of 10/17/00
	//

	//	kScanning_msg,
	"Wissenschaftsoffizier: Wir scannen...\n\n",

	//	kDisconnect_msg, Forfeit
	"Mission eingebt",

	//
	//	Not localized as of 11/19/00
	//

	//	kCommStart_msg,
	"[9]Kommunikationsoffizier: [PLAYER_RANK], Notruf vom Transportschiff. Drei Kommandokreuzer " \
	"verfolgen den Transport. Der Transport wurde aus heiterem Himmel getroffen - es gab keinerlei Anzeichen, " \
	"dass sie das System erreicht oder sich sogar enttarnt htten. Merkwrdig.",


#else		////////////////////////////////////////////////////////////////////////////////////////////


	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"ISC_8Diplomacy",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"The ISC has come to the conclusion that we cannot complete the Pacification Campaign on our " \
	"own.  We've sent back to the Concordium for the Miel Quad, our best diplomats (or diplomat, " \
	"depending on how you view their symbiosis).\n\n" \
	"You will proceed to [SYSTEM_NAME], where you will rendezvous with the a transport ship " \
	"and beam the diplomat aboard.  Once you have him, you'll proceed to the nearest receptive " \
	"capital-world where you will deliver the Quad.  Hopefully, the Quad will work their diplomatic " \
	"magic once again.\n\n" \
	"We're sending you on the safest delivery route, but it isn't completely secure.  If you encounter " \
	"enemy ships, we don't expect the primitives to respect diplomatic protocols in deep space.  Destroy " \
	"them.  Also, if you encounter anything unusual in the system, look into it.\n\n" \
	"Dismissed.\n\n",

	//
	//	Starting message
	//
	
	//	kStart_msg,
	"[PLAYER_NAME]: Pacification campaign record, Galactic Date [STARDATE].  We are enroute to " \
	"[SYSTEM_NAME] to intercept a diplomatic envoy.  If we find enemy vessels in the system, we are " \
	"ordered to destroy them, but securing the diplomats are our primary objective.\n\n",

	//
	//	Debriefing messages
	//
	
	//	kDebAstoundingVictory_msg,
	"Congratulations.  You have the ambassador. Now the hard part begins.\n\n" \
	"We want an alliance with the Romulans. Do what you can to make this happen.\n\n" \
	"Dismissed.\n\n",
	
	//	kDebVictory_msg,
	"Surrendering your ship is an automatic court martial.  You'll be reduced a step in rank, and lose " \
	"much of the respect and authority you've previously earned.\n\n" \
	"Dismissed.\n\n",
	
	//	kDebDraw_msg,
	"\n\n",
	
	//	kDebDefeat_msg,
	"We lost the quad - our best shot at gaining an alliance with one of the powers of this " \
	"quadrant.  This is a fatal blow to our efforts.  I cannot understate how damaging this failure " \
	"is.  At least you were able to take some of their ships though.\n\n" \
	"You're removed from the special forces, pending an investigation.\n\n" \
	"Dismissed.\n\n",
	
	//	kDebDevastatingDefeat_msg,
	"We lost the quad - our best shot at gaining an alliance with one of the powers of this " \
	"quadrant.  This is a fatal blow to our efforts.  I cannot understate how damaging this failure is.\n\n" \
	"You're removed from the special forces, pending an investigation.\n\n" \
	"Dismissed.\n\n",

	//
	//	Comm buttons
	//
	
	//	k_HAIL_Freighter_btn,
	"HAIL",

	//	k_DROPSHIELDS_Freighter_btn,
	"DROP SHIELDS",
	
	//	k_WESURRENDER_Player_btn,
	"WE SURRENDER",

	//	k_WESURRENDER_PlayerForReal_btn,
	"WE SURRENDER",
	
	//	k_YOUSURRENDER_Enemy_btn,
	"YOU SURRENDER",
	
	//	k_YOUSURRENDER_EnemyForReal_btn,
	"YOU SURRENDER",

	//
	//	Comm messages
	//
	
	//	k_HAIL_Freighter1_msg,
	"Communications Officer: They're not answering our hails.\n\n",
	
	//	k_HAIL_Freighter2_msg,
	"Captain: The diplomats are ready to be transferred.\n\n",
	
	//	k_HAIL_Freighter3_msg,
	"Captain: We're in good shape.  Please help us stay that way.\n\n",
	
	//	k_HAIL_Freighter4_msg,
	"Captain: Hull is getting weak quickly.  We won't be that way for much longer.\n\n",
	
	//	k_HAIL_Freighter5_msg,
	"Captain: We've taken some damage.  Requesting assistance.\n\n",
	
	//	k_HAIL_Freighter6_msg,
	"Captain: Mayday.  Requesting assistance.\n\n",

	//	k_DROPSHIELDS_Freighter_msg,
	"[PLAYER_NAME]: Drop your shields so that we can transport the diplomats over to our ship.\n\n" \
	"Freighter Captain: Of course, [PLAYER_RANK].\n\n",
	
	//	k_WESURRENDER_Player1_msg,
	"Communications Officer: No response.\n\n",
	
	//	k_WESURRENDER_Player2_msg,
	"[PLAYER_NAME]: We surrender to you.  We're on a diplomatic mission.  This surrender will prove that...\n\n" \
	"Enemy Captain: Very wise.\n\n",
	
	//	k_YOUSURRENDER_Enemy1_msg,
	"Communications Officer: No response.\n\n",
	
	//	k_YOUSURRENDER_Enemy2_msg,
	"Enemy Commander: We refuse.  The battle is not over yet.\n\n",
	
	//	k_YOUSURRENDER_Enemy3_FederationLyranHydran_msg,
	"Enemy Commander: Very well.  We surrender.\n\n",
	
	//	k_YOUSURRENDER_Enemy3_KlingonRomulanGornMirak_msg,
	"Enemy Commander: You'll never take us alive!\n\n" \
	"Weapons Officer: They self-destructed rather than surrender to us?!?!\n\n",
	
	//	k_YOUSURRENDER_Enemy4_msg,
	"First Officer: All enemies have been dealt with.  We just have to get the diplomat to complete " \
	"the mission.\n\n",
	
	//	k_YOUSURRENDER_Enemy5_msg,
	"First Officer: All enemy ships have been dealt with.  All mission objectives accomplished.\n\n",

	//
	//	Victory rating
	//

	// kAstoundingVictory_msg,
	"Astounding Victory!\n",

	// kVictory_msg,
	"Victory!\n",

	// kDraw_msg,
	"Draw.\n",

	// kDefeat_msg,
	"Defeat.\n",

	// kDevastatingDefeat_msg,
	"Devastating Defeat.\n",

	//
	//	Random chatter
	//

	//	kRandChat1_msg,
	"Helm:\n\n",
	
	//	kRandChat2_msg,
	"Engineer:\n\n",
		
	//	kRandChat3_msg,
	"Security Officer:\n\n",
	
	//	kRandChat4_msg,
	"Navigation:\n\n",
		
	//	kRandChat5_msg,
	"Weapons Officer:\n\n",
	
	//	kRandChat6_msg,
	"Science Officer:\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	
	//	kEvent4_1_msg,
	"Science Officer: We're now within transporter range of the transport.  The transport needs to lower" \
	"its shields.\n\n",
	
	//	kEvent5_1_msg,
	"Science Officer: Beaming over the diplomatic team.\n\n",
	
	//	kEvent5_2_msg,
	"First Officer: Primary objective completed.  All we need to do is destroy all enemy ships to " \
	"complete the mission.\n\n",
	
	//	kEvent5_3_msg,
	"First Officer: All enemy ships have been dealt with.  All mission objectives accomplished.\n\n",
	
	//	kEvent6_1_msg,
	"First Officer: All enemies have been dealt with.  We just have to get the diplomat to complete " \
	"the mission.\n\n",
	
	//	kEvent6_2_msg,
	"First Officer: All enemy ships have been dealt with.  All mission objectives accomplished.\n\n",
	
	//	kEvent7_1_msg,
	"Science Officer: I'm detecting a hidden enemy base deep beneath the planet's surface.  They " \
	"probably hid the fleet on the blind spot on the planet's magnetic pole -- it's very strong.\n\n",
	
	//	kEvent7_2_msg,
	"Science Officer: I am still reading the enemy base deep beneath the planet's surface.  They " \
	"have raised a forcefield to repel out attack.\n\n",
	
	//	kEvent8_1_msg,
	"Science Officer: We have devastated a huge area of the planet's surface.  No sign of anything " \
	"unusual, but I haven't done a deep scan.\n\n",
	
	//	kEvent8_2_msg,
	"Science Officer: They've put up a shield around their installation.  Our weapons won't be able to " \
	"blast through it.\n\n",
	
	//	kEvent10_1_msg,
	"First Officer: All enemies have been dealt with.  We just have to get the diplomat to complete " \
	"the mission.\n\n",
	
	//	kEvent10_2_msg,
	"First Officer: All enemy ships have been dealt with.  All mission objectives accomplished.\n\n",
	
	//	kEvent11_1_msg,
	"Security Officer: Boarding action successful.  The ship is ours.  Let's have it leave the system.\n\n",
	
	//	kEvent11_2_msg,
	"First Officer: All enemies have been dealt with.  We just have to get the diplomat to complete the " \
	"mission.\n\n",
	
	//	kEvent11_3_msg,
	"First Officer: All enemy ships have been dealt with.  All mission objectives accomplished.\n\n",
	
	//	kEvent12_1_msg,
	"Science Officer: The freighter has been destroyed.  Mission aborted.",
	
	//	kEvent13_1_msg,
	"Science Officer: Leaving the system, Captain.\n\n",
	
	//	kEvent14_1_msg,
	"Science Officer: We have left the system.\n\n",

	//
	//	Custom messages
	//
	
	//	kCustom1_msg
	"First Officer: Enemy ship defeated.\n\n",

	//	kCustom2_msg,
	"Enemy Captain: What's the big idea?  We were going to leave peacefully and you fire upon us?  You " \
	"give us no choice -- you will pay for that!\n\n",

	//	kCustom3_msg,
	"First Officer: Transport destroyed.  It's O.K. though since we already have the diplomats onboard.\n\n",

	//	kCustom4_msg,
	"Transporter Chief: There is no reason to take the diplomats off of our vessel yet, [PLAYER_RANK].\n\n",

	//
	//	Not localized as of 10/8/00
	//
	
	//	kPlayerTeamTitle_msg,
	"The Firm Hand Of Diplomacy",

	//	kPlayerTeamBriefing_msg,
	"",

	//
	//	Not localized as of 10/17/00
	//

	//	kScanning_msg,
	"Science Officer: Scanning...\n\n",

	//
	//	Not localized as of 11/5/00
	//

	//	kDisconnect_msg,
	"Forfeit",

	//
	//	Not localized as of 11/19/00
	//

	//	kCommStart_msg,
	"[9]Communications Officer: [PLAYER_RANK], distress call from the transport.  Three commando " \
	"cruisers are pursuing the transport.  The transport was blindsided - there was no sign " \
	"of them entering the system, or even decloaking. Odd.\n\n",

#endif
};


