/********************************************************************************************************\

	File Name:	NPC1Team.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "Planet.h"
#include "NPC1Team.h"
#include "NPC1TeamBaseState.h"
#include "ISC_8Diplomacy.h"
#include "ShipScriptDescription.h"
#include "ShipList_API.h"


tClassAllocator<tNPC1Team> gNPC1TeamAllocator;

/*

	HELPER NOTE:	If you create any new states on the team level, you must register them here first.

*/
void tNPC1Team::mSetupState()
{
	mRegisterState( new tNPC1TeamBaseState() );
	mGotoState( typeid( tNPC1TeamBaseState ) );
}

void tNPC1Team::mSetupCommState()
{}


void tNPC1Team::mCreateShipsForTeam()
{
	mCreateShip(	typeid( tPlanet ), "PL2", kStartPosition_W, kNoMetaShipID, kPlanet,
					0, 0, -1, -1, NULL, kDefaultShipOptions );
}

void tNPC1Team::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tNPC1Team::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mDebug_fprintf("--- Entering: tEnemy3Team::mCreateNewShip: %s\n", 
		shipScriptDescription.fClassName.c_str());
	gST.mInitializeSL();
	gST.mDraftedShipCensus( shipScriptDescription.fClassName.c_str() );

   // don't actually draft it. We're just collecting era data!
   	gST.mDebug_fprintf("We don't actually draft ship %s. We're just collecting data!\n",
		shipScriptDescription.fClassName.c_str());

   	gST.mDebug_fprintf("--- Finished: tEnemy3Team::mCreateNewShip: %s\n", 
		shipScriptDescription.fClassName.c_str());
}
