/********************************************************************************************************\

	File Name:	PlayerNPC1Team.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "PlayerNPC1Team.h"
#include "PlayerNPC1TeamBaseState.h"
#include "PlayerNPC1TeamAllyAttackedState.h"
#include "PlayerNPC1Ship.h"
#include "ShipScriptDescription.h"
#include "ISC_9B4Homeworld.h"
#include "ShipList_API.h"

tClassAllocator<tPlayerNPC1Team> gPlayerNPC1TeamAllocator;


void tPlayerNPC1Team::mSetupState()
{
	mSetAllyAttacked(false);
	mRegisterState( new tPlayerNPC1TeamBaseState() );
	mRegisterState( new tPlayerNPC1TeamAllyAttackedState() );
	mGotoState( typeid( tPlayerNPC1TeamBaseState ) );
}


void tPlayerNPC1Team::mSetupCommState()
{}


void tPlayerNPC1Team::mCreateShipsForTeam()
{}

void tPlayerNPC1Team::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tPlayerNPC1Team::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
    gST.mDebug_fprintf("--- Entering: tPlayerNPC1Team::mCreateNewShip: %s\n",
        shipScriptDescription.fClassName.c_str());
    gST.mInitializeSL();
    gST.mDraftedShipCensus( shipScriptDescription.fClassName.c_str() );

   // don't actually draft it. We're just collecting era data!
    gST.mDebug_fprintf("We don't actually draft ship %s. We're just collecting data!\n",
        shipScriptDescription.fClassName.c_str());

    gST.mDebug_fprintf("--- Finished: tPlayerNPC1Team::mCreateNewShip: %s\n",
        shipScriptDescription.fClassName.c_str());
}

bool tPlayerNPC1Team::mAllyAttacked(void)
{
	return fAllyAttacked;
}
void tPlayerNPC1Team::mSetAllyAttacked(bool x)
{
	if(x)
	{
		mGotoState( typeid( tPlayerNPC1TeamAllyAttackedState ) );
	}
	fAllyAttacked = x;
}
