/********************************************************************************************************\

	File Name:	X3M1BTemple.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( ISC_X3M1BTemple_h )
#define ISC_X3M1BTemple_h

#include "ScriptInterface.h"

//---------------------------------------------------------------------------------------------
// the following enum is used to identify all non-player teams in the script
// (use kPlayerTeam to access the current players team.)
enum eTeamTypes
{
	kPlayerTeam = kTeam1,
	kTransportTeam,
	kEnemyTeam,
	kSunTeam,
	kDraftTeam1,
	kDraftTeam2,
};

class tVictoryCondition;

class tISC_X3M1BTemple : public tScript
{
public:

	tISC_X3M1BTemple();

	virtual void	mStartMission();
	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual int32	mInitializeFinished();
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual void	mASCIIOverrides( tMapOverrides* Map );
	virtual void	mDefineBriefings( void );
	virtual void	mDefineTeamShipStrengths( void );
};

#endif


