/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------

#if defined ( _GERMAN )

std::string Messages[] =
{
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"ISC_X3M1BTemple",

	//
	//	Description message
	//
	"Dr. Sevrin Jr. verfgt ber geheime Informationen, die er uns mitteilen mchten. Die Fderation will verhindern, dass wir diese Informationen erhalten. " \
	"Daher ist es von groer Wichtigkeit, dass wir sie statt ihrer erhalten.",

	//
	//	Briefing message
	//

	// kBriefing_msg,

	"Diese nchste Mission drfte auerordentlich interessant werden.\n\n" \
	"Dr. Sevrin Jr., ein Historiker der Fderation und Anhnger unserer Idee der galaktischen Befriedung, " \
	"wnscht ein Treffen mit uns, um uns von einer wissenschaftlichen Entdeckung in Kenntnis zu setzen. Wir haben keine Ahnung, was Sevrin Jr. " \
	"entdeckt hat, mchten es aber unbedingt wissen. Sie werden sich nach [SYSTEM_NAME] begeben. Dieses System ist von schweren Staubwolken verhangen und verfgt ber einen merkwrdigen " \
	"Pulsar - die Emissionen des Pulsars ermglichen eine Verwendung des Kommunikationssystems nur ber Reichweiten von 50.000 " \
	"Kilometern, was eine ideale Mglichkeit zum Sichern einer bertragung darstellt. \n\n" \
	"Nachdem die Geheiminformationen in unseren Hnden sind, sollten sie so schnell wie mglich geprft werden. Wir glauben, dass die Sternenflotte der " \
	"Fderation mglicherweise versuchen wird, Sevrin Jr. aufzuhalten - wir erwarten daher, dass sie versuchen werden, sein Schiff zu entern und die " \
	"Entdeckung an sich zu reien. Sie werden alle Schiffe der Fderation vernichten, bevor das geschehen kann.\n\n" \
	"Wegtreten.\n\n",

	//
	//	Starting message
	//
	
	//	kStart_msg,
	"[PLAYER_NAME]: Bericht des Befriedungsfeldzugs, galaktisches Datum [STARDATE]. Es ist gut zu wissen, dass nicht alle " \
	"Leute in diesem Quadranten gegen uns sind. Er bietet uns die bergabe einer wichtigen wissenschaftlichen Entdeckung, wenn wir " \
	"es schaffen, ihn vor der Fderation zu treffen. Wir werden ihn schtzen, koste es, was es wolle.",

	//
	//	Debriefing messages
	//
	
	//
	//	Comm buttons
	//

	//k_HAIL_ENEMY_btn,
	"RUFEN",
	//k_DS_ENEMY_btn,
	"KAPITULATION FORDERN",
	//k_HAIL_Transport_btn,
	"RUFEN",
	//k_Demand_Surrender_Transport_btn,
	"KAPITULATION FORDERN",
	//k_HAIL_Sun_btn,
	"RUFEN",

	//
	//	Comm messages
	//

	//k_Enemy_Already_Surrendered_msg,
	"Captain der Fderation: Sie haben uns geschlagen. Jede weitere Kommunikation wre unlogisch.",
	//k_Nothing_To_Talk_About_msg,
	"Sicherheitsoffizier: Es gibt wirklich nichts, ber das es sich zu sprechen lohnte.",
	//k_Enemy_Hail_Random1_msg,
	"Captain der Fderation: Wir knnen nicht zulassen, dass der Gegner Zugang zu geheimen Informationen erhlt. " \
	"Obwohl jede Art der Zerstrung widerlich ist, ist es die einzig logische Vorgehensweise.",
	//k_Enemy_Hail_Random2_msg,
	"Captain der Fderation: Sie haben nichts zu sagen, was meine Befehle ndern wrde oder fr mich von irgendwelchem Interesse wre.",
	//k_Enemy_Hail_Random3_msg,
	"Captain der Fderation: Die einzig logische Lsung unseres Konflikts ist entweder militrische Gewalt " \
	"oder Ihr Rckzug.",
	//k_Pulsar_Interference_msg,
	 "Kommunikationsoffizier: Die Interferenzen des Pulsars machen jede Kommunikation unmglich. " \
	 "Wir mssen nher ran.",
	//k_Done_Enough_msg,
	"Captain der Fderation: Haben Sie nicht schon genug Unheil angerichtet?",
	//k_Enemy_Surrenders_msg,
	"Captain der Fderation: Die Chancen, diesen Kampf erfolgreich zu bestehen, liegen nicht lnger in " \
	"einem akzeptablen Rahmen. Daher ist die Kapitulation die einzig logische Entscheidung.",
	//k_Enemy_No_Surrender_Random1_msg,
	"Captain der Fderation: Eine Kapitulation wrde sowohl den Gesetzen als auch dem gesunden Menschenverstand widersprechen.",
	//k_Enemy_No_Surrender_Random2_msg,
	"Captain der Fderation: Ein beraus unlogischer und ... provokanter ... Vorschlag. Sie lassen ernsthafte " \
	"Zweifel an der Behauptung des ISKs aufkommen, intelligente Wesen hervorzubringen.",
	//k_Enemy_No_Surrender_Random3_msg,
	"Captain der Fderation: Ich kann Ihrem Wunsch nicht entsprechen. Eine ungerechtfertigte Zustimmung " \
	"ermutigt Sie nur zu weiterem Eindringen in diesen Quadranten und verlngert einen unlogischen und " \
	"unerwnschten Konflikt.",
	//k_Hail_Sevrin_After_Surrender_msg,
	"Dr. Sevrin Jr.: Sie haben unsere Kapitulation doch bereits akzeptiert. Herbert!",
	// k_Hail_Sevrin_Get_Closer,
	"Dr. Sevrin Jr.: Wir werden unsere Daten ber eine codierte Nahbereichsbertragung bermitteln, sobald " \
	"Sie sich in einer Entfernung von 10.000 km befinden. Dieser Pulsar hat ble Folgen fr unser Kommunikationssystem.",
	// k_Hail_Sevrin_Enemy_Exists,
	"Dr. Sevrin Jr.: Sie sollten uns diese nervttenden Fderationsschiffe vom Hals schaffen. Ich konnte die Sternenflotte " \
	"noch nie leiden. Wussten Sie, dass sie fr den Tod meines Vaters verantwortlich sind?",
	// k_Hail_Sevrin_No_Enemy,
	"Dr. Sevrin Jr.: Natrlich fhle ich mich hier jetzt wohler, nachdem Sie es diesen nervttenden " \
	"Fderationsschiffen gezeigt haben. Ich konnte die Sternenflotte noch nie leiden. Wussten Sie, dass sie fr " \
	"den Tod meines Vaters verantwortlich sind?",
	//k_Sevrin_Already_Surrendered_msg,
	"Dr. Sevrin Jr.: Herzlichen Glckwunsch! Sie haben es geschafft, einen Frachter im Kampf zu besiegen. Bestrkt Sie das jetzt in Ihrer Mnnlichkeit? Was " \
	"werden Sie als nchstes tun, ein Quorum schlafender veldorianischer Rehe mit dem Phaser aus dem Orbit jagen?",
	//k_Sevrin_Surrenders_msg,
	"Dr. Sevrin Jr.: Wir knnen den Kampf mit einem Kriegsschiff nicht aufnehmen. Natrlich ergeben wir uns, Sie Trottel! Wenn ich daran denke, dass ich geglaubt habe, " \
	"das ISK habe sich wirklich dem Frieden verschrieben...",
	//k_Before_Random_Hail_Sun_msg,
	"Kommunikationsoffizier: Das machen wir gleich noch einmal. ",
	//k_Hail_Sun_Random1_msg,
	"Ein Zerbersten, gefolgt von etwas, was sich wie ein Ploppen angehrt hat, Captain.",
	//k_Hail_Sun_Random2_msg,
	"Ein tiefes, pulsierendes Knarren, fast ein Sthnen, das langsam verklingt und dann verstummt, Captain.",
	//k_Hail_Sun_Random3_msg,
	"Ein Strom aus sechs intensiven Summgeruschen, gefolgt von einem Knistern und einem sehr lauten Plop, Captain.",
	//k_After_Random_Hail_Sun_msg,
	"Wissenschaftsoffizier: Ich bin nicht sicher, ob wir die Technik schrfer einstellen sollten oder ob dies das Beste ist, was wir kriegen knnen.",
	//k_First_Sun_Hail_msg,
	"Kommunikationsoffizier: Es ist einen Versuch wert..." \
	"Wissenschaftsoffizier: Hmm... Dieses Knistern ist nicht zu bersetzen, aber es handelt sich wahrscheinlich um einen kurzen Schmerzensschrei und " \
	"ein Brennen, bevor die solare Lebensform ausgelscht wird. Die meisten Lebensformen, die innerhalb eines Sterns entstehen, wrden ber eine " \
	"auerordentlich kurze Lebensdauer verfgen. Dennoch ist die Tatsache, dass wir eine gefunden haben, die lange genug berlebt hat, um sogar diesen " \
	"Grad der Kommunikation zu ermglichen ... wirklich auergewhnlich.",
	//k_Are_You_Ok_msg,
	"Kommunikationsoffizier: [PLAYER_RANK]? Sind Sie in Ordnung?",

	//
	//	Victory rating
	//

	// kDebAstoundingVictory_msg,
	"Ich gratuliere zu Ihrem Erfolg. Ich muss zugeben, dass diese Entdeckung schwer zu glauben ist, obwohl wir " \
	"wissen, dass das Universum Mysterien und Wunder birgt, die jenseits aller Vorstellungskraft liegen. Mit den Sternen sprechen? " \
	"Und dennoch war es Ihnen mglich, Sie haben etwas Groes erreicht, das in die Geschichte eingehen wird. Gibt es ein noch besseres Gefhl?\n\n" \
	"Und wenn wir welche finden knnen, die eine Mglichkeit gefunden haben, im Herzen eines stellaren Brennofens zu berleben, wer wei, " \
	"was sie entdeckt haben?\n\n Denn es heit, dass wir aus den Sternen geboren sind, und so sind sie unsere Brder. Wir mssen Kontakt zu ihnen aufnehmen.\n\n",

	// kDebVictory_msg,
	"Ich gratuliere zu Ihrem Erfolg. Ich muss zugeben, dass diese Entdeckung schwer zu glauben ist, obwohl wir wissen, " \
	"dass das Universum Mysterien und Wunder birgt, die jenseits aller Vorstellungskraft liegen. Mit den Sternen sprechen? Ich wnschte nur, " \
	"Sie htten die Technik ausprobiert, bevor Sie zurckgekehrt sind.\n\nWegtreten.\n\n",

	// kDebDraw_msg,
	"Sie wurden ausgesandt, um die Geheiminformationen von Dr. Sevrin Jr. an sich zu bringen und zu prfen und gleichzeitig zu verhindern, dass sie der Fderation " \
	"in die Hnde fallen. Bei diesem sehr gemischten Ergebnis ist es schwer zu sagen, wo wir nun stehen.\n\nWegtreten.\n\n",

	// kDebDefeat_msg,
	"Die Geheiminformationen sind der Fderation in die Hnde gefallen. Das ist schlecht. Darber hinaus haben Sie bei der Aufgabe versagt, die\n\n" \
	"Fderationsschiffe zu besiegen. Ich wei nicht, was ich dazu noch sagen soll.\n\nWegtreten.\n\n",

	// kDebDevastatingDefeat_msg,
	"Diese Mission war der wohl spektakulrste Fehlschlag, den ich je erlebt habe. Die Fderation hat es geschafft, " \
	"die Geheiminformationen von Dr. Sevrin Jr. zu erhalten, und nicht wir. Die Fderationsschiffe sind entkommen. Ihr Schiff nicht. Muss ich noch " \
	"mehr sagen?\n\nWegtreten.\n\n",

	// kLeftEarly_msg,
	"Trennen.",

	//
	//	Random chatter
	//
	//	kRandChat1_msg,
	"Steuermann: Die Fderation hat wirklich gute Piloten. Gut, dass dies meine Schicht ist.",
	//	kRandChat2_msg,
	"Ingenieur: Diese Staubwolken werden sicher wieder die Bussard-Kollektoren verstopfen... (Seufz)",
	//	kRandChat3_msg,
	"Sicherheitsoffizier: Meine Leute sind in Bereitschaft, Captain.",
	//	kRandChat4_msg,
	"Navigation: Die Staubwolken, die diesen Pulsar umgeben, sind so dick wie Plomeek-Suppe!",
	//	kRandChat5_msg,
	"Waffenoffizier: Ich dachte immer, Waffenoffizier beim ISK wre ein ziemlich langweiliger Job. " \
	"Ich nehme an, es ist nicht leicht, andere mit Gewalt dazu zu bringen, keine Gewalt mehr anzuwenden.",
	//	kRandChat6_msg,
	"Wissenschaftsoffizier: Dieser Pulsar ist wirklich uerst interessant. Zu dumm, dass die Kriegshetzer in der " \
	"Galaxis uns keine Zeit lassen, ihn umfassend zu studieren.",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//

	//kTransportDestroyedSecret_msg,
	"Sicherheitsoffizier: Transportschiff zerstrt. Die Fderation sollte lernen, vorsichtiger zu sein.",
	//kTransportDestroyedSansSecret_msg,
	"Wissenschaftsoffizier: Das Transportschiff wurde zerstrt, ohne dass wir sein Geheimnis erfahren haben." \
	"Sicherheitsoffizier: Mission wird abgebrochen.\n\n",
	//k_1st_Objective_Complete,
	"Wissenschaftsoffizier: Ich kann es kaum glauben, aber wir haben soeben Kommunikationssignale von einem Stern aufgefangen. Primres Missionsziel erfllt.",
	//k_2nd_Objective_Complete,
	"Wissenschaftsoffizier: Wir haben alle Fderationsschiffe besiegt. Sekundres Missionsziel erfllt.",
	//k_All_Objectives_Complete,
	"Wissenschaftsoffizier: Alle Missionsziele wurden erfllt. Mission abgeschlossen.",

	//kCaptured_msg,
	"Sicherheitsoffizier: Das Transportschiff ist unser. Meine Leute versuchen nun, hinter das Geheimnis zu kommen...",
	//kSecretSecured1_msg,
	"[10]Kommunikationsoffizier: Das Transportschiff bertrgt die Geheiminformationen... Da, wir haben es... Captain, "\
	"es ist unglaublich!" \
	"[PLAYER_NAME]: Was ist es?" \
	"Kommunikationsoffizier: Es handelt sich um eine Reihe von Anweisungen, wie die Kommunikationskonsole fr eine Kontaktaufnahme " \
	"mit Wesen eingestellt wird, die im Inneren von Sternen leben." \
	//kSecretSecured2_msg,
	"[10]Wissenschaftsoffizier: Das ist wirklich sehr interessant. Wenn junge Sterne also mit der Produktion von groen Mengen Kohlenstoffablagerungen " \
	"aus dem Fusionsprozess beginnen, ermglichen die Reaktionen hierin demzufolge einem winzigen Prozentsatz von " \
	"Kohlenstoff, quasi-chemische Reaktionen hnlich der Erzeugung von Proteinen zu durchlaufen, den Bausteinen des Lebens." \
	"[PLAYER_NAME]: Die Sonne ist ein denkbar ungastlicher Kessel fr die Entwicklung von Leben, nicht wahr?[10]" \
	"Wissenschaftsoffizier: Definitiv. Aber junge Sterne produzieren so viel Kohlenstoff, dass frher oder spter irgendwelche Lebensformen entstehen werden." \
	"[PLAYER_NAME]: Hmm. Klingt fast so wahrscheinlich wie das Vorhandensein von intelligenten Kohlevorkommen." \
	"Kommunikationsoffizier: Nichtsdestoweniger ist meine Konsole bereit, die Technik auszuprobieren.",

	//kEnemyCapturedTheSecret_msg,
	"Wissenschaftsoffizier: Die Fderation hat soeben ein Team auf das Schiff gebeamt. Sie mssten die Geheiminformationen jetzt haben.",
	//kEnemyDisengaging_msg,
	"Wissenschaftsoffizier: Alle Fderationsschiffe drngen danach, das System zu verlassen.",
	//kTransportDisengaging_msg,
	"Wissenschaftsoffizier: Dr. Sevrin Jr. macht sich auf, das System zu verlassen.",
	//kTransportLeftFailure_msg,
	"Wissenschaftsoffizier: Das Transportschiff hat die bersichtskarte verlassen. Wir haben es nicht geschafft, die Geheiminformationen zu erhalten. Mission abgebrochen.",
	//kScanning_msg,
	"Wissenschaftsoffizier: Wir scannen...",
	// kDeepScannedTransport_msg,
	"Wissenschaftsoffizier: Hmm... Ein standardmiges Transportschiff der Fderation. Wir mssen ziemlich nah ran, damit sein Kommunikationssystem " \
	"alle die Interferenzen berwinden kann, die dieser Pulsar verursacht.",
	// kDeepScannedSun_msg,
	"Wissenschaftsoffizier: Ein ungewhnlicher Pulsar. Sein Wasserstofftreibstoff ist beinah aufgebraucht, transformiert durch "
	"die Fusion zu schwereren Elementen... und es ist eine ungewhnliche Menge schwerer Elemente vorhanden.",

	//
	//	Custom messages
	//

	//
	//	Internal strings
	//

	// kSunClass,
	"PL1", // TODO: change this to the class for a "Pulsar"
	// kSunName,
	"Pulsar",
	// kEnemyShipClass,
	"F-CL",
	// kEnemyShipName1,
	"USS Clark",
	// kEnemyShipName2,
	"USS Ryan",
	// kEnemyShipName3,
	"USS Greer",
	// kTransportClass,
	"F-FLPh",
	// kTransportName,
	"Dr. Sevrin",

	//
	//	Not localized as of 10/8/00
	//
	
	//	kPlayerTeamTitle_msg,
	"Tempel im Himmel",

	//	kPlayerTeamBriefing_msg,
	"",

	//
	//	Not localized as of 10/17/00
	//

	//	kScanning_msg,
	"Wissenschaftsoffizier: Wir scannen...",

	//	kDisconnect_msg,
	"Mission eingebt",


};

#else

std::string Messages[] =
{
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"ISC_X3M1BTemple",

	//
	//	Description message
	//
	"Dr. Sevrin Jr. has a secret to give us. The Federation is trying to stop us from getting it. " \
	"Therefore, we must have it, and they must not.",

	//
	//	Briefing message
	//

	// kBriefing_msg,

	"This next mission should be very interesting.\n\n" \
	"Dr. Sevrin Jr., a Federation historian who is sympathetic with our goal of galactic pacification, " \
	"wants to rendezvous with us and pass along a scientific discovery. We have no idea what Sevrin's " \
	"uncovered, and we want to know. You will head to [SYSTEM_NAME]. It has heavy dust clouds and an odd " \
	"blue pulsar - emissions from the pulsar make communications usable only at ranges of 50,000 " \
	"kilometers, which make it an ideal way to safeguard a transmission. \n\n" \
	"Once the secret is yours, test it at the earliest possible convenience. We believe the Federation " \
	"Starfleet may attempt to stop Sevrin - we expect they'll try to board his ship and take the " \
	"discovery for themselves. You will eliminate any Federation ships before they can do this.\n\n" \
	"Dismissed.\n\n",

	//
	//	Starting message
	//
	
	//	kStart_msg,
	"[PLAYER_NAME]: Record of the Pacification Campaign, [STARDATE]. It is good to know that not all " \
	"the people of this quadrant are against us. He is offering us a major scientific discovery if we " \
	"can reach him before the Federation does. We will protect him at all costs.",

	//
	//	Debriefing messages
	//
	
	//
	//	Comm buttons
	//

	//k_HAIL_ENEMY_btn,
	"HAIL",
	//k_DS_ENEMY_btn,
	"DEMAND SURRENDER",
	//k_HAIL_Transport_btn,
	"HAIL",
	//k_Demand_Surrender_Transport_btn,
	"DEMAND SURRENDER",
	//k_HAIL_Sun_btn,
	"HAIL",

	//
	//	Comm messages
	//

	//k_Enemy_Already_Surrendered_msg,
	"Federation Captain: You have beaten us. Further communication would be illogical.",
	//k_Nothing_To_Talk_About_msg,
	"Security Officer: Nothing really to talk about.",
	//k_Enemy_Hail_Random1_msg,
	"Federation Captain: We cannot permit our enemies access to privileged information. " \
	"Though destruction is repugnant, it is the only logical course of action.",
	//k_Enemy_Hail_Random2_msg,
	"Federation Captain: You can say nothing that would change my orders or be of any interest to me.",
	//k_Enemy_Hail_Random3_msg,
	"Federation Captain: The only logical solution to our conflict is either resolution " \
	"through force, or for you to back away.",
	//k_Pulsar_Interference_msg,
	 "Communications Officer: Interference from the pulsar is making communications impossible. " \
	 "We need to get closer.",
	//k_Done_Enough_msg,
	"Federation Captain: Haven't you done enough already?",
	//k_Enemy_Surrenders_msg,
	"Federation Captain: The odds of successfully surviving this fight are no longer within " \
	"an acceptable margin. Surrender is, therefore, the logical course of action.",
	//k_Enemy_No_Surrender_Random1_msg,
	"Federation Captain: Surrender would be contrary to both regulations and good sense.",
	//k_Enemy_No_Surrender_Random2_msg,
	"Federation Captain: A most illogical and... annoying... suggestion. You raise serious " \
	"doubts about ISC claims of enlightenment.",
	//k_Enemy_No_Surrender_Random3_msg,
	"Federation Captain: I cannot comply with your request. Compliance without justification " \
	"will only embolden your intrusion into this quadrant and lengthen an illogical and " \
	"unwanted conflict.",
	//k_Hail_Sevrin_After_Surrender_msg,
	"Dr. Sevrin: You have already accepted our surrender.",
	// k_Hail_Sevrin_Get_Closer,
	"Dr. Sevrin: We'll transmit our data on an encoded, tightbeam transmission as soon as " \
	"you get within 10,000 km. This pulsar is wreaking havoc with our comm system.",
	// k_Hail_Sevrin_Enemy_Exists,
	"Dr. Sevrin: You should eliminate these pesky Federation ships. I never liked " \
	"Starfleet. Did you know they were responsible for my father's death?",
	// k_Hail_Sevrin_No_Enemy,
	"Dr. Sevrin: I sure feel better being here now that you've dealt with those pesky " \
	"Federation ships. I never liked Starfleet. Did you know they were responsible for " \
	"my father's death?",
	//k_Sevrin_Already_Surrendered_msg,
	"Dr. Sevrin: Congratulations! You've managed to beat a freighter in combat. Does that make you feel more manly? What " \
	"will you do next, phaser a quorum of sleeping Veldorian deer from orbit?",
	//k_Sevrin_Surrenders_msg,
	"Dr. Sevrin: We can't fight a warship. Of course we surrender, you idiot! And to think I believed " \
	"the ISC was truly committed to peace...",
	//k_Before_Random_Hail_Sun_msg,
	"Communications Officer: Let's do this again. ",
	//k_Hail_Sun_Random1_msg,
	"A crunching sound, followed by what sounds like a pop, Captain.",
	//k_Hail_Sun_Random2_msg,
	"A low throbbing creak, almost a moan, that slowly fades and falls silent, Captain.",
	//k_Hail_Sun_Random3_msg,
	"A stream of six intense buzzing sounds, followed by a crackle and a very loud pop, Captain.",
	//k_After_Random_Hail_Sun_msg,
	"Science Officer: I'm not sure whether we need to hone the technology, or if this will be the best we get.",
	//k_First_Sun_Hail_msg,
//	"Communications Officer: It's worth a shot..."
	"Science Officer: Hmm... That crackling sound is untranslatable, but it is probably a brief exclamation of pain and burning before the solar lifeform is extinguished. " \
	"Most life forms created within a star would have an extraordinarily brief lifespan. Still, the fact we found one that survived long enough to allow even this level of communication... it's extraordinary.",
	//k_Are_You_Ok_msg,
	"Communications Officer: [PLAYER_RANK]? Are you okay?",

	//
	//	Victory rating
	//

	// kDebAstoundingVictory_msg,
	"Congratulations on your success. I must admit, this discovery is hard to believe, although we " \
	"know the universe contains mysteries and wonders we can scarcely imagine. Talking with stars? " \
	"And yet you did it, you succeeded in a great, historic achievement. What better feeling could there be?\n\n" \
	"And, if we can find ones who have found a way to survive in the heart of a stellar furnace, who knows " \
	"what they have discovered?\n\n" \
	"For it is said that from the stars we were born, and thus they are our brothers. " \
	"We must speak with them.\n\n"
	"Dismissed.",

	// kDebVictory_msg,
	"Congratulations on your success. I must admit this discovery is hard to believe, although we know " \
	"the universe contains mysteries and wonders we can scarcely imagine. Talking with stars? I only wish " \
	"you had experimented with the technique before you returned.\n\n" \
	"Dismissed.",

	// kDebDraw_msg,
	"You were sent to retrieve and verify the secret from Dr. Sevrin, preventing the Federation from obtaining it " \
	"in the process. Given the mixed outcome, it's hard to say where we stand.\n\n" \
	"Dismissed.",

	// kDebDefeat_msg,
	"The Federation got the secret. That's bad. Furthermore, you also failed in your duty to " \
	"defeat the Federation ships. I can't think of anything else to say.\n\n" \
	"Dismissed.",

	// kDebDevastatingDefeat_msg,
	"This mission was one of the most spectacular failures I've ever witnessed. The Federation got " \
	"the information from Dr. Sevrin. We did not. The Federation escaped. Your ship did not. Need I say " \
	"more?\n\n" \
	"Dismissed.",

	// kLeftEarly_msg,
	"Disconnect.",

	//
	//	Random chatter
	//
	//	kRandChat1_msg,
	"Helm: The Federation employs pretty good pilots. Good thing I'm on duty.",
	//	kRandChat2_msg,
	"Engineer: Those dust clouds sure are going to clog the Bussard collectors... (sigh)",
	//	kRandChat3_msg,
	"Security Officer: My teams are on standby, Captain.",
	//	kRandChat4_msg,
	"Navigation: The dust clouds ringing that pulsar are as thick as Plomeek soup!",
	//	kRandChat5_msg,
	"Weapons Officer: I thought being an ISC weapons officer would be pretty dull. " \
	"I guess it's not easy forcing others to stop using force.",
	//	kRandChat6_msg,
	"Science Officer: That pulsar is most remarkable. Too bad the warmongers in the " \
	"galaxy won't give us time to study it properly.",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//

	//kTransportDestroyedSecret_msg,
	"Security Officer: Transport destroyed. The Federation should learn to be more careful.",
	//kTransportDestroyedSansSecret_msg,
	"Science Officer: The transport has been destroyed without our learning its secret.\n" \
	"Security Officer: Aborting mission.",
	//k_1st_Objective_Complete,
	"Science Officer: I can hardly believe it, but we just received a communication from a star. Primary mission objective accomplished.",
	//k_2nd_Objective_Complete,
	"Science Officer: All Federation ships have been defeated. Secondary mission objective accomplished.",
	//k_All_Objectives_Complete,
	"Science Officer: All mission objectives accomplished. Mission complete.",

	//kCaptured_msg,
	"Security Officer: The transport is ours. My men are extracting the secret...",
	//kSecretSecured_msg,
	"Communications Officer: The transport is transmitting the secret... There, we've got it... Captain, "\
	"this is unbelievable![7]" \
	"[PLAYER_NAME]: What is it?[9]" \
	"Communications Officer: It is a set of instructions for adjusting a communications console to talk " \
	"with beings living inside stars.[9]" \
	"Science Officer: This is actually very interesting. According to this, when late term stars begin to produce " \
	"large carbon deposits from the fusion process, the reactions therein allow a minute percentage of the " \
	"carbon to undergo quasi-chemical reactions similar to the creation of proteins, the building blocks of life.[9]" \
	"[PLAYER_NAME]: A sun is a rather inhospitable cauldron for life to develop, isn't it?[6]" \
	"Science Officer: Definitely. But late term stars produce so much carbon that sooner or later, some lifeform is going to get created.[9]" \
	"[PLAYER_NAME]: Hmm. Sounds about as possible as intelligent coal deposits.[5]" \
	"Communications Officer: Nevertheless, my console is ready to try the technique.",

	//kEnemyCapturedTheSecret_msg,
	"Science Officer: The Federation has just transported a team onto the ship. They must now have the secret.",
	//kEnemyDisengaging_msg,
	"Science Officer: All Federation ships are scrambling to leave the system.",
	//kTransportDisengaging_msg,
	"Science Officer: Dr. Sevrin is heading out of the system.",
	//kTransportLeftFailure_msg,
	"Science Officer: The transport has left the map. We've failed to obtain the secret. Mission aborted.",
	//kScanning_msg,
	"Science Officer: Scanning...",
	// kDeepScannedTransport_msg,
	"Science Officer: Hmm... A standard Federation transport. We'll have to be pretty close for his comm " \
	"system to cut through all the interference that pulsar is putting out.",
	// kDeepScannedSun_msg,
	"Science Officer: An unusual blue-white pulsar. It's hydrogen fuel has largely burned up, transformed by "
	"fusion to heavier elements... and an unusual amount of heavy elements at that.",

	//
	//	Custom messages
	//

	//
	//	Internal strings
	//

	// kSunClass,
	"PL1", // TODO: change this to the class for a "blue pulsar"
	// kSunName,
	"Pulsar",
	// kEnemyShipClass,
	"F-CL",
	// kEnemyShipName1,
	"USS Clark",
	// kEnemyShipName2,
	"USS Ryan",
	// kEnemyShipName3,
	"USS Greer",
	// kTransportClass,
	"F-FLPh",
	// kTransportName,
	"Dr. Sevrin",

	//
	//	Not localized as of 10/8/00
	//
	
	//	kPlayerTeamTitle_msg,
	"Temple In The Sky",

	//	kPlayerTeamBriefing_msg,
	"",

	//
	//	Not localized as of 10/17/00
	//

	//	kScanning_msg,
	"Science Officer: Scanning...",

	//
	//	Not localized as of 11/5/00
	//

	//	kDisconnect_msg,
	"Forfeit",
};

#endif