/********************************************************************************************************\

	File Name:	MissionText.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( MissionText_h )
#define MissionText_h

#include "tstring.h"


enum TextMessages
{
	//
	//	Mission Title
	//
	kMissionTitle_msg,

	//
	//	Description message
	//
	kDescription_msg,

	//
	//	Briefing message
	//
	kBriefing_msg,

	//
	//	Starting message
	//
	kStart_msg,

	//
	//	Debriefing messages
	//

	//
	//	Comm buttons
	//
	k_HAIL_ENEMY_btn,
	k_DS_ENEMY_btn,
	k_HAIL_Transport_btn,
	k_Demand_Surrender_Transport_btn,
	k_HAIL_Sun_btn,

	//
	//	Comm messages
	//
	k_Enemy_Already_Surrendered_msg,
	k_Nothing_To_Talk_About_msg,
	k_Enemy_Hail_Random1_msg,
	k_Enemy_Hail_Random2_msg,
	k_Enemy_Hail_Random3_msg,
	k_Pulsar_Interference_msg,
	k_Done_Enough_msg,
	k_Enemy_Surrenders_msg,
	k_Enemy_No_Surrender_Random1_msg,
	k_Enemy_No_Surrender_Random2_msg,
	k_Enemy_No_Surrender_Random3_msg,
	k_Hail_Sevrin_After_Surrender_msg,
	k_Hail_Sevrin_Get_Closer,
	k_Hail_Sevrin_Enemy_Exists,
	k_Hail_Sevrin_No_Enemy,
	k_Sevrin_Already_Surrendered_msg,
	k_Sevrin_Surrenders_msg,
	k_Before_Random_Hail_Sun_msg,
	k_Hail_Sun_Random1_msg,
	k_Hail_Sun_Random2_msg,
	k_Hail_Sun_Random3_msg,
	k_After_Random_Hail_Sun_msg,
	k_First_Sun_Hail_msg,
	k_Are_You_Ok_msg,

	//
	//	Victory rating
	//
	kAstoundingVictory_msg,
	kVictory_msg,
	kDraw_msg,
	kDefeat_msg,
	kDevastatingDefeat_msg,
	kLeftEarly_msg,

	//
	//	Random chatter
	//
	kRandChat1_msg,
	kRandChat2_msg,
	kRandChat3_msg,
	kRandChat4_msg,
	kRandChat5_msg,
	kRandChat6_msg,

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//

	kTransportDestroyedSecret_msg,
	kTransportDestroyedSansSecret_msg,
	k_1st_Objective_Complete,
	k_2nd_Objective_Complete,
	k_All_Objectives_Complete,
	kCaptured_msg,
	kSecretSecured_msg,
	kEnemyCapturedTheSecret_msg,
	kEnemyDisengaging_msg,
	kTransportDisengaging_msg,
	kTransportLeftFailure_msg,
	kScanning_msg,
	kDeepScannedTransport_msg,
	kDeepScannedSun_msg,

	//
	//	Custom messages
	//

	//
	//	Internal strings
	//

	kSunClass,
	kSunName,
	kEnemyShipClass,
	kEnemyShipName1,
	kEnemyShipName2,
	kEnemyShipName3,
	kTransportClass,
	kTransportName,

	//
	//	Not localized as of 10/8/00
	//
	kPlayerTeamTitle_msg,
	kPlayerTeamBriefing_msg,

	//
	//	Not localized as of 10/17/00
	//
	kScanning2_msg,

	//
	//	Not localized as of 11/5/00
	//
	kDisconnect_msg,
};

extern std::string Messages[];


#endif
