/********************************************************************************************************\

	File Name:	SunTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "SunTeamBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tSunTeamBaseState::mBeginState()
{}
void tSunTeamBaseState::mEndState()
{}

void tSunTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tSunTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tSunTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tSunTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tSunTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tSunTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tSunTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tSunTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tSunTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tSunTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tSunTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tSunTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tSunTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tSunTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tSunTeamBaseState::mOnFlashingButtonPressed()
{}
void tSunTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tSunTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tSunTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tSunTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tSunTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tSunTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tSunTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tSunTeamBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tSunTeamBaseState::mOnHostChanged()
{}
void tSunTeamBaseState::mOnTimedInterval( int32 timerID )
{}
void tSunTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tSunTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

