/*
	EnemyTeam.h

	This module contains the declaration of the tEnemyTeam class.
*/

#if !defined( EnemyTeam_h )
#define EnemyTeam_h

#include "TeamInfo.h"

class tEnemyTeam : public tTeamInfo
{
public:

	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mOldCreateShipsForTeam();

	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );

	// IDs for the enemy vessels.
	enum eCustomIDs
	{
		kEnemyShip = 1500,
	};
};

#endif
