/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------

// TODO: restore the long text.

#if defined ( _GERMAN )

std::string Messages[] =
{
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"ISC_X4M1BThief",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	//"Wir mssen die bsen Buben stoppen.\n\n",
	"Einer unserer Gegner hat uns als Ziel fr eine Terrorkampagne aufs Korn genommen.\n\n" \
	"Um unsere Prsenz in diesem Quadranten zu festigen, haben wir mehrere " \
	"Transportschiffe aus unseren Heimatsektoren hergebracht. Im Augenblick sind sie noch unbemannt " \
	"und warten auf die Crews, aber unglcklicherweise befinden sich die Crews auf einem Schiff, " \
	"das von den Klingonen aus dem Hinterhalt berfallen wurde und vor bernchster Woche nicht eintreffen wird. " \
	"Wir haben einige wenige Verteidigungsplattformen in dem System, aber die reichen bei Weitem nicht aus. " \
	"Und nun erfahren wir, dass sich ein gegnerisches Schiff dem System nhert.\n\n" \
	"Ihr primres Ziel ist es also, das gegnerische Schiff zu zerstren. Als sekundres Ziel " \
	"verhindern Sie, dass sie die Schiffe erobern. Zerstren Sie die Transportschiffe, " \
	"wenn es nicht anders geht - aber lassen Sie keinesfalls zu, dass sie das System unter gegnerischer " \
	"Kontrolle verlassen.\n\nWegtreten.\n\n",

	//
	// Description message
	//

	// kDescription_msg,
	"Das ISK muss befrchten, dass wichtige, im Geheimen entwickelte Technologie gestohlen wird. " \
	"Es darf nicht zugelassen werden, dass sich der Gegner mit den Transportschiffen des ISKs davonmacht.\n\n",

	//
	//	Starting message
	//
	
	//	kStart_msg,
	//"[PLAYER_NAME]: Bericht des Befriedungsfeldzugs, [STARDATE]. Machen wir uns auf die Socken.\n\n",
	"[PLAYER_NAME]: Bericht des Befriedungsfeldzugs, [STARDATE]. Ein " \
	"militrischer Rckschlag hat uns an den Rand der Katastrophe gebracht. Vier ISK- " \
	"Transportschiffe sind an einem nur minimal verteidigten Treffpunkt angelangt " \
	"und stehen praktisch fr den Gegner auf dem Prsentierteller. Unsere Mission besteht darin, sie zu schtzen, " \
	"vorzugsweise, indem wir den Gegner vernichten, bevor er die Schiffe entern kann.",

	//
	//	Debriefing messages
	//
	
	//	kDebAstoundingVictory_msg,
	"Herzlichen Glckwunsch. Der Gegner konnte keine Transportschiffe erobern. In Anbetracht der Tatsache, " \
	"dass Sie in der Minderzahl waren, ist dies ein groartiges Ergebnis.\n\nWegtreten.",
	
	//	kDebVictory_msg,
	"Herzlichen Glckwunsch. Der Gegner konnte nur ein Transportschiff erobern. In Anbetracht der Tatsache, " \
	"dass Sie in der Minderzahl waren, ist dies ein zwar schmerzlicher aber dennoch akzeptabler Verlust.\n\nWegtreten.",
	
	//	kDebDraw_msg,
	"Es wurde Ihnen befohlen, die Entfhrung unserer Transportschiffe zu verhindern, " \
	"aber Sie haben zugelassen, dass mehr als eines erobert wurde. Das lsst nichts Gutes " \
	"ahnen.\n\nWegtreten.",
	
	//	kDebDefeat_msg,
	"Der Gegner hat es geschafft, mit allen vier unserer Transportschiffe zu entkommen. Dies " \
	"stellt einen ernstzunehmenden Verlust wichtiger proprietrer Technologie dar. Wenn ich mir vorstelle, was sie " \
	"mit diesen Transportschiffen alles anfangen knnen...\n\nWegtreten.",
	
	//	kDebDevastatingDefeat_msg,
	"Sie haben das Schlachtfeld verlassen, bevor der Gegner in die Flucht geschlagen war. " \
	"Sie haben es vielleicht geschafft, Ihr Leben zu retten, aber Sie haben auch die " \
	"Transportschiffe dem Feind berlassen. Erwarten Sie, dass ich mich ber ein solches Ergebnis freue?\n\nWegtreten.\n\n",

	//
	//	Comm buttons
	//

	//k_HAIL_Transport_btn,
	"RUFEN",
	//k_HAIL_Enemy_btn,
	"RUFEN",
	//k_DS_Enemy_btn,
	"KAPITULATION FORDERN",

	//
	//	Comm messages
	//

	// Transport messages.

	//k_HAIL_Transport_Unmanned_msg,
	"Kommunikationsoffizier: Keine Reaktion. Das Schiff ist unbemannt.",
	//k_HAIL_Transport_Theirs_msg,
	"Kommunikationsoffizier: Das Schiff ist unter gegnerischer Kontrolle. Sie sprechen nicht mit uns.",
	//k_HAIL_Transport_Ours_Healthy_msg,
	"Sicherheitsoffizier: Wir sind hervorragend in Form. Wenn Sie sich nun um den Gegner kmmern knnten...",
	//k_HAIL_Transport_Ours_Hit_msg,
	"Captain: Wir haben was abbekommen, aber die Hlle hlt noch stand. Macht euch lieber um den Gegner Sorgen.",
	//k_HAIL_Transport_Ours_Hurting_msg,
	"Captain: Wir sind etwas angeschlagen. Ich glaube, wir haben sie unterschtzt.",
	//k_HAIL_Transport_Ours_Dying_msg,
	"Captain: Mayday. Wir brauchen Verstrkung.",

	// Enemy ship messages.

	//k_HAIL_Nme_After_Surrender_msg,
	"Gegnerischer Captain: Ihr habt uns geschlagen. Jetzt haut ab, und geht jemand anderem auf den Geist.",
	//k_HAIL_Nme_First_Contact_msg,
	//"[PLAYER_NAME]: Hier spricht [PLAYER_RANK] [PLAYER_NAME] von der [PLAYER_SHIP_NAME]. Groe erste Grumeldung.\n\n",
	"[PLAYER_NAME]: Hier spricht [PLAYER_RANK] [PLAYER_NAME] von der [PLAYER_SHIP_NAME]. " \
	"Dieses System befindet sich zur Zeit unter der Kontrolle des interstellaren Konkordiums. Wir mssen Sie auffordern, es unverzglich zu verlassen.\n" \
	"Gegnerischer Captain: Wenn es auch nur im Entferntesten einen guten Grund fr Ihre Anwesenheit in diesem Quadranten gbe, " \
	"knnte ich das Angebot in Betracht ziehen. Stattdessen werde ich Sie mit eingekniffenem Schwanz zurck in Ihren Quadranten jagen.",
	//k_HAIL_Nme_Random_Response_1_msg,
	"Gegnerischer Captain: Ich freue mich schon lange darauf, Ihnen ein Willkommen zu bereiten, das Sie so bald nicht vergessen werden.",
	//k_HAIL_Nme_Random_Response_2_msg,
	"Gegnerischer Captain: Sie gehren nicht in diesen Quadranten. Ich werden Ihnen zeigen, wo Sie hingehren.",
	//k_HAIL_Nme_Random_Response_3_msg,
	"Gegnerischer Captain: Ich hoffe, Sie sind nicht in Erwartung eines herzlichen Willkommens und in der Hoffnung auf die Teilnahme an der universellen Bruderschaft hierher gekommen.",
	//k_HAIL_Nme_After_Capture_msg,
	"Sicherheitsoffizier: Das eroberte Schiff steht unter Funkstille, Captain.",

	//k_DS_Nme_After_Surrender_msg,
	"Gegnerischer Captain: Haben Sie nicht schon genug Unheil angerichtet?",
	//k_DS_Nme_Random_Decline_1_msg,
	"Gegnerischer Captain: Wir sollen uns ergeben? Ich denke gar nicht daran.",
	//k_DS_Nme_Random_Decline_2_msg,
	"Gegnerischer Captain: Niemals!",
	//k_DS_Nme_Random_Decline_3_msg,
	"Gegnerischer Captain: Kapitulation kommt nicht in Frage.",
	//k_DS_Nme_Surrendering_msg,
	"Gegnerischer Captain: Sehr wohl. Wir halten an.",
	//k_DS_Nme_Self_Destruct_msg,
	"Gegnerischer Captain: Ein [TEAM3_RACE] ergibt sich niemals. Das liegt nicht in unserer Art.",
	//k_DS_Nme_After_Capture_msg,
	"Sicherheitsoffizier: Wir haben es bereits erobert, Captain.",

	//
	//	Victory rating
	//

	// kAstoundingVictory_msg,
	"Groartiger Sieg!",

	// kVictory_msg,
	"Sieg!",

	// kDraw_msg,
	"Unentschieden",

	// kDefeat_msg,
	"Niederlage",

	// kDevastatingDefeat_msg,
	"Vernichtende Niederlage",


	//
	//	Random chatter
	//

	//	kRandChat1_msg,
	"Steuermann: Zeit und Entfernung sind auf ihrer Seite, Captain, aber ich kenne noch ein paar Manver, die uns aus der Patsche helfen knnten.",
	
	//	kRandChat2_msg,
	"Ingenieur: Schadenskontrollteams kampfbereit.",
		
	//	kRandChat3_msg,
	"Sicherheitsoffizier: Wir sollten darber nachdenken, diese Transportschiffe mit einer Menge Soldaten zu erobern, Captain.",
	
	//	kRandChat4_msg,
	"Navigation: Ich erwarte lineare Fluchtvektoren, wenn Sie unsere Transportschiffe erobern.",
		
	//	kRandChat5_msg,
	"Waffenoffizier: Wir mssen diese Schiffe zerstren, Captain. Sie drfen dem Gegner nicht in die Hnde fallen.",
	
	//	kRandChat6_msg,
	"Wissenschaftsoffizier: Wir mssen die Transportschiffe sichern oder zerstren, Captain. Unsere Geheimnisse sind zu wertvoll, als dass sie in die falschen Hnde fallen drften.",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//

	// kTransportCapturedByEnemy,
	"Wissenschaftsoffizier: Eines unserer Transportschiffe wurde soeben vom Gegner eingenommen.",
	// kTransportCapturedByPlayerInitial,
	"Sicherheitsoffizier: Wir haben die Kontrolle ber das Transportschiff, Captain. Ich hoffe, wir haben genug Soldaten im Einsatz, um es halten zu knnen.",
	// kTransportCapturedByPlayerSubsequent,
	"Sicherheitsoffizier: Wir haben die Kontrolle ber das Transportschiff zurckerobert, Captain.",
	// kTransportDisengaged,
	"Wissenschaftsoffizier: Eines der Transportschiffe hat soeben das System verlassen... Wir haben es verloren, Captain.",
	// kNoTransportsLeft,
	"Erster Offizier: Das ist fr die Transportschiffe, Captain. Alles, was uns noch bleibt, ist, die gegnerischen Schiffe zu zerstren.",
	// kDefensePlatformDestroyed,
	"Wissenschaftsoffizier: Eine der Verteidigungsplattformen wurde soeben zerstrt, Captain.",
	// kTransportHeadingForCover,
	"Kommunikationsoffizier: Von dem eroberten Transportschiff erfolgt die Meldung, dass man sich zwecks Deckung zur nchsten Verteidigungsplattform zurckzieht, Captain.",
	// kTransportFollowingForCover,
	"Kommunikationsoffizier: Das eroberte Transportschiff meldet, dass sie uns aus Grnden des Schutzes folgen, Captain.",

	//
	//	Internal strings
	//

	// kPlatformName,
	"ISK-Verteidigungsplattform",
	// kPlatformClass,
	"I-DEF",
	// kTransportNameFormat,
	"ISK-Transportschiff #%i",
	// kTransportClass,
	"I-FSPh",

	//
	//	Not localized as of 10/8/00
	//
	
	//	kPlayerTeamTitle_msg,
	"Ein Dieb in der Nacht",

	//	kPlayerTeamBriefing_msg,
	"",

	//
	//	Not localized as of 10/17/00
	//

	//	kScanning_msg,
	"Wissenschaftsoffizier: Wir scannen...",

	//	kDisconnect_msg,
	"Mission eingebt\n\n",


};

#else

std::string Messages[] =
{
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"ISC_X4M1BThief",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	//"We gotta stop the bad guys.\n\n",
	"One of our enemies has targeted us for a campaign of terror.\n\n" \
	"To establish our presence in this quadrant, we have brought several " \
	"transports from our home sectors. They're currently unmanned, " \
	"awaiting their crews, but unfortunately, the crews are in a ship " \
	"that was ambushed by the Klingons and won't arrive for another week. " \
	"We have a few defense platforms in the system, but it's not enough. " \
	"And now we hear enemy craft is approaching the system.\n\n" \
	"Your primary goal is to destroy the enemy craft. Your secondary goal " \
	"is to prevent them from capturing the ships. Destroy the transports " \
	"if you have to - just don't let them leave the system under enemy " \
	"control.\n\nDismissed.\n\n",

	//
	// Description message
	//

	// kDescription_msg,
	"The ISC faces the threat of having proprietary technology stolen. " \
	"The enemy must not be allowed to make off with ISC transport ships.\n\n",

	//
	//	Starting message
	//
	
	//	kStart_msg,
	//"[PLAYER_NAME]: Record of the Pacification Campaign, [STARDATE]. Let's shake our booty.\n\n",
	"[PLAYER_NAME]: Record of the Pacification Campaign, [STARDATE]. A " \
	"military setback has put us on the verge of a disaster. Four ISC " \
	"transports have arrived at a minimally defended rendezvous point, " \
	"prime pickings for our enemies. Our mission is to protect them, " \
	"preferably by destroying the enemy before they can board them.\n\n",

	//
	//	Debriefing messages
	//
	
	//	kDebAstoundingVictory_msg,
	"Congratulations. The enemy captured no transports. Given " \
	"that you were outnumbered, this is a great achievement.\n\nDismissed.\n\n",
	
	//	kDebVictory_msg,
	"Congratulations. The enemy captured only one transport. Given " \
	"that you were outnumbered, this is a painful but acceptable loss.\n\nDismissed.\n\n",
	
	//	kDebDraw_msg,
	"You were given orders to prevent the abduction of our transports, " \
	"but they managed to capture more than one. This does not bode " \
	"well.\n\nDismissed.\n\n",
	
	//	kDebDefeat_msg,
	"The enemy managed to escape with all four of our transports. This " \
	"represents a serious loss of proprietary technology. The things they " \
	"could do with those transports...\n\nDismissed.\n\n",
	
	//	kDebDevastatingDefeat_msg,
	"You left the battlefield before all of the enemy had been dealt with. " \
	"Perhaps you managed to save your life, but you also abandoned the " \
	"transports to them. I really can't be pleased by such a result.\n\nDismissed.\n\n",

	//
	//	Comm buttons
	//

	//k_HAIL_Transport_btn,
	"HAIL",
	//k_HAIL_Enemy_btn,
	"HAIL",
	//k_DS_Enemy_btn,
	"DEMAND SURRENDER",

	//
	//	Comm messages
	//

	// Transport messages.

	//k_HAIL_Transport_Unmanned_msg,
	"Communications Officer: No response. The ship is unmanned.\n\n",
	//k_HAIL_Transport_Theirs_msg,
	"Communications Officer: The ship is under enemy control. They aren't talking.\n\n",
	//k_HAIL_Transport_Ours_Healthy_msg,
	"Security Officer: We're in good shape. Now if you can take care of the enemy...\n\n",
	//k_HAIL_Transport_Ours_Hit_msg,
	"Captain: We've taken damage, but our hull is holding up. Worry about the enemy.\n\n",
	//k_HAIL_Transport_Ours_Hurting_msg,
	"Captain: We're not in good shape. I think we may have underestimated them.\n\n",
	//k_HAIL_Transport_Ours_Dying_msg,
	"Captain: Mayday. Requesting assistance.\n\n",

	// Enemy ship messages.

	//k_HAIL_Nme_After_Surrender_msg,
	"Enemy Captain: You've beaten us. Now bother someone else.\n\n",
	//k_HAIL_Nme_First_Contact_msg,
	//"[PLAYER_NAME]: This is [PLAYER_RANK] [PLAYER_NAME] of the [PLAYER_SHIP_NAME]. Long first hail message.\n\n",
	"[PLAYER_NAME]: This is [PLAYER_RANK] [PLAYER_NAME] of the [PLAYER_SHIP_NAME]. " \
	"This system is currently being held by the Interstellar Concordium. We must ask you to leave.\n\n" \
	"Enemy Captain: If there were even a remotely good reason for your presence in this quadrant, " \
	"I might consider the offer. Instead, I will drive you back to your quadrant with your tail between your legs.\n\n",
	//k_HAIL_Nme_Random_Response_1_msg,
	"Enemy Captain: I have looked forward to giving you a welcome you will not soon forget.\n\n",
	//k_HAIL_Nme_Random_Response_2_msg,
	"Enemy Captain: You do not belong in this quadrant. Allow me to show you where you belong.\n\n",
	//k_HAIL_Nme_Random_Response_3_msg,
	"Enemy Captain: I hope you didn't come here expecting a cheery welcome and a sharing of universal brotherhood.\n\n",
	//k_HAIL_Nme_After_Capture_msg,
	"Security Officer: The captured ship is under communications silence, Captain.\n\n",

	//k_DS_Nme_After_Surrender_msg,
	"Enemy Captain: Haven't you done enough already?\n\n",
	//k_DS_Nme_Random_Decline_1_msg,
	"Enemy Captain: Surrender? I do not think so.\n\n",
	//k_DS_Nme_Random_Decline_2_msg,
	"Enemy Captain: Never!\n\n",
	//k_DS_Nme_Random_Decline_3_msg,
	"Enemy Captain: Surrender is not an option.\n\n",
	//k_DS_Nme_Surrendering_msg,
	"Enemy Captain: Very well. We are standing down.\n\n",
	//k_DS_Nme_Self_Destruct_msg,
	"Enemy Captain: A [TEAM3_RACE] does not surrender. It is not our way.\n\n",
	//k_DS_Nme_After_Capture_msg,
	"Security Officer: We've already captured it, Captain.\n\n",

	//
	//	Victory rating
	//

	// kAstoundingVictory_msg,
	"Astounding Victory!\n\n",

	// kVictory_msg,
	"Victory!\n\n",

	// kDraw_msg,
	"Draw.\n\n",

	// kDefeat_msg,
	"Defeat!\n\n",

	// kDevastatingDefeat_msg,
	"Devastating Defeat!\n\n",


	//
	//	Random chatter
	//

	//	kRandChat1_msg,
	"Helm: Time and distance are on their side, Captain, but I've a few maneuvers that will help.\n\n",
	
	//	kRandChat2_msg,
	"Engineer: Damage control teams ready for combat.\n\n",
		
	//	kRandChat3_msg,
	"Security Officer: We should consider capturing those transports with plenty of marines, Captain.\n\n",
	
	//	kRandChat4_msg,
	"Navigation: I anticipate linear escape vectors if they capture our transports.\n\n",
		
	//	kRandChat5_msg,
	"Weapons Officer: We've got to destroy those ships, Captain. They mustn't fall into enemy hands.\n\n",
	
	//	kRandChat6_msg,
	"Science Officer: We must safeguard or destroy the transports, Captain. Our secrets are too precious to squander.\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//

	// kTransportCapturedByEnemy,
	"Science Officer: One of the transports has just been captured by the enemy.\n\n",
	// kTransportCapturedByPlayerInitial,
	"Security Officer: We have control of the transport, Captain. I hope we sent enough marines to hold it.\n\n",
	// kTransportCapturedByPlayerSubsequent,
	"Security Officer: We have recaptured the transport, Captain.\n\n",
	// kTransportDisengaged,
	"Science Officer: One of the transports has just left the system... We've lost it, Captain.\n\n",
	// kNoTransportsLeft,
	"First Officer: That's it for the transports, Captain. All that remains for us is to destroy the enemy ships.\n\n",
	// kDefensePlatformDestroyed,
	"Science Officer: One of the defense platforms has just been destroyed, Captain.\n\n",
	// kTransportHeadingForCover,
	"Communications Officer: The captured transport reports heading for cover at the nearest defense platform, Captain.\n\n",
	// kTransportFollowingForCover,
	"Communications Officer: The captured transport reports it is following us for protection, Captain.\n\n",

	//
	//	Internal strings
	//

	// kPlatformName,
	"ISC Defense Platform",
	// kPlatformClass,
	"I-DEF",
	// kTransportNameFormat,
	"ISC Transport #%i",
	// kTransportClass,
	"I-FSPh",

	//
	//	Not localized as of 10/8/00
	//
	
	//	kPlayerTeamTitle_msg,
	"A Thief In The Night",

	//	kPlayerTeamBriefing_msg,
	"",

	//
	//	Not localized as of 10/17/00
	//

	//	kScanning_msg,
	"Science Officer: Scanning...\n\n",

	//
	//	Not localized as of 11/5/00
	//

	//	kDisconnect_msg,
	"Forfeit",
};

#endif