/********************************************************************************************************\

	File Name:	AsteroidBBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "AsteroidBBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tAsteroidBBaseState::mBeginState()
{}
void tAsteroidBBaseState::mEndState()
{}

void tAsteroidBBaseState::mOnDeath( tShipInfo* ship )
{}
void tAsteroidBBaseState::mOnCapture( tShipInfo* ship )
{}
void tAsteroidBBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tAsteroidBBaseState::mAtDistance( tShipInfo* ship )
{}
void tAsteroidBBaseState::mAtDestination( tShipInfo* ship )
{}
void tAsteroidBBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tAsteroidBBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tAsteroidBBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tAsteroidBBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tAsteroidBBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tAsteroidBBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tAsteroidBBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tAsteroidBBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tAsteroidBBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tAsteroidBBaseState::mOnFlashingButtonPressed()
{}
void tAsteroidBBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tAsteroidBBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tAsteroidBBaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tAsteroidBBaseState::mOnPlayerLeaving( int playerNumber )
{}
void tAsteroidBBaseState::mOnHostChanged()
{}
void tAsteroidBBaseState::mOnTimedInterval( int32 timerID )
{}
void tAsteroidBBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tAsteroidBBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

