/********************************************************************************************************\

	File Name:	MissionText.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( MissionText_h )
#define MissionText_h

#include "tstring.h"


enum TextMessages
{
	//
	//	Mission Title
	//
	kMissionTitle_msg,

	//
	//	Briefing message
	//
	kBriefing_msg,

	//
	//	Starting message
	//
	//
	//	Debriefing messages
	//
	kDebNoAsteroidA,
	kDebNoAsteroidB,
	kDebSuccess,
	kDebDismissed_msg,
	//
	//	Comm buttons
	//
	kHail_btn,
	kDemandSurrender_btn,
	kOrbitAsteroidA_btn,
	kOrbitAsteroidB_btn,
	kPlayerHail_msg,
	kFedDialog_msg,
	kKlingonDialog_msg,
	kRomulanDialog_msg,
	kLyranDialog_msg,
	kHydranDialog_msg,
	kGornDialog_msg,
	kMirakDialog_msg,
	kNoResponse_msg,
	kMaintainSilence_msg,
	kStillRepairing_msg,
	kSafeVoyage_msg,
	kUtility_msg,
	kInOrbit_msg,
	kWillOrbitA_msg,
	kCannotComply_msg,
	kWillOrbitB_msg,


	//
	//	Victory rating
	//
	//
	//	Random chatter
	//
	kRandChat1_msg,
	kRandChat2_msg,
	kRandChat3_msg,
	kRandChat4_msg,
	kRandChat5_msg,
	kRandChat6_msg,

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//

	kStart_msg,
	kStart2_msg,
	kStart3_msg,
	kStart4_msg,
	kAsteroidTimer75_msg,
	kAsteroidTimer105_msg,
	kAsteroidTimer135_msg,
	kReachAsteroidA_msg,
	kRepairsMade_msg,
	kLeaveAsteroidA_msg,
	kReachAsteroidB_msg,
	kEnemyDefeated_msg,
	kDestroyerGenerated_msg,
	kFreighterDestroyed_msg,
	kLeavingSystem_msg,
	kLeftSystem_msg,
	kFreighterDisengaged,

	//
	//	Custom messages
	//

	//
	//	Not localized as of 10/8/00
	//
	kPlayerTeamTitle_msg,
	kPlayerTeamBriefing_msg,

	//
	//	Not localized as of 10/17/00
	//
	kScanning_msg,

	//
	//	Not localized as of 11/5/00
	//
	kDisconnect_msg,
};

extern std::string Messages[];


#endif
