/********************************************************************************************************\

	File Name:	BaseVictory.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/
#if !defined( BaseVictory_h )
#define BaseVictory_h

#include "VictoryCondition.h"

class tBaseVictory : public tVictoryCondition
{
public:
	tBaseVictory( );
	tBaseVictory( tTeamInfo* team );
	void mSetupState();

	enum eTimerIDs
	{
//		kRandChatID = 1000,
	};

	enum eEnemyShipVictoryStatus
	{
		kStillFighting,
		kEnemyShipCaptured,
		kEnemyShipDestroyed,
		kEnemyShipEscaped,
	};


	//
	//	Accessors.
	//
	short int mGetShipStatus(int32 shipID);
	bool mIsCodeKnown(void)						{return fCodeKnown;}
	bool mDidTraitorTalk(void)				{return fTalkedToTraitor;}
	bool mAttackedAlly(void)					{return fFriendlyFire;}

	//
	//	Modifiers.
	//
	void mSetShipStatus(int32 shipID, short int status);
	void mTraitorTalked(void)		{fTalkedToTraitor = true;}
	void mSetAttackedAlly(void)	{fFriendlyFire = true;}

private:

	//
	//	Victory attributes.
	//
	short int fTraitorStatus;
	short int fCommanderStatus;
	short int fCannonStatus;
	short int fFodderStatus;
	bool fCodeKnown;
	bool fTalkedToTraitor;
	bool fFriendlyFire;



};

#endif



