//	<Name>	AttackTeamInitialState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( AttackTeamInitialState_h )
#define AttackTeamInitialState_h

#include "ChildActorState.h"
#include "teamInfo.h"
#include "AttackTeam.h"

class tAttackTeamInitialState : public tChildActorState<tAttackTeam>
{
public:
	enum eTimeIDs
	{
		kStartingID,
		kFreighterDiedID,
		kDeepScanOnID,
	};

	tAttackTeamInitialState( );

	virtual void mBeginState();
	virtual void mEndState();
	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnDeath( tShipInfo* ship );
	virtual void mOnDeepScan( tShipInfo* ship, iTruth deepScanOn );

protected:

	bool	fDeepScanON;

};

#endif

