//	<Name>	DefendTeamInitialState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( DefendTeamInitialState_h )
#define DefendTeamInitialState_h

#include "ChildActorState.h"
#include "teamInfo.h"
#include "DefendTeam.h"

class tDefendTeamInitialState : public tChildActorState<tDefendTeam>
{
public:

	tDefendTeamInitialState( );
	
	enum eTimerIDs
	{
		kStartingID,
		kCheckDistanceID,
	};



	virtual void mBeginState();
	virtual void mEndState();
	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnDeath( tShipInfo* ship );
	virtual void mOnDisengaged( tShipInfo* ship );
	virtual void mOnCapture( tShipInfo* ship );




protected:

};

#endif

