//	<Name>	DefendTeamShipInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Met_13Monster.h"
#include "ShipInfo.h"
#include "DefendTeamShip.h"
#include "DefendTeamShipInitialState.h"
#include "MissionText.h"
#include "ScriptInterface.h"
#include "WorldConditions.h"

tDefendTeamShipInitialState::tDefendTeamShipInitialState( )
{
}

void tDefendTeamShipInitialState::mBeginState()
{
}

void tDefendTeamShipInitialState::mEndState()
{
}

void tDefendTeamShipInitialState::mOnTimedInterval( int32 timerID )
{
	if( timerID == kDeepScanOnID && fDeepScanON )
	{
		fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),  kScanning_msg, kScienceScriptMessage );
//		mSetTimedInterval( kTimerTurnsSet, kCheckDistanceID, 0.5f );
	}
}
void tDefendTeamShipInitialState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{
}
void tDefendTeamShipInitialState::mOnDeath( tShipInfo* ship )
{
}
void tDefendTeamShipInitialState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{
	if( deepScanOn )
	{
		fDeepScanON = true;
	}
	else
	{
		fDeepScanON = false;
	}
	ship->mSetShipCallbackEvents(  kNotifyDeepScan );
	mSetTimedInterval( kTimerTurnsSet, kDeepScanOnID, 0.75f );
}