//	<Name>	MonsterVictoryState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( MonsterVictoryState_h )
#define MonsterVictoryState_h

#include "VictoryState.h"

#include "ChildActorVictoryState.h"
#include "teamInfo.h"
#include "MonsterVictoryCondition.h"

class tMonsterVictoryState : public tChildActorVictoryState<tMonsterVictoryCondition>
{
public:
   enum eTimeIDs
   {
		kStartingID,
   };

   tMonsterVictoryState( int32 astoundingVictory, int32 victory, int32 draw, int32 defeat, int32 devastatingDefeat );

	virtual void mBeginState();
	virtual void mEndState();

	virtual eVictoryLevels mCalcVictoryStatus( eTeamID ID );

	virtual void mOnDeath( tShipInfo* ship );
	virtual void mOnCapture( tShipInfo* ship );
	virtual void mOnDisengaged( tShipInfo* ship );
	virtual void mOnStateChange( tActor* actor, tState* state, eStateEvent eventType );

	virtual void mCheckAllTeams( tShipInfo* ship );
	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnPlayerLeaving( int playerNumber );

protected:


};

#endif

