//	<Name>	EnigmaTeamShipInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Met_14Enigma.h"
#include "ShipInfo.h"
#include "EnigmaTeamShip.h"
#include "EnigmaTeamShipInitialState.h"
#include "MissionText.h"
#include "ScriptInterface.h"
#include "WorldConditions.h"

tEnigmaTeamShipInitialState::tEnigmaTeamShipInitialState( )
{
}

void tEnigmaTeamShipInitialState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kStartingID, 1.0f );
	mSetTimedInterval( kTimerTurnsSet, kBoomID, (float)(fMissionInfo->mRandomInt32( 4, 7) ) );
}

void tEnigmaTeamShipInitialState::mEndState()
{
}

void tEnigmaTeamShipInitialState::mOnTimedInterval( int32 timerID )
{
	if( timerID == kStartingID )
	{
		fChildActor->mSetSystemHealthFromOrig( kRandomInternalsHardPoint, 0.2f, kFalse );
		fChildActor->mSetSystemHealthFromOrig( kAllEnginesHardPoint, 0.0f, kFalse );
		fChildActor->mSetSystemHealthFromOrig( kAllWeaponsHardPoint, 0.0f, kFalse );
		fChildActor->mSetSystemHealthFromOrig( kDamageControlHardPoint, 0.0f, kFalse );
		fChildActor->mSetSystemHealthFromOrig( kInternalRepairHardPoint, 0.0f, kFalse );
		fChildActor->mSetSystemHealthFromOrig( kImpulsePowerHardPoint, 0.0f, kFalse );
		fChildActor->mSetSystemHealthFromOrig( kAPRPowerHardPoint, 0.0f, kFalse );
		fChildActor->mSetSystemHealthFromOrig( kEngineerOfficerHardPoint, 0.0f, kFalse );
		fChildActor->mSetSystemHealthFromOrig( kTractorHardPoint, 0.0f, kFalse );
		fChildActor->mSetSystemHealthFromOrig( kTractorHardPoint, 0.0f, kFalse );
	}
	else if( kBoomID )
	{
		fChildActor->mSetSystemHealthFromOrig( kNoWeaponHardPoint, 0.0f, kFalse ); //Destroy Ship
	}
}
void tEnigmaTeamShipInitialState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{
}
void tEnigmaTeamShipInitialState::mOnDeath( tShipInfo* ship )
{
}