/********************************************************************************************************\

	File Name:	MissionText.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( MissionText_h )
#define MissionText_h

#include "tstring.h"


enum TextMessages
{
	//
	//	Mission Title
	//
	kMissionTitle_msg,

	//
	//	Team-specific titles.
	//
	kTeamTitleAttack_msg,
	kTeamTitleDefend_msg,

	//
	//	Briefing message
	//
	kBriefing_msg,

	//
	//	Team-specific briefings.
	//
	kTeamBriefingAttack_msg,
	kTeamBriefingDefend_msg,

	//
	//	Starting message
	//
	kStartAttack_msg,
	kFedStartAttack_msg,
	kKliStartAttack_msg,
	kRomStartAttack_msg,
	kLyrStartAttack_msg,
	kHydStartAttack_msg,
	kGorStartAttack_msg,
	kISCStartAttack_msg,
	kMirStartAttack_msg,
	kStartDefend_msg,
	kFedStartDefend_msg,
	kKliStartDefend_msg,
	kRomStartDefend_msg,
	kLyrStartDefend_msg,
	kHydStartDefend_msg,
	kGorStartDefend_msg,
	kISCStartDefend_msg,
	kMirStartDefend_msg,

	//
	//	Debriefing messages
	//
	kDebWinnerAttack_msg,
	kDebLoserAttack_msg,
	kDebWinnerDefend_msg,
	kDebLoserDefend_msg,

	//
	//	Informative messages
	//
	kYouAreDead_msg,

	//
	//	Comm buttons
	//

	//
	//	Comm messages
	//

	//
	//	Victory rating
	//
	kAstoundingVictory_msg,
	kVictory_msg,
	kDraw_msg,
	kDefeat_msg,
	kDevastatingDefeat_msg,
	kLeftEarly_msg,

	//
	//	Random chatter
	//
	kRandChat1_msg,
	kRandChat2_msg,
	kRandChat3_msg,
	kRandChat4_msg,
	kRandChat5_msg,
	kRandChat6_msg,

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	kDefendShipDestroyed_msg,
	kDefendShipCaptured_msg,
	kDefendShipDisengaged_msg,
	kAttackShipDestroyed_msg,
	kAttackShipCaptured_msg,
	kAttackShipDisengaged_msg,
	kOTDDestroyed_msg,
	kOTDCaptured_msg,
	kOTDDisengaged_msg,
	kAllOTDSubdued_msg,

	//
	//	Custom messages
	//
};

extern std::string Messages[];


#endif


