/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN


	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Met_18HomeworldAssault",

	//
	//	Team-specific titles.
	//
	
	//	kTeamTitleAttack_msg,
	"Angriff auf den Planeten",
	
	//	kTeamTitleDefend_msg,
	"Verteidigung des Planeten",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"Erobern Sie den gegnerischen Planeten.\n\n" \
	"Wegtreten.\n\n",

	//
	//	Team-specific briefings.
	//
	
	//	kTeamBriefingAttack_msg,
	"Sie befinden sich zur Zeit in gegnerischem Territorium. In der Nhe befindet sich ein Planet, der von den [TEAM1_RACE_PLURAL] besetzt wurde. Die Eroberung " \
	"dieses Planeten wird ihnen zeigen, dass das [TEAM1_EMPIRE] es ernst meint.\n\n" \
	"Wegtreten.\n\n",
	
	//	kTeamBriefingDefend_msg,
	"Die [TEAM4_RACE_PLURAL] nhern sich '[SYSTEM_NAME] 2'. Es sieht aus, als seien sie auf einem Eroberungsfeldzug. Lassen Sie nicht zu, dass sie " \
	"unserer Militrbasis zu nahe kommen, die sich auf der Oberflche des Planeten befindet.\n\n" \
	"Wegtreten.\n\n",

	//
	//	Starting message
	//
	
	//	kStartAttack_msg,
	"[PLAYER_NAME]: Logbuch des [PLAYER_RANK], Sternendatum [STARDATE]. Unsere Befehle lauten, den Planeten der [TEAM4_RACE] in diesem Sektor zu erobern.\n\n",

	//	kFedStartAttack_msg,
	"[PLAYER_NAME]: Logbuch des Captains, Sternendatum [STARDATE]. Wir nhern uns einem Planeten der [TEAM4_RACE]. Wir haben den Auftrag, " \
	"diesen Planeten um jeden Preis zu erobern. Auf diese Weise strken wir die Fderation.\n\n",

	//	kKliStartAttack_msg,
	"[PLAYER_NAME]: Kriegsbericht, [STARDATE]. Dies ist ein guter Moment, um zuzuschlagen. Unser Ziel ist es, den Planeten der [TEAM4_RACE_PLURAL] zu erobern, der sich in " \
	"diesem Sektor befindet.\n\n",

	//	kRomStartAttack_msg,
	"[PLAYER_NAME]: Bericht des romulanischen Imperiums, [STARDATE]. Wir befinden uns auf einer Angriffsmission. Unsere Befehle lauten, den Gegner anzugreifen und " \
	"seinen Planeten zu erobern.\n\n",

	//	kLyrStartAttack_msg,
	"[PLAYER_NAME]: Journal des Commanders, lyranisches Imperium, [STARDATE]. Wir sollen den Planeten der [TEAM4_RACE] in diesem Sektor erobern.\n\n",

	//	kHydStartAttack_msg,
	"[PLAYER_NAME]: Journal des Commanders, [STARDATE]. Wir befinden uns auf einer Invasionsmission fr das Knigreich. Es wurde uns befohlen, den gegnerischen Planeten zu erobern.\n\n",

	//	kGorStartAttack_msg,
	"[PLAYER_NAME]: Logbuch des Commanders, [STARDATE]. Wir sollen den Planeten der [TEAM4_RACE] in diesem Sektor erobern.\n\n" \
	"Anschlieend sollen wir uns absetzen.",

	//	kISCStartAttack_msg,
	"[PLAYER_NAME]: Bericht des Befriedungsfeldzugs, galaktisches Datum [STARDATE]. Wir befinden uns im Territorium der [TEAM4_RACE]. Unsere Mission besteht darin, den " \
	"Planeten des Gegners zu erobern.\n\n",

	//	kMirStartAttack_msg,
	"[PLAYER_NAME]: Jagdbericht, [STARDATE]. Wir sind auf der Jagd nach den mickrigen [TEAM4_RACE_PLURAL]. Wir haben es auf ihren kostbare Planeten abgesehen. Wir werden jeden einzelnen " \
	"von ihnen fangen.\n\n",

	//	kStartDefend_msg,
	"[PLAYER_NAME]: Logbuch des [PLAYER_RANK], Sternendatum [STARDATE]. Unser Auftrag lautet, unseren Planeten gegen herannahende Angreifer zu verteidigen.\n\n",

	//	kFedStartDefend_msg,
	"[PLAYER_NAME]: Logbuch des Captains, Sternendatum [STARDATE]. Gegnerische Streitkrfte sind in unseren Sektor eingedrungen. Ihr Ziel kann eigentlich nur unser Planet sein. Wir mssen ihn um " \
	"jeden Preis beschtzen.\n\n",

	//	kKliStartDefend_msg,
	"[PLAYER_NAME]: Kriegsbericht, [STARDATE]. Der Gegner droht, unseren Planeten zu erobern. Wir mssen ihn unbedingt aufhalten.\n\n",

	//	kRomStartDefend_msg,
	"[PLAYER_NAME]: Bericht des romulanischen Imperiums, [STARDATE]. Wir befinden uns auf einem Verteidigungseinsatz. Unsere Befehle lauten, den Gegner anzugreifen, bevor er die Gelegenheit hat, " \
	"unseren Planeten zu erobern.\n\n",

	//	kLyrStartDefend_msg,
	"[PLAYER_NAME]: Journal des Commanders, lyranisches Imperium, [STARDATE]. Wir sollen die [TEAM1_RACE_PLURAL] vernichten, bevor sie einen Angriff auf unseren Planeten starten knnen.\n\n",

	//	kHydStartDefend_msg,
	"[PLAYER_NAME]: Journal des Commanders, [STARDATE]. Wir befinden uns auf einer Verteidigungsmission fr das Knigreich. Wir sollen unseren Planeten mit allen verfgbaren Mitteln verteidigen.\n\n",

	//	kGorStartDefend_msg,
	"[PLAYER_NAME]: Logbuch des Commanders, [STARDATE]. Wir haben den Befehl, unseren Planeten vor den [TEAM1_RACE_PLURAL] zu verteidigen, die soeben in das System eingedrungen sind.\n\n",

	//	kISCStartDefend_msg,
	"[PLAYER_NAME]: Bericht des Befriedungsfeldzugs, galaktisches Datum [STARDATE]. Diese [TEAM1_RACE_PLURAL] glauben, dass sie das ISK berwltigen knnen. Doch wir sind ihnen " \
	"berlegen. Wir werden sie stoppen, bevor sie die Chance haben, unseren Planeten auch nur anzukratzen.\n\n",

	//	kMirStartDefend_msg,
	"[PLAYER_NAME]: Jagdbericht, [STARDATE]. Wir jagen die [TEAM1_RACE_PLURAL]. Wir werden ihnen das Fell abziehen. Wir werden sie vernichten und unseren Planeten schtzen.\n\n",

	//
	//	Debriefing messages
	//
	
	//	kDebWinnerAttack_msg,
	"Gute Arbeit. Der gegnerische Planet wurde unterworfen.\n\n",

	//	kDebLoserAttack_msg,
	"Unglcklicherweise war Ihr Versuch, den Planeten zu unterwerfen, nicht von Erfolg gekrnt.\n\n",

	//	kDebWinnerDefend_msg,
	"Herzlichen Glckwunsch. Sie konnten den Planeten erfolgreich verteidigen.\n\n",

	//	kDebLoserDefend_msg,
	"Unglcklicherweise hat der Gegner die wichtigsten Teile des Planeten in Schutt und Asche gelegt. Leben Sie fr die noch kommenden Kmpfe.",

	//
	//	Informative messages
	//
	
	//	kYouAreDead_msg,
	"Drcken Sie T, um zuzuschauen.\n",

	//
	//	Comm buttons
	//

	//
	//	Comm messages
	//

	//
	//	Victory rating
	//

	// kAstoundingVictory_msg,
	"Groartiger Sieg!\n\n",

	// kVictory_msg,
	"Sieg!\n\n",

	// kDraw_msg,
	"Unentschieden!\n\n",

	// kDefeat_msg,
	"Niederlage!\n\n",

	// kDevastatingDefeat_msg,
	"Vernichtende Niederlage!\n\n",

	//	kLeftEarly_msg,
	"Mission eingebt",

	//
	//	Random chatter
	//

	//	kRandChat1_msg,
	"Steuermann:\n\n",
	
	//	kRandChat2_msg,
	"Ingenieur:\n\n",
		
	//	kRandChat3_msg,
	"Sicherheitsoffizier:\n\n",
	
	//	kRandChat4_msg,
	"Navigation:\n\n",
		
	//	kRandChat5_msg,
	"Waffenoffizier:\n\n",
	
	//	kRandChat6_msg,
	"Wissenschaftsoffizier:\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	
	//	kDefendShipDestroyed_msg,
	"Verteidigerschiff zerstrt.\n\n",
	
	//	kDefendShipCaptured_msg,
	"Verteidigerschiff erobert.\n\n",
	
	//	kDefendShipDisengaged_msg,
	"Verteidigerschiff deaktiviert.\n\n",
	
	//	kAttackShipDestroyed_msg,
	"Angreifendes Schiff zerstrt.\n\n",
	
	//	kAttackShipCaptured_msg,
	"Angreifendes Schiff erobert.\n\n",
	
	//	kAttackShipDisengaged_msg,
	"Angreifendes Schiff deaktiviert.\n\n",
	
	//	kOTDDestroyed_msg,
	"Planet vernichtet.\n\n",
	
	//	kOTDCaptured_msg,
	"Planet erobert.\n\n",
	
	//	kOTDDisengaged_msg,
	"Planet deaktiviert.\n\n",

	//
	//	Custom messages
	//

	//
	//	The following have not been translated as of 10/17/00
	//

#else		//////////////////////////////////////////////////////////////////////////////////////////////////

	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Met_18HomeworldAssault",

	//
	//	Team-specific titles.
	//
	
	//	kTeamTitleAttack_msg,
	"Homeworld Assault",
	
	//	kTeamTitleDefend_msg,
	"Homeworld Defense",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"Capture the enemy homeworld.\n\n" \
	"Dismissed.\n\n",

	//
	//	Team-specific briefings.
	//
	
	//	kTeamBriefingAttack_msg,
	"You have arrived at the enemy homeworld. This mission will be difficult, but if you " \
	"capture this planet we will have won a great victory.\n" \
	"Good luck!\n\n",
	
	//	kTeamBriefingDefend_msg,
	"[TEAM4_RACE_PLURAL] are closing in on our homeworld. We must stop them at all costs. Winning this battle " \
	"will send a strong message to those [TEAM4_RACE_PLURAL]." \
	"Good luck!\n\n",

	//
	//	Starting message
	//
	
	//	kStartAttack_msg,
	"[PLAYER_NAME]: [PLAYER_RANK]'s log, Stardate [STARDATE]. Our orders are to capture the [TEAM4_RACE] homeworld located in this sector.\n\n",

	//	kFedStartAttack_msg,
	"[PLAYER_NAME]: Captain's log, Stardate [STARDATE].  We are closing in on a [TEAM4_RACE] homeworld. We are under orders to " \
	"capture this homeworld at all costs. Doing so will strengthen the Federation.\n\n",

	//	kKliStartAttack_msg,
	"[PLAYER_NAME]: War Record, [STARDATE]. This is a good time to strike. Our target is to capture the [TEAM4_RACE_PLURAL] homeworld in " \
	"this sector.\n\n",

	//	kRomStartAttack_msg,
	"[PLAYER_NAME]: Record of the Romulan Star Empire [STARDATE] on assault mission. Our orders are to engage the enemy and " \
	"capture their homeworld.\n\n",

	//	kLyrStartAttack_msg,
	"[PLAYER_NAME]: Commander's journal, Lyran Star Empire [STARDATE]. We are to capture the [TEAM4_RACE] homeworld in this sector.\n\n",

	//	kHydStartAttack_msg,
	"[PLAYER_NAME]: Commander's journal, [STARDATE]. On a planet invasion for the Kingdom. We are to capture the enemy homeworld.\n\n",

	//	kGorStartAttack_msg,
	"[PLAYER_NAME]: Commander's log, [STARDATE]. We are to capture the [TEAM4_RACE] homeworld located in this sector.\n\n" \
	"we are to disengage.",

	//	kISCStartAttack_msg,
	"[PLAYER_NAME]: Pacification campaign record, Galactic Date [STARDATE]. In [TEAM4_RACE] territory. Our mission is to capture the " \
	"enemy homeworld.\n\n",

	//	kMirStartAttack_msg,
	"[PLAYER_NAME]: Hunt record, [STARDATE]. We hunt down puny [TEAM4_RACE_PLURAL]. We hunt their precious home. We capture each and " \
	"every one of them.\n\n",

	//	kStartDefend_msg,
	"[PLAYER_NAME]: [PLAYER_RANK]'s log, Stardate [STARDATE]. Our orders are to defend our homeworld from incoming attackers.\n\n",

	//	kFedStartDefend_msg,
	"[PLAYER_NAME]: Captain's log, Stardate [STARDATE]. Enemy forces have entered our sector. Their target must be our homeworld. We must protect " \
	"it at all costs.\n\n",

	//	kKliStartDefend_msg,
	"[PLAYER_NAME]: War Record, [STARDATE]. Enemies are threatening to overtake our homeworld. We must stop them.\n\n",

	//	kRomStartDefend_msg,
	"[PLAYER_NAME]: Record of the Romulan Star Empire [STARDATE] on defense. Our orders are to engage the enemy and before they get a chance to " \
	"capture our homeworld.\n\n",

	//	kLyrStartDefend_msg,
	"[PLAYER_NAME]: Commander's journal, Lyran Star Empire [STARDATE]. We are to capture the [TEAM1_RACE_PLURAL] before they can strike at our homeworld.\n\n",

	//	kHydStartDefend_msg,
	"[PLAYER_NAME]: Commander's journal, [STARDATE].  On a planet defense for the Kingdom. We are to protect our homeworld with everything we have.\n\n",

	//	kGorStartDefend_msg,
	"[PLAYER_NAME]: Commander's log, [STARDATE]. We are to defend our homeworld from the [TEAM1_RACE_PLURAL], who have just entered the system.\n\n",

	//	kISCStartDefend_msg,
	"[PLAYER_NAME]: Pacification campaign record, Galactic Date [STARDATE]. Those [TEAM1_RACE_PLURAL] think that they can overcome the ISC. We are " \
	"superior. We will stop them before they have a chance to scathe our homeworld.\n\n",

	//	kMirStartDefend_msg,
	"[PLAYER_NAME]: Hunt record, [STARDATE]. We hunt [TEAM1_RACE_PLURAL]. We hunt their hides. We capture them and protect our home.\n\n",

	//
	//	Debriefing messages
	//
	
	//	kDebWinnerAttack_msg,
	"Job well done. The enemy homeworld has been subdued.\n\n",

	//	kDebLoserAttack_msg,
	"Unfortunately, you were unsuccessful in your attempt to subdue the homeworld.\n\n",

	//	kDebWinnerDefend_msg,
	"Congratulations. You successfully defended the homeworld.\n\n",

	//	kDebLoserDefend_msg,
	"Unfortunately, the enemy got the best of the homeworld. Live to fight another day.",

	//
	//	Informative messages
	//
	
	//	kYouAreDead_msg,
	"Press 'T' to spectate.\n",

	//
	//	Comm buttons
	//

	//
	//	Comm messages
	//

	//
	//	Victory rating
	//

	// kAstoundingVictory_msg,
	"Astounding Victory!\n\n",

	// kVictory_msg,
	"Victory!\n\n",

	// kDraw_msg,
	"Draw!\n\n",

	// kDefeat_msg,
	"Defeat!\n\n",

	// kDevastatingDefeat_msg,
	"Devastating Defeat!\n\n",

	//	kLeftEarly_msg,
	"Forfeit\n\n",

	//
	//	Random chatter
	//

	//	kRandChat1_msg,
	"Helm:\n\n",
	
	//	kRandChat2_msg,
	"Engineer:\n\n",
		
	//	kRandChat3_msg,
	"Security Officer:\n\n",
	
	//	kRandChat4_msg,
	"Navigation:\n\n",
		
	//	kRandChat5_msg,
	"Weapons Officer:\n\n",
	
	//	kRandChat6_msg,
	"Science Officer:\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	
	//	kDefendShipDestroyed_msg,
	"Defender ship destroyed.\n\n",
	
	//	kDefendShipCaptured_msg,
	"Defender ship captured.\n\n",
	
	//	kDefendShipDisengaged_msg,
	"Defender ship disengaged.\n\n",
	
	//	kAttackShipDestroyed_msg,
	"Attacker ship destroyed.\n\n",
	
	//	kAttackShipCaptured_msg,
	"Attacker ship captured.\n\n",
	
	//	kAttackShipDisengaged_msg,
	"Attacker ship disengaged.\n\n",
	
	//	kOTDDestroyed_msg,
	"Homeworld destroyed.\n\n",
	
	//	kOTDCaptured_msg,
	"Homeworld captured.\n\n",
	
	//	kOTDDisengaged_msg,
	"Homeworld disengaged.\n\n",

	//
	//	Custom messages
	//
#endif
};
