//	<Name>	PlanetTeam.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "PlanetTeam.h"
#include "Planet.h"

//#include "PlanetTeamInitialState.h"
#include "ScriptInterface.h"

#include "Met_19Scan.h"
//#include "MissionText.h"

tClassAllocator<tPlanetTeam> gPlanetTeamAllocator;

tPlanetTeam::tPlanetTeam() : tTeamInfo()
{
}

void tPlanetTeam::mSetupState()
{
}

void tPlanetTeam::mSetupCommState()
{

}

void tPlanetTeam::mCreateShipsForTeam()
{
	int32 planetDice = fMissionInfo->mRandomInt32( 1, 100 );

	if( planetDice < 6 )
	{
		mCreateShip( typeid( tPlanet ), "PL1", kStartPosition_Z, kNoMetaShipID,
										-1, 0, 0, -1, -1, NULL, kDefaultShipOptions );
	}
	else if( planetDice < 12 )
	{
		mCreateShip( typeid( tPlanet ), "PL2", kStartPosition_Z, kNoMetaShipID,
										-1, 0, 0, -1, -1, NULL, kDefaultShipOptions );
	}
	else if( planetDice < 18 )
	{
		mCreateShip( typeid( tPlanet ), "PL3", kStartPosition_Z, kNoMetaShipID,
										-1, 0, 0, -1, -1, NULL, kDefaultShipOptions );
	}
	else if( planetDice < 24 )
	{
		mCreateShip( typeid( tPlanet ), "PL4", kStartPosition_Z, kNoMetaShipID,
										-1, 0, 0, -1, -1, NULL, kDefaultShipOptions );
	}
	else if( planetDice < 30 )
	{
		mCreateShip( typeid( tPlanet ), "PL5", kStartPosition_Z, kNoMetaShipID,
										-1, 0, 0, -1, -1, NULL, kDefaultShipOptions );
	}
	else if( planetDice < 36 )
	{
		mCreateShip( typeid( tPlanet ), "PL6", kStartPosition_Z, kNoMetaShipID,
										-1, 0, 0, -1, -1, NULL, kDefaultShipOptions );
	}
	else if( planetDice < 42 )
	{
		mCreateShip( typeid( tPlanet ), "PL7", kStartPosition_Z, kNoMetaShipID,
										-1, 0, 0, -1, -1, NULL, kDefaultShipOptions );
	}
	else if( planetDice < 48 )
	{
		mCreateShip( typeid( tPlanet ), "PL8", kStartPosition_Z, kNoMetaShipID,
										-1, 0, 0, -1, -1, NULL, kDefaultShipOptions );
	}
	else if( planetDice < 54 )
	{
		mCreateShip( typeid( tPlanet ), "PL9", kStartPosition_Z, kNoMetaShipID,
										-1, 0, 0, -1, -1, NULL, kDefaultShipOptions );
	}
	else if( planetDice < 60 )
	{
		mCreateShip( typeid( tPlanet ), "PL10", kStartPosition_Z, kNoMetaShipID,
										-1, 0, 0, -1, -1, NULL, kDefaultShipOptions );
	}
	else if( planetDice < 66 )
	{
		mCreateShip( typeid( tPlanet ), "PL11", kStartPosition_Z, kNoMetaShipID,
										-1, 0, 0, -1, -1, NULL, kDefaultShipOptions );
	}
	else if( planetDice < 72 )
	{
		mCreateShip( typeid( tPlanet ), "PL12", kStartPosition_Z, kNoMetaShipID,
										-1, 0, 0, -1, -1, NULL, kDefaultShipOptions );
	}
	else if( planetDice < 78 )
	{
		mCreateShip( typeid( tPlanet ), "PL13", kStartPosition_Z, kNoMetaShipID,
										-1, 0, 0, -1, -1, NULL, kDefaultShipOptions );
	}
	else if( planetDice < 84 )
	{
		mCreateShip( typeid( tPlanet ), "PL14", kStartPosition_Z, kNoMetaShipID,
										-1, 0, 0, -1, -1, NULL, kDefaultShipOptions );
	}
	else if( planetDice < 90 )
	{
		mCreateShip( typeid( tPlanet ), "PL15", kStartPosition_Z, kNoMetaShipID,
										-1, 0, 0, -1, -1, NULL, kDefaultShipOptions );
	}
	else if( planetDice < 95 )
	{
		mCreateShip( typeid( tPlanet ), "PL16", kStartPosition_Z, kNoMetaShipID,
										-1, 0, 0, -1, -1, NULL, kDefaultShipOptions );
	}
	else
	{
		mCreateShip( typeid( tPlanet ), "PL17", kStartPosition_Z, kNoMetaShipID,
										-1, 0, 0, -1, -1, NULL, kDefaultShipOptions );
	}
}

