/********************************************************************************************************\

	File Name:	CommonDefs.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( CommonDefs_h )
#define CommonDefs_h

#include "Met_2HoldingAction.h"

//
//	Labels given for more convenient team identification.
//
enum eTeamTypes
{
	kEnemyTeam1 = kTeam1,		//	kTeam1 is always 0
	kEnemyTeam2,
	kEnemyTeam3,

	kPlayerTeam1,
	kPlayerTeam2,
	kPlayerTeam3,

	kGoalTeam,

	kMaxMissionTeams,
};

//
//	Labels for more convenient ship identification.
//
enum eCustomIDs
{
	kListeningPost = 500,
};

//
//	Labels for teams tags.
//
enum eTeamLabels
{
	kPlayerSide = kTagA,
	kEnemySide = kTagB,
};

//
//	Bonus prestige values.
//
enum eBonusPrestigeValues
{
	kDeathPrestige = 225,
	kCapturePrestige = 300,
	kDisengagePrestige = 225,

	k25PctDmgBonus = 150,
	k50PctDmgBonus = 75,
};

//
//	Game constants.
//
enum eGameConstants
{
	kDistanceValidFromListeningPost = 15,
};

#endif
