/********************************************************************************************************\

	File Name:	MissionText.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( MissionText_h )
#define MissionText_h

#include "tstring.h"


enum TextMessages
{
	//
	//	Mission Title
	//
	kMissionTitle_msg,

	//
	//	Team titles
	//
	kTeamTitlePlayer_msg,
	kTeamTitleEnemy_msg,

	//
	//	Briefing message
	//
	kBriefingPlayer_msg,
	kBriefingEnemy_msg,

	//
	//	Starting message
	//
	kStartPlayer_msg,
	kFedStartPlayer_msg,
	kKliStartPlayer_msg,
	kRomStartPlayer_msg,
	kLyrStartPlayer_msg,
	kHydStartPlayer_msg,
	kGorStartPlayer_msg,
	kISCStartPlayer_msg,
	kMirStartPlayer_msg,
	kStartEnemy_msg,
	kFedStartEnemy_msg,
	kKliStartEnemy_msg,
	kRomStartEnemy_msg,
	kLyrStartEnemy_msg,
	kHydStartEnemy_msg,
	kGorStartEnemy_msg,
	kISCStartEnemy_msg,
	kMirStartEnemy_msg,

	//
	//	Debriefing messages
	//
	kDebWinnerPlayer_msg,
	kDebTiePlayer_msg,
	kDebLoserPlayer_msg,
	kDebWinnerEnemy_msg,
	kDebTieEnemy_msg,
	kDebLoserEnemy_msg,

	//
	//	Informative messages
	//
	kYouAreDead_msg,

	//
	//	Comm buttons
	//

	//
	//	Comm messages
	//

	//
	//	Victory rating
	//
	kAstoundingVictory_msg,
	kVictory_msg,
	kDraw_msg,
	kDefeat_msg,
	kDevastatingDefeat_msg,
	kLeftEarly_msg,

	//
	//	Random chatter
	//
	kRandChat1_msg,
	kRandChat2_msg,
	kRandChat3_msg,
	kRandChat4_msg,
	kRandChat5_msg,
	kRandChat6_msg,

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	kDataTransfer_msg,
	kReachedListeningPostPlayer_msg,
	kReachedListeningPostEnemy_msg,

	//
	//	Custom messages
	//

	//
	//	Not translated as of 11/22/00.
	//
	kData1_msg,
	kData2_msg,
	kData3_msg,
	kData4_msg,
	kData5_msg,
};

extern std::string Messages[];


#endif


