/********************************************************************************************************\

	File Name:	Attacker2VictoryState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "Attacker2VictoryState.h"
#include "MissionText.h"
#include "Attacker2Team.h"
#include "ScriptInterface.h"
#include "ShipInfo.h"
#include "Attacker2Victory.h"
#include "Met_3Ambushee.h"
#include "CommonDefs.h"
#include "DefenderTeam.h"
#include "Attacker1Team.h"
#include "Attacker2Team.h"

//
//	Serialization events
//
tAttacker2VictoryState::tAttacker2VictoryState( int32 astoundingVictory, int32 victory, int32 draw, int32 defeat, int32 devastatingDefeat ) :
	tChildActorVictoryState<tAttacker2Victory>( astoundingVictory, victory, draw, defeat, devastatingDefeat )
{}
void tAttacker2VictoryState::mBeginState()
{}
void tAttacker2VictoryState::mEndState()
{}

eVictoryLevels tAttacker2VictoryState::mCalcVictoryStatus( eTeamID ID )
{
	return kDraw;
}

void tAttacker2VictoryState::mOnDeath( tShipInfo* ship )
{
/*	ASSERT( ship );
	if( !ship ) return;

	tDefenderTeam* defenderTeam = dynamic_cast<tDefenderTeam*>( fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kDefenderTeam ) ) );
	ASSERT( defenderTeam );
	if( !defenderTeam ) return;

	tAttacker1Team* attackerTeam1 = dynamic_cast<tAttacker1Team*>( fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kAttackerTeam1 ) ) );
	ASSERT( attackerTeam1 );
	if( !attackerTeam1 ) return;

	// Attack Team 2 may not exist, so don't assert or bail out if it's not there
	tAttacker2Team* attackerTeam2 = dynamic_cast<tAttacker2Team*>( fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kAttackerTeam2 ) ) );

	switch( ship->mGetTeam() )
	{
	case kDefenderTeam:
		{
			mAddToPrestige( kPrestigeShipKilled );

			if( !defenderTeam->mShipsRemainingInPlay() )
			{
				gScriptInterface.mSetGameStatus( static_cast<eTeamID>( kAttackerTeam2 ), kPlayerWins );
			}
		}
		break;

	case kAttackerTeam2:
		{
			ASSERT( attackerTeam2 );	// Should never happen

			mAddToPrestige( -kPrestigeShipKilled );

			if( !attackerTeam2->mShipsRemainingInPlay() )
			{
				gScriptInterface.mSetGameStatus( static_cast<eTeamID>( kAttackerTeam2 ), kPlayerDestroyed );
			}
		}
		break;
	}*/
}

void tAttacker2VictoryState::mOnCapture( tShipInfo* ship )
{
	
}

void tAttacker2VictoryState::mOnDisengaged( tShipInfo* ship )
{
}

void tAttacker2VictoryState::mAtDistance( tShipInfo* ship )
{}
void tAttacker2VictoryState::mAtDestination( tShipInfo* ship )
{}
void tAttacker2VictoryState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tAttacker2VictoryState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tAttacker2VictoryState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tAttacker2VictoryState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tAttacker2VictoryState::mOnProbeLaunch( tShipInfo* ship )
{}
void tAttacker2VictoryState::mOnBeginOrbit( tShipInfo* ship )
{}
void tAttacker2VictoryState::mOnEndOrbit( tShipInfo* ship )
{}
void tAttacker2VictoryState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tAttacker2VictoryState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tAttacker2VictoryState::mOnFlashingButtonPressed()
{}
void tAttacker2VictoryState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tAttacker2VictoryState::mOnChangingShip( tShipInfo* ship )
{}
void tAttacker2VictoryState::mOnSpecialTransport( tShipInfo* ship )
{}
void tAttacker2VictoryState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tAttacker2VictoryState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tAttacker2VictoryState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
													eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tAttacker2VictoryState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
													eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

//
//	System events
//
void tAttacker2VictoryState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tAttacker2VictoryState::mOnHostChanged()
{}
void tAttacker2VictoryState::mOnTimedInterval( int32 timerID )
{}
void tAttacker2VictoryState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tAttacker2VictoryState::mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType )
{}
