/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN
	//
	//	Mission Title
	//
	
	//	kMissionTitle_msg,
	"Met_3Ambushee",

	//kTitle_Defender_msg,
	"Patrouille",

	//kTitle_Attacker_msg,
	"Hinterhalt!",

	//
	//	Briefing message
	//

	//kBriefing_Defender_msg,
	"Sie wurden mit der Aufgabe betraut, in diesem Teil des Sektors Patrouillen zu fliegen. Dies ist eine wichtige Aufgabe und " \
	"fr unsere Interessen von vitaler Bedeutung. Ihre Mission besteht darin, alle merkwrdigen Vorkommnisse zu untersuchen und " \
	"jedes gegnerische Schiff anzugreifen. Wenn Sie allerdings zahlenmig stark unterlegen sind, sollten Sie sich absetzen. Uns bei Feindaktivitten in diesem Sektor zu warnen, " \
	"ist besser als mit diesem Wissen zu sterben.\n\n" \
	"Wegtreten.",

	//kBriefing_Attacker_msg,
	"In der Gegend wurde eine kleine Anzahl gegnerischer Schiffe gesichtet; im Moment ist ihnen noch nicht bewusst, dass sie " \
	"beobachtet werden. Treffen Sie sich in Sektor [SYSTEM_NAME] mit verbndeten Streitkrften, und berfallen Sie den Gegner aus dem Hinterhalt.\n\n" \
	"Viel Glck.\n",

	//
	//	Informative messages
	//
	
	//	kYouAreDead_msg,
	"Ihre Streitkrfte wurden zerstrt.\nDrcken Sie 'T', um zuzuschauen.\n",

	//kDisengaged_msg
	"Sie haben sich abgesetzt.\nDrcken Sie 'T', um zuzuschauen.\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Victory rating
	//

	//	kWinner_msg,
	"Groartiger Sieg!\n\n",
	
	//	kLoser_msg,
	"Vernichtende Niederlage\n\n",
	
	//	kLeftEarly_msg,
	"Trennen.\n\n" \
	"Sie haben die Verbindung zu frh getrennt.",
	
	//	kDefault_msg,
	"Der Grad des Sieges kann nicht berechnet werden.\n\n",

	//kDraw_msg
	"Unentschieden!\n\n",

	//kVictory_msg
	"Sieg!\n\n",

	// Events
	
	//kStart_Defender_msg,
	"Erster Offizier: [PLAYER_RANK], es ist eine Falle! Vor uns und hinter uns befinden sich gegnerische Schiffe.\n" \

	"[PLAYER_NAME]: Steuermann, bringen Sie uns hier raus.\n" \

	"Navigationsoffizier: Ich werden mein Bestes tun.\n\n",


	//kStart_Attacker_msg,
	"Erster Offizier: Die Falle ist aufgegangen, [PLAYER_RANK]. Wir haben sie umzingelt.\n\n",


#else
	//
	//	Mission Title
	//
	
	//kMissionTitle_msg,
	"Met_3Ambushee",

	//kTitle_Defender_msg,
	"Patrol",

	//kTitle_Attacker_msg,
	"Ambush the Enemy!",

	//
	//	Briefing message
	//

	//kBriefing_Defender_msg,
	"You have been assigned the task of patrolling this part of the sector.  This is an important job and " \
	"is vital to our interests.  Your mission is to investigate any strange readings and " \
	"engage any enemy ships.  If you are heavily outnumberd you should disengage.  Warning us of enemy activity " \
	"in this sector is preferable to dying with that knowledge.\n\n" \
	"Dismissed",

	//kBriefing_Attacker_msg,
	"A small force of enemy ships has been sighted in the area; they are unaware of your " \
	"presence. Rendevouz in sector [SYSTEM_NAME] with allied forces and ambush the enemy.\n\n" \
	"Good luck.\n",

	//
	//	Informative messages
	//
	
	//	kYouAreDead_msg,
	"Your forces have been destroyed.\nPress 'T' to spectate.\n",

	//kDisengaged_msg
	"You have disengaged.\nPress 'T' to spectate.\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Victory rating
	//

	//	kWinner_msg,
	"Astounding Victory!\n\n",
	
	//	kLoser_msg,
	"Devastating Defeat\n\n",
	
	//	kLeftEarly_msg,
	"Forfeit\n\n",
	
	//	kDefault_msg,
	"Unable to calculate victory level.\n\n",

	//kDraw_msg
	"Draw!\n\n",

	//kVictory_msg
	"Victory!\n\n",

	// Events
	
	//kStart_Defender_msg,
	"First Officer: [PLAYER_RANK], it's a trap! We have enemy vessels fore and aft.\n" \

	"[PLAYER_NAME]: Helm, get us out of here.\n" \

	"Helm Officer: I'll try.\n\n",


	//kStart_Attacker_msg,
	"First Officer: The trap is sprung, [PLAYER_RANK]. We have them surrounded.\n\n",
#endif
};

