/********************************************************************************************************\

	File Name:	MissionText.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( MissionText_h )
#define MissionText_h

#include "tstring.h"


enum TextMessages
{
	//
	//	Mission Title
	//
	kMissionTitle_msg,
	kTitle_Defender_msg,
	kTitle_Attacker_msg,

	//
	//	Briefing message
	//
	kBriefing_Defender_msg,
	kBriefing_Attacker_msg,

	//
	//	Informative messages
	//
	kYouAreDead_msg,
	kDisengaged_msg,
	

	//
	//	Victory rating
	//
	kWinner_msg,
	kLoser_msg,
	kLeftEarly_msg,
	kDefault_msg,
	kDraw_msg,
	kVictory_msg,

	// Events
	kStart_Defender_msg,
	kStart_Attacker_msg,
};

extern std::string Messages[];


#endif



