/********************************************************************************************************\

	File Name:	AttackerShip2BaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "AttackerShip2BaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tAttackerShip2BaseState::mBeginState()
{}
void tAttackerShip2BaseState::mEndState()
{}

void tAttackerShip2BaseState::mOnDeath( tShipInfo* ship )
{}
void tAttackerShip2BaseState::mOnCapture( tShipInfo* ship )
{}
void tAttackerShip2BaseState::mOnDisengaged( tShipInfo* ship )
{}
void tAttackerShip2BaseState::mAtDistance( tShipInfo* ship )
{}
void tAttackerShip2BaseState::mAtDestination( tShipInfo* ship )
{}
void tAttackerShip2BaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tAttackerShip2BaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tAttackerShip2BaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tAttackerShip2BaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tAttackerShip2BaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tAttackerShip2BaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tAttackerShip2BaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tAttackerShip2BaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tAttackerShip2BaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tAttackerShip2BaseState::mOnFlashingButtonPressed()
{}
void tAttackerShip2BaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tAttackerShip2BaseState::mOnChangingShip( tShipInfo* ship )
{}
void tAttackerShip2BaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tAttackerShip2BaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tAttackerShip2BaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tAttackerShip2BaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tAttackerShip2BaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tAttackerShip2BaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tAttackerShip2BaseState::mOnHostChanged()
{}
void tAttackerShip2BaseState::mOnTimedInterval( int32 timerID )
{}
void tAttackerShip2BaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tAttackerShip2BaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

