/********************************************************************************************************\

	File Name:	CommonEnemyTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( CommonEnemyTeam_h )
#define CommonEnemyTeam_h

#include "TeamInfo.h"


class tCommonEnemyTeam : public tTeamInfo
{
public:

	tCommonEnemyTeam();

	virtual void mSetupVictoryCondition();
	virtual void mSetupDebriefingList( eVictoryLevels victoryLevel );
	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );
	virtual void mScheduleNextMission( tVictoryCondition* VictoryCondition );

public:

	void	mIncrementNumShips();
	void	mDecrementNumShips();
	int32	mNumShips();

protected:

	int32	fNumShips;
};

#endif
