/********************************************************************************************************\

	File Name:	FlagshipBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "FlagshipBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tFlagshipBaseState::mBeginState()
{}
void tFlagshipBaseState::mEndState()
{}

void tFlagshipBaseState::mOnDeath( tShipInfo* ship )
{}
void tFlagshipBaseState::mOnCapture( tShipInfo* ship )
{}
void tFlagshipBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tFlagshipBaseState::mAtDistance( tShipInfo* ship )
{}
void tFlagshipBaseState::mAtDestination( tShipInfo* ship )
{}
void tFlagshipBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tFlagshipBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tFlagshipBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tFlagshipBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tFlagshipBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tFlagshipBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tFlagshipBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tFlagshipBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tFlagshipBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tFlagshipBaseState::mOnFlashingButtonPressed()
{}
void tFlagshipBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tFlagshipBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tFlagshipBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tFlagshipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tFlagshipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tFlagshipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tFlagshipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tFlagshipBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tFlagshipBaseState::mOnHostChanged()
{}
void tFlagshipBaseState::mOnTimedInterval( int32 timerID )
{}
void tFlagshipBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tFlagshipBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

