/********************************************************************************************************\

	File Name:	CoffinTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "CoffinTeam.h"
#include "CoffinTeamBaseState.h"
#include "Coffin.h"
#include "ShipList_API.h"

tClassAllocator<tCoffinTeam> gCoffinTeamAllocator;

void tCoffinTeam::mSetupState()
{
	mRegisterState( new tCoffinTeamBaseState() );
	mGotoState( typeid( tCoffinTeamBaseState ) );
}

void tCoffinTeam::mSetupCommState()
{}


void tCoffinTeam::mCreateShipsForTeam()
{
	// Best to leave alone. No need to load a box from shiplist for this.
	int32 nStartPos = kStartPosition_J;
	for (int32 i = 0; i <= 6; i++)
	{
		mCreateShip( typeid( tCoffin ), "Z-BOX", nStartPos, kNoMetaShipID, kCoffin1+i, 0,0,0,0, "Mirak Coffin", kDefaultShipOptions );
	}
}

void tCoffinTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tCoffinTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tCoffinTeam", shipScriptDescription );
}

