/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Mir_1Desecration",

	//kTitle2
	"Entehrung der Toten\n\n",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"Es ist an der Zeit, die Leichname unserer verehrten Toten zur letzten Ruhe zu betten. Begeben Sie sich zum Sektor [SYSTEM_NAME], " \
	"und bernehmen Sie die Ehrenwache bei den Bestattungscontainern, whrend sie ihre letzte Reise in die feurige " \
	"Atmosphre des Planeten antreten.\n\n",

	//
	//	Starting message
	//
	
	//	kStart_msg,
	"",

	//kCaptainsLog_msg,
	"Logbuch des Captains, Sternendatum [STARDATE]. Wir sind als Ehrengarde fr die letzte Reise unserer verehrten Toten abkommandiert worden.\n",
	
	//kInitialSitrep_msg,
	"Erster Offizier: [PLAYER_RANK], ich registriere lyranische Schiffe auf Annherungskurs!\n" \

	"[PLAYER_NAME]: Wir drfen nicht zulassen, dass das lyranische Geschmei die Leichname unserer Kriegshelden entehrt. Alle Mann auf die Kampfstationen!\n\n",

	//
	//	Debriefing messages
	//
	
	//kDebNoCoffinsKilled_msg,
	"Sie haben jeden Bestattungscontainer gerettet, [PLAYER_RANK]. Gute Arbeit.\n\n",

	//kDebTwoCoffinsKilled_msg,
	"Es ist eine Schande, dass Sie den Lyranern ermglicht haben, unsere Toten zu entehren. Vielleicht werden Sie sich irgendwann einmal von dieser Schande reinwaschen knnen.\n\n",

	//kDebTooManyCoffinsKilled_msg,
	"Ich stelle fest, dass es ein tragischer Fehler war, Sie fr die Ehrengarde auszuwhlen.\n\n",

	//kDebLyransLived_msg,
	"Wie konnte Sie den lyranischen Abschaum berleben lassen? War die bermacht so gro? Oder liegt es daran, dass Ihre Fhrungstalente " \
	"denen der Lyraner einfach nicht gewachsen sind?\n\n",

	//kDebLyransDied_msg,
	"Keiner von dem lyranischen Abschaum hat berlebt. Hervorragend.\n\n",

	//kDeb_PlayerDied_msg
	"Ihre Einheiten sind vernichtet worden.\n\n",

	//
	//	Comm buttons
	//
	
	//kButton_Hail,
	"RUFEN",
	
	//kButton_Surrender,
	"KAPITULATION FORDERN",

	//
	//	Comm messages
	//
	
	//kHailMsg_1,
	"[PLAYER_NAME]: Ich glaubte nicht, dass die Lyraner so tief sinken wrden, dass sie die Toten entehren.\n" \

	"Lyranischer Captain: Tot, lebendig, mir sind alle Miraker recht ... als Zielscheibe.\n\n",

	//kHailMsg_2,
	"[PLAYER_NAME]: Ich glaubte nicht, dass die Lyraner so tief sinken wrden, dass sie die Toten entehren.\n" \

	"Lyranischer Captain: Tot, lebendig, mir sind alle Miraker recht ... als Zielscheibe.\n\n",

	//kHailMsg_3,
	"[PLAYER_NAME]: Ich glaubte nicht, dass die Lyraner so tief sinken wrden, dass sie die Toten entehren.\n" \

	"Lyranischer Captain: Tot, lebendig, mir sind alle Miraker recht ... als Zielscheibe.\n\n",

	//kSurrenderMsg_1,
	"Lyranischer Captain: Wir sollen uns ergeben? Euch? Naja, immerhin haben die Miraker ihren Sinn fr Humor noch nicht verloren.\n\n",

	//kSurrenderMsg_2,
	"Lyranischer Captain: Wir sollen uns ergeben? Eher wrde ich sterben.\n" \

	"[PLAYER_NAME]: Dafr kann gesorgt werden.\n\n",

	//kSurrenderMsg_3,
	"Lyranischer Captain: Wir sollen uns ergeben? Euch? Naja, immerhin haben die Miraker ihren Sinn fr Humor noch nicht verloren.\n\n",

	//
	//	Victory rating
	//

	//	kAstoundingVictory_msg,
	"Groartiger Sieg!\n\n",

	//	kVictory_msg,
	"Sieg!\n\n",

	//	kDraw_msg,
	"Unentschieden\n\n",

	//	kDefeat_msg,
	"Niederlage\n\n",

	//	kDevastatingDefeat_msg,
	"Vernichtende Niederlage\n\n",

	//	kLeftEarly_msg,
	"Mission eingebt\n\n",

	
	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	
	//kCoffinDestroyed_msg,
	"Erster Offizier: [PLAYER_RANK], ein Bestattungscontainer wurde zerstrt!\n\n",
	
	//kAllCoffinsDestroyed_msg,
	"Erster Offizier: Alle Bestattungscontainer wurden zerstrt. Wir haben versagt.\n\n",

	//kAllLyransDead_msg,
	"Erster Offizier: Alle lyranischen Schiffe wurden zerstrt.\n\n",
	
	//kLyranDies_msg,
	"Erster Offizier: Ein weiterer Lyraner wurde ausgesandt.\n\n",


	//
	//	Custom messages
	//

#else
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Mir_1Desecration",

	//kTitle2
	"Desecration",


	//
	//	Briefing message
	//

	// kBriefing_msg,
	"It's time to lay the bodies of our honored dead to rest. Proceed to [SYSTEM_NAME] " \
	"and stand watch over the burial containers as they begin their final journey into the fiery " \
	"atmosphere of the planet.\n\n",

	//
	//	Starting message
	//
	
	//	kStart_msg,
	"",

	//kCaptainsLog_msg,
	"Captain's log, stardate [STARDATE]. We've been assigned as honor guard for the final voyage of our honored dead.\n",
	
	//kInitialSitrep_msg,
	"First Officer: [PLAYER_RANK], I'm detecting Lyran vessels inbound!\n" \

	"[PLAYER_NAME]: We must not let the Lyran vermin desecrate the bodies of our war heroes. All hands to battle stations!\n\n",

	//
	//	Debriefing messages
	//
	
	//kDebNoCoffinsKilled_msg,
	"You saved every burial container, [PLAYER_RANK]. Well done.\n\n",

	//kDebTwoCoffinsKilled_msg,
	"It is a shame that you allowed the Lyrans to desecrate our dead. In time, you may be forgiven.\n\n",

	//kDebTooManyCoffinsKilled_msg,
	"I can see that choosing you as honor guard was a tragic mistake.\n\n",

	//kDebLyransLived_msg,
	"How could you fail to destroy the Lyran scum? Were you grossly outnumbered? Or are your command skills " \
	"simply no match for theirs?\n\n",

	//kDebLyransDied_msg,
	"None of the Lyran scum survived. Excellent.\n\n",

	//kDeb_PlayerDied_msg
	"Your forces were destroyed.\n\n",
	
	//
	//	Comm buttons
	//
	
	//kButton_Hail,
	"HAIL",
	
	//kButton_Surrender,
	"DEMAND SURRENDER",

	//
	//	Comm messages
	//
	
	//kHailMsg_1,
	"[PLAYER_NAME]: I did not think that the Lyrans would stoop so low as to desecrate the dead.\n" \

	"Lyran Captain: Dead, living, Mirak are all the same to me... targets.\n\n",

	//kHailMsg_2,
	"[PLAYER_NAME]: I did not think that the Lyrans would stoop so low as to desecrate the dead.\n" \

	"Lyran Captain: Dead, living, Mirak are all the same to me... targets.\n\n",

	//kHailMsg_3,
	"[PLAYER_NAME]: I did not think that the Lyrans would stoop so low as to desecrate the dead.\n" \

	"Lyran Captain: Dead, living, Mirak are all the same to me... targets.\n\n",

	//kSurrenderMsg_1,
	"Lyran Captain: Surrender? To you? So, the Mirak have a sense of humor after all.\n\n",

	//kSurrenderMsg_2,
	"Lyran Captain: Surrender? I would sooner die.\n" \

	"[PLAYER_NAME]: That can be arranged.\n\n",

	//kSurrenderMsg_3,
	"Lyran Captain: Surrender? To you? So, the Mirak have a sense of humor after all.\n\n",

	//
	//	Victory rating
	//

	//	kAstoundingVictory_msg,
	"Astounding Victory!\n\n",

	//	kVictory_msg,
	"Victory!\n\n",

	//	kDraw_msg,
	"Draw\n\n",

	//	kDefeat_msg,
	"Defeat\n\n",

	//	kDevastatingDefeat_msg,
	"Devastating Defeat\n\n",

	//	kLeftEarly_msg,
	"Forfeit\n\n",

	
	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	
	//kCoffinDestroyed_msg,
	"First Officer: [PLAYER_RANK], a burial container has been destroyed!\n\n",
	
	//kAllCoffinsDestroyed_msg,
	"First Officer: All burial containers have been destroyed. We have failed.\n\n",

	//kAllLyransDead_msg,
	"First Officer: All the Lyran vessels have been neutralized.\n\n",
	
	//kLyranDies_msg,
	"First Officer: Another Lyran has been dispatched.\n\n",


	//
	//	Custom messages
	//
#endif
};



