/********************************************************************************************************\

	File Name:	MissionText.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( MissionText_h )
#define MissionText_h

#include "tstring.h"


enum TextMessages
{
	//
	//	Mission Title
	//
	kMissionTitle_msg,
	kTitle2,

	//
	//	Briefing message
	//
	kBriefing_msg,

	//
	//	Starting message
	//
	kStart_msg,
	kCaptainsLog_msg,
	kInitialSitrep_msg,

	//
	//	Debriefing messages
	//
	kDebNoCoffinsKilled_msg,
	kDebTwoCoffinsKilled_msg,
	kDebTooManyCoffinsKilled_msg,
	kDebLyransLived_msg,
	kDebLyransDied_msg,
	kDeb_PlayerDied_msg,

	//
	//	Comm buttons
	//
	kButton_Hail,
	kButton_Surrender,

	//
	//	Comm messages
	//
	kHailMsg_1,
	kHailMsg_2,
	kHailMsg_3,
	kSurrenderMsg_1,
	kSurrenderMsg_2,
	kSurrenderMsg_3,

	//
	//	Victory rating
	//
	kAstoundingVictory_msg,
	kVictory_msg,
	kDraw_msg,
	kDefeat_msg,
	kDevastatingDefeat_msg,
	kLeftEarly_msg,

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	kCoffinDestroyed_msg,
	kAllCoffinsDestroyed_msg,
	kAllLyransDead_msg,
	kLyranDies_msg,


	//
	//	Custom messages
	//

	//
	//	Number of messages
	//
	kMsg_num,
};

extern std::string Messages[];


#endif

