/********************************************************************************************************\

	File Name:	DilithiumShip.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "DilithiumShip.h"
#include "DilithiumShipBaseState.h"
#include "MissionText.h"

tClassAllocator<tDilithiumShip> gDilithiumShipAllocator;

void tDilithiumShip::mSetupState()
{
	mRegisterState( new tDilithiumShipBaseState() );
	mGotoState( typeid( tDilithiumShipBaseState ) );
}

void tDilithiumShip::mSetupCommState()
{}

void tDilithiumShip::mSetupShip()
{}


/*	
	!!!!!!!!
	Change kTransDiplomat to KTransDilithiumCrystals when that object works
*/
void tDilithiumShip::mRevealContents()
{
	mChangeName( kDilithiumName );
	mAddItemToStores( kTransporterItem, kTransDilithiumCrystals, 1 );
	mSetShipCallbackEvents( kNotifyTransportedItem );
}

