/********************************************************************************************************\

	File Name:	MineTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MineTeam.h"
#include "MineTeamBaseState.h"
#include "MineShip.h"
#include "ShipList_API.h"

tClassAllocator<tMineTeam> gMineTeamAllocator;

void tMineTeam::mSetupState()
{
	mRegisterState( new tMineTeamBaseState() );
	mGotoState( typeid( tMineTeamBaseState ) );
}

void tMineTeam::mSetupCommState()
{}

void tMineTeam::mCreateShipsForTeam()
{
	// Eh. Don't miss with this. --FS
	char *szInitialName		= "Cargo Container";
	char *szShipName		= "Z-BOX";

	mCreateShip( typeid( tMineShip ),
				 szShipName,
				 kStartPosition_M,
				 kNoMetaShipID,
				 kMBox1,
				 0,0,0,0,
				 szInitialName,
				 kDefaultShipOptions );

	mCreateShip( typeid( tMineShip ),
				 szShipName,
				 kStartPosition_O,
				 kNoMetaShipID,
				 kMBox2,
				 0,0,0,0,
				 szInitialName,
				 kDefaultShipOptions );

	mCreateShip( typeid( tMineShip ),
				 szShipName,
				 kStartPosition_Q,
				 kNoMetaShipID,
				 kMBox3,
				 0,0,0,0,
				 szInitialName,
				 kDefaultShipOptions );

	mCreateShip( typeid( tMineShip ),
				 szShipName,
				 kStartPosition_S,
				 kNoMetaShipID,
				 kMBox4,
				 0,0,0,0,
				 szInitialName,
				 kDefaultShipOptions );

	mCreateShip( typeid( tMineShip ),
				 szShipName,
				 kStartPosition_T,
				 kNoMetaShipID,
				 kMBox5,
				 0,0,0,0,
				 szInitialName,
				 kDefaultShipOptions );

	mCreateShip( typeid( tMineShip ),
				 szShipName,
				 kStartPosition_U,
				 kNoMetaShipID,
				 kMBox6,
				 0,0,0,0,
				 szInitialName,
				 kDefaultShipOptions );
}

void tMineTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tMineTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tMineTeam", shipScriptDescription );
}

