/********************************************************************************************************\

	File Name:	AsteroidTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "AsteroidTeam.h"
#include "AsteroidTeamBaseState.h"
#include "Asteroid.h"
#include "ShipList_API.h"

tClassAllocator<tAsteroidTeam> gAsteroidTeamAllocator;

void tAsteroidTeam::mSetupState()
{
	mRegisterState( new tAsteroidTeamBaseState() );
	mGotoState( typeid( tAsteroidTeamBaseState ) );
}

void tAsteroidTeam::mSetupCommState()
{}

void tAsteroidTeam::mCreateShipsForTeam()
{
	// era-correct won't matter here. Leaving This alone. --FS, 20121004
	mCreateShip( typeid( tAsteroid ),
				 "N-AST",
				 kStartPosition_L,
				 kNoMetaShipID,
				 kRockSpecial,
				 0,0,0,0,
				 NULL,
				 kDefaultShipOptions );
}

void tAsteroidTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tAsteroidTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tAsteroidTeam", shipScriptDescription );
}

