/********************************************************************************************************\

	File Name:	MissionText.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( MissionText_h )
#define MissionText_h

#include "tstring.h"


enum TextMessages
{
	//
	//	Mission Title
	//
	kMissionTitle_msg,
	kTitle2,

	//
	//	Description message
	//
	kDescription_msg,

	//
	//	Briefing message
	//
	kBriefing_msg,

	//
	//	Starting message
	//
	kCaptainsLog_msg,
	kSitrep_msg,

	//
	//	Debriefing messages
	//
	kDeb_Scanned_And_Rock_msg,
	kDeb_Scanned_And_Planet_msg,
	kDeb_BeamedStupid_msg,
	kDeb_BeamedNowhere_msg,
	kDeb_NoScan_Rock_msg,
	kDeb_NoScan_Planet_msg,
	kDeb_PlayerDied_msg,

	//
	//	Comm buttons
	//
	kButton_Hail,

	//
	//	Comm messages
	//
	kHailMonsters_msg,

	//
	//	Victory rating
	//
	kAstoundingVictory_msg,
	kVictory_msg,
	kDraw_msg,
	kDefeat_msg,
	kDevastatingDefeat_msg,
	kLeftEarly_msg,

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	kScannedPlanet_msg,
	kScannedNormalRock_msg,
	kScannedSpecialRock_msg,
	kMonstersGoToWar_msg,
	kMonstersTimeout_msg,
	kMonstersFeeding_msg,
	kMonstersDoneFeeding_msg,
	kBeamToPlanet_msg,
	kBeamToSpecialRock_msg,
	kBeamSomewhereStupid_msg,
	kScannedMonster1_msg,
	kScannedMonster2_msg,
	kScannedFeedingMonster_msg,

	//
	//	Custom messages
	//
	kScanning_msg,

	//
	//	Number of messages
	//
	kMsg_num,
};

extern std::string Messages[];


#endif

