/********************************************************************************************************\

	File Name:	KlingonMoon.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "KlingonMoon.h"
#include "KlingonMoonBaseState.h"
#include "MissionText.h"
#include "ScriptInterface.h"
#include "Mir_5BFunny2.h"

tClassAllocator<tKlingonMoon> gKlingonMoonAllocator;

void tKlingonMoon::mSetupState()
{
	mRegisterState( new tKlingonMoonBaseState() );
	mGotoState( typeid( tKlingonMoonBaseState ) );
}

void tKlingonMoon::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	if( !playerTeam )
			return;

	playerTeam->mRegisterCommMessage( kCommState_1,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail,
									  kHailKlingon );

	playerTeam->mGotoCommState( mGetShipID(), kCommState_1 );
}

void tKlingonMoon::mSetupShip()
{}
