/********************************************************************************************************\

	File Name:	KlingonTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "KlingonTeamBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tKlingonTeamBaseState::mBeginState()
{}
void tKlingonTeamBaseState::mEndState()
{}

void tKlingonTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tKlingonTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tKlingonTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tKlingonTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tKlingonTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tKlingonTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tKlingonTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tKlingonTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tKlingonTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tKlingonTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tKlingonTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tKlingonTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tKlingonTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tKlingonTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tKlingonTeamBaseState::mOnFlashingButtonPressed()
{}
void tKlingonTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tKlingonTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tKlingonTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tKlingonTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tKlingonTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tKlingonTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tKlingonTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tKlingonTeamBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tKlingonTeamBaseState::mOnHostChanged()
{}
void tKlingonTeamBaseState::mOnTimedInterval( int32 timerID )
{}
void tKlingonTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tKlingonTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

