/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Mir_5BFunny2",

	//kTitle2
	"Was ist daran so lustig? Teil II\n\n",

	//
	//	Description message
	//
	"",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"Bringen Sie unseren Botschafter zu dem diplomatischen Treffen. Der Botschafter wird Ihnen " \
	"den genauen Ort des Treffens noch mitteilen.\n\n",

	//
	//	Starting message
	//
	
	//kCaptainsLog_msg,
	"Logbuch des [PLAYER_RANK], Sternendatum [STARDATE]. Wir sind auf dem Weg nach [SYSTEM_NAME], um unseren " \
	"Botschafter zu dem diplomatischen Treffen zu bringen.\n\n",
	
	//kSitrep_msg,
	"[PLAYER_NAME]: Hier sind wir, Herr Botschafter. Wo drfen wir Sie absetzen?\n" \

	"Botschafter: Das liegt an Ihnen, [PLAYER_RANK].\n" \

	"[PLAYER_NAME]: Wie bitte?\n" \

	"Botschafter: Das ist Ihre Entscheidung. Ich berlasse Ihnen die Entscheidung, mit wem ich verhandeln soll. Auf jeden Fall " \
	"sind Sie derjenige, der hier drauen das Kmpfen erledigt. Mit wem sollten wir also Freundschaft schlieen?\n\n",


	//
	//	Debriefing messages
	//
	
	//kDeb_BeamedMirak_msg,
	"Interessante Wahl, [PLAYER_RANK]. Sehr interessant... aber dumm! Warum im Namen aller " \
	"Heiligen wollen Sie einen Botschafter VON unserem Volk ZU unserem eigenen Volk beamen?\n\nWegtreten.\n",

	//kDeb_BeamedLyran_msg,
	"Herzlichen Glckwunsch, [PLAYER_RANK]. Ich wnschte, ich knnte sagen, das Treffen sei ebenso erfolgreich gewesen wie Ihre " \
	"Mission, aber es sieht so aus, als htten die Lyraner unseren Botschafter unmittelbar nach seinem Eintreffen gettet.\n" \

	"Na ja. Wer will berhaupt Frieden mit den Lyranern?\n\n",

	//kDeb_BeamedKlingon_msg,
	"Herzlichen Glckwunsch, [PLAYER_RANK]. Das diplomatische Treffen scheint sehr gut zu laufen.\n\n",

	//kDeb_BeamedHydran_msg,
	"Herzlichen Glckwunsch, [PLAYER_RANK]. Das diplomatische Treffen scheint sehr gut zu laufen.\n\n",

	//kDeb_BeamedPlanet_msg,
	"Ah, [PLAYER_RANK], kommen Sie herein. Vielleicht knnen Sie mir erklren, warum Sie unseren Botschafter auf " \
	"einen unbewohnten Planeten geschickt haben? Ich habe jede Menge Zeit.\n\n",

	//kDeb_BeamedNowhere_msg,
	"Ah, [PLAYER_RANK], gut, Sie zu sehen. Vielleicht knnen Sie mir helfen: Ich habe gerade den Bericht gelesen, den Sie " \
	"bertragen haben, aber ich habe ein paar kleinere Verstndnisprobleme. Aber vielleicht knnen Sie mir ja erklren, warum Sie " \
	"unseren Botschafter auf eine nette Weltraumrundfahrt mitgenommen haben, anstatt ihn auf das Treffen zu beamen?\n" \

	"Ich freue mich darauf, Ihren Erluterungen zu lauschen.\n\n",

	//kDeb_PlayerDied_msg
	"Ihre Einheiten sind vernichtet worden.\n\n",

	//
	//	Comm buttons
	//
	
	//kButton_Hail
	"RUFEN",

	//
	//	Comm messages
	//
	
	//kHailMirak,
	"Delegation der Miraker: Es ergibt wenig Sinn, unseren Botschafter zu unserem eigenen Volk zu schicken.\n\n",

	//kHailLyran,
	"Delegation der Lyraner: Ja, wir fnden es hervorragend, Euren Botschafter zu empfangen... als Mittagessen!\n\n",

	//kHailKlingon,
	"Delegation der Klingonen: Wir werden Euren Botschafter empfangen, aber seid gewarnt: Wenn das eine Falle ist, wird der Rest " \
	"Eures Lebens sowohl kurz als auch schmerzensreich sein.\n\n",

	//kHailHydran,
	"Delegation der Hydraner: Ja, natrlich wrden wir Ihren Botschafter willkommen heien.\n\n",

	//kHailPlanet,
	"Kommunikationsoffizier: Keine Reaktion, [PLAYER_RANK].\n\n",

	//
	//	Victory rating
	//

	//	kAstoundingVictory_msg,
	"Groartiger Sieg!",

	//	kVictory_msg,
	"Sieg!",

	//	kDraw_msg,
	"Unentschieden",

	//	kDefeat_msg,
	"Niederlage",

	//	kDevastatingDefeat_msg,
	"Vernichtende Niederlage",

	//	kLeftEarly_msg,
	"Mission eingebt",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	
	//kBeamedToOwnPlanet_msg,
	"Der Botschafter wurde abgesetzt, [PLAYER_RANK].\n\n",

	//kBeamedToLyran_msg,
	"Der Botschafter wurde abgesetzt, [PLAYER_RANK].\n\n",

	//kBeamedToKlingon_msg,
	"Der Botschafter wurde abgesetzt, [PLAYER_RANK].\n\n",

	//kBeamedToHydran_msg,
	"Der Botschafter wurde abgesetzt, [PLAYER_RANK].\n\n",

	//kBeamedToPlanet_msg,
	"Der Botschafter wurde abgesetzt, [PLAYER_RANK].\n\n",

	//kScannedPlanet_msg
	"Wissenschaftsoffizier: Die Sensoren zeigen nichts von Interesse da unten, [PLAYER_RANK].\n\n",

	//
	//	Custom messages
	//

	//kScanning_msg
	"Wissenschaftsoffizier: Wir scannen...\n\n",

#else
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Mir_5BFunny2",

	//kTitle2
	"What's So Funny - Part II",

	//
	//	Description message
	//
	"",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"Deliver our ambassador to the diplomatic conference. The ambassador will give you the " \
	"exact location of the meeting.\n\n",

	//
	//	Starting message
	//
	
	//kCaptainsLog_msg,
	"[PLAYER_RANK]'s Log, stardate [STARDATE]. We're en route to [SYSTEM_NAME] to deliver our " \
	"ambassador to the diplomatic conference.\n\n",
	
	//kSitrep_msg,
	"[PLAYER_NAME]: Here we are, Mr. Ambassador. Where can I drop you off?\n" \

	"Ambassador: That's up to you, [PLAYER_RANK].\n" \

	"[PLAYER_NAME]: Come again?\n" \

	"Ambassador: You decide. I'm leaving it up to you to decide who I should negotiate with. After all, " \
	"you've been out here, fighting. Whom should we befriend?\n\n",


	//
	//	Debriefing messages
	//
	
	//kDeb_BeamedMirak_msg,
	"Interesting choice, [PLAYER_RANK]. Very intersting... but stupid! Why in the name of all that's " \
	"sacred would you beam an ambassador FROM our people TO our own people?\n\nDismissed.\n",

	//kDeb_BeamedLyran_msg,
	"Congratulations, [PLAYER_RANK]. I wish I could say the conference worked out as well as your " \
	"mission, but it seems the Lyrans killed our ambassador within minutes after he arrived.\n" \

	"Oh well. Who wants peace with the Lyrans anyway?\n\n",

	//kDeb_BeamedKlingon_msg,
	"Congratulations, [PLAYER_RANK]. The diplomatic conference seems to be going well.\n\n",

	//kDeb_BeamedHydran_msg,
	"Congratulations, [PLAYER_RANK]. The diplomatic conference seems to be going well.\n\n",

	//kDeb_BeamedPlanet_msg,
	"Ah, [PLAYER_RANK]: come in. Perhaps you can explain to me why you sent our ambassador to " \
	"an uninhabited planet? I have all day.\n\n",

	//kDeb_BeamedNowhere_msg,
	"Ah, [PLAYER_RANK]; good to see you. Perhaps you can help me: I was reading over your transmitted " \
	"report, but I'm having a little trouble understanding it. Perhaps you can explain to me why you " \
	"took our ambassador on a nice space cruise instead of actually beaming him to the conference?\n" \

	"I look forward to hearing your explanation.\n\n",

	//kDeb_PlayerDied_msg
	"Your forces were destroyed.\n\n",

	//
	//	Comm buttons
	//
	
	//kButton_Hail
	"HAIL",

	//
	//	Comm messages
	//
	
	//kHailMirak,
	"Mirak Delegation: There's little point in sending our ambassador to your own people.\n\n",

	//kHailLyran,
	"Lyran Delegation: Yes, we would love to have your ambassador... for lunch!\n\n",

	//kHailKlingon,
	"Klingon Delegation: We will accept your ambassador, but be warned: if this is a trap, the remainder " \
	"of your life will be both short and painful.\n\n",

	//kHailHydran,
	"Hydran Delegation: Yes, we would welcome your ambassador.\n\n",

	//kHailPlanet,
	"Communications Officer: No response, [PLAYER_RANK].\n\n",

	//
	//	Victory rating
	//

	//	kAstoundingVictory_msg,
	"Astounding Victory!\n\n",

	//	kVictory_msg,
	"Victory!\n\n",

	//	kDraw_msg,
	"Draw\n\n",

	//	kDefeat_msg,
	"Defeat\n\n",

	//	kDevastatingDefeat_msg,
	"Devastating Defeat\n\n",

	//	kLeftEarly_msg,
	"Forfeit\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	
	//kBeamedToOwnPlanet_msg,
	"The ambassador has been transported, [PLAYER_RANK].\n\n",

	//kBeamedToLyran_msg,
	"The ambassador has been transported, [PLAYER_RANK].\n\n",

	//kBeamedToKlingon_msg,
	"The ambassador has been transported, [PLAYER_RANK].\n\n",

	//kBeamedToHydran_msg,
	"The ambassador has been transported, [PLAYER_RANK].\n\n",

	//kBeamedToPlanet_msg,
	"The ambassador has been transported, [PLAYER_RANK].\n\n",

	//kScannedPlanet_msg
	"Science Officer: Sensors show nothing interesting down there, [PLAYER_RANK].\n\n",

	//
	//	Custom messages
	//

	//kScanning_msg
	"Science Officer: Scanning...\n\n",
#endif
};



