/********************************************************************************************************\

	File Name:	MissionText.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( MissionText_h )
#define MissionText_h

#include "tstring.h"


enum TextMessages
{
	//
	//	Mission Title
	//
	kMissionTitle_msg,
	kTitle2,

	//
	//	Description message
	//
	kDescription_msg,

	//
	//	Briefing message
	//
	kBriefing_msg,

	//
	//	Starting message
	//
	kCaptainsLog_msg,
	kSitrep_msg,

	//
	//	Debriefing messages
	//
	kDeb_BeamedMirak_msg,
	kDeb_BeamedLyran_msg,
	kDeb_BeamedKlingon_msg,
	kDeb_BeamedHydran_msg,
	kDeb_BeamedPlanet_msg,
	kDeb_BeamedNowhere_msg,
	kDeb_PlayerDied_msg,

	//
	//	Comm buttons
	//
	kButton_Hail,

	//
	//	Comm messages
	//
	kHailMirak,
	kHailLyran,
	kHailKlingon,
	kHailHydran,
	kHailPlanet,

	//
	//	Victory rating
	//
	kAstoundingVictory_msg,
	kVictory_msg,
	kDraw_msg,
	kDefeat_msg,
	kDevastatingDefeat_msg,
	kLeftEarly_msg,

	//
	//	Random chatter
	//

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	kBeamedToOwnPlanet_msg,
	kBeamedToLyran_msg,
	kBeamedToKlingon_msg,
	kBeamedToHydran_msg,
	kBeamedToPlanet_msg,
	kScannedPlanet_msg,


	//
	//	Custom messages
	//
	kScanning_msg,

	//
	//	Number of messages
	//
	kMsg_num,
};

extern std::string Messages[];


#endif

