/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Mir_6Wheel",

	//kTitle2
	"Das Rad des Leidens\n\n",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"Bereiten Sie sich auf Ihren unverzglichen Abflug vor, [PLAYER_RANK].\n" \

	"Wir haben einen Notruf von einem Frachter erhalten, der zum 'Rad des Leidens' gehrt. Das 'Rad' ist " \
	"eine merkwrdige Sekte, die glaubt, dass sich das Leben ums Leiden dreht.\n" \

	"Trotz ihrer Merkwrdigkeiten werden wir natrlich auf ihren Notruf reagieren. Darber hinaus mchte ich, dass Sie " \
	"feststellen, warum das Schiff angegriffen wurde.\n\n" \

	"Los, setzen Sie sich in Bewegung.\n",

	//
	//	Starting message
	//
	
	//	kCaptainsLog_msg,
	"Logbuch des [PLAYER_RANK], Sternendatum [STARDATE]. Wir sind mit maximaler Warpgeschwindigkeit auf dem Weg nach [SYSTEM_NAME], um " \
	"auf einen Notruf zu reagieren.\n",

	//kInitialSitrep_msg
	"Erster Offizier: Wir befinden uns jetzt in Rufreichweite des Frachters, [PLAYER_RANK].\n\n",

	//
	//	Debriefing messages
	//
	
	//kDeb_NoAllianceFrtDead_msg,
	"Gut. Ich bin sicher, Sie haben eine gute Erklrung dafr, warum Sie den Frachter nicht retten konnten. Ich kann gar nicht erwarten, sie zu hren.\n\n",

	//kDeb_NoAllianceEnemyDead_msg,
	"Naja, es sieht so aus, als habe die Rad-Sekte uns alle auf den Leim gefhrt, [PLAYER_RANK]. Wir haben seit Ihrem Abflug einige sehr beunruhigende " \
	"Berichte aus dem Gebiet erhalten. Irgendwie hat die Sekte es geschafft, ihren Einfluss in wenigen Tagen " \
	"zu vervielfachen. Wir knnen nur Spekulationen darber anstellen, was da drauen wirklich vor sich geht.\n\nWegtreten.\n",

	//kDeb_AllianceNoCapture_msg,
	"Die Tatsache, dass Sie es nicht geschafft haben, die Rad-Sekte zu stoppen, als unglcklich zu bezeichnen, wre eine Untertreibung.\n" \
	"Sie haben es geschafft, ihren Einfluss zu vervielfachen, seit Sie das System verlassen haben, und zweifelsohne mit Untersttzung " \
	"der Psionik-Verstrkungsvorrichtung der U-Ianna. Ich bin nicht sicher, wie wir bei der Bekmpfung dieser " \
	"Art Waffe vorgehen sollen.\n\n",

	//kDeb_AllianceCapture_msg,
	"Hervorragende Arbeit, [PLAYER_RANK]. Es ist nicht zu ermessen, welchen Schaden die Rad-Sekte in der Galaxis angerichtet htte, " \
	"wenn sie ihre Plne in die Tat htten umsetzen knnen.\n\nWegtreten.\n",

	//kDeb_NoExplanationCappedPlanet_msg
	"Ich bin sicher, Sie haben einen guten Grund fr das Absetzen einer Invasionsstreitmacht auf diesem Planeten. " \
	"Ich freue mich darauf zu hren, wie Sie Ihre Aktionen vor dem Kriegsgericht rechtfertigen werden.\n\n",

	//kDeb_PlayerDied_msg
	"Ihre Einheiten sind vernichtet worden.\n\n",

	//
	//	Comm buttons
	//
	
	//kButton_Hail
	"RUFEN",

	//kButton_Explain
	"ERKLREN",

	//kButton_Yes,
	"JA",

	//kButton_No,
	"NEIN",

	//
	//	Comm messages
	//
	
	//kHailFreighter_1_msg,
	"Kommunikationsoffizier: Irgend etwas stimmt nicht, [PLAYER_RANK]... die bertragung des Frachters ist " \
	"identisch mit dem ursprnglichen Notruf, sogar bis hin zur Sprachmusteranalyse." \

	"Erster Offizier: Eine Aufzeichnung?\n" \

	"Kommunikationsoffizier: Ich glaube ja, Sir.\n" \

	"Erster Offizier: Was geht hier vor?\n\n",

	//kHailFreighter_2_msg,
	"Kommunikationsoffizier: Die gleiche Meldung, [PLAYER_RANK]. Es ist definitiv eine Aufzeichnung.\n\n",

	//kEnemyTalks_msg
	"[PLAYER_NAME]: Warum greifen Sie einen unbemannten Frachter an?\n" \

	"Klingonischer Captain: Unbemannt? Wovon redest Du!?\n" \

	"Klingonischer Wissenschaftsoffizier: Es ist war, Captain. Die Sensoren registrieren keine Anzeichen von Leben an Bord.\n" \

	"Klingonischer Captain: Der Frachter ist ein roter Hering! Vielleicht ist es schon zu spt...\n\n",

	//kEnemyDoesntTalk_msg
	"[PLAYER_NAME]: Warum greifen Sie einen zivilen Frachter an?\n" \

	"Klingonischer Captain: Wenn dieses Schiff es bis zu dem Planeten schafft, sind wir alle tot!\n" \

	"[PLAYER_NAME]: Wovon reden Sie?\n" \

	"Klingonischer Captain: Wenn Du das nicht selbst siehst, verschwende ich meine Zeit auch nicht " \
	"mit Erklrungen.\n\n",


	//kExplain_1_msg
	"[PLAYER_NAME]: Was geht hier vor, Captain? Ich brauche Antworten.\n" \

	"Klingonischer Captain: (zgert)[3]" \

	"Klingonischer Captain: Na gut. Dieser Planet war einst eine Welt der U-Ianna: ein seit langem ausgestorbenes Volk, das " \
	"ber unglaubliche telepathische Krfte verfgte. Eine archologische Expedition der Rad-Sekte hat krzlich " \
	"ein Artefakt der U-Ianna-Technik entdeckt, das als 'Psionik-Maschine' bezeichnet wird. Dieses Gert ist in der Lage, " \
	"telepathische Energie zu einer leistungsfhigen Waffe zu bndeln.\n\n" \
 
	"[5]" \
	"Wir haben Grund zu der Annahme, dass das Rad hierher gekommen ist, um zu erfahren, wie die Psionik-Maschine aktiviert wird " \
	"und wie sie verwendet werden kann, um smtlichen Welten ihre pervertierte Philosophie aufs Auge zu drcken. Das darf nicht passieren, [PLAYER_RANK]. " \
	"Ich schlage vor, wir arbeiten zusammen, um das zu verhindern. Wir mssen den Planeten unter unsere Kontrolle bringen, bevor sie das tun.\n\n",

	//kMakeAlliance_msg,
	"[PLAYER_NAME]: Einverstanden.\n\n",
	
	//kNoAlliance_msg,
	"[PLAYER_NAME]: Ich habe meine Befehle, Captain, und diese Befehle lauten, Sie aufzuhalten.\n" \

	"Klingonischer Captain: Eine idiotische Wahl, [PLAYER_RANK]. Wenn ihr mir in den Weg kommt, erffne ich das Feuer.\n\n",

	//kHailWheel_1_msg,
	"Rad-Sekte: Hier spricht das Rad des Leidens. Helft uns bei unserer heiligen Aufgabe, Sorgen und Leid in der Galaxis \n" \
	"zu verbreiten.\n\n",

	//kHailWheel_2_msg,
	"Rad-Sekte: Das ganze Leben ist Leiden: das Rad kommt zu jedem von uns. Unser einziger Wunsch ist, euch dabei zu helfen, " \
	"dieses Leid zu verstehen... um sicherzustellen, dass alle Lebewesen ihren Anteil am Leiden genieen.\n" \

	"[PLAYER_NAME]: So verlockend das auch klingt, ich befrchte, ich werde Ihr Angebot weitergeben mssen.\n\n",

	//kHailWheel_3_msg,
	"Rad-Sekte: Hier spricht das Rad des Leidens. Helft uns bei unserer heiligen Aufgabe, Sorgen und Leid in der Galaxis \n" \
	"zu verbreiten.\n\n",

	//
	//	Victory rating
	//

	//	kAstoundingVictory_msg,
	"Groartiger Sieg!\n\n",

	//	kVictory_msg,
	"Sieg!\n\n",

	//	kDraw_msg,
	"Unentschieden\n\n",

	//	kDefeat_msg,
	"Niederlage\n\n",

	//	kDevastatingDefeat_msg,
	"Vernichtende Niederlage\n\n",

	//	kLeftEarly_msg,
	"Mission eingebt\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	
	//kStoppedEnemyNoExplanation_msg,
	"Erster Offizier: Die Klingonen wurden geschlagen.\n\n",

	//kFreighterKilled_NoExplanation_msg,
	"Erster Offizier: Der Frachter wurde zerstrt.\n\n",

	//kScanFreighter_msg,
	"Wissenschaftsoffizier: Es befinden sich keine Lebensformen an Bord des Schiffes, [PLAYER_RANK]. Es scheint " \
	"computergesteuert zu navigieren.\n" \

	"Erster Offizier: Langsam wird es lcherlich.\n\n",
	
	//kPlanetOutOfScanRange_msg,
	"Wissenschaftsoffizier: Wir mssen innerhalb der Reichweite 30 sein, um den Planeten scannen zu knnen, [PLAYER_RANK].\n\n",
	
	//kScannedPlanet_msg,
	"Wissenschaftsoffizier: Ich registriere eine kleine, konzentrierte Gruppe mit Lebensformen auf der Oberflche, [PLAYER_RANK].\n" \

	"Erster Offizier: Das mssen die Anhnger des Rades sein. Transporterraum, erfassen Sie die Wissenschaftskonsole als Ziel; " \
	"diese Koordinaten werden das Ziel fr unsere Soldaten sein.\n\n",
	
	//kWheelTeamArrives_msg,
	"Wissenschaftsoffizier: [PLAYER_RANK], gerade sind einige Kriegsschiffe der Fderation mit Warpgeschwindigkeit in das System eingedrungen.\n" \

	"[PLAYER_NAME]: Fderation? Was wollen die denn hier? Kommunikation, rufen Sie ...\n" \

	"Wissenschaftsoffizier: Korrektur: Die Schiffe wurden von der Fderation hergestellt, aber ihre Transpondersignale " \
	"zeigen, dass sie zur Rad-Sekte gehren.\n" \

	"Erster Offizier: Verstrkung.\n\n",


	//kWheelTeamDead_msg
	"Erster Offizier: Alle Streitkrfte der Rad-Sekte wurden vernichtet, [PLAYER_RANK].\n",

	//kCapFreighter_msg
	"Commander der Soldaten: Das Schiff ist unser, [PLAYER_RANK].\n\n",

	//kCappedPlanet_NoReason_msg,
	"Commander der Soldaten: Wir haben den Planeten erobert, [PLAYER_RANK].\n" \

	"Erster Offizier: Ich knnte mit vorstellen, dass die Kommandozentrale sehr daran interessiert ist zu erfahren, warum. Und bei der Gelegenheit, " \
	"ich bin es auch.\n\n",

	//kCappedPlanet_msg,
	"Commander der Soldaten: Der Planet ist sicher, [PLAYER_RANK].\n\n",

	//
	//	Custom messages
	//

	//kScanning_msg,
	"Wissenschaftsoffizier: Wir scannen...\n\n",

#else
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Mir_6Wheel",

	//kTitle2
	"The Wheel of Pain",

	
	//
	//	Briefing message
	//

	// kBriefing_msg,
	"Prepare for immediate departure, [PLAYER_RANK].\n" \

	"We've received a distress call from a freighter belonging to the \"Wheel of Pain\". The Wheel is " \
	"an odd cult which believes that life revolves around suffering.\n" \

	"Despite their oddity, we will of course respond to their distress signal. I'd also like you to " \
	"determine why the ship came under attack.\n\n" \

	"Get moving.\n",

	//
	//	Starting message
	//
	
	//	kCaptainsLog_msg,
	"[PLAYER_RANK]'s Log, stardate [STARDATE]. We're on our way to [SYSTEM_NAME] at maximum warp to " \
	"answer a distress call.\n",

	//kInitialSitrep_msg
	"First Officer: We're now within hailing range of the freighter, [PLAYER_RANK].\n\n",

	//
	//	Debriefing messages
	//
	
	//kDeb_NoAllianceFrtDead_msg,
	"Well. I'm sure you have a good explanation for why you failed to save that freighter. I can't wait to hear it.\n\n",

	//kDeb_NoAllianceEnemyDead_msg,
	"Well, it appears the Wheel Cult fooled us all, [PLAYER_RANK]. We've had some very disturbing " \
	"reports from the area since you left. Somehow the cult has managed to double its influence in a " \
	"matter of days. We can only speculate on what was really going on out there.\n\n.Dismissed.\n",

	//kDeb_AllianceNoCapture_msg,
	"To say that it is unfortunate that you failed to stop the Wheel Cult would be an understatement.\n" \
	"They've managed to double their influence since you left the system, undoubtedly with the assistance " \
	"of the U-Ianna psionic-enhancing device. I'm not sure how we're going to go about combating that " \
	"kind of weapon.\n\n",

	//kDeb_AllianceCapture_msg,
	"Excellent work, [PLAYER_RANK]. If the Wheel Cult had succeeded in their plans, there's no telling " \
	"what damage they might have inflicted on the galaxy.\n\nDismissed.\n",

	//kDeb_NoExplanationCappedPlanet_msg
	"I'm sure you have a good reason for landing an invasion force on that planet. " \
	"I look forward to hearing you explain your actions at your court-martial.\n\n",

	//kDeb_PlayerDied_msg
	"Your forces were destroyed.\n\n",

	//
	//	Comm buttons
	//
	
	//kButton_Hail
	"HAIL",

	//kButton_Explain
	"EXPLAIN",

	//kButton_Yes,
	"YES",

	//kButton_No,
	"NO",

	//
	//	Comm messages
	//
	
	//kHailFreighter_1_msg,
	"Communications Officer: Something odd, [PLAYER_RANK]... the freighter's transmission is " \
	"identical to the initial distress call; right down to the voice pattern analysis.\n" \

	"First Officer: A recording?\n" \

	"Communications Officer: I believe so, sir.\n" \

	"First Officer: What's going on here?\n\n",

	//kHailFreighter_2_msg,
	"Communications Officer: Same message, [PLAYER_RANK]. It's definitely a recording.\n\n",

	//kEnemyTalks_msg
	"[PLAYER_NAME]: Why are you attacking an unmanned freighter?\n" \

	"Klingon Captain: Unmanned? What are you talking about!?\n" \

	"Klingon Science Officer: It's true, Captain. Sensors show no life aboard.\n" \

	"Klingon Captain: The freighter is a red herring! It may already be too late...\n\n",

	//kEnemyDoesntTalk_msg
	"[PLAYER_NAME]: Why are you attacking a civilian freighter?\n" \

	"Klingon Captain: If that ship makes it to the planet, we're all dead!\n" \

	"[PLAYER_NAME]: What are you talking about?\n" \

	"Klingon Captain: If you can't see it for yourself then I don't have the time to waste " \
	"explaining it to you.\n\n",


	//kExplain_1_msg
	"[PLAYER_NAME]: What's going on here Captain? I need answers.\n" \

	"Klingon Captain: (hesitates)[3]" \

	"Klingon Captain: Very well. This planet was once a world of the U-Ianna: a long-dead race who " \
	"had incredible telepathic powers. A Wheel Cult archaeological expedition recently discovered " \
	"an artifact of U-Ianna technology known as a \"psionic engine\". It's a device capable of " \
	"focusing telepathic energy into a powerful weapon.\n\n" \
 
	"[8]" \

	"We have reason to believe that the Wheel has come here to learn how to activate the psionic engine " \
	"and use it to force their perverted philosophy onto entire worlds. That must not happen, [PLAYER_RANK]. " \
	"I suggest we work together to prevent it. We'll need to take control of the planet before they can.\n\n",

	//kMakeAlliance_msg,
	"[PLAYER_NAME]: Agreed.\n\n",
	
	//kNoAlliance_msg,
	"[PLAYER_NAME]: I have my orders, Captain; and those orders are to stop you.\n" \

	"Klingon Captain: A foolish choice, [PLAYER_RANK].\n\n",

	//kHailWheel_1_msg,
	"Wheel Cult: This is the Wheel of Pain. Join us in our holy task of spreading sorrow and pain \n" \
	"to the galaxy.\n\n",

	//kHailWheel_2_msg,
	"Wheel Cult: All life is pain: the wheel comes to us all. Our only wish is to help you " \
	"to understand that pain... to ensure that all beings enjoy their share of the suffering.\n" \

	"[PLAYER_NAME]: As tempting as that sounds, I'm afraid I'll have to pass on your offer.\n\n",

	//kHailWheel_3_msg,
	"Wheel Cult: This is the Wheel of Pain. Join us in our holy task of spreading sorrow and pain \n" \
	"to the galaxy.\n\n",

	//
	//	Victory rating
	//

	//	kAstoundingVictory_msg,
	"Astounding Victory!\n\n",

	//	kVictory_msg,
	"Victory!\n\n",

	//	kDraw_msg,
	"Draw\n\n",

	//	kDefeat_msg,
	"Defeat\n\n",

	//	kDevastatingDefeat_msg,
	"Devastating Defeat\n\n",

	//	kLeftEarly_msg,
	"Forfeit\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	
	//kStoppedEnemyNoExplanation_msg,
	"First Officer: The Klingons have been defeated.\n\n",

	//kFreighterKilled_NoExplanation_msg,
	"First Officer: The freighter has been destroyed.\n\n",

	//kScanFreighter_msg,
	"Science Officer: There are no lifeforms aboard that vessel, [PLAYER_RANK]. It appears to be " \
	"operating on computer-control.\n" \

	"First Officer: This is getting peculiar.\n\n",
	
	//kPlanetOutOfScanRange_msg,
	"Science Officer: We'll need to be within range 30 to scan the planet, [PLAYER_RANK].\n\n",
	
	//kScannedPlanet_msg,
	"Science Officer: I'm detecting a small, concentrated group of lifeforms on the surface, [PLAYER_RANK].\n" \

	"First Officer: It must be the Wheel's people. Transporter room, lock into the Science console; " \
	"those coordinates will be the target for our marines.\n\n",
	
	//kWheelTeamArrives_msg,
	"Science Officer: [PLAYER_RANK], several Federation warships have just warped into the system.\n" \

	"[PLAYER_NAME]: Federation? What are they doing here? Communications, hail the...\n" \

	"Science Officer: Correction: the vessels are of Federation make, but their transponder signals " \
	"indicate they belong to the Wheel Cult.\n" \

	"First Officer: Reinforcements.\n\n",


	//kWheelTeamDead_msg
	"First Officer: All Wheel forces have been destroyed, [PLAYER_RANK].\n",

	//kCapFreighter_msg
	"Marine Commander: The vessel is ours, [PLAYER_RANK].\n\n",

	//kCappedPlanet_NoReason_msg,
	"Marine Commander: We've captured the planet, [PLAYER_RANK].\n" \

	"First Officer: I imagine Command is going to be very interested to know why. For that matter, " \
	"so am I.\n\n",

	//kCappedPlanet_msg,
	"Marine Commander: The planet is secure, [PLAYER_RANK].\n\n",

	//
	//	Custom messages
	//

	//kScanning_msg,
	"Science Officer: Scanning...\n\n",
#endif	
};



