/********************************************************************************************************\

	File Name:	WheelShip.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "WheelShip.h"
#include "WheelShipBaseState.h"
#include "Mir_6Wheel.h"
#include "MissionText.h"

tClassAllocator<tWheelShip> gWheelShipAllocator;

void tWheelShip::mSetupState()
{
	mRegisterState( new tWheelShipBaseState() );
	mGotoState( typeid( tWheelShipBaseState ) );
}

void tWheelShip::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	if( !playerTeam )
			return;

	playerTeam->mRegisterCommMessage( kCommState_1,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail,
									  kHailWheel_1_msg,
									  kHailWheel_3_msg );

}

void tWheelShip::mSetupShip()
{}
