/********************************************************************************************************\

	File Name:	CommonDefs.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( CommonDefs_h )
#define CommonDefs_h
#include <BaseTypes.h>
#include "ScriptInterface.h"

class common_defs
{
public:
	setup();

	bool first_spawn_complete[7];
	int32 custom_ID_map[6];
	std::string previous_fighter_selection[7];

	virtual void mSetFighterSelection( int32 customID, std::string fighter_selection );
	virtual std::string mGetFighterSelection( int32 customID );
	virtual int32 mGetCustomID_map( int32 customID );
	virtual bool mGetFightersAlreadyDone( int32 customID );
	virtual int32 mCustomUpgradeFighters( tShipInfo *ship );
};

extern common_defs CD;


#endif
