/********************************************************************************************************\

	File Name:	AllyTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "AllyTeamBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tAllyTeamBaseState::mBeginState()
{}
void tAllyTeamBaseState::mEndState()
{}

void tAllyTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tAllyTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tAllyTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tAllyTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tAllyTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tAllyTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tAllyTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tAllyTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tAllyTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tAllyTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tAllyTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tAllyTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tAllyTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tAllyTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tAllyTeamBaseState::mOnFlashingButtonPressed()
{}
void tAllyTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tAllyTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tAllyTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tAllyTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tAllyTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tAllyTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tAllyTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tAllyTeamBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tAllyTeamBaseState::mOnHostChanged()
{}
void tAllyTeamBaseState::mOnTimedInterval( int32 timerID )
{}
void tAllyTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tAllyTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

