/********************************************************************************************************\

	File Name:	BaseTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "BaseTeamBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tBaseTeamBaseState::mBeginState()
{}
void tBaseTeamBaseState::mEndState()
{}

void tBaseTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tBaseTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tBaseTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tBaseTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tBaseTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tBaseTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tBaseTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tBaseTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tBaseTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tBaseTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tBaseTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tBaseTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tBaseTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tBaseTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tBaseTeamBaseState::mOnFlashingButtonPressed()
{}
void tBaseTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tBaseTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tBaseTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tBaseTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tBaseTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tBaseTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tBaseTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tBaseTeamBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tBaseTeamBaseState::mOnHostChanged()
{}
void tBaseTeamBaseState::mOnTimedInterval( int32 timerID )
{}
void tBaseTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tBaseTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

