/********************************************************************************************************\

	File Name:	LyranTeam2.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( LyranTeam2_h )
#define LyranTeam2_h

#include "TeamInfo.h"
#include "CommonDefs.h"

class tLyranTeam2 : public tTeamInfo
{
public:
	void mCreateReinforcements();

	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );

	enum eCustomIDs
	{
		kLyran2_1 = 400,
		kLyran2_2,
		kLyran2_3,
	};

	iTruth	mSetTeamPriority( eTeamPriority priority );

	virtual void mCreateShipsBasedOnPlayerTeam(int32 startCustomID, int32 position);
	virtual void mOldCreateShipsBasedOnPlayerTeam(int32 startCustomID, int32 position);

protected:
	eTeamPriority priority;

};

#endif
