/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Mir_8Massacre",

	//kTitle2
	"Blutbad\n\n",

	//
	//	Description message
	//
	"",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"Die militrische Aufklrung hat herausgefunden, dass die lyranische Forschungsstation im [SYSTEM_NAME] " \
	"biologische Waffen produziert. Wir knnen natrlich nicht zulassen, dass sie ihr Werk vollenden.\n" \

	"Ihre Mission besteht darin, sich nach [SYSTEM_NAME] zu begeben und die Station einzunehmen oder zu zerstren. Wenn irgend jemand " \
	"vom Personal versucht zu fliehen, sorgen Sie dafr, dass er nicht weit kommt. Eine Eroberung wre " \
	"zwar vorzuziehen, wir akzeptieren jedoch auch die Zerstrung der Station, wenn das die einzige Mglichkeit ist, um sie aufzuhalten." \

	"Sie knnen davon ausgehen, dass in der Nhe befindliche Verstrkungstruppen des Gegners versuchen werden, die Basis zu verteidigen. Aus diesem Grund " \
	"ziehen wir selbst zur Zeit einige Truppen als Verstrkung zusammen. Diese sollten kurz nach Ihnen im [SYSTEM_NAME] " \
	"eintreffen.\n\nViel Glck.\n",

	//
	//	Starting message
	//
	
	//	kCaptainsLog_msg
	"Logbuch des [PLAYER_RANK], Sternendatum [STARDATE]. Wir sind auf dem Weg nach [SYSTEM_NAME], um " \
	"den Experimenten der Lyraner in biologischer Kriegfhrung ein Ende zu bereiten.\n",

	// kInitialSitrep_msg
	"Erster Offizier: Wir befinden uns jetzt in Reichweite der Station.\n" \

	"[PLAYER_NAME]: Auf den Schirm.\n" \

	"[5]" \

	"Kommunikationsoffizier: [PLAYER_RANK], Nachricht von unserer Verstrkung; sie sind mit " \
	"High-Warp unterwegs und sollten in wenigen Minuten eintreffen.\n\n",

	//
	//	Debriefing messages
	//

	//kDeb_GotBaseBeforeLaunch_msg
	"Hervorragende Arbeit! Sie haben es der Station gezeigt, noch bevor sie einen Evakuierungstransport " \
	"starten konnten. Sie haben dem biologischen Kriegfhrungsprogramm der Lyraner heute einen harten Schlag verpasst.\n\nIch gratuliere.\n",
	
	//kDeb_TransAndBaseLived_msg,
	"Das ist eine Katastrophe. Nicht genug, dass Sie die Basis nicht einnehmen konnten, nein, Sie haben es den wichtigsten " \
	"Mitarbeitern sogar ermglicht, mit einem Grundstock der verschiedenen biologischen Wirkstoffe zu entkommen. Mglicherweise werden nun Millionen sterben, weil Sie heute hier " \
	"versagt haben. Ich hoffe, damit knnen Sie leben.\n",

	//kDeb_TransDeadBaseNot_msg,
	"Das Transportschiff, das Sie gestoppt haben, hatte die Schlsselfiguren des biologischen Kriegfhrungsprojekts der Lyraner sowie " \
	"einen Grundstock der Wirkstoffe an Bord, an denen sie gearbeitet haben. Unglcklicherweise befindet sich die Station noch immer unter lyranischer " \
	"Kontrolle, und wir gehen davon aus, dass sie in Krze wieder im Geschft sein werden.\n",

	//kDeb_TransLivedBaseDidNot_msg,
	"Die lyranische Produktionsanlage fr biologische Waffen ist auer Betrieb. Unglcklicherweise haben Sie einem " \
	"Transportschiff ermglicht zu entkommen, das die wichtigsten Forscher und einige Proben der Wirkstoffe an Bord hatte, an denen sie " \
	"gerade arbeiten. Wir mssen damit rechnen, dass sie ihre Arbeit andernorts fortsetzen.\n",

	//kTransAndBaseDead_msg,
	"Hervorragende Arbeit! Sie haben dem biologischen Kriegfhrungsprogramm der Lyraner heute einen harten Schlag verpasst. Sie haben es nicht nur " \
	"der Basis gezeigt, sondern auch das Transportschiff gestoppt, bevor es entkommen konnte. Wir knnen besttigen, dass " \
	"das Transportschiff die wichtigsten lyranischen Forscher sowie einige Proben der Wirkstoffe an Bord hatte, an denen " \
	"sie zur Zeit arbeiten.\n\nHerzlichen Glckwunsch.\n",

	//kDeb_PlayerDied_msg
	"Ihre Einheiten sind vernichtet worden.\n\n",

	//
	//	Comm buttons
	//

	//
	//	Comm messages
	//

	//
	//	Victory rating
	//

	//	kAstoundingVictory_msg,
	"Groartiger Sieg!\n\n",

	//	kVictory_msg,
	"Sieg!\n\n",

	//	kDraw_msg,
	"Unentschieden\n\n",

	//	kDefeat_msg,
	"Niederlage\n\n",

	//	kDevastatingDefeat_msg,
	"Vernichtende Niederlage\n\n",

	//	kLeftEarly_msg,
	"Mission eingebt\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	
	//kTransportLaunched_msg
	"Wissenschaftsoffizier: Die Basis hat soeben ein Transportschiff gestartet, [PLAYER_RANK]. Meine Scans zeigen, dass sich einige " \
	"Lyraner an Bord befinden... Ich registriere auch etwas, das wie groe Mengen biologischer Waffen aussieht.\n" \

	"Erster Offizier: [PLAYER_RANK], wir mssen das Schiff stoppen.\n\n",

	//kReinforcementsArrive_msg
	"Erster Offizier: Unsere Verstrkung hat das System soeben erreicht.\n\n",

	//kEnemyReinforcementsArrive_msg
	"Erster Offizier: Die gegnerische Verstrkung hat das System soeben erreicht.\n\n",

	//kTransportDestroyed_msg
	"Erster Offizier: Das Transportschiff wurde zerstrt, [PLAYER_RANK].\n\n",

	//kBaseDestroyed_msg
	"Erster Offizier: Die Basis wurde zerstrt, [PLAYER_RANK].\n\n",

	//kTransportCapped_msg
	"Commander der Soldaten: Wir haben es geschafft, [PLAYER_RANK]. Das Transportschiff ist...\n" \

	"Wissenschaftsoffizier: Das Transportschiff ist explodiert.\n" \

	"Erster Offizier: Sie mssen die Selbstzerstrung aktiviert haben.\n\n",

	//kAllyDestroyed_msg
	"Erster Offizier: Ein verbndetes Schiff wurde zerstrt.\n\n",

	//kAllyCapped_msg
	"Erster Offizier: Ein verbndetes Schiff wurde erobert.\n\n",

	//kNeedToGetBase_msg
	"Erster Offizier: Wir mssen uns immer noch um die Station kmmern, [PLAYER_RANK].\n\n",

	//kNeedToGetTransport_msg
	"Erster Offizier: Wir mssen uns immer noch um das Transportschiff kmmern, [PLAYER_RANK]. Wir drfen es nicht entkommen lassen.\n\n",

	//kBaseCapped_msg
	"Commander der Soldaten: Die Station ist unser, [PLAYER_RANK]!\n\n",

	//kTransportEscaped_msg
	"Erster Offizier: Das lyranische Transportschiff konnte entkommen. Wir haben versagt.\n\n",

	//kBaseDeadBeforeLaunch_msg
	"Erster Offizier: Wir haben es geschafft, [PLAYER_RANK]!\n\n",


	//
	//	Custom messages
	//

#else
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Mir_8Massacre",

	//kTitle2
	"Massacre",

	//
	//	Description message
	//
	"",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"Military Intelligence has discovered that the Lyran science station in [SYSTEM_NAME] is " \
	"producing biological weapons. Naturally we cannot allow their work to be completed.\n" \

	"Your mission is to proceed to [SYSTEM_NAME] and capture or destroy the station. If any " \
	"personnel attempt to escape the station, make sure they don't get away. Capture would " \
	"be preferable, but we'll accept their destruction if it's the only way to stop them." \

	"You can expect nearby enemy reinforcements to come to the base's defense. For that reason, " \
	"we're scrambling some reinforcements of our own. They should arrive at [SYSTEM_NAME] shortly " \
	"after you do.\n\nGood luck.\n",

	//
	//	Starting message
	//
	
	//	kCaptainsLog_msg
	"[PLAYER_RANK]'s Log, stardate [STARDATE]. We're en route to [SYSTEM_NAME] to put an end " \
	"to the Lyrans' experiments in biological warfare.\n",

	// kInitialSitrep_msg
	"First Officer: Now in range of the station.\n" \

	"[PLAYER_NAME]: On screen.\n" \

	"[5]" \

	"Communications Officer: [PLAYER_RANK], signal from our reinforcements; they're en route at " \
	"high warp and should arrive in several minutes.\n\n",

	//
	//	Debriefing messages
	//

	//kDeb_GotBaseBeforeLaunch_msg
	"Excellent work! You took care of the station before they could even launch an evacuation " \
	"transport. You dealt the Lyran biological warfare program a serious blow today.\n\nCongratulations.\n",
	
	//kDeb_TransAndBaseLived_msg,
	"This is a disaster. Not only did you fail to take the base, but you allowed their key personnel " \
	"to escape with a supply of several biological agents. Millions may die because of your failure here " \
	"today. I hope you can live with that.\n",

	//kDeb_TransDeadBaseNot_msg,
	"The transport you stopped contained key personnel in the Lyran biological warfare project, as well " \
	"as a supply of the agents they were working on. Unfortunately, the station is still under Lyran " \
	"control, and we expect they'll be back in business shortly.\n",

	//kDeb_TransLivedBaseDidNot_msg,
	"The Lyran biological warfare production plant is out of commission. Unfortunately, you allowed a " \
	"transport containing their key scientists and several samples of the agents they were working on " \
	"to escape. We must assume that they will continue their work elsewhere.\n",

	//kTransAndBaseDead_msg,
	"Excellent work! The Lyran biological warfare program was dealt a serious blow today. Not only did " \
	"you deal with the base, but you stopped the transport before it could escape. We've confirmed that " \
	"the transport contained key Lyran scientists as well as several samples of the agents they were " \
	"working on.\n\nCongratulations.\n",

	//kDeb_PlayerDied_msg
	"Your forces were destroyed.\n\n",

	//
	//	Comm buttons
	//

	//
	//	Comm messages
	//

	//
	//	Victory rating
	//

	//	kAstoundingVictory_msg,
	"Astounding Victory!\n\n",

	//	kVictory_msg,
	"Victory!\n\n",

	//	kDraw_msg,
	"Draw\n\n",

	//	kDefeat_msg,
	"Defeat\n\n",

	//	kDevastatingDefeat_msg,
	"Devastating Defeat\n\n",

	//	kLeftEarly_msg,
	"Forfeit\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	
	//kTransportLaunched_msg
	"Science Officer: The base has just launched a transport, [PLAYER_RANK]. My scans show several " \
	"Lyrans aboard... I'm also detecting what appears to be large quanities of biological weapons.\n" \

	"First Officer: [PLAYER_RANK], we must stop that ship.\n\n",

	//kReinforcementsArrive_msg
	"First Officer: Friendly reinforcements now entering the system.\n\n",

	//kEnemyReinforcementsArrive_msg
	"First Officer: Enemy reinforcements now entering the system.\n\n",

	//kTransportDestroyed_msg
	"First Officer: The transport has been destroyed, [PLAYER_RANK].\n\n",

	//kBaseDestroyed_msg
	"First Officer: The base has been destroyed, [PLAYER_RANK].\n\n",

	//kTransportCapped_msg
	"Marine Commander: We've done it, [PLAYER_RANK]. The transport is...\n" \

	"Science Officer: The transport has exploded.\n" \

	"First Officer: They must have executed a self-destruct.\n\n",

	//kAllyDestroyed_msg
	"First Officer: An allied vessel has been destroyed.\n\n",

	//kAllyCapped_msg
	"First Officer: An allied vessel has been captured.\n\n",

	//kNeedToGetBase_msg
	"First Officer: We still have the station to deal with, [PLAYER_RANK].\n\n",

	//kNeedToGetTransport_msg
	"First Officer: We still have the transport to deal with, [PLAYER_RANK]. We must not let it escape.\n\n",

	//kBaseCapped_msg
	"Marine Commander: The station is ours, [PLAYER_RANK]!\n\n",

	//kTransportEscaped_msg
	"First Officer: The Lyran transport escaped. We have failed.\n\n",

	//kBaseDeadBeforeLaunch_msg
	"First Officer: We've done it, [PLAYER_RANK]!\n\n",


	//
	//	Custom messages
	//
#endif
};



