/********************************************************************************************************\

	File Name:	MissionText.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( MissionText_h )
#define MissionText_h

#include "tstring.h"


enum TextMessages
{
	//
	//	Mission Title
	//
	kMissionTitle_msg,
	kTitle2,

	//
	//	Description message
	//
	kDescription_msg,

	//
	//	Briefing message
	//
	kBriefing_msg,

	//
	//	Starting message
	//
	kCaptainsLog_msg,
	kInitialSitrep_msg,

	//
	//	Debriefing messages
	//
	kDeb_GotBaseBeforeLaunch_msg,
	kDeb_TransAndBaseLived_msg,
	kDeb_TransDeadBaseNot_msg,
	kDeb_TransLivedBaseDidNot_msg,
	kTransAndBaseDead_msg,
	kDeb_PlayerDied_msg,

	//
	//	Comm buttons
	//

	//
	//	Comm messages
	//

	//
	//	Victory rating
	//
	kAstoundingVictory_msg,
	kVictory_msg,
	kDraw_msg,
	kDefeat_msg,
	kDevastatingDefeat_msg,
	kLeftEarly_msg,

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	kTransportLaunched_msg,
	kReinforcementsArrive_msg,
	kEnemyReinforcementsArrive_msg,
	kTransportDestroyed_msg,
	kBaseDestroyed_msg,
	kTransportCapped_msg,
	kAllyDestroyed_msg,
	kAllyCapped_msg,
	kNeedToGetBase_msg,
	kNeedToGetTransport_msg,
	kBaseCapped_msg,
	kTransportEscaped_msg,
	kBaseDeadBeforeLaunch_msg,



	//
	//	Custom messages
	//

	//
	//	Number of messages
	//
	kMsg_num,
};

extern std::string Messages[];


#endif

