/********************************************************************************************************\

	File Name:	BackupShip.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "BackupShip.h"
#include "BackupShipBaseState.h"
#include "MissionText.h"
#include "Mir_9Edge.h"

tClassAllocator<tBackupShip> gBackupShipAllocator;

void tBackupShip::mSetupState()
{
	mRegisterState( new tBackupShipBaseState() );
	mGotoState( typeid( tBackupShipBaseState ) );
}

void tBackupShip::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	if( !playerTeam )
		return;

	playerTeam->mRegisterCommMessage( kState_1,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail,
									  kHail_Ally_msg,
									  kNoRandomMsg );

	playerTeam->mGotoCommState( mGetShipID(), kState_1 );
}

void tBackupShip::mSetupShip()
{}
