/********************************************************************************************************\

	File Name:	BackupShipBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "BackupShipBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tBackupShipBaseState::mBeginState()
{}
void tBackupShipBaseState::mEndState()
{}

void tBackupShipBaseState::mOnDeath( tShipInfo* ship )
{}
void tBackupShipBaseState::mOnCapture( tShipInfo* ship )
{}
void tBackupShipBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tBackupShipBaseState::mAtDistance( tShipInfo* ship )
{}
void tBackupShipBaseState::mAtDestination( tShipInfo* ship )
{}
void tBackupShipBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tBackupShipBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tBackupShipBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tBackupShipBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tBackupShipBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tBackupShipBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tBackupShipBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tBackupShipBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tBackupShipBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tBackupShipBaseState::mOnFlashingButtonPressed()
{}
void tBackupShipBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tBackupShipBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tBackupShipBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tBackupShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tBackupShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tBackupShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tBackupShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tBackupShipBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tBackupShipBaseState::mOnHostChanged()
{}
void tBackupShipBaseState::mOnTimedInterval( int32 timerID )
{}
void tBackupShipBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tBackupShipBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

