/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Mir_9Edge",

	//kTitle2
	"Die Schlacht von Claw's Edge\n",

	//
	//	Description message
	//
	"",


	//
	//	Briefing message
	//

	// kBriefing_msg,
	"*Eingehende bertragung*\n" \
	
	"Von: Militrischer Auenposten, Planet Claw's Edge\n" \
	"An: Alle Streitkrfte in Kommunikationsreichweite\n" \
	"Betreff: Hchste Alarmstufe\n\n" \

	"Claw's Edge wird von unzhligen lyranischen Schiffen angegriffen. Wir glauben, dass sie den Planeten erobern " \
	"wollen. Wenn es ihnen gelingt, haben die Lyraner einen fast perfekten Ausgangspunkt, von dem aus sie " \
	"eine gro angelegte Invasion tief in unseren Raum starten knnen.\n" \

	"Alle Streitkrfte, die diese Meldung empfangen, werden aufgefordert, mit maximaler Warpgeschwindigkeit Kurs auf Claw's Edge zu nehmen. " \
	"Wir knnen es uns nicht leisten, den Planeten zu verlieren.\n" \

	"*bertragung Ende*\n",

	//
	//	Starting message
	//
	
	//kCaptainsLog_msg,
	"Logbuch des [PLAYER_RANK], Sternendatum [STARDATE]: [PLAYER_SHIP_NAME] befindet sich mit maximaler Warpgeschwindigkeit auf Kurs zum Planeten " \
	"Claw's Edge. Wir werden in dem Gebiet mit anderen Streitkrften zusammentreffen, um eine Invasion der Lyraner " \
	"auf dem Planeten zu verhindern.\n",
	
	//kInitialSitrep_msg,
	"Erster Offizier: Wir haben das System nun erreicht, [PLAYER_RANK].\n" \

	"[PLAYER_NAME]: Statusbericht.\n" \

	"[3]" \

	"Wissenschaftsoffizier: Die Sensoren registrieren eine Vielzahl lyranischer Schiffe auf dem Weg in das System; die Lyraner sind in Angriffsformation. " \

	"[6]" \

	"Waffenoffizier: Waffen sind scharf; Schilde und Gegenmanahmen aktiv.\n" \

	"[6]" \

	"Erster Offizier: [PLAYER_SHIP_NAME] ist kampfbereit, [PLAYER_RANK].\n\n" \

	"[6]" \

	"Kommunikationsoffizier: [PLAYER_RANK], die Lyraner stren den Subraum. Ich habe eine verstmmelte bertragung erhalten, " \
	"die besagt, dass sich verbndete Streitkrfte in dem Gebiet befinden, aber ich haben den Kontakt verloren, bevor die gesamte Nachricht bertragen war.\n",

	//
	//	Debriefing messages
	//
	
	//kDeb_PlanetCapped_msg,
	"Es ist ein schwarzer Tag fr uns. Wenn es uns nicht gelingt, den lyranischen Vormarsch auf Claw's Edge zu stoppen, berlassen wir ihnen praktisch " \
	"unsere Heimatwelt. Ich wrde Sie hier und jetzt vor das Kriegsgericht stellen, aber wir werden " \
	"jedes Schiff brauchen, das wir haben, um die Lyraner aufzuhalten.\n\n" \

	"Wegtreten.\n",
	
	//kDeb_PlanetNotCapped_msg,
	"Auergewhnlich gute Arbeit, [PLAYER_RANK]. Dies ist ein groer Tag fr uns!\n" \

	"Die lyranische Plage wird nicht die gepflasterte Strae zu unseren inneren Welten nehmen knnen, " \
	"die sie heute zu errichten hofften, und das ist allein Ihr Verdienst. Unser gesamtes Volk ist Ihnen zu Dank verpflichtet.\n\n",

	//kDeb_PlayerDied_msg
	"Ihre Einheiten sind vernichtet worden.\n\n",

	//
	//	Comm buttons
	//

	//kButton_Hail,
	"RUFEN",

	//
	//	Comm messages
	//
	
	//kHail_1_msg,
	"Lyranischer Captain: Ich wrde Ihre Kapitulation fordern, aber lieber she ich Sie tot.\n" \

	"[PLAYER_NAME]: Darauf wrde ich mich nicht verlassen!\n\n",

	//kHail_2_msg,
	"Lyranischer Captain: Ich wrde Ihre Kapitulation fordern, aber lieber she ich Sie tot.\n" \

	"[PLAYER_NAME]: Darauf wrde ich mich nicht verlassen!\n\n",

	//kHail_3_msg,
	"Lyranischer Captain: Ich wrde Ihre Kapitulation fordern, aber lieber she ich Sie tot.\n" \

	"[PLAYER_NAME]: Darauf wrde ich mich nicht verlassen!\n\n",

	//kHail_Ally_msg,
	"Captain der Miraker: Dieser Tag wird in die Geschichte eingehen, [PLAYER_RANK]. Tod den Lyranern!\n\n",

	//kHail_Planet_msg,
	"Claw's Edge: [PLAYER_RANK], Sie mssen diese Invasion um jeden Preis verhindern!\n\n",

	//
	//	Victory rating
	//

	//	kAstoundingVictory_msg,
	"Groartiger Sieg!\n\n",

	//	kVictory_msg,
	"Sieg!\n\n",

	//	kDraw_msg,
	"Unentschieden\n\n",

	//	kDefeat_msg,
	"Niederlage\n\n",

	//	kDevastatingDefeat_msg,
	"Vernichtende Niederlage\n\n",

	//	kLeftEarly_msg,
	"Mission eingebt\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	
	//kInvasionTeamDead_msg,
	"Erster Offizier: Die lyranischen Invasionsschiffe wurden zerstrt, [PLAYER_RANK].\n\n",

	//kAlliesDead_msg,
	"Erster Offizier: Alle verbndeten Schiffe wurden zerstrt, [PLAYER_RANK].\n\n",

	//kLyransDead_msg,
	"Erster Offizier: Die lyranische Angriffsstreitmacht wurde vernichtet, [PLAYER_RANK].\n\n",

	//kPlanetCapped_msg,
	"Erster Offizier: Die Lyraner haben Claw's Edge erobert, [PLAYER_RANK]. Wir haben versagt.\n\n",

	//
	//	Custom messages
	//

#else
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Mir_9Edge",

	//kTitle2
	"The Battle of Claw's Edge",

	//
	//	Description message
	//
	"",


	//
	//	Briefing message
	//

	// kBriefing_msg,
	"*Incoming Transmission*\n" \
	
	"From: Military Outpost, planet Claw's Edge:\n" \
	"To: All forces in communications range\n" \
	"Subject: Priority Alert\n\n" \

	"Claw's Edge is under attack by numerous Lyran vessels; we believe they mean to capture the " \
	"planet. If they succeed, the Lyrans will have a near perfect staging area from which " \
	"to launch a full-scale invasion deep into our space.\n" \

	"All forces receiving this message are to set course for Claw's Edge at maximum warp. " \
	"We can't afford to lose this planet.\n" \

	"*Transmission ends*\n",

	//
	//	Starting message
	//
	
	//kCaptainsLog_msg,
	"[PLAYER_RANK]'s Log, stardate [STARDATE]: [PLAYER_SHIP_NAME] is on course for planet Claw's Edge " \
	"at maximum warp. We're to rendezvous with other forces in the area to prevent a Lyran invasion " \
	"of the planet.\n",
	
	//kInitialSitrep_msg,
	"First Officer: Entering the system now, [PLAYER_RANK].\n" \

	"[PLAYER_NAME]: Status report.\n" \

	"[3]" \

	"Science Officer: Long-range sensors detect multiple Lyran vessels inbound, closing fast. " \

	"[6]" \

	"Weapons Officer: Weapons are hot; shields and countermeasures online.\n" \

	"[6]" \

	"First Officer: [PLAYER_SHIP_NAME] is ready for combat, [PLAYER_RANK].\n\n" \

	"[6]" \

	"Communications Officer: Message from our allied forces, [PLAYER_RANK]... \"Death to the Lyrans!\".\n\n",

	//
	//	Debriefing messages
	//
	
	//kDeb_PlanetCapped_msg,
	"This is a dark day for us. By failing to stop the Lyran advance at Claw's Edge we've practically " \
	"given them the Homeworld. I would court martial you right here and now, but we're going to need " \
	"every ship we've got to hold the Lyrans off.\n\n" \

	"Dismissed.\n",
	
	//kDeb_PlanetNotCapped_msg,
	"Outstanding work, [PLAYER_RANK]. This is a great day for us!\n" \

	"The Lyrans will not have the paved road to our inner worlds that they were " \
	"hoping to create today, and all because of you. All our people thank you.\n\n",

	//kDeb_PlayerDied_msg
	"Your forces were destroyed.\n\n",

	//
	//	Comm buttons
	//

	//kButton_Hail,
	"HAIL",

	//
	//	Comm messages
	//
	
	//kHail_1_msg,
	"Lyran Captain: I would demand your surrender, but I'd rather see you dead.\n" \

	"[PLAYER_NAME]: Don't count on it.\n\n",

	//kHail_2_msg,
	"Lyran Captain: I would demand your surrender, but I'd rather see you dead.\n" \

	"[PLAYER_NAME]: Don't count on it.\n\n",

	//kHail_3_msg,
	"Lyran Captain: I would demand your surrender, but I'd rather see you dead.\n" \

	"[PLAYER_NAME]: Don't count on it.\n\n",

	//kHail_Ally_msg,
	"Mirak Captain: This day will live in history, [PLAYER_RANK]. Death to the Lyrans!\n\n",

	//kHail_Planet_msg,
	"Claw's Edge: [PLAYER_RANK], you must prevent this invasion at all costs!\n\n",

	//
	//	Victory rating
	//

	//	kAstoundingVictory_msg,
	"Astounding Victory!\n\n",

	//	kVictory_msg,
	"Victory!\n\n",

	//	kDraw_msg,
	"Draw\n\n",

	//	kDefeat_msg,
	"Defeat\n\n",

	//	kDevastatingDefeat_msg,
	"Devastating Defeat\n\n",

	//	kLeftEarly_msg,
	"Forfeit\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	
	//kInvasionTeamDead_msg,
	"First Officer: The Lyran invasion ships have been defeated, [PLAYER_RANK].\n\n",

	//kAlliesDead_msg,
	"First Officer: All friendly vessels have been defeated, [PLAYER_RANK].\n\n",

	//kLyransDead_msg,
	"First Officer: The Lyran attack force has been defeated, [PLAYER_RANK].\n\n",

	//kPlanetCapped_msg,
	"First Officer: The Lyrans have captured Claw's Edge, [PLAYER_RANK]. We have failed.\n\n",

	//
	//	Custom messages
	//
#endif
};



