/********************************************************************************************************\

	File Name:	MissionText.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( MissionText_h )
#define MissionText_h

#include "tstring.h"


enum TextMessages
{
	//
	//	Mission Title
	//
	kMissionTitle_msg,
	kTitle2,

	//
	//	Description message
	//
	kDescription_msg,

	//
	//	Briefing message
	//
	kBriefing_msg,

	//
	//	Starting message
	//
	kCaptainsLog_msg,
	kInitialSitrep_msg,

	//
	//	Debriefing messages
	//
	kDeb_PlanetCapped_msg,
	kDeb_PlanetNotCapped_msg,
	kDeb_PlayerDied_msg,

	//
	//	Comm buttons
	//
	kButton_Hail,

	//
	//	Comm messages
	//
	kHail_1_msg,
	kHail_2_msg,
	kHail_3_msg,
	kHail_Ally_msg,
	kHail_Planet_msg,
	

	//
	//	Victory rating
	//
	kAstoundingVictory_msg,
	kVictory_msg,
	kDraw_msg,
	kDefeat_msg,
	kDevastatingDefeat_msg,
	kLeftEarly_msg,

	
	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	kInvasionTeamDead_msg,
	kAlliesDead_msg,
	kLyransDead_msg,
	kPlanetCapped_msg,

	//
	//	Custom messages
	//

	//
	//	Number of messages
	//
	kMsg_num,
};

extern std::string Messages[];


#endif

