/********************************************************************************************************\

	File Name:	PuckTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( PuckTeam_h )
#define PuckTeam_h

#include "TeamInfo.h"


class tPuckTeam : public tTeamInfo
{
public:

	virtual void mSetupVictoryCondition();
	virtual void mSetupDebriefingList( eVictoryLevels victoryLevel );

	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mTeamSetupComplete();

/*

	HELPER NOTE:	Below is where the list of the ship custom IDs go.  An example follows.

	enum eCustomIDs
	{
		kPlayerNPCBS1,
		kPlayerNPCBS2,
	};

*/
	enum eCustomIDs
	{
		kShip1 = 100,
		kShip2,
		kShip3,
	};
};

#endif




