/********************************************************************************************************\

	File Name:	StarbaseTeamBaseVictory.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/
#include "tclient.h"
#include "ScriptInterface.h"
#include "StarbaseTeamBaseVictory.h"
#include "StarbaseTeamBaseVictoryState.h"


tClassAllocator<tStarbaseTeamBaseVictory> gStarbaseTeamBaseVictoryAllocator;

/*

	HELPER NOTE:	You must remember to initialize all of your victory attributes here.  For example:

	tStarbaseTeamBaseVictory::tStarbaseTeamBaseVictory( ) : fBSed( false ), field2( value ), field3 ( value ), etc...
	{}

*/
tStarbaseTeamBaseVictory::tStarbaseTeamBaseVictory()
{}
tStarbaseTeamBaseVictory::tStarbaseTeamBaseVictory( tTeamInfo* team ) : tVictoryCondition( team )
{}

/*

	HELPER NOTE:	Really, the only item in this function that you could change are the values passed into
					the tStarbaseTeamBaseVictoryState constructor.  These values are the prestige points awarded according
					to the player's victory status -- starting at kAstoundingVictory and working its way down
					to kDevastatingDefeat.

*/
void tStarbaseTeamBaseVictory::mSetupState()
{
	tStarbaseTeamBaseVictoryState* StarbaseTeamBaseVictoryState = new tStarbaseTeamBaseVictoryState( 100 , 100 , 0 , 0 , 0 );
	mRegisterState( StarbaseTeamBaseVictoryState );
	mGotoState( typeid( tStarbaseTeamBaseVictoryState ) );
}

/*

	HELPER NOTE:	The following is simply an example of setting and modifying the current victory condition
					objectives if the world conditions do not appear useful in this specific script.

	bool
	tStarbaseTeamBaseVictory::mBSed( void )
	{
		return fBSed;
	}
	void
	tStarbaseTeamBaseVictory::mSetBSed( bool x )
	{
		fBSed = x;
	}

*/

