/********************************************************************************************************\

	File Name:	worldconditions.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( WorldConditions_h )
#define WorldConditions_h

#include "ShipClasses.h"

class tWorldConditions
{
public:

	tWorldConditions();
	
public:

	enum
	{
		kNumStartingPositions = 6,
	};
	iMapPosition	mGenerateRandomStartPosition( void );
	iTruth			fPosUsed[kNumStartingPositions];

	iMapPosition	mGenerateStartPosition( eTeamTag teamTag );



public:

	void	mCheckForGameEnd( void );

	int32	mShipsDestroyed( int x );
	bool	mTeamWon( int x );
	void	mIncrementShipsDestroyed( int x );
	void	mSetTeamWon( int x, bool y );

	int32	fNumTeams;

	void	mChooseRandomShipType();
	eClassTypes	mGetChosenShip()		{ return fChosenShipType; }
	int32		mGetChosenBPV()			{ return fBPV; }

	iTruth	mChoseShips()				{ return fChoseShips; }
	void	mSetChoseShips()			{ fChoseShips = kTrue; }


private:

	

	int32	fShipsDestroyed[kMaxTeams];
	bool	fTeamWon[kMaxTeams];

	eClassTypes	fChosenShipType;
	int32		fBPV;
	iTruth		fChoseShips;
	iTruth		fPositionUsed[kLastStartPosition];
};

extern tWorldConditions gWC;

#endif