/********************************************************************************************************\

	File Name:	CommonTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( CommonTeam_h )
#define CommonTeam_h

#include "TeamInfo.h"


class tCommonTeam : public tTeamInfo
{
public:

	tCommonTeam( void );

	virtual void mSetupVictoryCondition();
	virtual void mSetupDebriefingList( eVictoryLevels victoryLevel );

	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );

/*

	HELPER NOTE:	Below is where the list of the ship custom IDs go.  An example follows.

	enum eCustomIDs
	{
		kPlayerNPCBS1,
		kPlayerNPCBS2,
	};

*/
	enum eCustomIDs
	{};

public:

	int32	mNumShips( void ) { return fNumShips; }

protected:

	int32	fShipCustomID;
	int32	fNumShips;
	int32	fStartID;
};

#endif
