/********************************************************************************************************\

	File Name:	worldconditions.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( WorldConditions_h )
#define WorldConditions_h



class tWorldConditions
{
public:

	tWorldConditions();
	
public:

	enum
	{
		kNumStartingPositions = 6,
	};
	iMapPosition	mGenerateRandomStartPosition( void );
	iMapPosition	mGenerateStartPosition( int );
	iTruth			fPosUsed[kNumStartingPositions];

public:

	void	mCheckForGameEnd( void );

	int32	mShipsDestroyed( int x );
	bool	mTeamWon( int x );
	void	mIncrementShipsDestroyed( int x );
	void	mSetTeamWon( int x, bool y );

	int32	fNumTeams;

private:

	int32	fShipsDestroyed[kMaxTeams];
	bool	fTeamWon[kMaxTeams];
	int32	fStartPos[kNumStartingPositions];
	int32	fNumAdjacentEmptySlots[kNumStartingPositions];
};

extern tWorldConditions gWC;

#endif