/********************************************************************************************************\

	File Name:	Mul_2BaseAssault.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( Mul_2BaseAssault_h )
#define Mul_2BaseAssault_h

#include "ScriptInterface.h"

enum eCustomIDs
{
	kDefender1 = 1000,
	kDefender2,
	kDefender3,
	kDefenderStarbase,
	kAttacker1,
	kAttacker2,
	kAttacker3,
};

enum eTeamTypes
{
	kPlayerTeam1 = kTeam1,
	kPlayerTeam2,
	kPlayerTeam3,
	kPlayerTeam4,
	kPlayerTeam5,
	kPlayerTeam6 = kPlayerTeam5,	///??DAN -- hack for only 5 teams
	kDefenseTeam,
	kAttackTeam,
};

enum eTagTypes
{
	kAttackTag = kTagA,
	kDefendTag = kTagB,
};

enum eNPCTeams
{
	kNumNPCTeams = 1,	//	number of NPC teams per tag side
};

class tVictoryCondition;

class tMul_2BaseAssault : public tScript
{
public:

	tMul_2BaseAssault();

	virtual void	mStartMission();
	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual int32	mInitializeFinished();
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual void	mNewTeam( const tTeamScriptDescription& teamScriptDescription );
	virtual void	mASCIIOverrides( tMapOverrides* Map );

	eRace mChooseRandomStarbaseRace( int32 tag );
};

#endif


