/********************************************************************************************************\

	File Name:	CommonLightCruiser.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "MissionText.h"
#include "CommonDefs.h"
#include "CommonLightCruiser.h"
#include "CommonLightCruiserBaseState.h"
#include "TeamInfo.h"

tClassAllocator<tCommonLightCruiser> gCommonLightCruiserAllocator;

void tCommonLightCruiser::mSetupState()
{
	mRegisterState( new tCommonLightCruiserBaseState() );
	mGotoState( typeid( tCommonLightCruiserBaseState ) );
}
void tCommonLightCruiser::mSetupCommState()
{}
void tCommonLightCruiser::mSetupShip()
{
	mSetShipCallbackEvents( kNotifyDamage );

	tTeamInfo*	CommonTeam = fMissionInfo->mGetTeamHandle( mGetTeam() );
	Assert( CommonTeam );
	if ( !CommonTeam )
		return;

	if ( CommonTeam->mIsTeamHumanControlled() )
		mSetShipPlayerControlled();

	mSetTargetable( kFalse );
}