/********************************************************************************************************\

	File Name:	CommonShip4.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "MissionText.h"
#include "CommonDefs.h"
#include "CommonShip4.h"
#include "CommonShip4BaseState.h"
#include "TeamInfo.h"

tClassAllocator<tCommonShip4> gCommonHeavyCruiserAllocator;

void tCommonShip4::mSetupState()
{
	mRegisterState( new tCommonShip4BaseState() );
	mGotoState( typeid( tCommonShip4BaseState ) );
}
void tCommonShip4::mSetupCommState()
{}
void tCommonShip4::mSetupShip()
{
	mSetShipCallbackEvents( kNotifyDamage );

	tTeamInfo*	CommonTeam = fMissionInfo->mGetTeamHandle( mGetTeam() );
	Assert( CommonTeam );
	if ( !CommonTeam )
		return;

	if ( CommonTeam->mIsTeamHumanControlled() )
		mSetShipPlayerControlled();

	mSetTargetable( kFalse );
}


