/********************************************************************************************************\

	File Name:	CommonShip5.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/


#include "MissionText.h"
#include "CommonDefs.h"
#include "CommonShip5.h"
#include "CommonShip5BaseState.h"
#include "TeamInfo.h"

tClassAllocator<tCommonShip5> gCommonShip5Allocator;

void tCommonShip5::mSetupState()
{
	mRegisterState( new tCommonShip5BaseState() );
	mGotoState( typeid( tCommonShip5BaseState ) );
}
void tCommonShip5::mSetupCommState()
{}
void tCommonShip5::mSetupShip()
{
	mSetShipCallbackEvents( kNotifyDamage );

	tTeamInfo*	CommonTeam = fMissionInfo->mGetTeamHandle( mGetTeam() );
	Assert( CommonTeam );
	if ( !CommonTeam )
		return;

	if ( CommonTeam->mIsTeamHumanControlled() )
		mSetShipPlayerControlled();

	mSetTargetable( kFalse );
}