//	<Name>	MissionText.cpp
//
//	<Info>	DESCRIPTION
//

#include "tclient.h"
#include "MissionText.h"

//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------

#if defined ( _GERMAN )

std::string Messages[] =
{
	//	kMissionTitle_msg,
	"Turnierfest",

	//	kDescription_msg,
	"Max. Anzahl Standardschiffe: 0\n" \
	"KI whlen: Ja\n" \
	"Seiten whlen: Ja\n" \
	"Startpositionen: Fest\n\n" \
	"Die Teams beginnen mit einer speziell ausbalancierten Fregatte. Wenn Schiffe zerstrt werden, werden sie " \
	"in der folgenden Reihenfolge durch leistungsfhigere, speziell ausbalancierte Schiffe ersetzt:\n\n" \
	"  Fregatte\n" \
	"  Zerstrer\n" \
	"  Leichter Kreuzer\n" \
	"  Schwerer Kreuzer\n" \
	"  Schwerer Schlachtkreuzer\n" \
	"  Dreadnought\n\n" \
	"Es ist beabsichtigt, dass kein Team gegenber einem anderen Team als Folge der " \
	"Schiffsklasse im Vorteil ist, wodurch diese Mission zu einem hervorragenden Test Ihrer Fhigkeiten als Captain im Vergleich mit " \
	"anderen wird.\n\n" \
	"Nachdem der Dreadnought eines Teams zerstrt wurde, wird dieses Team als ausgeschieden betrachtet. Die Seite, " \
	"die bis zuletzt standhlt, gewinnt.",

	//	kBriefing_msg,
	">Zerstren Sie alle gegnerischen Schiffe. Die Seite, die bis zuletzt standhlt, gewinnt!<",

	//	kHelpTags_msg,
	"A-F: Seiten festlegen.\n" \
	"Eine Seite wird als siegreich betrachtet, wenn alle anderen Seiten vernichtet sind.",

	//	kStarting_msg,
	"",

	//	kYouAreDead_msg,
	"Drcken Sie \"T\", um zuzuschauen.\n",
	
	//	kWinner_msg,
	"Herzlichen Glckwunsch!\n\n" \
	"Sie sind der Gewinner des Turnierfests!",

	//	kLoser_msg,
	"Schwieriger Kampf!\n\n" \
	"Nchstes Mal klappt's sicher besser.",

	//	kLeftEarly_msg,
	"Trennen.\n\n" \
	"Sie haben die Verbindung zu frh getrennt.",

	//	kDefault_msg,
	"Unentschieden.\n\n" \
	"Es ist ein Unentschieden.",
};

#else

std::string Messages[] =
{
	//	kMissionTitle_msg,
	"Tourneyfest",

	//	kDescription_msg,
	"Max Custom Ships: 0\n" \
	"Choose AI: Yes\n" \
	"Choose Sides: Yes\n" \
	"Start Positions: Fixed\n\n" \
	"Teams begin with control of a specially-balanced Frigate. As ships are destroyed, they are " \
	"replaced with more powerful specially-balanced ships in the following order:\n\n" \
	"  Frigate\n" \
	"  Destroyer\n" \
	"  Light Cruiser\n" \
	"  Heavy Cruiser\n" \
	"  Heavy Battlecruiser\n" \
	"  Dreadnought\n\n" \
	"It is intended that no single team has any advantage over another team as a result of the " \
	"ship class, which makes this an excellent candidate to test your Captaining abilities against " \
	"others.\n\n" \
	"Once a team's Dreadnought is destroyed, that team is considered to be out of the game. Last " \
	"side standing wins.",

	//	kBriefing_msg,
	">Destroy all enemy ships. Last side standing wins!<",

	//	kHelpTags_msg,
	"A-F: Determine sides.\n" \
	"A side is considered the victor if all other sides are eliminated.",

	//	kStarting_msg,
	"",





	//	kYouAreDead_msg,
	"Press 'T' to spectate.\n",
	
	//	kWinner_msg,
	"Congratulations!\n\n" \
	"You are the Tourneyfest winner!",

	//	kLoser_msg,
	"Tough match!\n\n" \
	"You'll do better next time.",

	//	kLeftEarly_msg,
	"Disconnect.\n\n" \
	"You have disconnected early.",

	//	kDefault_msg,
	"Draw.\n\n" \
	"It is a tie.",
};

#endif