/********************************************************************************************************\

	File Name:	CommonShip1BaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "MissionText.h"
#include "CommonShip1BaseState.h"
#include "ScriptInterface.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tCommonShip1BaseState::mBeginState()
{}
void tCommonShip1BaseState::mEndState()
{}

void tCommonShip1BaseState::mOnDeath( tShipInfo* ship )
{}
void tCommonShip1BaseState::mOnCapture( tShipInfo* ship )
{}
void tCommonShip1BaseState::mOnDisengaged( tShipInfo* ship )
{}
void tCommonShip1BaseState::mAtDistance( tShipInfo* ship )
{}
void tCommonShip1BaseState::mAtDestination( tShipInfo* ship )
{}
void tCommonShip1BaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tCommonShip1BaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tCommonShip1BaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tCommonShip1BaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tCommonShip1BaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tCommonShip1BaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tCommonShip1BaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tCommonShip1BaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tCommonShip1BaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tCommonShip1BaseState::mOnFlashingButtonPressed()
{}
void tCommonShip1BaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tCommonShip1BaseState::mOnChangingShip( tShipInfo* ship )
{}
void tCommonShip1BaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tCommonShip1BaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tCommonShip1BaseState::mOnHostChanged()
{}
void tCommonShip1BaseState::mOnTimedInterval( int32 timerID )
{}
void tCommonShip1BaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tCommonShip1BaseState::mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType )
{}