/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------

#if defined ( _GERMAN )

std::string Messages[] =
{
	//	kMissionTitle_msg,
	"Angriff im Team",

	//	kDescription_msg,
	"Max. Anzahl Standardschiffe: 3\n" \
	"KI whlen: Nein\n" \
	"Seiten whlen: Ja\n" \
	"Startpositionen: Fest\n\n" \
	"Whlen Sie eine Seite. Beide Seiten versuchen, die Raumbasis der jeweils anderen Seite zu zerstren. Die erste Seite, der dies " \
	"gelingt, wird als Gewinner betrachtet. Schiffe starten bei Zerstrung oder Deaktivierung erneut.",

	//	kBriefing_msg,
	">Zerstren Sie die Raumbasis des Gegners, bevor dieser Ihre Raumbasis zerstrt.<",

	//	kHelpTags_msg,
	"A: Seite 1\n" \
	"B: Seite 2\n" \
	"Die Raumbasis gehrt zum Volk des Teams an erster Position in der obigen Liste, das mit der jeweiligen Raumbasis verbndet ist.",

	//	kStarting_msg,
	"",

	//	kYouAreDead_msg,
	"Drcken Sie \"T\", um zuzuschauen.\n",
	
	//	kWinner_msg,
	"Herzlichen Glckwunsch!\n\n" \
	"Sie sind der Gewinner des Angriffs im Team!",

	//	kLoser_msg,
	"Schwieriger Kampf!\n\n" \
	"Nchstes Mal klappt's sicher besser.",

	//	kLeftEarly_msg,
	"Trennen.\n\n" \
	"Sie haben die Verbindung zu frh getrennt.",

	//	kDefault_msg,
	"Unentschieden.\n\n" \
	"Es ist ein Unentschieden.",
};

#else

std::string Messages[] =
{
	//	kMissionTitle_msg,
	"Team Assault",

	//	kDescription_msg,
	"Max Custom Ships : 3\n" \
	"Choose AI: No\n" \
	"Choose Sides: Yes\n" \
	"Start Positions: Fixed\n\n" \
	"Choose either side. Both sides try to destroy each other's Starbase. First side to do " \
	"so is considered the victor. Ships respawn upon destruction or disengagement.",

	//	kBriefing_msg,
	">Destroy the opponent's Starbase before they destroy your Starbase.<",

	//	kHelpTags_msg,
	"A: Side 1\n" \
	"B: Side 2\n" \
	"Each Starbase assumes the race of the team allied with each Starbase at the top of the list above.",

	//	kStarting_msg,
	"",






	//	kYouAreDead_msg,
	"Press 'T' to spectate.\n",
	
	//	kWinner_msg,
	"Congratulations!\n\n" \
	"You are the Team Assault winner!",

	//	kLoser_msg,
	"Tough match!\n\n" \
	"You'll do better next time.",

	//	kLeftEarly_msg,
	"Disconnect.\n\n" \
	"You have disconnected early.",

	//	kDefault_msg,
	"Draw.\n\n" \
	"It is a tie.",
};

#endif