/********************************************************************************************************\

	File Name:	Mul_9TeamAssault.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( Mul_9TeamAssault_h )
#define Mul_9TeamAssault_h

#include "ScriptInterface.h"

enum eCustomIDs
{
	kDefender1 = 1000,
	kDefender2,
	kDefender3,
	kDefenderStarbase,
	kAttacker1,
	kAttacker2,
	kAttacker3,
	kAttackerStarbase,
};

enum eTeamTypes
{
	kPlayerTeam1 = kTeam1,
	kPlayerTeam2,
	kPlayerTeam3,
	kPlayerTeam4,
	kDefenseTeam,
	kAttackTeam,
};

enum eTagTypes
{
	kAttackTag = kTagA,
	kDefendTag = kTagB,
};

enum eNPCTeams
{
	kNumHardCodedNPCTeams = 1,	//	number of NPC teams per tag side
};

class tVictoryCondition;

class tMul_9TeamAssault : public tScript
{
public:

	enum eCommStates
	{};

	tMul_9TeamAssault();

	virtual void	mStartMission();
	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual int32	mInitializeFinished();
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual void	mNewTeam( const tTeamScriptDescription& teamScriptDescription );
	virtual void	mASCIIOverrides( tMapOverrides* Map );
};

#endif


