/********************************************************************************************************\

	File Name:	EnemyDefPlatBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "EnemyDefPlatBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tEnemyDefPlatBaseState::mBeginState()
{}
void tEnemyDefPlatBaseState::mEndState()
{}

void tEnemyDefPlatBaseState::mOnDeath( tShipInfo* ship )
{}
void tEnemyDefPlatBaseState::mOnCapture( tShipInfo* ship )
{}
void tEnemyDefPlatBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tEnemyDefPlatBaseState::mAtDistance( tShipInfo* ship )
{}
void tEnemyDefPlatBaseState::mAtDestination( tShipInfo* ship )
{}
void tEnemyDefPlatBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tEnemyDefPlatBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tEnemyDefPlatBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tEnemyDefPlatBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tEnemyDefPlatBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tEnemyDefPlatBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tEnemyDefPlatBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tEnemyDefPlatBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tEnemyDefPlatBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tEnemyDefPlatBaseState::mOnFlashingButtonPressed()
{}
void tEnemyDefPlatBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tEnemyDefPlatBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tEnemyDefPlatBaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tEnemyDefPlatBaseState::mOnPlayerLeaving( int playerNumber )
{}
void tEnemyDefPlatBaseState::mOnHostChanged()
{}
void tEnemyDefPlatBaseState::mOnTimedInterval( int32 timerID )
{}
void tEnemyDefPlatBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tEnemyDefPlatBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

