/********************************************************************************************************\

	File Name:	TransportTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( TransportTeam_h )
#define TransportTeam_h

#include "TeamInfo.h"


class tTransportTeam : public tTeamInfo
{
public:

	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );

/*

	HELPER NOTE:	Below is where the list of the ship custom IDs go.  An example follows.

	enum eCustomIDs
	{
		kPlayerNPCBS1,
		kPlayerNPCBS2,
	};

*/
	enum eCustomIDs
	{
		kPlanetTransport1 = 400,
		kPlanetTransport2,
		kMoonTransport,

	};
};

#endif
