/********************************************************************************************************\

	File Name:	StarBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "StarBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tStarBaseState::mBeginState()
{}
void tStarBaseState::mEndState()
{}

void tStarBaseState::mOnDeath( tShipInfo* ship )
{}
void tStarBaseState::mOnCapture( tShipInfo* ship )
{}
void tStarBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tStarBaseState::mAtDistance( tShipInfo* ship )
{}
void tStarBaseState::mAtDestination( tShipInfo* ship )
{}
void tStarBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tStarBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tStarBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tStarBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tStarBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tStarBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tStarBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tStarBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tStarBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tStarBaseState::mOnFlashingButtonPressed()
{}
void tStarBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tStarBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tStarBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tStarBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tStarBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tStarBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tStarBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tStarBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tStarBaseState::mOnHostChanged()
{}
void tStarBaseState::mOnTimedInterval( int32 timerID )
{}
void tStarBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tStarBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

