/********************************************************************************************************\

	File Name:	OTDTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( OTDTeam_h )
#define OTDTeam_h

#include "TeamInfo.h"


class tOTDTeam : public tTeamInfo
{
public:

	tOTDTeam();

	virtual void mSetupVictoryCondition();
	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );

/*

	HELPER NOTE:	Below is where the list of the ship custom IDs go.  An example follows.

	enum eCustomIDs
	{
		kPlayerNPCBS1,
		kPlayerNPCBS2,
	};

*/
	enum eCustomIDs
	{};
};

#endif
