/********************************************************************************************************\

	File Name:	CommonDefs.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "CommonDefs.h"

//
//	Initial positions of up to 'kMaxNumCheckPoints' checkpoints
//
tPoint gCheckPointPositions[kMaxNumCheckPoints] =
{
	tPoint( 0, 0 ),
	tPoint( 0, 0 ),
	tPoint( 0, 0 ),
	tPoint( 0, 0 ),
	tPoint( 0, 0 ),
	tPoint( 0, 0 ),
	tPoint( 0, 0 ),
	tPoint( 0, 0 ),
	tPoint( 0, 0 ),
	tPoint( 0, 0 ),
};

//
//	Initial positions of the various track border vertices.
//
tPoint gVertices[kMaxVertices];

tPoint gVertices_BorderTrack[kMaxVertices_BorderTrack] =
{
	tPoint( 4, 3 ),
	tPoint( 13, 3 ),
	tPoint( 13, 10 ),
	tPoint( 10, 13 ),
	tPoint( 4, 13 ),
	tPoint( 13, 11 ),
	tPoint( 14, 11 ),
	tPoint( 14, 14 ),
	tPoint( 11, 14 ),
	tPoint( 11, 13 ),
};

tPoint gVertices_SpiderTrack[kMaxVertices_SpiderTrack] =
{
	tPoint( 6, 2 ),
	tPoint( 11, 8 ),
	tPoint( 11, 4 ),
	tPoint( 15, 4 ),
	tPoint( 15, 8 ),
	tPoint( 20, 2 ),
	tPoint( 24, 6 ),
	tPoint( 18, 11 ),
	tPoint( 22, 11 ),
	tPoint( 22, 15 ),
	tPoint( 18, 15 ),
	tPoint( 24, 20 ),
	tPoint( 20, 24 ),
	tPoint( 15, 18 ),
	tPoint( 15, 22 ),
	tPoint( 11, 22 ),
	tPoint( 11, 18 ),
	tPoint( 6, 24 ),
	tPoint( 2, 20 ),
	tPoint( 8, 15 ),
	tPoint( 4, 15 ),
	tPoint( 4, 11 ),
	tPoint( 8, 11 ),
	tPoint( 2, 6 ),
};

tPoint gVertices_8Track[kMaxVertices_8Track] =
{
	tPoint( 7, 4 ),
	tPoint( 19, 4 ),
	tPoint( 23, 8 ),
	tPoint( 23, 10 ),
	tPoint( 20, 13 ),
	tPoint( 23, 16 ),
	tPoint( 23, 18 ),
	tPoint( 19, 22 ),
	tPoint( 7, 22 ),
	tPoint( 3, 18 ),
	tPoint( 3, 16 ),
	tPoint( 6, 13 ),
	tPoint( 3, 10 ),
	tPoint( 3, 8 ),
	tPoint( 10, 8 ),
	tPoint( 16, 8 ),
	tPoint( 16, 10 ),
	tPoint( 10, 10 ),
	tPoint( 10, 16 ),
	tPoint( 16, 16 ),
	tPoint( 16, 18 ),
	tPoint( 10, 18 ),
};

tPoint gVertices_PlanetTrack[kMaxVertices_PlanetTrack] =
{
	tPoint( 2, 11 ),
	tPoint( 12, 11 ),
	tPoint( 12, 15 ),
	tPoint( 10, 17 ),
	tPoint( 5, 17 ),
	tPoint( 3, 19 ),
	tPoint( 3, 23 ),
	tPoint( 20, 23 ),
	tPoint( 20, 12 ),
	tPoint( 16, 12 ),
	tPoint( 16, 11 ),
	tPoint( 19, 8 ),
	tPoint( 22, 8 ),
	tPoint( 22, 23 ),
	tPoint( 24, 23 ),
	tPoint( 24, 2 ),
	tPoint( 15, 2 ),
	tPoint( 12, 5 ),
	tPoint( 8, 1 ),
	tPoint( 2, 2 ),
};