/********************************************************************************************************\

	File Name:	Uni_9A2Tyr.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( Uni_9A2Tyr_h )
#define Uni_9A2Tyr_h

#include "ScriptInterface.h"

//---------------------------------------------------------------------------------------------
// the following enum is used to identify all non-player teams in the script
// (use kPlayerTeam to access the current players team.)
enum eTeamTypes
{
	kPlayerTeam = kTeam1,
	kPlayerNPC1Team,
	kPlayerNPC2Team,
	kPlayerNPC3Team,
	kPlayerNPC4Team,
	kEnemyTeam,
};

class tVictoryCondition;

class tUni_9A2Tyr : public tScript
{
public:
	bool gShieldsLowered;

	bool gCodeKnown;

	enum eCommStates
	{
		kCommState1,
		kCommState2,
		kCommState3,
		kcommState4,
	};

	tUni_9A2Tyr();

	virtual void mSetupState();
	virtual void mSetupCommState();

	virtual void	mStartMission();
	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual int32	mInitializeFinished();
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mGetDebriefingList( eVictoryLevels VictoryLevel );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual int32	mGetTechnicalSuccessLevel( tDynaverseScriptInfo& info );
	virtual int32	mGetEnemyTeamID();
};

#endif


