/********************************************************************************************************\

	File Name:	MissionText.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( MissionText_h )
#define MissionText_h

#include "tstring.h"


enum TextMessages
{
	//
	//	Mission Title
	//
	kMissionTitle_msg,

	//
	//	Description message
	//
	kDescription_msg,

	//
	//	Briefing message
	//
	kBriefing_msg,
	kBriefingFed_msg,
	kBriefingKlingon_msg,
	kBriefingRomulan_msg,
	kBriefingLyran_msg,
	kBriefingHydran_msg,
	kBriefingGorn_msg,
	kBriefingISC_msg,
	kBriefingMirak_msg,

		//
	//	Starting message
	//
	kStart_msg,
	kStartFed_msg,
	kStartKlingon_msg,
	kStartRomulan_msg,
	kStartLyran_msg,
	kStartHydran_msg,
	kStartGorn_msg,
	kStartISC_msg,
	kStartMirak_msg,

	//
	//	Debriefing messages
	//
	kDebNoHoleNoStar4_msg,
	kDebNoHoleStar4_msg,
	kDebTalkedToHole_msg,
	kDebNoTalkToStars_msg,
	kDebTalkedToAllStars_msg,
	kDebKlingon_msg,

	//
	//	Comm buttons
	//
	kHail_btn,

	//
	//	Comm messages
	//
	kUtility_msg,
	kDistanceOver15K_msg,
	kNoIntelligencePossible_msg,
	kStar1Dialog_msg,
	kStar1Rand1_msg,
	kStar1Rand2_msg,
	kStar1Rand3_msg,
	kStar4Dialog_msg,
	kStar4Rand1_msg,
	kStar4Rand2_msg,
	kStar4Rand3_msg,
	kDistanceOver5K_msg,
	kHoleDialog_msg,

	//
	//	Victory rating
	//

	kAstoundingVictory_msg,
	kVictory_msg,
	kDraw_msg,
	kDefeat_msg,
	kDevastatingDefeat_msg,
	kLeftEarly_msg,

	//
	//	Random chatter
	//

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	kScanOutOfRange_msg,
	kScanNoFurtherInfo_msg,
	kScanningStars1and2_msg,
	kScanningStars3and4_msg,
	kScanningHole_msg,
	kHoleWarning_msg,
	kLeavingSystem_msg,
	kLeftSystem_msg,

	kWaitingTooLong_msg,
	kWaitingTooLong1,
	kWaitingTooLong2,
	kWaitingTooLong3,
	kWaitingTooLong4,
	kWaitingTooLong5,


	//
	//	Custom messages
	//

	//
	//	Not localized as of 10/8/00
	//
	kPlayerTeamTitle_msg,
	kPlayerTeamBriefing_msg,

	//
	//	Not localized as of 10/17/00
	//
	kScanning_msg,
};

extern std::string Messages[];


#endif

