/********************************************************************************************************\

	File Name:	NPCShipBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "NPCShipBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tNPCShipBaseState::mBeginState()
{}
void tNPCShipBaseState::mEndState()
{}

void tNPCShipBaseState::mOnDeath( tShipInfo* ship )
{}
void tNPCShipBaseState::mOnCapture( tShipInfo* ship )
{}
void tNPCShipBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tNPCShipBaseState::mAtDistance( tShipInfo* ship )
{}
void tNPCShipBaseState::mAtDestination( tShipInfo* ship )
{}
void tNPCShipBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tNPCShipBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tNPCShipBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tNPCShipBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tNPCShipBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tNPCShipBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tNPCShipBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tNPCShipBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tNPCShipBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tNPCShipBaseState::mOnFlashingButtonPressed()
{}
void tNPCShipBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tNPCShipBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tNPCShipBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tNPCShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tNPCShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tNPCShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tNPCShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tNPCShipBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tNPCShipBaseState::mOnHostChanged()
{}
void tNPCShipBaseState::mOnTimedInterval( int32 timerID )
{}
void tNPCShipBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tNPCShipBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

