/********************************************************************************************************\

	File Name:	EnemyTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "CommonDefs.h"
#include "EnemyTeam.h"
#include "EnemyTeamBaseState.h"
#include "MissionText.h"
#include "EnemyShip.h"

tClassAllocator<tEnemyTeam> gEnemyTeamAllocator;

void tEnemyTeam::mSetupState()
{
	mRegisterState( new tEnemyTeamBaseState() );
	mGotoState( typeid( tEnemyTeamBaseState ) );
}

void tEnemyTeam::mSetupCommState()
{}

void tEnemyTeam::mCreateShipsForTeam()
{
	for (int32 i = 0; i < NUM_ENEMY_SHIPS; i++)
	{
		mCreateShip(typeid(tEnemyShip), Messages[kEnemyShipClass].c_str(), kStartPosition_H, kNoMetaShipID,
					kEnemyShip1 + i, 0, 0, -1, -1, Messages[kEnemyShipName1 + i].c_str(), kDefaultShipOptions );
	}
}

void tEnemyTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tEnemyTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{}

