/********************************************************************************************************\

	File Name:	PlayerShip.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "PlayerShip.h"
#include "PlayerShipBaseState.h"
#include "Uni_XTimeCrisis.h"

tClassAllocator<tPlayerShip> gPlayerShipAllocator;

void tPlayerShip::mSetupState()
{
	mRegisterState( new tPlayerShipBaseState() );
	mGotoState( typeid( tPlayerShipBaseState ) );
}

void tPlayerShip::mSetupCommState()
{}

void tPlayerShip::mSetupShip()
{
	tTeamInfo* timeholeTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kTimeholeTeam ) );
	if( !timeholeTeam )
			return;

	tShipIterator timeholeI = timeholeTeam->mGetFirstShip();
	if( ! *timeholeI )
		return;

	int32 nX, nY;
	timeholeI->mGetGridPosition( &nX, &nY );

	mTrackTacticalDistance( 3.0f, nX, nY );
}
