/********************************************************************************************************\

	File Name:	TimeholeTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "TimeholeTeamBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tTimeholeTeamBaseState::mBeginState()
{}
void tTimeholeTeamBaseState::mEndState()
{}

void tTimeholeTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tTimeholeTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tTimeholeTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tTimeholeTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tTimeholeTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tTimeholeTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tTimeholeTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tTimeholeTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tTimeholeTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tTimeholeTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tTimeholeTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tTimeholeTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tTimeholeTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tTimeholeTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tTimeholeTeamBaseState::mOnFlashingButtonPressed()
{}
void tTimeholeTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tTimeholeTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tTimeholeTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tTimeholeTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tTimeholeTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tTimeholeTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tTimeholeTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tTimeholeTeamBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tTimeholeTeamBaseState::mOnHostChanged()
{}
void tTimeholeTeamBaseState::mOnTimedInterval( int32 timerID )
{}
void tTimeholeTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tTimeholeTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

