/********************************************************************************************************\

	File Name:	Ski_1Free4All.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/


#if !defined( Ski_1Free4All_h )
#define Ski_1Free4All_h

#include "ScriptInterface.h"

//---------------------------------------------------------------------------------------------
// the following enum is used to identify all non-player teams in the script
// (use kPlayerTeam to access the current players team.)
enum eTeamTypes
{};

class tVictoryCondition;

class tSki_1Free4All : public tScript
{
public:
	enum eCommStates
	{};

	tSki_1Free4All();

	virtual void	mStartMission();
	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual int32	mInitializeFinished();
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual void	mNewTeam( const tTeamScriptDescription& teamScriptDescription );
	virtual void	mASCIIOverrides( tMapOverrides* Map );
	virtual tMapTerrain		mAssignMapTerrainTypes( int32 Map );

protected:
	tVictoryCondition* fVictoryCondition;
};

#endif

