/********************************************************************************************************\

	File Name:	Gen_Playback.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( Gen_Playback_h )
#define Gen_Playback_h

#include "ScriptInterface.h"

//---------------------------------------------------------------------------------------------
// the following enum is used to identify all non-player teams in the script
// (use kPlayerTeam to access the current players team.)
enum eTeamTypes
{
	kPlayerTeam = kTeam1,
};

class tVictoryCondition;

class tGen_Playback : public tScript
{
public:

	tGen_Playback();

	virtual void	mStartMission();
	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual int32	mInitializeFinished();
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mScriptSpecs( tMissionSpec* Specs );

};

#endif


