/********************************************************************************************************\

	File Name:	CommonPlayerTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( CommonPlayerTeam_h )
#define CommonPlayerTeam_h

#include "TeamInfo.h"


class tCommonPlayerTeam : public tTeamInfo
{
public:

	tCommonPlayerTeam();

	virtual void mSetupVictoryCondition();
	virtual void mSetupDebriefingList( eVictoryLevels victoryLevel );
	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );
	virtual void mScheduleNextMission( tVictoryCondition* VictoryCondition );

public:

	void	mIncrementNumShips();
	void	mDecrementNumShips();
	int32	mNumShips();

protected:

	int32	fNumShips;
};

#endif
