/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN

	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Tst_HoldingAction",

	//
	//	Team titles
	//
	
	//	kTeamTitlePlayer_msg,
	"Blockade",
	
	//	kTeamTitleEnemy_msg,
	"Datenbeschaffung",

	//
	//	Briefing message
	//

	//	kBriefingPlayer_msg,
	"Verhindern Sie, dass die gegnerischen Streitkrfte Ihre Blockade durchbrechen. Wir mchten nicht, dass sie an die Informationen gelangen, " \
	"die der Horchposten in diesem Sektor enthlt.\n\n" \
	"Wegtreten.\n\n",

	//	kBriefingEnemy_msg,
	"Versuchen Sie, einen Weg zu dem Horchposten in diesem Sektor zu finden. Die Informationen, die er enthlt, knnten sich als uerst ntzlich erweisen. Lassen Sie sich " \
	"von irgendwelchen gegnerischen Straktionen keinesfalls aufhalten.\n\n" \
	"Wegtreten.\n\n",

	//
	//	Starting message
	//
	
	//	kStartPlayer_msg,
	"[PLAYER_NAME]: Logbuch des [PLAYER_RANK], Sternendatum [STARDATE]. Unser Auftrag besteht darin, zu verhindern, dass der Gegner den Horchposten erreicht. Wir mchten nicht, " \
	"dass er die Informationen erhlt, die dort mglicherweise gesammelt wurden.\n\n",

	//	kFedStartPlayer_msg,
	"[PLAYER_NAME]: Logbuch des Captains, Sternendatum [STARDATE]. Es wurde uns befohlen, den Gegner in Schach zu halten. Wenn ntig, sollen wir ihn auch vernichten. Wir drfen nicht " \
	"zulassen, dass er den Horchposten in diesem Sektor erreicht.\n\n",

	//	kKliStartPlayer_msg,
	"[PLAYER_NAME]: Kriegsbericht, [STARDATE]. Der Gegner befindet sich im Anflug. Unsere Befehle lauten, ihn aufzuhalten, bevor er an die wichtigen Daten  " \
	"des Horchpostens gelangen kann.\n\n",

	//	kRomStartPlayer_msg,
	"[PLAYER_NAME]: Bericht des romulanischen Imperiums, [STARDATE]. Wir befinden uns auf einem Schutzeinsatz. Unsere Befehle lauten, den Gegner anzugreifen, wenn er versucht, zu nahe an den " \
	"Horchposten heranzukommen.\n\n",

	//	kLyrStartPlayer_msg,
	"[PLAYER_NAME]: Journal des Commanders, lyranisches Imperium, [STARDATE]. Unser Auftrag ist es, zu verhindern, dass der Gegner zu nahe an den Horchposten herankommt. Falls erforderlich, sollen wir " \
	"ihn vernichtet.\n\n",

	//	kHydStartPlayer_msg,
	"[PLAYER_NAME]: Journal des Commanders, [STARDATE]. Wir befinden uns auf einem Verteidigungseinsatz fr das Knigreich. Wir sollen den Gegner zerstren, bevor er die Daten eines " \
	"Horchpostens in diesem Sektor in seinen Besitz bringen kann.\n\n",

	//	kGorStartPlayer_msg,
	"[PLAYER_NAME]: Logbuch des Commanders, [STARDATE]. Unser Auftrag ist es, die Aufmerksamkeit des Gegner von dem Horchposten abzulenken. Wir mchten nicht, " \
	"dass irgendwelche ntzlichen Daten in seine Hnde fallen, die der Horchposten mglicherweise enthlt.\n\n",

	//	kISCStartPlayer_msg,
	"[PLAYER_NAME]: Bericht des Befriedungsfeldzugs, galaktisches Datum [STARDATE]. Wir haben festgestellt, dass der Gegner Kurs auf den Horchposten nimmt, der " \
	"sich in diesem Sektor befindet. Wenn wir irgendwelche der Daten schtzen wollen, die der Horchposten mglicherweise in jngster Zeit gesammelt hat, mssen wir ihn aufhalten.\n\n",

	//	kMirStartPlayer_msg,
	"[PLAYER_NAME]: Jagdbericht, [STARDATE]. Wir haben uns an die Beute herangepirscht. Wir werden den Horchposten schtzen.\n\n",

	//	kStartEnemy_msg,
	"[PLAYER_NAME]: Logbuch des [PLAYER_RANK], Sternendatum [STARDATE]. Unser Befehl lautet, die Daten des Horchpostens in diesem Sektor zu beschaffen.\n\n",

	//	kFedStartEnemy_msg,
	"[PLAYER_NAME]: Logbuch des Captains, Sternendatum [STARDATE]. Wir wurden beauftragt, die Daten des Horchpostens in diesem Sektor zu beschaffen. Wenn wir auf " \
	"gegnerische Krfte treffen, sollen wir sie, falls notwendig, fertig machen.\n\n",

	//	kKliStartEnemy_msg,
	"[PLAYER_NAME]: Kriegsbericht, [STARDATE]. Unser Ziel ist es, die Daten des Horchpostens in diesem Sektor zu beschaffen. Wenn wir auf gegnerische " \
	"Krfte treffen, sollen wir sie zerstren.\n\n",

	//	kRomStartEnemy_msg,
	"[PLAYER_NAME]: Bericht des romulanischen Imperiums, [STARDATE]. Wir befinden uns auf einem Verteidigungseinsatz. Unser Befehl lautet, die Daten des Horchpostens in diesem Sektor zu " \
	"beschaffen.\n\n",

	//	kLyrStartEnemy_msg,
	"[PLAYER_NAME]: Journal des Commanders, lyranisches Imperium, [STARDATE]. Unser Befehl lautet, die Daten des Horchpostens in diesem Sektor zu beschaffen.\n\n",

	//	kHydStartEnemy_msg,
	"[PLAYER_NAME]: Journal des Commanders, [STARDATE]. Wir befinden uns auf einer Beschaffungsmission fr das Knigreich. Wir wurden angewiesen, die Daten von dem " \
	"Horchposten in diesem Sektor in unseren Besitz zu bringen. Dies hat oberste Prioritt, auch wenn wir auf gegnerische Krfte treffen sollten.\n\n",

	//	kGorStartEnemy_msg,
	"[PLAYER_NAME]: Logbuch des Commanders, [STARDATE]. Unser Befehl lautet, die Daten des Horchpostens in diesem Sektor zu beschaffen.\n\n",

	//	kISCStartEnemy_msg,
	"[PLAYER_NAME]: Bericht des Befriedungsfeldzugs, galaktisches Datum [STARDATE]. Wir haben den Auftrag, Daten ber diesen Sektor zu beschaffen, die fr das ISK mglicherweise " \
	"ntzlich sein knnten. Strungen seitens des Gegners werden nicht toleriert.\n\n",

	//	kMirStartEnemy_msg,
	"[PLAYER_NAME]: Jagdbericht, [STARDATE]. Wir werden die Daten beschaffen.\n\n",

	//
	//	Debriefing messages
	//
	
	//	kDebWinnerPlayer_msg,
	"Herzlichen Glckwunsch! Sie haben die gegnerischen Streitkrfte erfolgreich aufgehalten.\n\n",

	//	kDebTiePlayer_msg,
	"\n\n",

	//	kDebLoserPlayer_msg,
	"Der Gegner konnte Ihre Blockade durchbrechen und die kostbaren Daten an sich bringen. Sie haben versagt.\n\n",

	//	kDebWinnerEnemy_msg,
	"Sie haben es geschafft, den Horchposten zu erreichen und die Daten an sich zu bringen. Herzlichen Glckwunsch!\n\n",

	//	kDebTieEnemy_msg,
	"\n\n",

	//	kDebLoserEnemy_msg,
	"Unglcklicherweise haben Sie es nicht geschafft, mit den Daten aus dem System zu entkommen. Hoffentlich kann keiner " \
	"unserer Gegner etwas mit den verlorenen Daten anfangen.\n\n",

	//
	//	Informative messages
	//

	//	kYouAreDead_msg,
	"Ihr Schiff wurde zerstrt!\n\n" \
	"Drcken Sie T, um andere Spieler anzuzeigen...\n\n",

	//
	//	Comm buttons
	//

	//
	//	Comm messages
	//

	//
	//	Victory rating
	//

	// kAstoundingVictory_msg,
	"Groartiger Sieg!\n\n",

	// kVictory_msg,
	"Sieg!\n\n",

	// kDraw_msg,
	"Unentschieden!\n\n",

	// kDefeat_msg,
	"Niederlage!\n\n",

	// kDevastatingDefeat_msg,
	"Vernichtende Niederlage!\n\n",

	//	kLeftEarly_msg,
	"Mission eingebt",

	//
	//	Random chatter
	//

	//	kRandChat1_msg,
	"Steuermann:\n\n",
	
	//	kRandChat2_msg,
	"Ingenieur:\n\n",
		
	//	kRandChat3_msg,
	"Sicherheitsoffizier:\n\n",
	
	//	kRandChat4_msg,
	"Navigation:\n\n",
		
	//	kRandChat5_msg,
	"Waffenoffizier:\n\n",
	
	//	kRandChat6_msg,
	"Wissenschaftsoffizier:\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	
	//	kDataTransfer_msg,
	"Wir lesen jetzt die Daten ein...[5]" \
	"Daten vollstndig bertragen. Setzen Sie sich unverzglich ab!\n\n",

	//	kReachedListeningPostPlayer_msg,
	"Der Gegner hat den Horchposten erreicht und bertrgt die Daten. Halten Sie ihn auf, bevor er sich absetzen kann!\n\n",

	//	kReachedListeningPostEnemy_msg,
	"Die Daten wurden vollstndig bertragen. Setzen Sie sich unverzglich ab!\n\n",

	//
	//	Custom messages
	//
	
#else	/////////////////////////////////////////////////////////////////////////////////////
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Tst_HoldingAction",

	//
	//	Team titles
	//
	
	//	kTeamTitlePlayer_msg,
	"Holding Action",
	
	//	kTeamTitleEnemy_msg,
	"Data Recovery",

	//
	//	Briefing message
	//

	//	kBriefingPlayer_msg,
	"Stop enemy forces from breaking your blockade.  We do not want them to obtain the information " \
	"that is contained at the listening post in this sector.\n\n" \
	"Dismissed.\n\n",

	//	kBriefingEnemy_msg,
	"Make your way to the listening post in this sector.  The information it contains may prove useful.  Deter " \
	"any enemy interference that you may encounter.\n\n" \
	"Dismissed.\n\n",

	//
	//	Starting message
	//
	
	//	kStartPlayer_msg,
	"[PLAYER_NAME]: [PLAYER_RANK]'s log, Stardate [STARDATE]. Our orders are to prevent the enemy from reaching the listening post. We do not want " \
	"them gaining information that it may have collected.\n\n",

	//	kFedStartPlayer_msg,
	"[PLAYER_NAME]: Captain's log, Stardate [STARDATE].  We are under orders to hold the enemy at bay. Destroy them, if we must. We should not " \
	"let them reach the listening post in this sector.\n\n",

	//	kKliStartPlayer_msg,
	"[PLAYER_NAME]: War Record, [STARDATE]. The enemy has closed in. Our orders are to stop them before they can obtain important data from " \
	"the listening post.\n\n",

	//	kRomStartPlayer_msg,
	"[PLAYER_NAME]: Record of the Romulan Star Empire [STARDATE] on protection mission. Our orders are to engage the enemy if they try to get close " \
	"to the listening post.\n\n",

	//	kLyrStartPlayer_msg,
	"[PLAYER_NAME]: Commander's journal, Lyran Star Empire [STARDATE]. We are to prevent the enemy from getting close to the post. Destroy them, if " \
	"necessary.\n\n",

	//	kHydStartPlayer_msg,
	"[PLAYER_NAME]: Commander's journal, [STARDATE].  On a defense mission for the Kingdom. We are to destroy the enemy before they can obtain " \
	"data from the post in this sector.\n\n",

	//	kGorStartPlayer_msg,
	"[PLAYER_NAME]: Commander's log, [STARDATE]. Our orders are to divert the enemy's attention from the listening post. We do not want them to " \
	"obtain any useful data that may be contained within.\n\n",

	//	kISCStartPlayer_msg,
	"[PLAYER_NAME]: Pacification campaign record, Galactic Date [STARDATE]. We have determined that the enemy is on course for the listening post " \
	"in this sector. We must interfere if we are to protect any data that the listening post may have collected recently.\n\n",

	//	kMirStartPlayer_msg,
	"[PLAYER_NAME]: Hunt record, [STARDATE]. We must divert the enemy's attention from the listening post. We do not want them to " \
	"obtain any useful data that may be contained within.\n\n",

	//	kStartEnemy_msg,
	"[PLAYER_NAME]: [PLAYER_RANK]'s log, Stardate [STARDATE]. Our orders are to retrieve data from the listening post in this sector.\n\n",

	//	kFedStartEnemy_msg,
	"[PLAYER_NAME]: Captain's log, Stardate [STARDATE]. We are under orders to retrieve data from the listening post in this sector. If we encounter " \
	"enemy interference, deal with it, if necessary.\n\n",

	//	kKliStartEnemy_msg,
	"[PLAYER_NAME]: War Record, [STARDATE]. Our objective is to retrieve data from the listening post in this sector. If we encounter enemy " \
	"interference, destroy them.\n\n",

	//	kRomStartEnemy_msg,
	"[PLAYER_NAME]: Record of the Romulan Star Empire [STARDATE] on defense. Our orders are to retrieve data from the listening post in this " \
	"sector.\n\n",

	//	kLyrStartEnemy_msg,
	"[PLAYER_NAME]: Commander's journal, Lyran Star Empire [STARDATE]. We are to retrieve data from a listening post in this sector.\n\n",

	//	kHydStartEnemy_msg,
	"[PLAYER_NAME]: Commander's journal, [STARDATE]. On a retrieval mission for the Kingdom. We have been instructed to retrieve data from the " \
	"listening post in this sector. This is top priority, even if we encounter enemy interference.\n\n",

	//	kGorStartEnemy_msg,
	"[PLAYER_NAME]: Commander's log, [STARDATE]. We are to retrieve data from a listening post in this sector.\n\n",

	//	kISCStartEnemy_msg,
	"[PLAYER_NAME]: Pacification campaign record, Galactic Date [STARDATE]. We are on a mission to retrieve data that may be useful to the ISC about " \
	"this sector. Any enemy interference will not be tolerated.\n\n",

	//	kMirStartEnemy_msg,
	"[PLAYER_NAME]: Hunt record, [STARDATE]. We are to retrieve data from an enemy listening post in this sector.\n\n",

	//
	//	Debriefing messages
	//
	
	//	kDebWinnerPlayer_msg,
	"Congratulations! You have halted the enemy forces.\n\n",

	//	kDebTiePlayer_msg,
	"\n\n",

	//	kDebLoserPlayer_msg,
	"The enemy made it through your blockade and transferred the precious data. You have failed.\n\n",

	//	kDebWinnerEnemy_msg,
	"You successfully made it to the listening post and transferred the data. Congratulations!\n\n",

	//	kDebTieEnemy_msg,
	"\n\n",

	//	kDebLoserEnemy_msg,
	"Unfortunately, you were not able to make it out of the system with the data. Hopefully no other " \
	"opposing forces will find the lost data useful.\n\n",

	//
	//	Informative messages
	//

	//	kYouAreDead_msg,
	"Your ship has been destroyed!\n\n" \
	"Use 'T' to view other players...\n\n",

	//
	//	Comm buttons
	//

	//
	//	Comm messages
	//

	//
	//	Victory rating
	//

	// kAstoundingVictory_msg,
	"Astounding Victory!\n\n",

	// kVictory_msg,
	"Victory!\n\n",

	// kDraw_msg,
	"Draw!\n\n",

	// kDefeat_msg,
	"Defeat!\n\n",

	// kDevastatingDefeat_msg,
	"Devastating Defeat!\n\n",

	//	kLeftEarly_msg,
	"Forfeit\n\n",

	//
	//	Random chatter
	//

	//	kRandChat1_msg,
	"Helm:\n\n",
	
	//	kRandChat2_msg,
	"Engineer:\n\n",
		
	//	kRandChat3_msg,
	"Security Officer:\n\n",
	
	//	kRandChat4_msg,
	"Navigation:\n\n",
		
	//	kRandChat5_msg,
	"Weapons Officer:\n\n",
	
	//	kRandChat6_msg,
	"Science Officer:\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	
	//	kDataTransfer_msg,
	"Now reading data...[5]" \
	"Data transfer completed.\n\n",

	//	kReachedListeningPostPlayer_msg,
	"The enemy has reached the listening post and transferred the data.  Stop them before they disengage!\n\n",

	//	kReachedListeningPostEnemy_msg,
	"The data transfer has been completed.\n\n",

	//
	//	Custom messages
	//

	//
	//	Not translated as of 11/22/00.
	//
	
	//	kData1_msg,
	"Now about the data...\n\n" \
	"According to the data gathered from the listening post, the [TEAM4_RACE_PLURAL] is currently gathering " \
	"ships from other empires to stand against the [TEAM1_RACE_PLURAL].\n\n",
	
	//	kData2_msg,
	"Now about the data...\n\n" \
	"Apparently the [TEAM4_RACE_PLURAL] are planning an ambush very soon.\n\n",
	
	//	kData3_msg,
	"Now about the data...\n\n" \
	"Hmm, the data appears to be corrupt. Perhaps, finding out what the [TEAM4_EMPIRE] was protecting " \
	"was never meant to be.",
	
	//	kData4_msg,
	"Now about the data...\n\n" \
	"The data transferred from the listening post contains [TEAM4_RACE] scientific research. I am certain " \
	"we will find a great use for it.\n\n",
	
	//	kData5_msg,
	"Now about the data...\n\n" \
	"Unfortunately, the data gathered from the listening post did not contain anything useful.",

#endif
};
