/********************************************************************************************************\

	File Name:	CommonCarrier.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "MissionText.h"
#include "CommonCarrier.h"
#include "CommonCarrierBaseState.h"
#include "TeamInfo.h"

tClassAllocator<tCommonCarrier> gCommonCarrierAllocator;

tCommonCarrier::tCommonCarrier()
{}

void tCommonCarrier::mSetupState()
{
	mRegisterState( new tCommonCarrierBaseState() );
	mGotoState( typeid( tCommonCarrierBaseState ) );
}
void tCommonCarrier::mSetupCommState()
{}
void tCommonCarrier::mSetupShip()
{
	tTeamInfo*	CommonTeam = fMissionInfo->mGetTeamHandle( mGetTeam() );
	Assert( CommonTeam );
	if ( !CommonTeam )
		return;

	if ( CommonTeam->mIsTeamHumanControlled() )
		mSetShipPlayerControlled();
}


