/********************************************************************************************************\

	File Name:	Tst_NetScene3.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/


#if !defined( Mul_BattlefestLite_h )
#define Mul_BattlefestLite_h

#include "ScriptInterface.h"

//---------------------------------------------------------------------------------------------
// the following enum is used to identify all non-player teams in the script
// (use kPlayerTeam to access the current players team.)
enum eTeamTypes
{};

class tVictoryCondition;

class tTst_NetScene3 : public tScript
{
public:
	enum eCommStates
	{};

	tTst_NetScene3();

	virtual void mSetupState();
	virtual void mSetupCommState();

	virtual void	mStartMission();
	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual int32	mInitializeFinished();
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mGetDebriefingList( eVictoryLevels VictoryLevel );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual int32	mGetTechnicalSuccessLevel( tDynaverseScriptInfo& info );
	virtual int32	mGetEnemyTeamID();
	virtual void	mNewTeam( const tTeamScriptDescription& teamScriptDescription );

	tVictoryCondition* mSetupVictoryCondition();

protected:
	tVictoryCondition* fVictoryCondition;
};

#endif

