/********************************************************************************************************\

	File Name:	CommonBattleship.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "MissionText.h"
#include "CommonBattleship.h"
#include "CommonBattleshipBaseState.h"
#include "TeamInfo.h"

tClassAllocator<tCommonBattleship> gCommonBattleshipAllocator;

tCommonBattleship::tCommonBattleship()
{}

void tCommonBattleship::mSetupState()
{
	mRegisterState( new tCommonBattleshipBaseState() );
	mGotoState( typeid( tCommonBattleshipBaseState ) );
}
void tCommonBattleship::mSetupCommState()
{}
void tCommonBattleship::mSetupShip()
{
	tTeamInfo*	CommonTeam = fMissionInfo->mGetTeamHandle( mGetTeam() );
	Assert( CommonTeam );
	if ( !CommonTeam )
		return;

	if ( CommonTeam->mIsTeamHumanControlled() )
		mSetShipPlayerControlled();
}


