/********************************************************************************************************\

	File Name:	ObjectShipBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "ObjectShipBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tObjectShipBaseState::mBeginState()
{}
void tObjectShipBaseState::mEndState()
{}

void tObjectShipBaseState::mOnDeath( tShipInfo* ship )
{}
void tObjectShipBaseState::mOnCapture( tShipInfo* ship )
{}
void tObjectShipBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tObjectShipBaseState::mAtDistance( tShipInfo* ship )
{}
void tObjectShipBaseState::mAtDestination( tShipInfo* ship )
{}
void tObjectShipBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tObjectShipBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tObjectShipBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tObjectShipBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tObjectShipBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tObjectShipBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tObjectShipBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tObjectShipBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tObjectShipBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tObjectShipBaseState::mOnFlashingButtonPressed()
{}
void tObjectShipBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tObjectShipBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tObjectShipBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tObjectShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tObjectShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tObjectShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tObjectShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tObjectShipBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tObjectShipBaseState::mOnHostChanged()
{}
void tObjectShipBaseState::mOnTimedInterval( int32 timerID )
{}
void tObjectShipBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tObjectShipBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

