/********************************************************************************************************\

	File Name:	TestTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "TestTeamBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tTestTeamBaseState::mBeginState()
{}
void tTestTeamBaseState::mEndState()
{}

void tTestTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tTestTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tTestTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tTestTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tTestTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tTestTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tTestTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tTestTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tTestTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tTestTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tTestTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tTestTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tTestTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tTestTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tTestTeamBaseState::mOnFlashingButtonPressed()
{}
void tTestTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tTestTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tTestTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tTestTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tTestTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tTestTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tTestTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tTestTeamBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tTestTeamBaseState::mOnHostChanged()
{}
void tTestTeamBaseState::mOnTimedInterval( int32 timerID )
{}
void tTestTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tTestTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

