/********************************************************************************************************\

	File Name:	MissionMaps.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionMaps.h"

/*
	G-L are fixed starting positions for the 6 teams
*/
int32 TotalMaps = 3;
const char* MapTypes[] = {	"Open Space", "Asteroids", "Dust Clouds" };
			
/*
	G = primary
	H = cargo
	I = freighter
	J = extra stuff
	K = extra stuff
	L = enemy
*/

const char* MapLines[]=
{
   "Tst_ScottsTest",
  
   "// Open Space",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "1|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "2|.........K......J........|",
   " |.........................|",
   " |............I..H.........|",
   " |.........................|",
   " |............g............|",
   "3|............G............|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.L.......................|",
   " |.........................|",
   "5|.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "///",

     "// Asteroids",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |......<..................|",
   " |...[.......]......<......|",
   " |.........................|",
   "1|......[.......]....[.....|",
   " |...........>.............|",
   " |.>...[.........<.........|",
   " |........<............>...|",
   " |.........................|",
   "2|..[......K......J........|",
   " |......<..............[...|",
   " |............I..H.........|",
   " |..[...<..................|",
   " |............g............|",
   "3|............G.......[....|",
   " |.....]...>...............|",
   " |.........................|",
   " |...].......].....<.......|",
   " |.........................|",
   "4|...>................[....|",
   " |.......[.......].........|",
   " |............<............|",
   " |.L.................[.....|",
   " |.........................|",
   "5|.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "///",

     "// Dust Clouds",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |........<................|",
   " |...<........>....<.......|",
   " |.........<...........>...|",
   "1|.........................|",
   " |..>................<.....|",
   " |..........<..............|",
   " |......>..................|",
   " |.........................|",
   "2|.<.......K......J..<.....|",
   " |.........................|",
   " |............I..H.........|",
   " |.........................|",
   " |.<...>......g.........>..|",
   "3|............G............|",
   " |...<.....................|",
   " |..................<......|",
   " |.......<.................|",
   " |.<..........<............|",
   "4|...............>.........|",
   " |.........................|",
   " |.....>...................|",
   " |.L..........<......<.....|",
   " |.........................|",
   "5|.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "///",
   0
};
