/********************************************************************************************************\

	File Name:	PriTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( PriTeam_h )
#define PriTeam_h

#include "TeamInfo.h"


class tPriTeam : public tTeamInfo
{
public:

	tPriTeam();
	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mTeamSetupComplete();
	void mSetupVictoryCondition();
	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );
	virtual void mSetupDebriefingList( eVictoryLevels victoryLevel );

	iTruth	mDied()				{ return fDied; }
	void	mSetDied()			{ fDied = kTrue; }

	iTruth	mBaseDied()			{ return fBaseDied; }
	void	mSetBaseDied()		{ fBaseDied = kTrue; }

	enum eCustomIDs
	{
		kBase = 1,
	};

protected:

	iTruth  fDied;
	iTruth	fBaseDied;
};

#endif
