//	<Name>	PlayerTeamInitialState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( PlayerTeamInitialState_h )
#define PlayerTeamInitialState_h

#include "ChildActorState.h"
#include "teamInfo.h"
#include "PlayerTeam.h"

class tPlayerTeamInitialState : public tChildActorState<tPlayerTeam>
{
public:
	enum eTimeIDs
	{
		kDisplayMessageID,
		kCheckVoicePlayingID,
		kTookToLongID,
		kFirstBoxDestroyedID,
		fWinnerID,
		kAllTargetsDestroyedID,
	};

	tPlayerTeamInitialState( );

	virtual void mBeginState();
	virtual void mEndState();
	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType );
	virtual void mOnDeath( tShipInfo* ship );

protected:

	int32 fChapter;
	bool fTargetDamaged;
	bool fFirstTargetDestroyed;
	bool fPlayedFirstTargetMessage;
	bool fTookToLong;
};

#endif

