//	<Name>	TargetTeamInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "ScriptInterface.h"
#include "TargetTeamInitialState.h"
#include "TargetTeamShip.h"
#include "Tut_Command190.h"

void tTargetTeamInitialState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kTargetsHaveArrived, 60.0f );
}

void tTargetTeamInitialState::mOnTimedInterval( int32 timerID )
{
	int32 playerX = 0;
	int32 playerY = 0;
	int32 targetX = 0;
	int32 targetY = 0;
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
	tShipIterator ship = playerTeam->mGetFirstShip();
//	tShipInPlayEval inPlayEval;
//	ship.mAddEvaluator( &inPlayEval );
	tShipInfo* playerShip = *ship;	

	playerShip->mGetGridPosition( &playerX, &playerY );

	//**********************NEED TO CHANGE TO CARGO BOXES***********************************
	if( timerID == kTargetsHaveArrived )
	{
		targetY = playerY - 2;
		targetX = playerX;
		fChildActor->mCreateShip(	typeid( tTargetTeamShip ), "F-BOX", kStartPosition_Specified, tTeamInfo::kNoMetaShipID,
									-1, targetX, targetY, -1, -1, NULL, kDefaultShipOptions );
		targetY = playerY;
		targetX = playerX - 1;
		fChildActor->mCreateShip(	typeid( tTargetTeamShip ), "F-BOX", kStartPosition_Specified, tTeamInfo::kNoMetaShipID,
									-1, targetX, targetY, -1, -1, NULL, kDefaultShipOptions );
		targetY = playerY;
		targetX = playerX + 1;
		fChildActor->mCreateShip(	typeid( tTargetTeamShip ), "F-BOX", kStartPosition_Specified, tTeamInfo::kNoMetaShipID,
									-1, targetX, targetY, -1, -1, NULL, kDefaultShipOptions );
						
	}


}
