//	<Name>	Hannibal.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "ScriptInterface.h"
#include "Tut_Command590.h"
#include "Hannibal.h"
#include "MissionText.h"

tClassAllocator<tHannibal> gHannibalAllocator;

void tHannibal::mSetupState()
{

}
void tHannibal::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) );

	playerTeam->mRegisterCommMessage( kHailCommState, kBlankCommState, mGetShipID(), kHail_btn, kHannibalAwaitingOrders_msg );

	playerTeam->mGotoCommState( mGetShipID(), kHailCommState );
}
void tHannibal::mSetupShip()
{
	mChangeName( kHannibal_name );

	mSetShipCallbackEvents( kNotifyFlashingButtonPressed );
	mSetShipCallbackEvents( kNotifyDamage );
	mSetFinalDestination();
	mSetShipCallbackEvents( kNotifyBeginTractor );
}


