/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN


	// kMissionTitle_msg,
	"Kommando 590",

	//kShortBriefing_msg,
	"Kommando 590: Flottenmanver\n\n" \
	"Dieser Kurs befasst sich mit den Befehlen, die erforderlich sind, um eine Raumschiffflotte zu kommandieren.\n\n" \
	"Behandelte Themen:\n\n" \
	"Steuern mehrerer Schiffe\n"
	"Schiffsformationen\n"
	"Formationsdisziplin\n"
	"Steuerung des Waffenstatus\n"
	"Offensivoptionen\n"
	"Kampfmanver fr Flotten",


	// kBriefing_msg,
	">Behandelte Themen: Steuern mehrerer Schiffe, Schiffsformationen, Formationsdisziplin, Steuerung des Waffenstatus, Offensivoptionen und Kampfmanver fr Flotten<" \
	"Kommando 590: Flottenmanver\n\n" \
	"Dieser Kurs befasst sich mit den Befehlen, die erforderlich sind, um eine Raumschiffflotte zu kommandieren.\n\n" \
	"Behandelte Themen:\n\n" \
	"Steuern mehrerer Schiffe\n"
	"Schiffsformationen\n"
	"Formationsdisziplin\n"
	"Steuerung des Waffenstatus\n"
	"Offensivoptionen\n"
	"Kampfmanver fr Flotten",

	//kStarBase18_name,
	"Raumbasis 18",
	//kExcelsior_name,
	"Excelsior NCC-2000",
	//kEssex_name,
	"Essex NCC-1727",
	//kRenown_name,
	"Renown NCC-1504",
	//kHannibal_name,
	"Hannibal NCC-512",

	//kWhere_msg,
	"An Bord der USS Essex NCC-1727",
	//kWhere2_msg,
	"Raumbasis 18",
	//kWhere3_msg,
	"Nahe der Neutralen Zone",
	
	//kTut4_Scold1_msg,
	"Sulu: Heute stehen andere Kurse auf meinem Stundenplan, Lieutenant Commander.",
	//kTut4_Scold2_msg,
	"Sulu: Heute ist vielleicht nicht Ihr glcklichster Tag.",
	//kTut4_Scold3_msg,
	"Sulu: Das war ein ausdrcklicher Befehl, Lieutenant Commander.",
	//kTut4_Scold4_msg,
	"Sulu: Mchten Sie in diesem Kurs durchfallen?",
	//kTut4_Scold5_msg,
	"Sulu: Entspannen Sie sich. Versuchen Sie, sich auf das vorliegende Problem zu konzentrieren.",

	//kTut6_SeeYouAgain_msg,
	"Captain Sulu: Schn, Sie wiederzusehen, Captain. Die harte Wahrheit ist, dass dieser Krieg fr die " \
	"Fderation besser laufen knnte. Wir brauchen jeden guten Captain, den wir kriegen knnen. Und wir mssen jeden guten Captain zu einem groen Captain machen.",

	//kTut6_Proven_msg,
	"Captain Sulu: Sie haben bewiesen, dass Sie in der Lage sind, sich im Kampf durchzusetzen. Jetzt aber brauchen wir Sie, damit Sie " \
	"eine grere Herausforderung annehmen und Flottenkapitn werden.",

	//kTut6_CommandEssex_msg,
	"Captain Sulu: Heute bernehmen Sie das Kommando ber die USS Essex. Ein gutes Schiff. Ihre Flotte besteht aus der USS Renown " \
	"und der USS Hannibal. Die Sternenflotte hat zwei hervorragende Captains unter Ihr Kommando gestellt. Ich hoffe, Sie werden sich der " \
	"Verantwortung wrdig erweisen, die Ihnen bertragen wurde.",
	
	//kTut6_FleetControlButton_msg,
	"Captain Sulu: Die Schaltflche 'Flottenkontrolle' blinkt jetzt. Aktivieren Sie nun die Konsole, indem Sie mit der linken Maustaste auf die Schaltflche klicken. Mithilfe " \
	"dieser Konsole knnen Sie Befehle an Ihre Flottenkapitne bermitteln.",

	//kTut6_StillFlashing_msg,
	"Captain Sulu: Sie blinkt immer noch ...",

	//kTut6_CaptainWaiting_msg,
	"Captain Sulu: Gut. Man sollte einen Captain niemals warten lassen. Jetzt haben Sie direkten Zugriff auf jedes Schiff in Ihrer " \
	"Flotte. Oben in der Liste befindet sich die Essex. Das Symbol links des Namens ist das Befehlssymbol. Dies bedeutet, " \
	"dass Sie sich auf dem Kommandodeck der Essex bzw. in der Kommandoposition befinden. Sie werden es lieben, in dem groen Sessel zu sitzen.",

	//kTut6_JumpToConn_msg,
	"Captain Sulu: Wenn Sie auf das Kommandodeck eines anderen Schiffes springen mchten, klicken Sie auf den Bereich links des Schiffsnamens. " \
	"Wenn Sie auf das Kommandosymbol eines anderen Schiffes klicken, bernehmen Sie das Kommando ber dieses Schiff.",
	
	//kTut6_FormationParticipation_msg,
	"Captain Sulu: Auf der rechten Seite des Schiffsnamens befindet sich der Schalter fr die Teilnahme an einer Formation. Wenn der Schalter auf 'Aus' steht, " \
	"hat der Captain des Schiffes die vollkommene Kontrolle ber sein Schiff. Wenn der Schalter auf 'Ein' steht, wird das Schiff in eine Formation mit Ihrem " \
	"aktuellen Kommanodschiff gesetzt, wodurch Sie einige Steuerungsmglichkeiten ber seine Aktionen haben.",
	
	//kTut6_FourNewPanels_msg
	"Auf dem Bildschirm befinden sich vier neue Konsolen. Am Fu des Bildschirms befindet sich das Steuerelement 'Formationsdetails' fr jedes Ihrer " \
	"Schiffe. Auf der Seite des Bildschirms befindet sich das Steuerelement 'Formationsauswahl'.",


	//kTut6_FormationControls_msg,
	"Captain Sulu: Auf der rechten Seite des Bildschirms befinden sich die Steuerelemente 'Formationsauswahl'. Diese wollen wir einmal nher betrachten. Hiermit legen Sie fest, " \
	"in welcher Formation Ihre Flotte fliegen soll. Die mglichen Formationen sind 'Bug an Bug', 'Kettenformation', 'Winkelformation', 'umgekehrte' " \
	"'Winkelformation', 'Diagonale links' und 'Diagonale rechts'.",
	//kTut6_DifferentFormations_msg,
	"Captain Sulu: Whrend Sie die unterschiedlichen Formationen auswhlen, sehen Sie, wie die Schiffe in Ihrer Flotte die Position ndern, um auf Ihren " \
	"Befehl zu reagieren. Probieren Sie einige Formationen aus, um ein Gefhl fr Ihr Kommando zu erhalten.",
	
	//kTut6_AreaOne_msg,
	"Captain Sulu:  Die Steuerelemente 'Formationsdetails' sind in vier Bereiche gegliedert. Der erste Bereich ist die Konsole fr 'Offensivoptionen' - und wenn " \
	"Sie sich nicht im Bereich Offensivoptionen befinden, wissen Sie, dass Sie echt in Schwierigkeiten stecken. Die Konsole 'Offensivoptionen' zeigt den Namen Ihres Schiffes " \
	"und dessen Zustand und ermglicht Ihnen, Ihrer Flotte Aufgaben zuzuweisen.",
	//kTut6_AreaTwo_msg,
	"Captain Sulu:  Der zweite Bereich ist die Konsole 'Schiffsstatus'. Hier wird die aktuelle Aufgabe Ihres Schiffes, dessen Ziel und der " \
	"Zustand des Ziels angezeigt.",
	//kTut6_AreaThree_msg,
	"Captain Sulu:  Der dritte Bereich ist das Steuerelement fr 'Formationsdisziplin'. Hiermit knnen Sie vorherbestimmen, wie eng " \
	"sich die Flotte an Ihre Befehle zu halten hat.",
	//kTut6_AreaFour_msg,
	"Captain Sulu: Der vierte und letzte Bereich ist das Steuerelement 'Waffenstatus'. Von hier aus knnen Sie den Schiffen Ihrer Flotte befehlen, " \
	"ihre Waffen zu berladen oder sogar, sie offline zu schalten.",

	//kTut6_FormationDetail_msg,
	"Captain Sulu: Wir wollen nun das Steuerelement 'Formationsdetails' einmal etwas nher betrachten. Im Mittelpunkt der Steuerelemente befinden sich die Schaltflchen fr die " \
	"Formationsdisziplin. Die Symbole reprsentieren die Schiffe Ihrer Flotte als Kette, und zwar beginnend mit einer 'sehr losen' Kette bis zu einer 'sehr engen' Kette.",
	
	//kTut6_ChainAnalogy_msg,
	"Captain Sulu: Der Vergleich mit einer Kette ist sehr zutreffend. In jedem Modus fliegen die Schiffe in der gewhlten Formation. Wenn die " \
	"Disziplin strenger wird, haben die Schiffe Ihrer Flotte weniger Ermessensspielraum im Hinblick auf das Ziel und darauf, wann sie ihre " \
	"Waffen abfeuern drfen.",

	//kTut6_FlashingTightButton_msg,
	"Captain Sulu: Befehlen Sie Ihrer Flotte nun eine enge Formation.",

	//kTut6_PushTheButton_msg,
	"Captain Sulu: Die Schaltflche, die gerade blinkt. Wie soll die Fderation diesen Krieg gewinnen, wenn ihre Captains " \
	"noch nicht mal in der Lage sind, auf eine blinkende Schaltflche zu klicken?",
	
	//kTut6_TightFormation_msg,
	"Captain Sulu: In einer engen Formation wird die Geschwindigkeit, die Navigation und die Zielerfassung allein dem Kommandoschiff berlassen. Die Verantwortung " \
	"fr den Feuerbefehl fr die Waffensysteme aller Schiffe liegt ebenfalls beim Flottencommander. Um einen Feuerbefehl zu geben, klicken Sie mit der linken Maustaste auf " \
	"die Schaltflche 'Jetzt feuern'.",

	//kTut6_MediumFormation_msg,
	"Captain Sulu: In einer Formation mit mittelmiger Disziplin steuert der Commander die Geschwindigkeit, die Navigation und die Zielerfassung jedes Schiffes, der Einsatz der " \
	"Waffen liegt jedoch im Ermessen der einzelnen Captains.",

	//kTut6_MediumFormationUse_msg,
	"Captain Sulu: Eine Formation mit mittelmiger Disziplin ist ntzlich fr Schiffe, die nicht gleichzeitig ber die optimalen Abschussmuster " \
	"verfgen. Darber hinaus knnte sich diese Formation als sinnvoll erweisen, wenn Sie Schiffe mit zielsuchenden Waffen befehligen.",
	
	//kTut6_LooseFormation_msg,
	"Captain Sulu: Bei einer lockeren Formation haben Sie die Kontrolle ber die Geschwindigkeit und die Navigation der Mitglieder, wobei die Auswahl der Ziele " \
	"und die Waffensteuerung den Captains der jeweiligen Schiffe berlassen ist.[9]Hiermit erhalten die Captains einen Ermessensspielraum zur Auswahl des optimalen Zieles und " \
	"der optimalen Abschusszeit fr ihr Schiff. Wenn Sie eine Flotte kommandieren, deren Schiffe ber viele unterschiedliche Waffensysteme verfgen, drfte dies " \
	"die optimale Einstellung sein.",
	
	//kTut6_FireNOWBttn_msg,
	"Captain Sulu: Das letzte Steuerelement in dieser Gruppe ist die Schaltflche 'Jetzt feuern'. Hiermit befehlen Sie den unter Ihrem Kommando stehenden Schiffen, " \
	"alle verfgbaren Waffen auf das aktuelle Ziel abzufeuern. Dies geschieht ungeachtet irgendwelcher anderen Befehle.",
	
	//kTut6_WeaponsStateControl_msg,
	"Captain Sulu: Ganz auf der rechten Seite des Steuerelements 'Formationsdetails' befindet sich das Steuerelement 'Waffenstatus'. Von hier aus knnen Sie " \
	"das aktuelle Bewaffnungsniveau fr jedes der Schiffe in Ihrer Flotte festlegen.",

	//kTut6_Special_msg,
	"Captain Sulu: Die Waffen knnen folgendermaen eingestellt werden: 'Offline', 'Normal', 'berlastung' und 'Spezial'. Mit der Einstellung 'Spezial' werden " \
	"die speziellen Funktionen der schweren Waffen eines Schiffes gesteuert, wie beispielsweise die Nahbereichs-Photonentorpedos. Man wei nie, wann es notwendig wird, einen " \
	"eroberten PPD auf 'Unterlastung' zu setzen.",

	//kTut6_Stealth_msg,
	"Captain Sulu: Die letzte Schaltflche auf der Steuerkonsole fr den Waffenstatus ist die Tarnungsschaltflche. Hiermit befehlen Sie Ihrer " \
	"Flotte, auf maximale EGM zu gehen, und wenn Sie mit viel Glck ein Schiff mit Tarnvorrichtung erobern knnen, wird dieses mit dieser Schaltflche angewiesen, " \
	"sich zu tarnen.",

	//kTut6_OffensiveOptions_msg,
	"Captain Sulu: Auf der linken Seite des Steuerelements 'Formationsdetails' fr Ihre Schiffe befinden sich die Steuerelemente fr 'Offensivoptione'. Hier gibt es " \
	"drei mgliche Optionen: 'Ziel angreifen', 'Ziel erobern' und 'Verteidigen'. Darber hinaus gibt es eine vierte Option, 'Ziel mit Traktorstrahl erfassen', die " \
	"in Verbindung mit den soeben genannten drei Optionen eingesetzt werden kann.",

	//kTut6_CapturedKlingon_msg,
	"Captain Sulu: Einige eroberte klingonische Kriegsschiffe unter Computersteuerung dringen gerade in Ihren Bereich ein. Experimentieren Sie " \
	"mit den Optionen, um diese Schiffe zu zerstren oder sogar zu erobern. Machen Sie sich keine Sorgen ber die Schden, die Sie mglicherweise anrichten: Diese Schiffe sind alt " \
	"und fr Star Fleet Command ohne weiteren Nutzen.",

	//kTut_Failed_msg,
	"Sie haben sich meinen Befehlen in direkter Weise widersetzt, mein Herr. Die Lektion ist vorbei.",

	//kTut6_WellDone_msg,
	"Captain Sulu: Gute Arbeit, Captain. Ich bin sicher, Sie werden einmal der Stolz der Sternenflotte (und der meine) sein. Sie sind nun bereit, " \
	"eine Flotte in die Schlacht zu fhren. Wenn Sie weiterhin so gute Arbeit leisten, werden Sie eines Tages vielleicht einmal ein so legendres Schiff wie " \
	"die Enterprise oder die Excelsior kommandieren. Ich wnsche Ihnen viel Glck bei Ihrer weiteren Karriere.",

	//kTut6_NotAcceptable_msg,
	"Captain Sulu: Das war nun wirklich keine akzeptable Leistung. Wenn Ihnen die Last eines Kommandos bereits als zu schwer erscheint, wenn Sie " \
	"fnfhundert Mnner und Frauen kommandieren, warten Sie, bis Sie einmal fnftausend Leute unter Ihrem Befehl haben. Wir wollen beide beten, dass " \
	"sich Ihre Fhigkeiten zum Kommandieren einer Flotte verbessert haben, bevor Sie an vorderster Front stehen.",


	//kHail_btn,
	"Rufen",
	//kMaintainSilence_msg,
	"Raumbasis 18: Funkstille halten",
	//kAlready_msg,
	"Kommunikationsoffizier: Wir haben die Kommunikation mit Capatain Sulu bereits hergestellt",
	//kNoResponse_msg,
	"Kommunikationsoffizier: Keine Reaktion",
	//kEssexAwaitingOrders_msg,
	"Commander Toles:  Erwarten Ihre Befehle, Captain.",
	//kHannibalAwaitingOrders_msg,
	"Captain Dupre: Erwarten Ihre Befehle, Captain.",
	//kRenownAwaitingOrders_msg,
	"Captain Mitchell: Bereit fr Ihren nchsten Befehl.",

	//kPassDebrief_msg,
	"Herzlichen Glckwunsch, Captain. Es scheint, als seien Sie fr die bernahme eines Flottenkommandos gut prpariert. Viel Glck, " \
	"Captain.\n\n" \
	"Wegtreten.",

	//kFailDebrief_msg,
	"Captain, wenn Sie einmal ein Flottencommander sein mchten, mssen Sie hrter arbeiten und mehr Kpfchen beweisen als Sie es heute getan haben.\n\n" \
	"Wegtreten.",

#else		/////////////////////////////////////////////////////////////////////////////////////////////////

	// kMissionTitle_msg,
	"Command 590",

	//kShortBriefing_msg,
	"Command 590: Fleet Maneuvers\n\n" \
	"This course will cover the commands necessary to control a fleet of Starships.\n\n" \
	"Topics Covered:\n\n" \
	"Multiple ship control\n"
	"Ship Formations\n"
	"Formation Discipline\n"
	"Weapon State Control\n"
	"Offensive Options\n"
	"Fleet battle maneuvers",


	// kBriefing_msg,
	">Topics Covered: Multiple ship control, Ship Formations, Formation Discipline, Weapon State Control, Offensive Options, and Fleet battle maneuvers<" \
	"Command 590: Fleet Maneuvers\n\n" \
	"This course will cover the commands necessary to control a fleet of Starships.\n\n" \
	"Topics Covered:\n\n" \
	"Multiple ship control\n"
	"Ship Formations\n"
	"Formation Discipline\n"
	"Weapon State Control\n"
	"Offensive Options\n"
	"Fleet battle maneuvers",

	//kStarBase18_name,
	"Starbase 18",
	//kExcelsior_name,
	"Excelsior NCC-2000",
	//kEssex_name,
	"Essex NCC-1727",
	//kRenown_name,
	"Renown NCC-1504",
	//kHannibal_name,
	"Hannibal NCC-512",

	//kWhere_msg,
	"Aboard the USS Essex NCC-1727",
	//kWhere2_msg,
	"Starbase 18",
	//kWhere3_msg,
	"Near the Neutral Zone",
	
	//kTut4_Scold1_msg,
	"Sulu: I have other classes today Lieutenant Commander.",
	//kTut4_Scold2_msg,
	"Sulu: Perhaps today isn't good for you.",
	//kTut4_Scold3_msg,
	"Sulu: That was a direct order Lieutenant Commander.",
	//kTut4_Scold4_msg,
	"Sulu: Do you want to fail this course?",
	//kTut4_Scold5_msg,
	"Sulu: Relax.  Try to focus on the problem at hand.",

	//kTut6_SeeYouAgain_msg,
	"Captain Sulu: Good to see you again, Captain. The hard truth is that this war could be going better for the " \
	"Federation.  We need all the good Captains we can get. And we need to turn good Captains into great ones.",

	//kTut6_Proven_msg,
	"Captain Sulu: You have proven that you are capable of handling yourself in a fight.  But now we need you to rise to " \
	"a greater challenge and become a fleet Captain.",

	//kTut6_CommandEssex_msg,
	"Captain Sulu: Today you will be in command of the USS Essex. A good ship. Your fleet will consist of the USS Renown " \
	"and the USS Hannibal.  Starfleet has placed two fine Captains under your command.  I hope you prove worthy of the " \
	"responsibility you've been given.",
	
	//kTut6_FleetControlButton_msg,
	"Captain Sulu: The Fleet Control button is now flashing. Bring up the panel now by left clicking on the button. This " \
	"panel allows you to give orders to your fleet Captains.",

	//kTut6_StillFlashing_msg,
	"Captain Sulu: It's still flashing...",

	//kTut6_CaptainWaiting_msg,
	"Captain Sulu: Good. You never want to keep a captain waiting. Now you have direct access to each ship in your " \
	"fleet.  At the top of the list is the Essex.  The icon to the left of the name is the Command icon.  This means " \
	"that you are at Essex's 'conn' or command position. You gotta love sitting in the big chair.",

	//kTut6_JumpToConn_msg,
	"Captain Sulu: If you wish to jump to the conn of another ship, click in the space to the left of the ship's name. " \
	"Clicking on another ship's command icon transports you into control of that ship",
	
	//kTut6_FormationParticipation_msg,
	"Captain Sulu: To the right of the ships name is the Formation participation toggle.  If the toggle is off, the ship's " \
	"Captain will be in full control of his ship.  If the toggle is on, the ship will be placed in a formation with your " \
	"current command ship giving you some control over its actions.",
	
	//kTut6_FourNewPanels_msg
	"Four new panels are on the screen.  At the bottom of the screen, there is a Formation Detail control for each of your " \
	"ships. On the side of the screen, there is the Formation Selection control.",


	//kTut6_FormationControls_msg,
	"Captain Sulu: To the right of the screen are the formation selection controls.  Let's look at them.  They determine " \
	"which formation you wish your fleet to fly in.  The formations are line abreast, line astern, chevron, inverted " \
	"chevron, diagonal left, and diagonal right.",
	//kTut6_DifferentFormations_msg,
	"Captain Sulu: As you select the different formations, you will see the ships of your fleet shift to respond to your " \
	"order.  Try several formations to get the feel for your Command.",
	
	//kTut6_AreaOne_msg,
	"Captain Sulu:  There are four areas on the Formation Detail controls.  The first is the Offensive Options panel - and " \
	"when you're out of offensive options, you know you're in trouble.  The Offensive Options panel shows your ship's " \
	"name, its condition, and allows you to assign tasks to your fleet.",
	//kTut6_AreaTwo_msg,
	"Captain Sulu:  The second area is the Ship State Panel.  It shows the ship's current task, its target, and the " \
	"target's condition.",
	//kTut6_AreaThree_msg,
	"Captain Sulu:  The third area is the Formation Discipline control.  This allows you to predetermine how rigidly " \
	"your fleet will follow your orders.",
	//kTut6_AreaFour_msg,
	"Captain Sulu: The fourth and final area is the Weapons State Control.  From here you can order your fleet ships to " \
	"Overload their weapons, or even take them offline.",

	//kTut6_FormationDetail_msg,
	"Captain Sulu: Let's look at the Formation Detail control. In the center of the controls are the formation discipline " \
	"buttons. The icons represent the ships in your fleet as a chain, ranging from a 'very loose' to a 'very tight' chain.",
	
	//kTut6_ChainAnalogy_msg,
	"Captain Sulu: This chain analogy is a good one.  In each mode the ships will fly in the chosen formation.  As the " \
	"discipline gets tighter, the ships in your fleet have less discretion over what they target and when they fire their " \
	"weapons.",

	//kTut6_FlashingTightButton_msg,
	"Captain Sulu: Now put your fleet in a tight formation.",

	//kTut6_PushTheButton_msg,
	"Captain Sulu: The button is currently flashing.  How's the Federation going to win this war if its captains " \
	"can't even push a flashing button?",
	
	//kTut6_TightFormation_msg,
	"Captain Sulu: In a tight formation, all speeds, navigation, and targets are slaved to the Command ship.  Responsibility " \
	"for ordering the firing of ship's weapons also falls to the Fleet Commander.  To issue a fire command Left-click on " \
	"the 'Fire Now' button.",

	//kTut6_MediumFormation_msg,
	"Captain Sulu: In a Medium formation, the commander controls each ship's speed, navigation, and target, but their " \
	"weapons are at the discretion of the individual Captains.",

	//kTut6_MediumFormationUse_msg,
	"Captain Sulu: A medium formation is useful for ships that may not have optimal firing patterns at the same " \
	"time.  In addition, this formation may prove useful when you're commanding ships with seeking weapons.",
	
	//kTut6_LooseFormation_msg,
	"Captain Sulu: A loose formation gives you control over the members' speed and navigation while leaving target choice " \
	"and fire control up to each ship's Captain.  This allows 'Captain's discretion' in picking the optimal target and " \
	"firing time for his ship. If you're commanding a fleet whose ships have a lot of different weapons systems, this " \
	"could be the optimal setting.",
	
	//kTut6_FireNOWBttn_msg,
	"Captain Sulu: The last control in this group is the 'Fire Now' button.  This orders the commanded ship to fire all " \
	"available weapons at the current target.  This happens regardless of any other commands.",
	
	//kTut6_WeaponsStateControl_msg,
	"Captain Sulu: On the far right of the Formation Detail control is the Weapons State Control.  From here you " \
	"can set the current weapons level for each of your fleet's ships",

	//kTut6_Special_msg,
	"Captain Sulu: Weapons may be set to: offline, normal, overload, and Special. The 'special' setting controls a ship's " \
	"heavy weapons extra features, such as Proximity Photon Torpedoes.  You never know when you will need to set a " \
	"captured PPD to 'underload'.",

	//kTut6_Stealth_msg,
	"Captain Sulu: The final button in the Weapons State Control panel is the stealth button.  This will order your " \
	"fleet to go to maximum ECM and if you are lucky enough to capture a ship with the cloaking device, the stealth " \
	"button will order it to cloak.",

	//kTut6_OffensiveOptions_msg,
	"Captain Sulu: On the left of the Formation Detail control are the Offensive Options Controls.  There " \
	"are three options: Attack target, Capture Target, and Defend.  There is also a fourth option, 'Tractor target', which " \
	"may be used in conjunction with the other three.",

	//kTut6_CapturedKlingon_msg,
	"Captain Sulu: Several captured Klingon warships under computer control are now entering your area.  Experiment with " \
	"the options to destroy or even capture these vessels.  Don't worry about damaging them: these vessels are antiques " \
	"and have no other use to Star Fleet Command.",

	//kTut_Failed_msg,
	"You have directly violated my orders Mister.  This lesson is over.",

	//kTut6_WellDone_msg,
	"Captain Sulu: Well done Captain.  I am sure you will make Star Fleet (and me) very proud. You are now ready to " \
	"command a fleet in battle. If you keep up your good work, perhaps one day you'll even command a legendary ship, like " \
	"the Enterprise or the Excelsior. Good luck with your career.",

	//kTut6_NotAcceptable_msg,
	"Captain Sulu: That was not an acceptable performance. If you think the burden of command is great when you're " \
	"commanding five hundred men and women, wait until you command five thousand. Let us both pray that your fleet " \
	"management skills improve before you reach the front line.",


	//kHail_btn,
	"Hail",
	//kMaintainSilence_msg,
	"Starbase 18: Maintain radio silence",
	//kAlready_msg,
	"Communications Officer: We have already established communications with Captain Sulu",
	//kNoResponse_msg,
	"Communications Officer: No response",
	//kEssexAwaitingOrders_msg,
	"Commander Toles:  Awaiting orders, Captain.",
	//kHannibalAwaitingOrders_msg,
	"Captain Dupre: Awaiting orders, Captain.",
	//kRenownAwaitingOrders_msg,
	"Captain Mitchell: Standing by for your next command.",

	//kPassDebrief_msg,
	"Congratulations Captain.  It looks like you are well prepared for the responsibility of fleet command.  Good luck " \
	"Captain.\n\n" \
	"Dismissed.",

	//kFailDebrief_msg,
	"Captain, if you want to be a fleet Commander, you will have to work harder and be smarter than you were today.\n\n" \
	"Dismissed.",
#endif
};


