//	<Name>	Renown.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "ScriptInterface.h"
#include "Tut_Command590.h"
#include "Renown.h"
#include "MissionText.h"

tClassAllocator<tRenown> gRenownAllocator;

void tRenown::mSetupState()
{

}
void tRenown::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) );

	playerTeam->mRegisterCommMessage( kHailCommState, kBlankCommState, mGetShipID(), kHail_btn, kRenownAwaitingOrders_msg );

	playerTeam->mGotoCommState( mGetShipID(), kHailCommState );
}
void tRenown::mSetupShip()
{
	mChangeName( kRenown_name );

	mSetShipCallbackEvents( kNotifyFlashingButtonPressed );
	mSetShipCallbackEvents( kNotifyDamage );
	mSetFinalDestination();
	mSetShipCallbackEvents( kNotifyBeginTractor );
}


