/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[]=
{
#ifdef _GERMAN

	//kMissionTitle_msg,
	"Wissenschaft 310",

	//kShortBriefing_msg,
	"Wissenschaft 310: Forschungsstation\n\n" \
	"Dieser Kurs befasst sich mit der Forschungsstation und den hiermit zusammenhngenden Schiffssteuerelementen.\n\n" \
	"Behandelte Themen:\n\n" \
	"Steuerelement 'Taktische Anzeige'\n" \
	"Sonden\n" \
	"Tiefenscan\n" \
	"Transporter\n" \
	"Transporterminen\n" \
	"Traktorstrahlen",


	//kBriefing_msg,
	">Behandelte Themen: Steuerelement 'Taktische Anzeige', Sonden, Tiefenscan, Transporter, Transporterminen und Traktorstrahlen.<" \
	"Wissenschaft 310: Forschungsstation\n\n" \
	"Dieser Kurs befasst sich mit der Forschungsstation und den hiermit zusammenhngenden Schiffssteuerelementen.\n\n" \
	"Behandelte Themen:\n\n" \
	"Steuerelement 'Taktische Anzeige'\n" \
	"Sonden\n" \
	"Tiefenscan\n" \
	"Transporter\n" \
	"Transporterminen\n" \
	"Traktorstrahlen",

	//kCrockett_name
	"Crockett",
	//kAres_name,
	"U.S.S. Ares",
	//kMars_name,
	"Mars",
	//kDryDock_name,
	"Trockendock",

	//kWhere_msg,
	"An Bord der Crockett NCC-600",
	//kWhere2_msg,
	"Utopia Planitia-Schiffswerft - Flottentrainingskurs",
	//kWhere3_msg,
	"In der Umlaufbahn des Mars",

	//kTut3_Scold1_msg,
	"Captain Wells: Lieutenant Commander, das war ein ausdrcklicher Befehl.",
	//kTut3_Scold2_msg,
	"Captain Wells: Lieutenant Commander?",
	//kTut3_Scold3_msg,
	"Captain Wells: Sollen alle auf Sie warten?",
	//kTut3_Scold4_msg,
	"Captain Wells: Vielleicht sollten Sie besser Ihren Jahresurlaub nehmen, wenn Starfleet Command Sie dazu auserwhlt, Benutzeroberflchen " \
	"fr echte Raumschiffcaptains zu entwerfen.",
	//kTut3_Scold5_msg,
	"Captain Wells: Lieutenant Commander, ist der Befehl klar und deutlich rbergekommen? Oder brauchen Sie vielleicht einen universellen bersetzer?",
	
	//kTut3_Welcome1_msg,
	"Captain Wells: Lieutenant Commander, ich heie Sie willkommen zum Flottentrainingskurs auf den Utopia Planitia-Schiffswerften. Sie befinden sich " \
	"zur Zeit in der Umlaufbahn des Planeten Mars. Sie freuen sich sicher, dass Sie unserem Simulator entronnen sind und nun die wirkliche " \
	"Welt vor sich haben.",

	//kTut3_GivenCommand_msg,
	"Captain Wells: Sie haben vorbergehend das Kommando ber die USS Crockett erhalten, whrend deren Photonentorpedos hier bei Utopia Planitia " \
	"gewartet werden.",

	//kTut3_Observe_msg,
	"Captain Wells: Sie werden auf der Crockett Ihren Kurs in Wissenschaft 310 zu Ende bringen. Ich werden Sie von dem Zerstrer Ares " \
	"NCC-524 aus beobachten, der ebenfalls bei Utopia Planitia umgerstet wird.",

	//kTut3_Panel_msg,
	"Captain Wells: Ein Raumschiff ist ein groes Marineschiff mit vielen Systemen, zu denen die Folgenden gehren: Waffen, Traktorstrahlen, Transporter, Schilde, elektronische " \
	"Kriegfhrung und Sicherheit. Um alle diese Systeme steuern zu knnen, hat Starfleet eine schlanke und effiziente Anzeige- " \
	"konsole entwickelt, ber die Sie Zugriff auf diese Systeme haben.",
	
	//kTut3_HidePanel_msg,
	"Captain Wells: Drcken Sie die Taste 'D', um diese Konsole auszublenden. Alternativ gibt es einen kleinen Pfeil oben auf der " \
	"Hauptanzeige, mit dem die Konsole aus- und eingeblendet werden kann.",

	//kTut3_TwoCourses_msg,
	"Captain Wells: Es gibt zwei Asteroidenkurse hier auf Utopia Planitia. Fr diese bung verwenden wir den Asteroidenkurs " \
	"A. Beschleunigen Sie das Schiff ein wenig, um Steuerkraft zu erhalten - ich wrde Geschwindigkeit 17 vorschlagen. Kurs A ist unmittelbar vor uns und ist " \
	"der kleinere von den beiden.",
	
	//kTut3_CourseA_msg,
	"Captain Wells: Nehmen Sie nun Kurs auf den Asteroidenkurs A. Vermeiden Sie einen Zusammensto mit den Asteroiden, es wird hier als schlechtes Benehmen betrachtet, sein " \
	"Schiff zu zerstren. Wenn Sie Kurs A erreicht haben, vergewissern Sie sich, dass Sie die Geschwindigkeit auf unter 6 drosseln, um Beschdigungen durch Staubwolken so gering wie mglich zu halten.",

	//Tut3_Boxes_msg,
	"Captain Wells: Fr diesen Kurs habe ich fnf standardmige Frachtcontainer der Fderation platziert. Zerstren Sie diese Container nicht.",

	//kTut3_BlinkingSciPanel_msg,
	"Captain Wells: Das Symbol der Konsole des Wissenschaftsoffiziers blinkt jetzt. Rufen Sie die Konsole des Wissenschaftsoffiziers auf.",
	//Tut3_PleaseBlinkingScience_msg,
	"Captain Wells: Wenn Sie nun auf die Konsole des Wissenschaftsoffiziers klicken wollen, knnten wir mit dieser bung fortfahren. Ich haben nicht mehr " \
	"so viel rger gehabt, seit Lieutenant Austin diesen Kurs absolviert hat.",

	//kTut3_Intelligence_msg,
	"Captain Wells: Taktische Intelligenz ist die Grundlage eines erfolgreichen Raumschiffkommandos - sie ist oftmals der Schlssel " \
	"fr Sieg oder Niederlage.[8]Ihr Schiff ist sowohl mit Scannern als auch mit Sonden ausgestattet. Obwohl die Photonentorpedos " \
	"der Crockett gerade gewartet werden, sind die Sonden noch immer mit den Torpedorohren verbunden, da sie in einem " \
	"Zusatzmagazin aufbewahrt werden.",
	
	//kTut3_Probe_msg,
	"Captain Wells: Zielen Sie auf einen der Frachtcontainer, und feuern Sie eine Sonde darauf ab. Sie sehen, dass die Schaltflche zum Starten der Sonde " \
	"jetzt auf der Wissenschaftskonsole blinkt. Sie knnen auf die Schaltflche klicken, oder Sie knnen die Taste 'P' drcken, um die Sonde zu starten.",

	//kTut3_ProbeHelp_msg,
	"Captain Wells: Bitte aktivieren Sie jetzt die Sonde, Lieutenant Commander.",

	//kTut3_ProbesExplained_msg,
	"Captain Wells: Gut. Wenn die Sonde den Container erreicht hat, werden Sie in der Lage sein, wichtige Daten zu lesen. Auch aus einer groen " \
	"Entfernung knnen Sie den Status eines unbekannten Schiffes ermitteln. Darber hinaus knnen Sonden auch spezielle Zwecke erfllen, " \
	"knnen beispielsweise wissenschaftliche Daten sammeln oder sogar verborgene Schiffe entdecken.",

	//kTut3_DeepScanners_msg,
	"Captain Wells: Mit einer Sonde knnen Sie den Status eines unbekannten Schiffes ermitteln, sogar aus einer groen Entfernung.[7]Die besten " \
	"Sensoren befinden sich jedoch an Bord Ihres Schiffes, und zwar auf der Hauptdeflektorschssel des Schiffes, mit der Tiefenscans vorgenommen werden knnen. Tiefenscans " \
	"werden verwendet, um die Fhigkeit des Schiffes zu steigern, Objekte ber groe Entfernungen zu erkennen. Sie " \
	"knnen jedoch auch verwendet werden, um verborgene Schtzchen auf kurzer Distanz zu ermitteln.",

	//kTut3_UseDeepScan_msg,
	"Captain Wells: Schalten Sie Ihre Tiefenscanner ein, und scannen Sie die Frachtcontainer, um herauszufinden, ob sie irgendwelche speziellen Gegenstnde enthalten. Um solche " \
	"verborgenen Gegenstnde per Scan ermitteln zu knnen, darf Ihre Entfernung nicht grer als 10 sein. " \
	"Ihr Wissenschaftsoffizier wird Sie benachrichtigen, sobald ein Scan abgeschlossen ist.",

	//kScanCompleteEmpty_msg,
	"Wissenschaft: Tiefenscan abgeschlossen. In diesem Container ist nichts, was von Interesse wre.",

	//kScanCompleteRepairParts_msg,
	"Wissenschaft: Tiefenscan abgeschlossen. Der Container enthlt Ersatzteile fr Raumschiffe.",

	//kTut3_TransportPanel_msg,
	"Captain Wells: Einer dieser Container enthlt Ersatzteile fr Raumschiffreparaturen, die anderen sind leer. Verwenden Sie Ihre " \
	"Transporter, um die Ersatzteile an Bord Ihres Schiffes zu beamen. Sie sehen, dass das Symbol fr die Transporterkonsole jetzt " \
	"blinkt. Klicken Sie auf dieses Symbol, um die Transporteranzeige aufzurufen.",

	//kTut3_Energize_msg,
	"Captain Wells: Erfassen Sie den Container mit den Ersatzteilen als Ziel. Wie Sie sehen, wird ein Ersatzteil in der Transporteranzeige " \
	"unter dem Bereich 'Heraufbeamen' angezeigt. Klicken Sie auf das Ersatzteil. Wenn Sie sich innerhalb der Reichweite 5 befinden, drcken Sie auf die " \
	"Schaltflche 'Energie', um das Teil auf Ihr Schiff zu beamen.",

	//kTut3_TransporterHelp_msg,
	"Captain Wells: Wenn Sie Ihr Schiff aufrsten mchten, kommen Ihnen die Ersatzteile, die Sie gem meiner Bitte an Bord beamen sollen, " \
	"mglicherweise sehr gelegen, Lieutenant Commander.",

	//kTut3_DiscussTransporterMines_msg,
	"Captain Wells: Gute Arbeit. Nun werden wir uns mit den Transporterminen befassen.",

	//kTut3_TransporterMine1_msg,
	"Captain Wells: Beachten Sie, dass die Minensteuerung blinkt. Klicken Sie auf die Transporterminensteuerung, oder drcken Sie die Taste 'B', um " \
	"den Abwurf einer Transportermine vorzubereiten.[9]Der Cursor verwandelt sich in ein X. Bewegen Sie den Cursor auf die Hauptanzeige. Der " \
	"Cursor ndert sich, um anzuzeigen, dass eine Mine in diesen Teil des Raumes transportiert werden kann. Suchen Sie sich eine Stelle auf dem " \
	"Weg Ihres Schiffes aus, und klicken Sie, um die Mine zu legen.",

	//kTut3_PlaceMine_msg,
	"Captain Wells: Die glhenden Ringe zeigen den Gefahrenbereich der Mine an. Wenn die Ringe ihre Farbe ndern, ist die Mine aktiv und " \
	"gefhrlich.",
	//kTut3_MineExplained_msg,
	"Captain Wells: Wie Sie sehen, ist eine gut platzierte Mine eine ebenso effektive Waffe wie ein Photonentorpedo. Minen sind einer der groen Gleichmacher in " \
	"Ihrem Arsenal. Lernen Sie, sie zu beherrschen.",

	//kTut3_TargetForTractor_msg,
	"Captain Wells: Als nchstes befassen wir uns mit dem Traktorstrahl. Whlen Sie zunchst das blinkende Symbol der Traktorstrahl-Steuerkonsole. " \
	"Zielen Sie jetzt auf den nchsten Frachtcontainer.",	

	//kTut3_EngageTractor_msg,
	"Captain Wells: Klicken Sie auf 'Halten', und dann auf die Schaltflche 'Aktivieren'. Sie sehen, dass die Strkenanzeige aufleuchtet, whrend die Energie " \
	"auf den Traktorstrahl umgeleitet wird. Nachdem die volle Energie erreicht wurde und Sie sich in einer Reichweite von 2,5 befinden, wird der Strahl aktiviert " \
	"und hlt das Ziel.",

	//kTut3_PushBoxIntoAsteroid1_msg,
	"Captain Wells: Gut, nachdem Sie den Container nun im Griff haben, drcken Sie ihn in Richtung eines Asteroiden.[5]Achten Sie jedoch " \
	"sorgfltig auf Ihre Geschwindigkeit und Ihren Kurs, denn Sie wollen ja nicht selbst mit dem Asteroiden Bekanntschaft machen.\n\n" \
	"Captain Wells: Um ein Objekt im Traktorstrahl loszulassen, klicken Sie erneut auf die Schaltflche 'Aktivieren'.",

	//kTut3_FailedFiredEarly_msg,
	"Captain Wells: Sie haben Ihre Waffen entgegen dem direkten Befehl abgefeuert. Sie sind bei diesem Kurs durchgefallen und mssen ihn wiederholen. Ich " \
	"schlage vor, dass Sie beim nchsten Mal besser auf Ihren Ausbilder hren.",

	//kTut3_Congrats_msg,
	"Captain Wells: Sehr gut, Lieutenant Commander. Sie haben den Wissenschaftskurs 310: 'Forschungsstation' bestanden. Sie knnen nun mit Kurs " \
	"Waffen 380:  'Waffenstation' auf dem Flottentrainingsgelnde von Sternenbasis 3 fortfahren, wenn Sie bereit sind.",

	//kPassDebrief_msg,
	"Sie haben im Kurs Wissenschaft 310: 'Forschungsstation' die Punktzahl fr 'Bestanden' erreicht. Als nchstes absolvieren Sie den Kurs " \
	"Waffen 380. Begeben Sie sich auf die Raumbasis 3 fr weitere Instruktionen.",
	
	//kFailDebrief_msg,
	"Lieutenant Commander, wenn Sie nicht lernen, Befehle zu befolgen, werden Sie diesen Kurs niemals bestehen. Sie mssen den " \
	"Kurs: Kommando 290 'Navigation fr Fortgeschrittene' wiederholen.",

	//kScanning_msg,
	"Wissenschaftsoffizier: Wir beginnen mit dem Scannen...",

#else		///////////////////////////////////////////////////////////////////////////////////////////
	//kMissionTitle_msg,
	"Science 310",

	//kShortBriefing_msg,
	"Science 310: Science Station\n\n" \
	"This course will cover the science station and related ship controls.\n\n" \
	"Topics Covered:\n\n" \
	"Tactical display contol\n" \
	"Probes\n" \
	"Deep Scan\n" \
	"Transporters\n" \
	"Transporter Mines\n" \
	"Tractor Beams",


	//kBriefing_msg,
	">Topics Covered: Tactical display contol, Probes, Deep Scan, Transporters, Transporter Mines, and Tractor Beams.<" \
	"Science 310: Science Station\n\n" \
	"This course will cover the science station and related ship controls.\n\n" \
	"Topics Covered:\n\n" \
	"Tactical display contol\n" \
	"Probes\n" \
	"Deep Scan\n" \
	"Transporters\n" \
	"Transporter Mines\n" \
	"Tractor Beams",

	//kCrockett_name
	"Crockett",
	//kAres_name,
	"U.S.S. Ares",
	//kMars_name,
	"Mars",
	//kDryDock_name,
	"Dry Dock",

	//kWhere_msg,
	"Aboard the Crockett NCC-600",
	//kWhere2_msg,
	"Utopia Planitia Shipyard - Fleet Training Course",
	//kWhere3_msg,
	"In Orbit, Mars",

	//kTut3_Scold1_msg,
	"Captain Wells: Lieutenant Commander, that was a direct order.",
	//kTut3_Scold2_msg,
	"Captain Wells: Lieutenant Commander?",
	//kTut3_Scold3_msg,
	"Captain Wells: Should we all wait for you?",
	//kTut3_Scold4_msg,
	"Captain Wells: Perhaps you would be better off if Starfleet Command assigned you to Design User Interfaces " \
	"for real Starship Captains.",
	//kTut3_Scold5_msg,
	"Captain Wells: Lieutenant Commander, was that order clearly received? Or will you be needing the Universal Translator?",
	
	//kTut3_Welcome1_msg,
	"Captain Wells: Welcome, Lieutenant Commander, to the Fleet Training Course at the Utopia Planitia Shipyards. You are " \
	"currently orbiting the planet Mars.  I am sure you are glad to be out of the simulator and out into the real " \
	"world.",

	//kTut3_GivenCommand_msg,
	"Captain Wells: You have been given temporary command of the USS Crockett while her Photon Torpedoes are being serviced " \
	"here at Utopia Planitia.",

	//kTut3_Observe_msg,
	"Captain Wells: You will use the Crockett to complete your course in Science 310.  I shall observe from the destroyer Ares " \
	"NCC-524, which is also being refitted at Utopia Planitia.",

	//kTut3_Panel_msg,
	"Captain Wells: A starship is a large naval vessel with many systems, including: weapons, tractors, transporters, shields, electronic " \
	"warfare, and security. To control all of these systems, Starfleet has developed a slim and efficient display " \
	"panel to provide access to these systems.",
	
	//kTut3_HidePanel_msg,
	"Captain Wells: Press the D key to hide this panel.  Alternatively there is a small arrow at the top of the " \
	"main display to hide and show this panel.",

	//kTut3_TwoCourses_msg,
	"Captain Wells: There are two asteroid courses here at Utopia Planitia.  For this exercise we will use Asteroid Course " \
	"A.  Give the ship a little speed to gain steerage way - may I suggest speed 17; Course A is dead ahead and is " \
	"the smaller of the two.",
	
	//kTut3_CourseA_msg,
	"Captain Wells: Now head to Asteroid course A. Avoid running into the Asteroids, it is considered bad form to destroy one's " \
	"ship.  When you reach Course A, be certain to reduce your speed to less than 6 to minimize damage from dust clouds.",

	//Tut3_Boxes_msg,
	"Captain Wells: In this course I have placed five standard Federation cargo boxes. Do not destroy these containers.",

	//kTut3_BlinkingSciPanel_msg,
	"Captain Wells: The Science Officer Panel icon is now blinking.  Call up the Science officer panel.",
	//Tut3_PleaseBlinkingScience_msg,
	"Captain Wells: If you will click on the Science Officer panel, we can get on with this exercise.  I haven't had this " \
	"much trouble since Lieutenant Austin went through this course.",

	//kTut3_Intelligence_msg,
	"Captain Wells: Tactical Intelligence is paramount to the successful command of a starship - it is often the key to " \
	"victory or defeat.  Your ship is equipped with both Scanners and Probes.  Even though the Photon Torpedoes " \
	"are being serviced on the Crockett, the Probes are still connected to the tubes as they are kept in the " \
	"auxiliary magazine.",
	
	//kTut3_Probe_msg,
	"Captain Wells: Target one of the cargo containers and launch a probe at it.  You will find the probe-launching button " \
	"is now blinking in the Science Panel.  You may click on it or press the P key to launch the probe.",

	//kTut3_ProbeHelp_msg,
	"Captain Wells: Please activate the probe now, Lieutenant Commander.",

	//kTut3_ProbesExplained_msg,
	"Captain Wells: Good.  When the probe reaches the container, you will be able to read crucial data.  Even from a great " \
	"distance you can ascertain the status of an unknown ship.  In addition, probes can have special uses, such " \
	"as gathering scientific data or even detecting a hidden ship",

	//kTut3_DeepScanners_msg,
	"Captain Wells: With probes, you can ascertain the status of unknown ships, even from a great distance. But your best " \
	"sensors are located on your ship - on the ship's main deflector dish, which can perform Deep Scans. Deep " \
	"Scans are used to increase your ship's ability to detect objects at long range.  They " \
	"can also be used to discover hidden contents at close range.",

	//kTut3_UseDeepScan_msg,
	"Captain Wells: Turn on your Deep Scanners and scan the cargo containers to find if they hold any special items.  Your range " \
	"must be no greater than 10 in order to scan for these hidden items. " \
	"Your Science Officer will notify you as each scan is complete.",

	//kScanCompleteEmpty_msg,
	"Science: Deep Scan complete.  This conatainer holds nothing of interest.",

	//kScanCompleteRepairParts_msg,
	"Science: Deep Scan Complete.  This container holds Starship repair parts.",

	//kTut3_TransportPanel_msg,
	"Captain Wells: One of these containers hold spare parts for repairing starships, others are empty.  Use your " \
	"transporters to beam aboard your ship the spare parts.  You will find your Transporter panel icon is now " \
	"blinking.  Click on that icon to call up the Transporter display.",

	//kTut3_Energize_msg,
	"Captain Wells: Target the container with the spare parts.  You will see there is a spare part indicated in the Transporter " \
	"display under the 'beam in' section.  Click on the spare part.  When within a range of 5, press the " \
	"energize button to beam that part to your ship.",

	//kTut3_TransporterHelp_msg,
	"Captain Wells: If you want to make your ship better than it is, those spare parts I asked you to beam aboard might " \
	"come in handy Lieutenant Commander.",

	//kTut3_DiscussTransporterMines_msg,
	"Captain Wells: Well done.  Now, we shall discuss transporter mines.",
	//kTut3_TransporterMine1_msg,
	"Captain Wells: Note that the mine control is blinking. Click on the Transporter Mine control or press the B key to prepare " \
	"to place a Transporter Mine. Your cursor will change to an X.  Move the cursor to the main display.  The " \
	"cursor will change to indicate the ability to transport a mine to that area of space. Pick a spot out of " \
	"the path of your ship and click to lay the mine.",

	//kTut3_PlaceMine_msg,
	"Captain Wells: The glowing rings indicate the danger area of the Mine.  Once the rings change color, the Mine is active and " \
	"dangerous.",
	//kTut3_MineExplained_msg,
	"Captain Wells: As you can see, a well-placed mine is as effective as a photon torpedo. It is one of the great equalizers in " \
	"your arsenal. Learn to master it.",

	//kTut3_TargetForTractor_msg,
	"Captain Wells: Now we shall talk about the tractor beam. First, select the blinking Tractor Beam Control panel icon. " \
	"Now, target the closest cargo container.",	

	//kTut3_EngageTractor_msg,
	"Captain Wells: Click on Hold and then on the Engage button. You will see the Strength Indicator light up as energy is diverted " \
	"to the Tractor Beam.  Once it reaches full strength and you are within a range of 2.5, the beam will engage " \
	"and hold the target.",

	//kTut3_PushBoxIntoAsteroid1_msg,
	"Captain Wells: Good, now that you have the container in your grip, push it in to an asteroid.  Be very careful of " \
	"your speed and heading, as you don't want to run into the asteroid yourself.\n\n" \
	"Captain Wells: To let loose any object in your tractor beam, click on the engage button again.",

	//kTut3_FailedFiredEarly_msg,
	"Captain Wells: You fired your weapons against direct orders.  You have failed this course and will have to repeat it. I " \
	"suggest you listen to your instructor next time.",

	//kTut_AutomaticFailure_msg,
	"Captain Wells: This is an automatic failure of this course.  You will have to retake it once you have learned to " \
	"contol yourself.",

	//kTut3_Congrats_msg,
	"Captain Wells: Very good Lieutenant Commander.  You have passed course Science 310: Science Station.  You may move on to course " \
	"Weapons 380:  Weapon Station, at the Starbase 3 Fleet Training Grounds when you are ready.",

	//kPassDebrief_msg,
	"You have received a passing score in course Science 310: Science Station.  Your next course is " \
	"Weapons 380.  Proceed to Starbase 3 for instruction.",
	
	//kFailDebrief_msg,
	"Lieutenant Commander, if you cannot follow orders, you will not pass this course.  You must repeat " \
	"course: Science 310: Science Station.",

//***************Need translations on the below text*****************
	//kScanning_msg,
	"Science Officer: Beginning Scan...",
#endif
};


