//	<Name>	Tut_Science310

#if !defined( Tut_Science310_h )
#define Tut_Science310_h

#include "ScriptInterface.h"

//---------------------------------------------------------------------------------------------
// the following enum is used to identify all non-player teams in the script
// (use kPlayerTeam to access the current players team.)
enum eTeamTypes
{
	kPlayerTeam = kTeam1,
	kTargetTeam,
	kPropTeam,
};

class tVictoryCondition;

class tTut_Science310 : public tScript
{
public:
	enum eCommStates
	{
		kCommSabotagedState,
		kCommRepairedState,
	};

	tTut_Science310();

	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );

	virtual iTruth	mUsePlayerShip( tShipInGame& Ship );

	virtual int32	mInitializeFinished();
	virtual void	mStartMission();
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual void	mNewInternalShip( tShipInfo* Ship );
};

#endif

