/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN

	// kMissionTitle_msg,
	"Waffen 380",

	// kShortBriefing_msg,
	"Waffen 380: Waffenstation\n\n" \
	"Dieser Kurs befasst sich mit der Waffenstation und den hiermit zusammenhngenden Schiffssteuerelementen.\n\n" \
	"Behandelte Themen:\n\n" \
	"Waffengruppen\n" \
	"Feuerbereiche\n" \
	"Photonentorpedos\n" \
	"Waffeneinstellungen\n" \
	"Myopische Zonen\n" \
	"Entfernungseinheiten\n" \
	"berlasten von Waffen\n" \
	"Minen",

	// kBriefing_msg,
	">Behandelte Themen: Waffengruppen, Feuerbereiche, Photonentorpedos, Waffeneinstellungen, myopische Zonen, Entfernungseinheiten, berlasten von Waffen und Minen<" \
	"Waffen 380: Waffenstation\n\n" \
	"Dieser Kurs befasst sich mit der Waffenstation und den hiermit zusammenhngenden Schiffssteuerelementen.\n\n" \
	"Behandelte Themen:\n\n" \
	"Waffengruppen\n" \
	"Feuerbereiche\n" \
	"Photonentorpedos\n" \
	"Waffeneinstellungen\n" \
	"Myopische Zonen\n" \
	"Entfernungseinheiten\n" \
	"berlasten von Waffen\n" \
	"Minen",

	//kRevere_name,
	"Revere NCC-509",
	//kStarBase3_name,
	"Raumbasis 3",
	//kExcelsior_name,
	"Excelsior NCC-2000",
	//kDaystrom_name,
	"Daystrom NCC-1501",
	//kGoeben_name,
	"Goeben NCC-1018",

	//kWhere_msg,
	"An Bord der Revere NCC-509",
	//kWhere2_msg,
	"Raumbasis 3",
	//kWhere3_msg,
	"Flottentrainingsgelnde",
	
	//kTut4_Scold1_msg,
	"Captain Sulu: Heute stehen andere Kurse auf meinem Stundenplan, Lieutenant Commander.",
	//kTut4_Scold2_msg,
	"Captain Sulu: Heute ist vielleicht nicht Ihr glcklichster Tag.",
	//kTut4_Scold3_msg,
	"Captain Sulu: Das war ein ausdrcklicher Befehl, Lieutenant Commander.",
	//kTut4_Scold4_msg,
	"Captain Sulu: Mchten Sie in diesem Kurs durchfallen?",
	//kTut4_Scold5_msg,
	"Captain Sulu: Entspannen Sie sich. Versuchen Sie, sich auf das vorliegende Problem zu konzentrieren.",

	//Tut4_Welcome_msg,
	"Captain Sulu: Willkommen auf Sternenbasis 3, Lieutenant Commander. Fr die Dauer Ihres Aufenthalts ist Ihnen das zeitweilige " \
	"Kommando fr die USS Revere bertragen worden.",
	//Tut4_Revere_msg,
	"Captain Sulu: Auf diesem Schiff werden Sie den Kurs Waffen 380: 'Waffenstation' absolvieren. Bevor sie als stndiges Schulschiff 'in Pension ging', " \
	"hat die Revere eine lange und hchst abwechslungsreiche Geschichte hinter sich gebracht. Erweisen Sie sich ihrer als wrdig.",

	//Tut4_Observe_msg,
	"Captain Sulu: Ich werde die Aktion vom Kommandozentrum hier auf Sternenbasis 3 aus beobachten und leiten.",

	//Tut4_RedAlert_msg,
	"Captain Sulu: Nun denn, lassen Sie uns anfangen. Bringen Sie die Revere in den Status 'Alarmstufe Rot', und gehen Sie auf eine Geschwindigkeit von 15. Setzen Sie einen Kurs, der sie " \
	"an dem groen Asteroiden in der Mitte Ihrer Anzeige vorbei fhrt. Dies ist die Grenzmarkierung des Trainingsgelndes.",

	//kTut4_FirstTopic_msg,
	"Captain Sulu: Als erstem Schwerpunkt des heutigen Tages befassen wir uns mit der Steuerung von Waffengruppen. Lieutenant Commander, klicken Sie auf die blinkende " \
	"Schaltflche 'Alle Waffen'.",

	//kTut4_WeaponGrouping_msg,
	"Captain Sulu: Sie haben die Mglichkeit, Ihre eigenen, bevorzugten Waffengruppen zusammenzustellen. Halten Sie die STRG-Taste gedrckt, " \
	"und drcken Sie die Taste '3'. Jedes Mal, wenn Sie nun mchten, dass ein gegnerisches Schiff Ihre volle Feuerkraft zu spren bekommt, drcken Sie einfach " \
	"die Taste '3' und feuern Sie. ",

	//Tut4_FourDifferentGroups_msg,
	"Captain Sulu: Sie knnen vier verschiedene Waffengruppen zusammenstellen, indem Sie die jeweiligen Waffen auswhlen und diesen dann die Tasten '1', '2', '3' oder '4' " \
	"zuweisen. Hiermit erhalten Sie genau die richtige Feuerkraft fr jede nur denkbare Situation.",
	
	//Tut4_SetPhotonGroup_msg,
	"Captain Sulu: Wir wollen nun die Photonentorpedos zu einer Waffengruppe zusammenstellen, die wir im nchsten Trainingsabschnitt einsetzen werden. Klicken Sie auf die blinkende " \
	"Steuerbord-Photonenbank. Hierbei werden Sie feststellen, dass deren augenblickliche Fhigkeit, " \
	"nur nach vorne feuern zu knnen, im Kreisdiagramm rechts der Schaltflche 'Feuer' angezeigt wird.",
	
	//Tut4_SelectPortBank_msg,
	"Captain Sulu: Halten Sie nun die UMSCHALTTASTE gedrckt, und klicken Sie auf die Backbord-Photonenbank.",

	//Tut4_PhotonGroupDone_msg,
	"Captain Sulu: Jetzt steht unsere tdliche Front aus Photonentorpedos. Halten Sie die STRG-Taste gedrckt, und drcken Sie die '1'. Wenn wir " \
	"nur unsere Photonen auf Kurs bringen sollen, drcken Sie die '1', und feuern Sie... und genieen Sie das Feuerwerk.",

//Captain Sulu: Now we have our deadly lineup of Photon Torpedoes. Hold down the Control key and then press '1'. If we " \
//want to bring only our Photons to bear, hit that '1' key...and watch the fireworks.",

//*****************************For use with new wave files*******************************************
//	"Captain Sulu: Jetzt steht unsere tdliche Front aus Photonentorpedos. Halten Sie die STRG-Taste gedrckt, und drcken Sie die "1". Wenn wir " \
//	"nur unsere Photonen auf Kurs bringen sollen, drcken Sie die "1", und feuern... und genieen Sie das Feuerwerk.",

	//Tut4_EnterTrainingGroundNow_msg,
	"Captain Sulu: Begeben Sie sich nun in das Trainingsgelnde, Lieutenant Commander.",

	//Tut4_TrainingGrounds_msg,
	"Captain Sulu: Das Trainingsgelnde ist die diamantenartige Form, die von den vier Asteroiden begrenzt wird. Im Mittelpunkt des " \
	"Trainingskurses sehen Sie einen ausrangierten Frachter. ",

	//Tut4_BeforeTalkPhotons_msg,
	"Captain Sulu: Bevor Sie sich jedoch dem Frachter widmen, mssen wir uns kurz ber Photonentorpedos unterhalten.",

	//Tut4_IntroPhotons_msg,
	"Captain Sulu: Photonentorpedos sind eine sehr leistungsfhige Waffengattung, bei deren Einsatz es jedoch einige Tricks zu beachten gilt. Photonen knnen mit den in der " \
	"elektronischen Kriegfhrung eingesetzten Gerten geortet werden und haben nur einen sehr engen Wirkungsradius. Denken Sie daran, " \
	"dass Photonen schwere Waffen sind, die mehr Energie und Zeit fr die Bewaffnung bentigen als Phaser.",
	//Tut4_PhotonSettings_msg,
	"Captain Sulu: Fr Photonentorpedos gibt es vier mgliche Einstellungen: 'Offline', 'Normal', 'berlastung' und 'Nahbereich'. Mit dreien davon werden " \
	"wir uns heute auseinandersetzen. 'Offline' ist die einfachste Einstellung - hiermit werden die Photonen auer Betrieb genommen, und es wird Energie fr andere Systeme freigesetzt.",

	//Tut4_RegularPhotons_msg,
	"Captain Sulu: Wenn Sie in den Status 'Alarmstufe Rot' wechseln, werden die Photonen im Modus 'Normal' aktiviert. In diesem Modus bentigen die Photonentorpedos zwar weniger Energie " \
	"zum Laden als bei 'berlastung', richten jedoch auch weniger Schaden an.",// and suffer from the Myopic Zone problem.",
	
	//Tut4_MyopicZone_msg,
	"Captain Sulu: Der Begriff 'myopische Zone' bezieht sich auf die Tatsache, dass ein normaler Photonentorpedo eine geringere Trefferchance hat, wenn er in einem Entfernungsbereich " \
	"von weniger als 2, d.h. unter 20.000 km abgefeuert wird. Denken Sie daran, dass jede Entfernungseinheit auf Ihrer Anzeige 10.000 km entspricht.",

	//Tut4_FireSpread_msg,
	"Captain Sulu: Sie haben nun die Erlaubnis, eine Salve Photonentorpedos auf den Frachter abzufeuern. Vergewissern Sie sich, dass Ihre Reichweite " \
	"nicht viel grer als 4 ist, da die Trefferquote dieser Waffe ber groe Distanzen erheblich abnimmt.",

//	"Captain Sulu: Sie haben nun die Erlaubnis, eine Salve Photonentorpedos auf den Frachter abzufeuern. Vergewissern Sie sich, dass Ihre Reichweite " \
//	"ber 2 liegt, jedoch nicht grer als 4 ist, da die Trefferquote dieser Waffe ber groe Distanzen erheblich abnimmt.",

	//kTut4_ImWaiting_msg,
	"Captain Sulu: Ich warte, Lieutenant ... und warte ... und warte ...",

	//Tut4_Overload_msg,
	"Captain Sulu: Gut. Klicken Sie nun auf die Schaltflche 'berlastung'. Hiermit wird der Energiebedarf der Photonen zwar verdoppelt, aber bei einem Treffer " \
	"richten sie auch den doppelten Schaden an. Sie mssen mglicherweise die Geschwindigkeit herabsetzen, denn der berlastungsmodus bentigt eine Menge Energie fr die Bewaffnung.",
	
	//Tut4_OverloadMyopic_msg,
	"Captain Sulu:  Wenn ein berlasteter Photonentorpedo allerdings in einem Entfernungsbereich " \
	"von weniger als 1 abgefeuert wird,[6]trifft er zwar automatisch, aufgrund der immensen " \
	"Energie, die in so geringer Entfernung freigesetzt wird, wird jedoch auch Ihr Schiff beschdigt. Darber hinaus verschwinden berlastete Photonen auch in den Weiten des Raums und haben keine Trefferchance im Entfernungsbereich ber 8.",

//	"Captain Sulu: Die myopische Zone fr berlastete Photonentorpedos konnte abgeschafft werden. Wenn ein berlasteter Photonentorpedo allerdings in einem Entfernungsbereich " \
//	"von weniger als 1 abgefeuert wird, trifft er zwar automatisch, aufgrund der immensen " \
//	"Energie, die in so geringer Entfernung freigesetzt wird, wird jedoch auch Ihr Schiff beschdigt. Darber hinaus verschwinden berlastete Photonen auch in den Weiten des Raums und haben keine Trefferchance im Entfernungsbereich ber 8.",

	//Tut4_FinishOffFreighter_msg,
	"Captain Sulu: Wenn Ihre berlasteten Photonen geladen sind, geben Sie dem Frachter den Rest. Denken Sie daran, dass berlastete Photonen " \
	"bei Entfernungen ber 80.000 km wirkungslos sind.",

	//Tut4_StandardMine_msg,
	"Captain Sulu: Hervorragende Arbeit. Das letzte Thema des heutigen Tages ist Minenlegen. Rufen Sie die Minensteuerung auf, indem Sie auf die " \
	"Konsole des Waffenoffiziers klicken.",
	
	//Tut4_WeaponsOfficerNow_msg,
	"Captain Sulu: Nun klicken Sie schon auf die Konsole des Waffenoffiziers. Wir haben nicht den ganzen Tag Zeit.",

	//Tut4_DroppingOutOfBay_msg,
	"Captain Sulu: Im Kurs 'Wissenschaft 310' haben Sie schon einiges ber Transporterminen gelernt. Minen knnen dem Gegner auch in den Weg gelegt werden, indem sie " \
	"von einer Shuttlerampe abgeworfen werden.",

	//Tut4_LayMine_msg,
	"Captain Sulu: Legen Sie die Mine jetzt, indem Sie auf die blinkende Schaltflche 'Minenabwurf' klicken. Alternativ knnen Sie auch " \
	"die Taste 'M' drcken.",
	//Tut4_MineArmed_msg,
	"Captain Sulu: Nachdem Sie sich 20.000 km von der Mine entfernt haben, wird die Mine scharf gemacht und ist damit gefhrlich.",
//	"Captain Sulu: Die Mine ist nun scharf und gefhrlich.",

	//Tut4_MineExplained_msg,
	"Captain Sulu: Und ab geht's! Aber seien Sie gewarnt: Es ist fast unmglich, eine Mine in effektiver Weise gegen einen sich schnell bewegenden Gegner " \
	"einzusetzen;[9]je nher der Gegner ist, desto hher ist die Wahrscheinlichkeit, dass die Mine einfach berrannt wird. Minen sind jedoch ein wirksames Abschreckungsmittel "
	"fr Verfolgerschiffe. Und wenn Ihnen fnf Klingonen im Nacken sitzen, nutzen Sie jeden Vorteil, den Sie sich sichern knnen.",

	//kTut4_FailedFiredEarly_msg,
	"Captain Sulu: Sie mssen sich in Selbstdisziplin ben, wenn Sie der Captain eines Raumschiffes sein wollen. Niemand " \
	"hat bis dato den Feuerbefehl gegeben. Nachdem Sie endlich gelernt haben, sich unter Kontrolle zu halten, werden Sie diesen Kurs wiederholen mssen.",

	//kTut_Failed_msg,
	"Sie haben sich meinen Befehlen in direkter Weise widersetzt, mein Herr. Die Lektion ist vorbei.",

	//Tut4_Congrats_msg,
	"Captain Sulu: Ich gratuliere, Sie haben den Kurs zur Waffenstation erfolgreich absolviert. Ihr nchster Kurs " \
	"zum Thema 'Taktische Steuerung' findet ebenfalls hier auf Sternenbasis 3 statt.",

	//kPassDebrief_msg,
	"Herzlichen Glckwunsch, Lieutenant Commander. Sie haben sich im heutigen Kurs sehr gut gehalten. Studieren Sie fleiig " \
	"Ihr Fhrungshandbuch, dann werden Sie den nchsten Kurs, Fortschrittliche Waffen 480:  'Taktische Steuerung', ebenso erfolgreich zum Abschluss bringen knnen.",

	//kFailDebrief_msg,
	"Aufgrund Ihrer Unfhigkeit, Befehle zu befolgen, mssen Sie den Kurs Waffen 380 wiederholen. " \
	"Ihre aktuelle Note - Durchgefallen.",

#else		/////////////////////////////////////////////////////////////////////////////////

	// kMissionTitle_msg,
	"Weapons 380",

	// kShortBriefing_msg,
	"Weapons 380: Weapons Station\n\n" \
	"This course will cover the weapons station and related ship controls.\n\n" \
	"Topics Covered:\n\n" \
	"Weapons Groupings\n" \
	"Firing Arcs\n" \
	"Photon Torpedoes\n" \
	"Weapons Settings\n" \
	"Myopic Zones\n" \
	"Distance Units\n" \
	"Overloading Weapons\n" \
	"Mines",

	// kBriefing_msg,
	">Topics Covered: Weapons Groupings, Firing Arcs, Photon Torpedoes, Weapons Settings, Myopic Zones, Distance Units, Overloading Weapons, and Mines<" \
	"Weapons 380: Weapons Station\n\n" \
	"This course will cover the weapons station and related ship controls.\n\n" \
	"Topics Covered:\n\n" \
	"Weapons Groupings\n" \
	"Firing Arcs\n" \
	"Photon Torpedoes\n" \
	"Weapons Settings\n" \
	"Myopic Zones\n" \
	"Distance Units\n" \
	"Overloading Weapons\n" \
	"Mines",

	//kRevere_name,
	"Revere NCC-509",
	//kStarBase3_name,
	"Starbase 3",
	//kExcelsior_name,
	"Excelsior NCC-2000",
	//kDaystrom_name,
	"Daystrom NCC-1501",
	//kGoeben_name,
	"Goeben NCC-1018",

	//kWhere_msg,
	"Aboard the Revere NCC-509",
	//kWhere2_msg,
	"Starbase 3",
	//kWhere3_msg,
	"Fleet Training Grounds",
	
	//kTut4_Scold1_msg,
	"Captain Sulu: I have other classes today Lieutenant Commander.",
	//kTut4_Scold2_msg,
	"Captain Sulu: Perhaps today isn't good for you.",
	//kTut4_Scold3_msg,
	"Captain Sulu: That was a direct order Lieutenant Commander.",
	//kTut4_Scold4_msg,
	"Captain Sulu: Do you want to fail this course?",
	//kTut4_Scold5_msg,
	"Captain Sulu: Relax.  Try to focus on the problem at hand.",

	//Tut4_Welcome_msg,
	"Captain Sulu: Welcome to Starbase 3 Lieutenant Commander.  During your stay here, you have been assigned temporary " \
	"command of the USS Revere.",
	//Tut4_Revere_msg,
	"Captain Sulu: You will use her today to complete course Weapons 380: Weapons Station. Before retiring to permanent training " \
	"duty, the Revere had a long and illustrious history. Do her proud.",

	//Tut4_Observe_msg,
	"Captain Sulu: I will observe and direct the action from Command Center here on Starbase 3.",

	//Tut4_RedAlert_msg,
	"Captain Sulu: Alright, let's begin.  Bring the Revere to Red Alert and throttle her up to a speed of 15. Set a course to take her " \
	"past the large asteroid in the center of your display. This is the boundary marker for the training grounds.",

	//kTut4_FirstTopic_msg,
	"Captain Sulu: The first topic for today is handling Weapons Groupings.  Lieutenant Commander, click on the blinking " \
	"All Weapons button.",

	//kTut4_WeaponGrouping_msg,
	"Captain Sulu: You have the ability to set up your own favorite weapons groupings.  Hold down the control key " \
	"and press the 3 key.  Now every time you want to let an enemy ship have it with everything, just press " \
	"the 3 key then fire. ",

	//Tut4_FourDifferentGroups_msg,
	"Captain Sulu: You can set up four different groups by selecting the Weapons and assigning them to the 1, 2, 3, or 4 " \
	"keys.  This will give just the right weapons punch for any given situation.",
	
	//Tut4_SetPhotonGroup_msg,
	"Captain Sulu: Let's set up the Photon Torpedoes in a Weapons Group for use in our next section.  Click on the blinking " \
	"Starboard Photon bank.  As you do you'll notice that its ability to only fire " \
	"forward is indicated on the pie chart to the right of the Fire button.",
	
	//Tut4_SelectPortBank_msg,
	"Captain Sulu: Now hold down the shift key and click on the Port bank.",

	//Tut4_PhotonGroupDone_msg,
	"Captain Sulu: Now we have our deadly lineup of Photon Torpedoes.  Hold down the Control key and then press '1'. If we " \
	"want to bring only our Photons to bear, hit that '1' key and fire...and watch the fireworks.",

//Captain Sulu: Now we have our deadly lineup of Photon Torpedoes.  Hold down the Control key and then press '1'. If we " \
//want to bring only our Photons to bear, hit that '1' key...and watch the fireworks.",

//*****************************For use with new wave files*******************************************
//	"Captain Sulu: Now we have our deadly lineup of Photon Torpedoes.  Hold down the Control key and then press '1'. If we " \
//	"want to bring only our Photons to bear, hit that '1' key and fire...and watch the fireworks.",

	//Tut4_EnterTrainingGroundNow_msg,
	"Captain Sulu: Enter the Training Grounds now Lieutenant Commander.",

	//Tut4_TrainingGrounds_msg,
	"Captain Sulu: The training grounds are a diamond shape with four asteroids marking its boundaries.  In the center of the " \
	"training course you will see a decommissioned freighter. ",

	//Tut4_BeforeTalkPhotons_msg,
	"Captain Sulu: Before you take on the freighter, we need to talk about Photon Torpedoes.",

	//Tut4_IntroPhotons_msg,
	"Captain Sulu: Photons Torpedoes are very powerful weapons but can be tricky to use.  Photons are susceptible to " \
	"Electronic Warfare and have a very narrow effective range.  Remember " \
	"Photons are heavy weapons which take more energy and time to arm than Phasers.",
	//Tut4_PhotonSettings_msg,
	"Captain Sulu: Photon Torpedoes have four possible settings: Offline, Normal, Overload, and Proximity.  We shall cover three " \
	"of them today.  Offline is the simplest - it removes them from use and makes energy available to other systems.",

	//Tut4_RegularPhotons_msg,
	"Captain Sulu: When you go to Red Alert, your Photons come up in the Normal mode. In this mode, Photon Torpedoes take less energy to " \
	"arm than Overloads.",// but do less damage. and suffer from the Myopic Zone problem.",
	
	//Tut4_MyopicZone_msg,
	"Captain Sulu: The Myopic Zone refers to the fact that a normal Photon Torpedo has a reduced chance to hit if fired at a range " \
	"less than 2 or 20,000km.  Remember that each unit of distance indicated on your display is equal to 10,000km.",

	//Tut4_FireSpread_msg,
	"Captain Sulu: You now have permission to fire a spread of Photon Torpedoes at the freighter. Be certain your range is " \
	"not much greater than four, as their ability to hit is greatly reduced at long range.",

//	"Captain Sulu: You now have permission to fire a spread of Photon Torpedoes at the freighter. Be certain your range is greater " \
//	"than two but not much greater than four, as their ability to hit is greatly reduced at long range.",

	//kTut4_ImWaiting_msg,
	"Captain Sulu: I'm waiting Lieutenant...and waiting...and waiting...",

	//Tut4_Overload_msg,
	"Captain Sulu: Good, Now click on the Overload button.  This takes twice as much power but the Photons will do twice as much " \
	"damage when they hit.  You may need to reduce your speed, since Overloads take a great deal of energy to arm.",
	
	//Tut4_OverloadMyopic_msg,
	"Captain Sulu:  When an Overloaded Photon is fired at a range less than " \
	"1, it automatically hits but will also damage your ship due to the intense " \
	"energy being released at close range.  Overloaded Photons also dissipate and will not hit at ranges greater than 8.",

//	"Captain Sulu: An Overloaded Photons Myopic Zone is eliminated.  When an Overloaded Photon is fired at a range less than " \
//	"1 it automatically hits but will also damage your ship due to the intense " \
//	"energy being released at close range.  Overloaded Photons also dissipate and will not hit at ranges greater than 8.",

	//Tut4_FinishOffFreighter_msg,
	"Captain Sulu: When your Overloaded Photons are charged, finish off the freighter.  Remember that Overloaded Photons " \
	"are useless at ranges greater than 80,000km.",

	//Tut4_StandardMine_msg,
	"Captain Sulu: Excellent work.  The last item for the day is minelaying. Bring up the Mine Controls by clicking on the " \
	"Weapons Officer panel.",
	
	//Tut4_WeaponsOfficerNow_msg,
	"Captain Sulu: Please click on the Weapons Officer panel. We don't have all day.",

	//Tut4_DroppingOutOfBay_msg,
	"Captain Sulu: In Science 310 you learned about transporter mines.  Mines can also be placed in your enemy's path by " \
	"dropping them out of the Shuttle bay.",

	//Tut4_LayMine_msg,
	"Captain Sulu: Lay the mine now by clicking on the blinking Mine Deploy button.  You can also lay the mine by pressing " \
	"the M key.",
	//Tut4_MineArmed_msg,
	"Captain Sulu: Once you have moved 20,000km from the mine, the mine will be armed and dangerous.",
//	"Captain Sulu: The Mine is now armed and dangerous.",

	//Tut4_MineExplained_msg,
	"Captain Sulu: And there she goes! Let me give you one warning: effectively laying down a mine against a fast moving enemy is " \
	"nearly impossible; the closer they are, the more likely they'll overrun it. However, mines are a great deterrent "
	"against any ships that are pursuing you. And when five Klingons are on your tail, take any advantage you can get.",

	//kTut4_FailedFiredEarly_msg,
	"Captain Sulu: You need to learn how to control yourself if you wish to be a Captain of a Starship.  No one " \
	"gave you an order to fire.  You will have to take this course over, once you have learned some self control.",

	//kTut_Failed_msg,
	"You have directly violated my orders Mister.  This lesson is over.",

	//Tut4_Congrats_msg,
	"Captain Sulu: Congratulations you have successfully completed your course on the Weapons Station.  Your next course " \
	"is on Tactical Controls here at Starbase 3.",

	//kPassDebrief_msg,
	"Congratulations Lieutenant Commander.  You did very well on the course today.  Study your " \
	"Command manual and you will do as well on your next course Weapons Advanced 480:  Tactical Controls",

	//kFailDebrief_msg,
	"Due to your inability to follow orders, you must retake course Weapons 380. " \
	"Your current grade - fail.",

#endif
};


