/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN

	// kMissionTitle_msg,
	"Fortschrittliche Waffen 480",

	//kShortBriefing_msg,
	"Fortschrittliche Waffen 480: Defensivsteuerung\n\n" \
	"Dieser Kurs befasst sich mit den mit defensiven und taktischen Manvern zusammenhngenden Schiffssteuerelementen.\n\n" \
	"Behandelte Themen:\n\n" \
	"Schilde\n"
	"EGM\n"
	"EGGM\n"
	"Unregelmige Manver\n"
	"Hochenergie-Wenden\n"
	"Notbremsung",

	// kBriefing_msg,
	">Behandelte Themen: Defensivsteuerung. Schilde, EGM/EGGM, unregelmige Manver, Hochenergiewenden und Notbremsung.<" \
	"Fortschrittliche Waffen 480: Defensivsteuerung\n\n" \
	"Dieser Kurs befasst sich mit den mit defensiven und taktischen Manvern zusammenhngenden Schiffssteuerelementen.\n\n" \
	"Behandelte Themen:\n\n" \
	"Schilde\n"
	"EGM\n"
	"EGGM\n"
	"Unregelmige Manver\n"
	"Hochenergie-Wenden\n"
	"Notbremsung",

	//kRevere_name,
	"Revere NCC-509",
	//kStarBase3_name,
	"Raumbasis 3",
	//kExcelsior_name,
	"Excelsior NCC-2000",
	//kDaystrom_name,
	"Daystrom NCC-1501",
	//kGoeben_name,
	"Goeben NCC-1018",

	//kWhere_msg,
	"An Bord der Revere NCC-509",
	//kWhere2_msg,
	"Raumbasis 3",
	//kWhere3_msg,
	"Flottentrainingsgelnde",
	
	//kTut4_Scold1_msg,
	"Captain Sulu: Heute stehen andere Kurse auf meinem Stundenplan, Lieutenant Commander.",
	//kTut4_Scold2_msg,
	"Captain Sulu: Heute ist vielleicht nicht Ihr glcklichster Tag.",
	//kTut4_Scold3_msg,
	"Captain Sulu: Das war ein ausdrcklicher Befehl, Lieutenant Commander.",
	//kTut4_Scold4_msg,
	"Captain Sulu: Mchten Sie in diesem Kurs durchfallen?",
	//kTut4_Scold5_msg,
	"Captain Sulu: Entspannen Sie sich. Versuchen Sie, sich auf das vorliegende Problem zu konzentrieren.",

	//kTut5_GoodMorning_msg,
	"Captain Sulu: Guten Morgen, Lieutenant Commander. Ich hoffe, Sie hatten eine angenehme Nacht. Nachdem wir jetzt smtliche Nettigkeiten ausgetauscht haben, " \
	"wollen wir uns in Bewegung setzen.",

	//kTut5_TodaysCourse_msg,
	"Captain Sulu: Als heutiger Kurs steht 'Fortschrittliche Waffen 480: Defensivsteuerung' auf dem Programm. Starfleet Command hat Ihre dauerhafte " \
	"Befrderung zum Lieutenant Commander und damit Ihr erstes echtes Kommando besttigt. Alles, was Sie tun mssen, ist, " \
	"diesen Kurs erfolgreich zu absolvieren.",

	//kTut5_LetsStart_msg,
	"Captain Sulu: Lassen Sie uns anfangen! Wechseln Sie in den Status 'Alarmstufe Rot', und begeben Sie sich auf das Trainingsgelnde. Geschwindigkeit nach Ermessen des Captains.",

	//kkTut5_ShieldsSix_msg,
	"Captain Sulu: Die erste Verteidungslinie eines Raumschiffes sind seine Schilde. Die Schilde an Bord eines Raumschiffes sind in sechs " \
	"Bereiche aufgeteilt:[8]Vorne, vorne backbord, vorne steuerbord, hinten backbord, hinten steuerbord und " \
	"hinten. Jedes dieser Schilde erfllt den gleichen Zweck, nmlich Ihr Schiff zu beschtzen. Allerdings funktionieren sie unabhngig voneinander, " \
	"sowohl was die Strke als auch was den Ressourcenverbrauch betrifft.",

	//kTut5_ShieldNormal_msg,
	"Captain Sulu: Whlen Sie die Schildsteuerungskonsole. Da sich das Schiff im Status 'Alarmstufe Rot' befindet, sind seine Schilde auf normalem Niveau geladen.[9]" \
	"Die Schildverstrkung kann verwendet werden, um einem Schild die zustzliche Strke zu verleihen, " \
	"die erfahrungsgem bentigt wird, um der vollen Wucht des gegnerischen Angriffs standzuhalten. Anders ausgedrckt, wenn Sie einen Plasmatorpedo auf sich zukommen sehen, wre es " \
	"ganz gnstig, wenn er auf ein verstrktes Schild aufprallen wrde.",

	//kTut5_ChargingAttack_msg,
	"Captain Sulu: Wenn Sie sich kopfber in einen Angriff strzen, sollten Sie daran denken, den vorderen Schild zu verstrken. Klicken Sie auf " \
	"die Schilde, klicken Sie dann auf 'Verstrken', und versorgen Sie sie mit Energie, indem Sie den Schildverstrker-Regler nach rechts schieben.",

//***************for use with new wave files*************************8
//	"Captain Sulu: Bevor Sie sich kopfber in einen Angriff strzen, sollten Sie daran denken, die vorderen Schilde zu verstrken. Klicken Sie auf den gewnschten Schild, " \
//	"und versorgen Sie ihn mit der entsprechenden Energie, indem Sie den Schildverstrker-Regler nach rechts schieben.",

	//kTut5_Reinforce_msg,
	"Captain Sulu: Sie knnen mehr als ein Schild verstrken. Je mehr Schilde Sie jedoch verstrken, desto mehr verteilt sich auch die Energie. Wenn " \
	"Sie alle Schilde verstrken, betrgt der zustzliche Schutz nur die Hlfte dessen, was geboten wrde, wenn " \
	"Sie nur ein einziges Schild verstrken wrden.",

	//kTut5_IntroECM_msg,
	"Captain Sulu: Weiter geht's. Unsere nchsten Themen sind elektronische Gegenmanahmen (oder EGM) und deren Gegenstck, die elektronischen Gegenmanahmen " \
	"gegen elektronische Gegenmanahmen (auch als EGGM bezeichnet). Aktivieren Sie die Konsole fr die elektronische Kriegfhrung, indem Sie auf die Steuerschaltflche klicken.",
	//kTut5_SetECM_msg,
	"Captain Sulu: Mit EGM werden die Sensoren des Gegners gestrt, um zu verhindern, dass deren Waffen ihr Ziel treffen. Verstrken Sie Ihren EGM-Pegel auf 5. Hierbei " \
	"klettert die Anzeige oben auf 5. Die Anzeige unten zeigt den EGGM-Pegel Ihres Zieles an.",
	//kTut5_ECCMIntro_msg,
	"Captain Sulu: Bei der Gelegenheit, EGGM ist die Menge der Sensorenergie, die darauf verwendet wird, die EGM Ihrer Gegner wirkungslos zu machen. Hiermit wird Ihr Sensorsignal " \
	"so verstrkt, dass Ihre Waffen das gegnerische Ziel auch trotz deren Strungen treffen knnen.",

	//kTut5_TotalEW_msg,
	"Captain Sulu: Verstrken Sie Ihren EGGM-Pegel auf 4. Hierbei werden Sie feststellen, dass der EGM-Pegel auf 2 herabgesetzt wird.[8]Die Gesamtmenge an " \
	"Energie fr elektronische Kriegfhrung, die von Ihren Sensoren beansprucht werden kann, ist auf 6 Einheiten beschrnkt. Denken Sie daran, dass Ihre Sensoren von gegnerischen Waffen beschdigt werden knnen " \
	"und diese Gesamtmenge damit reduziert wird. Und glauben Sie mir, ein Schaden ist das, was Sie am wenigsten brauchen knnen.",

	//kTut5_EffectiveECM_msg,
	"Captain Sulu: Mit einem durchdachten Einsatz von EGM kann die Entfernung, aus der ein Gegner feuern muss, erheblich erhht werden.",

	//kTut5_IntroErracticManuv_msg,
	"Captain Sulu: Eine weitere Mglichkeit, um Ihr Schiff weniger dem gegnerischen Feuer auszusetzen, ist der Einsatz von unregelmigen Manvern. Wechseln Sie zur Navigationssteuerkonsole, " \
	"und aktivieren Sie 'Unregelmige Manver', indem Sie jetzt auf die blinkende Schaltflche klicken.",
	
	//kTut5_Jink_msg,
	"Captain Sulu: Da die Funktion 'Unregelmige Manver' jetzt aktiviert ist, werden Sie feststellen, dass Ihr Schiff beginnt, vorwrts und rckwrts zu tanzen. Damit ist Ihr Schiff " \
	"nun schwerer zu treffen. Mit dieser Bewegung erhlt das Schiff einen natrlichen EGM-Bonus, der jeden von Ihnen festgelegten EGM-Pegel verstrkt.",
 
	//kTut5_EMExplained_msg,
	"Captain Sulu: Allerdings nimmt mit unregelmigen Manvern auch die Fhigkeit Ihres Schiffes ab, seine Treffer zu landen.[7]Der Verteidigungsbonus, den Ihr Schiff " \
	"erhlt, wird von einem Malus bei der Trefferquote aufgewogen, wodurch dies zu einem echten Verteidigungsmanver wird. Und nebenbei bemerkt, wenn " \
	"Sie whrend eines unregelmigen Manvers daran denken sollten, Raketen oder Torpedos zu starten - vergessen Sie es. Kein Waffenoffizier, " \
	"der noch seine Sinne beisammen hat, wrde dies je zulassen.",
	
	//kTut5_HETInto_msg,
	"Captain Sulu: Als nchstes wollen wir uns mit Hochenergie-Wenden befassen. Deaktivieren Sie 'Unregelmige Manver'.",

	//kTut5_HetExplained_msg,
	"Captain Sulu: Bei sparsamer Verwendung sind Hochenergie-Wenden ein hchst effektives Manver. Mit einer Hochenergie-Wende knnen Sie " \
	"mithilfe Ihrer Warptriebwerke eine schnelle Wende des Schiffes in jede beliebige Richtung vornehmen.",
	
	//kTut5_HETSparingly_msg,
	"Captain Sulu: Vergessen Sie nicht, dass ich das Wort 'sparsam' verwendet habe. Der Nachteil von Hochenergie-Wenden ist nmlich, dass die Systeme des Schiffes " \
	"hierbei stark belastet werden.[9]Ein wiederholter Einsatz dieser Taktik kann zu einem katastrophalen Zusammenbruch " \
	"aller Schiffssysteme fhren. Und dies bringt nicht nur Ihren Chefingenieur zur Weiglut, sondern Ihr Schiff ist auch schutzlos allen Angriffsversuchen ausgesetzt, whrend die Crew "
	"die notwendigen Reparaturen durchfhrt.",

	//kTut5_HETNow_msg,
	"Captain Sulu: Sofern Sie das mchten, knnen Sie jetzt eine Hochenergie-Wende rckwrts versuchen.",

	//kTut5_EmergDecel_msg,
	"Captain Sulu: Das letzte Thema dieses Kurses befasst sich mit der Notbremsung. Diese kann verwendet werden, um Ihr Schiff schneller zum Halten zu bringen, " \
	"als Sie 'Stillstand' sagen knnen. Der Nachteil dieses Manvers ist jedoch, dass Sie danach " \
	"fr einige Sekunden nicht in der Lage sind, sich berhaupt zu bewegen.",

	//kTut5_MockBattle_msg,
	"Captain Sulu: OK, Lieutenant Commander, es wird Zeit. Wir wollen diese Taktiken jetzt in einem Scheinkampf erproben. Die USS Daystorm " \
	"luft gerade auf dem Trainingsgelnde ein. Sowohl bei der Revere als auch bei der Daystorm sind die Waffen so eingestellt, dass kein " \
	"wirklicher Schaden entstehen kann.",

	//kTut5_GoodLuck_msg,
	"Captain Sulu: Der Kampf wird fortgesetzt, bis ein klarer Sieger ermittelt werden kann. Die direkte Verwendung von Traktorstrahlen " \
	"gegen das Schiff des jeweils anderen Captains ist nicht zulssig. Viel Glck. Mge der bessere Captain gewinnen.",
	
	//Tut5_GoodFight_msg,
	"Captain Sulu: Ein guter, sauberer Kampf. Gute Arbeit.",

	//kTut5_Congrats_msg,
	"Captain Sulu: Herzlichen Glckwunsch. Sie werden offiziell in den Rang eines Lieutenant Commanders befrdert. Die Sternenflotte wnscht Ihnen " \
	"fr Ihre Karriere gnstige Winde und eine freundlich gesonnene See.",

	//kTut5_Failed_msg,
	"Sie haben sich meinen Befehlen in direkter Weise widersetzt, mein Herr. Die Lektion ist vorbei.",

	//kTut5_DoBetter_msg,
	"Das knnen Sie aber wesentlich besser, Lieutenant Commander. Klemmen Sie sich hinter Ihre Bcher, grnden Sie eine Familie, und kommen Sie wieder, wenn Sie bereit sind, " \
	"diesen Kurs zu wiederholen.",

	//kPassDebrief_msg,
	"Herzlichen Glckwunsch, Lieutenant Commander. Sie sind jetzt bereit, Ihre Laufbahn als Raumschiffcaptain anzutreten. Viel Glck fr " \
	"Sie und die Mnner, die Ihnen folgen.\n\n" \
	"Wegtreten.",

	//kFailDebrief_msg,
	"Ich bedaure, aber das muss noch wesentlich besser werden, Lieutenant Commander. Wenn Sie bereit sind es noch einmal zu versuchen, werde ich " \
	"auf Sie warten.\n\n" \
	"Wegtreten.",

#else	///////////////////////////////////////////////////////////////////////////////////////////////////////////

	// kMissionTitle_msg,
	"Weapons Advanced 480",

	//kShortBriefing_msg,
	"Weapons Advanced 480: Defensive Controls\n\n" \
	"This course will cover defensive and tactical maneuver related ship controls.\n\n" \
	"Topics Covered:\n\n" \
	"Shields\n"
	"ECM\n"
	"ECCM\n"
	"Erratic Maneuvers\n"
	"High-Energy Turns\n"
	"Emergency Deceleration",

	// kBriefing_msg,
	">Topics Covered: Defensive Controls.  Shields, ECM/ECCM, Erratic Maneuvers, HETs, and Emergency Deceleration.<" \
	"Weapons Advanced 480: Defensive Controls\n\n" \
	"This course will cover defensive and tactical maneuver related ship controls.\n\n" \
	"Topics Covered:\n\n" \
	"Shields\n"
	"ECM\n"
	"ECCM\n"
	"Erratic Maneuvers\n"
	"High-Energy Turns\n"
	"Emergency Deceleration",

	//kRevere_name,
	"Revere NCC-509",
	//kStarBase3_name,
	"Starbase 3",
	//kExcelsior_name,
	"Excelsior NCC-2000",
	//kDaystrom_name,
	"Daystrom NCC-1501",
	//kGoeben_name,
	"Goeben NCC-1018",

	//kWhere_msg,
	"Aboard the Revere NCC-509",
	//kWhere2_msg,
	"Starbase 3",
	//kWhere3_msg,
	"Fleet Training Grounds",
	
	//kTut4_Scold1_msg,
	"Captain Sulu: I have other classes today Lieutenant Commander.",
	//kTut4_Scold2_msg,
	"Captain Sulu: Perhaps today isn't good for you.",
	//kTut4_Scold3_msg,
	"Captain Sulu: That was a direct order Lieutenant Commander.",
	//kTut4_Scold4_msg,
	"Captain Sulu: Do you want to fail this course?",
	//kTut4_Scold5_msg,
	"Captain Sulu: Relax.  Try to focus on the problem at hand.",

	//kTut5_GoodMorning_msg,
	"Captain Sulu: Good Morning Lieutenant Commander.  I hope you slept well.  Now that I've dispensed with the pleasantries, " \
	"let's get moving.",

	//kTut5_TodaysCourse_msg,
	"Captain Sulu: Today's course is Weapons Advanced 480: Defensive Controls. Starfleet Command has authorized your permanent " \
	"promotion to Lieutenant Commander and your assignment to your first real command. All you have to do is " \
	"complete this course.",

	//kTut5_LetsStart_msg,
	"Captain Sulu: Let's start! Go to Red Alert and move inside the Training Grounds.  Speed, Captains discretion.",

	//kkTut5_ShieldsSix_msg,
	"Captain Sulu: The first line of defense for a Starship are its shields.  The shields aboard a starship are broken up into six " \
	"arcs: Forward, Forward Port, Forward Starboard, Aft Port, Aft Starboard, and " \
	"Aft.  Each of these shields have the same purpose, to protect your ship. However, they act independently with " \
	"independent strengths and resource levels.",

	//kTut5_ShieldNormal_msg,
	"Captain Sulu: Select the Shield Control panel. Since you are at Red Alert your shields are charged to their normal value.  " \
	"Shield reinforcement can be used to give that extra bit of an edge to a " \
	"shield that is likely to bear the brunt of an enemy attack. In other words, when you see a plasma torpedo heading at you, it would be " \
	"nice if it impacted against a reinforced shield.",

	//kTut5_ChargingAttack_msg,
	"Captain Sulu: If you are charging ahead into an attack, you might consider reinforcing your forward shield.  Click on " \
	"it, then click on reinforce and provide power to it by moving the Shield Reinforcement slider to the right.",

//***************for use with new wave files*************************8
//	"Captain Sulu: If you are charging ahead into an attack you might consider reinforcing your forward shield.  Click on it, then " \
//	"provide power to it by moving the Shield Reinforcement slider to the right.",

	//kTut5_Reinforce_msg,
	"Captain Sulu: You may reinforce more than one shield. However as you add more, the energy becomes diluted.  If " \
	"you reinforce all shields the amount of added protection is only 1/2 the amount that would be applied while " \
	"only reinforcing a single shield.",

	//kTut5_IntroECM_msg,
	"Captain Sulu: Lets move on.  Our next topics are Electronic Counter Measures (or ECM) and its counterpart Electronic Counter " \
	"Counter Measures (otherwise known as ECCM). Select the Electronic Warfare panel by clicking on the control button.",
	//kTut5_SetECM_msg,
	"Captain Sulu: ECM jams your enemy's sensors to prevent their weapons from striking you.  Raise your ECM level to 5.  As you " \
	"do the meter above will climb towards 5.  The meter below shows your target's ECCM.",
	//kTut5_ECCMIntro_msg,
	"Captain Sulu: On that note, ECCM is the amount of sensor energy expended to defeat your enemy's ECM.  This boosts your sensor " \
	"signal so your weapons can find the enemy despite their interference.",

	//kTut5_TotalEW_msg,
	"Captain Sulu: Raise your ECCM level to 4.  As you do, you will notice that your ECM level is lowered to 2.  The total " \
	"amount of Electronic Warfare your sensors can produce is limited to 6 units.  Keep in mind that enemy weapons fire can " \
	"damage your sensors and lower this total. Trust me, damage is one thing you do not want.",

	//kTut5_EffectiveECM_msg,
	"Captain Sulu: Proper use of ECM can effectively raise the range that an enemy is firing from.",

	//kTut5_IntroErracticManuv_msg,
	"Captain Sulu: Another way to make your ship less susceptible to enemy fire is the use of Erratic Maneuvers.  Go to the Helm " \
	"control panel and engage Erratic Maneuvers by clicking on the blinking button now.",
	
	//kTut5_Jink_msg,
	"Captain Sulu: Now that Erratic Maneuvers are engaged, you will notice that your ship will begin to jink back and forth.  Your ship " \
	"is now harder to hit.  This movement gives your ship a natural ECM bonus, so it adds to whatever ECM you've set.",
 
	//kTut5_EMExplained_msg,
	"Captain Sulu: However, Erratic Maneuvers affects your ship's ability to hit its target as well. The defense bonus your ship " \
	"receives is matched by a penalty to hit your enemies, making this a truly defensive maneuver. Furthermore, if " \
	"you're considering launching missiles or torpedoes while performing erratic maneuvers - forget it. No sane " \
	"weapons officer would let you.",
	
	//kTut5_HETInto_msg,
	"Captain Sulu: Now let's talk about High Energy Turns. Disengage Erratic Maneuvers.",

	//kTut5_HetExplained_msg,
	"Captain Sulu: When used sparingly, High Energy Turns are extremely effective maneuvers.  A High Energy Turn allows you to use " \
	"your Warp Engines to quickly turn your ship to any facing.",
	
	//kTut5_HETSparingly_msg,
	"Captain Sulu: Remember that I used the word 'sparingly'. The downside of High Energy Turns is that they place a huge stress " \
	"on your ships systems.  Repeated use of this tactic can lead to a catastrophic breakdown of your ship's " \
	"systems. Not only does this make your chief engineer angry, this will leave your ship vulnerable to attack while the crew "
	"makes repairs.",

	//kTut5_HETNow_msg,
	"Captain Sulu: At your discretion you may attempt a reversing High Energy Turn.",

	//kTut5_EmergDecel_msg,
	"Captain Sulu: Our final topic for this course is Emergency Deceleration. This can be used to bring your ship to a dead stop " \
	"faster than you can say...'full stop'.. The drawback of this maneuver is that you will not be able to move " \
	"again for several seconds.",

	//kTut5_MockBattle_msg,
	"Captain Sulu: Alright Lieutenant, it's time. Let's try out these tactics in a mock battle.  The USS Daystrom is " \
	"entering the training grounds.  Both the Revere and the Daystrom have had their weapons adjusted so that no " \
	"real damage will be done.",

	//kTut5_GoodLuck_msg,
	"Captain Sulu: This battle will continue until a clear victor has been determined.  There will be no use of tractor beams " \
	"allowed directly against the other Captain's ship.  Good luck. May the best Captain win.",
	
	//Tut5_GoodFight_msg,
	"Captain Sulu: A good clean fight.  Well done.",

	//kTut5_Congrats_msg,
	"Captain Sulu: Congratulations.  You are officially promoted to the rank of Lieutenant Commander. Starfleet wishes you fair " \
	"winds and following seas during your career.",

	//kTut5_Failed_msg,
	"You have directly violated my orders Mister.  This lesson is over.",

	//kTut5_DoBetter_msg,
	"You can do better than that Lieutenant Commander.  Hit the books, settle down, and come back when you are ready to " \
	"retake this course.",

	//kPassDebrief_msg,
	"Congratulations Lieutenant Commander.  You are now ready to begin your career as a Starship Captain.  Good luck to " \
	"you and the men who follow you.\n\n" \
	"Dismissed.",

	//kFailDebrief_msg,
	"I'm afraid you will have to do better than that Lieutenant Commander.  When you are ready to try again, I will be " \
	"waiting\n\n" \
	"Dismissed.",

#endif
};


