/********************************************************************************************************\

	File Name:	MissionText.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( MissionText_h )
#define MissionText_h

#include "tstring.h"


enum TextMessages
{
	//
	//	Mission Title
	//
	kMissionTitle_msg,

	//
	//	Briefing message
	//
	kBriefing_msg,

	kFedBriefing_msg,
	kKlingonBriefing_msg,
	kRomulanBriefing_msg,
	kLyranBriefing_msg,
	kHydranBriefing_msg,
	kGornBriefing_msg,
	kISCBriefing_msg,
	kMirakBriefing_msg,

	//
	//	Starting message
	//
	kFedStart_msg,
	kKlingonStart_msg,
	kRomulanStart_msg,
	kLyranStart_msg,
	kHydranStart_msg,
	kGornStart_msg,
	kISCStart_msg,
	kMirakStart_msg,

	//
	//	Debriefing messages
	//
	kDebAstoundingVictory_msg,
	kDebDevastatingDefeat_msg,
	kDebDismissed_msg,

	//
	//	Comm buttons
	//

	kHail_btn,
	kDemandSurrender_btn,
	kAcceptTerms_btn,
	kPulse_btn,

	//
	//	Comm messages
	//

	kDummy_msg,
	kNoResponse_msg,
	kFreighterNotArrived_msg,
	kSendPulse_msg,
	kISCTalk_msg,
	kISCRandom1_msg,
	kISCRandom2_msg,
	kISCRandom3_msg,
	kISCRandom4_msg,
	kISCRandom5_msg,
	kISCRandom6_msg,

	kOfferSurrender_msg,
	kRefuseTerms_msg,
	kHaveNotOffered_msg,
	kAcceptTerms_msg,
	

	//
	//	Random chatter
	//
	kRandChat1_msg,
	kRandChat2_msg,
	kRandChat3_msg,
	kRandChat4_msg,
	kRandChat5_msg,
	kRandChat6_msg,

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	kFreighterDestroyed_msg,
	kFreighterArrived_msg,
	kAtEdgeOfMap_msg,
	kLeavingSystem_msg,

	//
	//	Custom messages
	//

	//
	//	Not localized as of 10/8/00
	//
	kPlayerTeamTitle_msg,
	kPlayerTeamBriefing_msg,

	//
	//	Not localized as of 10/17/00
	//
	kScanning_msg,

	//
	//	Not localized as of 11/5/00
	//
	kDisconnect_msg,
};

extern std::string Messages[];


#endif
