/********************************************************************************************************\

	File Name:	PaladinTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "PaladinTeam.h"
#include "PaladinTeamBaseState.h"
#include "Paladin.h"

tClassAllocator<tPaladinTeam> gPaladinTeamAllocator;

void tPaladinTeam::mSetupState()
{
	mRegisterState( new tPaladinTeamBaseState() );
	mGotoState( typeid( tPaladinTeamBaseState ) );
}

void tPaladinTeam::mSetupCommState()
{}

void tPaladinTeam::mCreateShipsForTeam()
{
	mCreateShip( typeid( tPaladin ),
				 "M-AML",
				 kStartPosition_J,
				 kNoMetaShipID,
				 kPaladin,
				 0,0,0,0,
				 "Paladin of Thought",
				 kDefaultShipOptions );
}

void tPaladinTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tPaladinTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{}

