/********************************************************************************************************\

	File Name:	PlanetTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "PlanetTeam.h"
#include "PlanetTeamBaseState.h"
#include "Planet.h"

tClassAllocator<tPlanetTeam> gPlanetTeamAllocator;

void tPlanetTeam::mSetupState()
{
	mRegisterState( new tPlanetTeamBaseState() );
	mGotoState( typeid( tPlanetTeamBaseState ) );
}

void tPlanetTeam::mSetupCommState()
{}

void tPlanetTeam::mCreateShipsForTeam()
{
	mCreateShip( typeid( tPlanet ),
				 "PL12",
				 kStartPosition_H,
				 kNoMetaShipID,
				 kPlanet1,
				 0,0,0,0,
				 "Planet 1",
				 kDefaultShipOptions );

	mCreateShip( typeid( tPlanet ),
				 "PL13",
				 kStartPosition_I,
				 kNoMetaShipID,
				 kPlanet2,
				 0,0,0,0,
				 "Planet 2",
				 kDefaultShipOptions );
}

void tPlanetTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tPlanetTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{}

