/********************************************************************************************************\

	File Name:	MirakShip.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "MirakShip.h"
#include "MirakShipBaseState.h"
#include "Uni_11Wedding.h"
#include "MissionText.h"

tClassAllocator<tMirakShip> gMirakShipAllocator;

void tMirakShip::mSetupState()
{
	mRegisterState( new tMirakShipBaseState() );
	mGotoState( typeid( tMirakShipBaseState ) );
}

void tMirakShip::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	if( !playerTeam )
			return;

	playerTeam->mRegisterCommMessage( kCommState_1,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail,
									  kHail_Mirak_1_msg,
									  kHail_Mirak_3_msg );

	playerTeam->mGotoCommState( mGetShipID(), kCommState_1 );
}

void tMirakShip::mSetupShip()
{}
