/********************************************************************************************************\

	File Name:	MirakShipBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "MirakShipBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tMirakShipBaseState::mBeginState()
{}
void tMirakShipBaseState::mEndState()
{}

void tMirakShipBaseState::mOnDeath( tShipInfo* ship )
{}
void tMirakShipBaseState::mOnCapture( tShipInfo* ship )
{}
void tMirakShipBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tMirakShipBaseState::mAtDistance( tShipInfo* ship )
{}
void tMirakShipBaseState::mAtDestination( tShipInfo* ship )
{}
void tMirakShipBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tMirakShipBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tMirakShipBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tMirakShipBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tMirakShipBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tMirakShipBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tMirakShipBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tMirakShipBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tMirakShipBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tMirakShipBaseState::mOnFlashingButtonPressed()
{}
void tMirakShipBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tMirakShipBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tMirakShipBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tMirakShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tMirakShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tMirakShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tMirakShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tMirakShipBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tMirakShipBaseState::mOnHostChanged()
{}
void tMirakShipBaseState::mOnTimedInterval( int32 timerID )
{}
void tMirakShipBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tMirakShipBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

