/********************************************************************************************************\

	File Name:	AsteroidTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( AsteroidTeam_h )
#define AsteroidTeam_h

#include "TeamInfo.h"


class tAsteroidTeam : public tTeamInfo
{
public:

	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );

/*

	HELPER NOTE:	Below is where the list of the ship custom IDs go.  An example follows.

	enum eCustomIDs
	{
		kPlayerNPCBS1,
		kPlayerNPCBS2,
	};

*/
	enum eCustomIDs
	{
		kAsteroid1 = 300,
		kAsteroid2,
		kAsteroid3,
		kAsteroid4,
	};
};

#endif
