/********************************************************************************************************\

	File Name:	PlanetShipBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "PlanetShipBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tPlanetShipBaseState::mBeginState()
{}
void tPlanetShipBaseState::mEndState()
{}

void tPlanetShipBaseState::mOnDeath( tShipInfo* ship )
{}
void tPlanetShipBaseState::mOnCapture( tShipInfo* ship )
{}
void tPlanetShipBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tPlanetShipBaseState::mAtDistance( tShipInfo* ship )
{}
void tPlanetShipBaseState::mAtDestination( tShipInfo* ship )
{}
void tPlanetShipBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tPlanetShipBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tPlanetShipBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tPlanetShipBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tPlanetShipBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tPlanetShipBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tPlanetShipBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tPlanetShipBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tPlanetShipBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tPlanetShipBaseState::mOnFlashingButtonPressed()
{}
void tPlanetShipBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tPlanetShipBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tPlanetShipBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tPlanetShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tPlanetShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tPlanetShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tPlanetShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tPlanetShipBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tPlanetShipBaseState::mOnHostChanged()
{}
void tPlanetShipBaseState::mOnTimedInterval( int32 timerID )
{}
void tPlanetShipBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tPlanetShipBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

