/********************************************************************************************************\

	File Name:	Uni_1Desecration.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( Uni_1Desecration_h )
#define Uni_1Desecration_h

#include "ScriptInterface.h"

//---------------------------------------------------------------------------------------------
// the following enum is used to identify all non-player teams in the script
// (use kPlayerTeam to access the current players team.)
enum eTeamTypes
{
	kPlayerTeam = kTeam1,
	kEnemyTeam,
	kAsteroidTeam,
	kCoffinTeam,
	kPlanetTeam,
	kDraft1Team,
};

class tVictoryCondition;

class tUni_1Desecration : public tScript
{
public:

	tUni_1Desecration();

	virtual void	mStartMission();
	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual int32	mInitializeFinished();
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mGetDebriefingList( eVictoryLevels VictoryLevel );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual int32	mGetTechnicalSuccessLevel( tDynaverseScriptInfo& info );
	virtual int32	mGetEnemyTeamID();
	virtual void	mASCIIOverrides( tMapOverrides* Map );
	virtual tMapTerrain		mAssignMapTerrainTypes( int32 Map );
	virtual void	mDefineTeamShipStrengths( void );
	virtual void	mDefineBriefings( void );
};

#endif


// For EAW/OP detection
#include "soundnums.h"
#ifdef kSndPhaserFire
        #define EAW 1
#else
        #define OP 1
#endif