//	<Name>	ISCTeamShips.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "ScriptInterface.h"
#include "Uni_1Peace.h"
#include "ISCTeamShips.h"
#include "sfcAssert.h"
#include "MissionText.h"

tClassAllocator<tISCTeamShips> gISCTeamShipsAllocator;

void tISCTeamShips::mSetupState()
{
}

void tISCTeamShips::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );

	//Enemy (ISC) Team Comm States 
 	playerTeam->mRegisterCommMessage( kSurrenderCommState, kNoStateChange, mGetShipID(), kHail_btn, kHailISC_msg );
	playerTeam->mRegisterCommMessage( kSurrenderCommState, kChickenCommState, mGetShipID(), kSurrender_btn, kChicken_msg );
	playerTeam->mRegisterCommMessage( kISCHailRefusedCommState, kNoStateChange, mGetShipID(), kHail_btn, kHailButAttacked );

	playerTeam->mGotoCommState( mGetShipID(), kBlankCommState );
}

void tISCTeamShips::mSetupShip()
{
}
