//	<Name>	OrganianShip.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "ScriptInterface.h"
#include "Uni_1Peace.h"
#include "OrganianShip.h"
#include "sfcAssert.h"
#include "MissionText.h"

tClassAllocator<tOrganianShip> gOrganianShipAllocator;

void tOrganianShip::mSetupState()
{

}

void tOrganianShip::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );

	//OrganianShip Comm States
	playerTeam->mRegisterCommMessage( kOrganianCommState, kNoStateChange, mGetShipID(), kHail_btn, kOrganianHail_msg );

	playerTeam->mGotoCommState( mGetShipID(), kOrganianCommState );
}

void tOrganianShip::mSetupShip()
{
	mChangeName( kOrganiaShip_name );
}
