//	<Name>	PeaceVictory.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( PeaceVictory_h )
#define PeaceVictory_h

#include "VictoryCondition.h"

class tPeaceVictory : public tVictoryCondition
{
public:
	void mSetupState();
	tPeaceVictory();
	tPeaceVictory( tTeamInfo* team );


	virtual void  mSetISCDestroyed();
	virtual int32 mGetISCDestroyed();
	virtual void  mSetISCCaptured();
	virtual int32 mGetISCCaptured();
	virtual void  mSetPlayerDestroyed(bool setValue);
	virtual bool  mGetPlayerDestroyed();
	virtual void  mSetPlayerSurrendered(bool setValue);
	virtual bool  mGetPlayerSurrendered();
	virtual void  mSetDiplomatTrans(bool setValue);
	virtual bool  mGetDiplomatTrans();

protected:

	int	fISCDestroyed;
	int fISCCaptured;
	bool fPlayerDestroyed;
	bool fPlayerSurrendered;
	bool fDiplomatTransported;
};


#endif
