//	<Name>	PeaceVictoryState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( PeaceVictoryState_h )
#define PeaceVictoryState_h

#include "VictoryState.h"

#include "ChildActorVictoryState.h"
#include "teamInfo.h"
#include "PeaceVictory.h"

class tPeaceVictoryState : public tChildActorVictoryState<tPeaceVictory>
{
public:
   enum eTimeIDs
   {

   };

   tPeaceVictoryState( tTeamInfo* team, int32 playerTeamID, int32 enemeyTeamID, int32 captureBouns,
							int32 astoundingVictory, int32 victory, int32 draw, int32 defeat, int32 devastatingDefeat );

	virtual void mBeginState();
	virtual void mEndState();

	virtual eVictoryLevels mCalcVictoryStatus( eTeamID ID );

	virtual void mOnDeath( tShipInfo* ship );
	virtual void mOnCapture( tShipInfo* ship );
	virtual void mOnDisengaged( tShipInfo* ship );
	virtual void mOnStateChange( tActor* actor, tState* state, eStateEvent eventType );
	virtual int32 mShipsInPlay( tTeamInfo* teamID );

protected:
	
	int32 iSCDestroyed;
	int32 fPlayerShipsInPlay;
};

#endif

