/********************************************************************************************************\

	File Name:	PulsarTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "PulsarTeam.h"
#include "PulsarTeamBaseState.h"
#include "Pulsar.h"
#include "ShipList_API.h"


tClassAllocator<tPulsarTeam> gPulsarTeamAllocator;

void tPulsarTeam::mSetupState()
{
	mRegisterState( new tPulsarTeamBaseState() );
	mGotoState( typeid( tPulsarTeamBaseState ) );
}

void tPulsarTeam::mSetupCommState()
{}

void tPulsarTeam::mCreateShipsForTeam()
{
	// No need to update this one for OP+. --FS, 20121015
	mCreateShip( typeid( tPulsar ),
				 "N-PULS",
				 kStartPosition_X,
				 kNoMetaShipID,
				 kPulsar,
				 0,0,0,0,
				 "Pulsar",
				 kDefaultShipOptions );

	int32 x, y;
	fMissionInfo->mGetGridPosition( 'X', &x, &y );
	fMissionInfo->mCreateMapObject( '~', x, y );
}

void tPulsarTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tPulsarTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
    gST.mCensusOnlyDraft( "tPulsarTeam", shipScriptDescription );
}


