//	<Name>	FreighterTeamShipInitialState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( FreighterTeamShipInitialState_h )
#define FreighterTeamShipInitialState_h

#include "ChildActorState.h"
#include "teamInfo.h"
#include "FreighterTeamShip.h"

class tFreighterTeamShipInitialState : public tChildActorState<tFreighterTeamShip>
{
public:
	enum eTimeIDs
	{
		kStartingMsgID,
		kFreighterWaitingID,
		kCheckDistanceDefensePlatID,
		kDiplomacyID,
		kCheckPlanetDistanceID,
		kFreighterMovingID,
		kCheckDistancePlayerToFreighterID,
		kCheckDistanceToMineControllerID,
		kFreighterDestroyedID,
		kUpgradeFightersID,
	};

	tFreighterTeamShipInitialState( );

	virtual void mBeginState();
	virtual void mEndState();

	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType );
	virtual void mAtDestination( tShipInfo* ship );
	virtual void mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip );

protected:

	bool fWarning;
	bool fLetLooseAtDestination;
};

#endif

