//	<Name>	Planet.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "ScriptInterface.h"

#include "Uni_2Promises.h"
#include "Planet.h"
#include "MissionText.h"
#include "PlanetInitialState.h"


tClassAllocator<tPlanet> gPlanetAllocator;

void tPlanet::mSetupState()
{
	mRegisterState( new tPlanetInitialState( ) );

	mGotoState( typeid( tPlanetInitialState ) );
}

void tPlanet::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );

	//Planet Team CommStates
  	playerTeam->mRegisterCommMessage( kHailCommState, kNoStateChange, mGetShipID(), kHail_btn, kPlanetNoHelp_msg );
	playerTeam->mRegisterCommMessage( kHailOKCommState, kNoStateChange, mGetShipID(), mGetShipID(), kPlanetOK_msg );

	playerTeam->mGotoCommState( mGetShipID(), kHailCommState );
}

void tPlanet::mSetupShip()
{
	mChangeName( kPlanet_name );
	mAddItemToStores( kTransporterItem, kTransInjuredDude, 1 ); //******bob NEEDS TO BE SICK PERSONNEL***************************
	mAddItemToStores( kTransporterItem, kTransHarryMudd, 1 ); 
}
