//	<Name>	PlayerTeamShipFreighterDestroyedState.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "PlayerTeamShipFreighterDestroyedState.h"
#include "Uni_2Promises.h"
#include "MissionText.h"

tPlayerTeamShipFreighterDestroyedState::tPlayerTeamShipFreighterDestroyedState( )
{
	fDeepScanON = false;
}
void tPlayerTeamShipFreighterDestroyedState::mBeginState()
{
}

void tPlayerTeamShipFreighterDestroyedState::mEndState()
{
}
void tPlayerTeamShipFreighterDestroyedState::mOnDeath( tShipInfo* ship )
{
	if( ship->mGetTeam() == kFreighterTeam )
	{
		mSetTimedInterval( kTimerTurnsSet, kFreighterDestroyedID, 0.2f );
	}
}
void tPlayerTeamShipFreighterDestroyedState::mOnTimedInterval( int32 timerID )
{
	if ( timerID == kFreighterDestroyedID )	//Destroy Player ship because freighter is destroyed
	{
		fChildActor->mSetSystemHealthFromOrig( kNoWeaponHardPoint, 0.0 );
	}
}
void tPlayerTeamShipFreighterDestroyedState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{
	if( deepScanOn )
	{
		fDeepScanON = true;
	}
	else
	{
		fDeepScanON = false;
	}
	fChildActor->mSetShipCallbackEvents(  kNotifyDeepScan );
}