//	<Name>	Uni_2Promises

#if !defined( Uni_2Promises_h )
#define Uni_2Promises_h

#include "ScriptInterface.h"

//---------------------------------------------------------------------------------------------
// the following enum is used to identify all non-player teams in the script
// (use kPlayerTeam to access the current players team.)
enum eTeamTypes
{
	// add all non-player teams (enemy, allied, monsters, etc...) after this point.
	kPlayerTeam = kTeam1,
	kEnemyTeam,
	kPlanetTeam,
	kFreighterTeam,
	kMineControllerTeam,
	kDefPlatformTeam
};

class tVictoryCondition;

class tUni_2Promises : public tScript
{
public:
	enum eCommStates
	{
		kCommSabotagedState,
		kCommRepairedState,
	};

	tUni_2Promises();

	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual iTruth	mUsePlayerShip( tShipInGame& Ship );

	virtual int32	mInitializeFinished();
	virtual void	mStartMission();

	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mASCIIOverrides( tMapOverrides* Map );
	virtual void	mDefineTeamShipStrengths( void );
	virtual	void	mDefineBriefings( void );

protected:
	tVictoryCondition* fVictoryCondition;
};

#endif

