//	<Name>	BaseVictoryState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( BaseVictoryState_h )
#define BaseVictoryState_h

#include "BaseVictory.h"
#include "ChildActorVictoryState.h"

class tBaseVictoryState : public tChildActorVictoryState<tBaseVictory>
{
public:

	virtual void mBeginState();
	virtual void mEndState();

	tBaseVictoryState( tTeamInfo* team, int32 captureBonus, int32 astoundingVictory, int32 victory, int32 draw, int32 defeat, int32 devastatingDefeat );

	virtual eVictoryLevels mCalcVictoryStatus( eTeamID ID );
	virtual void mOnDeath( tShipInfo* ship );
	virtual void mOnCapture( tShipInfo* ship );
	virtual void mOnDisengaged( tShipInfo* ship );

	virtual void mAtDistance( tShipInfo* ship );
	virtual void mOnTimedInterval( int32 timerID );

};

#endif


