//	<Name>	ISCFreighter.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( ISCFreighter_h )
#define ISCFreighter_h

#include "ShipInfo.h"

class tISCFreighter : public tShipInfo
{
public:

	enum eTimerIDs
	{
		kScanID = 1204,
	};

	tISCFreighter();
	virtual	void mSetupState();
	virtual void mSetupCommState();
	virtual void mSetupShip();

	//
	//	Personal accessors.
	//
	bool mIsPrisonShip( void );

	enum eCommStates
	{
		kDemand1CommState,
		kDemand2CommState,
			//
			//	-	Hail
			//	-	Disengage
			//	-	Demand Surrender
			//

		kBlankCommState,
	};

	//
	//	Used to assign the first freighter that is created as being the prison ship with the hostages.
	//
	static bool sIsPrisonShip;

	//
	//	Keep track if the freighter is being tractored.
	//
	bool	mIsTractored( void );
	void	mSetIsTractored( bool x );

private:

	//
	//	Used to determine which freighter is the prison ship.
	//
	bool fIsPrisonShip;

	//
	//	Used to determine if the freighter is being tractored.
	//
	bool fIsTractored;
};

#endif

