//	<Name>	MissionText.cpp
//
//	<Info>	DESCRIPTION
//

#include "tclient.h"

#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------

std::string Messages[] =
{
#ifdef _GERMAN

	//
	//	Mission title.
	//

	// kMissionTitle_msg
	"Uni_3IronCage",

	//
	//	Briefing messages.
	//

	// kBriefing_msg
	"\n\n",

	// kBriefingFederation_msg
	"Das ISC geht in der umstrittenen Zone immer aggressiver vor. Die Anfhrer unserer Kolonine Neu-Iranien " \
	"haben sich dem ISC widersetzt, also wurden sie vom ISC gekidnappt und werden jetzt zu einer Gerichtsverhandlung nach [SYSTEM_NAME] verschleppt. Wir " \
	"mssen sie retten.\n\n" \
	"Wir glauben, dass die Anfhrer zusammen mit ber sechshundert Sympathisanten in einem oder zwei " \
	"ISK-Frachtern abtransportiert werden. Sie werden herausfinden, wo die Anfhrer sich befinden und dann einen " \
	"Entertrupp aussenden, um sie zu sichern und zurckzubringen.\n\n" \
	"Wir glauben, dass der andere Frachter Ersatzteile fr die ISK-Schiffswerften geladen hat. Wir mchten, dass Sie " \
	"diesen Frachter ebenfalls in Ihre Gewalt bringen. Jedoch hat die Rettung der Gefangenen, die wir fr unrechtmig festgehaltene " \
	"Geiseln halten, oberste Priorit.\n\n" \
	"Wegtreten.\n\n",

	// kBriefingKlingon_msg
	"Das ISC geht in der umstrittenen Zone immer aggressiver vor. Die Anfhrer unserer Kolonie Neu-Khatuna " \
	"haben Widerstand gegen das ISK geleistet, das darauf hin mit der unrechtmigen Gefangennahme und dem Abtransport zu einem Schauprozess " \
	"in [SYSTEM_NAME] reagiert hat. Wir mssen unsere Helden retten und dem ISK zeigen, dass die Klingonen nicht zulassen, " \
	"dass ihre Leute wie Knechte eingekerkert werden.\n\n" \
	"Die Anfhrer werden zusammen mit Hunderten von Kriegern und Sympathisanten in einem von " \
	"zwei ISK-Frachtern transportiert. Sie werden herausfinden, wo die Fhrer sich befinden und dann einen Entertrupp aussenden, " \
	"der unsere Leute in Sicherheit bringt, und anschlieend das System verlassen.\n\n" \
	"Ihre sekundre Aufgabe ist die Zerstrung von mglichst vielen ISK-Schiffen. Sorgen Sie dafr, dass das System mit ihrem Blut getrnkt wird.\n\n" \
	"Wegtreten.\n\n",

	// kBriefingRomulan_msg
	"Das ISC geht in der umstrittenen Zone immer aggressiver vor. Die Anfhrer unserer Kolonie in Vastisas " \
	"haben sich dem ISC widersetzt, also wurden sie vom ISC gekidnappt und werden jetzt zu einer Gerichtsverhandlung nach [SYSTEM_NAME] verschleppt. Es " \
	"ist die Politik des Imperiums, dass jeder Romulaner, der als Geisel genommen wird, als ein Kriegs- " \
	"opfer betrachtet wird, also besteht Ihre primre Mission darin, den Frachter zu finden, auf dem sie gefangen gehalten werden, und diesen zu zerstren.\n\n" \
	"Um dem ISK einen weiteren Denkzettel zu erteilen, werden Sie anschlieend alle Verteidigungsplattformen ins Visier nehmen, die den Planeten " \
	"umgeben, und diese zerstren. Nach Abschluss dieser beiden Aufgaben kehren Sie nach Hause zurck.\n\n" \
	"Wegtreten.\n\n",

	// kBriefingLyran_msg
	"Die Anfhrer unserer Kolonie Arr Tortuna haben dem ISK Widerstand geleistet, daher wurden sie unrechtmig gefangen genommen " \
	"und werden nun zu einem Schauprozess in [SYSTEM_NAME] verschleppt. Das lyranische Imperium wird nicht tatenlos zusehen, " \
	"wenn so mit seinen Brgern umgesprungen wird.\n\n" \
	"Die Anfhrer werden in einem von zwei ISK-Frachtern abtransportiert. Sie werden feststellen, wo die " \
	"Anfhrer sich befinden, einen Entertrupp aussenden, um sie in Sicherheit zu bringen, und anschlieend das System verlassen. Betrachten Sie dies als Ihr " \
	"Primrziel.\n\n" \
	"Ihr sekundres Ziel ist die Zerstrung von mglichst vielen ISK-Schiffen. Fahren Sie die Krallen aus, und lassen Sie die " \
	"Pirschjger ihre Beute tranchieren.\n\n"
	"Wegtreten.\n\n",

	// kBriefingGorn_msg
	"Das ISC geht in der umstrittenen Zone immer aggressiver vor. Die Anfhrer unserer Kolonie Ozon haben Widerstand " \
	"gegen das ISK geleistet, wurden gefangen genommen und werden nun zu einem Schauprozess in [SYSTEM_NAME] verschleppt. Wir werden sie " \
	"retten und dem ISK zeigen, dass die Gorn nicht mit sich spaen lassen.\n\n" \
	"Die Anfhrer werden in einem von zwei ISK-Frachtern abtransportiert. Sie werden feststellen, wo die "
	"Anfhrer sich befinden, einen Entertrupp aussenden, um sie in Sicherheit zu bringen, und anschlieend das System verlassen. Betrachten Sie dies als Ihr " \
	"Primrziel.\n\n" \
	"Ihr sekundres Ziel ist die Zerstrung von mglichst vielen ISK-Schiffen. Sorgen Sie dafr, dass sie fr diesen Affront bezahlen mssen.\n\n" \
	"Wegtreten.\n\n",
	
	// kBriefingMirak_msg
	"Die Anfhrer unserer Kolonine Neu-Mkan haben gegen das ISK Widerstand geleistet. Das ISK hat sie daraufhin unrechtmig gefangen genommen und bringt " \
	"sie nun zu einer Gerichtsverhandlung in [SYSTEM_NAME]. Dies ist eine Rettungsmission.\n\n" \
	"Wir glauben, dass die Anfhrer in einem von zwei ISK-Frachtern abtransportiert werden. Sie werden feststellen, " \
	"wo die Anfhrer sich befinden, einen Entertrupp aussenden, um sie in Sicherheit zu bringen, und anschlieend in unseren Raum zurckkehren.\n\n" \
	"Wir glauben, dass der andere Frachter Ersatzteile fr die ISK-Schiffswerften geladen hat. Wir mchten, dass Sie " \
	"diesen Frachter ebenfalls in Ihre Gewalt bringen. Allerdings hat die Rettung der Gefangenen oberste Priorit.\n\n" \
	"Wegtreten.\n\n",

	// kBriefingHydran_msg
	"Die Anfhrer unserer Kolonie Neu-Imperia haben gegen das ISK Widerstand geleistet, daher wurden sie vom ISK gefangen genommen und werden nun " \
	"zu einer Gerichtsverhandlung in [SYSTEM_NAME] verschleppt. Wir werden nicht zulassen, dass diese Gerichtsverhandlung stattfindet. Das ISK glaubt, dass " \
	"uns die Entschlossenheit der anderen Vlker fehlt. Wir mssen ihnen beweisen, dass sie sich im Irrtum befinden. Ihr Auftrag lautet, den Frachter " \
	"zu zerstren. Die Anfhrer unserer Kolonie werden zwar sterben, aber ihr Andenken wird doppelt so hell strahlen wie das eines Mrtyrers.\n\n" \
	"Und um dem ISK einen weiteren Denkzettel zu erteilen, werden Sie anschlieend alle Verteidigungsplattformen ins Visier nehmen, die den Planeten " \
	"umgeben, und diese zerstren. Nach Abschluss dieser beiden Aufgaben kehren Sie nach Hause zurck.\n\n" \
	"Wegtreten.\n\n",

	//
	//	Starting messages.
	//
	
	//	kStartFederation_msg,
	"[PLAYER_NAME]: Logbuch des Captains, Sternendatum [STARDATE]. Wir sind im [SYSTEM_NAME]-System angekommen, um " \
	"einen Frachter abzufangen, auf dem Brger der Fderation als Geiseln festgehalten werden. Unsere Mission besteht darin, den Frachter " \
	"mit den Gefangenen zu finden, diesen zu entern und unter unsere Kontrolle zu bringen und dann dafr zu sorgen, dass er das System sicher verlassen kann. Unser " \
	"sekundrer Auftrag besteht darin, einen zweiten Frachter zu erobern, der ISK-Ersatzteile geladen hat, und diesen " \
	"sicher in Fderationsgebiet zu bringen.\n\n",
	
	//	kStartKlingon_msg,
	"[PLAYER_NAME]: Kriegsbericht, [STARDATE]. Der Hohe Rat hat uns beauftragt, Hunderte von " \
	"Klingonen zu retten, die vom ISK gefangen genommen wurden. Die Gefangenen befinden sich auf einem Frachter; unsere Mission besteht darin, " \
	"diesen Frachter zu finden, zu entern und unter unsere Kontrolle zu bringen und dann dafr zu sorgen, dass er das System sicher verlassen kann. Unser " \
	"zweiter Auftrag lautet, jedes ISK-Schiff zu zerstren, das in dem System unterwegs ist. Heute werden wir die Eisenstbe brechen, " \
	"mit denen diese 'Friedensengel' versuchen, uns friedlich zu halten.\n\n",

	///--DAN1
	//	kStartRomulan_msg,
	"[PLAYER_NAME]: Bericht des romulanischen Imperiums, [STARDATE]. Das ISK hat romulanische " \
	"Brger gefangen genommen. Es ist unsere stolze Pflicht, diesen Gefangenen den Tod zu bringen, bevor sie das " \
	"Imperium verraten knnen, indem wir das Schiff finden, auf dem sie gefangen gehalten werden, und dieses zerstren. Wir haben darber hinaus die ehrenvolle " \
	"Aufgabe, die Verteidigungslinien des ISKs zu schwchen, indem wir mehrere Verteidigungsplattformen rund um einen ISK-Planeten zerstren.\n\n",
	
	//	kStartLyran_msg,
	"[PLAYER_NAME]: Journal des Commanders, lyranisches Imperium, [STARDATE]. Der Duke hat uns beauftragt, " \
	"Hunderte von Lyranern zu retten, die vom ISK gefangen genommen wurden. Die Gefangenen befinden sich auf einem Frachter; " \
	"unsere Aufgabe ist es, diesen Frachter zu finden, zu entern und unter unserer Kontrolle zu bringen und dann dafr zu sorgen, dass er " \
	"das System sicher verlassen kann. Unser zweiter Auftrag lautet, jedes ISK-Schiff zu zerstren, das in dem System unterwegs ist. Ich bin fest entschlossen, " \
	"diese Aufgabe zum Ruhme meines Hauses auszufhren.\n\n",
	
	//	kStartMirak_msg,
	"[PLAYER_NAME]: Jagdbericht, [STARDATE]. Wir sind in [SYSTEM_NAME] angekommen, um einen Frachter abzufangen, " \
	"auf dem sich mirakische Geiseln befinden. Unsere Aufgabe besteht darin, den Frachter mit den Gefangenen zu finden, zu entern " \
	"und unter unsere Kontrolle zu bringen und dann dafr zu sorgen, dass er das System sicher verlassen kann. Unsere zweite Aufgabe besteht darin, " \
	"einen weiteren Frachter zu erobern, der ISK-Ersatzteile an Bord hat, und diesen sicher in die Hegemonie zu bringen.\n\n",

	///--DAN1
	//	kStartHydran_msg,
	"[PLAYER_NAME]: Journal des Commanders, [STARDATE]. Das ISK hat hydranische Brger gefangen genommen. Es ist unsere " \
	"Pflicht, diesen Gefangenen den Tod zu bringen und sie mit ihren Hausgttern zu vereinen, indem wir das " \
	"Schiff finden, das als ihr Gefngnis dient, und dieses zerstren. Wir sind auerdem beauftragt, die Verteidigungslinien des ISKs zu schwchen, indem " \
	"wir mehrere Verteidigungsplattformen zerstren, die sich rund um einen ISK-Planeten befinden.\n\n",
	
	//	kStartGorn_msg,
	"[PLAYER_NAME]: Logbuch des Commanders, [STARDATE]. Wir wurden beauftragt, Hunderte von Gorn zu retten, " \
	"die vom ISK gefangen genommen worden sind. Die Gefangenen befinden sich auf einem Frachter; unsere Mission besteht darin, " \
	"diesen Frachter zu finden, zu entern und unter unsere Kontrolle zu bringen und dann dafr zu sorgen, dass er das System sicher verlassen kann. Unsere zweite " \
	"Aufgabe lautet, jedes ISK-Schiff zu zerstren, das in dem System unterwegs ist. Das ist eine Aufgabe, die ich mit Freuden bernehme.\n\n",

	//
	//	Debriefing messages.
	//

	// kDebFederationMirak1_msg
	"Sie haben es nicht geschafft, die Gefangenen aus der Hand des ISKs zu befreien. Tatschlich ist der Frachter mit " \
	"allen Passagieren verloren. Das war keine Mission, das war Bockmist.\n\n",

	// kDebFederationMirak2_msg
	"Sie haben es nicht geschafft, die Gefangenen aus der Hand des ISKs zu befreien. Tatschlich werden sie gerade " \
	"in diesem Moment vor Gericht gestellt, und die Flotte des ISKs wurden nach [SYSTEM_NAME] beordert, um sicherzustellen, dass " \
	"die Demtigung der [PLAYER_RACE_PLURAL] ohne Strung fortgesetzt werden kann.\n\n" \
	"Wegtreten.\n\n",

	// kDebFederationMirak3_msg
	"Sie haben den ersten Teil Ihrer Mission, die Rettung der Gefangenen, erfolgreich abgeschlossen. Unglcklicherweise hatten Sie beim zweiten " \
	"Teil der Mission nicht so viel Erfolg. Das wre wirklich ein Coup gewesen, wenn uns Muster der ISK-Ersatzteile in die Hnde gefallen wren.\n\n" \
	"Herzlichen Glckwunsch, [PLAYER_RANK].\n\n" \
	"Wegtreten.\n\n",

	// kDebFederationMirak4_msg
	"Dies war ein glorreicher Erfolg. Sie haben alle Ziele erreicht: die Geiseln wurden gerettet, und " \
	"unsere Laboratorien verfgen ber eine ganze Ladung proprietrer ISK-Technik, mit der sie spielen knnen. Gute Arbeit.\n\n" \
	"Wir sind sehr stolz auf Sie, [PLAYER_RANK].\n\n" \
	"Wegtreten.\n\n",

	// kDebKlingonLyranGorn1_msg
	"Sie haben es nicht geschafft, die Gefangenen aus der Hand des ISKs zu befreien. Tatschlich ist der Frachter mit " \
	"allen Passagieren verloren. War es fr Ihr kleines Hirn nicht begreiflich, wie wichtig diese Leute waren?\n\n" \
	"Wegtreten.\n\n",

	// kDebKlingonLyranGorn2_msg
	"Sie haben es nicht geschafft, die Gefangenen aus der Hand des ISKs zu befreien. Tatschlich werden sie gerade " \
	"in diesem Moment vor Gericht gestellt, und die Flotte des ISKs wurde nach [SYSTEM_NAME] beordert, um sicherzustellen, dass die Demtigung der " \
	"[PLAYER_RACE_PLURAL] ohne weitere Strung fortgesetzt werden kann. Das ist wirklich die Krnung!\n\n" \
	"Wegtreten.\n\n",

	// kDebKlingonLyranGorn3_msg
	"Sie haben den ersten Teil Ihrer Mission, die Rettung der Gefangenen, erfolgreich abgeschlossen. Unglcklicherweise hatten Sie beim zweiten " \
	"Teil des Auftrags nicht so viel Erfolg, einige ISK-Schiffe konnten sich retten. Es sind die kleinen Dinge, die den Unterschied " \
	"zwischen Befhigung und Gre ausmachen. Merken Sie sich das.\n\n" \
	"Wegtreten.\n\n",

	// kDebKlingonLyranGorn4_msg
	"Dies war ein glorreicher Erfolg. Sie haben alle Ziele erreicht: die Geiseln wurden gerettet, und " \
	"dem ISK wurde eine schmerzhafte Lehre erteilt. Gute Arbeit.\n\n" \
	"Sie sind eine Ehre fr Ihre Uniform, [PLAYER_RANK].\n\n" \
	"Wegtreten.\n\n",

	// kDebRomulanHydran1_msg
	"Sie haben Ihr Primrziel nicht erreicht. Der Frachter hat es zu dem Planeten geschafft, wo das ISK unsere Ehre nun " \
	"mit einem Schauprozess vor der gesamten Galaxis in den Schmutz tritt. Dies ist die grte Demtigung, die wir " \
	"in all den Jahren erfahren mussten.\n\n" \
	"Wegtreten.\n\n",

	// kDebRomulanHydran2_msg
	"Ich gratuliere zur Erfllung des Primrziels. Wir haben seit heute einige neue Mrtyrer.\n\n" \
	"Unglcklicherweise fragen sich viele Leute, warum wir den Gefallenen nicht die gebotene Ehre erwiesen haben, indem wir die " \
	"Verteidigungsplattformen zerstrten, die den Planeten umgeben. Ich muss gestehen, dass dieser Gedanke auch mir in den Sinn gekommen ist.\n\n" \
	"Wegtreten.\n\n",

	// kDebRomulanHydran3_msg
	"Gute Arbeit! Wir haben seit heute einige neue Mrtyrer. Und Sie haben diese Mrtyrer die Ehre erwiesen, indem Sie die " \
	"Verteidigungslinien um den Planeten ausgeschaltet haben. Das ISK sollte nun einen neuen Angstgegner haben, und zwar das [TEAM2_EMPIRE].\n\n" \
	"Sie wurden aufgefordert, auf der Gedenkfeier fr die Gefallenen eine Ansprache zu halten - selbstverstndlich werden Sie zusagen. Ich empfehle Ihnen, " \
	"sich vorzubereiten; das Publikum kann grber sein als ein Raum voller wtender Klingonen.\n\n" \
	"Wegtreten.\n\n",
	
	//
	//	Comm buttons
	//
	
	// k_HAIL_ISCCL_btn,
	"RUFEN",
	
	// k_DEMANDSURRENDER_ISCCL_btn,
	"KAPITULATION FORDERN",

	// k_HAIL_Freighter_btn,
	"RUFEN",

	// k_DISENGAGE_Freighter_btn,
	"ABSETZEN",

	// k_DEMANDSURRENDER_Freighter_btn,
	"KAPITULATION FORDERN",

	//
	//	Comm messages
	//
	
	// k_HAIL_ISCCL1_msg,
	"Commander des ISK: Ihren Anfhrern wird fr ihre terroristischen Anschlge ein fairer Prozess gemacht. Sie werden die Gnade eines " \
	"schnellen Todes erleben.\n\n",
	
	// k_HAIL_ISCCL2_msg,
	"Commander des ISK: Sie sind in der Minderzahl und schlechter bewaffnet. Sie werden nicht lebend aus diesem System entkommen.\n\n",
	
	// k_HAIL_ISCCL3_msg,
	"Commander des ISK: Sie mischen sich in eine Rechtsangelegenheit des ISKs ein. Widerstand kann nicht toleriert werden.\n\n",
	
	// k_DEMANDSURRENDER_ISCCL1_msg,
	"Commander des ISK: Das wre eine Fahrlssigkeit. Niemals.\n\n",
	
	// k_DEMANDSURRENDER_ISCCL2_msg,
	"Commander des ISK: Das ISK kapituliert nicht gegenber Primitivlingen. Besser der Tod als das, was uns bei Euch erwartet.\n\n",
	
	// k_DEMANDSURRENDER_ISCCL3_msg,
	"Commander des ISK: Wenn wir es geringeren Spezies wie Ihnen erlauben, einen Narren aus uns zu machen, wird niemand uns mehr ernst nehmen.",
	
	// k_HAIL_Freighter1_msg,
	"Kommunikationsoffizier: Keine Reaktion.\n\n",
	
	// k_HAIL_Freighter2_msg,
	"Sicherheitsoffizier: Die Geiseln sind in Sicherheit. Unser Teamcommander meldet keine Verluste.\n\n",
	
	// k_DISENGAGE_Freighter1_msg,
	"Kommunikationsoffizier: Keine Reaktion.\n\n",
	
	// k_DISENGAGE_Freighter2_msg,
	"Sicherheitsoffizier: Die Geiseln sind in Sicherheit. Wir befinden uns bereits auf dem Weg aus dem System.\n\n",
	
	// k_DEMANDSURRENDER_Freighter1_msg,
	"Kommunikationsoffizier: Keine Reaktion.\n\n",
	
	// k_DEMANDSURRENDER_Freighter2_msg,
	"Sicherheitsoffizier: Unntig. Das Schiff ist bereits unser.\n\n",

	//
	//	Victory rating.
	//

	// kAstoundingVictory_msg
	"Groartiger Sieg!\n",

	// kVictory_msg
	"Sieg!\n",

	// kDraw_msg
	"Unentschieden.\n",

	// kDefeat_msg
	"Niederlage.\n",

	// kDevastatingDefeat_msg
	"Vernichtende Niederlage.\n",

	//
	//	Random chatter
	//

	//	kRandChat1_msg,
	"Steuermann: Die Navigationssteuerung funktioniert normal.\n\n",
	
	//	kRandChat2_msg,
	"Ingenieur: Sie werden von der niedrigen Geschwindigkeit der Frachter behindert, aber das gibt uns nicht " \
	"viel Zeit, um sie einzuholen.\n\n",
	
	//	kRandChat3_msg,
	"Sicherheitsoffizier: Ich habe die Entertrupps in stndiger Bereitschaft gehalten. Wir sind bereit, wann immer Sie " 
	"den Einsatzbefehl geben.\n\n",
	
	//	kRandChat4_msg,
	"Navigation: Fr's Erste keine navigationstechnischen Risiken.\n\n",
	
	//	kRandChat5_msg,
	"Waffenoffizier: Es befinden sich eine Menge ISK-Schiffe in der Gegend. Mglicherweise knnen wir unser " \
	"Sekundrziel vergessen.\n\n",
	
	//	kRandChat6_msg,
	"Wissenschaftsoffizier: Ich empfehle, dass wir uns dem Frachter frhzeitig nhern. Je mehr Zeit wir haben, um uns " \
	"darum zu kmmern, desto besser.\n\n",

	//
	//	Titles (or names) of ships and objects
	//
	
	//	kPlanet_nam,
	"[SYSTEM_NAME]",

	//
	//	Event dialog
	//
	
	//	kEvent2_1_msg,
	"Wissenschaftsoffizier: Verteidigungsplattform zerstrt.\n\n",
	
	//	kEvent2_2_msg,
	"Wissenschaftsoffizier: Alle Verteidigungsplattformen zerstrt.\n\n",
	
	//	kEvent2_3_msg,
	"Erster Offizier: Sekundrziel erreicht. Wir mssen den Frachter zerstren, um unsere " \
	"Mission abzuschlieen.\n\n",
	
	//	kEvent2_4_msg,
	"Erster Offizier: Alle Einsatzziele wurden erreicht. Mission erfllt.\n\n",
	
	//	kEvent3_1_msg,
	"Erster Offizier: Primrziel erreicht. Wir mssen die Verteidigungsplattformen zerstren, um unsere " \
	"Mission abzuschlieen.\n\n",

	//	kEvent3_2_msg,
	"Erster Offizier: Alle Einsatzziele wurden erreicht. Mission erfllt.\n\n",

	//	kEvent3_3_msg,
	"Erster Offizier: Frachter zerstrt. Wir haben versagt.\n\n",

	//	kEvent4_1_msg,
	"Erster Offizier: Alle ISK-Kreuzer zerstrt. Sekundrziel erreicht. Nun mssen wir nur noch den Frachter " \
	"erobern, auf dem sich die Gefangenen befinden.\n\n",

	//	kEvent4_2_msg,
	"Erster Offizier: Alle ISK-Kreuzer zerstrt. Sekundrziel erreicht. Jetzt mssen wir nur noch dafr sorgen, dass " \
	"der Frachter das System sicher verlassen kann.\n\n",

	//	kEvent4_3_msg,
	"Erster Offizier: Alle ISK-Kreuzer zerstrt. Alle Einsatzziele wurden erreicht. Mission erfllt.\n\n",

	//	kEvent5_1_msg,
	"Erster Offizier: Wir haben die ISK-Ersatzteile in unsere Hand gebracht. Sekundrziel erreicht. Nun mssen wir noch " \
	"den Frachter erobern, auf dem sich die Gefangenen befinden.\n\n",
	
	//	kEvent5_2_msg,
	"Erster Offizier: Wir haben die ISK-Ersatzteile in unsere Hand gebracht. Sekundrziel erreicht. Nun mssen wir noch " \
	"dafr sorgen, dass der Frachter das System sicher verlassen kann.\n\n",
	
	//	kEvent5_3_msg,
	"Erster Offizier: Alle Einsatzziele wurden erreicht. Mission erfllt.\n\n",
	
	//	kEvent6_1_msg,
	"Sicherheitsoffizier: Wir haben die Kontrolle ber den Gefangenentransport. Sorgen wir dafr, dass er das System sicher verlassen kann.\n\n",
	
	//	kEvent6_2_msg,
	"Erster Offizier: Wir mssen auch den anderen Frachter noch erobern, um unsere Missionsziele zu erreichen.\n\n",
	
	//	kEvent6_3_msg,
	"Erster Offizier: Der Frachter, der die ISK-Ersatzteile an Bord hatte, wurde zerstrt. Wir knnen unser " \
	"Sekundrziel nicht mehr erreichen.\n\n",
	
	//	kEvent6_4_msg,
	"Erster Offizier: Alle Einsatzziele wurden erreicht. Mission erfllt, [PLAYER_RANK].\n\n",
	
	//	kEvent7_1_msg,
	"Erster Offizier: Die Gefangenen haben das System sicher verlassen. Primrmission erfllt. Wir mssen nun noch " \
	"den Frachter erobern, der die ISK-Ersatzteile an Bord hat.\n\n",
	
	//	kEvent7_2_msg,
	"Erster Offizier: Die Gefangenen haben das System sicher verlassen. Primrmission erfllt. Da " \
	"der andere Frachter zerstrt wurde, knnen wir die Mission nicht erfolgreich abschlieen. Wir mssen mit dem zufrieden sein, " \
	"was wir erreicht haben.\n\n",
	
	//	kEvent7_3_msg,
	"Erster Offizier: Die Gefangenen haben das System sicher verlassen. Primrmission erfllt. Wir mssen nun noch " \
	"smtliche Kreuzer des ISKs zerstren, um die Mission abzuschlieen.\n\n",
	
	//	kEvent7_4_msg,
	"Erster Offizier: Alle Einsatzziele wurden erreicht. Mission erfllt.\n\n",
	
	//	kEvent8_1_msg,
	"Wissenschaftsoffizier: Sie haben den Frachter auf dem Planeten gelandet. Wir haben bei der Erfllung " \
	"unserer Primrmission versagt.\n\n",
	
	//	kEvent9_1_msg,
	"Wissenschaftsoffizier: Dies ist das Schiff. Ich registriere mehr als 800 [PLAYER_RACE_PLURAL], die auf engstem " \
	"Raum zusammengepfercht sind. Die Grausamkeit des ISKs kennt keine Grenzen.\n\n",
	
	//	kEvent10_1_msg,
	"Wissenschaftsoffizier: Dies ist das falsche Schiff. Ich registriere jedoch eine Menge interessanter ISK- " \
	"Technik an Bord.\n\n",
	
	//	kEvent12_1_msg,
	"Wissenschaftsoffizier: Wir verlassen das System, Captain.\n\n",
	
	//	kEvent13_1_msg,
	"Wissenschaftsoffizier: Wir haben das System verlassen.\n\n",
	
	//	kEvent13_2_msg,
	"Erster Offizier: Traktorstrahl hlt. Die Enteraktion wird ein Freizeitspaziergang. Primrziel " \
	"erreicht.\n\n",

	//
	//	Custom messages
	//

	//	kCustom1_msg,
	"Erster Offizier: Wir haben die Kontrolle ber die Ersatzteile.\n\n",

	//	kCustom2_msg,
	"Erster Offizier: Die Gefangenen sind in unserer Hand.\n\n",

	//	kCustom3_msg,
	"Erster Offizier: Wir haben die Kontrolle ber die Ersatzteile. Sorgen wir dafr, dass sie sicher aus dem System gebracht werden.\n\n",

	//	kCustom4_msg,
	"Erster Offizier: Die Gefangenen sind in unserer Hand. Sorgen wir dafr, dass sie das System sicher verlassen knnen.\n\n",

	//	kCustom5_msg,
	"Erster Offizier: Wir haben in unserer Mission versagt, weil wir den Gefangenentransport erobert haben, anstatt ihn zu " \
	"zerstren. Erbrmlich.\n\n",

	//	kCustom6_msg,
	"Erster Offizier: Wir haben die Ersatzteile erobert, aber wir haben unser Primrziel aus dem Auge verloren! Oh nein!\n\n",

	//	kCustom7_msg,
	"Erster Offizier: Traktorstrahl hlt. Die Enteraktion wird ein Freizeitspaziergang. Alle Missionsziele " \
	"erreicht.\n\n",

	//	kCustom8_msg,
	"Erster Offizier: Wir haben das System mit den Ersatzteilen verlassen. Warum?\n\n",

	//	kCustom9_msg,
	"Erster Offizier: Der Traktorstrahl hlt, wir knnen diese 'Opfer' nach Belieben entsorgen.\n\n",

	//	kCustom10_msg,
	"Wissenschaftsoffizier: Leichter ISK-Kreuzer zerstrt.\n\n",

	//	kCustom11_msg,
	"Wissenschaftsoffizier: Verteidigungsplattform erobert.\n\n",

	//	kCustom12_msg,
	"Wissenschaftsoffizier: Leichter ISK-Kreuzer erobert.\n\n",

	//	kCustom13_msg,
	"Wissenschaftsoffizier: Das war schlecht, es sieht so aus, als htten wir die Ersatzteile zerstrt. Unser zweites Missionsziel " \
	"kann nicht mehr erreicht werden.\n\n",

	//	kCustom14_msg,
	"Wissenschaftsoffizier: Es sieht so aus, als wre der Frachter mit den Ersatzteilen zerstrt worden.\n\n",

	//
	//	Testing messages
	//

//
	//	Not localized as of 10/8/00
	//
	
	//	kPlayerTeamTitle_msg,
	"...noch Eisenstbe einen Kfig",

	//	kPlayerTeamBriefing_msg,
	"",

	//
	//	Not localized as of 10/17/00
	//

	//	kScanning_msg,
	"Wissenschaftsoffizier: Wir scannen...\n\n",

	//	kDisconnect_msg,	Forfeit
	"Mission eingebt",

#else		////////////////////////////////////////////////////////////////////////////////////

	//
	//	Mission title.
	//

	// kMissionTitle_msg
	"Uni_3IronCage",

	//
	//	Briefing messages.
	//

	// kBriefing_msg
	"\n\n",

	// kBriefingFederation_msg
	"The ISC is becoming more aggressive in the disputed zone.  The leaders of our New Irania colony " \
	"resisted the ISC; so the ISC captured them and are ferrying them to trial in [SYSTEM_NAME].  We're " \
	"going to rescue them.\n\n" \
	"We believe the leaders, along with over six hundred administrators, are being transported in " \
	"one of two ISC freighters.  You will determine where the leaders are located, and then send a " \
	"boarding party to secure them, then bring them back.\n\n" \
	"We believe the other freighter is loaded with parts destined for the ISC shipyards.  We'd like " \
	"you to capture this freighter as well.  But rescuing the prisoners, whom we consider hostages who " \
	"are being unlawfully detained, is your highest priority.\n\n" \
	"Dismissed.\n\n",

	// kBriefingKlingon_msg
	"The ISC is becoming more aggressive in the disputed zone.  The leaders of our New Khatuna colony " \
	"resisted the ISC, who responded by unlawfully detaining them and ferrying them to a show trial " \
	"in [SYSTEM_NAME].  We're going to rescue these heroes and show the ISC that Klingons do not allow " \
	"our people to be caged like servitors.\n\n" \
	"The leaders, along with hundreds of warriors and administrators, are being transported in one of " \
	"two ISC freighters.  You will determine where the leaders are located, send a boarding party to " \
	"secure them, and then leave the system.\n\n" \
	"Your second goal is to destroy as many ISC ships as possible.  Soak the system with their blood.\n\n" \
	"Dismissed.\n\n",

	// kBriefingRomulan_msg
	"The ISC is becoming more aggressive in the disputed zone.  The leaders of our colony on Vastisas " \
	"resisted the ISC; so the ISC captured them and are ferrying them to trial in [SYSTEM_NAME].  It " \
	"is the policy of the Empire that any Romulan taken hostage should be considered a casualty of " \
	"war, so your primary mission is to find the freighter where they're held, and destroy it.\n\n" \
	"To send a further message to the ISC, you will then target the defense platforms surrounding the " \
	"planet, and destroy them.  Upon completion of these two objectives, you will then return home.\n\n" \
	"Dismissed.\n\n",

	// kBriefingLyran_msg
	"The leaders of our Arr Tortuna colony resisted the ISC, who responded by unlawfully detaining " \
	"them and ferrying them to a show trial in [SYSTEM_NAME].  The Lyran Empire will not stand idly " \
	"while this happens.\n\n" \
	"The leaders are being transported in one of two ISC freighters.  You will determine where the " \
	"leaders are located, send a boarding party to secure them, and then leave the system.  This is " \
	"your primary goal.\n\n" \
	"Your secondary goal is to destroy as many ISC ships as possible.  Unsheathe your claws, and let the " \
	"Stalkers carve their prey.\n\n" \
	"Dismissed.\n\n",

	// kBriefingGorn_msg
	"The ISC is becoming more aggressive in the disputed zone.  The leaders of our Ozon colony resisted " \
	"the ISC, who arrested them and are ferrying them to a show trial in [SYSTEM_NAME].  We're going to " \
	"rescue them and show the ISC that they should not mistreat the Gorn.\n\n" \
	"The leaders are being transported in one of two ISC freighters.  You will determine where the " \
	"leaders are located, send a boarding party to secure them, and then leave the system.  This is " \
	"your primary goal.\n\n" \
	"Your secondary goal is to destroy as many ISC ships as possible.  Make them pay for this affront.\n\n" \
	"Dismissed.\n\n",
	
	// kBriefingMirak_msg
	"The leaders of our New Mkan colony resisted the ISC.  Unlawfully, the ISC captured them and are " \
	"ferrying them to trial in [SYSTEM_NAME].  This is a rescue mission.\n\n" \
	"We believe the leaders are being transported in one of two ISC freighters.  You will determine " \
	"where the leaders are located, then send a boarding party to secure them, then return to our space.\n\n" \
	"We believe the other freighter is loaded with parts destined for the ISC shipyards.  We'd like you " \
	"to capture this freighter as well.  But rescuing the prisoners is your highest priority.\n\n" \
	"Dismissed.\n\n",

	// kBriefingHydran_msg
	"The leaders of our New Imperia colony resisted the ISC; so the ISC captured them and are ferrying " \
	"them to trial in [SYSTEM_NAME].  We will not permit this trial to take place.  The ISC believes we " \
	"lack the resolve of the other races.  We must prove them wrong.  Your orders are to destroy the " \
	"freighter.  Our colony leaders will die, but they will shine twice as bright as martyrs.\n\n" \
	"And, to further send a message to the ISC, you will also target the defense platforms surrounding " \
	"the planet, and destroy them.  Upon completion of these two objectives, you will return home.\n\n" \
	"Dismissed.\n\n",

	//
	//	Starting messages.
	//
	
	//	kStartFederation_msg,
	"[PLAYER_NAME]: Captain's log, Stardate [STARDATE].  We have entered the [SYSTEM_NAME] system to " \
	"intercept a freighter filled with Federation hostages.  Our mission is to identify the freighter " \
	"with the prisoners, board her, take command, and make sure that it safely leaves the system.  Our " \
	"secondary assignment is to capture a second freighter, which contains ISC technology, and deliver " \
	"that safely to the Federation.\n\n",
	
	//	kStartKlingon_msg,
	"[PLAYER_NAME]: War Record, [STARDATE].  The High Council has ordered us to rescue hundreds of " \
	"Klingons taken prisoner by the ISC.  The prisoners are located in a freighter; our mission is to " \
	"identify her, board her, seize command, and make sure that it safely leaves the system.  Our " \
	"secondary assignment is to destroy every ISC ship in the system.  Today, we break the bars with " \
	"which these 'peacekeepers' are attempting to pacify us.\n\n",

	//	kStartRomulan_msg,
	"[PLAYER_NAME]: Record of the Romulan Star Empire [STARDATE].  The ISC has seized Romulan " \
	"prisoners.  It is our proud duty to bring death to these prisoners before they can betray the " \
	"empire, by identifying the ship that is their prison and destroying it.  We are further graced with " \
	"an opportunity to weaken ISC defenses by destroying several defense platforms around an ISC planet.\n\n",
	
	//	kStartLyran_msg,
	"[PLAYER_NAME]: Commander's journal, Lyran Star Empire [STARDATE].  The Duke has ordered us to " \
	"rescue hundreds of Klingons taken prisoner by the ISC.  The prisoners are located in a freighter; " \
	"our mission is to identify her, board her, seize command, and make sure that it safely leaves the " \
	"system.  Our secondary assignment is to destroy every ISC ship in the system.  I am determined to " \
	"make my house proud of this achievement.\n\n",
	
	//	kStartMirak_msg,
	"[PLAYER_NAME]: Hunt record, [STARDATE].  We have entered [SYSTEM_NAME] to intercept a freighter " \
	"filled with Mirak hostages.  Our mission is to identify the freighter with the prisoners, board her, " \
	"take command, and make sure that it safely leaves the system.  Our secondary assignment is to " \
	"capture a second freighter, which contains ISC technology, and deliver that safely to the Hegemony.\n\n",

	//	kStartHydran_msg,
	"[PLAYER_NAME]: Commander's journal, [STARDATE].  The ISC has seized Hydran prisoners.  It is our " \
	"duty to bring death to these prisoners and unite them with their house gods, by identifying the " \
	"ship that is their prison and destroying it.  We are also assigned to weaken ISC defenses by " \
	"destroying several defense platforms around an ISC planet.\n\n",
	
	//	kStartGorn_msg,
	"[PLAYER_NAME]: Commander's log, [STARDATE].  We have been ordered to rescue hundreds of Gorns " \
	"taken prisoner by the ISC.  The prisoners are located in a freighter; our mission is to identify " \
	"her, board her, seize command, and make sure that it safely leaves the system.  Our secondary " \
	"assignment is to destroy every ISC ship in the system.  It is an assignment I accept eagerly.\n\n",

	//
	//	Debriefing messages.
	//

	// kDebFederationMirak1_msg
	"You failed to deliver the prisoners from the hands of the ISC.  In fact, the freighter was lost " \
	"with all passengers lost.  This wasn't a mission, it was a blunder.\n\n",

	// kDebFederationMirak2_msg
	"You failed to deliver the prisoners from the hands of the ISC.  In fact, they're about to go on " \
	"trial at this very moment, and an ISC fleet has gone to [SYSTEM_NAME] to ensure that the " \
	"humiliation of the [PLAYER_RACE_PLURAL] proceeds without interruption.\n\n" \
	"Dismissed.\n\n",

	// kDebFederationMirak3_msg
	"You succeeded in the primary mission, the rescue.  Unfortunately, you didn't succeed in your " \
	"secondary assignment.  It would have been a coup to get samples of ISC technology.\n\n" \
	"Congratulations, [PLAYER_RANK].\n\n" \
	"Dismissed.\n\n",

	// kDebFederationMirak4_msg
	"This was a glorious success.  You achieved all of your objectives: the hostages were rescued and " \
	"our labs have a freighter load of proprietary ISC technology to play with.  Well done.\n\n" \
	"We're very proud of you, [PLAYER_RANK].\n\n" \
	"Dismissed.\n\n",

	// kDebKlingonLyranGorn1_msg
	"You failed to deliver the prisoners from the hands of the ISC.  In fact, the freighter was lost " \
	"with all passengers lost.  Did you fail to grasp how important these people were?\n\n" \
	"Dismissed.\n\n",

	// kDebKlingonLyranGorn2_msg
	"You failed to deliver the prisoners from the hands of the ISC.  In fact, they're about to go on " \
	"trial, and an ISC fleet has gone to [SYSTEM_NAME] to ensure that the humiliation of the " \
	"[PLAYER_RACE_PLURAL] proceeds without further interruption.  This is Intolerable!\n\n" \
	"Dismissed.\n\n",

	// kDebKlingonLyranGorn3_msg
	"You succeeded in the primary mission, the rescue.  Unfortunately, you didn't succeed in your " \
	"secondary assignment - some ISC ships were left alive.  The little things are the difference " \
	"between competence and greatness.  Do keep that in mind.\n\n" \
	"Dismissed.\n\n",

	// kDebKlingonLyranGorn4_msg
	"This was a glorious success.  You achieved all of your objectives: the hostages were rescued and " \
	"the ISC were taught a painful lesson.  Well done.\n\n" \
	"You're a credit to your uniform, [PLAYER_RANK].\n\n" \
	"Dismissed.\n\n",

	// kDebRomulanHydran1_msg
	"You failed in your primary objective.  The freighter made it to the planet, where the ISC is now " \
	"disgracing us to the entire galaxy with a show trial.  This is the greatest humiliation we have " \
	"suffered in many years.\n\n" \
	"Dismissed.\n\n",

	// kDebRomulanHydran2_msg
	"Congratulations on fulfilling your primary objective.  We have some new martyrs today.\n\n" \
	"Unfortunately, many people are wondering why you did not avenge the fallen by destroying the " \
	"defense platforms that surrounded the planet.  I must confess the thought has occurred to me.\n\n" \
	"Dismissed.\n\n",

	// kDebRomulanHydran3_msg
	"Well done! We have some new martyrs today.  And you avenged those martyrs by taking out the defenses " \
	"around the planet.  The ISC should now have a new fear, the [TEAM1_EMPIRE].\n\n" \
	"You've been asked to speak at a memorial to the fallen - of course, you're attending.  You'd better " \
	"prepare; the audience can be harsher than a room full of angry Klingons.\n\n" \
	"Dismissed.\n\n",
	
	//
	//	Comm buttons
	//
	
	// k_HAIL_ISCCL_btn,
	"HAIL",
	
	// k_DEMANDSURRENDER_ISCCL_btn,
	"DEMAND SURRENDER",

	// k_HAIL_Freighter_btn,
	"HAIL",

	// k_DISENGAGE_Freighter_btn,
	"DISENGAGE",

	// k_DEMANDSURRENDER_Freighter_btn,
	"DEMAND SURRENDER",

	//
	//	Comm messages
	//
	
	// k_HAIL_ISCCL1_msg,
	"ISC Commander: Your leaders will face a fair trial for their terrorist acts.  You will face a " \
	"quick death.\n\n",
	
	// k_HAIL_ISCCL2_msg,
	"ISC Commander: You are outnumbered and outgunned.  You will not escape this system alive.\n\n",
	
	// k_HAIL_ISCCL3_msg,
	"ISC Commander: You are interfering in an ISC legal matter.  Resistance shall not be tolerated.\n\n",
	
	// k_DEMANDSURRENDER_ISCCL1_msg,
	"ISC Commander: That would be negligence.  Never.\n\n",
	
	// k_DEMANDSURRENDER_ISCCL2_msg,
	"ISC Commander: The ISC does not surrender to primitives.  Better death than what you offer us.\n\n",
	
	// k_DEMANDSURRENDER_ISCCL3_msg,
	"ISC Commander: If we allow lower species like you to bully us, no one will take us seriously.\n\n",
	
	// k_HAIL_Freighter1_msg,
	"Communications Officer: No response.\n\n",
	
	// k_HAIL_Freighter2_msg,
	"Security Officer: The hostages are secure.  Our team commander reports no casualties.\n\n",
	
	// k_DISENGAGE_Freighter1_msg,
	"Communications Officer: No response.\n\n",
	
	// k_DISENGAGE_Freighter2_msg,
	"Security Officer: The hostages are secure.  We are already on our way out.\n\n",
	
	// k_DEMANDSURRENDER_Freighter1_msg,
	"Communications Officer: No response.\n\n",
	
	// k_DEMANDSURRENDER_Freighter2_msg,
	"Security Officer: Unnecessary.  The ship is already ours.\n\n",

	//
	//	Victory rating.
	//

	// kAstoundingVictory_msg
	"Astounding Victory!\n",

	// kVictory_msg
	"Victory!\n",

	// kDraw_msg
	"Draw.\n",

	// kDefeat_msg
	"Defeat.\n",

	// kDevastatingDefeat_msg
	"Devastating Defeat.\n",

	//
	//	Random chatter
	//

	//	kRandChat1_msg,
	"Helm: Helm controls are functioning under normal perimeters.\n\n",
	
	//	kRandChat2_msg,
	"Engineer: They'll be slowed down by the speed of the freighters, but that doesn't leave us a lot " \
	"of time to catch them.\n\n",
	
	//	kRandChat3_msg,
	"Security Officer: I have the boarding parties drilling constantly.  We'll be ready whenever you " 
	"want to put us into action.\n\n",
	
	//	kRandChat4_msg,
	"Navigation: No navigational hazards, for once.\n\n",
	
	//	kRandChat5_msg,
	"Weapons Officer: There are a lot of ISC ships in the area.  We may have to just forget about " \
	"the secondary objective.\n\n",
	
	//	kRandChat6_msg,
	"Science Officer: I recommend making our move on the freighter early.  The more time we have to get " \
	"it out, the better.\n\n",

	//
	//	Titles (or names) of ships and objects
	//
	
	//	kPlanet_nam,
	"[SYSTEM_NAME]",

	//
	//	Event dialog
	//
	
	//	kEvent2_1_msg,
	"Science Officer: Defense platform destroyed.\n\n",
	
	//	kEvent2_2_msg,
	"Science Officer: All defense platforms destroyed.\n\n",
	
	//	kEvent2_3_msg,
	"First Officer: Secondary objective achieved.  We need to destroy the freighter to complete our " \
	"mission.\n\n",
	
	//	kEvent2_4_msg,
	"First Officer: All objectives achieved.  Mission accomplished.\n\n",
	
	//	kEvent3_1_msg,
	"First Officer: Primary objective achieved.  We need to destroy the defense platforms to complete " \
	"our mission\n\n",

	//	kEvent3_2_msg,
	"First Officer: All objectives achieved.  Mission accomplished.\n\n",

	//	kEvent3_3_msg,
	"First Officer: Freighter destroyed.  We have failed.\n\n",

	//	kEvent4_1_msg,
	"First Officer: All ISC Cruisers eliminated.  Secondary objective achieved.  We now need to capture " \
	"the freighter containing the prisoners.\n\n",

	//	kEvent4_2_msg,
	"First Officer: All ISC Cruisers eliminated.  Secondary objective achieved.  We now need to make " \
	"sure the freighter safely leaves the system.\n\n",

	//	kEvent4_3_msg,
	"First Officer: All ISC Cruisers eliminated.  All objectives achieved.  Mission accomplished.\n\n",

	//	kEvent5_1_msg,
	"First Officer: We have captured the ISC technology.  Secondary objective achieved.  We now need " \
	"to capture the freighter containing the prisoners.\n\n",
	
	//	kEvent5_2_msg,
	"First Officer: We have captured the ISC technology.  Secondary objective achieved.  We now need " \
	"to make sure the prison freighter safely leaves the system.\n\n",
	
	//	kEvent5_3_msg,
	"First Officer: All objectives achieved.  Mission accomplished.\n\n",
	
	//	kEvent6_1_msg,
	"Security Officer: We have control of the prison freighter.  Let's escort it out of the system.\n\n",
	
	//	kEvent6_2_msg,
	"First Officer: We also need to capture the other freighter to achieve our objectives.\n\n",
	
	//	kEvent6_3_msg,
	"First Officer: The Freighter containing the ISC technology is destroyed.  We cannot achieve our " \
	"secondary objective.\n\n",
	
	//	kEvent6_4_msg,
	"First Officer: All objectives achieved.  Mission accomplished, [PLAYER_RANK].\n\n",
	
	//	kEvent7_1_msg,
	"First Officer: The prisoners have safely left the system.  Primary mission accomplished.  We now " \
	"need to capture the freighter that contains the ISC technology.\n\n",
	
	//	kEvent7_2_msg,
	"First Officer: The prisoners have safely left the system.  Primary mission accomplished.  Because " \
	"the other freighter was destroyed, we cannot complete the mission.  We'll have to be happy with " \
	"what we've accomplished.\n\n",
	
	//	kEvent7_3_msg,
	"First Officer: The prisoners have safely left the system.  Primary mission accomplished.  We now " \
	"need to destroy all of the ISC Cruisers to complete the mission.\n\n",
	
	//	kEvent7_4_msg,
	"First Officer: All objectives achieved.  Mission accomplished.\n\n",
	
	//	kEvent8_1_msg,
	"Science Officer: They've transported the freighter down to the planet.  We have failed to complete " \
	"our primary mission.\n\n",
	
	//	kEvent9_1_msg,
	"Science Officer: This is the ship.  I'm reading over 800 [PLAYER_RACE_PLURAL] trapped in a small " \
	"space.  The cruelty of the ISC knows no bounds.\n\n",
	
	//	kEvent10_1_msg,
	"Science Officer: This is not the ship.  However, I'm detecting a lot of interesting ISC " \
	"technology aboard.\n\n",
	
	//	kEvent12_1_msg,
	"Science Officer: Leaving the system, Captain.\n\n",
	
	//	kEvent13_1_msg,
	"Science Officer: We have left the system.\n\n",
	
	//	kEvent13_2_msg,
	"First Officer: Tractor beam is holding.  We'll be able to board at our leisure.  Primary objective " \
	"accomplished.\n\n",

	//
	//	Custom messages
	//

	//	kCustom1_msg,
	"First Officer: We have control of the supplies.\n\n",

	//	kCustom2_msg,
	"First Officer: We have control of the prisoners.\n\n",

	//	kCustom3_msg,
	"First Officer: We have control of the supplies.  Let's escort it out of the system.\n\n",

	//	kCustom4_msg,
	"First Officer: We have control of the prisoners.  Let's escort them out of the system.\n\n",

	//	kCustom5_msg,
	"First Officer: We have failed our mission by capturing the prisoners instead of destroying " \
	"them.  Disgraceful.\n\n",

	//	kCustom6_msg,
	"First Officer: We have control of the supplies, but we forgot about our primary objective!  Oh no!\n\n",

	//	kCustom7_msg,
	"First Officer: Tractor beam is holding.  We'll be able to board at our leisure.  All objectives " \
	"accomplished.\n\n",

	//	kCustom8_msg,
	"First Officer: We've left with the supplies.  Why?\n\n",

	//	kCustom9_msg,
	"First Officer: Tractor beam is holding, we can dispose of these \"casualties\" at our leisure.\n\n",

	//	kCustom10_msg,
	"Science Officer: ISC ship destroyed.\n\n",

	//	kCustom11_msg,
	"Science Officer: Defense platform captured.\n\n",

	//	kCustom12_msg,
	"Science Officer: ISC ship captured.\n\n",

	//	kCustom13_msg,
	"Science Officer: That was bad, it looks like we destroyed the supplies.  Our secondary objective " \
	"can no longer be accomplished.\n\n",

	//	kCustom14_msg,
	"Science Officer: It looks like the supply freighter has been destroyed.\n\n",

	//
	//	Testing messages
	//

	//
	//	Not localized as of 10/8/00
	//
	
	//	kPlayerTeamTitle_msg,
	"Nor Iron Bars A Cage",

	//	kPlayerTeamBriefing_msg,
	"",

	//
	//	Not localized as of 10/17/00
	//

	//	kScanning_msg,
	"Science Officer: Scanning...\n\n",

	//
	//	Not localized as of 11/5/00
	//

	//	kDisconnect_msg,
	"Forfeit",

#endif
};