#include "tstring.h"

enum TextMessages
{
	//
	//	Mission title
	//
	kMissionTitle_msg,

	//
	//	Briefing messages
	//
	kBriefing_msg,
	kBriefingFederation_msg,
	kBriefingKlingon_msg,
	kBriefingRomulan_msg,
	kBriefingLyran_msg,
	kBriefingGorn_msg,
	kBriefingMirak_msg,
	kBriefingHydran_msg,

	//
	//	Starting messages.
	//
	kStartFederation_msg,
	kStartKlingon_msg,
	kStartRomulan_msg,
	kStartLyran_msg,
	kStartMirak_msg,
	kStartHydran_msg,
	kStartGorn_msg,

	//
	//	Debriefing messages
	//
	kDebFederationMirak1_msg,
	kDebFederationMirak2_msg,
	kDebFederationMirak3_msg,
	kDebFederationMirak4_msg,
	kDebKlingonLyranGorn1_msg,
	kDebKlingonLyranGorn2_msg,
	kDebKlingonLyranGorn3_msg,
	kDebKlingonLyranGorn4_msg,
	kDebRomulanHydran1_msg,
	kDebRomulanHydran2_msg,
	kDebRomulanHydran3_msg,

	//
	//	Comm buttons
	//
	k_HAIL_ISCCL_btn,
	k_DEMANDSURRENDER_ISCCL_btn,
	k_HAIL_Freighter_btn,
	k_DISENGAGE_Freighter_btn,
	k_DEMANDSURRENDER_Freighter_btn,

	//
	//	Comm messages
	//
	k_HAIL_ISCCL1_msg,
	k_HAIL_ISCCL2_msg,
	k_HAIL_ISCCL3_msg,
	k_DEMANDSURRENDER_ISCCL1_msg,
	k_DEMANDSURRENDER_ISCCL2_msg,
	k_DEMANDSURRENDER_ISCCL3_msg,
	k_HAIL_Freighter1_msg,
	k_HAIL_Freighter2_msg,
	k_DISENGAGE_Freighter1_msg,
	k_DISENGAGE_Freighter2_msg,
	k_DEMANDSURRENDER_Freighter1_msg,
	k_DEMANDSURRENDER_Freighter2_msg,

	//
	//	Victory rating
	//
	kAstoundingVictory_msg,
	kVictory_msg,
	kDraw_msg,
	kDefeat_msg,
	kDevastatingDefeat_msg,

	//
	//	Random chatter
	//
	kRandChat1_msg,
	kRandChat2_msg,
	kRandChat3_msg,
	kRandChat4_msg,
	kRandChat5_msg,
	kRandChat6_msg,

	//
	//	Titles (or names) of ships and objects
	//
	kPlanet_nam,

	//
	//	Event dialog
	//
	kEvent2_1_msg,
	kEvent2_2_msg,
	kEvent2_3_msg,
	kEvent2_4_msg,
	kEvent3_1_msg,
	kEvent3_2_msg,
	kEvent3_3_msg,
	kEvent4_1_msg,
	kEvent4_2_msg,
	kEvent4_3_msg,
	kEvent5_1_msg,
	kEvent5_2_msg,
	kEvent5_3_msg,
	kEvent6_1_msg,
	kEvent6_2_msg,
	kEvent6_3_msg,
	kEvent6_4_msg,
	kEvent7_1_msg,
	kEvent7_2_msg,
	kEvent7_3_msg,
	kEvent7_4_msg,
	kEvent8_1_msg,
	kEvent9_1_msg,
	kEvent10_1_msg,
	kEvent12_1_msg,
	kEvent13_1_msg,
	kEvent13_2_msg,

	//
	//	Custom messages
	//
	kCustom1_msg,
	kCustom2_msg,
	kCustom3_msg,
	kCustom4_msg,
	kCustom5_msg,
	kCustom6_msg,
	kCustom7_msg,
	kCustom8_msg,
	kCustom9_msg,
	kCustom10_msg,
	kCustom11_msg,
	kCustom12_msg,
	kCustom13_msg,
	kCustom14_msg,

	//
	//	Testing messages
	//

	//
	//	Not localized as of 10/8/00
	//
	kPlayerTeamTitle_msg,
	kPlayerTeamBriefing_msg,

	//
	//	Not localized as of 10/17/00
	//
	kScanning_msg,

	//
	//	Not localized as of 11/5/00
	//
	kDisconnect_msg,
};

extern std::string Messages[];


