/********************************************************************************************************\

	File Name:	KlingonTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( KlingonTeam_h )
#define KlingonTeam_h

#include "TeamInfo.h"
#include "CommonDefs.h"

class tKlingonTeam : public tTeamInfo
{
public:

	tKlingonTeam();
	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mOldCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );

	enum eCustomIDs
	{
		kKlingon1 = 300,
		kKlingon2,
		kKlingon3,
	};

	void mSetTeamPriority( eTeamPriority priority, tShipInfo* targetShip = NULL );
	iTruth	mHasFreighter();
	void	mSetHasFreighter( iTruth x );

protected:
	iTruth	fHasFreighter;
};

#endif
