/********************************************************************************************************\

	File Name:	LyranTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( LyranTeam_h )
#define LyranTeam_h

#include "TeamInfo.h"
#include "CommonDefs.h"

class tLyranTeam : public tTeamInfo
{
public:

	tLyranTeam();

	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mOldCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );

	enum eCustomIDs
	{
		kLyran1 = 200,
		kLyran2,
		kLyran3,
	};

	void	mSetTeamPriority( eTeamPriority priority, tShipInfo* targetShip = NULL );
	iTruth	mHasFreighter();
	void	mSetHasFreighter( iTruth x );

	
protected:
	iTruth	fHasFreighter;

};

#endif
