/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_3Tug",

	//kTitle2
	"Schlepper des Krieges\n\n",

	//
	//	Description message
	//
	"",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"Begeben Sie sich in das [SYSTEM_NAME]-System, wo Sie einen havarierten tiburonischen Frachter suchen und ins Schlepptau nehmen sollen. " \
	"Wir haben einige interessante Bericht darber erhalten, was es mit diesem Schiff auf sich haben knnte, also halten Sie die Augen offen, whrend " 
	"Sie das Schiff hierher schleppen. Machen Sie einen Scan, und versuchen Sie, auch eine Kopie des Logbuchs des Schiffes zu erhalten.\n\nViel Glck.\n\n",

	//
	//	Starting message
	//
	
	//kCaptainsLog_msg,
	"Logbuch des [PLAYER_RANK], Sternendatum [STARDATE]. Wir wurden nach [SYSTEM_NAME] abkommandiert, um " \
	"einen havarierten Frachter zu retten. Darber hinaus wurde uns aufgetragen, Nheres ber die Natur der Ladung des Frachters und dessen Aktivitten in Erfahrung zu bringen.\n\n",
	
	//kInitialSitrep_msg,
	"Erster Offizier: Wir sind jetzt in Reichweite des Frachters, [PLAYER_RANK]... und es sieht so aus, als wren wir nicht die " \
	"Einzigen, die hinter dem Schiff her sind. Wir haben Gesellschaft.\n\n",

	//
	//	Debriefing messages
	//
	
	//kDeb_Freighter_Scan_Logs_msg,
	"Gute Arbeit! Nicht nur, dass Sie den Frachter erfolgreich aus dieser misslichen Lage befreien konnten, nein, " \
	"die Daten, die Sie mit Ihrem Scan ermitteln konnten, zusammen mit den Logbcher, derer Sie habhaft werden konnten, sollten uns in die Lage versetzen, die " \
	"Aktivitten des Schiffes in krzester Zeit nachzuvollziehen.\n\nHauen Sie sich auf's Ohr, Sie haben es verdient.\n",

	//kDeb_Freighter_NoScan_Logs_msg,
	"Sie haben den Frachter erfolgreich heimgebracht. Die Logbcher, die Sie mitgebracht haben, sind uerst interessant und erfordern " \
	"eine genauere Prfung. Zu schade, dass Sie keinen guten Scan machen konnten, um auch die anderen Daten zu erhalten. " \
	"Mit den Daten eines Tiefenscans knnten wir die Aktivitten des Schiffes in wesentlich krzerer Zeit " \
	"nachvollziehen.\nWegtreten.\n\n",

	//kDeb_Freighter_Scan_NoLogs_msg,
	"Sie haben den Frachter erfolgreich heimgebracht. Die Bnder Ihres Tiefenscans sind ebenfalls uerst interessant und erfordern " \
	"eine genauere Prfung. Zu schade, dass Sie zusammen mit den anderen Daten keine Kopie der Logbcher erhalten konnten. " \
	"Mit den Logbchern knnten wir die Aktivitten des Schiffes in wesentlich krzerer Zeit nachvollziehen.\n\nWegtreten.\n",

	//kDeb_Freighter_NoScan_NoLogs_msg,
	"Nun gut, Sie haben es geschafft, den Frachter heimzubringen, aber es wre schon vorteilhaft gewesen, wenn Sie " \
	"das Schiff gescannt oder eine Kopie der Logbcher beschafft htten, wie es Ihr Auftrag war.\n\nWegtreten.\n",

	//kDeb_NoFreighter_msg,
	"Ich stelle fest, dass die Aufgabe, einen havarierten Frachter per Traktorstrahl aus dem System zu schleppen, Ihre Fhigkeiten bei Weitem berstiegen hat. " \
	"In Zukunft werde ich dafr sorgen, dass Sie Aufgaben erhalten, denen Sie gewachsen sind: und zwar beispielsweise als Eskorte fr Mll- " \
	"container.\n\nGehen Sie mir aus den Augen.\n",

	//kDeb_PlayerDied_msg
	"Ihre Einheiten sind vernichtet worden.\n\n",

	//
	//	Comm buttons
	//
	
	//kButton_Hail
	"RUFEN",

	//kButton_DemandLogs
	"NACH LOGBCHERN FRAGEN",

	//
	//	Comm messages
	//
	
	//kHailFreighter_msg,
	"[PLAYER_NAME]: Hier spricht [PLAYER_RANK] [PLAYER_NAME] vom [PLAYER_RACE_NAME]-Raumschiff [PLAYER_SHIP_NAME]. " \
	"Wir sind gekommen, um Sie in Sicherheit zu schleppen.\n" \

	"Captain des Frachters: Wir wissen Ihre Hilfe zu schtzen, [PLAYER_RANK].",
	
	//kDemandLogs_msg,
	"[PLAYER_NAME]: Captain, ich htte gerne eine Kopie der Logbcher Ihres Schiffes.\n" \

	"Captain des Frachters: Warum? Wir haben nichts getan.\n" \

	"[PLAYER_NAME]: Das behaupte ich ja auch gar nicht. Es handelt sich lediglich um ein Standardverfahren.\n" \

	"Captain des Frachters: Na gut... OK. Bereit zur bertragung.[2]" \

	"Kommunikationsoffizier: Die bertragung der Logbcher luft, [PLAYER_RANK].\n\n",

	//
	//	Victory rating
	//

	//	kAstoundingVictory_msg,
	"Groartiger Sieg!\n\n",

	//	kVictory_msg,
	"Sieg!\n\n",

	//	kDraw_msg,
	"Unentschieden\n\n",

	//	kDefeat_msg,
	"Niederlage\n\n",

	//	kDevastatingDefeat_msg,
	"Vernichtende Niederlage\n\n",

	//	kLeftEarly_msg,
	"Mission eingebt\n\n",

	//
	//	Titles (or names) of ships and objects
	//
	
	//kFreighterName
	"Tiburonischer Frachter",

	//
	//	Event dialog
	//
	
	//kFreighterDies_msg,
	"Erster Offizier: Der Frachter wurde zerstrt. Wir knnen unsere Mission nicht erfllen.\n\n",
	
	//kFreighterCapped_msg,
	"Erster Offizier: Der Frachter wurde erobert. Wir knnen unsere Mission nicht erfllen.\n\n",
		
	//kPlayerGetsFreighter_msg,
	"",
	
	//kLyransGetFreighter_msg,
	"Erster Offizier: Die Miraker sind mit dem Frachter entkommen. Wir knnen unsere Mission nicht erfllen.\n\n",
	
	//kKlingonsGetFreighter_msg,
	"Erster Offizier: Die Gorn sind mit dem Frachter entkommen. Wir knnen unsere Mission nicht erfllen.\n\n",

	//kScanFreighter_msg
	"Wissenschaftsoffizier: Das ist... wirklich interessant.\n" \

	"[PLAYER_NAME]: Was ist das?\n" \

	"Wissenschaftsoffizier: Die Messwerte des Frachters. Es befinden sich einige Objekte an Bord, die eine " \
	"merkwrdige Energiestrahlung abgeben.\n" \

	"[PLAYER_NAME]: Gefhrlich?\n" \

	"Wissenschaftsoffizier: Das glaube ich eigentlich nicht, nein. Nur merkwrdig.\n\n",

	//
	//	Custom messages
	//

	//kScanning_msg
	"Wissenschaftsoffizier: Scanne...\n\n",

#else
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_3Tug",

	//kTitle2
	"Tug of War",

	//
	//	Description message
	//
	"",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"Proceed to [SYSTEM_NAME], where you will locate and place under tow a disabled Tiburon freighter. " \
	"We've had some interesting reports about what that ship may have been up to, so do some sniffing around while " 
	"you're towing her back here. See if you can get a copy of the ship's logs in addition to a scan.\n\nGood luck.\n",

	//
	//	Starting message
	//
	
	//kCaptainsLog_msg,
	"[PLAYER_RANK]'s log, stardate [STARDATE]. We've been dispatched to [SYSTEM_NAME] to recover " \
	"a crippled freighter. We've also been ordered to investigate the nature of the freighter's cargo and activities.\n\n",
	
	//kInitialSitrep_msg,
	"First Officer: Now in range of the freighter, [PLAYER_RANK]... and it looks like we're not the " \
	"only ones after that ship. We've got some company.\n\n",

	//
	//	Debriefing messages
	//
	
	//kDeb_Freighter_Scan_Logs_msg,
	"Well done! In addition to successfully recovering the freighter in that dangerous situation, " \
	"the data you brought back from your scan along with the logs you obtained should enable us to " \
	"piece together that ship's activites in no time.\n\nGet some rest; you've earned it.\n",

	//kDeb_Freighter_NoScan_Logs_msg,
	"You successfully brought the freighter back. The logs you returned are interesting, and warrant " \
	"closer examination. It's too bad you didn't get a good scan to go along with the other data. " \
	"With the information from a deep scan, it would take a lot less time to piece together the ship's " \
	"activities.\n\nDismissed.\n",

	//kDeb_Freighter_Scan_NoLogs_msg,
	"You successfully brought the freighter back. The tapes of your scan are interesting, and warrant " \
	"closer examination. It's too bad you didn't get a copy of the logs to go along with the other data. " \
	"With the logs, it would take a lot less time to piece together the ship's activities.\n\nDismissed.\n",

	//kDeb_Freighter_NoScan_NoLogs_msg,
	"Well you did manage to bring the freighter back, but it would have been nice if you had scanned " \
	"the ship or got a copy of its logs like you were ordered to.\n\nDismissed.\n",

	//kDeb_NoFreighter_msg,
	"I see that tractoring a crippled freighter out of the system was too difficult a task for you. " \
	"In the future, I'll try to assign you missions that you're better suited to: escorting garbage " \
	"scows, for example.\n\nGo away.\n",

	//kDeb_PlayerDied_msg
	"Your forces were destroyed.\n\n",

	//
	//	Comm buttons
	//
	
	//kButton_Hail
	"HAIL",

	//kButton_DemandLogs
	"ASK FOR LOGS",

	//
	//	Comm messages
	//
	
	//kHailFreighter_msg,
	"[PLAYER_NAME]: This is [PLAYER_RANK] [PLAYER_NAME] of the [PLAYER_RACE] starship [PLAYER_SHIP_NAME]. " \
	"We've come to tow you to safety.\n" \

	"Freighter Captain: We appreciate the assistance, [PLAYER_RANK].",
	
	//kDemandLogs_msg,
	"[PLAYER_NAME]: Captain, I'd like a copy of your ship's logs.\n" \

	"Freighter Captain: Why? We've done nothing.\n" \

	"[PLAYER_NAME]: I'm not saying you have. It's just standard procedure.\n" \

	"Freighter Captain: Well... ok. Stand by for transmission.[2]" \

	"Communications Officer: Receiving the logs now, [PLAYER_RANK].\n\n",

	// kHailOther_msg
	"Enemy Captain: My government claims this freighter and her cargo. Stand down or we will " \
	"destroy you.\n",

	//
	//	Victory rating
	//

	//	kAstoundingVictory_msg,
	"Astounding Victory!\n\n",

	//	kVictory_msg,
	"Victory!\n\n",

	//	kDraw_msg,
	"Draw\n\n",

	//	kDefeat_msg,
	"Defeat\n\n",

	//	kDevastatingDefeat_msg,
	"Devastating Defeat\n\n",

	//	kLeftEarly_msg,
	"Forfeit\n\n",

	//
	//	Titles (or names) of ships and objects
	//
	
	//kFreighterName
	"Tiburon Freighter",

	//
	//	Event dialog
	//
	
	//kFreighterDies_msg,
	"First Officer: The freighter has been destroyed. We cannot complete our mission.\n\n",
	
	//kFreighterCapped_msg,
	"First Officer: The freighter has been captured. We cannot complete our mission.\n\n",
		
	//kPlayerGetsFreighter_msg,
	"",
	
	//kLyransGetFreighter_msg,
	"First Officer: The Mirak have escaped with the freighter. We cannot complete our mission.\n\n",
	
	//kKlingonsGetFreighter_msg,
	"First Officer: The Gorn have escaped with the freighter. We cannot complete our mission.\n\n",

	//kScanFreighter_msg
	"Science Officer: This is... interesting.\n" \

	"[PLAYER_NAME]: What's that?\n" \

	"Science Officer: The readings from the freighter. Several objects in its hold are giving off " \
	"an odd energy wave.\n" \

	"[PLAYER_NAME]: Dangerous?\n" \

	"Science Officer: I don't think so, no. Just odd.\n\n",

	//
	//	Custom messages
	//

	//kScanning_msg
	"Science Officer: Scanning...\n\n",
#endif
};



