/********************************************************************************************************\

	File Name:	MonsterTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( MonsterTeam_h )
#define MonsterTeam_h

#include "TeamInfo.h"
#include "CommonDefs.h"

class tMonsterTeam : public tTeamInfo
{
public:

	tMonsterTeam();

	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mOldCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );

	enum eCustomIDs
	{
		kMonster1 = 200,
		kMonster2,
	};

	enum eCommsIDs
	{
		kState_1,
		kState_2,
		kState_3,
	};

	int32	mCurrentPriority()	{ return fCurrentPriority; }
	void	mSetTeamPriority( eTeamPriority priority );

protected:
	eTeamPriority	fCurrentPriority;
};

#endif
