//	<Name>	EnemyTeamShips.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Uni_4Resolve.h"
#include "EnemyTeamShips.h"
#include "MissionText.h"
#include "ShipList_API.h"


tClassAllocator<tEnemyTeamShips> gEnemyTeamShipsAllocator;


void tEnemyTeamShips::mSetupState()
{}

void tEnemyTeamShips::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
	
	playerTeam->mRegisterCommMessage( kHailOrSurrenderCommState, kNoStateChange, mGetShipID(), kHail_btn, kHailISC1_msg, kHailISC3_msg );
	playerTeam->mRegisterCommMessage( kHailOrSurrenderCommState, kNoStateChange, mGetShipID(), kDemandSurrender_btn, kDemandISC1_msg, kDemandISC3_msg );


	playerTeam->mGotoCommState( mGetShipID(), kHailOrSurrenderCommState );
}


