//	<Name>	FreighterTeamShip.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Uni_4Resolve.h"
#include "MissionText.h"
#include "FreighterTeamShip.h"
#include "FreighterTeamShipInitialState.h"

tClassAllocator<tFreighterTeamShip> gFreighterTeamShipAllocator;

void tFreighterTeamShip::mSetupState()
{
	mRegisterState( new tFreighterTeamShipInitialState( ) );

	mGotoState( typeid( tFreighterTeamShipInitialState ) );
}

void tFreighterTeamShip::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );

	playerTeam->mRegisterCommMessage( kDestructCommState, kBlankCommState, mGetShipID(), kDestruct_btn, kAffirmative_msg );

	playerTeam->mGotoCommState( mGetShipID(), kDestructCommState );
}
void tFreighterTeamShip::mSetupShip()
{
	int32 x = 0, y = 0;

	fMissionInfo->mGetGridPosition( 'X', &x, &y );

	mSetFinalDestination( x, y);
	mSetShipMaxSpeed( 22 );
}

