//	<Name>LegendaryCaptainTeamShipInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Uni_4Resolve.h"
#include "ShipInfo.h"
#include "LegendaryCaptainTeamShip.h"
#include "LegendaryCaptainTeamShipInitialState.h"

#include "MissionText.h"
#include "ScriptInterface.h"


tLegendaryCaptainTeamShipInitialState::tLegendaryCaptainTeamShipInitialState( )
{
}

void tLegendaryCaptainTeamShipInitialState::mBeginState()
{

}

void tLegendaryCaptainTeamShipInitialState::mEndState()
{
}
void tLegendaryCaptainTeamShipInitialState::mOnTimedInterval( int32 timerID )
{
}
void tLegendaryCaptainTeamShipInitialState::mOnDeath( tShipInfo* ship )
{

}
void tLegendaryCaptainTeamShipInitialState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );

	if( ( ( damagedShip->mGetShipID() ) == ( fChildActor->mGetShipID() ) ) 
		&& ( ( fChildActor->mGetDamagePercent() )  > 50.0 ) )
	{
		playerTeam->mGotoCommState( fChildActor->mGetShipID(), tLegendaryCaptainTeamShip::kHailOrSurrenderLateCommState );
	}
	else
	{
		fChildActor->mSetShipCallbackEvents( kNotifyDamage );
	}
}
void tLegendaryCaptainTeamShipInitialState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{
}