//	<Name>	PlayerTeam.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( PlayerTeam_h )
#define PlayerTeam_h

#include "TeamInfo.h"
 
class tPlayerTeam : public tTeamInfo
{
public:
	enum
	{
		kMedShip,
	};
	tPlayerTeam();
	virtual void mCreateShipsForTeam( int count, tShipInGame* ships[] );
	virtual void mSetupState();
	virtual void mSetEnemyBaseScanned(bool setValue );
	virtual bool mGetEnemyBaseScanned();

	virtual void mSetRaidSuccessful(bool setValue );
	virtual bool mGetRaidSuccessful();
	virtual void mSetRaidFailed(bool setValue );
	virtual bool mGetRaidFailed();

	virtual void mSetupVictoryCondition();
	virtual void mSetupDebriefingList( eVictoryLevels VictoryLevel );
//	virtual void mSetupCommState();
	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );
	virtual void	mScheduleNextMission( tVictoryCondition* VictoryCondition );
	virtual void mTeamSetupComplete();

private:

	bool fEnemyBaseScanned;
	bool fRaidSuccessful;
	bool fRaidFailed;
};

#endif


