//	<Name>	PlayerTeamInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Uni_4Resolve.h"
#include "ShipInfo.h"
#include "PlayerTeam.h"
#include "PlayerTeamShip.h"
#include "PlayerTeamInitialState.h"


#include "MissionText.h"
#include "ScriptInterface.h"
//#include "SFCAssert.h"

tPlayerTeamInitialState::tPlayerTeamInitialState( )
{

}

void tPlayerTeamInitialState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kStartingID, 5.0f );
}

void tPlayerTeamInitialState::mEndState()
{
}
void tPlayerTeamInitialState::mOnTimedInterval( int32 timerID )
{

	int32 dice = fMissionInfo->mRandomInt32( 0, 7);

	tPlayerTeam* playerTeam = dynamic_cast<tPlayerTeam*>( fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) ) );
	Assert( playerTeam );
	if( playerTeam == NULL )
	{
		return;
	}

/*
	if( timerID == kChatterID)
	{
		switch( fRandomMessage )
		{
			case 0:
				fMissionInfo->mDisplayMessage( kPlayerTeam,  kNavigationChatter_msg );
			break;	
			case 1:
				fMissionInfo->mDisplayMessage( kPlayerTeam,  kEngineerChatter_msg );
			break;
			case 2:
				fMissionInfo->mDisplayMessage( kPlayerTeam,  kCommunicationsChatter_msg );
			break;
			case 3:
				fMissionInfo->mDisplayMessage( kPlayerTeam,  kSecurityChatter_msg );
			break;		


		}
	fRandomMessage++;
	}
	if ( fRandomMessage < 3 )
	{
		mSetTimedInterval( kTimerSecondsSet, kChatterID, (18.0f + dice) );
	}
*/
	if( timerID == kStartingID )
	{
		eRaceName  playerRace;
		tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
		playerRace = playerTeam->mGetRace();

		// return the index to the Starting message we want to use
		switch( playerRace )
		{
			case kFederation:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ),  kFedStarting_msg, kNonCommScriptMessage  );
			break;
			case kKlingon:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ),   kKliStarting_msg, kNonCommScriptMessage  );
			break;
			case kRomulan:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ),   kRomStarting_msg, kNonCommScriptMessage  );
			break;
			case kLyran:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ),   kLyrStarting_msg, kNonCommScriptMessage  );
			break;
			case kGorn:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ),   kGorStarting_msg, kNonCommScriptMessage  );
			break;
			case kMirak:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ),   kMirakStarting_msg, kNonCommScriptMessage  );
			break;
			case kHydran:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ),   kHydStarting_msg, kNonCommScriptMessage  );
			break;
		}
		mSetTimedInterval( kTimerSecondsSet, kStarting2ID, 15.0f );
	}
	else if( timerID == kStarting2ID )
	{
		fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ),  kStarting2_msg );
	}

}

