//	<Name>	Uni_4Resolve

#if !defined( Uni_4Resolve_h )
#define Uni_4Resolve

#include "ScriptInterface.h"

//---------------------------------------------------------------------------------------------
// the following enum is used to identify all non-player teams in the script
// (use kPlayerTeam to access the current players team.)
enum eTeamTypes
{
	// add all teams
	kPlayerTeam = kTeam1,
	kEnemyTeam,
	kMainDryDockTeam,
	kPlanetTeam,
	kLegendaryCaptainTeam,
	kFreighterTeam,
};

class tVictoryCondition;

class tUni_4Resolve : public tScript
{
public:
	enum eCommStates
	{
		kCommSabotagedState,
		kCommRepairedState,
	};

	tUni_4Resolve();

	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual iTruth	mUsePlayerShip( tShipInGame& Ship );
//	virtual int32	mInitializeFinished();
	virtual void	mStartMission();
	virtual void	mScriptSpecs( tMissionSpec* Specs );

	virtual void	mCreateExternalShips( int32 Mode );
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mASCIIOverrides( tMapOverrides* Map );
	virtual void	mDefineTeamShipStrengths( void );
	virtual	void	mDefineBriefings( void );

protected:
	tVictoryCondition* fVictoryCondition;
};

#endif

