//	<Name>	ISCDefensePlatformBaseState.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "ISCDefensePlatformBaseState.h"
#include "MissionText.h"
#include "ScriptInterface.h"
#include "Uni_5Accuse.h"


void tISCDefensePlatformBaseState::mBeginState()
{}
void tISCDefensePlatformBaseState::mEndState()
{}

void tISCDefensePlatformBaseState::mOnDeath( tShipInfo* ship )
{}
void tISCDefensePlatformBaseState::mOnCapture( tShipInfo* ship )
{}
void tISCDefensePlatformBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tISCDefensePlatformBaseState::mAtDistance( tShipInfo* ship )
{}
void tISCDefensePlatformBaseState::mAtDestination( tShipInfo* ship )
{}
void tISCDefensePlatformBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tISCDefensePlatformBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tISCDefensePlatformBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{
	if ( !ship )
		return;

	if ( ship->mGetShipTargetID() == fChildActor->mGetShipID() )
	{
		if( deepScanOn)
		{
			fScanning = true;
			mSetTimedInterval( kTimerTurnsSet, tISCDefensePlatform::kScanID, 0.75f );
		}
		else
		{
			fScanning = false;
			mSetTimedInterval( kTimerKillTimer, tISCDefensePlatform::kScanID, 0.0f );
		}
	}
}
void tISCDefensePlatformBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tISCDefensePlatformBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tISCDefensePlatformBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tISCDefensePlatformBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tISCDefensePlatformBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tISCDefensePlatformBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tISCDefensePlatformBaseState::mOnFlashingButtonPressed()
{}
void tISCDefensePlatformBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tISCDefensePlatformBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tISCDefensePlatformBaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tISCDefensePlatformBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tISCDefensePlatformBaseState::mOnHostChanged()
{}
void tISCDefensePlatformBaseState::mOnTimedInterval( int32 timerID )
{
	switch ( timerID )
	{
	case tISCDefensePlatform::kScanID:
		{
			//
			//	Tell the player that there are jamming mechanisms installed on these defense platforms.
			//
			if ( fScanning )
			{
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kEvent11_1_msg );
			}
		}
		break;
	}
}
void tISCDefensePlatformBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tISCDefensePlatformBaseState::mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType )
{}

