/********************************************************************************************************\

	File Name:	Uni_5Accuse.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( Uni_5Accuse_h )
#define Uni_5Accuse_h

#include "ScriptInterface.h"

//---------------------------------------------------------------------------------------------
// the following enum is used to identify all non-player teams in the script
// (use kPlayerTeam to access the current players team.)
enum eTeamTypes
{
/*

	HELPER NOTE:	This is where you will place other team constants if you so need them.  For instance, if
					you need a second enemy team (e.g. Enemy2Team), then you would put a constant of
					"kEnemy2Team" in here.

*/
	kPlayerTeam = kTeam1,
	kPlayerNPCTeam,
	kEnemyTeam,
	kNPC1Team,
	kAllyTeam,
	kDraft1Team,
    kDraft2Team,
};

class tVictoryCondition;

class tUni_5Accuse : public tScript
{
public:

	tUni_5Accuse();

	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual iTruth	mUsePlayerShip( tShipInGame& Ship );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual int32	mInitializeFinished();
	virtual void	mStartMission();
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual void	mASCIIOverrides( tMapOverrides* Map );
	virtual void	mDefineBriefings( void );
	virtual void	mDefineTeamShipStrengths( void );
};

#endif


