/********************************************************************************************************\

	File Name:	HydranTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( HydranTeam_h )
#define HydranTeam_h

#include "TeamInfo.h"


class tHydranTeam : public tTeamInfo
{
public:

	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mOldCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );

/*

	HELPER NOTE:	Below is where the list of the ship custom IDs go.  An example follows.

	enum eCustomIDs
	{
		kPlayerNPCBS1,
		kPlayerNPCBS2,
	};

*/
	enum eCustomIDs
	{
		kHydranMoon = 400,
	};
};

#endif
