/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_5BFunny2",

	//kTitle2
	"Was ist daran so lustig? Teil II\n\n",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"Bringen Sie unseren Botschafter zu dem diplomatischen Treffen. Der Botschafter wird Ihnen " \
	"den genauen Ort des Treffens noch mitteilen.\n\n",

	//
	//	Starting message
	//
	
	//kLog_Lyran_msg,
	"Logbuch des [PLAYER_RANK], Sternendatum [STARDATE]. Wir sind auf dem Weg nach [SYSTEM_NAME], um unseren " \
	"Botschafter zu dem diplomatischen Treffen zu bringen.\n\n",

	//kLog_Klink_msg,
	"Logbuch des [PLAYER_RANK], Sternendatum [STARDATE]. Wir sind auf dem Weg nach [SYSTEM_NAME], um unseren " \
	"Botschafter zu dem diplomatischen Treffen zu bringen.\n\n",

	//kLog_Hydran_msg,
	"Logbuch des [PLAYER_RANK], Sternendatum [STARDATE]. Wir sind auf dem Weg nach [SYSTEM_NAME], um unseren " \
	"Botschafter zu dem diplomatischen Treffen zu bringen.\n\n",
	
	//kInitialMsg_Lyran,
	"[PLAYER_NAME]: Hier sind wir, Herr Botschafter. Wo drfen wir Sie absetzen?\n" \

	"Botschafter: Das liegt an Ihnen, [PLAYER_RANK].\n" \

	"[PLAYER_NAME]: Wie bitte?\n" \

	"Botschafter: Das ist Ihre Entscheidung. Ich berlasse Ihnen die Entscheidung, mit wem ich verhandeln soll. Auf jeden Fall " \
	"sind Sie derjenige, der hier drauen das Kmpfen erledigt. Mit wem sollten wir also Freundschaft schlieen?\n\n",
	
	//kInitialMsg_Klink,
	"[PLAYER_NAME]: Hier sind wir, Herr Botschafter. Wo drfen wir Sie absetzen?\n" \

	"Botschafter: Das liegt an Ihnen, [PLAYER_RANK].\n" \

	"[PLAYER_NAME]: Wie bitte?\n" \

	"Botschafter: Das ist Ihre Entscheidung. Ich berlasse Ihnen die Entscheidung, mit wem ich verhandeln soll. Auf jeden Fall " \
	"sind Sie derjenige, der hier drauen das Kmpfen erledigt. Mit wem sollten wir also Freundschaft schlieen?\n\n",

	//kInitialMsg_Hydran,
	"[PLAYER_NAME]: Hier sind wir, Herr Botschafter. Wo drfen wir Sie absetzen?\n" \

	"Botschafter: Das liegt an Ihnen, [PLAYER_RANK].\n" \

	"[PLAYER_NAME]: Wie bitte?\n" \

	"Botschafter: Das ist Ihre Entscheidung. Ich berlasse Ihnen die Entscheidung, mit wem ich verhandeln soll. Auf jeden Fall " \
	"sind Sie derjenige, der hier drauen das Kmpfen erledigt. Mit wem sollten wir also Freundschaft schlieen?\n\n",

	//
	//	Debriefing messages
	//
	
	//	kAstoundingVictory_msg,
	"Groartiger Sieg!\n\n",

	//	kVictory_msg,
	"Sieg!\n\n",

	//	kDraw_msg,
	"Unentschieden\n\n",

	//	kDefeat_msg,
	"Niederlage\n\n",

	//	kDevastatingDefeat_msg,
	"Vernichtende Niederlage\n\n",

	//	kLeftEarly_msg,
	"Mission eingebt\n\n",

	//kD_NotBeamed_msg,
	"Ah, [PLAYER_RANK], gut, Sie zu sehen. Vielleicht knnen Sie mir helfen: Ich habe gerade den Bericht gelesen, den Sie " \
	"bertragen haben, aber ich habe ein paar kleinere Verstndnisprobleme. Aber vielleicht knnen Sie mir ja erklren, warum Sie " \
	"unseren Botschafter auf eine nette Weltraumrundfahrt mitgenommen haben, anstatt ihn auf das Treffen zu beamen?\n" \

	"Ich freue mich darauf, Ihren Erluterungen zu lauschen.\n\n",

	//kD_BeamedToOwn_msg,
	"Interessante Wahl, [PLAYER_RANK]. Sehr interessant... aber dumm! Warum im Namen aller " \
	"Heiligen wollen Sie einen Botschafter von unserem Volk zu unserem Volk beamen?\n\nWegtreten.\n",

	//kD_BeamedToPlanet_msg,
	"Ah, [PLAYER_RANK], kommen Sie herein. Vielleicht knnen Sie mir erklren, warum Sie unseren Botschafter auf " \
	"einen unbewohnten Planeten geschickt haben? Ich habe jede Menge Zeit.\n\n",

	//KD_Beamed_Success_msg,
	"Herzlichen Glckwunsch, [PLAYER_RANK]. Das diplomatische Treffen scheint sehr gut zu laufen.\n\n",

	//KD_Lyran_Beamed_To_Mirak_msg,
	"Herzlichen Glckwunsch, [PLAYER_RANK]. Ich wnschte, ich knnte sagen, das Treffen war ebenso erfolgreich wie Ihre " \
	"Mission, aber es sieht so aus, als htten die Miraker unseren Botschafter unmittelbar nach seinem Eintreffen gettet.\n" \

	"Na ja. Wer will berhaupt Frieden mit den Mirakern?\n\n",

	//kDeb_PlayerDied_msg
	"Ihre Einheiten sind vernichtet worden.\n\n",

	//
	//	Comm buttons
	//
	
	//kButton_Hail_msg,
	"RUFEN",

	//
	//	Comm messages
	//
	
	//kHail_Lyran_msg,
	"Delegation der Hydraner: Ja, natrlich wrden wir Ihren Botschafter willkommen heien.\n\n",

	//kHail_Klink_msg,
	"Delegation der Hydraner: Ja, natrlich wrden wir Ihren Botschafter willkommen heien.\n\n",
	
	//kHail_Hydran_msg,
	"Delegation der Hydraner: Ja, natrlich wrden wir Ihren Botschafter willkommen heien.\n\n",

	//kHail_Mirak_msg,
	"Delegation der Hydraner: Ja, natrlich wrden wir Ihren Botschafter willkommen heien.\n\n",

	//kHail_Planet_msg,
	"Kommunikationsoffizier: Keine Reaktion, [PLAYER_RANK].\n\n",

	//kHail_OwnRace_msg,
	"Delegation der [PLAYER_RACE]: Es ergibt wenig Sinn, unseren Botschafter zu unserem eigenen Volk zu schicken.\n\n",

	//kHail_MirakAsLyan_msg
	"Delegation der Miraker: Ja, wir fnden es toll, Ihren Botschafter zu empfangen... als Mittagessen!\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//kLyranName_msg,
	"Lyranischer Mond",

	//kKlingonName_msg,
	"Klingonischer Mond",

	//kHydranName_msg,
	"Hydranischer Mond",

	//kMirakName_msg,
	"Mirakischer Mond",

	//kPlanetName_msg,
	"Planet Seltoria",

	//
	//	Event dialog
	//
	
	//kScannedPlanet_msg,
	"Wissenschaftsoffizier: Die Sensoren zeigen nichts von Interesse da unten, [PLAYER_RANK].\n\n",
	
	//kScannedMoon_msg,
	"Wissenschaftsoffizier: Nichts auerordentlich entdeckt, [PLAYER_RANK].\n\n",

	//kAttackedMoon_msg,
	"First Officer: [PLAYER_RANK], I see no reason to fire on the moon.\n\n",

	//kAttackPlanet_msg,
	"First Officer: [PLAYER_RANK], I see no reason to fire on the planet.\n\n",

	//kBeamedToOwnMoon_msg
	"Der Botschafter wurde abgesetzt, [PLAYER_RANK].\n\n",

	//kDiplomat_Delivered_msg
	"Der Botschafter wurde abgesetzt, [PLAYER_RANK].\n\n",

	//
	//	Custom messages
	//

	// kScanning_msg,
	"Wissenschaftsoffizier: Scanne...",

#else
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_5BFunny2",

	//kTitle2
	"What's so Funny - Part II",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"Deliver our ambassador to the diplomatic conference. The ambassador will give you the " \
	"exact location of the meeting.\n\n",

	//
	//	Starting message
	//

	//kLog_Lyran_msg,
	"[PLAYER_RANK]'s Log, stardate [STARDATE]. We're en route to [SYSTEM_NAME] to deliver our " \
	"ambassador to the diplomatic conference.\n\n",

	//kLog_Klink_msg,
	"[PLAYER_RANK]'s Log, stardate [STARDATE]. We're en route to [SYSTEM_NAME] to deliver our " \
	"ambassador to the diplomatic conference.\n\n",

	//kLog_Hydran_msg,
	"[PLAYER_RANK]'s Log, stardate [STARDATE]. We're en route to [SYSTEM_NAME] to deliver our " \
	"ambassador to the diplomatic conference.\n\n",
	
	//kInitialMsg_Lyran,
	"[PLAYER_NAME]: Here we are, Mr. Ambassador. Where can I drop you off?\n" \

	"Ambassador: That's up to you, [PLAYER_RANK].\n" \

	"[PLAYER_NAME]: Come again?\n" \

	"Ambassador: You decide. I'm leaving it up to you to decide who I should negotiate with. After all, " \
	"you've been out here, fighting. Whom should we befriend?\n\n",
	
	//kInitialMsg_Klink,
	"[PLAYER_NAME]: Here we are, Mr. Ambassador. Where can I drop you off?\n" \

	"Ambassador: That's up to you, [PLAYER_RANK].\n" \

	"[PLAYER_NAME]: Come again?\n" \

	"Ambassador: You decide. I'm leaving it up to you to decide who I should negotiate with. After all, " \
	"you've been out here, fighting. Whom should we befriend?\n\n",

	//kInitialMsg_Hydran,
	"[PLAYER_NAME]: Here we are, Mr. Ambassador. Where can I drop you off?\n" \

	"Ambassador: That's up to you, [PLAYER_RANK].\n" \

	"[PLAYER_NAME]: Come again?\n" \

	"Ambassador: You decide. I'm leaving it up to you to decide who I should negotiate with. After all, " \
	"you've been out here, fighting. Whom should we befriend?\n\n",

	//
	//	Debriefing messages
	//
	
	//	kDebAstoundingVictory_msg,
	"Astounding Victory!\n\n",
	
	//	kDebVictory_msg,
	"Victory!\n\n",
	
	//	kDebDraw_msg,
	"Draw\n\n",
	
	//	kDebDefeat_msg,
	"Defeat\n\n",
	
	//	kDebDevastatingDefeat_msg,
	"Devastating Defeat\n\n",

	//	kLeftEarly_msg,
	"Forfeit\n\n",

	//kD_NotBeamed_msg,
	"Ah, [PLAYER_RANK]; good to see you. Maybe you can help me... I was reading over your transmitted " \
	"report, but I'm having a little trouble understanding it. Perhaps you can explain to me why you " \
	"took our ambassador on a nice space cruise instead of actually beaming him to the conference?\n" \

	"I look forward to hearing your explanation.\n\n",

	//kD_BeamedToOwn_msg,
	"Interesting choice, [PLAYER_RANK]. Very intersting... but stupid! Why in the name of all that's " \
	"sacred would you beam an ambassador FROM our people TO our own people?\n\nDismissed.\n",

	//kD_BeamedToPlanet_msg,
	"Ah, [PLAYER_RANK]: come in. Perhaps you can explain to me why you sent our ambassador to " \
	"an uninhabited planet? I have all day.\n\n",

	//KD_Beamed_Success_msg,
	"Congratulations, [PLAYER_RANK]. The diplomatic conference seems to be going well.\n\n",

	//KD_Lyran_Beamed_To_Mirak_msg,
	"Congratulations, [PLAYER_RANK]. I wish I could say the conference worked out as well as your " \
	"mission, but it seems the Mirak killed our ambassador within minutes after he arrived.\n" \

	"Oh well. Who wants peace with the Mirak anyway?\n\n",

	//kDeb_PlayerDied_msg
	"Your forces were destroyed.\n\n",

	//
	//	Comm buttons
	//
	
	//kButton_Hail_msg,
	"HAIL",

	//
	//	Comm messages
	//
	
	//kHail_Lyran_msg,
	"Lyran Delegation: Yes, we would welcome your ambassador.\n\n",

	//kHail_Klink_msg,
	"Klingon Delegation: Yes, we would welcome your ambassador.\n\n",
	
	//kHail_Hydran_msg,
	"Hydran Delegation: Yes, we would welcome your ambassador.\n\n",

	//kHail_Mirak_msg,
	"Mirak Delegation: Yes, we would welcome your ambassador.\n\n",

	//kHail_Planet_msg,
	"Communications Officer: No response, [PLAYER_RANK].\n\n",

	//kHail_OwnRace_msg,
	"[PLAYER_RACE] Delegation: There's little point in sending our ambassador to your own people.\n\n",

	//kHail_MirakAsLyan_msg
	"Mirak Delegation: Yes, we would love to have your ambassador... for lunch!\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//kLyranName_msg,
	"Lyran Moon",

	//kKlingonName_msg,
	"Klingon Moon",

	//kHydranName_msg,
	"Hydran Moon",

	//kMirakName_msg,
	"Mirak Moon",

	//kPlanetName_msg,
	"Seltorian Planet",

	//
	//	Event dialog
	//
	
	//kScannedPlanet_msg,
	"Science Officer: Sensors show nothing interesting down there, [PLAYER_RANK].\n\n",
	
	//kScannedMoon_msg,
	"Science Officer: Nothing unusual detected, [PLAYER_RANK].\n\n",

	//kAttackedMoon_msg,
	"First Officer: [PLAYER_RANK], I see no reason to fire on the moon.\n\n",

	//kAttackPlanet_msg,
	"First Officer: [PLAYER_RANK], I see no reason to fire on the planet.\n\n",

	//kBeamedToOwnMoon_msg
	"The ambassador has been transported, [PLAYER_RANK].\n\n",

	//kDiplomat_Delivered_msg
	"The ambassador has been transported, [PLAYER_RANK].\n\n",

	//
	//	Custom messages
	//

	// kScanning_msg,
	"Science Officer: Scanning...",
#endif
};


