/********************************************************************************************************\

	File Name:	PlanetTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "PlanetTeamBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tPlanetTeamBaseState::mBeginState()
{}
void tPlanetTeamBaseState::mEndState()
{}

void tPlanetTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tPlanetTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tPlanetTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tPlanetTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tPlanetTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tPlanetTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tPlanetTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tPlanetTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tPlanetTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tPlanetTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tPlanetTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tPlanetTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tPlanetTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tPlanetTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tPlanetTeamBaseState::mOnFlashingButtonPressed()
{}
void tPlanetTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tPlanetTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tPlanetTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tPlanetTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tPlanetTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tPlanetTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tPlanetTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tPlanetTeamBaseState::mOnPlayerLeaving( int playerNumber )
{}
void tPlanetTeamBaseState::mOnHostChanged()
{}
void tPlanetTeamBaseState::mOnTimedInterval( int32 timerID )
{}
void tPlanetTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tPlanetTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

