//	<Name>	DamagedShip2.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( DamagedShip2_h )
#define DamagedShip2_h

#include "ShipInfo.h"

class tDamagedShip2 : public tShipInfo
{
public:

	tDamagedShip2();

	virtual	void mSetupState();
	virtual void mSetupCommState();
	virtual void mSetupShip();

	enum eCommStates
	{
		kCommState1,
			//
			//	- HAIL
			//

		kBlankCommState,
	};

	enum eTimerIDs
	{
		kDamagedShip2NoShieldTimerID = 2000,
		kDamagedShip2RepairTimerID,
	};

	int32	mDamageShip();
	void	mRepairShip();

	bool	mCanRepair( void );
	int32	mNumScrews( void );
	bool	mHasHostages( void );
	bool	mHasRescueTeam( void );
	bool	mHasEngineers( void );

	void	mSetCanRepair( bool x );
	void	mSetNumScrews( int32 x );
	void	mSetHasHostages( bool x );
	void	mSetHasRescueTeam( bool x );
	void	mSetHasEngineers( bool x );

private:

	bool	fCanRepair;
	int32	fNumScrews;
	bool	fHasHostages;
	bool	fHasRescueTeam;
	bool	fHasEngineers;
};

#endif

