/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN

	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_6Immunity",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"\n\n",

	//	kBriefingFederation_msg,
	"Die galaktischen Mchte treffen sich auf Raumbasis 22, um ber eine Allianz gegen die Bedrohung durch das ISK zu beraten. Wir " \
	"wollten Sie als diplomatische Eskorte senden, aber nun ist eine etwas andere Situation eingetreten. Das ISK hat einen Sabotageakt auf die Basis " \
	"verbt. Die Basis und die Schiffe der Verbndeten sitzen in den Tiefen des Weltraums fest.\n\n" \
	"Wir mssen Sie daher auf eine Rettungsmission schicken, und das schnell. Denn eine ISK-Flotte ist auf dem Weg zur Raumbasis. Wir " \
	"hoffen, dass Sie sie schlagen knnen. Sie erhalten ein Rettungsteam, das Sie an Bord der Basis beamen knnen, um die " \
	"berlebenden zu retten. Daneben erhalten Sie Technikerteams, die die Reparaturen an der Basis und an den " \
	"beschdigten Schiffen durchfhren knnen. Sie mssen sie mit Hilfe Ihrer Transporter dorthin senden.\n\n" \
	"Ihre primre Mission besteht darin, die berlebenden zu retten und in Sicherheit zu bringen. Nachdem Sie die berlebenden an Bord gebeamt haben, " \
	"knnen Sie sich Ihrem Sekundrziel zuwenden, nmlich der Zerstrung der Raumbasis, sodass das ISK sie " \
	"nicht besetzen kann. Wenn irgendwelche ISK-Schiffe auftauchen sollten, vergewissern Sie sich, dass Sie ber gengend Feuerkraft verfgen, bevor Sie sie in einen Kampf verwickeln. Im Augenblick " \
	"bewegt sich eine groe ISK-Streitmacht auf diesen Sektor zu, vergessen Sie also nicht, die Raumbasis in Trmmer zu legen, bevor Sie sich davonmachen.\n\n" \
	"Wegtreten.\n\n",

	//	kBriefingKlingon_msg,
	"Die galaktischen Mchte treffen sich auf der Raumbasis Khizara, um ber eine Allianz gegen die Bedrohung durch das ISK zu beraten. Wir " \
	"wollten Sie als diplomatische Eskorte senden, aber nun hat es einen 'Vorfall' gegeben. Das ISK hat einen Sabotageakt auf die Basis " \
	"verbt. Die Basis und die Schiffe der Verbndeten sitzen in den Tiefen des Weltraums fest.\n\n" \
	"Wir senden Sie daher auf eine Rettungsmission. Denn eine ISK-Flotte ist auf dem Weg zur Raumbasis. Wir hoffen, Sie knnen " \
	"sie schlagen. Sie erhalten ein Rettungsteam, das Sie an Bord der Basis beamen knnen, um die berlebenden zu retten. Sie werden " \
	"auch Technikerteams erhalten, die die Reparaturen an der Basis und an den beschdigten Schiffen vornehmen. Sie werden " \
	"Ihren Transporter einsetzen mssen, um sie dorthin zu schicken.\n\n" \
	"Ihre primre Mission besteht darin, die berlebenden zu retten und in Sicherheit zu bringen. Nachdem Sie die berlebenden an Bord gebeamt haben, " \
	"knnen Sie sich Ihrem Sekundrziel zuwenden, nmlich der Zerstrung der Raumbasis, sodass das ISK sie " \
	"nicht besetzen kann. Das ISK zieht eine massive Streitmacht in dem Sektor zusammen; wenn sie auftauchen, verwicklen Sie sie in einen Kampf, wenn Sie " \
	"ber genug Feuerkraft verfgen, aber vergessen Sie nicht, die Raumbasis in Trmmer zu legen. Wir lassen nicht zu, dass sie vom Feind besudelt wird.\n\n" \
	"Wegtreten.\n\n",

	//	kBriefingRomulan_msg,
	"Die galaktischen Mchte treffen sich auf der Raumbasis Veridian, um eine Allianz gegen das ISK zu grnden. Wir wollten " \
	"Sie als diplomatische Eskorte senden, aber nun ist eine etwas andere Situation eingetreten. Das ISK hat einen Sabotageakt auf die Basis verbt. Die " \
	"Basis und die Schiffe der Verbndeten sitzen nun in den Tiefen des Weltraums fest.\n\n" \
	"Wir senden Sie daher auf eine Rettungsmission. Sie erhalten ein Rettungsteam, das Sie an Bord der Basis beamen knnen, um die " \
	"berlebenden zu retten. Daneben erhalten Sie Technikerteams, die die Reparaturen an der Basis und an den beschdigten " \
	"Schiffen vornehmen. Sie mssen sie mit Hilfe Ihrer Transporter dorthin senden.\n\n" \
	"Ihre primre Mission besteht darin, die berlebenden zu retten und in Sicherheit zu bringen. Nachdem Sie die berlebenden an Bord gebeamt haben, " \
	"knnen Sie sich Ihrem Sekundrziel zuwenden, nmlich der Zerstrung der Raumbasis, sodass das ISK sie " \
	"nicht besetzen kann. Das ISK zieht eine massive Streitmacht in dem Sektor zusammen; wenn sie auftauchen, verwickeln Sie sie in einen Kampf, wenn Sie " \
	"ber gengend Feuerkraft verfgen, aber vergessen Sie nicht, die Raumbasis in Trmmer zu legen. Wenn sie sie in die Hand bekommen, knnen wir ihnen " \
	"ebensogut den gesamten Sektor berlassen.\n\n" \
	"Wegtreten.\n\n",

	//	kBriefingLyran_msg,
	"Die galaktischen Mchte treffen sich auf der Raumbasis Storm Claw, um eine Allianz gegen das ISK zu grnden. Wir wollten " \
	"Sie als Eskorte senden, aber nun ist eine etwas andere Situation eingetreten. Das ISK hat einen Sabotageakt auf die Basis verbt. Die Basis und die " \
	"Schiffe der Verbndeten sitzen nun in den Tiefen des Weltraums fest.\n\n" \
	"Wir senden Sie daher auf eine Rettungsmission. Sie erhalten ein Rettungsteam, das Sie an Bord der Basis beamen knnen, um die " \
	"berlebenden zu retten. Daneben erhalten Sie Technikerteams, die die Reparaturen an der Basis und an den beschdigten " \
	"Schiffen vornehmen. Sie mssen sie mit Hilfe Ihrer Transporter dorthin senden.\n\n" \
	"Ihre primre Mission besteht darin, die berlebenden zu retten und in Sicherheit zu bringen. Nachdem Sie die berlebenden an Bord gebeamt haben, " \
	"knnen Sie sich Ihrem Sekundrziel zuwenden, nmlich der Zerstrung der Raumbasis, sodass das ISK sie " \
	"nicht besetzen kann. Das ISK zieht eine massive Streitmacht in dem Sektor zusammen; wenn sie auftauchen, verwickeln Sie sie in einen Kampf, wenn Sie " \
	"ber gengend Feuerkraft verfgen, aber vergessen Sie nicht, die Raumbasis in Trmmer zu legen. Wenn sie sie in die Hand bekommen, haben sie uns " \
	"eine ernste Niederlage beigebracht.\n\n" \
	"Wegtreten.\n\n",

	//	kBriefingGorn_msg,
	"Die galaktischen Mchte treffen sich auf der Raumbasis Orgon, um eine Allianz gegen das ISK zu grnden. Wir wollten " \
	"Sie als diplomatische Eskorte senden, aber nun ist eine etwas andere Situation eingetreten. Das ISK hat einen Sabotageakt auf die Basis verbt. Die Basis " \
	"und die Schiffe der Verbndeten sitzen nun in den Tiefen des Weltraums fest.\n\n" \
	"Wir senden Sie daher auf eine Rettungsmission. Sie erhalten ein Rettungsteam, das Sie an Bord der Basis beamen knnen, um die " \
	"berlebenden zu retten. Daneben erhalten Sie Technikerteams, die die Reparaturen an der Basis und an den beschdigten " \
	"Schiffen vornehmen. Sie mssen sie mit Hilfe Ihrer Transporter dorthin senden.\n\n" \
	"Ihre primre Verantwortung besteht darin, die berlebenden zu retten und in Sicherheit zu bringen. Nachdem Sie die berlebenden an Bord gebeamt haben, " \
	"knnen Sie sich Ihrem Sekundrziel zuwenden, nmlich der Zerstrung der Raumbasis, sodass das ISK sie " \
	"nicht besetzen kann. Das ISK zieht eine massive Streitmacht in dem Sektor zusammen; wenn sie auftauchen, verwickeln Sie sie in einen Kampf, wenn Sie " \
	"ber gengend Feuerkraft verfgen, aber vergessen Sie nicht, die Raumbasis in Trmmer zu legen. Wenn sie sie in die Hand bekommen, wird es ein Leichtes fr sie sein, " \
	"den Sektor zu bernehmen.\n\n" \
	"Wegtreten.\n\n",

	//	kBriefingHydran_msg,
	"Die galaktischen Mchte treffen sich auf der Raumbasis Veridian, um eine Allianz gegen das ISK zu grnden. Wir wollten " \
	"Sie als diplomatische Eskorte senden, aber nun ist eine etwas andere Situation eingetreten. Das ISK hat einen Sabotageakt auf die Basis " \
	"verbt. Die Basis und die Schiffe der Verbndeten sitzen nun in den Tiefen des Weltraums fest.\n\n" \
	"Wir senden Sie daher auf eine Rettungsmission. Sie erhalten ein Rettungsteam, das Sie an Bord der Basis beamen knnen, um die " \
	"berlebenden zu retten. Daneben erhalten Sie Technikerteams, die die Reparaturen an der Basis und an den beschdigten " \
	"Schiffen vornehmen. Sie mssen sie mit Hilfe Ihrer Transporter dorthin senden.\n\n" \
	"Ihre primre Mission besteht darin, die berlebenden zu retten und in Sicherheit zu bringen. Nachdem Sie die berlebenden an Bord gebeamt haben, " \
	"knnen Sie sich Ihrem Sekundrziel zuwenden, nmlich der Zerstrung der Raumbasis, sodass das ISK sie " \
	"nicht besetzen kann. Das ISK zieht eine massive Streitmacht in dem Sektor zusammen; wenn sie auftauchen, verwickeln Sie sie in einen Kampf, wenn Sie " \
	"ber gengend Feuerkraft verfgen, aber vergessen Sie nicht, die Raumbasis in Trmmer zu legen. Wenn sie sie in die Hand bekommen, knnen wir ihnen " \
	"ebensogut den gesamten Sektor berlassen.\n\n" \
	"Wegtreten.\n\n",

	//	kBriefingMirak_msg,
	///--DANF1
	"Die galaktischen Mchte treffen sich auf der Raumbasis Veridian, um eine Allianz gegen das ISK zu grnden. Wir wollten " \
	"Sie als diplomatische Eskorte senden, aber nun ist eine etwas andere Situation eingetreten. Das ISK hat einen Sabotageakt auf die Basis " \
	"verbt. Die Basis und die Schiffe der Verbndeten sitzen nun in den Tiefen des Weltraums fest.\n\n" \
	"Wir senden Sie daher auf eine Rettungsmission. Sie erhalten ein Rettungsteam, das Sie an Bord der Basis beamen knnen, um die " \
	"berlebenden zu retten. Daneben erhalten Sie Technikerteams, die die Reparaturen an der Basis und an den beschdigten " \
	"Schiffen vornehmen. Sie mssen sie mit Hilfe Ihrer Transporter dorthin senden.\n\n" \
	"Ihre primre Mission besteht darin, die berlebenden zu retten und in Sicherheit zu bringen. Nachdem Sie die berlebenden an Bord gebeamt haben, " \
	"knnen Sie sich Ihrem Sekundrziel zuwenden, nmlich der Zerstrung der Raumbasis, sodass das ISK sie " \
	"nicht besetzen kann. Das ISK zieht eine massive Streitmacht in dem Sektor zusammen; wenn sie auftauchen, verwickeln Sie sie in einen Kampf, wenn Sie " \
	"ber gengend Feuerkraft verfgen, aber vergessen Sie nicht, die Raumbasis in Trmmer zu legen. Wenn sie sie in die Hand bekommen, wird der Sektor " \
	"im Blut der Miraker schwimmen.\n\n" \
	"Wegtreten.\n\n",

	//
	//	Starting message
	//
	
	//	kStart_msg,
	"\n\n",

	//	kStartFederation_msg,
	"[PLAYER_NAME]: Logbuch des [PLAYER_RANK], Sternendatum [STARDATE]. Wir sind auf dem Weg zu einer Raumbasis, die zusammen mit einer kleineren Raumschiffflotte von einem " \
	"Sabotageakt des ISKs deaktiviert wurde. Unsere Mission besteht darin, ein Rettungsteam in die Raumbasis zu senden, " \
	"um die berlebenden zu retten, und die Raumbasis zu zerstren, wenn die Rettung erfolgreich abgeschlossen ist.\n\n",

	//	kStartKlingon_msg,
	"[PLAYER_NAME]: Kriegsbericht, [STARDATE]. Wir sind auf dem Weg zu einer Raumbasis, die zusammen mit einer kleineren Raumschiffflotte von einem Sabotageakt " \
	"des ISKs deaktiviert wurde. Unsere Mission besteht darin, ein Rettungsteam in die Raumbasis zu senden, " \
	"um die berlebenden zu retten, und die Raumbasis zu zerstren, wenn die Rettung erfolgreich abgeschlossen ist.\n\n" \
	"Kommunikationsoffizier: Was immer das ISK getan hat, die Gegend ist mit Neutrinos berflutet. Wir knnen uns glcklich schtzen, wenn " \
	"wir einen Impulscode durch diese Suppe bertragen knnen.\n\n",

	//	kStartRomulan_msg,
	"[PLAYER_NAME]: Bericht des [PLAYER_EMPIRE], [STARDATE]. Wir sind auf dem Weg zu einer Raumbasis, die zusammen mit einer kleineren Raumschiffflotte von einem " \
	"Sabotageakt des ISKs deaktiviert wurde. Unsere Mission besteht darin, ein Rettungsteam in " \
	"die Raumbasis zu senden, um die berlebenden zu retten, und die Raumbasis zu zerstren, wenn die Rettung erfolgreich abgeschlossen ist.\n\n" \
	"Kommunikationsoffizier: [PLAYER_RANK], diese Gegend wurde mit Neutrinos berflutet. Wir knnen uns glcklich schtzen, wenn " \
	"wir einen Impulscode durch diese Suppe bertragen knnen.\n\n",

	//	kStartLyran_msg,
	"[PLAYER_NAME]: Journal des [PLAYER_RANK], lyranisches Imperium, [STARDATE]. Wir sind auf dem Weg zu einer Raumbasis, " \
	"die zusammen mit einer kleinen Raumschiffflotte durch einen Sabotageakt des ISKs deaktiviert wurde. Unsere Mission besteht darin, ein " \
	"Rettungsteam in die Raumbasis zu senden, um die berlebenden zu retten, und die Raumbasis zu zerstren, wenn die Rettung erfolgreich " \
	"abgeschlossen ist.\n\n" \
	"Kommunikationsoffizier: [PLAYER_RANK], diese Gegend wurde mit Neutrinos berflutet. Wir knnen uns glcklich schtzen, wenn " \
	"wir einen Impulscode durch diese Suppe bertragen knnen.\n\n",

	//	kStartGorn_msg,
	"[PLAYER_NAME]: Logbuch des [PLAYER_RANK], [STARDATE]. Wir sind auf dem Weg zu einer Raumbasis, die zusammen mit einer kleineren Raumschiffflotte von einem " \
	"Sabotageakt des ISKs deaktiviert wurde. Unsere Mission besteht darin, ein Rettungsteam in die Raumbasis zu senden, " \
	"um die berlebenden zu retten, und die Raumbasis zu zerstren, wenn die Rettung erfolgreich abgeschlossen ist.\n\n" \
	"Kommunikationsoffizier: [PLAYER_RANK], diese Gegend wurde mit Neutrinos berflutet. Wir knnen uns glcklich schtzen, wenn " \
	"wir einen Impulscode durch diese Suppe bertragen knnen.\n\n",

	//	kStartHydran_msg,
	"[PLAYER_NAME]: Journal des [PLAYER_RANK], [STARDATE]. Wir sind auf dem Weg zu einer Raumbasis, die zusammen mit einer kleineren Raumschiffflotte von einem " \
	"Sabotageakt des ISKs deaktiviert wurde. Unsere Mission besteht darin, ein Rettungsteam in die Raumbasis zu senden, " \
	"um die berlebenden zu retten, und die Raumbasis zu zerstren, wenn die Rettung erfolgreich abgeschlossen ist.\n\n" \
	"Kommunikationsoffizier: [PLAYER_RANK], diese Gegend wurde mit Neutrinos berflutet. Wir knnen uns glcklich schtzen, wenn " \
	"wir einen Impulscode durch diese Suppe bertragen knnen.\n\n",

	//	kStartMirak_msg,
	"[PLAYER_NAME]: Jagdbericht, [STARDATE]. Wir sind auf dem Weg zu einer Raumbasis, die zusammen mit einer kleineren Raumschiffflotte von einem Sabotageakt " \
	"des ISKs deaktiviert wurde. Unsere Mission besteht darin, ein Rettungsteam in die Raumbasis zu senden, " \
	"um die berlebenden zu retten, und die Raumbasis zu zerstren, wenn die Rettung erfolgreich abgeschlossen ist.\n\n" \
	"Kommunikationsoffizier: [PLAYER_RANK], diese Gegend wurde mit Neutrinos berflutet. Wir knnen uns glcklich schtzen, wenn " \
	"wir einen Impulscode durch diese Suppe bertragen knnen.\n\n",

	//
	//	Debriefing messages
	//
	
	//	kDebAstoundingVictory_msg,
	"Ich gratuliere, Sie haben den Auftrag hervorragend gemeistert. Sie haben die in der Raumbasis Eingeschlossenen gerettet und die " \
	"Raumbasis zerstrt und dem ISK damit einen Hauptgewinn unter der Nase weggezogen.\n\n" \
	"Wir haben das Treffen auf eine andere Raumbasis verlegt, und die Diplomaten schreien sich an, wie blich. Aber " \
	"dem, was man so hrt, entnehme ich, dass die Allianz gegen das ISK mglicherweise wirklich zustande kommt, vorausgesetzt, dass die " \
	"Verbndeten es vermeiden knnen, sich vorher gegenseitig die Augen auszukratzen.\n\n" \
	"Wegtreten.\n\n",
	
	//	kDebVictory_msg,
	"Herzlichen Glckwunsch. Sie haben die Raumbasis gerettet. Unglcklicherweise konnten Sie das zweite " \
	"Ziel nicht erreichen, die Basis wurde nicht zerstrt. Sie wurde vom ISK besetzt, und wir werden eine " \
	"gro angelegte Offensive starten mssen, um sie wieder in unsere Hand zu bekommen.\n\n " \
	"Wegtreten.\n\n",
	
	//	kDebDraw_msg,
	"\n\n",
	
	//	kDebDefeat_msg,
	"Sie hatten zwar Zeit, die Leute aus der Raumbasis zu retten, dennoch konnten Sie Ihre Primr- " \
	"mission nicht erfolgreich zum Abschluss bringen. Erbrmlich.\n\n" \
	"Wegtreten.\n\n",
	
	//	kDebDevastatingDefeat_msg,
	"Sie hatten zwar Zeit, die Leute aus der Raumbasis zu retten, dennoch konnten Sie Ihre Primr- " \
	"mission nicht erfolgreich zum Abschluss bringen. Erbrmlich.\n\n" \
	"Wegtreten.\n\n",

	//
	//	Comm buttons
	//

	//	k_HAIL_btn,
	"RUFEN",

	//	k_SENDDESTRUCTCODE_Starbase1_btn,
	"ZERSTRUNGSCODE SENDEN",

	//	k_SENDDESTRUCTCODE_Starbase2_btn,
	"ZERSTRUNGSCODE SENDEN",

	//	k_SENDDESTRUCTCODE_Starbase3_btn,
	"ZERSTRUNGSCODE SENDEN",

	//	k_DROPSHIELDS_Ship1_btn,
	"SCHILDE SENKEN",
	
	//	k_DROPSHIELDS_Ship2_btn,
	"SCHILDE SENKEN",
	
	//	k_DROPSHIELDS_Ship3_btn,
	"SCHILDE SENKEN",
	
	//	k_DROPSHIELDS_Base_btn,
	"SCHILDE SENKEN",

	//
	//	Comm messages
	//

	//	k_HAIL_msg,
	"Kommunikationsoffizier: Ich wei auch nicht, wie das ISK das fertig bringt, auf jeden Fall macht es jede Kommunikation in diesem Sektor unmglich. Wir " \
	"sind mglicherweise in der Lage, ein schwaches Signal auszusenden, aber ich bezweifle, dass irgendetwas auer den grundlegenden Codes verstndlich ist.\n\n",

	//	k_SENDDESTRUCTCODE_Starbase1_msg,
	"Kommunikationsoffizier: Wir haben den Code nicht, [PLAYER_RANK].\n\n",

	//	k_SENDDESTRUCTCODE_Starbase2_msg,
	"Kommunikationsoffizier: Schiefgelaufen...\n\n",

	//	k_SENDDESTRUCTCODE_Starbase3_msg,
	"Kommunikationsoffizier: Ich glaube, das hat jetzt funktioniert.\n\n",

	//
	//	Victory rating
	//

	// kAstoundingVictory_msg,
	"Groartiger Sieg!\n",

	// kVictory_msg,
	"Sieg!\n",

	// kDraw_msg,
	"Unentschieden.\n",

	// kDefeat_msg,
	"Niederlage.\n",

	// kDevastatingDefeat_msg,
	"Vernichtende Niederlage.\n",

	//
	//	Random chatter
	//

	//	kRandChat1_msg,
	"Steuermann:\n\n",
	
	//	kRandChat2_msg,
	"Ingenieur:\n\n",
		
	//	kRandChat3_msg,
	"Sicherheitsoffizier:\n\n",
	
	//	kRandChat4_msg,
	"Navigation:\n\n",
		
	//	kRandChat5_msg,
	"Waffenoffizier:\n\n",
	
	//	kRandChat6_msg,
	"Wissenschaftsoffizier:\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//	kStarbaseFederation_nam,
	"Raumbasis 22",

	//	kStarbaseKlingon_nam,
	"Raumbasis Khizara",

	//	kStarbaseRomulan_nam,
	"Raumbasis Veridian",

	//	kStarbaseLyran_nam,
	"Raumbasis Storm Claw",

	//	kStarbaseGorn_nam,
	"Raumbasis Orgon",

	//	kStarbaseHydran_nam,
	"Raumbasis Veridian",

	//	kStarbaseMirak_nam,
	"Raumbasis Veridian",

	//
	//	Event dialog
	//

	//	kEvent2_1_msg,
	"Kommunikationsoffizier: [PLAYER_RANK], das ISK ist aufgetaucht. Vier Kreuzer.\n\n" \
	"Waffenoffizier: Das ist nur die Vorhut. In einem Tag wird es in diesem System von ihren Kreuzern nur so wimmeln.\n\n",

	//	kEvent3_1_msg,
	"Chefingenieur: Sie haben bereits alles fr die Basis getan, was mglich war. Den Rest mssen jetzt die Techniker erledigen.\n\n",

	//	kEvent3_2_msg,
	"Chief Transporter: Technikerteam abgesetzt.\n\n",

	//	kEvent4_1_msg,
	"Wissenschaftsoffizier: Die Raumbasis beginnt mit der Selbstreparatur. Ich glaube, das Technikerteam hat " \
	"seinen Auftrag erledigt.\n\n",

	//	kEvent5_1_msg,
	"Chief Transporter: Das Team ist wieder an Bord, [PLAYER_SHIP_NAME].\n\n" \
	"Sicherheitsoffizier: Das Technikerteam hat die Selbstzerstrung der Basis mit einem Impulssignal gekoppelt. Jetzt mssen wir " \
	"mit unserem Kommunikationssystem nur noch das richtige Signal senden.\n\n",

	//	kEvent6_1_msg,
	"Chefingenieur: Sie haben bereits alles fr das Schiff getan, was mglich war. Den Rest mssen jetzt die Techniker erledigen.\n\n",

	//	kEvent6_2_msg,
	"Chief Transporter: Technikerteam abgesetzt.\n\n",

	//	kEvent7_1_msg,
	"Wissenschaftsoffizier: Das Schiff kann mit den Reparaturen beginnen, sobald unser Technikerteam wieder an Bord ist.\n\n",

	//	kEvent8_1_msg,
	"Chief Transporter: Das Team ist wieder an Bord, [PLAYER_SHIP_NAME].\n\n",

	//	kEvent9_1_msg,
	"Chefingenieur: Sie haben bereits alles fr das Schiff getan, was mglich war. Den Rest mssen jetzt die Techniker erledigen.\n\n",

	//	kEvent9_2_msg,
	"Chief Transporter: Technikerteam abgesetzt.\n\n",

	//	kEvent10_1_msg,
	"Wissenschaftsoffizier: Das Schiff kann mit den Reparaturen beginnen, sobald unser Technikerteam wieder an Bord ist.\n\n",

	//	kEvent11_1_msg,
	"Chief Transporter: Das Team ist wieder an Bord, [PLAYER_SHIP_NAME].\n\n",

	//	kEvent12_1_msg,
	"Chefingenieur: Sie haben bereits alles fr das Schiff getan, was mglich war. Den Rest mssen jetzt die Techniker erledigen.\n\n",

	//	kEvent12_2_msg,
	"Chief Transporter: Technikerteam abgesetzt.\n\n",

	//	kEvent13_1_msg,
	"Wissenschaftsoffizier: Das Schiff kann mit den Reparaturen beginnen, sobald unser Technikerteam wieder an Bord ist.\n\n",

	//	kEvent14_1_msg,
	"Chief Transporter: Das Team ist wieder an Bord, [PLAYER_SHIP_NAME].\n\n",

	//	kEvent15_1_msg,
	"Wissenschaftsoffizier: Das ISK hat soeben die Raumbasis geentert.\n\n",

	//	kEvent16_1_msg,
	"Wissenschaftsoffizier: Raumbasis zerstrt.\n\n",

	//	kEvent17_1_msg,
	"Chief Transporter: Das Rettungsteam hat das Schiff verlassen.\n\n",

	//	kEvent17_2_msg,
	"Chief Transporter: Wir haben unsere Mission hier bereits abgeschlossen, [PLAYER_RANK].\n\n",

	//	kEvent18_1_msg,
	"Wissenschaftsoffizier: Das Rettungsteam hat seine Arbeit beendet. Die Opfer werden mit ihnen zurckgebeamt, " \
	"wenn wir das Rettungsteam zurck an Bord holen.\n\n",

	//	kEvent19_1_msg,
	"Chief Transporter: Das Rettungsteam ist wieder an Bord, [PLAYER_SHIP_NAME], zusammen mit achtzig Verwundeten\n\n " \
	"aus der Raumbasis. Sie befinden sich bereits auf der Krankenstation.\n\n",

	//	kEvent19_2_msg,
	"Erster Offizier: Primrziel erreicht. Jetzt mssen wir nur noch die Basis zerstren und das System verlassen, um " \
	"die Mission erfolgreich abzuschlieen.\n\n",

	//	kEvent19_3_msg,
	"Erster Offizier: Primrziel erreicht. \n\n",

	//	kEvent20_1_msg,
	"Wissenschaftsoffizier: Wir verlassen das System, Captain.\n\n",

	//	kEvent21_1_msg,
	"Wissenschaftsoffizier: Wir haben das System verlassen.\n\n",

	//
	//	Custom messages
	//

	//	kCustom1_msg,
	"Sicherheitsoffizier: Es gibt keinen Grund, unser Rettungsteam dorthin zu schicken.\n\n",

	//	kCustom2_msg,
	"Sicherheitsoffizier: Es gibt keinen Grund, unsere Techniker dorthin zu schicken.\n\n",

	//	kCustom3_msg,
	"Leiter Maschinenraum: Wir knnen sie nicht rberbeamen, bevor die Geiseln gerettet wurden.\n\n",

	//	kCustom4_msg,
	"Erster Offizier: Sekundrziel erreicht. Jetzt mssen wir das System verlassen.\n\n",

	//	kCustom5_msg,
	"Erster Offizier: Das Schiff, auf dem sich unser Rettungsteam befunden hat, wurde zerstrt, und wir konnten die " \
	"Opfer nicht retten. Unsere Mission ist fehlgeschlagen.\n\n",

	//	kCustom6_msg,
	"Wissenschaftsoffizier: Juchhu! Wir haben das ISK mitsamt der Raumbasis in den Orkus geblasen!\n\n",

	//	kCustom7_msg,
	"Wissenschaftsoffizier: Negativ, wir haben die Raumbasis hochgejagt, whrend die Opfer sich noch an Bord befanden. Das ist eine groe " \
	"Tragdie. Wie sollen wir das je erklren?\n\n",

	//
	//	Testing messages
	//

	//
	//	Not localized as of 10/8/00
	//
	
	//	kPlayerTeamTitle_msg,
	"Diplomatische Immunitt",

	//	kPlayerTeamBriefing_msg,
	"",

	//
	//	Not localized as of 10/17/00
	//

	//	kScanning_msg,
	"Wissenschaftsoffizier: Wir scannen...\n\n",

	//	kDisconnect_msg,
	"Mission eingebt",

#else		///////////////////////////////////////////////////////////////////////////////////////

	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_6Immunity",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"\n\n",

	//	kBriefingFederation_msg,
	"The galactic powers are meeting at Starbase 22 to propose an alliance against the ISC threat.  We " \
	"were going to send you as a diplomatic escort, but a situation has occurred.  The ISC sabotaged the " \
	"base.  The base and the alliance ships are sitting dead in space.\n\n" \
	"We need to send you on a rescue mission, and fast.  An ISC fleet is on its way to the Starbase.  We " \
	"hope you can beat it.  You'll be equipped with a rescue team to beam aboard the base and rescue " \
	"survivors.  You'll also be equipped with engineering teams to affect repairs on the base and the " \
	"damaged ships.  You'll need to use your transporters to send them.\n\n" \
	"Your primary mission is to rescue survivors and get them to safety.  Once you've beamed aboard the " \
	"survivors, you can proceed with your secondary objective - destroying the starbase so the ISC cannot " \
	"occupy it.  If any ISC ships appear, make sure you have enough firepower before you engage them.  There's " \
	"a large ISC force heading into the sector, so don't forget to sacrifice the starbase before you get out.\n\n" \
	"Dismissed.\n\n",

	//	kBriefingKlingon_msg,
	"The galactic powers are meeting at Starbase Khizara to propose an alliance against the ISC threat.  We " \
	"were going to send you as a diplomatic escort, but an \"incident\" has occurred.  The ISC sabotaged the " \
	"base.  The base and the alliance ships are sitting dead in space.\n\n" \
	"We're sending you on a rescue mission.  An ISC fleet is on its way to the Starbase.  We hope you can " \
	"beat it.  You'll be equipped with a rescue team to beam aboard the base and rescue survivors.  You'll " \
	"also be equipped with engineering teams to affect repairs on the base and the damaged ships.  You'll " \
	"need to use your transporters to send them.\n\n" \
	"Your primary mission is to rescue survivors and get them to safety.  Once you've beamed aboard the " \
	"survivors, you can proceed with your secondary objective - destroying the star base so the ISC cannot " \
	"occupy it.  The ISC is heading to the sector in force; if they appear, engage them if you have enough " \
	"firepower, but don't forget to destroy the starbase.  We will not let it be soiled by the enemy.\n\n" \
	"Dismissed.\n\n",

	//	kBriefingRomulan_msg,
	"The galactic powers are meeting at Starbase Veridian to form an alliance against the ISC.  We were " \
	"going to send you as a diplomatic escort, but a situation has occurred.  The ISC sabotaged the base.  The " \
	"base and the alliance ships are now sitting dead in space.\n\n" \
	"We're sending you on a rescue mission.  You'll carry a rescue team to beam aboard the base and rescue " \
	"survivors.  You'll also carry an engineering team to affect repairs on the base and the damaged " \
	"ships.  You'll need to use your transporters to send them.\n\n" \
	"Your primary mission is to rescue survivors and get them to safety.  Once you've beamed aboard the " \
	"survivors, you can proceed with your secondary objective - destroying the starbase so the ISC cannot " \
	"occupy it.  The ISC is heading to the sector in force; if they appear, engage them if you have enough " \
	"firepower, but don't forget to destroy the starbase.  If they get their hands on it, we may as well " \
	"hand them the sector.\n\n" \
	"Dismissed.\n\n",

	//	kBriefingLyran_msg,
	"The galactic powers are meeting at Starbase Storm Claw to form an alliance against the ISC.  We were " \
	"going to send you as an escort, but a situation has occurred.  The ISC sabotaged the base.  The base and " \
	"the alliance ships are now sitting dead in space.\n\n" \
	"We're sending you on a rescue mission.  You'll carry a rescue team to beam aboard the base and rescue " \
	"survivors.  You'll also carry an engineering team to affect repairs on the base and the damaged " \
	"ships.  You'll need to use your transporters to send them.\n\n" \
	"Your primary mission is to rescue survivors and get them to safety.  Once you've beamed aboard the " \
	"survivors, you can proceed with your secondary objective - destroying the starbase so the ISC cannot " \
	"occupy it.  The ISC is heading to the sector in force; if they appear, engage them if you have enough " \
	"firepower, but don't forget to destroy the starbase.  If they get their hands on it, they'll have dealt " \
	"us a serious defeat.\n\n" \
	"Dismissed.\n\n",

	//	kBriefingGorn_msg,
	"The galactic powers are meeting at Starbase Orgon to form an alliance against the ISC.  We were going " \
	"to send you as a diplomatic escort, but a situation has occurred.  The ISC sabotaged the base.  The base " \
	"and the alliance ships are now sitting dead in space.\n\n" \
	"We're sending you on a rescue mission.  You'll carry a rescue team to beam aboard the base and rescue " \
	"survivors.  You'll also carry an engineering team to affect repairs on the base and the damaged " \
	"ships.  You'll need to use your transporters to send them.\n\n" \
	"Your first responsibility is to rescue survivors and get them to safety.  Once you've beamed them " \
	"aboard, you can proceed with your secondary objective - destroying the starbase so the ISC cannot " \
	"occupy it.  The ISC is heading to the sector in force; if they appear, engage them if you have enough " \
	"firepower, but don't forget to destroy the starbase.  If they get their hands on it, they'll use it to " \
	"take over the sector.\n\n" \
	"Dismissed.\n\n",

	//	kBriefingHydran_msg,
	"The galactic powers are meeting at Starbase Veridian to form an alliance against the ISC.  We were " \
	"going to send you as a diplomatic escort, but a situation has occurred.  The ISC sabotaged the " \
	"base.  The base and the alliance ships are now sitting dead in space.\n\n" \
	"We're sending you on a rescue mission.  You'll carry a rescue team to beam aboard the base and rescue " \
	"survivors.  You'll also carry an engineering team to affect repairs on the base and the damaged " \
	"ships.  You'll need to use your transporters to send them.\n\n" \
	"Your primary mission is to rescue survivors and get them to safety.  Once you've beamed aboard the " \
	"survivors, you can proceed with your secondary objective - destroying the starbase so the ISC cannot " \
	"occupy it.  The ISC is heading to the sector in force; if they appear, engage them if you have enough " \
	"firepower, but don't forget to destroy the starbase.  If they get their hands on it, we may as well " \
	"hand them the sector.\n\n" \
	"Dismissed.\n\n",

	//	kBriefingMirak_msg,
	"The galactic powers are meeting at Starbase Veridian to form an alliance against the ISC.  We were " \
	"going to send you as a diplomatic escort, but a situation has occurred.  The ISC sabotaged the " \
	"base.  The base and the alliance ships are now sitting dead in space.\n\n" \
	"We're sending you on a rescue mission.  You'll carry a rescue team to beam aboard the base and rescue " \
	"survivors.  You'll also carry an engineering team to affect repairs on the base and the damaged " \
	"ships.  You'll need to use your transporters to send them.\n\n" \
	"Your primary mission is to rescue survivors and get them to safety.  Once you've beamed aboard the " \
	"survivors, you can proceed with your secondary objective - destroying the starbase so the ISC cannot " \
	"occupy it.  The ISC is heading to the sector in force; if they appear, engage them if you have enough " \
	"firepower, but don't forget to destroy the starbase.  If they get their hands on it, the sector will " \
	"be painted with the blood of the Mirak.\n\n" \
	"Dismissed.\n\n",

	//
	//	Starting message
	//
	
	//	kStart_msg,
	"\n\n",

	//	kStartFederation_msg,
	"[PLAYER_NAME]: [PLAYER_RANK]'s log, Stardate [STARDATE].  We are on route to a starbase, which has been disabled by " \
	"ISC sabotage, along with a small fleet of ships.  Our mission is to send a rescue team into the starbase " \
	"to rescue survivors, and to destroy the starbase when the rescue is complete.\n\n",

	//	kStartKlingon_msg,
	"[PLAYER_NAME]: War Record, [STARDATE].  We are on route to a starbase, which has been disabled by ISC sabotage, " \
	"along with a small fleet of ships.  Our mission is to send a rescue team into the starbase to rescue " \
	"survivors, and to destroy the starbase when the rescue is complete.\n\n" \
	"Communications Officer: Whatever the ISC did, it's flooded the area with dust clouds.  We'll be lucky if " \
	"we can transmit a pulse code through this soup.\n\n",

	//	kStartRomulan_msg,
	"[PLAYER_NAME]: Record of the Romulan Star Empire, [STARDATE].  We are on route to a starbase, which has been " \
	"disabled by ISC sabotage, along with a small fleet of ships.  Our mission is to send a rescue team into " \
	"the starbase to rescue survivors, and to destroy the starbase when the rescue is complete.\n\n" \
	"Communications Officer: [PLAYER_RANK], this area has been flooded with dust clouds.  We'll be lucky if we " \
	"can transmit a pulse code through this soup.\n\n",

	//	kStartLyran_msg,
	"[PLAYER_NAME]: [PLAYER_RANK]'s journal, Lyran Star Empire, [STARDATE].  We are on route to a starbase, " \
	"which has been disabled by ISC sabotage, along with a small fleet of ships.  Our mission is to send " \
	"a rescue team into the starbase to rescue survivors, and to destroy the starbase when the rescue is " \
	"complete.\n\n" \
	"Communications Officer: [PLAYER_RANK], this area has been flooded with dust clouds.  We'll be lucky if we " \
	"can transmit a pulse code through this soup.\n\n",

	//	kStartGorn_msg,
	"[PLAYER_NAME]: [PLAYER_RANK]'s log, [STARDATE].  We are on route to a starbase, which has been disabled by ISC " \
	"sabotage, along with a small fleet of ships.  Our mission is to send a rescue team into the starbase " \
	"to rescue survivors, and to destroy the starbase when the rescue is complete.\n\n" \
	"Communications Officer: [PLAYER_RANK], this area has been flooded with dust clouds.  We'll be lucky if " \
	"we can transmit a pulse code through this soup.\n\n",

	//	kStartHydran_msg,
	"[PLAYER_NAME]: [PLAYER_RANK]'s journal, [STARDATE].  We are on route to a starbase, which has been disabled by " \
	"ISC sabotage, along with a small fleet of ships.  Our mission is to send a rescue team into the starbase " \
	"to rescue survivors, and to destroy the starbase when the rescue is complete.\n\n" \
	"Communications Officer: [PLAYER_RANK], this area has been flooded with dust clouds.  We'll be lucky if we " \
	"can transmit a pulse code through this soup.\n\n",

	//	kStartMirak_msg,
	"[PLAYER_NAME]: Hunt record, [STARDATE].  We are on route to a starbase, which has been disabled by ISC sabotage, " \
	"along with a small fleet of ships.  Our mission is to send a rescue team into the starbase to rescue " \
	"survivors, and to destroy the starbase when the rescue is complete.\n\n" \
	"Communications Officer: [PLAYER_RANK], this area has been flooded with dust clouds.  We'll be lucky if " \
	"we can transmit a pulse code through this soup.\n\n",

	//
	//	Debriefing messages
	//
	
	//	kDebAstoundingVictory_msg,
	"Congratulations on a job well done.  You rescued those trapped at the starbase, and you destroyed the " \
	"Starbase, denying the ISC a key prize.\n\n" \
	"We moved the meeting to another starbase, and the diplomats are shouting at each other, as usual.  But " \
	"from what I hear, I think the alliance against the ISC may actually come to fruition, provided that the " \
	"allies can avoid gouging out each other's eyes first.\n\n" \
	"Dismissed.\n\n",
	
	//	kDebVictory_msg,
	"Congratulations.  You successfully saved the station.  Unfortunately, you failed in your secondary " \
	"objective, which was to destroy the base.  It's now occupied by the ISC and it's going to take a " \
	"major offensive to retake it.\n\n" \
	"Dismissed.\n\n",
	
	//	kDebDraw_msg,
	"\n\n",
	
	//	kDebDefeat_msg,
	"You had time to rescue the people from the station, yet you still failed in your primary " \
	"mission.  Disgraceful.\n\n" \
	"Dismissed.\n\n",
	
	//	kDebDevastatingDefeat_msg,
	"You had time to rescue the people from the station, yet you still failed in your primary " \
	"mission.  Disgraceful.\n\n" \
	"Dismissed.\n\n",

	//
	//	Comm buttons
	//

	//	k_HAIL_btn,
	"HAIL",

	//	k_SENDDESTRUCTCODE_Starbase1_btn,
	"SEND DESTRUCT CODE",

	//	k_SENDDESTRUCTCODE_Starbase2_btn,
	"SEND DESTRUCT CODE",

	//	k_SENDDESTRUCTCODE_Starbase3_btn,
	"SEND DESTRUCT CODE",

	//	k_DROPSHIELDS_Ship1_btn,
	"DROP SHIELDS",
	
	//	k_DROPSHIELDS_Ship2_btn,
	"DROP SHIELDS",
	
	//	k_DROPSHIELDS_Ship3_btn,
	"DROP SHIELDS",
	
	//	k_DROPSHIELDS_Base_btn,
	"DROP SHIELDS",

	//
	//	Comm messages
	//

	//	k_HAIL_msg,
	"Communications Officer: Whatever the ISC did completely scrambled communications in this sector.  We " \
	"might be able to send a weak signal out, but I doubt anything except basic codes would be intelligible.\n\n",

	//	k_SENDDESTRUCTCODE_Starbase1_msg,
	"Communications Officer: We don't have the code, [PLAYER_RANK].\n\n",

	//	k_SENDDESTRUCTCODE_Starbase2_msg,
	"Communications Officer: Failed...We should try again.\n\n",

	//	k_SENDDESTRUCTCODE_Starbase3_msg,
	"Communications Officer: I think that worked.\n\n",

	//
	//	Victory rating
	//

	// kAstoundingVictory_msg,
	"Astounding Victory!\n",

	// kVictory_msg,
	"Victory!\n",

	// kDraw_msg,
	"Draw.\n",

	// kDefeat_msg,
	"Defeat.\n",

	// kDevastatingDefeat_msg,
	"Devastating Defeat.\n",

	//
	//	Random chatter
	//

	//	kRandChat1_msg,
	"Helm:\n\n",
	
	//	kRandChat2_msg,
	"Engineer:\n\n",
		
	//	kRandChat3_msg,
	"Security Officer:\n\n",
	
	//	kRandChat4_msg,
	"Navigation:\n\n",
		
	//	kRandChat5_msg,
	"Weapons Officer:\n\n",
	
	//	kRandChat6_msg,
	"Science Officer:\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//	kStarbaseFederation_nam,
	"Starbase 22",

	//	kStarbaseKlingon_nam,
	"Starbase Khizara",

	//	kStarbaseRomulan_nam,
	"Starbase Veridian",

	//	kStarbaseLyran_nam,
	"Starbase Storm Claw",

	//	kStarbaseGorn_nam,
	"Starbase Orgon",

	//	kStarbaseHydran_nam,
	"Starbase Veridian",

	//	kStarbaseMirak_nam,
	"Starbase Veridian",

	//
	//	Event dialog
	//

	//	kEvent2_1_msg,
	"Communications Officer: [PLAYER_RANK], the ISC have arrived.  Four of them!\n\n" \
	"Weapons Officer: They're just the vanguard.  In a day, this system will be crawling with their cruisers.\n\n",

	//	kEvent3_1_msg,
	"Chief Engineer: They've already done all they can for the base.  It's up to its engineers now.\n\n",

	//	kEvent3_2_msg,
	"Transporter Chief: Engineering team away.\n\n",

	//	kEvent4_1_msg,
	"Science Officer: The starbase is beginning to repair itself.  I think the engineering team has done " \
	"its job.\n\n",

	//	kEvent5_1_msg,
	"Transporter Chief: The team is back aboard the [PLAYER_SHIP_NAME].\n\n" \
	"Security Officer: The engineering team has rigged the base's autodestruct to a pulse signal.  All we " \
	"have to do is use Communications to transmit the right signal.\n\n",

	//	kEvent6_1_msg,
	"Chief Engineer: They've already done all they can for the ship.  It's up to its engineers now.\n\n",

	//	kEvent6_2_msg,
	"Transporter Chief: Engineering team away.\n\n",

	//	kEvent7_1_msg,
	"Science Officer: The ship can start repairs once our engineering crew beams back aboard.\n\n",

	//	kEvent8_1_msg,
	"Transporter Chief: The team is back aboard the [PLAYER_SHIP_NAME].\n\n",

	//	kEvent9_1_msg,
	"Chief Engineer: They've already done all they can for the ship.  It's up to its engineers now.\n\n",

	//	kEvent9_2_msg,
	"Transporter Chief: Engineering team away.\n\n",

	//	kEvent10_1_msg,
	"Science Officer: The ship can start repairs once our engineering crew beams back aboard.\n\n",

	//	kEvent11_1_msg,
	"Transporter Chief: The team is back aboard the [PLAYER_SHIP_NAME].\n\n",

	//	kEvent12_1_msg,
	"Chief Engineer: They've already done all they can for the ship.  It's up to its engineers now.\n\n",

	//	kEvent12_2_msg,
	"Transporter Chief: Engineering team away.\n\n",

	//	kEvent13_1_msg,
	"Science Officer: The ship can start repairs once our engineering crew beams back aboard.\n\n",

	//	kEvent14_1_msg,
	"Transporter Chief: The team is back aboard the [PLAYER_SHIP_NAME].\n\n",

	//	kEvent15_1_msg,
	"Science Officer: The ISC has just boarded the starbase.\n\n",

	//	kEvent16_1_msg,
	"Science Officer: Starbase destroyed.\n\n",

	//	kEvent17_1_msg,
	"Transporter Chief: The rescue team is away.\n\n",

	//	kEvent17_2_msg,
	"Transporter Chief: We've already completed our mission here, [PLAYER_RANK].\n\n",

	//	kEvent18_1_msg,
	"Science Officer: The rescue team has finished its operation.  The victims will beam back with them " \
	"when we transport the rescue party back to the ship.\n\n",

	//	kEvent19_1_msg,
	"Transporter Chief: The rescue team is back aboard the [PLAYER_SHIP_NAME], along with eighty casualties " \
	"from the starbase.  They're in sickbay now.\n\n",

	//	kEvent19_2_msg,
	"First Officer: Primary objective complete.  We now need to destroy the base and leave the system to " \
	"complete the mission.\n\n",

	//	kEvent19_3_msg,
	"First Officer: Primary objective complete. \n\n",

	//	kEvent20_1_msg,
	"Science Officer: Leaving the system, Captain.\n\n",

	//	kEvent21_1_msg,
	"Science Officer: We have left the system.\n\n",

	//	kEvent22_1_msg,
	"Science Officer: The ship can start repairs once our engineering crew beams back aboard.\n\n",

	//
	//	Custom messages
	//

	//	kCustom1_msg,
	"Security Officer: There is no reason to send our rescue team over there.\n\n",

	//	kCustom2_msg,
	"Security Officer: There is no reason to send our engineers over there.\n\n",

	//	kCustom3_msg,
	"Engineering Officer: We cannot beam over until the hostages are rescued.\n\n",

	//	kCustom4_msg,
	"First Officer: Secondary objective accomplished.  Now we need to leave the system.\n\n",

	//	kCustom5_msg,
	"First Officer: The ship that our rescue team was on has been destroyed and we have not rescued " \
	"the victims.  Our mission has failed.\n\n",

	//	kCustom6_msg,
	"Science Officer: Yaaaahoo!  We blew up the ISC on that starbase!\n\n",

	//	kCustom7_msg,
	"Science Officer: No, we blew up the starbase with the victims still onboard.  This is a " \
	"tragedy.  How can we explain this?\n\n",

	//
	//	Testing messages
	//

	//
	//	Not localized as of 10/8/00
	//
	
	//	kPlayerTeamTitle_msg,
	"Diplomatic Immunity",

	//	kPlayerTeamBriefing_msg,
	"",

	//
	//	Not localized as of 10/17/00
	//

	//	kScanning_msg,
	"Science Officer: Scanning...\n\n",

	//
	//	Not localized as of 11/5/00
	//

	//	kDisconnect_msg,
	"Forfeit",
#endif
};


