/********************************************************************************************************\

	File Name:	PlayerShip.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( PlayerShip_h )
#define PlayerShip_h

#include "ShipInfo.h"

class tPlayerShip : public tShipInfo
{
public:

	tPlayerShip();

	virtual	void mSetupState();
	virtual void mSetupCommState();
	virtual void mSetupShip();

	enum eCommStates
	{
		kBSCommState1,
		kBSCommState2,
		kBlankCommState,
	};

	bool	mIsOriginal( void );
	void	mSetIsOriginal( bool x );
	static bool	sIsOriginal;

	bool	mHasHostages( void );
	bool	mHasRescueTeam( void );
	bool	mHasEngineers( void );

	void	mSetHasHostages( bool x );
	void	mSetHasRescueTeam( bool x );
	void	mSetHasEngineers( bool x );

protected:

//
//	add booleans for which player ship has the hostages, rescue team, and engineering team.
//

	bool	fIsOriginal;

	bool	fHasHostages;
	bool	fHasRescueTeam;
	bool	fHasEngineers;

};

#endif


