/********************************************************************************************************\

	File Name:	PlayerTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( PlayerTeam_h )
#define PlayerTeam_h

#include "TeamInfo.h"


class tPlayerTeam : public tTeamInfo
{
public:
	tPlayerTeam();

	virtual void	mSetupVictoryCondition();
	virtual void	mSetupDebriefingList( eVictoryLevels victoryLevel );

	virtual void	mSetupState();
	virtual void	mSetupCommState();
	virtual void	mCreateShipsForTeam();
	virtual void	mTeamSetupComplete();

	virtual void	mCreateNewShip( const tShipScriptDescription& shipScriptDescription );

	virtual void	mScheduleNextMission( tVictoryCondition* VictoryCondition );
	virtual bool mHasSeenMessage( int32 messageID );

/*

	HELPER NOTE:	You can put a custom ID here for the player ship, but it is not going to be used unless
					the mCreateShipsForTeam(...) creates ship(s) as hardcoded values rather than on the fly.

*/
	enum eCustomIDs
	{
		kPlayerShip1 = 100,
		kPlayerShip2,
		kPlayerShip3,
	};

protected:
	// there's some weird double-event bug going on. These prevent double messages to player.
	// Hackish, I know. --FS
	bool	fHasSeenkEvent6_1_msg;
	bool	fHasSeenkEvent6_2_msg;
	bool	fHasSeenkEvent8_1_msg;
	bool	fHasSeenkEvent9_1_msg;
	bool	fHasSeenkEvent9_2_msg;
	bool	fHasSeenkEvent11_1_msg;
	bool	fHasSeenkEvent12_1_msg;
	bool	fHasSeenkEvent12_2_msg;
	bool	fHasSeenkEvent14_1_msg;
	bool	fHasSeenkEvent5_1_msg;
	bool	fHasSeenkEvent17_1_msg;
	bool	fHasSeenkEvent17_2_msg;
	bool	fHasSeenkEvent19_1_msg;
	bool	fHasSeenkEvent19_2_msg;
	bool	fHasSeenkEvent7_1_msg;
	bool	fHasSeenkEvent10_1_msg;
	bool	fHasSeenkEvent13_1_msg;
	bool	fHasSeenkEvent18_1_msg;
	bool	fHasSeenkEvent22_1_msg;
	bool	fHasSeenkEvent3_1_msg;
	bool	fHasSeenkEvent3_2_msg;
};

#endif


