/********************************************************************************************************\

	File Name:	StrandedShipBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "StrandedShipBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tStrandedShipBaseState::mBeginState()
{}
void tStrandedShipBaseState::mEndState()
{}

void tStrandedShipBaseState::mOnDeath( tShipInfo* ship )
{}
void tStrandedShipBaseState::mOnCapture( tShipInfo* ship )
{}
void tStrandedShipBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tStrandedShipBaseState::mAtDistance( tShipInfo* ship )
{}
void tStrandedShipBaseState::mAtDestination( tShipInfo* ship )
{}
void tStrandedShipBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tStrandedShipBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tStrandedShipBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tStrandedShipBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tStrandedShipBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tStrandedShipBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tStrandedShipBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tStrandedShipBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tStrandedShipBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tStrandedShipBaseState::mOnFlashingButtonPressed()
{}
void tStrandedShipBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tStrandedShipBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tStrandedShipBaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tStrandedShipBaseState::mOnPlayerLeaving( int playerNumber )
{}
void tStrandedShipBaseState::mOnHostChanged()
{}
void tStrandedShipBaseState::mOnTimedInterval( int32 timerID )
{}
void tStrandedShipBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tStrandedShipBaseState::mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType )
{}


