/********************************************************************************************************\

	File Name:	Enemy2Team.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "BaseStation.h"
#include "Enemy2Team.h"
#include "Enemy2TeamBaseState.h"
#include "ShipList_API.h"


tClassAllocator<tEnemy2Team> gEnemy2TeamAllocator;


void tEnemy2Team::mSetupState()
{
	mRegisterState( new tEnemy2TeamBaseState() );
	mGotoState( typeid( tEnemy2TeamBaseState ) );
}

void tEnemy2Team::mSetupCommState()
{}

void tEnemy2Team::mCreateShipsForTeam()
{
	// Leaving this alone: the I-BSN is a SPECIAL ship, a campaign-oriented base. -- FS
	mCreateShip(	
		typeid( tBaseStation ), 
		"I-BSN", 
		kStartPosition_U, 
		kNoMetaShipID,
		kBase1, 
		0, 0, -1, -1, 
		"Reeducation Camp", 
		kDefaultShipOptions );
}


void tEnemy2Team::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tEnemy2Team::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tEnemy2Team", shipScriptDescription );
}
