/********************************************************************************************************\

	File Name:	Enemy3Team.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "BaseStation2.h"
#include "Enemy3Team.h"
#include "Enemy3TeamBaseState.h"
#include "ShipList_API.h"


tClassAllocator<tEnemy3Team> gEnemy3TeamAllocator;


void tEnemy3Team::mSetupState()
{
	mRegisterState( new tEnemy3TeamBaseState() );
	mGotoState( typeid( tEnemy3TeamBaseState ) );
}

void tEnemy3Team::mSetupCommState()
{}

void tEnemy3Team::mCreateShipsForTeam()
{
	// Leaving this alone: the I-BSN is a campaign-oriented base. -- FS
	mCreateShip(	
		typeid( tBaseStation2 ), 
		"I-BSN", 
		kStartPosition_V, 
		kNoMetaShipID,
		kBase2, 
		0, 0, -1, -1, 
		"Reeducation Camp", 
		kDefaultShipOptions );
}


void tEnemy3Team::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tEnemy3Team::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tEnemy3Team", shipScriptDescription );
}
