/********************************************************************************************************\

	File Name:	Enemy4Team.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "BaseStation3.h"
#include "Enemy4Team.h"
#include "Enemy4TeamBaseState.h"
#include "ShipList_API.h"


tClassAllocator<tEnemy4Team> gEnemy4TeamAllocator;


void tEnemy4Team::mSetupState()
{
	mRegisterState( new tEnemy4TeamBaseState() );
	mGotoState( typeid( tEnemy4TeamBaseState ) );
}

void tEnemy4Team::mSetupCommState()
{}

void tEnemy4Team::mCreateShipsForTeam()
{
	// Leaving this alone: the I-BSN is a campaign-oriented base. -- FS
	mCreateShip(	
		typeid( tBaseStation3 ), 
		"I-BSN", 
		kStartPosition_W, 
		kNoMetaShipID,
		kBase3, 
		0, 0, -1, -1, 
		"Reeducation Camp", 
		kDefaultShipOptions );
}


void tEnemy4Team::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tEnemy4Team::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tEnemy4Team", shipScriptDescription );
}
