//	<Name>	ISCShip.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "ISCShip.h"
#include "ISCShipBaseState.h"
#include "MissionText.h"
#include "TeamInfo.h"
#include "Uni_7BattleGrave.h"

tClassAllocator<tISCShip> gISCShipAllocator;

void tISCShip::mSetupState()
{
	mRegisterState( new tISCShipBaseState() );
	mGotoState( typeid( tISCShipBaseState ) );
}
void tISCShip::mSetupCommState()
{
	tTeamInfo*	playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
	Assert( playerTeam );
	if ( !playerTeam )
		return;

	playerTeam->mRegisterCommMessage(	kCommState1, kNoStateChange, mGetShipID(),
										k_HAIL_ISC_btn, k_HAIL_ISC1_1_msg, k_HAIL_ISC1_4_msg );
	playerTeam->mRegisterCommMessage(	kCommState1, kNoStateChange, mGetShipID(),
										k_DEMANDSURRENDER_ISC_btn, k_DEMANDSURRENDER_ISC1_1_msg, k_DEMANDSURRENDER_ISC1_4_msg );

	playerTeam->mGotoCommState( mGetShipID(), kCommState1 );
}
void tISCShip::mSetupShip()
{}


