/********************************************************************************************************\

	File Name:	NPC2Team.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( NPC2Team_h )
#define NPC2Team_h

#include "TeamInfo.h"


class tNPC2Team : public tTeamInfo
{
public:

	virtual void	mSetupState();
	virtual void	mSetupCommState();
	virtual void	mCreateShipsForTeam();
	virtual void	mOldCreateShipsForTeam();
	virtual void	mTeamSetupComplete();

	virtual void	mCreateNewShip( const tShipScriptDescription& shipScriptDescription );

/*

	HELPER NOTE:	Below is where the list of the ship custom IDs go.  An example follows.

	enum eCustomIDs
	{
		kPlayerNPCBS1,
		kPlayerNPCBS2,
	};

*/
	enum eCustomIDs
	{
		kAllianceListeningPost = 950,	//	running out of numbers -- should go by 50s
	};

	enum eTimerIDs
	{
		kSpawnCruiserTimerID = 2000,
		kSpawnTransportTimerID,
	};
};

#endif



