/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN

	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_8Hammer",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"\n\n",

	//	kBriefingFederationRomulanHydran_msg,
	"Wir nehmen endlich den Kampf gegen das ISK auf. Wir sind nur noch zwei Sektoren von ihrer endgltigen Vernichtung entfernt.\n\n" \
	"Seit der Zerstrung der Befriedungsstationen hat sich das ISK defensiv verhalten und versucht, " \
	"seine Streitkrfte wieder aufzubauen. Ihre Schiffe haben uns nur widerwillig angegriffen, daher wollen wir sie jetzt aus der " \
	"Reserve locken. Sie werden einen ISK-Planeten in [SYSTEM_NAME] angreifen. Wir glauben, dass ein Angriff auf diese Festung " \
	"die ISK-Flotte aus ihren Lchern locken wird. Wenn sie aufgetaucht sind, ignorieren Sie den Planeten und greifen die Flotte an.\n\n" \
	"Wenn Sie mit der Zerstrung der Flotte fertig sind, wenden Sie sich wieder dem Planeten zu und legen alle militrischen Einrichtungen in Schutt und Asche." \
	"Ohne diese Streitkrfte sind die Verteidungslinien im Heimatsektor des ISKs so dezimiert, " \
	"dass wir sie endgltig fertig machen knnen.\n\n" \
	"Wegtreten.\n\n",
	
	//	kBriefingKlingonLyran_msg,
	"Das ISK steht am Rande des Zusammenbruchs. Ihr arrogantes Haus ist dabei, ber ihnen zusammenzustrzen.\n\n" \
	"Seit der Zerstrung der Befriedungsstationen hat sich das ISK defensiv verhalten und versucht, " \
	"seine Streitkrfte wieder aufzubauen. Ihre Schiffe haben uns nur widerwillig angegriffen, daher wollen wir sie jetzt aus der " \
	"Reserve locken. Sie werden einen ISK-Planeten in [SYSTEM_NAME] angreifen. Wir glauben, dass ein Angriff auf diese Festung " \
	"die ISK-Flotte aus ihren Lchern locken wird. Wenn sie einmal aufgetaucht sind, ignorieren Sie den Planeten und greifen die Flotte an.\n\n" \
	"Wenn Sie mit der Zerstrung der Flotte fertig sind, wenden Sie sich wieder dem Planeten zu und legen alle militrischen Einrichtungen in Schutt und Asche.\n\n" \
	"Die planetaren Verteidigungslinien sind solide, aber glcklicherweise sind alliierte Schiffe verfgbar, die Sie als " \
	"Futter fr die Photonenkanonen vorausschicken knnen.\n\n" \
	"Ohne ihre Flotte sind die Verteidungslinien im Heimatsektor des ISKs so dezimiert, dass " \
	"das Imperium der [PLAYER_RACE] sie endgltig fertig machen kann.\n\n" \
	"Wegtreten.\n\n",
	
	//	kBriefingGornMirak_msg,
	"Wir haben die Oberhand ber das ISK gewonnen und jagen sie zurck in ihren Raum. Der Widerstand " \
	"brckelt. Wir hoffen, Sie werden ihnen den Todessto versetzen.\n\n" \
	"Seit der Zerstrung der Befriedungsstationen hat sich das ISK defensiv verhalten und versucht, " \
	"seine Streitkrfte wieder aufzubauen. Ihre Schiffe haben uns nur widerwillig angegriffen, daher wollen wir sie jetzt aus der " \
	"Reserve locken. Sie werden einen ISK-Planeten in [SYSTEM_NAME] angreifen. Wir glauben, dass ein Angriff auf diese Festung " \
	"die ISK-Flotte aus ihren Lchern locken wird. Wenn Sie einmal aufgetaucht sind, ignorieren Sie den Planeten und greifen die Flotte an.\n\n" \
	"Wenn Sie mit der Zerstrung der Flotte fertig sind, wenden Sie sich wieder dem Planeten zu und legen alle militrischen Einrichtungen in Schutt und Asche.\n\n" \
	"Nachdem das erreicht wurde... ist der Weg frei.\n\n" \
	"Wegtreten.\n\n",

	//	kBriefingRepeat_msg,
	"Sie haben es geschafft, den Gegner aufzuhalten, doch bevor wir einen Angriff auf ihre Heimatbasis wagen knnen, " \
	"mssen wir ihre Festung in [SYSTEM_NAME] zerstren. Versuchen Sie wie zuvor, die ISK- " \
	"Schiffe aus der Deckung zu locken, und zerstren Sie sie. Greifen Sie jedoch diesmal den Planeten an, und zerstren Sie die ISK-Basen. Erst dann knnen " \
	"wir mit unserer Offensive fortfahren.\n\n" \
	"Wegtreten.\n\n",
	
	//
	//	Starting message
	//
	
	//	kStart_msg,
	"\n\n",

	//	kStartFederation_msg,
	"[PLAYER_NAME]: Logbuch des Captains, Sternendatum [STARDATE]. Wir greifen [SYSTEM_NAME] in dem " \
	"Versuch an, die ISK-Streitkrfte aus der Reserve zu locken, die uns zuletzt nur unwillig angegriffen haben. Ein Sieg hier knnte " \
	"eine schnelles Ende des Krieges bedeuten. Eine Niederlage wrde ihn bis in die Unendlichkeit verlngern.\n\n",
	
	//	kStartKlingon_msg,
	"[PLAYER_NAME]: Kriegsbericht, [STARDATE]. Oh, es gibt keine grere Freude als die, " \
	"Feiglinge in die Flucht zu schlagen. Wir greifen [SYSTEM_NAME] in dem Versuch an, die ISK-Streitkrfte aus der Reserve zu locken. Ein Sieg hier " \
	"wrde der Zusammenbruch der ISK-Verteidigungslinien bedeuten, und dann wre der Weg zu ihrer Festung frei. Also lasst sie nur kommen!\n\n",
	
	//	kStartRomulan_msg,
	"[PLAYER_NAME]: Bericht des [PLAYER_EMPIRE], [STARDATE]. Wir greifen [SYSTEM_NAME] " \
	"in dem Versuch an, die ISK-Streitkrfte aus der Reserve zu locken, die uns zuletzt nur unwillig angegriffen haben. Der Geheimdienst hat uns versichert, " \
	"dass ein Sieg hier ein schnelles Ende des Krieges bedeuten wrde. Das habe ich zwar schon mal gehrt, aber mein " \
	"Instinkt sagt mir, dass es diesmal wirklich das Ende sein wird.\n\n",
	
	//	kStartLyran_msg,
	"[PLAYER_NAME]: Journal des [PLAYER_RANK], lyranisches Imperium, [STARDATE]. Die Belstigung, die das " \
	"ISK darstellt, wird schon bald ein Ende finden. Wir greifen [SYSTEM_NAME] in dem Versuch an, die ISK-Streitkrfte aus der " \
	"Reserve zu locken, die uns zuletzt nur unwillig angegriffen haben. Diese Schlacht ist fr den Erfolg des gesamten " \
	"Krieges von ausschlaggebender Bedeutung.\n\n",
	
	//	kStartGorn_msg,
	"[PLAYER_NAME]: Logbuch des [PLAYER_RANK], [STARDATE]. Wir greifen [SYSTEM_NAME] in dem Versuch " \
	"an, die ISK-Streitkrfte aus der Reserve zu locken, die uns zuletzt nur unwillig angegriffen haben. Ein Erfolg wird beinah sicher " \
	"den Sieg in einem Krieg garantieren, der schon viel zu lange dauert...\n\n",
	
	//	kStartHydran_msg,
	"[PLAYER_NAME]: Journal des [PLAYER_RANK], [STARDATE]. Wir versuchen, die ISK- " \
	"Streitkrfte aus der Reserve zu locken, die uns zuletzt nur unwillig angegriffen haben. Ein Erfolg hier wird beinah sicher den Sieg in diesem " \
	"grausamen Krieg garantieren.\n\n",
	
	//	kStartMirak_msg,
	"[PLAYER_NAME]: Logbuch des [PLAYER_RANK], [STARDATE]. Wir greifen [SYSTEM_NAME] in dem Versuch " \
	"an, die ISK-Streitkrfte aus der Reserve zu locken, die uns zuletzt nur unwillig angegriffen haben. Ein Erfolg hier wird beinah sicher " \
	"den Sieg in einem Krieg garantieren, aus dem wir schon lngst als Sieger htten hervorgehen sollen.\n\n",

	//
	//	Debriefing messages
	//
	
	//	kDebAstoundingVictory_msg,
	"Gute Arbeit. Sie haben alle ISK-Schiffe in diesem System zerstrt und ihre wichtigsten Basen auf " \
	"[SYSTEM_NAME] in Schutt und Asche gelegt. Der Weg zur Festung des ISKs ist frei. Schon bald werden wir vor der denkbar grten Herausforderung " \
	"stehen.\n\n" \
	"Wegtreten.\n\n",
	
	//	kDebVictory_msg,
	"Wir hatten keine Ahnung, dass der Planet fr das ISK so wichtig war. Mit der Eroberung dieses Planeten und der " \
	"Kapitulation aller ISK-Streitkrfte in diesem System ist der Weg nun frei zur Hauptbasis des ISKs. Gute " \
	"Arbeit!\n\n" \
	"Wegtreten.\n\n",
	
	//	kDebDraw_msg,
	"Sie haben triumphiert -- in gewisser Weise. Das Ablenkungsmanver war ein Erfolg. Allerdings haben Sie es nicht geschafft, " \
	"das Sekundrziel zu erreichen.\n\n Der ISK-Planet steht noch. Sie mssen diese Mission wiederholen, bis " \
	"alle Basen auf dem Planeten zerstrt wurden.\n\n Erst dann knnen wir ihnen den Todessto versetzen.\n\n" \
	"Wegtreten.\n\n",
	
	//	kDebDefeat_msg,
	"\n\n",
	
	//	kDebDevastatingDefeat_msg,
	"Sie haben es nicht geschafft, die ISK-Streitkrfte zu zerschlagen und eine Prsenz der [PLAYER_RACE] in diesem Sektor einzurichten. Das ist " \
	"eine katastrophale Niederlage, die unsere Gegenoffensive - mglicherweise sogar dauerhaft -- zum Stillstand bringt.\n\n" \
	"Wir suspendieren Sie vom Dienst bei den Sondereinheiten der [PLAYER_RACE]. Sie werden in das zivile Leben zurckkehren.\n\n" \
	"Wegtreten. Und Tschss.\n\n",

	//
	//	Comm buttons
	//

	//	k_HAIL_Ally_btn,
	"RUFEN",
	
	//	k_DEFENDME_Ally_btn,
	"MICH VERTEIDIGEN",

	//	k_DEFENDMEFORREAL_Ally_btn,
	"MICH VERTEIDIGEN",

	//	k_ATTACKPLANET_Ally_btn,
	"PLANETEN ANGREIFEN",

	//	k_CAPTUREPLANET_Ally_btn,
	"PLANETEN EROBERN",
	
	//	k_HAIL_ISC_btn,
	"RUFEN",
	
	//	k_DEMANDSURRENDER_ISC_btn,
	"KAPITULATION FORDERN",

	//
	//	Comm messages
	//
	
	//	k_HAIL_Ally1_msg,
	"Captain der Verbndeten: Wir sind gut in Form.\n\n",
	
	//	k_HAIL_Ally2_msg,
	"Captain der Verbndeten: Der Rumpf hlt wirklich gut. Bis jetzt sind wir noch gut in Form.\n\n",
	
	//	k_HAIL_Ally3_msg,
	"Captain der Verbndeten: Wir sind angeschlagen, aber noch ungeschlagen.\n\n",
	
	//	k_HAIL_Ally4_msg,
	"Captain der Verbndeten: Mayday. Wir brauchen Verstrkung.\n\n",
	
	//	k_DEFENDME_Ally1_msg,
	"Captain der Verbndeten: Besttigt. Wir werden unser Bestes tun.\n\n",
	
	//	k_DEFENDME_Ally2_msg,
	"Captain der Verbndeten: Negativ, wir sind zu schwer beschdigt. Wir bereiten uns auf den Rckzug vor.\n\n?",	

	//	k_ATTACKPLANET_Ally1_msg,
	"Captain der Verbndeten: Wollt Ihr den Planeten wirklich zu Staub verwandeln?  O.K.\n\n",

	//	k_CAPTUREPLANET_Ally1_msg,
	"Captain der Verbndeten: Es wird mglicherweise schwierig, nah genug heranzukommen, um Soldaten auf den Planeten zu beamen. Drfte " \
	"ich vorschlagen, den Planeten stattdessen zu zerstren?  Wir werden natrlich versuchen, so nah heranzukommen, dass eine Eroberung mglich ist, sofern wir " \
	"keine anderen Befehle erhalten, [PLAYER_RANK].\n\n",

	//	k_HAIL_ISC1_1_msg,
	"Commander des ISK: Warum sollte ich mich mit Primitivlingen auseinandersetzen?\n\n",
	
	//	k_HAIL_ISC1_2_msg,
	"Commander des ISK: Wer htte gedacht, dass eine solche Allianz jemals mglich sein wrde?\n\n",
	
	//	k_HAIL_ISC1_3_msg,
	"Commander des ISK: Sie sind hierher gekommen, um unseren Planeten mit einem Bombenteppich zu berziehen. Was fr eine Art Monster seid Ihr?\n\n",
	
	//	k_DEMANDSURRENDER_ISC1_1_msg,
	"Commander des ISK: Wir werden uns niemals zurckziehen, uns ergeben oder Euren Nachwuchs verhtscheln.\n\n",
	
	//	k_DEMANDSURRENDER_ISC1_2_msg,
	"Commander des ISK: Ich enttusche Sie nur ungern, [PLAYER_RANK], aber die Antwort ist definitiv Nein.\n\n",
	
	//	k_DEMANDSURRENDER_ISC1_3_msg,
	"Commander des ISK: Ergeben?  Einem Verrckten?  Niemals!\n\n",

	//
	//	Victory rating
	//

	// kAstoundingVictory_msg,
	"Groartiger Sieg!\n",

	// kVictory_msg,
	"Sieg!\n",

	// kDraw_msg,
	"Unentschieden.\n",

	// kDefeat_msg,
	"Niederlage.\n",

	// kDevastatingDefeat_msg,
	"Vernichtende Niederlage.\n",

	//
	//	Random chatter
	//

	//	kRandChat1_msg,
	"Steuermann: Ich kann einfach nicht glauben, dass diese Allianz gegen das ISK tatschlich zusammenhlt.\n\n",
	
	//	kRandChat2_msg,
	"Erster Offizier: Wahrscheinlich werden sie uns in einer gestaffelten Keilformation anfliegen, werden uns einmal berfliegen " \
	"und unsere Schilde mit PPDs weich machen, bevor uns die Nachhut mit ihren Plasmakanonen den Rest gibt. Ziemlich " \
	"tdlich. Sie sollten sich auf Verluste einstellen.\n\n",
		
	//	kRandChat3_msg,
	"Sicherheitsoffizier: Ich habe die Entertrupps in stndiger Bereitschaft gehalten. Es ist mglicherweise ratsam, den " \
	"Planeten zu erobern anstatt ihn zu zerstren.\n\n",
	
	//	kRandChat4_msg,
	"Kommunikationsoffizier: Meldungen zufolge befinden sich ein, mglicherweise zwei ISK-Staffeln in der Nhe des " \
	"Systems. Wir haben kleinere Einsatzkommandos ausgeschickt, um sie aus der Deckung zu locken, hatten aber bisher kein Glck.\n\n ",
		
	//	kRandChat5_msg,
	"Waffenoffizier: Alle Waffengattungen in Bereitschaft. Sie fliegen uns in Keilformation an, wir knnen nur versuchen, "\
	"der vollen Feuerkraft aus dem Weg zu gehen.\n\n",
	
	//	kRandChat6_msg,
	"Wissenschaftsoffizier: Langstreckensensoren zeigen, dass die Verteidigungsstationen rund um den Planeten ber neutronium-" \
	"beschichtete Hllen verfgen. Normalerweise findet man dieses Metall auf nichts Geringerem als Planeten-Killern.\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//

	//	kEvent4_1_msg,
	"Wissenschaftsoffizier: Die Verstrkung hat das System soeben erreicht.\n\n",
	
	//	kEvent5_1_msg,
	"Wissenschaftsoffizier: Wir haben einen Groteil der ISK-Schiffe in diesem System besiegt. Jetzt mssen wir nur noch " \
	"die Basen auf dem Planeten zerstren.\n\n",
	
	//	kEvent5_2_msg,
	"Wissenschaftsoffizier: Wir haben einen Groteil der ISK-Schiffe in diesem System besiegt und die Armeen auf dem Planeten " \
	"in alle Winde zerstreut. Mission erfllt.\n\n",
	
	//	kEvent7_1_msg,
	"Wissenschaftsoffizier: Die Langstreckensensoren zeigen, dass die planetarischen Verteidigungsstationen auf das Schwerste " \
	"bewaffnet sind. Bis dorthin durchzudringen wird ein schwerer Kampf werden.\n\n",
	
	//	kEvent8_1_msg,
	"Wissenschaftsoffizier: Eine Staffel aus fnf ISK-Schiffen ist gerade per Warp im System gelandet. Unser wahrer Feind ist " \
	"angekommen, [PLAYER_RANK].\n\n",
	
	//	kEvent9_1_msg,
	"Wissenschaftsoffizier: Alle Basen auf dem Planeten vernichtet. Sekundrziel erreicht.\n\n",
	
	//	kEvent9_2_msg,
	"Erster Offizier: Alle Einsatzziele wurden erreicht. Mission erfllt.\n\n",
	
	//	kEvent9_3_msg,
	"Erster Offizier: Wir mssen nun nur noch smtliche Schiffe des ISKs zerstren, um die Mission abzuschlieen, [PLAYER_RANK].\n\n",
	
	//	kEvent10_1_msg,
	"Sicherheitsoffizier: Der Planet ist unser, [PLAYER_RANK].\n\n" \
	"Kommunikationsoffizier: Es sieht so aus, als habe unsere Flotte das ISK von seiner Hauptbasis abgeschnitten. Ohne die " \
	"Basis sind sie hilflos. Sie ergeben sich, [PLAYER_RANK].\n\n" \
	"Erster Offizier: Primr- und Sekundrziel erfllt. Wir haben gewonnen -- glaube ich.\n\n",
	
	//	kEvent11_1_msg,
	"Wissenschaftsoffizier: Wir verlassen das System, Captain.\n\n",
	
	//	kEvent12_1_msg,
	"Wissenschaftsoffizier: Wir haben das System verlassen.\n\n",

	//
	//	Custom messages
	//

	//	kCustom1_msg,
	"Erster Offizier: Einen unserer Verbndeten hat es grade erwischt.\n\n",

	//	kCustom2_msg,
	"Erster Offizier: Unseren Verbndeten hat's erwischt.  Jetzt stehen wir ganz allein da.\n\n",

	//	kCustom3_msg,
	"Erster Offizier: Gegnerischer Kreuzer zerstrt.\n\n",

	//	kCustom4_msg,
	"Wissenschaftsoffizier: Die gegnerische Verstrkung hat das System soeben erreicht.\n\n",

	//	kCustom5_msg,
	"Erster Offizier: Gegnerische Verteidigungsplattform ausgefallen.\n\n",

	//	kCustom6_msg,
	"Erster Offizier: Gegnerischen Kreuzer erobert. Sorgen wir dafr, dass er das System verlsst.\n\n",

	//	kCustom7_msg,
	"Erster Offizier: Gegnerischen Kreuzer endgltig erledigt.\n\n",

	//	kCustom8_msg,
	"Sicherheitsoffizier: Das waren mglicherweise noch nicht alle. Ich habe mehr als fnf ISK-Kreuzer in dem Gebiet registriert, " \
	"als wir die Mission begonnen haben. Hmm.\n\n",

	// kCustom9_msg,
	"Sicherheitsoffizier: Der Planet ist unser, [PLAYER_RANK].\n\n" \
	"Erster Offizier: Alle Einsatzziele wurden erreicht. Mission erfllt.\n\n",

//
	//	Not localized as of 10/8/00
	//
	
	//	kPlayerTeamTitle_msg,
	"Jetzt fllt der Hammer",

	//	kPlayerTeamBriefing_msg,
	"",

	//
	//	Not localized as of 10/17/00
	//

	//	kScanning_msg,
	"Wissenschaftsoffizier: Wir scannen...\n\n",

	//	kDisconnect_msg,
	"Mission eingebt",

#else		///////////////////////////////////////////////////////////////////////////////////////

	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_8Hammer",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"\n\n",

	//	kBriefingFederationRomulanHydran_msg,
	"We are now taking the fight to the ISC.  We are two sectors away from finishing them for good.\n\n" \
	"Since the destruction of the Pacification stations, the ISC has been on the defensive, attempting " \
	"to rebuild their forces.  Their ships have been reluctant to engage us, so we plan to draw them " \
	"out.  You will attack an ISC planet in [SYSTEM_NAME].  We believe an assault on this stronghold " \
	"will draw out the ISC fleet.  Once they appear, ignore the planet and engage them.\n\n" \
	"When you've finished destroying them, go back to the planet and bomb the installations to rubble.\n\n" \
	"Without these forces, defenses in the ISC home sector will be reduced to a level where we can " \
	"finish them off for good.\n\n" \
	"Dismissed.\n\n",
	
	//	kBriefingKlingonLyran_msg,
	"The ISC is on the verge of collapse.  Their arrogant house is about to come crashing down around them.\n\n" \
	"Since the destruction of the Pacification stations, the ISC have been on the defensive, attempting to " \
	"rebuild their forces.  Their ships have been reluctant to engage us, so we plan to draw them " \
	"out.  You will attack an ISC planet in [SYSTEM_NAME].  We believe an assault on this stronghold " \
	"will draw out the ISC fleet.  Once the fleet appears, ignore the planet and engage them.\n\n" \
	"When you have destroyed them, go back to the planet and bomb the installations to rubble.\n\n"
	"Without these forces, defenses in the ISC home sector will be reduced to a level where the " \
	"[PLAYER_RACE_PLURAL] can finish them off for good.\n\n" \
	"Dismissed.\n\n",
	
	//	kBriefingGornMirak_msg,
	"We have gained the upper hand on the ISC and are pushing into their space.  Resistance is " \
	"crumbling.  We hope you will set them up for the killing stroke.\n\n" \
	"Since the destruction of the Pacification stations, the ISC has been on the defensive, attempting " \
	"to rebuild their forces.  Their ships have been reluctant to engage us, so we plan to draw them " \
	"out.  You will attack an ISC planet in [SYSTEM_NAME].  We believe an assault on this stronghold " \
	"will draw out the ISC fleet.  Once they appear, ignore the planet and engage them.\n\n" \
	"When you've finished destroying them, go back to the planet and bomb the installations to rubble.\n\n" \
	"Once this is achieved...the road is open.\n\n" \
	"Dismissed.\n\n",

	//	kBriefingRepeat_msg,
	"You succeeded in delaying the enemy, but before we can proceed with an attack on their home base, " \
	"we must destroy their stronghold on [SYSTEM_NAME].  As you did before, attempt to draw off the ISC " \
	"ships and destroy them.  But this time, attack the planet and destroy the ISC bases.  Only then can " \
	"we proceed with our offensive.\n\n" \
	"Dismissed.\n\n",
	
	//
	//	Starting message
	//
	
	//	kStart_msg,
	"\n\n",

	//	kStartFederation_msg,
	"[PLAYER_NAME]: Captain's log, Stardate [STARDATE].  We are attacking [SYSTEM_NAME] in an " \
	"attempt to draw out the ISC forces who have been reluctant to engage us.  A victory here could mean " \
	"a quick end to the war.  A defeat could prolong it indefinitely.\n\n",
	
	//	kStartKlingon_msg,
	"[PLAYER_NAME]: War Record, [STARDATE].  Oh, there is no joy like the joy of smiting " \
	"cowards.  We are attacking [SYSTEM_NAME] in an attempt to draw out the ISC forces.  A victory here " \
	"would mean the collapse of ISC defenses and a clear path to their stronghold.  So let them come!\n\n",
	
	//	kStartRomulan_msg,
	"[PLAYER_NAME]: Record of the [PLAYER_EMPIRE], [STARDATE].  We are attacking [SYSTEM_NAME] " \
	"in an attempt to draw out the ISC forces who have been reluctant to engage us.  Intelligence assures " \
	"us that a victory here could mean a quick end to the war.  I have heard that before, but my " \
	"instincts tell me that this time it truly will be the end.\n\n",
	
	//	kStartLyran_msg,
	"[PLAYER_NAME]: [PLAYER_RANK]'s journal, Lyran Star Empire, [STARDATE].  The annoyance that " \
	"is the ISC may soon be coming to an end.  We are attacking [SYSTEM_NAME] in an attempt to draw out " \
	"the ISC forces who have been reluctant to engage us.  This battle is critical to the success of the " \
	"war.\n\n",
	
	//	kStartGorn_msg,
	"[PLAYER_NAME]: [PLAYER_RANK]'s log, [STARDATE].  We are attacking [SYSTEM_NAME] in an attempt " \
	"to draw out the ISC forces who have been reluctant to engage us.  Success will almost certainly " \
	"ensure victory in a war that has been too long in coming...\n\n",
	
	//	kStartHydran_msg,
	"[PLAYER_NAME]: [PLAYER_RANK]'s journal, [STARDATE].  We are attempting to draw out the ISC " \
	"forces who have been reluctant to engage us.  Success will almost certainly ensure victory in this " \
	"ghastly war.\n\n",
	
	//	kStartMirak_msg,
	"[PLAYER_NAME]: [PLAYER_RANK]'s log, [STARDATE].  We are attacking [SYSTEM_NAME] in an attempt to " \
	"draw out the ISC forces who have been reluctant to engage us.  Success will almost certainly ensure " \
	"victory in a war that we should have won long ago.\n\n",

	//
	//	Debriefing messages
	//
	
	//	kDebAstoundingVictory_msg,
	"Well done.  You have destroyed all ISC ships in that system and destroyed their major bases on " \
	"[SYSTEM_NAME].  The way to the ISC's stronghold is open.  Soon, the supreme challenge will be " \
	"engaged.\n\n" \
	"Dismissed.\n\n",
	
	//	kDebVictory_msg,
	"We had no idea that the planet was so important to the ISC.  With the capture of that planet and the " \
	"surrender of all ISC forces in that system, we now have a route open to the ISC's main base.  Well " \
	"done!\n\n" \
	"Dismissed.\n\n",
	
	//	kDebDraw_msg,
	"You have triumphed -- after a fashion.  The diversion was a success.  However, you failed to achieve " \
	"the secondary objective.  The ISC planet still stands.  You will need to repeat this mission until " \
	"the planet's bases have been destroyed.  Only then can we deliver the killing stroke.\n\n" \
	"Dismissed.\n\n",
	
	//	kDebDefeat_msg,
	"\n\n",
	
	//	kDebDevastatingDefeat_msg,
	"You failed to destroy the ISC forces and establish a [PLAYER_RACE] presence in the sector.  This was " \
	"a critical defeat that's stalled our counter-offensive, perhaps permanently.\n\n" \
	"We're expelling you from the [PLAYER_RACE] special forces.  You'll be returned to civilian duty.\n\n" \
	"Dismissed.  And good-bye.\n\n",

	//
	//	Comm buttons
	//

	//	k_HAIL_Ally_btn,
	"HAIL",
	
	//	k_DEFENDME_Ally_btn,
	"DEFEND ME",

	//	k_DEFENDMEFORREAL_Ally_btn,
	"DEFEND ME",

	//	k_ATTACKPLANET_Ally_btn,
	"ATTACK PLANET",

	//	k_CAPTUREPLANET_Ally_btn,
	"CAPTURE PLANET",
	
	//	k_HAIL_ISC_btn,
	"HAIL",
	
	//	k_DEMANDSURRENDER_ISC_btn,
	"DEMAND SURRENDER",

	//
	//	Comm messages
	//
	
	//	k_HAIL_Ally1_msg,
	"Allied Captain: We're in good shape.\n\n",
	
	//	k_HAIL_Ally2_msg,
	"Allied Captain: Hull is holding up fine.  We're in good shape so far.\n\n",
	
	//	k_HAIL_Ally3_msg,
	"Allied Captain: We're hurting, but still in the fight.\n\n",
	
	//	k_HAIL_Ally4_msg,
	"Allied Captain: Mayday.  Requesting assistance.\n\n",
	
	//	k_DEFENDME_Ally1_msg,
	"Allied Captain: Acknowledged.  We'll do our best.\n\n",
	
	//	k_DEFENDME_Ally2_msg,
	"Allied Captain: Negative, we're too badly damaged.  We're getting ready to withdraw.\n\n",	

	//	k_ATTACKPLANET_Ally1_msg,
	"Allied Captain: So you want to turn that planet into dust?  O.K.\n\n",

	//	k_CAPTUREPLANET_Ally1_msg,
	"Allied Captain: It's going to be difficult to get close enough to beam marines to the planet.  Might " \
	"I suggest destroying the planet instead?  We will try to get close enough to capture it until you " \
	"ask us otherwise, [PLAYER_RANK].\n\n",

	//	k_HAIL_ISC1_1_msg,
	"ISC Commander: Why should I converse with primitives?\n\n",
	
	//	k_HAIL_ISC1_2_msg,
	"ISC Commander: Who would have thought such an alliance would be possible?\n\n",
	
	//	k_HAIL_ISC1_3_msg,
	"ISC Commander: You came here to bomb our planet.  What kind of a monster are you?\n\n",
	
	//	k_DEMANDSURRENDER_ISC1_1_msg,
	"ISC Commander: We will never retreat, surrender, or coddle your offspring.\n\n",
	
	//	k_DEMANDSURRENDER_ISC1_2_msg,
	"ISC Commander: I hate to disappoint you, [PLAYER_RANK], but the answer must be no.\n\n",
	
	//	k_DEMANDSURRENDER_ISC1_3_msg,
	"ISC Commander: Surrender?  To a madman?  Never!\n\n",

	//
	//	Victory rating
	//

	// kAstoundingVictory_msg,
	"Astounding Victory!\n",

	// kVictory_msg,
	"Victory!\n",

	// kDraw_msg,
	"Draw.\n",

	// kDefeat_msg,
	"Defeat.\n",

	// kDevastatingDefeat_msg,
	"Devastating Defeat.\n",

	//
	//	Random chatter
	//

	//	kRandChat1_msg,
	"Helm: I can't believe this alliance against the ISC is actually holding together.\n\n",
	
	//	kRandChat2_msg,
	"First Officer: They're likely to come at us in an echelon wedge formation, passing over us, and " \
	"softening our shields with PPDs before the rear ships catch us with their plasmas.  Quite " \
	"deadly.  Expect losses.\n\n",
		
	//	kRandChat3_msg,
	"Security Officer: I have the boarding parties drilling constantly.  It might be advisable to take " \
	"the planet instead of destroying it.\n\n",
	
	//	kRandChat4_msg,
	"Communications Officer: We have reports of at least one, maybe two ISC echelons near the " \
	"system.  We've sent out small detachments to lure them into the open, but no luck.\n\n",
		
	//	kRandChat5_msg,
	"Weapons Officer: All weapons standing by.  They'll come at us in a wedge formation, let's try to "\
	"avoid taking their full firepower.\n\n",
	
	//	kRandChat6_msg,
	"Science Officer: Long range sensors show that the defense stations around the planet have neutronium-" \
	"plated hulls.  You usually don't find that metal on anything less that Planetkillers.\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//

	//	kEvent4_1_msg,
	"Science Officer: Reinforcements have just entered the system.\n\n",
	
	//	kEvent5_1_msg,
	"Science Officer: We have defeated the main force of ISC ships in this system.  All we need to do now " \
	"is to destroy the bases on the planet.\n\n",
	
	//	kEvent5_2_msg,
	"Science Officer: We have defeated the main force of ISC ships in this system and destroyed the main " \
	"force on the planet.  Mission accoplished.\n\n",
	
	//	kEvent7_1_msg,
	"Science Officer: Long range sensors indicate the planetary defense stations are very heavily " \
	"armed.  It is going to be a fight to get to it.\n\n",
	
	//	kEvent8_1_msg,
	"Science Officer: An echelon of five ISC ships has warped into the system.  The real enemy has " \
	"arrived [PLAYER_RANK].\n\n",
	
	//	kEvent9_1_msg,
	"Science Officer: All planetary bases eliminated.  Secondary objective accomplished.\n\n",
	
	//	kEvent9_2_msg,
	"First Officer: All objectives completed.  Mission accomplished.\n\n",
	
	//	kEvent9_3_msg,
	"First Officer: We now need to destroy all ISC ships to complete the mission, [PLAYER_RANK].\n\n",
	
	//	kEvent10_1_msg,
	"Security Officer: The planet is ours, [PLAYER_RANK].\n\n" \
	"Communications Officer: It appears our fleet has cut the ISC off from its main base.  Without the " \
	"base, they're helpless.  They're surrendering, [PLAYER_RANK].\n\n" \
	"First Officer: Primary and secondary objectives complete.  We won -- I guess.\n\n",
	
	//	kEvent11_1_msg,
	"Science Officer: Leaving the system, Captain.\n\n",
	
	//	kEvent12_1_msg,
	"Science Officer: We have left the system.\n\n",

	//
	//	Custom messages
	//

	//	kCustom1_msg,
	"First Officer: One of our allies has gone down.\n\n",

	//	kCustom2_msg,
	"First Officer: Ally down.  We are all alone now.\n\n",

	//	kCustom3_msg,
	"First Officer: Enemy cruiser destroyed.\n\n",

	//	kCustom4_msg,
	"Science Officer: Enemy reinforcements have just entered the system.\n\n",

	//	kCustom5_msg,
	"First Officer: Enemy defense platform down.\n\n",

	//	kCustom6_msg,
	"First Officer: Enemy cruiser captured.  Let's have it leave the system.\n\n",

	//	kCustom7_msg,
	"First Officer: Enemy cruiser gone for good.\n\n",

	//	kCustom8_msg,
	"Security Officer: That's probably not all of them.  I was reading more than five ISC Cruisers in the " \
	"area when we started this mission.  Hmm.\n\n",

	// kCustom9_msg,
	"Security Officer: The planet is ours, [PLAYER_RANK].\n\n" \
	"First Officer: All objectives complete.  Mission accomplished.\n\n",

	//
	//	Not localized as of 10/8/00
	//
	
	//	kPlayerTeamTitle_msg,
	"Dropping The Hammer",

	//	kPlayerTeamBriefing_msg,
	"",

	//
	//	Not localized as of 10/17/00
	//

	//	kScanning_msg,
	"Science Officer: Scanning...\n\n",

	//
	//	Not localized as of 11/5/00
	//

	//	kDisconnect_msg,
	"Forfeit",

#endif
};


