/********************************************************************************************************\

	File Name:	BaseShip.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "BaseShip.h"
#include "BaseShipBaseState.h"
#include "MissionText.h"
#include "Uni_8Massacre.h"

tClassAllocator<tBaseShip> gBaseShipAllocator;

void tBaseShip::mSetupState()
{
	mRegisterState( new tBaseShipBaseState() );
	mGotoState( typeid( tBaseShipBaseState ) );
}

void tBaseShip::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	ASSERT( playerTeam );
	if( !playerTeam ) return;

	playerTeam->mRegisterCommMessage( kState1,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail,
									  kHailBase_msg );

	playerTeam->mGotoCommState( mGetShipID(), kState1 );
}

void tBaseShip::mSetupShip()
{
	mChangeName( kMedicalBaseName_msg );
}
