/********************************************************************************************************\

	File Name:	FriendlyTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "FriendlyTeamBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tFriendlyTeamBaseState::mBeginState()
{}
void tFriendlyTeamBaseState::mEndState()
{}

void tFriendlyTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tFriendlyTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tFriendlyTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tFriendlyTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tFriendlyTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tFriendlyTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tFriendlyTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tFriendlyTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tFriendlyTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tFriendlyTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tFriendlyTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tFriendlyTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tFriendlyTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tFriendlyTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tFriendlyTeamBaseState::mOnFlashingButtonPressed()
{}
void tFriendlyTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tFriendlyTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tFriendlyTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tFriendlyTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tFriendlyTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tFriendlyTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tFriendlyTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tFriendlyTeamBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tFriendlyTeamBaseState::mOnHostChanged()
{}
void tFriendlyTeamBaseState::mOnTimedInterval( int32 timerID )
{}
void tFriendlyTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tFriendlyTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

