/********************************************************************************************************\

	File Name:	EnemyTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( EnemyTeam_h )
#define EnemyTeam_h

#include "TeamInfo.h"


class tEnemyTeam : public tTeamInfo
{
public:

	tEnemyTeam();
	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mOldCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );

	virtual void mCreateStarBase();
	virtual void mOldCreateStarBase();


/*

	HELPER NOTE:	Below is where the list of the ship custom IDs go.  An example follows.

	enum eCustomIDs
	{
		kPlayerNPCBS1,
		kPlayerNPCBS2,
	};

*/
	enum eCustomIDs
	{
		kEnemyStarBase = 600,
		kEnemyDreadnought,
		kEnemyBattleship,
		kEnemyDefPlat1,
		kEnemyDefPlat2,
		kEnemyDefPlat3,
		kEnemyDefPlat4,
		kEnemyDefPlat5,
		kEnemyDefPlat6,
		kEnemyDefPlat7,
		kEnemyDefPlat8,
	};	
	enum eTimerIDs
	{
		kShieldTimerID = 2000,
	};
	int32 mShieldTimer(void);
	void mIncShieldTimer(void);

private:
	int32 fShieldTimer;
};

#endif
