/********************************************************************************************************\

	File Name:	MissionText.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( MissionText_h )
#define MissionText_h

#include "tstring.h"


enum TextMessages
{
	//
	//	Mission Title
	//
	kMissionTitle_msg,

	//
	//	Briefing message
	//
	kBriefing_msg,
	kFedBriefing_msg,
	kKlingonBriefing_msg,
	kRomulanBriefing_msg,
	kLyranBriefing_msg,
	kHydranBriefing_msg,
	kGornBriefing_msg,
	kISCBriefing_msg,		// placeholder
	kMirakBriefing_msg,
	

	//
	//	Starting message
	//
	kStart_msg,
	kFedStart_msg,
	kKlingonStart_msg,
	kRomulanStart_msg,
	kLyranStart_msg,
	kHydranStart_msg,
	kGornStart_msg,
	kISCStart_msg,		// placeholder
	kMirakStart_msg,

	//
	//	Debriefing messages
	//
	kDebBaseDestroyedTrue_msg,
	kDebBaseDestroyedFalse_msg,
	kDebDismissed_msg,

	//
	//	Comm buttons
	//
	kHailAlly_btn,
	kRequestAssistance_btn,
	kDefendMe_btn,
	kAttackMyTarget_btn,

	kDemandSurrender_btn,
	kSetAsTarget_btn,
	kLowerShields_btn,

	//
	//	Comm messages
	//
	kCommDummy_msg,
	kCommUtility_msg,
	kNoAnswer_msg,
	kISCRandom1_msg,
	kISCRandom2_msg,
	kISCRandom3_msg,
	kISCRandom4_msg,
	kISCRandom5_msg,
	kISCRandom6_msg,

	

	//
	//	Victory rating
	//
	kAstoundingVictory_msg,
	kVictory_msg,
	kDraw_msg,
	kDefeat_msg,
	kDevastatingDefeat_msg,

	//
	//	Random chatter
	//
	kRandChat1_msg,
	kRandChat2_msg,
	kRandChat3_msg,
	kRandChat4_msg,
	kRandChat5_msg,
	kRandChat6_msg,

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//

	//
	//	Custom messages
	//

	//
	//	Number of messages
	//
	kFedRace_txt, 
	kKlingonRace_txt, 
	kRomulanRace_txt, 
	kLyranRace_txt, 
	kHydranRace_txt, 
	kGornRace_txt, 
	kISCRace_txt,
	kMirakRace_txt,
	kOrionRace_txt,  
	kTholianRace_txt,
	kLDRRace_txt,
	kWYNRace_txt,
	kJindarianRace_txt,	 

	//
	//	Not localized as of 10/8/00
	//
	kPlayerTeamTitle_msg,
	kPlayerTeamBriefing_msg,

	//
	//	Not localized as of 10/17/00
	//
	kScanning_msg,

	//
	//	Not localized as of 11/5/00
	//
	kDisconnect_msg,
};

extern std::string Messages[];


#endif
