/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN

	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_9C1Welcome",

	// *******************
	// Briefing Messages
	// *******************
	"Einsatzbesprechung: Sie befinden sich auf einer Selbstmordmission gegen die ISK-Raumbasis. Viel Glck, Sie werden es brauchen knnen.",

	// kFedBriefing_msg
	">Zerstren Sie die ISK-Raumstation<" \
	"Sie befinden sich im Heimatsektor des ISKs. Dies ist ein Akt der Verzweiflung, " \
	"so viel steht fest.\n\n" \
	"Wir hoffen nur, dass Sie das ISK berraschen knnen, dass Sie " \
	"ihre Hauptbasis zerstren und schnell wieder verschwinden knnen. Es ist wahrscheinlich Selbstmord, aber " \
	"Sie haben sich freiwillig gemeldet.\n\n" \
	"Viel Glck. Sie werden es brauchen.\n\n",


	// kKlingonBriefing_msg
	">Zerstren Sie die ISK-Raumstation<" \
	"Sie befinden sich im Heimatsektor des ISKs. Jetzt geht der Spa erst richtig los.\n\n" \
	"Die Verteidigung ist massiv, aber mit Ihrer Tapferkeit werden Sie die paar Dreadnoughts und " \
	"Schlachtkreuzer problemlos berwinden! Die Raumbasis ist schwer bewaffnet, und Sie haben " \
	"keine Verbndeten!\n\n Aber sagen Sie sich einfach, dass es ein guter Tag zum Sterben ist, " \
	"und kmpfen Sie weiter. Ruhm! Ehre! Pflicht! Das Imperium wird auf Sie herablcheln!\n\n" \
	"(brummt in seinen Bart) Was sind das nur fr unverbesserliche Narren...\n\n" \
	"Viel Glck!\n\n",

	// kRomulanBriefing_msg
	">Zerstren Sie die ISK-Raumstation<" \
	"Sie befinden sich ohne alliierte Untersttzung im Heimatsektor des ISKs.\n\n Wir " \
	"haben Ihre Familien bereits informiert. Ich versichere Ihnen, dass das romulanische Imperium " \
	"gut fr sie sorgen wird, wenn Sie von ihnen gegangen sind.\n\n" \
	"Sterben Sie wrdevoll, mein Freund.",

	// kLyranBriefing_msg
	">Zerstren Sie die ISK-Raumstation<"
	"Sie haben sich entgegen unserem Rat in den ISK-Heimatsektor begeben.\n\n" \
	"Dieses Selbstmordkommando ist lcherlich, aber wenn wir Sie nicht davon abbringen knnen, werden wir Ihnen unseren Segen erteilen." \
	"Ihre Tapferkeit ehrt uns; ich wnschte nur, Sie htten etwas mehr Vernunft bewiesen." \
	"Wenn Sie es schaffen, diese Mission zu berstehen, werden Sie zum grten Helden " \
	"in unserer Geschichte aufsteigen. Wegtreten.\n\n",

	// kHydranBriefing_msg
	">Zerstren Sie die ISK-Raumstation<" \
	"Sie haben sich entgegen unserem Rat in den ISK-Heimatsektor begeben. Ich hasse es, mit ansehen zu mssen, " \
	"wie Leute ihr Leben wegwerfen, aber es geschieht.\n\n" \
	"Viel Glck. Es war nett, Sie gekannt zu haben.\n\n",

	// kGornBriefing_msg
	">Zerstren Sie die ISK-Raumstation<"
	"Sie haben sich entgegen unserem Rat in den ISK-Heimatsektor begeben.\n\n" \
	"Dieses Selbstmordkommando ist wahrlich ein inspirierender Akt der Tapferkeit. Zuknftige Generationen werden " \
	"Ihren Mut lobpreisen, vorausgesetzt, dass es uns nicht bis zum Zusammenbruch schwcht, dass wir das Leben von einem " \
	"unserer tapfersten und besten Kmpfer sinnlos vergeudet haben.\n\n" \
	"Viel Glck. Es war gut, Sie gekannt zu haben.\n\n",


	// kISCBriefing_msg placeholder
	"///Platzhalter fr ISK-Einsatzbesprechung",

	// kMirakBriefing_msg
	">Zerstren Sie die ISK-Raumstation<" \
	"Sie haben sich entgegen unserem Rat in den ISK-Heimatsektor begeben. " \
	"Sie werden viel Glck brauchen, um zu berleben, aber das Glck ist nur dem Tchtigen hold. Gehen Sie jetzt, " \
	"und zerstren Sie ihre Basis.\n\n",

	//
	//	Starting message
	//
	
	//	kStart_msg,
	"///Default Start Message: ///Report if this shows up.\n\n",
	// kFedStart_msg
	"[PLAYER_NAME]: Logbuch des Captains, [STARDATE].[0] " \
	"Sie nennen uns verrckt, aber das interessiert mich nicht. Dieser Krieg hat lange genug gedauert. " \
	"Und die Schwierigkeiten interessieren mich auch nicht, wir werden gegen das ISK kmpfen oder untergehen.\n\n",

	//	kKlingonStart_msg,
	
	"[PLAYER_NAME]: Kriegsbericht, [STARDATE].[0] Mein Hass fr das ISK und alles, was sie " \
	"reprsentieren, hat den Siedepunkt erreicht. Entweder werden sie sterben, oder ich werde mein Leben lassen." \
	"Das Universum verlangt ein Vakuum.\n\n",
	
	//	kRomulanStart_msg,

	"[PLAYER_NAME]: Bericht des romulanischen Imperiums, [STARDATE].[0] " \
	"Sie sagen, wir befinden uns auf einem Selbstmordkommando, aber ich wei etwas, was sie " \
	"vergessen haben - alle Missionen sind Selbstmord. Manche gehen nur einfach anders aus, als " \
	"man erwartet.[0] Ich bin entschlossen, mir mein Recht als romulanischer Offizier zu nehmen und dem " \
	"Feind jeden nur denkbaren Schaden zuzufgen, und wenn ich dabei mein Leben lassen sollte, so mge es geschehen.\n\n", 

	//	kLyranStart_msg,

	"[PLAYER_NAME]: Journal des Commanders, lyranisches Imperium, [STARDATE].[0] " \
	"Meine Kinder, ich habe ein Geschenk fr Euch. Ich werde Euch ein Universum schenken, in dem das ISK " \
	"keine Bedrohung fr Euch darstellt. Ich wei, dass die Chancen schlecht stehen, aber das interessiert mich nicht. Man darf nicht " \
	"zulassen, dass einem die Angst die Krallen zieht.[0] Die ISK-Raumbasis wird zerstrt werden.\n\n",

	//	kHydranStart_msg,
	"[PLAYER_NAME]: Journal des Commanders, [STARDATE].[0]" \
	"Sie sagen, dass dies ein Selbstmordkommando ist, aber es muss getan werden, also berlassen wir es " \
	"den Geschichtsbchern festzustellen, ob dieser Angriff gegen das ISK ein kapitaler Fehler war.\n\n",

	//	kGornStart_msg,
	"[PLAYER_NAME]: Logbuch des Commanders, [STARDATE].[0] Das ISK muss vernichtet werden. Ihre " \
	"Basis muss zerstrt werden. Mehr gibt es dazu nicht zu sagen. Krze angesichts " \
	"des Todes entspricht der Denkweise des Soldaten.\n\n",

	//	kISCStart_msg,		// placeholder
	"",
	//	kMirakStart_msg
	"[PLAYER_NAME]: Jagdbericht, [STARDATE].[0] Wir beteiligen uns an einem Selbstmordkommando " \
	"im Kampf gegen die Hauptbasis des ISKs in diesem Quadranten. Lebt wohl, denn dies " \
	"wird der letzte Logbucheintrag des Captains der [PLAYER_SHIP_NAME] sein.[0]" \
	"Vor uns ist Dunkelheit und Feuer, aber ich werde ihnen meine Wunden zufgen " \
	"und beten, dass ich sie fallen sehe, bevor ich sterbe.",


	//
	//	Debriefing messages
	//
	
	// kDebBaseDestroyedTrue_msg
	"Ich kann es nicht glauben! Sie haben tatschlich die ISK-Basis zerstrt und konnten entkommen. Das ist " \
	"einfach unglaublich!\n[0] Als Ergebnis dieser unvorhergesehenen Niederlage ist das ISK nun zerschlagen. " \
	"Wir haben jetzt die Chance, sie endgltig zu besiegen. Wir mssen allerdings auch noch " \
	"entscheiden, was mit ihren Frsprechern, den Organiern, passieren soll.\n[0]" \
	"Herzlichen Glckwunsch. Was niemand zu hoffen wagte, ist eingetreten: Sie haben den Sieg errungen.\n\n",

	// kDebBaseDestroyedFalse_msg
	"Der ISK-Planet steht noch. Ihre Schlachtkreuzer formieren sich zum Angriff. " \
	"Ihre nrrische Geste kann uns nun teuer zu stehen kommen!\n\n ",

	// kDebDismissed_msg
	"Wegtreten.\n\n",
	//
	//	Comm buttons
	//
	// kHail_btn
	"RUFEN",
	// kDemandSurrender_btn
	"KAPITULATION FORDERN",

	// kLowerShields_btn
	"SCHILDE SENKEN",
	//
	//	Comm messages
	//
	// kCommDummy_msg
	"",
	// kCommUtility_msg
	"///Un-intialized Utility Message",
	// kNoAnswer_msg
	"Kommunikationsoffizier: Sie antworten nicht auf unsere Rufe.",

	// kISCRandom1_msg
	"Commander des ISK: Primitivlingen habe ich nichts zu sagen.",
	// kISCRandom2_msg
	"Commander des ISK: Ihr werdet den Traum vom Frieden nicht mit Waffengewalt besiegen.",
	// kISCRandom3_msg
	"Commander des ISK: Ich verstehe zwar die selbstmrderischen Impulse dieses primitiven Geistes nicht, aber macht nichts.",
	// kISCRandom4_msg
	"Commander des ISK: Sie sind in der Minderzahl und schlechter bewaffnet. Haben Ihre Aggressionen Sie blind so gemacht?",
	// kISCRandom5_msg
	"Commander des ISK: Wie verrckt sind Sie eigentlich?",
	// kISCRandom6_msg
	"Commander des ISK: Dieser Wahnsinn muss ein Ende finden, aber nicht zu Euren Bedingungen! Wir sagen Nein!",


	//
	//	Victory rating
	//

	// kAstoundingVictory_msg,
	"Groartiger Sieg!\n\n",

	// kVictory_msg,
	"Sieg!\n\n",

	// kDraw_msg,
	"Unentschieden\n\n",

	// kDefeat_msg,
	"Niederlage\n\n",

	// kDevastatingDefeat_msg,
	"Vernichtende Niederlage\n\n",

	//
	//	Random chatter
	//

	//	kRandChat1_msg,
	"Steuermann: Es ist mir eine Ehre, unter Ihnen zu dienen, [PLAYER_RANK].\n\n",
	
	//	kRandChat2_msg,
	"Ingenieur: Je schneller wir diese Basis ausheben knnen, desto besser.\n\n",
		
	//	kRandChat3_msg,
	"Sicherheitsoffizier: Ich habe die Entertrupps in stndiger Bereitschaft gehalten, aber ich bezweifle, dass diese Schlacht mit unseren Transportern geschlagen werden kann.\n\n",
	
	//	kRandChat4_msg,
	"Kommunikationsoffizier: Die Basis gibt Abfangbefehle an die ISK-Flotte aus.\n\n",
		
	//	kRandChat5_msg,
	"Waffenoffizier: Diese Raumbasis ist schwer bewaffnet. Ich wnschte, wir wren nicht allein losgezogen.\n\n",
	
	//	kRandChat6_msg,
	"Wissenschaftsoffizier: Die Sensoren registrieren zwei Dreadnoughts und zwei Schlachtschiffe in diesem Sektor. Oh Mann!\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//

	//
	//	Custom messages
	//
	// kFedRace_txt
	"Fderation", 
	// kKlingonRace_txt
	"Klingonen", 
	// kRomulanRace_txt
	"Romulaner",
	// kLyranRace_txt
	"Lyraner", 
	// kHydranRace_txt
	"Hydraner", 
	// kGornRace_txt
	"Gorn", 
	// kISCRace_txt
	"ISK",
	// kMirakRace_txt
	"Miraker",
	// kOrionRace_txt
	"Orionen",  
	// kTholianRace_txt
	"Tholianer",
	//kLDRRace_txt
	"LDR",
	//kWYNRace_txt
	"WYN",
	//kJindarianRace_txt
	"Jindarianer",	 

//
	//	Not localized as of 10/8/00
	//
	
	//	kPlayerTeamTitle_msg,
	"Wo du nicht willkommen bist",

	//	kPlayerTeamBriefing_msg,
	"",

	//
	//	Not localized as of 10/17/00
	//

	//	kScanning_msg,
	"Wissenschaftsoffizier: Wir scannen...\n\n",


	//	kDisconnect_msg,
	"Mission eingebt",

#else		///////////////////////////////////////////////////////////////////////////////////////////

	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_9C1Welcome",

	// *******************
	// Briefing Messages
	// *******************
	"Briefing: You're on a suicide mission against the ISC starbase. Good luck, you'll need it.",

	// kFedBriefing_msg
	">Destroy the ISC starbase<" \
	"You've entered the ISC home sector. This is a desperate gamble, " \
	"make no mistake about it.\n\n" \
	"We're hoping you've caught the ISC off guard, that you'll be able to " \
	"destroy their main base, and get out quick. It's probably suicide, but you " \
	"volunteered.\n\n" \
	"Good luck. You'll need it.\n\n",


	// kKlingonBriefing_msg
	">Destroy the ISC starbase<" \
	"You've entered the ISC home sector. Now the real fun begins.\n\n" \
	"Defenses are heavy, but your courage can overcome a few dreadnoughts " \
	"and battlecruisers! The starbase is heavily armed, and you have no " \
	"allies!\n\nBut just tell yourself that it is a good day to die, " \
	"and fight on. Glory! Honor! Duty! The Empire will smile on you!\n\n" \
	"(mutters under his breath) What complete and utter fools they are...\n\n" \
	"Good luck!\n\n",

	// kRomulanBriefing_msg
	">Destroy the ISC starbase<" \
	"You've entered the ISC home sector, without allied support.\n\nWe " \
	"have informed your families. I assure you that the Romulan Empire " \
	"will take good care of them after you are gone.\n\n" \
	"Die with dignity, my friend.",

	// kLyranBriefing_msg
	">Destroy the ISC starbase<"
	"Against our recommendation, you have entered the ISC home sector.\n\n" \
	"This act of suicide is ludicrous, but if we cannot dissuade you, we will bless you." \
	"Your courage honors us; I only wish you had shown more common sense.\n\n" \
	"If you manage to succeed in this mission, you will be acclaimed the greatest hero " \
	"in our history. Dismissed.\n\n",

	// kHydranBriefing_msg
	">Destroy the ISC starbase<" \
	"Against our recommendation, you have entered the ISC home sector. I hate to " \
	"see people throw away their lives, but it happens.\n\n" \
	"Good luck. It was nice knowing you.\n\n",

	// kGornBriefing_msg
	">Destroy the ISC starbase<"
	"Against our recommendation, you have entered the ISC home sector.\n\n" \
	"This act of suicide is truly an inspiring act of courage. Generations to come will " \
	"laud your courage, provided that throwing away some of our bravest and best does not " \
	"weaken us to the point of collapse.\n\n" \
	"Good luck. It was good to know you.\n\n",


	// kISCBriefing_msg placeholder
	"ISC Briefing Placeholder",

	// kMirakBriefing_msg
	">Destroy the ISC starbase<" \
	"Against our recommendation, you have entered the ISC home sector. " \
	"You will be lucky to survive, but fortune favors the bold. Go now, " \
	"and destroy their base.\n\n",

	//
	//	Starting message
	//
	
	//	kStart_msg,
	"Default Start Message: Report if this shows up.\n\n",
	// kFedStart_msg
	"[PLAYER_NAME]: Captain's log, Stardate [STARDATE].[0] " \
	"They are calling us crazy, but I don't care. This war has lasted long enough. " \
	"I don't care what the odds are, we will take the fight to the ISC, or die.\n\n",

	//	kKlingonStart_msg,
	
	"[PLAYER_NAME]: War Record, [STARDATE].[0] My hatred for the ISC and all they " \
	"represent has reached a boiling point. Either they shall die, or I shall die." \
	"The universe demands a vacuum.\n\n",
	
	//	kRomulanStart_msg,

	"[PLAYER_NAME]: Record of the Romulan Star Empire, [STARDATE].[0] " \
	"They say we are engaged on a suicide mission, but I know something that they " \
	"have forgotten - all missions are suicide. Some merely have different outcomes " \
	"one expects.[0]I am determined to take my right as a Romulan officer to inflict " \
	"damage on the enemy, and if I lose my life, so be it.\n\n", 

	//	kLyranStart_msg,

	"[PLAYER_NAME]: Commander's journal, Lyran Star Empire, [STARDATE].[0] " \
	"My children, I have a gift for you. I will give you a universe where the ISC " \
	"does not threaten you. I know the odds are bleak, but I do not care. One must " \
	"not let fear to extract the claws from one's body.[0] The ISC base will be destroyed\n\n",

	//	kHydranStart_msg,
	"[PLAYER_NAME]: Commander's journal, [STARDATE].[0]" \
	"They say this is a suicide mission, but this must be done, so we'll leave it " \
	"to the histriy books as to whether this assault on the ISC is a grave mistake.\n\n",

	//	kGornStart_msg,
	"[PLAYER_NAME]: Commander's log, [STARDATE].[0]The ISC must die. Their " \
	"base must be destroyed. Nothing else needs to be said. Brevity in the face " \
	"of death is the soldier's way.\n\n",

	//	kISCStart_msg,		// placeholder
	"",
	//	kMirakStart_msg
	"[PLAYER_NAME]: Hunt record, [STARDATE].[0]We are engaged in a suicide " \
	"assault against the ISC's main base in this quadrant. Farewell, for this " \
	"is the final log entry of the captain of the [PLAYER_SHIP_NAME].[0]" \
	"There is darkness and fire ahead, but I shall inflict my wounds, " \
	"and pray that I see them fall before I die.",


	//
	//	Debriefing messages
	//
	
	// kDebBaseDestroyedTrue_msg
	"I cannot believe it! You actually destroyed the ISC base and escaped. This is " \
	"unbelievable!\n[0]The ISC is now scattering as a result of this unforeseen defeat. " \
	"We have a window of opportunity to defeat them for good. We will also have to " \
	"decide what to do about their patrons, the Organians.\n[0]" \
	"Congratulations. Against all hope, victory.\n\n",

	// kDebBaseDestroyedFalse_msg
	"The ISC base still stands. Their battlecruisers are rallying for the attack. This " \
	"foolhardy gesture of yours may cost us dearly!\n\n",

	// kDebDismissed_msg
	"Dismissed.\n\n",
	//
	//	Comm buttons
	//
	// kHail_btn
	"HAIL",
	// kDemandSurrender_btn
	"DEMAND SURRENDER",

	// kLowerShields_btn
	"LOWER SHIELDS",
	//
	//	Comm messages
	//
	// kCommDummy_msg
	"",
	// kCommUtility_msg
	"Un-intialized Utility Message",
	// kNoAnswer_msg
	"Communications Officer: They're not answering our hails.",

	// kISCRandom1_msg
	"ISC Commander: I have nothing to say to primitives.",
	// kISCRandom2_msg
	"ISC Commander: You will not defeat the dream of peace through force of arms.",
	// kISCRandom3_msg
	"ISC Commander: I do not understand the suicidal impulses of the primitive mind, but no matter.",
	// kISCRandom4_msg
	"ISC Commander: Your outnumbered and outgunned. Has your aggression blinded you?",
	// kISCRandom5_msg
	"ISC Commander: How big a fool are you?",
	// kISCRandom6_msg
	"ISC Commander: This madness must end, but not on your terms! We say no!",


	//
	//	Victory rating
	//

	// kAstoundingVictory_msg,
	"Astounding Victory!\n\n",

	// kVictory_msg,
	"Victory!\n\n",

	// kDraw_msg,
	"Draw\n\n",

	// kDefeat_msg,
	"Defeat!\n\n",

	// kDevastatingDefeat_msg,
	"Devastating Defeat!\n\n",

	//
	//	Random chatter
	//

	//	kRandChat1_msg,
	"Helm: It's been an honor to serve with you, [PLAYER_RANK].\n\n",
	
	//	kRandChat2_msg,
	"Engineer: The sooner we take out that base, the better.\n\n",
		
	//	kRandChat3_msg,
	"Security Officer: I have the boarding parties drilling constantly, but I doubt this battle is going to be settled with our transporters.\n\n",
	
	//	kRandChat4_msg,
	"Communications Officer: The base is issuing intercept orders to the ISC fleet.\n\n",
		
	//	kRandChat5_msg,
	"Weapons Officer: That's a lot of armament on that base. I wish we weren't going in alone.\n\n",
	
	//	kRandChat6_msg,
	"Science Officer: Sensors show two dreadnoughts, and two battleships in this sector. Oh boy.\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//

	//
	//	Custom messages
	//
	// kFedRace_txt
	"Federation", 
	// kKlingonRace_txt
	"Klingon", 
	// kRomulanRace_txt
	"Romulan",
	// kLyranRace_txt
	"Lyran", 
	// kHydranRace_txt
	"Hydran", 
	// kGornRace_txt
	"Gorn", 
	// kISCRace_txt
	"ISC",
	// kMirakRace_txt
	"Mirak",
	// kOrionRace_txt
	"Orion",  
	// kTholianRace_txt
	"Tholian",
	//kLDRRace_txt
	"LDR",
	//kWYNRace_txt
	"WYN",
	//kJindarianRace_txt
	"Jindarian",	 

	//
	//	Not localized as of 10/8/00
	//
	
	//	kPlayerTeamTitle_msg,
	"Where You're Not Welcome",

	//	kPlayerTeamBriefing_msg,
	"",

	//
	//	Not localized as of 10/17/00
	//

	//	kScanning_msg,
	"Science Officer: Scanning...\n\n",

	//
	//	Not localized as of 11/5/00
	//

	//	kDisconnect_msg,
	"Forfeit",
#endif
};


