/********************************************************************************************************\

	File Name:	Uni_9C1Welcome.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( Uni_9C1Welcome_h )
#define Uni_9C1Welcome_h

#include "ScriptInterface.h"

//---------------------------------------------------------------------------------------------
// the following enum is used to identify all non-player teams in the script
// (use kPlayerTeam to access the current players team.)
enum eTeamTypes
{
	kPlayerTeam = kTeam1,
	kEnemyTeam,
	kDraft1Team,
    kDraft2Team,
	kDraft3Team,
    kDraft4Team,
};

class tVictoryCondition;

class tUni_9C1Welcome : public tScript
{
public:
	bool gShieldsLowered;

	bool gCodeKnown;

	enum eCommStates
	{
		kCommState1,
		kCommState2,
		kCommState3,
		kcommState4,
	};

	tUni_9C1Welcome();

	virtual void	mStartMission();
	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual int32	mInitializeFinished();
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual void	mASCIIOverrides( tMapOverrides* Map );
	virtual void	mDefineBriefings( void );
	virtual void	mDefineTeamShipStrengths( void );
};

#endif


