/********************************************************************************************************\

	File Name:	AlliedMoon.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "AlliedMoon.h"
#include "AlliedMoonBaseState.h"
#include "MissionText.h"
#include "Uni_9Edge.h"

tClassAllocator<tAlliedMoon> gAlliedMoonAllocator;

void tAlliedMoon::mSetupState()
{
	mRegisterState( new tAlliedMoonBaseState() );
	mGotoState( typeid( tAlliedMoonBaseState ) );
}

void tAlliedMoon::mSetupCommState()
{

	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	if( !playerTeam )
		return;

	playerTeam->mRegisterCommMessage( kCommState_1,
								      kNoStateChange,
									  mGetShipID(),
									  kButton_CallTransport,
									  kNoMsg,
									  kNoRandomMsg );

	playerTeam->mRegisterCommMessage( kCommState_2,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_CallTransport,
									  kNoMsg,
									  kNoRandomMsg );

	playerTeam->mGotoCommState( mGetShipID(), kCommState_1 );
}

void tAlliedMoon::mSetupShip()
{
	//mChangeName( kAlliedMoonName );
}
