/********************************************************************************************************\

	File Name:	AllyTeam2BaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "AllyTeam2BaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tAllyTeam2BaseState::mBeginState()
{}
void tAllyTeam2BaseState::mEndState()
{}

void tAllyTeam2BaseState::mOnDeath( tShipInfo* ship )
{}
void tAllyTeam2BaseState::mOnCapture( tShipInfo* ship )
{}
void tAllyTeam2BaseState::mOnDisengaged( tShipInfo* ship )
{}
void tAllyTeam2BaseState::mAtDistance( tShipInfo* ship )
{}
void tAllyTeam2BaseState::mAtDestination( tShipInfo* ship )
{}
void tAllyTeam2BaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tAllyTeam2BaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tAllyTeam2BaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tAllyTeam2BaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tAllyTeam2BaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tAllyTeam2BaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tAllyTeam2BaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tAllyTeam2BaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tAllyTeam2BaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tAllyTeam2BaseState::mOnFlashingButtonPressed()
{}
void tAllyTeam2BaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tAllyTeam2BaseState::mOnChangingShip( tShipInfo* ship )
{}
void tAllyTeam2BaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tAllyTeam2BaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tAllyTeam2BaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tAllyTeam2BaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tAllyTeam2BaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tAllyTeam2BaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tAllyTeam2BaseState::mOnHostChanged()
{}
void tAllyTeam2BaseState::mOnTimedInterval( int32 timerID )
{}
void tAllyTeam2BaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tAllyTeam2BaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

