/********************************************************************************************************\

	File Name:	LPTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "LPTeamBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tLPTeamBaseState::mBeginState()
{}
void tLPTeamBaseState::mEndState()
{}

void tLPTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tLPTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tLPTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tLPTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tLPTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tLPTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tLPTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tLPTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tLPTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tLPTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tLPTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tLPTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tLPTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tLPTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tLPTeamBaseState::mOnFlashingButtonPressed()
{}
void tLPTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tLPTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tLPTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tLPTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tLPTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tLPTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tLPTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tLPTeamBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tLPTeamBaseState::mOnHostChanged()
{}
void tLPTeamBaseState::mOnTimedInterval( int32 timerID )
{}
void tLPTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tLPTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

