/********************************************************************************************************\

	File Name:	MirakPlanetTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "MirakPlanetTeamBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tMirakPlanetTeamBaseState::mBeginState()
{}
void tMirakPlanetTeamBaseState::mEndState()
{}

void tMirakPlanetTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tMirakPlanetTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tMirakPlanetTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tMirakPlanetTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tMirakPlanetTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tMirakPlanetTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tMirakPlanetTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tMirakPlanetTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tMirakPlanetTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tMirakPlanetTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tMirakPlanetTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tMirakPlanetTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tMirakPlanetTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tMirakPlanetTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tMirakPlanetTeamBaseState::mOnFlashingButtonPressed()
{}
void tMirakPlanetTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tMirakPlanetTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tMirakPlanetTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tMirakPlanetTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tMirakPlanetTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tMirakPlanetTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tMirakPlanetTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tMirakPlanetTeamBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tMirakPlanetTeamBaseState::mOnHostChanged()
{}
void tMirakPlanetTeamBaseState::mOnTimedInterval( int32 timerID )
{}
void tMirakPlanetTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tMirakPlanetTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

