/********************************************************************************************************\

	File Name:	MirakTeam2BaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "MirakTeam2BaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tMirakTeam2BaseState::mBeginState()
{}
void tMirakTeam2BaseState::mEndState()
{}

void tMirakTeam2BaseState::mOnDeath( tShipInfo* ship )
{}
void tMirakTeam2BaseState::mOnCapture( tShipInfo* ship )
{}
void tMirakTeam2BaseState::mOnDisengaged( tShipInfo* ship )
{}
void tMirakTeam2BaseState::mAtDistance( tShipInfo* ship )
{}
void tMirakTeam2BaseState::mAtDestination( tShipInfo* ship )
{}
void tMirakTeam2BaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tMirakTeam2BaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tMirakTeam2BaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tMirakTeam2BaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tMirakTeam2BaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tMirakTeam2BaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tMirakTeam2BaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tMirakTeam2BaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tMirakTeam2BaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tMirakTeam2BaseState::mOnFlashingButtonPressed()
{}
void tMirakTeam2BaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tMirakTeam2BaseState::mOnChangingShip( tShipInfo* ship )
{}
void tMirakTeam2BaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tMirakTeam2BaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tMirakTeam2BaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tMirakTeam2BaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tMirakTeam2BaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tMirakTeam2BaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tMirakTeam2BaseState::mOnHostChanged()
{}
void tMirakTeam2BaseState::mOnTimedInterval( int32 timerID )
{}
void tMirakTeam2BaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tMirakTeam2BaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

