/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_9Edge",

	//kTitle2
	"Die Schlacht von Claw's Edge\n\n",

	//
	//	Briefing message
	//
	
	// kBriefing_msg,
	"Guten Morgen, [PLAYER_RANK].\n" \

	"Claw's Edge ist ein befestigter Planet im [SYSTEM_NAME]-System, also im mirakischen Raum. Die Position des Planeten" \
	"macht ihn zu einem idealen Ausgangspunkt fr Angriffe, bei denen tief in das mirakische Territorium vorgedrungen werden kann, und das ist exakt,  " \
	"was wir vorhaben.\n " \
	
	"Sie werden einen Angriff auf Claw's Edge fhren. Eine Angriffsgruppe wird sich Ihnen anschlieen, sobald " \
	"Sie im System ankommen. Unsere Informationen ber die mirakische Verteidigung sind ungenau, " \
	"und Ihre Angriffsgruppe knnte der Aufgabe nicht gewachsen sein. Aus diesem Grund wird eine zweite Angriffsgruppe " \
	"das Geschehen beobachten. Sie knnen sie herbeirufen, falls ntig. " \
	"Eine Spezialeinheit konnte erfolgreich ein Subraum-Relais auf dem einzigen Mond des Planeten absetzen. " \
	"Rufen Sie die zweite Angriffsgruppe mit einem Ruf ber dieses Relais.\n\n" \
	"Viel Glck.\n\n",

	//
	//	Starting message
	//
	
	//kCaptainsLog_Lyran_msg,
	"Logbuch des [PLAYER_RANK], Sternendatum [STARDATE]. Wir sind nach [SYSTEM_NAME] gekommen, um uns " \
	"als Vorspiel fr unsere Invasion in den mirakischen Raum Claw's Edge zu sichern.\n ",
	
	//kCaptainsLog_Klingon_msg,
	"Logbuch des [PLAYER_RANK], Sternendatum [STARDATE]. Wir sind nach [SYSTEM_NAME] gekommen, um uns " \
	"als Vorspiel fr unsere Invasion in den mirakischen Raum Claw's Edge zu sichern.\n ",
	
	//kCaptainsLog_Hydran_msg,
	"Logbuch des [PLAYER_RANK], Sternendatum [STARDATE]. Wir sind nach [SYSTEM_NAME] gekommen, um uns " \
	"als Vorspiel fr unsere Invasion in den mirakischen Raum Claw's Edge zu sichern.\n ",
	
	//kInitialReport_msg,
	"Erster Offizier: Alliiertes Angriffsteam befindet sich jetzt am Steuerbordbug, [PLAYER_RANK], in Formation mit uns.\n" \

	"Fhrer des Angriffsteams: Wir werden Ihnen den Weg zeigen, [PLAYER_RANK]. Folgen Sie uns.\n\n",

	//
	//	Debriefing messages
	//
	
	//kDeb_PlayerDied_msg
	"Ihre Einheiten sind vernichtet worden.\n\n",

	//
	//	Comm buttons
	//
	
	//kButton_CallTransport
	"VERSTRKUNG",

	//
	//	Comm messages
	//
	
	//kCallTransport_msg,
	"Commander von Angriffsgruppe 2: Nachricht erhalten; machen uns auf den Weg.\n\n",
	
	//kNoMoreTransports_msg,
	"Erster Offizier: Es gibt keine Transportschiffe mehr, die wir rufen knnten, [PLAYER_RANK].\n\n",

	//
	//	Victory rating
	//

	//	kAstoundingVictory_msg,
	"Groartiger Sieg!\n\n",

	//	kVictory_msg,
	"Sieg!\n\n",

	//	kDraw_msg,
	"Unentschieden\n\n",

	//	kDefeat_msg,
	"Niederlage\n\n",

	//	kDevastatingDefeat_msg,
	"Vernichtende Niederlage\n\n",

	//	kLeftEarly_msg,
	"Mission eingebt\n\n",


	//
	//	Titles (or names) of ships and objects
	//
	
	//kMirakPlanetName,
	"Claw's Edge",
	
	//kAlliedMoonName,
	"Mond der Verbndeten",
	
	//kMirakLPName,
	"Mirakischer Horchposten",

	//
	//	Event dialog
	//

	//kCappedPlanet_msg,
	"Erster Offizier: Wir haben es geschafft, [PLAYER_RANK]. Claw's Edge ist unser!\n\n",
	
	//kAllAlliesDead_msg,
	"Erster Offizier: Unsere Angriffsstreitmacht wurde vernichtet.\n\n",
		
	//kAllyDies_msg,
	"Erster Offizier: Eines der Schiffe unserer Angriffsstreitmacht wurde zerstrt, [PLAYER_RANK].",
	
	//kCannotCapPlanet_msg,
	"Erster Offizier: Alle Truppentransporter wurden zerstrt. Wir knnen unsere Mission nicht erfllen.\n\n",

	//kTransportDies_msg
	"Erster Offizier: Eines unserer Transportschiffe wurde zerstrt.\n\n",

	//kGotDetected_msg
	"Wissenschaftsoffizier: [PLAYER_RANK], ich glaube, der mirakische Horchposten hat uns entdeckt.\n" \

	"Erster Offizier: Dann werden wir wahrscheinlich in Krze mit mirakischer Verstrkung zu rechnen haben.\n\n",

	//kDebPlanetCapped_msg
	"Auergewhnlich gute Arbeit, [PLAYER_RANK]! Schon bald werden wir eine gro angelegte Invasion in den mirakischen Raum unternehmen, die " \
	"uns den Weg zum Sieg ebnen wird, und das ist allein das Ergebnis Ihres heutigen Erfolgs.\n" \

	"Sie und Ihre Crew werden als Helden dieses Krieges in die Geschichte eingehen.\n\nWegtreten.\n",

	//kDebPlanetNotCapped_msg
	"Das sind schlechte Nachrichten, [PLAYER_RANK]. Das Oberkommando hat sich darauf verlassen, dass Sie den Weg " \
	"fr unsere bevorstehende Invasion in den mirakischen Raum bereiten. Aber jetzt sehe ich keine Chance mehr, dass eine solche Operation " \
	"berhaupt noch zum Erfolg fhren knnte. Unsere langfristigen Schlachtplne mssen nun gendert werden, um Ihr Versagen " \
	"in Claw's Edge aufzufangen.\n\nWegtreten.\n",

	//kReinforcementsComing_msg
	"Wissenschaftsoffizier: Die Sensoren zeigen feindliche Truppen auf Abfangkurs, die schnell nher kommen.\n\n",

	//
	//	Custom messages
	//

#else
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_9Edge",

	//kTitle2
	"The Battle of Claw's Edge",

	//
	//	Briefing message
	//
	
	// kBriefing_msg,
	"Good morning, [PLAYER_RANK].\n" \

	"Claw's Edge is a fortified planet in [SYSTEM_NAME]: Mirak space. The planet's position " \
	"makes it an ideal staging area for launching attacks deep into Mirak territory. This is exactly " \
	"what we intend to do.\n " \
	
	"You will lead the assault on Claw's Edge. A Strike Force will rendezvous with you " \
	"upon your arrival in the system. Our intelligence on the defending Mirak forces is sketchy, " \
	"and your strike force may not be adequate for the task. For that reason, a second task force " \
	"will be monitoring the situation. You may call upon them if you need their assistance. " \
	"A Special Ops team has planted a subspace relay station on a nearby moon. To call in the " \
	"second task force, relay your hail through this device.\n\n" \

	"Good luck.\n\n",

	//
	//	Starting message
	//

	//kCaptainsLog_Lyran_msg,
	"[PLAYER_RANK]'s Log, stardate [STARDATE]. We have come to [SYSTEM_NAME] to secure planet Claw's Edge " \
	"as the prelude to our invasion of Mirak Space.\n",
	
	//kCaptainsLog_Klingon_msg,
	"[PLAYER_RANK]'s War Record, stardate [STARDATE]. We have come to [SYSTEM_NAME] to secure planet Claw's Edge " \
	"as the prelude to our invasion of Mirak Space.\n",
	
	//kCaptainsLog_Hydran_msg,
	"[PLAYER_RANK]'s Journal, stardate [STARDATE]. We have come to [SYSTEM_NAME] to secure planet Claw's Edge " \
	"as the prelude to our invasion of Mirak Space.\n",
	
	//kInitialReport_msg,
	"First Officer: Allied Strike Team now on the starboard bow, forming up with us.\n" \

	"Strike Team Leader: We'll lead the way, [PLAYER_RANK]. Follow us in.\n\n",

	//
	//	Debriefing messages
	//
	
	//kDeb_PlayerDied_msg
	"Your forces were destroyed.\n\n",

	//
	//	Comm buttons
	//
	
	//kButton_CallTransport
	"REINFORCEMENTS",

	//
	//	Comm messages
	//
	
	//kCallTransport_msg,
	"Strike Force Two Commander: Message received; we're on our way.\n\n",
	
	//kNoMoreTransports_msg,
	"First Officer: There are no more transports to call, [PLAYER_RANK].\n\n",

	//
	//	Victory rating
	//

	//	kAstoundingVictory_msg,
	"Astounding Victory!\n\n",

	//	kVictory_msg,
	"Victory!\n\n",

	//	kDraw_msg,
	"Draw\n\n",

	//	kDefeat_msg,
	"Defeat\n\n",

	//	kDevastatingDefeat_msg,
	"Devastating Defeat\n\n",

	//	kLeftEarly_msg,
	"Forfeit\n\n",


	//
	//	Titles (or names) of ships and objects
	//
	
	//kMirakPlanetName,
	"Claw's Edge",
	
	//kAlliedMoonName,
	"Allied Moon",
	
	//kMirakLPName,
	"Mirak Listening Post",

	//
	//	Event dialog
	//

	//kCappedPlanet_msg,
	"First Officer: We've done it, [PLAYER_RANK]. Claw's Edge is ours!\n\n",
	
	//kAllAlliesDead_msg,
	"First Officer: Our strike force has been destroyed.\n\n",
		
	//kAllyDies_msg,
	"First Officer: One of the strike force vessels has been destroyed, [PLAYER_RANK].",
	
	//kCannotCapPlanet_msg,
	"First Officer: All of our seconday strike force ships have been destroyed.\n\n",

	//kTransportDies_msg
	"First Officer: One of the reinforcing strike force vessels has been destroyed, [PLAYER_RANK].",

	//kGotDetected_msg
	"Science Officer: [PLAYER_RANK], I think that Mirak listening post just picked us up.\n" \

	"First Officer: We can probably expect Mirak reinforcements now.\n\n",

	//kDebPlanetCapped_msg
	"Outstanding work, [PLAYER_RANK]! Soon we will launch a full-scale invasion of Mirak space which " \
	"will pave our way to final victory; and all because of what you accomplished here today.\n" \

	"You and your crew will be known as heroes of this war.\n\nDismissed.\n",

	//kDebPlanetNotCapped_msg
	"This is unfortunate news, [PLAYER_RANK]. High Command was depending on you to pave the way " \
	"for our upcoming invasion of Mirak space. But now I cannot see how such an operation could " \
	"possibly succeed. Our long-term battle plans must now be adapted to work around your failure " \
	"at Claw's Edge.\n\nDismissed.\n",

	//kReinforcementsComing_msg
	"Science Officer: Sensors show enemy reinforcements on an intercept course, closing fast.\n\n",
#endif

	//kStardate
	"[STARDATE]",
};



