/********************************************************************************************************\

	File Name:	PlayerTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( PlayerTeam_h )
#define PlayerTeam_h

#include "TeamInfo.h"


class tPlayerTeam : public tTeamInfo
{
public:

	tPlayerTeam();

	virtual void mSetupVictoryCondition();
	virtual void mSetupDebriefingList( eVictoryLevels victoryLevel );

	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );
	virtual void mScheduleNextMission( tVictoryCondition* VictoryCondition );

	enum eCustomIDs
	{
		kPlayerShip1 = 100,
		kPlayerShip2,
		kPlayerShip3,
	};

	iTruth	mTransportAtPlanet()		{ return fTransportAtPlanet; }
	void	mSetTransportAtPlanet()		{ fTransportAtPlanet = true; }

	iTruth	mTransportDead()			{ return fTransportDead; }
	void	mSetTransportDead()			{ fTransportDead = true; }

	iTruth	mTransportCapped()			{ return fTransportCapped; }
	void	mSetTransportCapped()		{ fTransportCapped = true; }

	iTruth	mCappedLeader()				{ return fCappedLeader; }
	void	mSetCappedLeader()			{ fCappedLeader = true; }

	iTruth	mKilledLeader()				{ return fKilledLeader; }
	void	mSetKilledLeader()			{ fKilledLeader = true; }

	iTruth	mDied()						{ return fDied; }
	void	mSetDied()					{ fDied = true; }

protected:
	iTruth	fTransportAtPlanet;
	iTruth	fTransportDead;
	iTruth	fTransportCapped;
	iTruth	fCappedLeader;
	iTruth	fKilledLeader;
	iTruth	fDied;
};

#endif
