/********************************************************************************************************\

	File Name:	Transport.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "Transport.h"
#include "TransportBaseState.h"
#include "Uni_X1M1FInsurrection.h"

#pragma warning ( disable : 4700 )

tClassAllocator<tTransport> gTransportAllocator;

void tTransport::mSetupState()
{
	mRegisterState( new tTransportBaseState() );
	mGotoState( typeid( tTransportBaseState ) );
}

void tTransport::mSetupCommState()
{}

void tTransport::mSetupShip()
{
	tTeamInfo* planetTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlanetTeam ) );
	if( !planetTeam )
			return;

	tShipIterator planetI = planetTeam->mGetFirstShip();
	if( !*planetI )
		return;

	mSetShipCallbackEvents( kNotifyAtDestination );
	mSetShipMaxSpeed( 12 );

	int32 nX, nY;
	planetI->mGetGridPosition( &nX, &nY );
	mSetFinalDestination( nX, ( nY + 1 ) );
	//mSetShipTarget( *planetI, kAbsolutePriority );
}
