/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN
		//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_X1M2Trial",

	//kTitle2
	"Erster Versuch",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"Der Drogenschmuggler, den Sie vor einer Weile gefasst haben, wird zur Gerichtsverhandlung nach [SYSTEM_NAME] " \
	"gebracht. Wir haben Sie fr die kleine Sondereinheit eingeteilt, die wir als Eskorte fr " \
	"ihn vorgesehen haben. Sie werden zu dem Planeten fliegen und dafr sorgen, dass er sicher auf der Oberflche des Planeten " \
	"ankommt. Wir rechnen mit Schwierigkeiten, seien Sie also uerst wachsam.\n\n", 

	//
	//	Starting message
	//
	
	//kCaptainsLog_msg,
	"Logbuch des [PLAYER_RANK], Sternendatum [STARDATE]: Wir eskortieren einen erst krzlich gefassten Drogenboss " \
	"zur Gerichtsverhandlung nach [SYSTEM_NAME].\n\n",

	//kSitrep_msg,
	"Erster Offizier: Wir haben das System nun erreicht, [PLAYER_RANK].\n\n",

	//
	//	Debriefing messages
	//
	
	//kDeb_TransportReachedPlanet_msg,
	"Gute Arbeit! Der Kriminelle, der die grte Schuld an den Drogenproblemen der jngsten Vergangenheit trgt, wird nun " \
	"vor Gericht gebracht.\n\n",

	//kDeb_TransportDead_msg,
	"Diese Mission war ja wohl der absolute Reinfall. Dafr mssen Sie nun auch gerade stehen und einen Teil der Schande einstecken. Die Orionen haben jedem " \
	"in diesem Sektor gezeigt, dass unsere Autoritt untergraben werden kann. Ich befrchte, das lsst nichts Gutes " \
	"fr die Zukunft ahnen.\n\nWegtreten.\n",

	//kDeb_TransportCapped_msg,
	"Diese Mission war ja wohl der absolute Reinfall. Dafr mssen Sie nun auch gerade stehen und einen Teil der Schande einstecken. Die Orionen haben jedem " \
	"in diesem Sektor gezeigt, dass unsere Autoritt untergraben werden kann. Ich befrchte, das lsst nichts Gutes " \
	"fr die Zukunft ahnen.\n\nWegtreten.\n",

	//kDeb_PlayerDied_msg,
	"Ihre Einheiten sind vernichtet worden.\n\n",

	//
	//	Comm buttons
	//

	//
	//	Comm messages
	//

	//
	//	Victory rating
	//

	//	kAstoundingVictory_msg,
	"Groartiger Sieg!\n\n",

	//	kVictory_msg,
	"Sieg!\n\n",

	//	kDraw_msg,
	"Unentschieden\n\n",

	//	kDefeat_msg,
	"Niederlage\n\n",

	//	kDevastatingDefeat_msg,
	"Vernichtende Niederlage\n\n",

	//	kLeftEarly_msg,
	"Mission eingebt\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	
	//kOrionsArrive_msg
	"Wissenschaftsoffizier: Schiffe der Orionen sind soeben mit Warpgeschwindigkeit in das System eingedrungen und befinden sich auf Abfangkurs.\n\n",

	//kTransportDead_msg,
	"Erster Offizier: Das Transportschiff wurde zerstrt.\n\n",

	//kTransportCapped_msg,
	"Erster Offizier: Das Transportschiff wurde zerstrt.\n\n",

	//kTransportReachedPlanet_msg,
	"Erster Offizier: Das Transportschiff hat den Planeten erreicht.\n\n",

	//
	//	Custom messages
	//

#else
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_X1M2Trial",

	//kTitle2
	"Trial Run",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"The drug smuggler you captured awhile back is being transported to the [SYSTEM_NAME] " \
	"for trial. We want you to be a member of a small task force that we've put together " \
	"to escort him. You will fly to an orbital penal colony, and make sure he's safely transported to " \
	"the station. We're expecting trouble, so be vigilant.\n\n", 

	//
	//	Starting message
	//
	
	//kCaptainsLog_msg,
	"[PLAYER_RANK]'s Log, stardate [STARDATE]: we're escorting a recently captured drug kingpin " \
	"to [SYSTEM_NAME] for trial.\n\n",

	//kSitrep_msg,
	"First Officer: Entering the system now, [PLAYER_RANK].\n\n",

	//
	//	Debriefing messages
	//
	
	//kDeb_TransportReachedPlanet_msg,
	"Good work! The criminal largely responsible for the recent drug problem will now be brought " \
	"to justice.\n\n",

	//kDeb_TransportDead_msg,
	"This mission was an abject failure. You must share in the blame. The Orions have shown " \
	"everyone in the sector that our authority can be challenged. I'm afraid this doesn't bode " \
	"well for the future.\n\nDismissed.\n",

	//kDeb_TransportCapped_msg,
	"This mission was an abject failure. You must share in the blame. The Orions have shown " \
	"everyone in the sector that our authority can be challenged. I'm afraid this doesn't bode " \
	"well for the future.\n\nDismissed.\n",

	//kDeb_PlayerDied_msg,
	"Your forces have been destroyed.\n\n",

	//
	//	Comm buttons
	//

	//
	//	Comm messages
	//

	//
	//	Victory rating
	//

	//	kAstoundingVictory_msg,
	"Astounding Victory!\n\n",

	//	kVictory_msg,
	"Victory!\n\n",

	//	kDraw_msg,
	"Draw\n\n",

	//	kDefeat_msg,
	"Defeat\n\n",

	//	kDevastatingDefeat_msg,
	"Devastating Defeat\n\n",

	//	kLeftEarly_msg,
	"Forfeit",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	
	//kOrionsArrive_msg
	"Science Officer: Orion vessels have just warped into the system, on an intercept course.\n\n",

	//kTransportDead_msg,
	"First Officer: The transport has been destroyed.\n\n",

	//kTransportCapped_msg,
	"First Officer: The transport has been destroyed.\n\n",

	//kTransportReachedPlanet_msg,
	"First Officer: The transport has reached the penal colony and the prisoner has been " \
	"beamed over.\n\n",

	//
	//	Custom messages
	//
#endif
};



