/********************************************************************************************************\

	File Name:	PlayerTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( PlayerTeam_h )
#define PlayerTeam_h

#include "TeamInfo.h"


class tPlayerTeam : public tTeamInfo
{
public:

	tPlayerTeam();

	virtual void mSetupVictoryCondition();
	virtual void mSetupDebriefingList( eVictoryLevels victoryLevel );

	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );
	virtual void mScheduleNextMission( tVictoryCondition* VictoryCondition );

	enum eCustomIDs
	{
		kPlayerShip1 = 100,
		kPlayerShip2,
		kPlayerShip3,
	};

	iTruth	mTransportReachedPlanet()			{ return fTransportReachedPlanet; }
	iTruth	mTransportDead()					{ return fTransportDead; }
	iTruth	mTransportCapped()					{ return fTransportCapped; }
	void	mSetTransportReachedPlanet()		{ fTransportReachedPlanet = true; }
	void	mSetTransportDead()					{ fTransportDead = true; }
	void	mSetTransportCapped()				{ fTransportCapped = true; }

	iTruth	mDied()						{ return fDied; }
	void	mSetDied()					{ fDied = true; }

protected:
	iTruth	fTransportReachedPlanet;
	iTruth	fTransportDead;
	iTruth	fTransportCapped;
	iTruth	fDied;

};

#endif
