/********************************************************************************************************\

	File Name:	MonsterTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MonsterTeam.h"
#include "MonsterTeamBaseState.h"
#include "Monster.h"
#include "ShipList_API.h"


tClassAllocator<tMonsterTeam> gMonsterTeamAllocator;

void tMonsterTeam::mSetupState()
{
	mRegisterState( new tMonsterTeamBaseState() );
	mGotoState( typeid( tMonsterTeamBaseState ) );
}

void tMonsterTeam::mSetupCommState()
{}

void tMonsterTeam::mCreateShipsForTeam()
{
	// I'm not messing with this: expecting Small Sungliders for this mission. --FS
	mCreateShip( typeid( tMonster ),
				 "M-SGS",
				 kStartPosition_J,
				 kNoMetaShipID,
				 kMonster1,
				 0,0,0,0,
				 NULL,
				 kDefaultShipOptions );

	mCreateShip( typeid( tMonster ),
				 "M-SGS",
				 kStartPosition_J,
				 kNoMetaShipID,
				 kMonster2,
				 0,0,0,0,
				 NULL,
				 kDefaultShipOptions );

	mCreateShip( typeid( tMonster ),
				 "M-SGS",
				 kStartPosition_J,
				 kNoMetaShipID,
				 kMonster3,
				 0,0,0,0,
				 NULL,
				 kDefaultShipOptions );

	mCreateShip( typeid( tMonster ),
				 "M-SGS",
				 kStartPosition_J,
				 kNoMetaShipID,
				 kMonster4,
				 0,0,0,0,
				 NULL,
				 kDefaultShipOptions );
}

void tMonsterTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tMonsterTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tMonsterTeam", shipScriptDescription );
}

