//	<Name>	EnemyTeamShip.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Uni_X2M1Interceptor.h"
#include "EnemyTeamShip.h"
#include "EnemyTeamShipInitialState.h"
#include "MissionText.h"

tClassAllocator<tEnemyTeamShip> gEnemyTeamShipAllocator;

void tEnemyTeamShip::mSetupState()
{
	mRegisterState( new tEnemyTeamShipInitialState( ) );

	mGotoState( typeid( tEnemyTeamShipInitialState ) );
}
void tEnemyTeamShip::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );

	playerTeam->mRegisterCommMessage( kHailCommState, kNoStateChange, mGetShipID(), kHail_btn, kHail1_msg, kHail4_msg );

	playerTeam->mGotoCommState( mGetShipID(), kHailCommState );
}
void tEnemyTeamShip::mSetupShip()
{
	mSetShipMaxSpeed( 12 );
	mSetFinalDestination();
	mSetShipCallbackEvents( kNotifyAtDestination );
}


