//	<Name>	PlayerTeam.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( PlayerTeam_h )
#define PlayerTeam_h

#include "TeamInfo.h"
 
class tPlayerTeam : public tTeamInfo
{
public:
	enum
	{

	};
	tPlayerTeam();
	virtual void mCreateShipsForTeam( int count, tShipInGame* ships[] );
	virtual void mSetupState();
	virtual void mSetBuoyScanned( bool setValue );
	virtual bool mGetBuoyScanned();
	virtual void mSetSentCode( bool setValue );
	virtual bool mGetSentCode();
	virtual void mSetLegendRescued( bool setValue );
	virtual bool mGetLegendRescued();
	virtual void mSetupVictoryCondition();
	virtual void mSetupDebriefingList( eVictoryLevels VictoryLevel );
	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );
	virtual void	mScheduleNextMission( tVictoryCondition* VictoryCondition );
	virtual void mTeamSetupComplete();

	virtual void mSetScientistsArrived( bool setValue );
	virtual bool mGetScientistsArrived();

	enum eCustomIDs
    {
        kPlayerShip1 = 100,
		kPlayerShip2,
		kPlayerShip3,
    };

private:

	bool fBuoyScanned;
	bool fSentCode;
	bool fLegendRescued;
	bool fScientistsArrived;
};

#endif


