//	<Name>	PlayerTeamInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Uni_X2M2Reclamation.h"
#include "ShipInfo.h"
#include "PlayerTeam.h"
#include "PlayerTeamShip.h"
#include "PlayerTeamInitialState.h"


#include "MissionText.h"
#include "ScriptInterface.h"


tPlayerTeamInitialState::tPlayerTeamInitialState( )
{

}

void tPlayerTeamInitialState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kStartingID, 5.0f );
}

void tPlayerTeamInitialState::mEndState()
{
}
void tPlayerTeamInitialState::mOnTimedInterval( int32 timerID )
{
	eRaceName  playerRace;
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) );
	playerRace = playerTeam->mGetRace();


	if( timerID == kStartingID )
	{
		// return the index to the Starting message we want to use
		switch( playerRace )
		{
			case kKlingon:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),   kKliStarting1_msg, kNonCommScriptMessage );
			break;
			case kLyran:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),   kLyrStarting1_msg, kNonCommScriptMessage );
			break;
			case kGorn:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),   kGorStarting1_msg, kNonCommScriptMessage );
			break;
			case kMirak:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),   kMirakStarting1_msg, kNonCommScriptMessage );
			break;

		}
		mSetTimedInterval( kTimerSecondsSet, kStarting2ID, 15.0f );
	}
	else if( timerID == kStarting2ID )
	{
		fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kStarting2_msg );
	}

}

