//	<Name>	PlayerTeamShip.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "PlayerTeamShip.h"
#include "teamInfo.h"
#include "scriptinterface.h"
#include "PlayerTeamShipInitialState.h"
#include "PlayerTeamShipGameOverState.h"

tClassAllocator<tPlayerTeamShip> gPlayerTeamShipAllocator;

void tPlayerTeamShip::mSetupState()
{
	mRegisterState( new tPlayerTeamShipInitialState() );
	mRegisterState( new tPlayerTeamShipGameOverState() );

	mGotoState( typeid( tPlayerTeamShipInitialState ) );
}
void tPlayerTeamShip::mSetupCommState()
{
}
void tPlayerTeamShip::mSetupShip()
{
	mSetShipCallbackEvents(  kNotifyDeepScan );
	mSetShipCallbackEvents(  kNotifyTransportedItem );
//	mAddItemToStores( kMarines, static_cast<eAccessShipStores_SubTypes>( 0 ),  12 ); Does not really add just sets value
	mSetShipThrust( 8 );
}
