/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN

		//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_X2M3Apes",

	//kTitle2
	"die Affen zur Ader lassen",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"In dieser Mission spielen Sie eine untersttzende Rolle; aber lassen Sie sich durch das Wort " \
	"\'untersttzend\' nicht in die Irre leiten... Ihre Rolle ist von ausschlaggebender Bedeutung.\n" \

	"Auf dem ersten Planeten in Sektor [SYSTEM_NAME] findet ein heftiges Bodengefecht zwischen " \
	"unseren Einheiten und den ISK-Einheiten statt. Der Kampf dauert schon eine ganze Weile an und wtet so heftig, dass " \
	"selbst von der Umlaufbahn aus das Licht des Kampfes zu erkennen ist.\n" \

	"Der Kampf ist festgefahren, es gibt kein Vor und kein Zurck. Ihr Job ist es, die Verstrkung sicher auf die Oberflche zu eskortieren. " \
	"Wir gehen davon aus, dass das ISK auch Verstrkung anfordert; Sie mssen dafr sorgen, dass unsere Truppen zuerst eintreffen.\n\nViel Glck.\n",

	//
	//	Starting message
	//
	
	//kCaptainsLog_msg,
	"Logbuch des [PLAYER_RANK], Sternendatum [STARDATE]: Wir sind auf dem Weg nach [SYSTEM_NAME], um Verstrkung " \
	"fr das Bodengefecht, das dort wtet, herbeizuschaffen.\n",

	//kSitrep_msg,
	"Erster Offizier: Wir sind im System angekommen.\n" \

	"Wissenschaftsoffizier: [PLAYER_RANK], der Kampf ist definitiv im Gange. Ich registriere auf der Oberflche " \
	"schwere Explosionen.\n" \

	"Erster Offizier: Wir sollten uns beeilen.\n\n",

	//
	//	Debriefing messages
	//
	
	//kDeb_CappedPlanet_msg,
	"Herzlichen Glckwunsch. Sie haben unsere Einheiten in [SYSTEM_NAME] erfolgreich beschtzt. Der Preis, den wir fr den Sieg " \
	"bezahlen mussten, war hoch. Aber es musste sein.\nGute Arbeit.\n\n",

	//kDeb_EnemyCappedPlanet_msg,
	"Das war zwar eine komplizierte Mission, nichtsdestotrotz ist sie aber problemlos zu bewerten. Ihre Aufgabe bestand darin, " \
	"die bernahme des Planeten zu berwachen. - Aber nun ist das Banner des ISKs gehisst. Sie mssen " \
	"die Verantwortung fr diesen Fehlschlag bernehmen. Sie werden also zu einem spteren Zeitpunkt als zunchst " \
	"angenommen befrdert.\nWegtreten.\n\n",

	//kDeb_NobodyCappedPlanet_msg
	"Ein Stellungskrieg also. Naja, zumindest konnte das ISK den Planten nicht einnehmen. Ich nehme an, der Kampf " \
	"muss einfach weitergehen.\n\n",

	//kDeb_PlayerDied_msg,
	"Ihre Einheiten sind vernichtet worden.\n\n",

	//kDeb_EnemyLostPlanet_msg
	"Gratulation! Ohne ihre Verstrkung mussten die ISK-Truppen auf dem Planeten aufgeben. Der " \
	"verbndete Commander bat mich, Ihnen auszurichten, dass er Ihnen einen ausgibt, wenn seine " \
	"Einheit zur Basis zurckkehrt.\n\nGute Arbeit!\n",
	
	//
	//	Comm buttons
	//
	
	//kButton_Hail,
	"RUFEN",

	//kButton_StandDown,
	"AUFGEBEN",

	//
	//	Comm messages
	//

	//kHailPlanet_msg,
	"Bodentruppenfhrer: [PLAYER_SHIP_NAME], Sie sollen so schnell wie mglich Verstrkung holen. Hier geht es " \
	"ziemlich hei her.\n\n",

	//kHailAlly_msg,
	"Truppentransporter: Wir sollten uns beeilen, [PLAYER_RANK]. Hier toben ziemlich schwere Kmpfe.\n\n",

	//kHailEnemy_msg,
	"Captain des ISKs: Ihnen stehen die strksten Truppen des ISKs gegenber. Sie haben nicht die geringste Chance auf einen Sieg.\n\n",

	//kHailInvader_msg
	"Captain des ISKs: Fllt Ihnen nicht etwas besseres ein als ein Kampf, den Sie nicht gewinnen knnen?\n\n",

	//
	//	Victory rating
	//

	//	kAstoundingVictory_msg,
	"Groartiger Sieg!\n\n",

	//	kVictory_msg,
	"Sieg!\n\n",

	//	kDraw_msg,
	"Unentschieden\n\n",

	//	kDefeat_msg,
	"Niederlage\n\n",

	//	kDevastatingDefeat_msg,
	"Vernichtende Niederlage\n\n",

	//	kLeftEarly_msg,
	"Mission eingebt\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	
	//kPlanetCapped_msg,
	"Erster Offizier: Unsere Bodentruppen haben gesiegt.\n\n",

	//kEnemyCapsPlanet_msg,
	"Erster Offizier: Unsere Bodentruppen sind vernichtet worden.\n\n",

	//kScannedPlanet_msg,
	"Wissenschaftsoffizier: Die Kmpfe auf der Oberflche laufen fast aus dem Ruder... Beide Seiten fahren " \
	"schweres Geschtz auf.\n\n",

	//kInvasionForceDead_msg,
	"Erster Offizier: [PLAYER_RANK], die Einkesselungstruppe des ISKs ist vernichtet worden.\n\n",

	//kInvasionShipDead_msg,
	"Erster Offizier: Wir konnten einen der Truppentransporter des ISKs zerstren.\n\n",

	//kAlliesDead_msg,
	"Erster Offizier: Unsere Truppentransporter wurden zerstrt. Wir knnen unsere Mission nicht erfllen.\n\n",

	//kAllyDead_msg,
	"Erster Offizier: Wir haben einen der Truppentransporter verloren.\n\n",

	//kISCTeamDead_msg,
	"Erster Offizier: Die ISK-Geleittruppe wurde vernichtet.\n\n",

	//kISCDead_msg,
	"Erster Offizier: Wir haben ein ISK-Schiff zerstrt.\n\n",

	//kInvasionByDefault_msg,
	"Erster Offizier: Das ISK hat den Planeten eingenommen. Wir haben versagt.\n\n",

	//
	//	Custom messages
	//

	//kScanning_msg
	"Wissenschaftsoffizier: Wir scannen...\n\n",

#else
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_X2M3Apes",

	//kTitle2
	"Bleeding the Apes",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"A viscious ground war is taking place on the main planet in [SYSTEM_NAME] between our forces " \
	"and those of the ISC. The allied commander on the scene feels that victory is certain, provided " \
	"that the ISC cannot reinforce their ground troops.\n" \

	"Unfortunately, Intelligence has just intercepted a transmission that suggests this is precisely " \
	"what they plan to do. A small convoy of ISC troop transports is heading for the planet. You " \
	"must not allow those troops to land on the surface. You can expect this convoy to be escorted " \
	"by warships; destroy these as well.\n" \

	"Good luck.\n\n",

	//
	//	Starting message
	//
	
	//kCaptainsLog_msg,
	"[PLAYER_RANK]'s Log, stardate [STARDATE]: We're enroute to [SYSTEM_NAME] to stop the ISC " \
	"from reinforcing their ground troops on the surface.\n",

	//kSitrep_msg,
	"First Officer: Now entering the system.\n" \

	"Science Officer: [PLAYER_RANK], the battle is definitely raging. I'm detecting massive explosions " \
	"on the surface.\n" \

	"First Officer: We should proceed quickly.\n\n",

	//
	//	Debriefing messages
	//
	
	//kDeb_CappedPlanet_msg,
	"Congratulations. You succeeded in safeguarding our forces at [SYSTEM_NAME]. The price for " \
	"our victory there was steep, but necessary.\nGood work.\n\n",

	//kDeb_EnemyCappedPlanet_msg,
	"Unfortunately the planet has fallen into ISC hands. We can only hope that our troops - " \
	"now prisoners of the Concordium - will be treated well.\n",

	//kDeb_NobodyCappedPlanet_msg
	"A stalemate. Well, at least the ISC didn't take the planet. I suppose the battle will " \
	"just have to continue.\n\n",

	//kDeb_PlayerDied_msg,
	"Your forces have been destroyed.\n\n",

	//kDeb_EnemyLostPlanet_msg
	"Congratulations! Without their reinforcements, the ISC troops on the planet surrendered. The " \
	"Allied commander on the surface asked me to tell you that he'll buy you a bottle of whatever " \
	"you're drinking when his unit gets back to base.\n\nWell done.\n",

	//
	//	Comm buttons
	//
	
	//kButton_Hail,
	"HAIL",

	//kButton_StandDown,
	"STAND DOWN",

	//
	//	Comm messages
	//

	//kHailPlanet_msg,
	"Ground Force Leader: [PLAYER_SHIP_NAME], keep those ISC troops off our backs. We can win " \
	"this fight as long as the balance isn't tipped in their favor by reinforcements.\n",

	//kHailAlly_msg,
	"Troop Transport: We'd better hurry, [PLAYER_RANK]. The fighting down there is pretty intense.\n\n",

	//kHailEnemy_msg,
	"ISC Captain: You're facing the best troops the ISC has. You can't possibly win.\n\n",

	//kHailInvader_msg
	"ISC Captain: Don't you know better than to fight a battle you can't win?\n\n",

	//
	//	Victory rating
	//

	//	kAstoundingVictory_msg,
	"Astounding Victory!\n\n",

	//	kVictory_msg,
	"Victory!\n\n",

	//	kDraw_msg,
	"Draw\n\n",

	//	kDefeat_msg,
	"Defeat\n\n",

	//	kDevastatingDefeat_msg,
	"Devastating Defeat\n\n",

	//	kLeftEarly_msg,
	"Forfeit",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	
	//kPlanetCapped_msg,
	"First Officer: Our ground forces are victorious.\n\n",

	//kEnemyCapsPlanet_msg,
	"First Officer: Our ground forces have been destroyed.\n\n",

	//kScannedPlanet_msg,
	"Science Officer: The fighting on the surface is almost frantic... large-scale weapons are " \
	"being used by both sides.\n\n",

	//kInvasionForceDead_msg,
	"First Officer: [PLAYER_RANK], the ISC invasion force has been destroyed.\n\n",

	//kInvasionShipDead_msg,
	"First Officer: We have destroyed one of the ISC troop transports.\n\n",

	//kAlliesDead_msg,
	"First Officer: Our troop transports have been destroyed. We cannot complete our mission.\n\n",

	//kAllyDead_msg,
	"First Officer: We've lost one of the troop transports.\n\n",

	//kISCTeamDead_msg,
	"First Officer: The ISC escort force has been destroyed.\n\n",

	//kISCDead_msg,
	"First Officer: We have destroyed an ISC vessel.\n\n",

	//kInvasionByDefault_msg,
	"First Officer: The ISC have taken the planet. We have failed.\n\n",

	//
	//	Custom messages
	//

	//kScanning_msg
	"Science Officer: Scanning...\n\n",
#endif
};



