/********************************************************************************************************\

	File Name:	MissionText.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( MissionText_h )
#define MissionText_h

#include "tstring.h"


enum TextMessages
{
	//
	//	Mission Title
	//
	kMissionTitle_msg,
	kTitle2,

	//
	//	Briefing message
	//
	kBriefing_msg,

	//
	//	Starting message
	//
	kCaptainsLog_msg,
	kSitrep_msg,

	//
	//	Debriefing messages
	//
	kDeb_CappedPlanet_msg,
	kDeb_EnemyCappedPlanet_msg,
	kDeb_NobodyCappedPlanet_msg,
	kDeb_PlayerDied_msg,
	kDeb_EnemyLostPlanet_msg,

	//
	//	Comm buttons
	//
	kButton_Hail,
	kButton_StandDown,

	//
	//	Comm messages
	//
	kHailPlanet_msg,
	kHailAlly_msg,
	kHailEnemy_msg,
	kHailInvader_msg,

	//
	//	Victory rating
	//
	kAstoundingVictory_msg,
	kVictory_msg,
	kDraw_msg,
	kDefeat_msg,
	kDevastatingDefeat_msg,
	kLeftEarly_msg,

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	kPlanetCapped_msg,
	kEnemyCapsPlanet_msg,
	kScannedPlanet_msg,
	kInvasionForceDead_msg,
	kInvasionShipDead_msg,
	kAlliesDead_msg,
	kAllyDead_msg,
	kISCTeamDead_msg,
	kISCDead_msg,
	kInvasionByDefault_msg,

	//
	//	Custom messages
	//
	kScanning_msg,

	//
	//	Number of messages
	//
	kMsg_num,
};

extern std::string Messages[];


#endif

