/********************************************************************************************************\

	File Name:	PlanetTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "PlanetTeamBaseState.h"
#include "Uni_X2M3Apes.h"

void tPlanetTeamBaseState::mBeginState()
{
	mSetTimedInterval( kTimerTurnsSet, kPyro_timer, 0.2f );
}

void tPlanetTeamBaseState::mEndState()
{}


// A little light show
void tPlanetTeamBaseState::mOnTimedInterval( int32 timerID )
{
	switch( timerID )
	{
	case kPyro_timer:
		{
			mSetTimedInterval( kTimerTurnsSet, kPyro_timer, 0.2f );

			int32 chanceOfExplosion = fMissionInfo->mRandomInt32( 0, 2 );
			if( !chanceOfExplosion )
				return;

			fChildActor->mDoPyrotechnics();		
		}
		break;

	default:
		break;
	}
}

void tPlanetTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tPlanetTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tPlanetTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tPlanetTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tPlanetTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tPlanetTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tPlanetTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tPlanetTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tPlanetTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tPlanetTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tPlanetTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tPlanetTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tPlanetTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tPlanetTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tPlanetTeamBaseState::mOnFlashingButtonPressed()
{}
void tPlanetTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tPlanetTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tPlanetTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tPlanetTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tPlanetTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tPlanetTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tPlanetTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tPlanetTeamBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tPlanetTeamBaseState::mOnHostChanged()
{}

void tPlanetTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tPlanetTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

