/********************************************************************************************************\

	File Name:	SunTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"
#include "SunTeam.h"
#include "SunTeamBaseState.h"
#include "SunShip.h"
#include "ShipList_API.h"

tClassAllocator<tSunTeam> gSunTeamAllocator;

void tSunTeam::mSetupState()
{
	mRegisterState( new tSunTeamBaseState() );
	mGotoState( typeid( tSunTeamBaseState ) );
}

void tSunTeam::mSetupCommState()
{}

void tSunTeam::mCreateShipsForTeam()
{
	int32 x = 0, y = 0;

	fMissionInfo->mGetGridPosition( 'J', &x, &y );


	fMissionInfo->mCreateMapObject(	'~', x, y );

	// N-PULS is N-PULS. I'm not messing with that. --FS
	mCreateShip(
		typeid( tSunShip ), 
		"N-PULS", 
		kStartPosition_J,
		tTeamInfo::kNoMetaShipID, 
		kSunShip1, 
		0, 0, -1, -1, 
		Messages[kSunName].c_str(), 
		kDefaultShipOptions );
	
}

void tSunTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tSunTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tSunTeam", shipScriptDescription );
}

