/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"
#define kLongMessages

//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------

#if defined ( _GERMAN )

std::string Messages[] =
{
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_X4M2ACuckoo",

	//
	//	Briefing messages (Race Specific)
	//
	// 
	// kBriefing_msg
	"",
	// kFedBriefing_msg
	">Fangen Sie eine Ladung ISK-Kommunikationsgerte ab, und nehmen Sie ohne Wissen des ISKs Modifikationen daran vor.<" \
	"Dies ist eine Spionageoperation gegen das ISK. Sie ist komplex, daher " \
	"sollten Sie aufmerksam zuhren.\n\nDas ISK eskortiert einen Frachter mit Kommunikations- " \
	"gerten durch [SYSTEM_NAME]. Dank des Frachters, den wir in einer frheren Mission abfangen konnten, " \
	"wissen wir nun, wie wir die ISK-Kommunikationseinrichtungen modifizieren mssen, damit wir bei ihren " \
	"codierten bertragungen mithren knnen. Aber zuerst mssen wir diese Ladung abfangen, " \
	"ohne dass das ISK davon Wind bekommt, und unsere Modifikationen vornehmen. Die Ladung wird von einem leichten ISK- " \
	"Kreuzer begleitet.\n\nSie erhalten einen zustzlichen Zerstrer als Untersttzung. Sie " \
	"haben den Oberbefehl. Ihre Aufgabe ist es, den ISK-Kreuzer mit dem Zerstrer in einen " \
	"Asteroidenhaufen zu locken. Wenn seine Sensoren von den Asteroiden verdunkelt werden, fangen " \
	"Sie den Frachter mit dem Hauptschiff ab.\n\nWenn Sie den Frachter erreicht haben, greifen Sie ihn an, " \
	"deaktivieren Sie seine Schilde, und beamen Sie dann mit Ihren Transportern eine Eingreif- " \
	"truppe an Bord. Wenn das Team mit den Modifikationen an den Kommunikationsgerten fertig ist, beamen Sie es zurck und " \
	"verschwinden dann unverzglich aus dem System. Zerstren Sie keinesfalls den ISK-Kreuzer - wir brauchen ihn " \
	"intakt, um unser \"Kuckucksei\" zurck zu der ISK-Basis zu eskortieren.\n\nDas ISK darf " \
	"niemals vermuten, dass sich mehr als eines unserer Schiffe in der Gegend befindet. Halten Sie Ihr Haupt- " \
	"schiff immer auf mindestens 100.000 Kilometer Abstand vom ISK. Wenn Sie " \
	"entdeckt werden, ist diese Mission ein Schlag ins Wasser.\n\nWegtreten.\n\n",
	 // kKlingonBriefing_msg
	 ">Fangen Sie eine Ladung ISK-Kommunikationsgerte ab, und nehmen Sie ohne Wissen des ISKs Modifikationen daran vor.<" \
	 "Dies ist eine Spionageoperation gegen das ISK. Es ist ein komplizierter " \
	 "Plan, also sollten Sie aufmerksam zuhren.\n\nDas ISK eskortiert einen Frachter mit Kommunikations- " \
	 "gerten durch [SYSTEM_NAME]. Dank des Frachters, den wir in einer frheren Mission abfangen konnten, " \
	 "wissen wir nun, wie wir die ISK-Kommunikationseinrichtungen modifizieren mssen, damit wir bei ihren " \
	 "codierten bertragungen mithren knnen. Aber zuerst mssen wir diese Ladung abfangen, " \
	 "ohne dass das ISK davon Wind bekommt, und unsere Modifikationen vornehmen. Die Ladung wird von einem leichten ISK- " \
	 "Kreuzer begleitet.\n\nSie erhalten einen zustzlichen Zerstrer als Untersttzung. Sie " \
	 "haben den Oberbefehl. Ihre Aufgabe ist es, den ISK-Kreuzer mit dem Zerstrer in einen " \
	 "Asteroidenhaufen zu locken. Wenn seine Sensoren von den Asteroiden verdunkelt werden, fangen " \
	 "Sie den Frachter mit dem Hauptschiff ab.\n\nWenn Sie den Frachter erreicht haben, greifen Sie ihn an, " \
	 "deaktivieren seine Schilde und beamen dann mit Ihren Transportern eine Eingreif- " \
	 "truppe an Bord. Wenn das Team mit den Modifikationen an den Kommunikationsgerten fertig ist, beamen Sie es zurck und " \
	 "verschwinden dann unverzglich aus dem System. Zerstren Sie keinesfalls den ISK-Kreuzer - wir brauchen ihn " \
	 "intakt, um unser \"Kuckucksei\" zurck zur ISK-Basis zu eskortieren.\n\nDas ISK darf " \
	 "niemals vermuten, dass sich mehr als eines unserer Schiff in der Gegend befindet. Halten Sie mit Ihrem Haupt- " \
	 "schiff immer mindestens 100.000 Kilometer Abstand vom ISK. Wenn Sie " \
	 "entdeckt werden, ist diese Mission ein kompletter Fehlschlag. Entehren Sie sich nicht selbst " \
	 "durch einen Denkfehler.\n\nQapla'.",
	 //kRomulanBriefing_msg
	 ">Fangen Sie eine Ladung ISK-Kommunikationsgerte ab, und nehmen Sie ohne Wissen des ISKs Modifikationen daran vor.<" \
	 "Dies ist eine Spionageoperation gegen das ISK. Sie ist komplex, daher " \
	 "sollten Sie aufmerksam zuhren.\n\nDas ISK eskortiert einen Frachter mit Kommunikations- " \
	 "gerten durch [SYSTEM_NAME]. Dank des Frachters, den wir in einer frheren Mission abfangen konnten, " \
	 "wissen wir nun, wie wir die ISK-Kommunikationseinrichtungen modifizieren mssen, damit wir bei ihren " \
	 "codierten bertragungen mithren knnen. Aber zuerst mssen wir diese Ladung abfangen, " \
	 "ohne dass das ISK davon Wind bekommt, und unsere Modifikationen vornehmen. Die Ladung wird von einem leichten ISK- " \
	 "Kreuzer begleitet.\n\nSie erhalten einen zustzlichen Zerstrer als Untersttzung. Sie " \
	 "haben den Oberbefehl. Ihre Aufgabe ist es, den ISK-Kreuzer mit dem Zerstrer in einen " \
	 "Asteroidenhaufen zu locken. Wenn seine Sensoren von den Asteroiden verdunkelt werden, " \
	 "fangen Sie den Frachter mit dem Hauptschiff ab.\n\nWenn Sie den Frachter erreicht haben, " \
	 "greifen Sie ihn an, zerstren seine Schilde und beamen dann mit Ihren Transportern eine " \
	 "Eingreiftruppe an Bord. Wenn das Team mit den Modifikationen an den Kommunikationsgerten fertig ist, beamen Sie es " \
	 "zurck und verschwinden dann unverzglich aus dem System. Zerstren Sie keinesfalls den ISK-Kreuzer " \
	 "- wir brauchen ihn intakt, um den modifizierten Frachter zurck zur ISK- " \
	 "Basis zu eskortieren.\n\nDas ISK darf niemals vermuten, dass sich mehr als eines unserer Schiff in der " \
	 "Gegend befindet. Halten Sie mit dem Hauptschiff immer mindestens 100.000 Kilometer Abstand vom " \
	 "ISK. Wenn Sie entdeckt werden, ist die Mission gescheitert.\n\nWegtreten.\n\n",

	 // kLyranBriefing_msg
	 ">Fangen Sie eine Ladung ISK-Kommunikationsgerte ab, und nehmen Sie ohne Wissen des ISKs Modifikationen daran vor.<" \
	 "Dies ist eine Spionageoperation gegen das ISK. Sie ist komplex, daher " \
	 "sollten Sie aufmerksam zuhren.\n\nDas ISK eskortiert einen Frachter mit Kommunikationsgerten " \
	 "durch das [SYSTEM_NAME]. Dank des Frachters, den wir in einer frheren " \
	 "Mission abfangen konnten, wissen wir nun, wie wir die ISK-Kommunikationseinrichtungen modifizieren mssen, damit wir bei ihren " \
	 "codierten bertragungen mithren knnen. Aber zuerst mssen wir diese Ladung abfangen, " \
	 "ohne dass das ISK davon Wind bekommt, und unsere Modifikationen vornehmen. Die Ladung wird von einem leichten ISK- " \
	 "Kreuzer begleitet.\n\nSie erhalten einen zustzlichen Zerstrer als Untersttzung. Sie " \
	 "haben den Oberbefehl. Ihre Aufgabe ist es, den ISK-Kreuzer mit dem Zerstrer in einen " \
	 "Asteroidenhaufen zu locken. Wenn seine Sensoren von den Asteroiden verdunkelt werden, fangen " \
	 "Sie den Frachter mit dem Hauptschiff ab.\n\nWenn Sie den Frachter erreicht haben, greifen Sie ihn an, " \
	 "deaktivieren seine Schilde und beamen dann mit Ihren Transportern eine Eingreif- " \
	 "truppe an Bord. Wenn das Team mit den Modifikationen an den Kommunikationsgerten fertig ist, beamen Sie es zurck, und " \
	 "verschwinden dann unverzglich aus dem System. Zerstren Sie keinesfalls den ISK-Kreuzer - wir brauchen ihn " \
	 "intakt, um unser \"Kuckucksei\" zurck zur ISK-Basis zu eskortieren.\n\nDas ISK darf " \
	 "niemals vermuten, dass mehr als eines unserer Schiff involviert ist. Halten Sie mit dem Hauptschiff immer mindestens " \
	 "100.000 Kilometer Abstand vom ISK. Wenn Sie entdeckt werden, ist " \
	 "diese Mission ein Schlag ins Wasser.\n\nWegtreten.\n\n",

	 //kHydranBriefing_msg
	 ">Fangen Sie eine Ladung ISK-Kommunikationsgerte ab, und nehmen Sie ohne Wissen des ISKs Modifikationen daran vor.<" \
	 "Dies ist eine Spionageoperation gegen das ISK. Sie ist komplex, daher " \
	 "sollten Sie aufmerksam zuhren.\n\nDas ISK eskortiert einen Frachter mit Kommunikations- " \
	 "gerten durch [SYSTEM_NAME]. Dank des Frachters, den wir in einer frheren Mission abfangen konnten, " \
	 "wissen wir nun, wie wir die ISK-Kommunikationseinrichtungen modifizieren mssen, damit wir bei ihren " \
	 "codierten bertragungen mithren knnen. Aber zuerst mssen wir diese Ladung abfangen, " \
	 "ohne dass das ISK davon Wind bekommt, und unsere Modifikationen vornehmen. Die Ladung wird von einem leichten ISK- " \
	 "Kreuzer begleitet.\n\nSie erhalten einen zustzlichen Zerstrer als Untersttzung. Sie " \
	 "haben den Oberbefehl. Ihre Aufgabe ist es, den ISK-Kreuzer mit dem Zerstrer in einen " \
	 "Asteroidenhaufen zu locken. Wenn seine Sensoren von den Asteroiden verdunkelt werden, " \
	 "fangen Sie den Frachter mit dem Hauptschiff ab.\n\nWenn Sie den Frachter erreicht haben, " \
	 "greifen Sie ihn an, deaktivieren seine Schilde und beamen dann mit Ihren Transportern eine " \
	 "Eingreiftruppe an Bord. Wenn das Team mit den Modifikationen an den Kommunikationsgerten fertig ist, beamen Sie es " \
	 "zurck und verschwinden dann unverzglich aus dem System. Zerstren Sie keinesfalls den ISK-Kreuzer " \
	 "- wir brauchen ihn intakt, um unser \"Kuckucksei\" zurck zur ISK- " \
	 "Basis zu eskortieren.\n\nDas ISK darf niemals vermuten, dass mehr als eines unserer Schiffe involviert ist. Halten " \
	 "Sie mit dem Hauptschiff immer mindestens 100.000 Kilometer Abstand vom ISK. Wenn " \
	 "Sie entdeckt werden, ist diese Mission ein kompletter Schlag ins Wasser. Und das ist sicher nicht in unserem Sinne, " \
	 "oder?\n\nWegtreten.\n\n",

	 // kGornBriefing_msg
	 ">Fangen Sie eine Ladung ISK-Kommunikationsgerte ab, und nehmen Sie ohne Wissen des ISKs Modifikationen hieran vor.<" \
	 "Dies ist eine Spionageoperation gegen das ISK. Sie ist komplex, daher " \
	 "sollten Sie aufmerksam zuhren.\n\nDas ISK eskortiert einen Frachter mit Kommunikationsgerten " \
	 "durch das [SYSTEM_NAME]. Dank des Frachters, den wir in einer frheren " \
	 "Mission abfangen konnten, wissen wir nun, wie wir die ISK-Kommunikationseinrichtungen modifizieren mssen, damit wir bei ihren " \
	 "codierten bertragungen mithren knnen. Aber zuerst mssen wir diese Ladung abfangen, " \
	 "ohne dass das ISK davon Wind bekommt, und unsere Modifikationen vornehmen. Die Ladung wird von einem leichten ISK- " \
	 "Kreuzer begleitet.\n\nSie erhalten einen zustzlichen Zerstrer als Untersttzung. Sie " \
	 "haben den Oberbefehl. Ihre Aufgabe ist es, den ISK-Kreuzer mit dem Zerstrer in einen " \
	 "Asteroidenhaufen zu locken. Wenn seine Sensoren von den Asteroiden verdunkelt werden, fangen " \
	 "Sie den Frachter mit dem Hauptschiff ab.\n\nWenn Sie den Frachter erreicht haben, greifen Sie ihn an, " \
	 "deaktivieren seine Schilde und beamen dann mit Ihren Transportern eine Eingreif- " \
	 "truppe an Bord. Wenn das Team mit den Modifikationen an den Kommunikationsgerten fertig ist, beamen Sie es zurck und " \
	 "verschwinden dann unverzglich aus dem System. Zerstren Sie keinesfalls den ISK-Kreuzer - wir brauchen ihn " \
	 "intakt, um unser \"Kuckucksei\" zurck zur ISK-Basis zu eskortieren.\n\nDas ISK darf " \
	 "niemals vermuten, dass mehr als eines unserer Schiff involviert ist. Halten Sie mit dem Hauptschiff immer mindestens " \
	 "100.000 Kilometer Abstand vom ISK. Wenn Sie entdeckt werden, war alle " \
	 "Anstrengung umsonst.\n\nWegtreten.\n\n",

	 // kMirakBriefing_msg
	 ">Fangen Sie eine Ladung ISK-Kommunikationsgerte ab, und nehmen Sie ohne Wissen des ISKs Modifikationen daran vor.<" \
	 "Dies ist eine Spionageoperation gegen das ISK. Ich wei, dass solche Missionen " \
	 "geschmacklos sind, aber es muss erledigt werden. Die Aufgabe ist komplex, daher sollten Sie aufmerksam zuhren.\n\nDas " \
	 "ISK eskortiert einen Frachter mit Kommunikationsgerten durch [SYSTEM_NAME]. " \
	 "Dank des Frachters, den wir in einer frheren Mission abfangen konnten, wissen wir jetzt, wie " \
	 "wir die Kommunikationsgerte des ISKs modifizieren mssen, damit wir ihre codierten bertragungen mithren knnen. " \
	 "Aber zuerst mssen wir diese Ladung abfangen, ohne dass das ISK davon Wind bekommt und " \
	 "mssen unsere Modifikationen vornehmen. Die Ladung wird von einem leichten ISK-Kreuzer begleitet.\n\nSie erhalten einen " \
	 "zustzlichen Zerstrer als Untersttzung. Sie haben den Oberbefehl. Ihre Aufgabe ist es, " \
	 "der ISK-Kreuzer mit dem Zerstrer in einen Asteroidenhaufen zu locken. Nachdem seine Sensoren " \
	 "von den Asteroiden verdunkelt wurden, fangen Sie den Frachter mit dem Haupt- " \
	 "schiff ab.\n\nWenn Sie den Frachter erreicht haben, greifen Sie ihn an, deaktivieren seine Schilde und " \
	 "beamen mit Ihren Transportern eine Eingreiftruppe an Bord. Wenn das Team mit " \
	 "den Modifikationen fertig ist, beamen Sie es zurck und verschwinden unverzglich " \
	 "aus dem System. Zerstren Sie keinesfalls den ISK-Kreuzer - wir brauchen ihn " \
	 "intakt, um unser \"Kuckucksei\" zurck zur ISK-Basis zu eskortieren.\n\nDas ISK darf niemals vermuten, dass " \
	 "mehr als eines unserer Schiffe involviert ist. Halten Sie mit dem Hauptschiff immer mindestens 100.000 Kilometer Abstand " \
	 "vom ISK. Wenn Sie entdeckt werden, ist die Mission ein " \
	 "Schlag ins Wasser. Wenn wir Erfolg haben, knnen wir Sie fr Ihre nchste Mission mglicherweise in einer netten Schlacht " \
	 "unterbringen.\n\nWegtreten.\n\n",

	//
	//	Starting message
	//
	
	//	kStart_msg,
	//kFedStart_msg
	"Logbuch des Captains, Sternendatum [STARDATE]. Wir befinden uns auf einer weiteren " \
	"komplizierten Spionagemission. Ein mit ISK-Kommunikationsgerten beladener Frachter " \
	"wird zu einer ISK-Basis eskortiert.[5] Unser Ziel ist es, diese " \
	"Ladung abzufangen und vor der Endmontage mit einer Anzapfstelle zu versehen, die " \
	"es uns ermglicht, die bertragungen des ISKs zu decodieren. Als Untersttzung wurde uns ein Zerstrer " \
	"zugeteilt.\n\n[5]Die Aufgabe des Zerstrers besteht darin, das ISK-Schiff in eine Staub- " \
	"wolke zu locken, in der dessen Sensoren nicht in der Lage sind, uns zu registrieren. Wenn die Eskorte im Dunkeln steht, sollen wir " \
	"den Frachter abfangen, seine Schilde deaktivieren, eine Eingreiftruppe " \
	"an Bord beamen, dann warten, bis sie die Modifikationen an den Gerten vorgenommen haben, sie zurckbeamen " \
	"und dann so schnell wie mglich aus dem System verschwinden. Wie ich schon sagte, " \
	"kompliziert.\n\n[5]",

	// kKlingonStart_msg
	"Kriegsbericht, [STARDATE]. Wir befinden uns auf einer weiteren komplizierten " \
	"Spionagemission. Ein mit ISK-Kommunikationsgerten beladener Frachter wird " \
	"zu einer ISK-Basis eskortiert.[5] Unser Ziel ist es, die Ladung abzufangen und vor der Endmontage eine Anzapfstelle " \
	"in die Gerte einzubauen, die es uns ermglicht, die bertragungen des ISKs " \
	"zu decodieren. Als Untersttzung wurde uns ein Zerstrer zugeteilt. " \
	"\n\n[5]Die Aufgabe des Zerstrers ist es, das ISK-Schiff in einen Asteroidenhaufen zu locken, in dem " \
	"dessen Sensoren nicht in der Lage sind, uns zu registrieren. Wenn die Eskorte im Dunkeln steht, sollen wir den Frachter " \
	"abfangen, seine Schilde deaktivieren, eine Eingreiftruppe an Bord beamen, warten, bis " \
	"sie die Modifikationen an den Gerten vorgenommen haben, sie zurckbeamen und uns dann " \
	"so schnell wie mglich aus dem Staub machen. \n\n[5]Diese Spionagemissionen bringen keinen Ruhm, " \
	"und keinen Kampf, und ich fhle mich wie eine Kreuzung aus dem hinterhltigsten Romulaner und dem " \
	"feigsten Hydraner. Ich verachte sie alle.\n\n[5]",
	
	// kRomulanStart_msg
	"Bericht des romulanischen Imperiums, [STARDATE]. Wir befinden uns auf einer " \
	"weiteren komplizierten Spionagemission. Ein mit ISK-Kommunikationsgerten beladener Frachter " \
	"wird zu einer ISK-Basis eskortiert.[5] Unser Ziel ist es, diese " \
	"Ladung abzufangen und vor der Endmontage mit einer Anzapfstelle zu versehen, die " \
	"es uns ermglicht, die bertragungen des ISKs zu decodieren. Als Untersttzung wurde uns ein Zerstrer " \
	"zugeteilt. \n\n[5]Die Aufgabe des Zerstrers besteht darin, das ISK-Schiff in eine Staub- " \
	"wolke zu locken, in der dessen Sensoren nicht in der Lage sind, uns zu registrieren. Wenn die Eskorte im Dunkeln steht, sollen wir " \
	"den Frachter abfangen, seine Schilde deaktivieren, eine Eingreiftruppe " \
	"an Bord beamen, dann warten, bis sie die Modifikationen an den Gerten vorgenommen haben, sie zurckbeamen " \
	"und dann so schnell wie mglich aus dem System verschwinden. \n\n[5]Wir Romulaner sind " \
	"gefrchtet fr unsere Spionagetalente, und das mit Recht. Es steht nur zu hoffen, dass ich " \
	"am entscheidenden Tag dieser Seite unseres Erbes Ehre mache.\n\n[5]",

	// kGornStart_msg
	"Logbuch des Commanders, [STARDATE]. Wir befinden uns auf einer weiteren komplizierten " \
	"Spionagemission. Ein mit ISK-Kommunikationsgerten beladener Frachter wird " \
	"zu einer ISK-Basis eskortiert.[5] Unser Ziel ist es, die Ladung abzufangen und vor der Endmontage eine Anzapfstelle " \
	"in die Gerte einzubauen, die es uns ermglicht, die bertragungen des ISKs " \
	"zu decodieren. Als Untersttzung wurde uns ein Zerstrer zugeteilt. " \
	"\n\n[5]Die Aufgabe des Zerstrers ist es, das ISK-Schiff in einen Asteroidenhaufen zu locken, in dem " \
	"dessen Sensoren nicht in der Lage sind, uns zu registrieren. Wenn die Eskorte im Dunkeln steht, sollen wir den Frachter " \
	"abfangen, seine Schilde deaktivieren, eine Eingreiftruppe an Bord beamen, warten, bis " \
	"sie die Modifikationen an den Gerten vorgenommen haben, sie zurckbeamen und uns dann " \
	"so schnell wie mglich aus dem Staub machen. \n\n[5]",

	// kHydranStart_msg
	"Journal des Commanders, [STARDATE]. Wir befinden uns auf einer weiteren " \
	"komplizierten Spionagemission. Ein mit ISK-Kommunikationsgerten beladener Frachter " \
	"wird zu einer ISK-Basis eskortiert.[5] Unser Ziel ist es, diese " \
	"Ladung abzufangen und vor der Endmontage mit einer Anzapfstelle zu versehen, die " \
	"es uns ermglicht, die bertragungen des ISKs zu decodieren. Als Untersttzung wurde uns ein Zerstrer " \
	"zugeteilt. \n\n[5]Die Aufgabe des Zerstrers besteht darin, das ISK-Schiff in eine Staub- " \
	"wolke zu locken, in der dessen Sensoren nicht in der Lage sind, uns zu registrieren. Wenn die Eskorte im Dunkeln steht, sollen wir " \
	"den Frachter abfangen, seine Schilde deaktivieren, eine Eingreiftruppe " \
	"an Bord beamen, dann warten, bis sie die Modifikationen an den Gerten vorgenommen haben, sie zurckbeamen " \
	"und dann so schnell wie mglich aus dem System verschwinden. \n\n[5]Diese Spionage- " \
	"missionen sind die reinste Strafe, aber die Aktionen des ISKs lassen uns allmhlich " \
	"keine Wahl mehr.\n\n[5]",

	//	kLyranStart_msg
	"Journal des Commanders, lyranisches Imperium, [STARDATE]. Wir " \
	"befinden uns auf einer weiteren komplizierten Spionagemission. Ein mit ISK-Kommunikationsgerten beladener Frachter " \
	"wird zu einer ISK-Basis eskortiert.[5] Unser Ziel ist es, diese " \
	"Ladung abzufangen und vor der Endmontage mit einer Anzapfstelle zu versehen, die " \
	"es uns ermglicht, die bertragungen des ISKs zu decodieren. Als Untersttzung wurde uns " \
	"ein Zerstrer zugeteilt. \n\n[5]Der Zerstrer hat die Aufgabe, das ISK-Schiff " \
	"in einen Asteroidenhaufen zu locken, in dem dessen Sensoren nicht in der Lage sind, uns zu entdecken. Wenn die " \
	"Eskorte einmal im Dunkeln steht, sollen wir den Frachter abfangen, seine Schilde deaktivieren, eine Eingreiftruppe " \
	"an Bord beamen, dann warten, bis sie die Modifikationen an den Gerten vorgenommen haben, " \
	"sie zurckbeamen und dann so schnell wie mglich aus dem System verschwinden. \n\n[5]Und " \
	"aus diesem Akt des Verrats erwchst ein zuknftiger Sieg. Zumindest " \
	"hoffe ich das.\n\n[5]",
	
	// kMirakStart_msg
	"Jagdbericht, [STARDATE]. Wir befinden uns auf einer weiteren komplizierten " \
	"Spionagemission. Ein mit ISK-Kommunikationsgerten beladener Frachter wird " \
	"zu einer ISK-Basis eskortiert.[5] Unser Ziel ist es, die Ladung abzufangen und vor der Endmontage eine Anzapfstelle " \
	"in die Gerte einzubauen, die es uns ermglicht, die bertragungen des ISKs " \
	"zu decodieren. Als Untersttzung wurde uns ein Zerstrer zugeteilt. " \
	"\n\n[5]Die Aufgabe des Zerstrers ist es, das ISK-Schiff in einen Asteroidenhaufen zu locken, in dem " \
	"dessen Sensoren nicht in der Lage sind, uns zu registrieren. Wenn die Eskorte im Dunkeln steht, sollen wir den Frachter " \
	"abfangen, seine Schilde deaktivieren, eine Eingreiftruppe an Bord beamen, warten, bis " \
	"sie die Modifikationen an den Gerten vorgenommen haben, sie zurckbeamen und uns dann " \
	"so schnell wie mglich aus dem Staub machen. \n\n[5]Diese Spionagemissionen sind eine Beleidigung " \
	"des mirakischen Kampfgeistes. Eines Tages werde ich dem ISK diese Demtigung zurckzahlen. Der Tag " \
	"wird kommen.\n\n[5]",

	//
	//	Debriefing messages
	//
	// kDebIfDetected_msg
	"Dies war eine Undercover-Operation, die komplett aus dem Ruder gelaufen ist. Sie wurden entdeckt. Das kann vorkommen, aber " \
	"wir sind nicht sonderlich glcklich darber. Bei einem Erfolg wren wir dem ISK gegenber " \
	"auerordentlich im Vorteil gewesen.\n\nWegtreten.\n\n",


	// kDebIfTeamLiftedFalse_msg
	"Sie haben einen kapitalen Fehler gemacht. Sie sollten die Eingreiftruppe zurck an Bord " \
	"Ihres Schiffes beamen; stattdessen haben Sie sie dortgelassen, sodass sie vom Feind entdeckt wurden. " \
	"Damit haben Sie die Undercover-Operationen natrlich komplett vermasselt.\n\nWegtreten.\n\n",

	// kDebOperationCompleteFalse_msg
	"Was soll ich sagen, Sie haben es vermasselt. Ihre Leute haben bei der Sache mit dem Frachter " \
	"komplett versagt. Das ist wirklich sehr enttuschend. Wir hatten gehofft, dass Sie ein Kuckucksei in " \
	"das Nest des Feindes legen, aber Sie legen stattdessen das Ei eines rigilianischen Bussards.\n\nWegtreten.\n\n",

	// kDebGenericFailure_msg
	"Naja, diese Undercover-Operation ist sicherlich nicht wie geplant gelaufen. Sie hatten Pech, " \
	"aber das ndert nichts an der Tatsache, dass dies eine lebenswichtige Mission war. Hiermit wren wir " \
	"dem ISK gegenber wirklich im Vorteil gewesen. Wir sind nicht begeistert.\n\nWegtreten.\n\n",


	// kDebSuccess_msg 
	// OPERATION_COMPLETE is TRUE
	// TEAM_LIFTED is TRUE
	// DETECTED is FALSE
	"Herzlichen Glckwunsch. Sie wurden beauftragt, eine schwierige Aufgabe durchzufhren, " \
	"und Sie haben sie mit Bravour gemeistert. Sie haben groe Fhigkeiten und eine hohe Konzentrationsleistung bewiesen. Wir " \
	"sind stolz auf Sie.\n\nWegtreten.\n\n",

	//
	//	Comm buttons
	//

	// kHailISC,
	"RUFEN",
	// kDemandSurrender,
	"KAPITULATION FORDERN",
	// kHailFreighter,
	"RUFEN",

	"///ABSETZEN",

	//
	//	Comm messages
	//
	// kNoResponseISC,
	"Kommunikationsoffizier: Keine Reaktion. Sie sind nicht gerade gesprchig heute.",
	
	// kNoResponseFreighter,
	"Kommunikationsoffizier: Keine Reaktion. [PLAYER_RANK].",
	
	// kLookingForEquipment
	"Sicherheitsoffizier: Wir suchen nach den Gerten, [PLAYER_RANK].",
	
	// kMakingAdjustments,
	"Sicherheitsoffizier: Wir sind noch bei den Anpassungen.",

	// kGetUsOuttaHere,
	"Sicherheitsoffizier: Wir sind bereit zum Zurckbeamen.\n\n",

	// kDisengage.
	"[PLAYER_NAME]: Signalisieren Sie unseren Verbndeten, sich abzusetzen und unseren Freund vom ISK zu entfhren.\n\n" \
	"Kommunikationsoffizier: Signal gesendet, Sir. Sie setzen sich ab.\n\n",


	//
	//	Victory rating
	//

	//
	//	Random chatter
	//

	//	kRandChat1_msg,
	"Steuermann:\n\n",
	
	//	kRandChat2_msg,
	"Ingenieur:\n\n",
		
	//	kRandChat3_msg,
	"Sicherheitsoffizier:\n\n",
	
	//	kRandChat4_msg,
	"Navigation:\n\n",
		
	//	kRandChat5_msg,
	"Waffenoffizier:\n\n",
	
	//	kRandChat6_msg,
	"Wissenschaftsoffizier:\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	// kEvt_2

	"Wissenschaftsoffizier: Der Feind hat unser Flaggschiff entdeckt. Mission abgebrochen.\n\n",
	// kEvt_3

	"Wissenschaftsoffizier: Wir haben den Frachter, um den wir uns kmmern sollten, soeben zerstrt. Mission abgebrochen.\n\n",
	// kEvt_4

	"Wissenschaftsoffizier: Wir haben soeben den Kreuzer zerstrt.\n\n Er sollte unbedingt intakt bleiben. Mission abgebrochen.\n\n",
	// kEvt_5

	"Wissenschaftsoffizier: Wir haben soeben den Kreuzer deaktiviert. Das wird die Auslieferung der Kommunikationsgerte unglcklicherweise so sehr verzgern, dass sie die von uns modifizierten Gerte wahrscheinlich gar nicht mehr einsetzen werden. Mission abgebrochen.\n\n",
	// kEvt_6
	"Wissenschaftsoffizier: Wir haben den Kreuzer soeben erobert.\n\n Leider stand das nicht im Missionsprofil, und sie werden die Ladung Kommunikationsgerte sicherlich wesentlich genauer prfen, wenn sie vermuten, dass wir uns daran zu schaffen gemacht haben. Mission abgebrochen.\n\n",

	// kEvt_7
	"Sicherheitsoffizier: Der Frachter ist unter unserer Kontrolle, [PLAYER_RANK]. Wir beamen jetzt automatisch die Eingreiftruppe an Bord.\n\n",

	// kEvt_8

	"Sicherheitsoffizier: Wir haben die Gerte gefunden. Die Operation hat begonnen.\n\n",
	// kEvt_9

	"Sicherheitsoffizier: Operationen abgeschlossen. Wir knnen das Team jetzt zurckholen und das System verlassen.\n\n",

	// kEvt_10
	"Sicherheitsoffizier: Die Eingreiftruppe ist vor Ort. Sie suchen nach den Gerten.\n\n",

	// kEvt_11

	"Sicherheitsoffizier: Das Team ist auf das Schiff zurckgekehrt.\n\n",

	// kEvt_12

	"Wissenschaftsoffizier: Wir verlassen das System, [PLAYER_RANK].\n\n",
	// kEvt_13

	"Wissenschaftsoffizier: Wir haben das System verlassen.\n\n",
	// kEvt_14

	"Wissenschaftsoffizier: Das ISK-Schiff befindet sich im Asteroidenhaufen.\n Whrend es da drin steckt, knnen sie uns nicht entdecken.\n\n ",
	// kEvt_15

	"Wissenschaftsoffizier: Die ISK-Schiff hat den Asteroidenhaufen verlassen, [PLAYER_RANK].\n\n",
	//
	//	Custom messages
	//

//
	//	Custom messages
	//

	//
	//	Not localized as of 10/8/00
	//
	
	//	kPlayerTeamTitle_msg,
	"Kuckucksei",

	//	kPlayerTeamBriefing_msg,
	"",

	//
	//	Not localized as of 10/17/00
	//

	//	kScanning_msg,
	"Wissenschaftsoffizier: Wir scannen...\n\n",

	//	kDisconnect_msg,
	"Mission eingebt\n\n",

};

#else

std::string Messages[] =
{
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_X4M2ACuckoo",

	//
	//	Briefing messages (Race Specific)
	//
	// 
	// kBriefing_msg
	"",

	// kFedBriefing_msg
	">Intercept a shipment of ISC communications equipment and alter it without their knowledge.<" \
	"This is an espionage operation against the ISC. It's complex, so " \
	"listen carefully.\n\nThe ISC is escorting a freighter of communications " \
	"equipment through [SYSTEM_NAME]. Thanks to the freighter we intercepted in our " \
	"earlier mission, we now know how to alter ISC communications so we can listen in " \
	"on their coded transmissions. But first, we need to intercept that shipment " \
	"without the ISC's knowledge and make adjustments. It's guarded by an ISC light " \
	"cruiser.\n\nYou will be provided with an additional destroyer to assist you. You " \
	"will be in command. Your job is to get the destroyer to lure the ISC cruiser " \
	"into a clump of asteroids. Once its sensors are obscured by the asteroids, intercept " \
	"the freighter with your main ship.\n\nOnce you reach the freighter, engage it, " \
	"knock down its shields, then use your transporters to beam aboard an intrusion " \
	"team. When they've finished making their modifications, beam them back, and then " \
	"get out of the system immediately. Do not destroy the ISC cruiser - we will need " \
	"it intact to escort our cuckoo's egg' back to the ISC base.\n\nThe ISC must " \
	"never suspect there's more than one of our ships in the area. Keep your main " \
	"ship at least 1,000,000 kilometers away from the ISC at all times. If you're " \
	"detected, this mission will be a complete wash.\n\nDismissed.\n\n",

	// kKlingonBriefing_msg
	 ">Intercept a shipment of ISC communications equipment and alter it without their knowledge.<" \
	 "This is an espionage operation against the ISC. It is a complicated " \
	 "plan, so listen carefully.\n\nThe ISC is escorting a freighter of communications " \
	 "equipment through [SYSTEM_NAME]. Thanks to the freighter we intercepted in our " \
	 "earlier mission, we now know how to alter ISC communications so we can listen in " \
	 "on their coded transmissions. But first, we need to intercept that shipment " \
	 "without the ISC's knowledge and make adjustments. It's guarded by an ISC light " \
	 "cruiser.\n\nYou will be provided with an additional destroyer to assist you. You " \
	 "will be in command. Your job is to get the destroyer to lure the ISC cruiser " \
	 "into a clump of asteroids. Once its sensors are obscured by the asteroids, intercept " \
	 "the freighter with your main ship.\n\nOnce you reach the freighter, engage it, " \
	 "knock down its shields, then use your transporters to beam aboard an intrusion " \
	 "team. When they've finished making their modifications, beam them back, and then " \
	 "get out of the system immediately. Do not destroy the ISC cruiser - we will need " \
	 "it intact to escort the 'cuckoo's egg' back to the ISC base.\n\nThe ISC must " \
	 "never suspect there's more than one of our ships in the area. Keep your main " \
	 "ship at least 1,000,000 kilometers away from the ISC at all times. If you're " \
	 "detected, this mission will be a complete failure. Do not disgrace yourselves " \
	 "with a mental lapse.\n\nQapla.",

	 //kRomulanBriefing_msg
	 ">Intercept a shipment of ISC communications equipment and alter it without their knowledge.<" \
	 "This is an espionage operation against the ISC. It is complex, so " \
	 "listen carefully.\n\nThe ISC is escorting a freighter of communications " \
	 "equipment through [SYSTEM_NAME]. Thanks to the freighter we intercepted in our " \
	 "earlier mission, we now know how to alter ISC communications so we can listen in " \
	 "on their coded transmissions. But first, we need to intercept that shipment " \
	 "without the ISC's knowledge and make adjustments. It's guarded by an ISC light " \
	 "cruiser.\n\nYou will be provided with an additional destroyer to assist you. You " \
	 "will be in command. Your job is to get the destroyer to lure the ISC cruiser " \
	 "into a clump of asteroids. Once the cruiser's sensors are obscured by the asteroids, " \
	 "intercept the freighter with your main ship.\n\nOnce you reach the freighter, " \
	 "engage it, knock down its shields, then use your transporters to beam aboard an " \
	 "intrusion team. When they have finished making their modifications, beam them " \
	 "back, and then get out of the system immediately. Do not destroy the ISC cruiser " \
	 "- we will need it intact to escort the altered freighter back to the ISC " \
	 "base.\n\nThe ISC must never suspect there is more than one of our ships in the " \
	 "area. Keep your main ship at least 1,000,000 kilometers away from the ISC at all " \
	 "times. If you're detected, this mission fails.\n\nDismissed.\n\n",

	 // kLyranBriefing_msg
	 ">Intercept a shipment of ISC communications equipment and alter it without their knowledge.<" \
	 "This is an espionage operation against the ISC. It's complex, so listen " \
	 "carefully.\n\nThe ISC is escorting a freighter of communications equipment " \
	 "through [SYSTEM_NAME]. Thanks to the freighter we intercepted in our earlier " \
	 "mission, we now know how to alter ISC communications so we can listen in on " \
	 "their coded transmissions. But first, we need to intercept that shipment without " \
	 "the ISC's knowledge and make adjustments. It's guarded by an ISC light " \
	 "cruiser.\n\nYou will be provided with an additional destroyer to assist you. You " \
	 "will be in command. Your job is to get the destroyer to lure the ISC cruiser " \
	 "into a clump of asteroids. Once its sensors are obscured by the asteroids, intercept " \
	 "the freighter with your main ship.\n\nOnce you reach the freighter, engage it, " \
	 "knock down its shields, then use your transporters to beam aboard an intrusion " \
	 "team. When they've finished making their modifications, beam them back, and then " \
	 "get out of the system immediately. Do not destroy the ISC cruiser - we will need " \
	 "it intact to escort the 'cuckoo's egg' back to the ISC base.\n\nThe ISC must " \
	 "never suspect there's more than one of our ships. Keep your main ship at least " \
	 "1,000,000 kilometers away from the ISC at all times. If you're detected, this " \
	 "mission will be a complete wash.\n\nDismissed.\n\n",

	 //kHydranBriefing_msg
	 ">Intercept a shipment of ISC communications equipment and alter it without their knowledge.<" \
	 "This is an espionage operation against the ISC. It's complex, so " \
	 "listen carefully.\n\nThe ISC is escorting a freighter of communications " \
	 "equipment through [SYSTEM_NAME]. Thanks to the freighter we intercepted in our " \
	 "earlier mission, we now know how to alter ISC communications so we can listen in " \
	 "on their coded transmissions. But first, we need to intercept that shipment " \
	 "without the ISC's knowledge and make adjustments. It's guarded by an ISC light " \
	 "cruiser.\n\nYou will be provided with an additional destroyer to assist you. You " \
	 "will be in command. Your job is to get the destroyer to lure the ISC cruiser " \
	 "into a clump of asteroids. Once the cruiser's sensors are obscured by the asteroids, " \
	 "intercept the freighter with your main ship.\n\nOnce you reach the freighter, " \
	 "engage it, knock down its shields, then use your transporters to beam aboard an " \
	 "intrusion team. When they've finished making their modifications, beam them " \
	 "back, and then get out of the system immediately. Do not destroy the ISC cruiser " \
	 "- we will need it intact to escort our 'cuckoo's egg' back to the ISC " \
	 "base.\n\nThe ISC must never suspect there's more than one of our ships. Keep " \
	 "your main ship at least 1,000,000 kilometers away from the ISC at all times. If " \
	 "you're detected, this mission will be a complete wash. And we don't want that, " \
	 "do we?\n\nDismissed.\n\n",

	 // kGornBriefing_msg
	 ">Intercept a shipment of ISC communications equipment and alter it without their knowledge.<" \
	 "This is an espionage operation against the ISC. It's complex, so listen " \
	 "carefully.\n\nThe ISC is escorting a freighter of communications equipment " \
	 "through [SYSTEM_NAME]. Thanks to the freighter we intercepted in our earlier " \
	 "mission, we now know how to alter ISC communications so we can listen in on " \
	 "their coded transmissions. But first, we need to intercept that shipment without " \
	 "the ISC's knowledge and make adjustments. It's guarded by an ISC light " \
	 "cruiser.\n\nYou will be provided with an additional destroyer to assist you. You " \
	 "will be in command. Your job is to get the destroyer to lure the ISC cruiser " \
	 "into a clump of asteroids. Once its sensors are obscured by the asteroids, intercept " \
	 "the freighter with your main ship.\n\nOnce you reach the freighter, engage it, " \
	 "knock down its shields, then use your transporters to beam aboard an intrusion " \
	 "team. When they've finished making their modifications, beam them back, and then " \
	 "get out of the system immediately. Do not destroy the ISC cruiser - we will need " \
	 "it intact to escort our 'cuckoo's egg' back to the ISC base.\n\nThe ISC must " \
	 "never suspect there's more than one of our ships. Keep your main ship at least " \
	 "100,000 kilometers away from the ISC at all times. If you're detected, all your " \
	 "efforts will go for nought.\n\nDismissed.\n\n",

	 // kMirakBriefing_msg
	 ">Intercept a shipment of ISC communications equipment and alter it without their knowledge.<" \
	 "This is an espionage operation against the ISC. I know such missions " \
	 "are distasteful, but it must be done. It's complex, so listen carefully.\n\nThe " \
	 "ISC is escorting a freighter of communications equipment through [SYSTEM_NAME]. " \
	 "Thanks to the freighter we intercepted in our earlier mission, we now know how " \
	 "to alter ISC communications so we can listen in on their coded transmissions. " \
	 "But first, we need to intercept that shipment without the ISC's knowledge and " \
	 "make adjustments. It's guarded by an ISC light cruiser.\n\nYou will be provided " \
	 "with an additional destroyer to assist you. You will be in command. Your job is " \
	 "to get the destroyer to lure the ISC cruiser into a clump of asteroids. Once its sensors " \
	 "are obscured by the asteroids, intercept the freighter with your main " \
	 "ship.\n\nOnce you reach the freighter, engage it, knock down its shields, then " \
	 "use your transporters to beam aboard an intrusion team. When they've finished " \
	 "making their modifications, beam them back, and then get out of the system " \
	 "immediately. Do not destroy the ISC cruiser - we will need it intact to escort " \
	 "our 'cuckoo's egg' back to the ISC base.\n\nThe ISC must never suspect there's " \
	 "more than one of our ships. Keep your main ship at least 1,000,000 kilometers away " \
	 "from the ISC at all times. If you're detected, this mission will be a complete " \
	 "wash. If we succeed, we may be able to find you a good battle on your next " \
	 "mission.\n\nDismissed.\n\n",

	//
	//	Starting message
	//
	
	//	kStart_msg,
	//kFedStart_msg
	"Captain's Log, Stardate, [STARDATE]. We are engaged in another " \
	"complicated espionage mission. A freighter containing ISC communications " \
	"equipment is being escorted to an ISC base.\n\nOur goal is to intercept this " \
	"shipment and place a tap into the equipment before it's been assembled that will " \
	"allow us to decode ISC transmissions. To facilitate this, a destroyer has been " \
	"loaned to our ship.\n\nThe destroyer's job is to lure the ISC ship into a dust " \
	"cloud where its sensors will be unable to detect us. Once it's blind, we are " \
	"then to intercept the freighter, bring down its shields, beam an intrusion team " \
	"aboard, wait until they've made adjustments to the equipment, beam them back, " \
	"and then head out of the system as quickly as possible. Like I said, " \
	"complicated.\n\n",

	// kKlingonStart_msg
	"War Record, [STARDATE]. We are engaged in another complicated " \
	"espionage mission. A freighter containing ISC communications equipment is being " \
	"escorted to an ISC base.\n\nOur goal is to intercept this shipment and place a tap " \
	"into the equipment before it's been assembled that will allow us to decode ISC " \
	"transmissions. To facilitate this, a destroyer has been loaned to our ship. " \
	"\n\nThe destroyer's job is to lure the ISC ship into a clump of asteroids where its " \
	"sensors will be unable to detect us. Once it's blind, we are then to intercept " \
	"the freighter, bring down its shields, beam an intrusion team aboard, wait until " \
	"they've made adjustments to the equipment, beam them back, and then head out of " \
	"the system as quickly as possible. \n\nThese espionage missions bring no glory, " \
	"no battle, and make me feel like a hybrid of the most sneaky Romulan and the " \
	"most cowardly Hydran. I despise them.\n\n",
	
	// kRomulanStart_msg
	"Record of the Romulan Star Empire, [STARDATE]. We are engaged in " \
	"another complicated espionage mission. A freighter containing ISC communications " \
	"equipment is being escorted to an ISC base.\n\nOur goal is to intercept this " \
	"shipment and place a tap into the equipment before it's been assembled that will " \
	"allow us to decode ISC transmissions. To facilitate this, a destroyer has been " \
	"loaned to our ship. \n\nThe destroyer's job is to lure the ISC ship into a dust " \
	"cloud where its sensors will be unable to detect us. Once it's blind, we are " \
	"then to intercept the freighter, bring down its shields, beam an intrusion team " \
	"aboard, wait until they've made adjustments to the equipment, beam them back, " \
	"and then head out of the system as quickly as possible. \n\nWe Romulans are " \
	"justly feared for our ability to perform espionage. It is to be hoped that on " \
	"this day, I shall do honor to that side of our heritage.\n\n",

	// kGornStart_msg
	"Commander's log, [STARDATE]. We are engaged in another complicated " \
	"espionage mission. A freighter containing ISC communications equipment is being " \
	"escorted to an ISC base.\n\nOur goal is to intercept this shipment and place a tap " \
	"into the equipment before it's been assembled that will allow us to decode ISC " \
	"transmissions. To facilitate this, a destroyer has been loaned to our ship. " \
	"\n\nThe destroyer's job is to lure the ISC ship into a clump of asteroids where its " \
	"sensors will be unable to detect us. Once it's blind, we are then to intercept " \
	"the freighter, bring down its shields, beam an intrusion team aboard, wait until " \
	"they've made adjustments to the equipment, beam them back, and then head out of " \
	"the system as quickly as possible. \n\n",

	// kHydranStart_msg
	"Commander's journal, [STARDATE]. We are engaged in another " \
	"complicated espionage mission. A freighter containing ISC communications " \
	"equipment is being escorted to an ISC base.Our goal is to intercept this " \
	"shipment and place a tap into the equipment before it's been assembled that will " \
	"allow us to decode ISC transmissions. To facilitate this, a destroyer has been " \
	"loaned to our ship.\n\nThe destroyer's job is to lure the ISC ship into a dust " \
	"cloud where its sensors will be unable to detect us. Once it's blind, we are " \
	"then to intercept the freighter, bring down its shields, beam an intrusion team " \
	"aboard, wait until they've made adjustments to the equipment, beam them back, " \
	"and then head out of the system as quickly as possible.\n\nThese espionage " \
	"missions are a bother, but ISC actions are increasingly leaving us without a " \
	"choice.\n\n",

	//	kLyranStart_msg
	"Commander's journal, Lyran Star Empire, [STARDATE]. We " \
	"are engaged in another complicated espionage mission. A freighter containing ISC " \
	"communications equipment is being escorted to an ISC base.\n\nOur goal is to " \
	"intercept this shipment and place a tap into the equipment before it's been " \
	"assembled that will allow us to decode ISC transmissions. To facilitate this, a " \
	"destroyer has been loaned to our ship.\n\nThe destroyer's job is to lure the " \
	"ISC ship into a clump of asteroids where its sensors will be unable to detect us. Once " \
	"it's blind, we are then to intercept the freighter, bring down its shields, beam " \
	"an intrusion team aboard, wait until they've made adjustments to the equipment, " \
	"beam them back, and then head out of the system as quickly as possible.\n\nAnd " \
	"through this act of treachery, comes future victory. At least I hope it shall be " \
	"so.\n\n",
	
	// kMirakStart_msg
	"Hunt record, [STARDATE]. We are engaged in another complicated " \
	"espionage mission. A freighter containing ISC communications equipment is being " \
	"escorted to an ISC base.\n\nOur goal is to intercept this shipment and place a tap " \
	"into the equipment before it's been assembled that will allow us to decode ISC " \
	"transmissions. To facilitate this, a destroyer has been loaned to our ship. " \
	"\n\nThe destroyer's job is to lure the ISC ship into a clump of asteroids where its " \
	"sensors will be unable to detect us. Once it's blind, we are then to intercept " \
	"the freighter, bring down its shields, beam an intrusion team aboard, wait until " \
	"they've made adjustments to the equipment, beam them back, and then head out of " \
	"the system as quickly as possible.\n\nThese espionage missions are an insult to " \
	"the Mirak fighting spirit. One day, I will repay the ISC for this indignity. One " \
	"day.\n\n",

	//
	//	Debriefing messages
	//
	// kDebIfDetected_msg
	"This was a covert operation that went awry. You were detected. It happens, but " \
	"we're not very happy about it. This would have given us an extraordinary " \
	"advantage against the ISC.\n\nDismissed.\n\n",


	// kDebIfTeamLiftedFalse_msg
	"You made a stupid mistake. You were supposed to beam the intrusion team back " \
	"aboard your ship; instead you left them there to be discovered by the enemy. " \
	"This completely botched this covert operation.\n\nDismissed.\n\n",

	// kDebOperationCompleteFalse_msg
	"Well, you blew it. Your operatives failed to complete the operation against the " \
	"freighter. This is very disappointing. We hoped to plant a cuckoo's egg in the " \
	"enemy nest, but we laid a Rigilian buzzard's egg instead.\n\nDismissed.\n\n",

	// kDebGenericFailure_msg
	"Well, this covert operation certainly didn't go as we planned. You had bad luck, " \
	"but that doesn't change the fact that this was a critical mission. It would have " \
	"given us a great advantage against the ISC. We are not pleased.\n\nDismissed.\n\n",

	// kDebSuccess_msg 
	// OPERATION_COMPLETE is TRUE
	// TEAM_LIFTED is TRUE
	// DETECTED is FALSE
	"Congratulations. You were asked to complete a difficult and tedious assignment, " \
	"and you did it well. You showed a great deal of skill and concentration. We're " \
	"very proud of you.\n\nDismissed.\n\n",

	//
	//	Comm buttons
	//

	// kHailISC,
	"HAIL",
	// kDemandSurrender,
	"DEMAND SURRENDER",
	// kHailFreighter,
	"HAIL",

	"DISENGAGE",

	//
	//	Comm messages
	//
	// kNoResponseISC,
	"Communications Officer: No response. They're not talkative today.",
	
	// kNoResponseFreighter,
	"Communications Officer: No response. [PLAYER_RANK].",
	
	// kLookingForEquipment
	"Security Officer: We're looking for the equipment, [PLAYER_RANK].",
	
	// kMakingAdjustments,
	"Security Officer: We're still making adjustments.",

	// kGetUsOuttaHere,
	"Security Officer: We're ready to be extracted.",

	// kDisengage.
	"[PLAYER_NAME]: Signal our allies to disengage and lead our ISC friend away.\n\n" \
	"Communications Officer: Signal sent, sir. They are disengaging.\n\n",


	//
	//	Victory rating
	//

	//
	//	Random chatter
	//

	//	kRandChat1_msg,
	"Helm:\n\n",
	
	//	kRandChat2_msg,
	"Engineer:\n\n",
		
	//	kRandChat3_msg,
	"Security Officer:\n\n",
	
	//	kRandChat4_msg,
	"Navigation:\n\n",
		
	//	kRandChat5_msg,
	"Weapons Officer:\n\n",
	
	//	kRandChat6_msg,
	"Science Officer:\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	// kEvt_2

	"Science Officer: The enemy has spotted our flagship. Mission aborted.\n\n",
	// kEvt_3

	"Science Officer: We just destroyed the freighter we were supposed to infiltrate. Mission aborted.\n\n",
	// kEvt_4

	"Science Officer: We just destroyed the cruiser. We needed it to remain intact. Mission aborted.\n\n",
	// kEvt_5

	"Science Officer: We just disabled the cruiser. Unfortunately, that's going to delay the shipment of communications equipment to the point where they're probably not going to use the euqipment we altered. Mission aborted.\n\n",
	// kEvt_6
	"Science Officer: We just captured the cruiser. Unfortunately, that wasn't in the mission profile, and they're going to check the shipment of communications equipment a lot more closely if they think we've infiltrated them. Mission aborted.\n\n",

	// kEvt_7
	"Security Officer: The freighter is now ours, [PLAYER_RANK]. We're automatically beaming aboard the intrusion team.\n\n",

	// kEvt_8

	"Security Officer: They've found the equipment. The operation has begun.\n\n",
	// kEvt_9

	"Security Officer: Operations complete. We can now retrieve the team and leave the system.\n\n",

	// kEvt_10
	"Security Officer: The intrusion team is in place. They're looking for the equipment.\n\n",

	// kEvt_11

	"Security Officer: The team has returned to the ship.\n\n",

	// kEvt_12

	"Science Officer: Leaving the system, [PLAYER_RANK].\n\n",
	// kEvt_13

	"Science Officer: We've left the system.\n\n",
	// kEvt_14

	"Science Officer: The ISC ship has entered the asteroids. He won't be able to detect us while he's in there.\n\n",
	// kEvt_15

	"Science Officer: The ISC ship has left the asteroids, [PLAYER_RANK].\n\n",
	//
	//	Custom messages
	//

	//
	//	Not localized as of 10/8/00
	//
	
	//	kPlayerTeamTitle_msg,
	"Cuckoo's Egg",

	//	kPlayerTeamBriefing_msg,
	"",

	//
	//	Not localized as of 10/17/00
	//

	//	kScanning_msg,
	"Science Officer: Scanning...\n\n",

	//
	//	Not localized as of 11/5/00
	//

	//	kDisconnect_msg,
	"Forfeit",

	//
	//	Not localized as of 11/24/00
	//
	
	//	kAborted_msg,
	"Mission aborted.\n\n",
};

#endif