/********************************************************************************************************\

	File Name:	MissionText.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( MissionText_h )
#define MissionText_h

#include "tstring.h"
//************************************************
// Here's the define to enable long strings once
// the bug is fixed.
//************************************************
// #define kLongMessages
enum TextMessages
{
	//
	//	Mission Title
	//
	kMissionTitle_msg,

	//
	//	Briefing messages (Race specific)
	//
	kBriefing_msg,
	kFedBriefing_msg,
	kKlingonBriefing_msg,
	kRomulanBriefing_msg,
	kLyranBriefing_msg,
	kHydranBriefing_msg,
	kGornBriefing_msg,
	kMirakBriefing_msg,
	//
	//	Starting message
	//

	kFedStart_msg,
	kKlingonStart_msg,
	kRomulanStart_msg,
	kGornStart_msg,
	kHydranStart_msg,
	kLyranStart_msg,
	kMirakStart_msg,

	//
	//	Debriefing messages
	//
	
	kDebIfDetected_msg,
	kDebIfTeamLiftedFalse_msg,
	kDebOperationCompleteFalse_msg,
	kDebGenericFailure_msg,
	kDebSuccess_msg,
	//
	//	Comm buttons
	//
	kHailISC_btn,
	kDemandSurrender_btn,
	kHailFreighter_btn,
	kDD_btn,

	//
	//	Comm messages
	//
	kNoResponseISC_msg,
	kNoResponseFreighter_msg,
	kLookingForEquipment_msg,
	kMakingAdjustments_msg,
	kGetUsOuttaHere_msg,
	kDisengage_msg,

	//
	//	Victory rating
	//
	//
	//	Random chatter
	//
	kRandChat1_msg,
	kRandChat2_msg,
	kRandChat3_msg,
	kRandChat4_msg,
	kRandChat5_msg,
	kRandChat6_msg,

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	kEvt_2,
	kEvt_3,
	kEvt_4,
	kEvt_5,
	kEvt_6,
	kEvt_7,
	kEvt_8,
	kEvt_9,
	kEvt_10,
	kEvt_11,
	kEvt_12,
	kEvt_13,
	kEvt_14,
	kEvt_15,


	//
	//	Custom messages
	//

	//
	//	Not localized as of 10/8/00
	//
	kPlayerTeamTitle_msg,
	kPlayerTeamBriefing_msg,

	//
	//	Not localized as of 10/17/00
	//
	kScanning_msg,

	//
	//	Not localized as of 11/5/00
	//
	kDisconnect_msg,

	//
	//	Not localized as of 11/24/00
	//
	kAborted_msg,
};

extern std::string Messages[];


#endif
