/********************************************************************************************************\

	File Name:	Uni_X4M2ACuckoo.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( Uni_X4M2ACuckoo_h )
#define Uni_X4M2ACuckoo_h

#include "ScriptInterface.h"

//------------------------------------------------------
// the following enum is used to identify all non-player
// teams in the script (use kPlayerTeam to access the
// current players team.)

enum eTeamTypes
{
	kPlayerTeam = kTeam1,
	kPlayerNPCTeam,
	kEnemyTeam,
	kFreighterTeam,
	kDraft1Team,
	kDraft2Team,
};
enum eCustomIDs
{
	kPlayerShip = 1100,
	kPlayerShip2,
	kPlayerShip3,
	kPlayerShip4= 1104 ,
	kPlayerShip5,
	kPlayership6,
	kISCLightCruiser = 1200,
	kFreighter = 1300,

};
enum eTimerIDs
{
	kRandChatID = 1000,
	kDebugTimer,
	kDistChkID,
	kMapEdgeID,
	kOpTimerID,
};

class tVictoryCondition;
class tUni_X4M2ACuckoo : public tScript
{
public:

	enum eCommStates
	{};

	tUni_X4M2ACuckoo();

	virtual void	mStartMission();
	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual iTruth  mUsePlayerShip( tShipInGame& Ship );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual int32	mInitializeFinished();
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual void	mASCIIOverrides( tMapOverrides* Map );
	virtual void	mDefineBriefings( void );
	virtual void	mDefineTeamShipStrengths( void );
};

#endif


