/********************************************************************************************************\

	File Name:	FleetTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "FleetTeam.h"
#include "FleetTeamBaseState.h"
#include "FleetTeamExistsState.h"
#include "FleetShip.h"
#include "FleetTeamBaseState.h"
#include "ShipList_API.h"
#include "ShipScriptDescription.h"


tClassAllocator<tFleetTeam> gFleetTeamAllocator;


void tFleetTeam::mSetupState()
{
	mRegisterState( new tFleetTeamExistsState() ); 
	mRegisterState( new tFleetTeamBaseState() );
	mGotoState( typeid( tFleetTeamBaseState ) );
}

void tFleetTeam::mSetupCommState()
{}

void tFleetTeam::mCreateShipsForTeam()
{}

void tFleetTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tFleetTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tFleetTeam", shipScriptDescription );
}