/********************************************************************************************************\

	File Name:	FleetTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/


#if !defined( FleetTeam_h )
#define FleetTeam_h

#include "TeamInfo.h"


class tFleetTeam : public tTeamInfo
{
public:

	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );

/*

	HELPER NOTE:	Below is where the list of the ship custom IDs go.  An example follows.

	enum eCustomIDs
	{
		kPlayerNPCBS1,
		kPlayerNPCBS2,
	};

*/
	enum eCustomIDs
	{
		kFleet1 = 300,
		kFleet2,
		kFleet3,
		kFleet4,
		kFleet5,
		kFleet6,
		kFleet7,
	};
};

#endif
