/********************************************************************************************************\

	File Name:	OrionMoon.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "OrionMoon.h"
#include "OrionMoonBaseState.h"
#include "Uni_X5M1AMoon.h"
#include "MissionText.h"

tClassAllocator<tOrionMoon> gOrionMoonAllocator;

void tOrionMoon::mSetupState()
{
	mRegisterState( new tOrionMoonBaseState() );
	mGotoState( typeid( tOrionMoonBaseState ) );
}

void tOrionMoon::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	if( !playerTeam )
			return;

	playerTeam->mRegisterCommMessage( kCommState_1,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail,
									  kHail_Base_msg );

	playerTeam->mGotoCommState( mGetShipID(), kCommState_1 );
}

void tOrionMoon::mSetupShip()
{
	mSetShipCallbackEvents( kNotifyDamage );
}

