/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN
		//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_X5M1FPyre",

	//kTitle2
	"Der Scheiterhaufen",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"Wir haben die Kontrolle ber [SYSTEM_NAME] an die Orionen verloren, knnen sie aber mit nur einer " \
	"erfolgreichen Operation zurckerlangen. Die Orionen halten die ehemalige Strflingskolonie auf " \
	"der Oberflche des Planeten besetzt. Und sie haben nicht die geringste Ahnung, dass sich die Kolonie genau " \
	"auf einem groen Sprengstofflager befindet. An dieser Stelle wurden einst in einem frheren Krieg Waffen abgeladen." \
	
	"Um die Munition znden zu knnen, mssen Sie in Transportreichweite des Planeten gelangen " \
	"und eine Sprengvorrichtung in die Waffen beamen. Sorgen Sie dafr, dass der Planet zunchst abgetastet wird, und " \
	"ermitteln Sie die exakte Position der Sprengkrper. Die Explosion sollte dann schon uerst spektakulr sein.\n\n" \

	"Viel Glck.\n",

	//
	//	Starting message
	//
	
	//kCaptainsLog_msg,
	"Logbuch des [PLAYER_RANK], Sternendatum [STARDATE]: Wir sind auf dem Weg nach [SYSTEM_NAME], um " \
	"eine Operationsbasis der Orionen zu zerstren, die auf dem Planeten errichtet wurde.\n\n",

	//kSitrep_msg,
	"Erster Offizier: Wir sind im System angekommen, [PLAYER_RANK].",

	//
	//	Debriefing messages
	//
	
	//kDeb_KilledBase_msg
	"Herzlichen Glckwunsch! Jetzt, da wir die Basis der Orionen zerstrt haben, haben wir die Kontrolle ber das Gebiet zurckerlangt. Und das " \
	"ISK wird sich wohl zweimal berlegen, ob es sich hier breit macht.\n\n",

	//kDeb_Failed_msg
	"[SYSTEM_NAME] sollte fr die Orionen eigentlich zum Scheiterhaufen, zum Grab werden. Stattdessen ist die Basis " \
	"unversehrt, und das ISK rckt ein. Ja, die anderen waren zwar in der berzahl. Aber was fr ein demtigender Fehlschlag.\n\n" \
	"Wegtreten.\n",

	//kDeb_PlayerDied_msg
	"Ihre Einheiten sind vernichtet worden.\n\n",

	//
	//	Comm buttons
	//

	//kButton_Hail,
	"RUFEN",

	//
	//	Comm messages
	//

	//kHailMoon_msg,
	"Basis der Orionen: Wir haben diesen Mond jetzt eingenommen. Sie haben nicht die Feuerkraft, um uns zu vertreiben.\n\n",

	//kHailShip_msg,
	"Orionischer Captain: Was wollen Sie?\n\n",

	//
	//	Victory rating
	//

	//	kAstoundingVictory_msg,
	"Groartiger Sieg\n\n",

	//	kVictory_msg,
	"Sieg\n\n",

	//	kDraw_msg,
	"Unentschieden\n\n",

	//	kDefeat_msg,
	"Niederlage\n\n",

	//	kDevastatingDefeat_msg,
	"Vernichtende Niederlage\n\n",

	//	kLeftEarly_msg,
	"Mission eingebt\n\n",

	//
	//	Event dialog
	//

	//kBaseDead_msg
	"Erster Offizier: Die Basis wurde zerstrt.\n\n",

	//kBombedWithoutScan_msg,
	"Waffenoffizier: [PLAYER_RANK], ohne die exakten Koordinaten des Waffenlagers " \
	"konnten wir keine ausreichend starke Explosion auslsen, um die Basis zu zerstren.\n\n",
	
	//kBeamedNowhere_msg,
	"Erster Offizier: Das war wahrscheinlich nicht das beste Ziel fr die Sprengvorrichtung. Wir " \
	"knnen unsere Mission nicht erfllen.\n\n",

	//kScannedPlanet_msg,
	"Wissenschaftsoffizier: [PLAYER_RANK], ich habe den Standort des alten Waffenlagers ermittelt.\n" \

	"Chief Transporter: Die Koordinaten werden von der Wissenschaftskonsole geliefert... Bereit zum Transport.\n\n",

	//kGroup1ShipsDead_msg,
	"Erster Offizier: Die orionische Flotte wurde zerstrt.\n\n",

	//kGroup2ShipsDead_msg
	"Erster Offizier: Die orionische Verstrkung wurde vernichtet.\n\n",

	//kOrionShipDead_msg,
	"Erster Offizier: Wir haben ein orionisches Schiff zerstrt.\n\n",

	//kAllSatsDead_msg
	"Erster Offizier: Wir haben einen orionischen Verteidigungssatelliten zerstrt.\n\n",

	//kSatDead_msg
	"Erster Offizier: Alle orbitalen Verteidigungsmechanismen wurden zerstrt.\n\n",

	//kReinforcementsArrive_msg
	"Wissenschaftsoffizier: [PLAYER_RANK], gerade ist orionische Verstrkung mit Warpgeschwindigkeit in das System eingedrungen.\n\n",

	//
	//	Custom messages
	//

	//kScanning_msg
	"Wissenschaftsoffizier: Wir scannen...\n\n",

	//kScanRange_msg
	"Wissenschaftsoffizier: Wir mssen innerhalb der Reichweite 20 sein, um den Planeten scannen zu knnen.\n\n",

#else
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_X5M1FPyre",

	//kTitle2
	"The Pyre",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"We lost control over [SYSTEM_NAME] to the Orions, but we can take it back " \
	"with one successful operation. The Orions are occupying the former penal colony on " \
	"the planet's surface. What they don't know is that the colony is sitting on a large " \
	"supply of buried explosives - the site was a weapons dump in an early war.\n\n" \

	"In order to set off the munitions, you'll need to close to within transporter range of the " \
	"planet and beam a detonation device into the weapons. Be sure you scan the planet first and " \
	"pinpoint the location of the explosives. The resulting explosion should be spectacular.\n\n" \

	"Good luck.\n",

	//
	//	Starting message
	//
	
	//kCaptainsLog_msg,
	"[PLAYER_RANK]'s log, stardate [STARDATE]: We're enroute to [SYSTEM_NAME] to destroy " \
	"an Orion base of operations set up on the planet there.\n\n",

	//kSitrep_msg,
	"First Officer: Now entering the system, [PLAYER_RANK].",

	//
	//	Debriefing messages
	//
	
	//kDeb_KilledBase_msg
	"Congratulations! With the Orion base destroyed, we can take back control of the area. And the " \
	"ISC might think twice about moving in.\n\n",

	//kDeb_Failed_msg
	"[SYSTEM_NAME] should have been a pyre, a grave for the Orions. Instead, the base is " \
	"untouched, and the ISC are moving in. Yes, you were outnumbered. But what a miserable failure.\n\n" \
	"Dismissed.\n",

	//kDeb_PlayerDied_msg
	"Your forces have been destroyed.\n\n",

	//
	//	Comm buttons
	//

	//kButton_Hail,
	"HAIL",

	//
	//	Comm messages
	//

	//kHailMoon_msg,
	"Orion Base: This moon belongs to us now. You don't have the firepower to make us leave.\n\n",

	//kHailShip_msg,
	"Orion Captain: What do you want?\n\n",

	//
	//	Victory rating
	//

	//	kAstoundingVictory_msg,
	"Astounding Victory\n\n",

	//	kVictory_msg,
	"Victory\n\n",

	//	kDraw_msg,
	"Draw\n\n",

	//	kDefeat_msg,
	"Defeat\n\n",

	//	kDevastatingDefeat_msg,
	"Devastating Defeat\n\n",

	//	kLeftEarly_msg,
	"Forfeit",

	//
	//	Event dialog
	//

	//kBaseDead_msg
	"First Officer: The base has been destroyed.\n\n",

	//kBombedWithoutScan_msg,
	"Weapons Officer: [PLAYER_RANK], without the precise coordinates of the weapons stockpile, " \
	"we were unable to set off an explosion large enough to destroy the base.\n\n",
	
	//kBeamedNowhere_msg,
	"First Officer: That was probably not the best target for the detonation device. We " \
	"cannot complete our mission.\n\n",

	//kScannedPlanet_msg,
	"Science Officer: [PLAYER_RANK], I've pinpointed the location of the old weapons stockpile.\n" \

	"Transporter Chief: Receiving coordinates from the science console... standing by for transport.\n\n",

	//kGroup1ShipsDead_msg,
	"First Officer: The Orion fleet has been destroyed.\n\n",

	//kGroup2ShipsDead_msg
	"First Officer: The Orion reinforcements have been destroyed.\n\n",

	//kOrionShipDead_msg,
	"First Officer: We have destroyed an Orion ship.\n\n",

	//kAllSatsDead_msg
	"First Officer: All orbital defenses have been destroyed.\n\n",
	
	//kSatDead_msg
	"First Officer: We have destroyed an Orion defense satellite.\n\n",

	//kReinforcementsArrive_msg
	"Science Officer: [PLAYER_RANK], Orion reinforcements have just warped into the system.\n\n",

	//
	//	Custom messages
	//

	//kScanning_msg
	"Science Officer: Scanning...\n\n",

	//kScanRange_msg
	"Science Officer: We'll need to be within range 20 of the planet in order to scan it.\n\n",
#endif
};



