/********************************************************************************************************\

	File Name:	OrionTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( OrionTeam_h )
#define OrionTeam_h

#include "TeamInfo.h"


class tOrionTeam : public tTeamInfo
{
public:

	tOrionTeam();

	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mOldCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );

	virtual void mCreateMoon();
	virtual void mCreateDefSats();
	virtual void mOldCreateDefSats();
	virtual void mChooseSacrificialLamb();
	virtual void mCreateReinforcements();
	virtual void mOldCreateReinforcements();

	enum eCustomIDs
	{
		kMoon = 200,
		kSat1,
		kSat2,
		kSat3,
		kShip1,
		kShip2,
		kShip3,
		kShip4,
		kShip5,
		kShip6,
	};

	void	mDestroyMoonBase();
	void	mDoPyrotechnics( int32 numReps );

	std::string pyro_sacrificial_lamb;
};

#endif
