/********************************************************************************************************\

	File Name:	OrionTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "OrionTeamBaseState.h"
#include "Uni_X5M1FPyre.h"
#include "MissionText.h"

void tOrionTeamBaseState::mBeginState()
{
	mSetTimedInterval( kTimerTurnsSet, kReinforcement_timer, 10.0f );
}

void tOrionTeamBaseState::mEndState()
{}

void tOrionTeamBaseState::mOnTimedInterval( int32 timerID )
{
	switch( timerID )
	{
	case kReinforcement_timer:
		{
			fChildActor->mCreateReinforcements();
			fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPlayerTeam ), kReinforcementsArrive_msg );
		}
		break;

	default:
		break;
	}
}

void tOrionTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tOrionTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tOrionTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tOrionTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tOrionTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tOrionTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tOrionTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tOrionTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tOrionTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tOrionTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tOrionTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tOrionTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tOrionTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tOrionTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tOrionTeamBaseState::mOnFlashingButtonPressed()
{}
void tOrionTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tOrionTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tOrionTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tOrionTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tOrionTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tOrionTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tOrionTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tOrionTeamBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tOrionTeamBaseState::mOnHostChanged()
{}

void tOrionTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tOrionTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

