//	<Legal>	Copyright (c)  by Taldren, Inc. ALL RIGHTS RESERVED.
//	This document contains CONFIDENTIAL, PROPRIETARY, TRADE SECRET information
//	belonging to Taldren, Inc. and may not be reproduced, in whole
//	or in part, without prior written permission from Taldren, Inc.


#if !defined( SFCThreadState_h )
#define SFCThreadState_h


#include <BaseTypes.h>
#include <Thread\ThreadState.h>
#include <memory>


////////////////////////////////////////////////////////////////////////////////
// tSFCThreadState
// 
// CLASS PURPOSE: <FILL OUT PURPOSE HERE>
// 
////////////////////////////////////////////////////////////////////////////////


class tSFCThreadState : public tThreadState
{					  
public:
// Setup
	static tSFCThreadState* Instance();

private:
// Hidden
	typedef std::auto_ptr<tSFCThreadState> iAutoSFCThreadStatePtr;
	friend iAutoSFCThreadStatePtr;

	tSFCThreadState();
	virtual ~tSFCThreadState();
	tSFCThreadState( const tSFCThreadState& copy );
	tSFCThreadState& operator=( const tSFCThreadState& copy );

	static iAutoSFCThreadStatePtr fSFCThreadState;
};

#endif // !defined( SFCThreadState_h )