//	<Name>	esectorname.h
//
//	<Legal>	Copyright (c)  by Taldren, Inc. ALL RIGHTS RESERVED.
//	This document contains CONFIDENTIAL, PROPRIETARY, TRADE SECRET information
//	belonging to Taldren, Inc. and may not be reproduced, in whole
//	or in part, without prior written permission from Taldren, Inc.
//
//	<Info>
//
#pragma once

#ifndef esectorname_h
#define esectorname_h

enum eSectorType { kCoreSector, kColonialSector, kColonial2Sector, kBorderSector, kBorder2Sector, kUnexploredSector };

enum eSectorName { 	kNoSector = -1,
					kFedCore, kFedUnex,
					kFedKCol,  kFedRCol,  kFedLCol,  kFedGCol,
					kFedKRCol, kFedKLCol, kFedRGCol,
					kFedKBord,  kFedRBord,  kFedLBord,  kFedGBord,
					kFedKRBord, kFedKLBord, kFedRGBord,
					
					kKlingCore, kKlingUnex,
					kKlingFCol,  /*kKlingRCol,*/  kKlingLCol,  kKlingHCol,
					kKlingFRCol, kKlingFLCol, kKlingLHCol, 
					kKlingFBord, /*kKlingRBord,*/ kKlingLBord, kKlingHBord,
					kKlingFRBord, kKlingFLBord, kKlingLHBord,

					kRomCore, kRomUnex,
					kRomFCol, /*kRomKCol,*/ kRomGCol,
					kRomFKCol, kRomFGCol,
					kRomFBord, /*kRomKBord,*/ kRomGBord,
					kRomFKBord, kRomFGBord,

					kLyrCore, kLyrUnex,
					kLyrFCol,  kLyrKCol,  kLyrHCol,
					kLyrFKCol, kLyrKHCol,
					kLyrFBord,  kLyrKBord,  kLyrHBord,
					kLyrFKBord, kLyrKHBord,
					
					kHydCore, kHydUnex,
					kHydKCol, kHydLCol, kHydKLCol,
					kHydKBord, kHydLBord, kHydKLBord,

					kGornCore,
					kGornFCol,  kGornRCol, kGornFRCol,
					kGornFBord,  kGornRBord, kGornFRBord,

					kISCCore,

					kZintiCore,
					
					kTholianCore,



					kLDRCore,

					kWYNCore,

					kJindarianCore,

					kNumSectors = kTholianCore,  // Shortens the list so the Tholian, LDR,WYN and Jindarians are left out.

					_eSectorPadToLong = 0xFFFFFFFF};

#endif

//	15Dec98	dboulanger	moved eSectorType enum from sector.h
