//	<Name>	BaseTypes.h
//
//
//	<Info>	Defines our base intrinisic types
//

#if !defined( BaseTypes_h )
#define BaseTypes_h

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

typedef	signed __int64	int64;
typedef	signed __int64	int64s;
typedef	unsigned __int64 int64u;

typedef	signed long		int32;
typedef	signed long		int32s;
typedef	unsigned long	int32u;

typedef	signed short	int16;
typedef	signed short	int16s;
typedef	unsigned short	int16u;

typedef	signed char		int8;
typedef	signed char		int8s;
typedef unsigned char	int8u;
typedef int8u			byte;


//float, double, and bool use the standard types


#ifndef NULL
#ifdef __cplusplus
#define NULL    0
#else
#define NULL    ((void *)0)
#endif
#endif

//Disable template warning
#pragma warning( disable : 4786 )
#pragma warning( disable : 4503 )


#if defined( _DEBUG ) && defined( RESOURCE_TRACKER )
//ZD This is used to debug SFC2, when we decided we don't need it
// we can remove it
#include <Debug\ResourceTracker.h>					
#endif

#include <FunctionWrapper.h>

#endif
