//	<Legal>	Copyright (c)  by Taldren, Inc. ALL RIGHTS RESERVED.
//	This document contains CONFIDENTIAL, PROPRIETARY, TRADE SECRET information
//	belonging to Taldren, Inc. and may not be reproduced, in whole
//	or in part, without prior written permission from Taldren, Inc.

#if !defined( Callback_h )
#define Callback_h

#include <BaseTypes.h>

#if !defined( USE_PCH )

#include <list>
#include <vector>

#endif

// CLASS PURPOSE: A generic interface to callbacks
template< typename tnResult >
class tCallback
{
public:
// Types
	typedef std::list<tCallback*> iPtrList;
	typedef std::vector<tCallback*> iPtrVector;

//Setup
	virtual ~tCallback();

//Operations
	virtual void Callback( tnResult result ) = 0;
};

template< typename tnResult >
tCallback<tnResult>::~tCallback()
{_func_start( tCallback::~tCallback );_func_end;}

#endif


