//	<Legal>	Copyright (c)  by Taldren, Inc. ALL RIGHTS RESERVED.
//	This document contains CONFIDENTIAL, PROPRIETARY, TRADE SECRET information
//	belonging to Taldren, Inc. and may not be reproduced, in whole
//	or in part, without prior written permission from Taldren, Inc.

#if !defined( DataStore_h )
#define DataStore_h

#include <DataStore\DataStoreInput.h>
#include <DataStore\DataStoreOutput.h>
#include <DataStore\DataStoreBuffer.h>
#include <DataStore\Streamable.h>

namespace nDataStore
{

enum eEndianType
{
	kUnkownEndian,
	kBigEndian,
	kLittleEndian,
};


#if _M_IX86 
enum eEndianAlias
{
	kLocalEndian = kLittleEndian,
	kNetworkEndian = kBigEndian,
};
#endif

//We should inline this, if it is to slow
eEndianType GetEndianType( eEndianAlias alias );

//Used as a kludge to stream an enum
#define STREAM_ENUM( enumValue ) *((int32*)(&enumValue))

	


};

#endif

