//	<Legal>	Copyright (c)  by Taldren, Inc. ALL RIGHTS RESERVED.
//	This document contains CONFIDENTIAL, PROPRIETARY, TRADE SECRET information
//	belonging to Taldren, Inc. and may not be reproduced, in whole
//	or in part, without prior written permission from Taldren, Inc.

#if !defined( InvalidAccess_h )
#define InvalidAccess_h

#include "BaseException.h"

namespace nException
{

	// CLASS PURPOSE: This exception is thrown if a function was called when it 
	// was not supposed to be
	class tInvalidAccess : public tBaseException
	{
	public:
		tInvalidAccess( const char* function, const char* file, int32 lineNumber );
		
		const char* fFunction;
	};

};

#endif

