//	<Legal>	Copyright (c)  by Taldren, Inc. ALL RIGHTS RESERVED.
//	This document contains CONFIDENTIAL, PROPRIETARY, TRADE SECRET information
//	belonging to Taldren, Inc. and may not be reproduced, in whole
//	or in part, without prior written permission from Taldren, Inc.

#include "BaseTypes.h"
#include "OutOfBounds.h"

namespace nException
{
	tOutOfBounds::tOutOfBounds( const char* object, int32 min, int32 max, int32 value, const char* file, int32 lineNumber ) :
		tBaseException( "Out of bounds", file, lineNumber ),
		fObject( object ),
		fMin( min ),
		fMax( max ),
		fValue( value )
	{_func_start( nException::tOutOfBounds::tOutOfBounds );_func_end;}
};


