//	<Legal>	Copyright (c)  by Taldren, Inc. ALL RIGHTS RESERVED.
//	This document contains CONFIDENTIAL, PROPRIETARY, TRADE SECRET information
//	belonging to Taldren, Inc. and may not be reproduced, in whole
//	or in part, without prior written permission from Taldren, Inc.

#if !defined( OutOfBounds_h )
#define OutOfBounds_h

#include "BaseException.h"

namespace nException
{

	// CLASS PURPOSE: An object was accessed with an invalid value. The value should have 
	// beed with in the min max bound, but it was outside this range
	class tOutOfBounds : public tBaseException
	{
	public:
		tOutOfBounds( const char* object, int32 min, int32 max, int32 value, const char* file, int32 lineNumber );
		
		const char* fObject;
		int32 fMin; 
		int32 fMax; 
		int32 fValue;
	};

};

#endif

