//	<Name>	Validate.cpp
//
//
//	<Info>	DESCRIPTION
//

#include <BaseTypes.h>

#include "Validate.h"
#include <Log\LogStream.h>

namespace nException
{
	tValidationFailed::tValidationFailed( const char* expression, const char* file, int32 lineNumber )
		: tBaseException( "Validate", file, lineNumber ) 	
		, fExpression( expression )
	{_func_start( nException::tValidationFailed::tValidationFailed );_func_end;}

	void tValidationFailed::ReportException( const char* caughtDescription ) throw()
	{
		_func_start( nException::tValidationFailed::ReportException );
		try
		{
			ReportHeader( caughtDescription );
			
			logmsg::error << fExpression << " failed the validate in " << fpFileName << "(" << fLineNumber << ")" << logmsg::report;

			ReportFooter();
		}
		catch( ... )
		{
			
		}
		_func_end;
	}
}

// 28Apr00	zdrummond	Added Comment Header and Footer's
