//	<Legal>	Copyright (c)  by Taldren, Inc. ALL RIGHTS RESERVED.
//	This document contains CONFIDENTIAL, PROPRIETARY, TRADE SECRET information
//	belonging to Taldren, Inc. and may not be reproduced, in whole
//	or in part, without prior written permission from Taldren, Inc.


#include <BaseTypes.h>

#include "ThreadState.h"

#include <Exceptions\Validate.h>
#include <Exceptions\InvalidAccess.h>


////////////////////////////////////////////////////////////////////////////////
// tThreadState
// 
////////////////////////////////////////////////////////////////////////////////
tThreadState* tThreadState::fCurThreadState = NULL;

tThreadState::tThreadState( eUse defaultThreadObjectUse )
{
	_func_start( tThreadState::tThreadState );
	SetDefaultThreadObjectUse( defaultThreadObjectUse );
	_func_end;
}

tThreadState::~tThreadState()
{_func_start( tThreadState::~tThreadState );_func_end;}

tThreadState* tThreadState::GetCurThreadState()
{
	_func_start( tThreadState::GetCurThreadState );
	if( fCurThreadState == NULL )
	{
		fCurThreadState = new tThreadState( kUseThreadObject );
	}

	return fCurThreadState;
	_func_end;
}
void tThreadState::SetCurThreadState( tThreadState* threadState )
{
	_func_start( tThreadState::SetCurThreadState );
	if( fCurThreadState )
	{
		delete fCurThreadState;
		fCurThreadState = NULL;
	}

	fCurThreadState = threadState;	
	_func_end;
}

void tThreadState::SetDefaultThreadObjectUse( eUse defaultThreadObjectUse )
{ 
	_func_start( tThreadState::SetDefaultThreadObjectUse );
	fDefaultThreadObjectUse = defaultThreadObjectUse;
	_func_end;
}

tThreadState::eUse tThreadState::DefaultThreadObjectUse()
{
	_func_start( tThreadState::DefaultThreadObjectUse );
	return fDefaultThreadObjectUse;
	_func_end;
}


