//	<Legal>	Copyright (c)  by Taldren, Inc. ALL RIGHTS RESERVED.
//	This document contains CONFIDENTIAL, PROPRIETARY, TRADE SECRET information
//	belonging to Taldren, Inc. and may not be reproduced, in whole
//	or in part, without prior written permission from Taldren, Inc.


#if !defined( ThreadState_h )
#define ThreadState_h


#include <BaseTypes.h>


////////////////////////////////////////////////////////////////////////////////
// tThreadState
// 
// CLASS PURPOSE: <FILL OUT PURPOSE HERE>
// 
////////////////////////////////////////////////////////////////////////////////


class tThreadState
{
public:
// Types
	enum eUse
	{
		kIgnoreThreadObject,
		kUseThreadObject,
	};

// Setup
	tThreadState( eUse defaultThreadObjectUse = kUseThreadObject );
	virtual ~tThreadState();

	static tThreadState* GetCurThreadState();
	static void SetCurThreadState( tThreadState* threadState );

// Operations
	virtual void SetDefaultThreadObjectUse( eUse defaultThreadObjectUse );

// Accessors
	virtual eUse DefaultThreadObjectUse();

protected:
// Fields
	eUse fDefaultThreadObjectUse;

	static tThreadState* fCurThreadState;

};

#endif // !defined( ThreadState_h )